/* Generated from library.scm by the CHICKEN compiler
   http://www.call-cc.org
   Version 5.1.0rc1 (prerelease) (rev 7358d2e5)
   linux-unix-gnu-x86-64 [ 64bit dload ptables ]
   command line: library.scm -optimize-level 2 -include-path . -include-path ./ -inline -ignore-repository -feature chicken-bootstrap -no-warnings -specialize -consult-types-file ./types.db -explicit-use -no-trace -output-file library.c -no-module-registration -emit-import-library chicken.bitwise -emit-import-library chicken.blob -emit-import-library chicken.fixnum -emit-import-library chicken.flonum -emit-import-library chicken.gc -emit-import-library chicken.keyword -emit-import-library chicken.platform -emit-import-library chicken.plist -emit-import-library chicken.process-context
   unit: library
   uses: build-version
*/
#include "chicken.h"

#include <errno.h>
#include <float.h>

#ifdef HAVE_SYSEXITS_H
# include <sysexits.h>
#endif

#ifndef EX_SOFTWARE
# define EX_SOFTWARE	70
#endif

#define C_close_file(p)	      (C_fclose((C_FILEPTR)(C_port_file(p))), C_SCHEME_UNDEFINED)
#define C_a_f64peek(ptr, c, b, i)  C_flonum(ptr, ((double *)C_data_pointer(b))[ C_unfix(i) ])
#define C_fetch_c_strlen(b, i) C_fix(strlen((C_char *)C_block_item(b, C_unfix(i))))
#define C_asciiz_strlen(str) C_fix(strlen(C_c_string(str)))
#define C_peek_c_string(b, i, to, len) (C_memcpy(C_data_pointer(to), (C_char *)C_block_item(b, C_unfix(i)), C_unfix(len)), C_SCHEME_UNDEFINED)
#define C_free_mptr(p, i)     (C_free((void *)C_block_item(p, C_unfix(i))), C_SCHEME_UNDEFINED)
#define C_free_sptr(p, i)     (C_free((void *)(((C_char **)C_block_item(p, 0))[ C_unfix(i) ])), C_SCHEME_UNDEFINED)

#define C_a_get_current_seconds(ptr, c, dummy)  C_int64_to_num(ptr, time(NULL))
#define C_peek_c_string_at(ptr, i)    ((C_char *)(((C_char **)ptr)[ i ]))

static C_word
fast_read_line_from_file(C_word str, C_word port, C_word size) {
  int n = C_unfix(size);
  int i;
  int c;
  char *buf = C_c_string(str);
  C_FILEPTR fp = C_port_file(port);

  if ((c = C_getc(fp)) == EOF) {
    if (ferror(fp)) {
      clearerr(fp);
      return C_fix(-1);
    } else { /* feof (fp) */
      return C_SCHEME_END_OF_FILE;
    }
  }

  C_ungetc(c, fp);

  for (i = 0; i < n; i++) {
    c = C_getc(fp);

    if(c == EOF && ferror(fp)) {
      clearerr(fp);
      return C_fix(-(i + 1));
    }

    switch (c) {
    case '\r':	if ((c = C_getc(fp)) != '\n') C_ungetc(c, fp);
    case EOF:	clearerr(fp);
    case '\n':	return C_fix(i);
    }
    buf[i] = c;
  }
  return C_SCHEME_FALSE;
}

static C_word
fast_read_string_from_file(C_word dest, C_word port, C_word len, C_word pos)
{
  size_t m;
  int n = C_unfix (len);
  char * buf = ((char *)C_data_pointer (dest) + C_unfix (pos));
  C_FILEPTR fp = C_port_file (port);

  if(feof(fp)) return C_SCHEME_END_OF_FILE;

  m = fread (buf, sizeof (char), n, fp);

  if (m < n) {
    if (ferror(fp)) /* Report to Scheme, which may retry, so clear errors */
      clearerr(fp);
    else if (feof(fp) && 0 == m) /* eof but m > 0? Return data first, below */
      return C_SCHEME_END_OF_FILE; /* Calling again will get us here */
  }

  return C_fix (m);
}

static C_word
shallow_equal(C_word x, C_word y)
{
  /* assumes x and y are non-immediate */
  int i, len = C_header_size(x);

  if(C_header_size(y) != len) return C_SCHEME_FALSE;      
  else return C_mk_bool(!C_memcmp((void *)x, (void *)y, len * sizeof(C_word)));
}

static C_word
signal_debug_event(C_word mode, C_word msg, C_word args)
{
  C_DEBUG_INFO cell;
  C_word av[ 3 ];
  cell.enabled = 1;
  cell.event = C_DEBUG_SIGNAL;
  cell.loc = "";
  cell.val = "";
  av[ 0 ] = mode;
  av[ 1 ] = msg;
  av[ 2 ] = args;
  C_debugger(&cell, 3, av);
  return C_SCHEME_UNDEFINED;
}

#ifdef NO_DLOAD2
# define HAVE_DLOAD 0
#else
# define HAVE_DLOAD 1
#endif

#ifdef C_ENABLE_PTABLES
# define HAVE_PTABLES 1
#else
# define HAVE_PTABLES 0
#endif

#ifdef C_GC_HOOKS
# define HAVE_GCHOOKS 1
#else
# define HAVE_GCHOOKS 0
#endif

#if defined(C_CROSS_CHICKEN) && C_CROSS_CHICKEN
# define IS_CROSS_CHICKEN 1
#else
# define IS_CROSS_CHICKEN 0
#endif


#define C_chdir(str) C_fix(chdir(C_c_string(str)))
#define C_curdir(buf) (getcwd(C_c_string(buf), 1024) ? C_fix(strlen(C_c_string(buf))) : C_SCHEME_FALSE)
#define C_getenventry(i) (environ[ i ])

#ifdef HAVE_CRT_EXTERNS_H
# include <crt_externs.h>
# define environ (*_NSGetEnviron())
#else
extern char **environ;
#endif

#ifdef HAVE_SETENV
# define C_unsetenv(s)    (unsetenv((char *)C_data_pointer(s)), C_SCHEME_TRUE)
# define C_setenv(x, y)   C_fix(setenv((char *)C_data_pointer(x), (char *)C_data_pointer(y), 1))
#else
# if defined(_WIN32) && !defined(__CYGWIN__)
#  define C_unsetenv(s)   C_setenv(s, C_SCHEME_FALSE)
# else
#  define C_unsetenv(s)   C_fix(putenv((char *)C_data_pointer(s)))
# endif
static C_word C_fcall C_setenv(C_word x, C_word y) {
  char *sx = C_c_string(x),
       *sy = (y == C_SCHEME_FALSE ? "" : C_c_string(y));
  int n1 = C_strlen(sx), n2 = C_strlen(sy);
  int buf_len = n1 + n2 + 2;
  char *buf = (char *)C_malloc(buf_len);
  if(buf == NULL) return(C_fix(0));
  else {
    C_strlcpy(buf, sx, buf_len);
    C_strlcat(buf, "=", buf_len);
    C_strlcat(buf, sy, buf_len);
    return(C_fix(putenv(buf)));
  }
}
#endif



static C_PTABLE_ENTRY *create_ptable(void);
C_noret_decl(C_build_2dversion_toplevel)
C_externimport void C_ccall C_build_2dversion_toplevel(C_word c,C_word *av) C_noret;

static C_TLS C_word lf[1395];
static double C_possibly_force_alignment;
static C_char C_TLS li0[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,110,111,116,32,120,41,0,0};
static C_char C_TLS li1[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,98,111,111,108,101,97,110,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li2[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,113,63,32,120,32,121,41};
static C_char C_TLS li3[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,113,118,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li4[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,101,113,117,97,108,63,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li5[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,112,97,105,114,63,32,120,41};
static C_char C_TLS li6[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,111,110,115,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li7[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,97,114,32,120,41,0,0};
static C_char C_TLS li8[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,100,114,32,120,41,0,0};
static C_char C_TLS li9[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,97,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li10[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,101,116,45,99,100,114,33,32,120,32,121,41,0,0,0};
static C_char C_TLS li11[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,100,114,32,120,41,0};
static C_char C_TLS li12[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,100,114,32,120,41};
static C_char C_TLS li13[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li14[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li15[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,97,97,114,32,120,41,0};
static C_char C_TLS li16[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,97,114,32,120,41,0};
static C_char C_TLS li17[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,99,100,100,114,32,120,41,0};
static C_char C_TLS li18[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,97,114,32,120,41};
static C_char C_TLS li19[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,97,100,114,32,120,41};
static C_char C_TLS li20[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,97,100,97,114,32,120,41};
static C_char C_TLS li21[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,97,114,32,120,41};
static C_char C_TLS li22[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,97,100,114,32,120,41};
static C_char C_TLS li23[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,97,114,32,120,41};
static C_char C_TLS li24[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,100,100,100,114,32,120,41};
static C_char C_TLS li25[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li26[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li27[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li28[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li29[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li30[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li31[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,97,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li32[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li33[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li34[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li35[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,97,100,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li36[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li37[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,97,100,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li38[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,99,100,100,100,97,114,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li39[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,110,117,108,108,63,32,120,41};
static C_char C_TLS li40[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,105,115,116,32,46,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li41[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,108,101,110,103,116,104,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li42[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,108,105,115,116,45,116,97,105,108,32,108,115,116,32,105,41};
static C_char C_TLS li43[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,108,105,115,116,45,114,101,102,32,108,115,116,32,105,41,0};
static C_char C_TLS li44[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li45[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0};
static C_char C_TLS li46[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li47[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,101,109,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li48[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,109,101,109,98,101,114,32,120,32,108,115,116,41,0,0,0};
static C_char C_TLS li49[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,113,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li50[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,97,115,115,118,32,120,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li51[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,97,115,115,111,99,32,120,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li52[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,108,105,115,116,63,32,120,41};
static C_char C_TLS li53[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,116,114,105,110,103,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li54[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,108,101,110,103,116,104,32,115,41};
static C_char C_TLS li55[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,114,101,102,32,115,32,105,41,0};
static C_char C_TLS li56[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,115,101,116,33,32,115,32,105,32,99,41,0,0,0,0,0,0};
static C_char C_TLS li57[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,115,116,114,105,110,103,61,63,32,120,32,121,41,0,0,0};
static C_char C_TLS li58[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,61,63,32,120,32,121,41};
static C_char C_TLS li59[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,101,120,97,99,116,45,62,105,110,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li60[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,97,98,115,32,120,41,0,0};
static C_char C_TLS li61[] C_aligned={C_lihdr(0,0,6),67,95,112,108,117,115,0,0};
static C_char C_TLS li62[] C_aligned={C_lihdr(0,0,7),67,95,109,105,110,117,115,0};
static C_char C_TLS li63[] C_aligned={C_lihdr(0,0,7),67,95,116,105,109,101,115,0};
static C_char C_TLS li64[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,113,117,111,116,105,101,110,116,32,97,32,98,41,0,0,0};
static C_char C_TLS li65[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,114,101,109,97,105,110,100,101,114,32,97,32,98,41,0,0};
static C_char C_TLS li66[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,109,111,100,117,108,111,32,97,32,98,41,0,0,0,0,0};
static C_char C_TLS li67[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,101,118,101,110,63,32,110,41};
static C_char C_TLS li68[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,111,100,100,63,32,110,41,0};
static C_char C_TLS li69[] C_aligned={C_lihdr(0,0,9),67,95,110,101,113,117,97,108,112,0,0,0,0,0,0,0};
static C_char C_TLS li70[] C_aligned={C_lihdr(0,0,10),67,95,103,114,101,97,116,101,114,112,0,0,0,0,0,0};
static C_char C_TLS li71[] C_aligned={C_lihdr(0,0,7),67,95,108,101,115,115,112,0};
static C_char C_TLS li72[] C_aligned={C_lihdr(0,0,20),67,95,103,114,101,97,116,101,114,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0};
static C_char C_TLS li73[] C_aligned={C_lihdr(0,0,17),67,95,108,101,115,115,95,111,114,95,101,113,117,97,108,95,112,0,0,0,0,0,0,0};
static C_char C_TLS li74[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,110,117,109,98,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li75[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,101,97,108,63,32,120,41};
static C_char C_TLS li76[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,63,32,110,41,0,0,0,0};
static C_char C_TLS li77[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li78[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,97,99,116,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li79[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li80[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,122,101,114,111,63,32,110,41};
static C_char C_TLS li81[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,112,111,115,105,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li82[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,101,103,97,116,105,118,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li83[] C_aligned={C_lihdr(0,0,18),67,95,110,117,109,98,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li84[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li85[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,118,101,99,116,111,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li86[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,108,101,110,103,116,104,32,118,41};
static C_char C_TLS li87[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,114,101,102,32,118,32,105,41,0};
static C_char C_TLS li88[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,115,101,116,33,32,118,32,105,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li89[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,99,104,97,114,63,32,120,41};
static C_char C_TLS li90[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,62,105,110,116,101,103,101,114,32,99,41};
static C_char C_TLS li91[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,105,110,116,101,103,101,114,45,62,99,104,97,114,32,110,41};
static C_char C_TLS li92[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,61,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li93[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,62,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li94[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,99,104,97,114,60,63,32,99,49,32,99,50,41,0,0,0};
static C_char C_TLS li95[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,62,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li96[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,60,61,63,32,99,49,32,99,50,41,0,0};
static C_char C_TLS li97[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,99,97,115,101,32,99,41,0,0};
static C_char C_TLS li98[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,100,111,119,110,99,97,115,101,32,99,41};
static C_char C_TLS li99[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,117,112,112,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li100[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,108,111,119,101,114,45,99,97,115,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li101[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,99,104,97,114,45,110,117,109,101,114,105,99,63,32,99,41};
static C_char C_TLS li102[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,119,104,105,116,101,115,112,97,99,101,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li103[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,97,108,112,104,97,98,101,116,105,99,63,32,99,41,0,0,0,0,0};
static C_char C_TLS li104[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,112,114,111,99,101,100,117,114,101,63,32,120,41,0,0,0};
static C_char C_TLS li105[] C_aligned={C_lihdr(0,0,7),67,95,97,112,112,108,121,0};
static C_char C_TLS li106[] C_aligned={C_lihdr(0,0,8),67,95,118,97,108,117,101,115};
static C_char C_TLS li107[] C_aligned={C_lihdr(0,0,18),67,95,99,97,108,108,95,119,105,116,104,95,118,97,108,117,101,115,0,0,0,0,0,0};
static C_char C_TLS li108[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,105,110,112,117,116,45,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li109[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,111,117,116,112,117,116,45,112,111,114,116,63,32,120,41,0};
static C_char C_TLS li110[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,101,111,102,45,111,98,106,101,99,116,63,32,120,41,0,0};
static C_char C_TLS li111[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,101,118,97,108,32,120,32,46,32,101,110,118,41,0,0,0};
static C_char C_TLS li112[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,105,110,116,101,114,97,99,116,105,111,110,45,101,110,118,105,114,111,110,109,101,110,116,41};
static C_char C_TLS li113[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,115,99,104,101,109,101,45,114,101,112,111,114,116,45,101,110,118,105,114,111,110,109,101,110,116,32,110,41,0,0,0,0};
static C_char C_TLS li114[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,110,117,108,108,45,101,110,118,105,114,111,110,109,101,110,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li115[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,108,111,97,100,32,102,105,108,101,110,97,109,101,32,46,32,101,118,97,108,117,97,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li116[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,120,110,117,109,63,32,120,41};
static C_char C_TLS li117[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,111,110,117,109,63,32,120,41};
static C_char C_TLS li118[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,105,103,110,117,109,63,32,120,41};
static C_char C_TLS li119[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,116,110,117,109,63,32,120,41};
static C_char C_TLS li120[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,112,108,120,110,117,109,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li121[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,63,32,120,41,0};
static C_char C_TLS li122[] C_aligned={C_lihdr(0,0,24),67,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114};
static C_char C_TLS li123[] C_aligned={C_lihdr(0,0,7),40,97,57,49,53,57,41,0};
static C_char C_TLS li124[] C_aligned={C_lihdr(0,0,15),40,97,57,49,54,53,32,100,105,118,32,114,101,109,41,0};
static C_char C_TLS li125[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,113,117,111,116,105,101,110,116,38,109,111,100,117,108,111,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li126[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,105,110,105,116,101,63,32,120,41};
static C_char C_TLS li127[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,102,105,110,105,116,101,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li128[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,97,110,63,32,120,41,0,0,0};
static C_char C_TLS li129[] C_aligned={C_lihdr(0,0,8),67,95,115,105,103,110,117,109};
static C_char C_TLS li130[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,100,100,49,32,110,41,0,0,0};
static C_char C_TLS li131[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,49,32,110,41,0,0,0};
static C_char C_TLS li132[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,114,114,111,114,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li133[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,111,105,100,32,46,32,95,41,0};
static C_char C_TLS li134[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,109,105,115,101,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li135[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,109,97,107,101,45,112,114,111,109,105,115,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li136[] C_aligned={C_lihdr(0,0,7),40,97,57,50,56,55,41,0};
static C_char C_TLS li137[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,114,111,109,105,115,101,32,111,98,106,41,0};
static C_char C_TLS li138[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,122,41,0,0,0,0};
static C_char C_TLS li139[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,108,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li140[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li141[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,111,108,100,114,32,102,32,122,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li142[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,110,45,101,120,105,116,32,116,104,117,110,107,41,0,0,0,0};
static C_char C_TLS li143[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li144[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,109,101,114,103,101,110,99,121,45,101,120,105,116,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li145[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,100,101,110,116,105,116,121,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li146[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li147[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,49,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li148[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li149[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,101,100,115,41,0,0,0,0};
static C_char C_TLS li150[] C_aligned={C_lihdr(0,0,10),40,102,95,57,52,53,48,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li151[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,100,105,115,106,111,105,110,32,46,32,112,114,101,100,115,41,0,0};
static C_char C_TLS li152[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,57,54,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li153[] C_aligned={C_lihdr(0,0,12),40,102,95,57,52,57,56,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li154[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,110,115,116,97,110,116,108,121,32,46,32,120,115,41,0,0};
static C_char C_TLS li155[] C_aligned={C_lihdr(0,0,12),40,102,95,57,53,48,56,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li156[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,105,112,32,112,114,111,99,41};
static C_char C_TLS li157[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,49,54,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li158[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,108,101,109,101,110,116,32,112,41,0,0,0,0,0};
static C_char C_TLS li159[] C_aligned={C_lihdr(0,0,7),40,97,57,53,52,50,41,0};
static C_char C_TLS li160[] C_aligned={C_lihdr(0,0,15),40,102,95,57,53,51,55,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li161[] C_aligned={C_lihdr(0,0,14),40,114,101,99,32,102,48,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li162[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,111,115,101,32,46,32,102,110,115,41,0,0,0,0};
static C_char C_TLS li163[] C_aligned={C_lihdr(0,0,10),40,102,95,57,53,56,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li164[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,110,115,41,0,0,0,0,0,0};
static C_char C_TLS li165[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,32,46,32,102,110,115,41,0,0};
static C_char C_TLS li166[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li167[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,48,51,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li168[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,108,105,115,116,45,111,102,63,32,112,114,101,100,41,0,0,0,0};
static C_char C_TLS li169[] C_aligned={C_lihdr(0,0,12),40,102,95,57,54,53,51,32,46,32,95,41,0,0,0,0};
static C_char C_TLS li170[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,99,115,41,0,0,0,0};
static C_char C_TLS li171[] C_aligned={C_lihdr(0,0,15),40,102,95,57,54,54,55,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li172[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,97,99,104,32,46,32,112,114,111,99,115,41,0,0,0,0,0};
static C_char C_TLS li173[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,116,111,109,63,32,120,41,0,0};
static C_char C_TLS li174[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li175[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,98,97,115,101,35,116,97,105,108,63,32,120,32,121,41};
static C_char C_TLS li176[] C_aligned={C_lihdr(0,0,9),40,108,111,111,112,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li177[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,116,101,114,115,112,101,114,115,101,32,108,115,116,32,120,41};
static C_char C_TLS li178[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li179[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,98,117,116,108,97,115,116,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li180[] C_aligned={C_lihdr(0,0,17),40,108,111,111,112,32,108,105,115,116,115,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li181[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,97,116,116,101,110,32,46,32,108,105,115,116,115,48,41,0};
static C_char C_TLS li182[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li183[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,106,111,105,110,32,108,115,116,115,32,46,32,108,115,116,41,0,0};
static C_char C_TLS li184[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,98,108,115,116,32,108,115,116,41,0};
static C_char C_TLS li185[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,111,109,112,114,101,115,115,32,98,108,115,116,32,108,115,116,41};
static C_char C_TLS li186[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li187[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,48,49,52,32,120,32,108,115,116,41,0};
static C_char C_TLS li188[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,33,32,120,32,121,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li189[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li190[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,117,112,100,97,116,101,32,107,32,118,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li191[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li192[] C_aligned={C_lihdr(0,0,15),40,102,95,49,48,50,48,54,32,120,32,108,115,116,41,0};
static C_char C_TLS li193[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,97,108,105,115,116,45,114,101,102,32,120,32,108,115,116,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li194[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,108,41};
static C_char C_TLS li195[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,114,97,115,115,111,99,32,120,32,108,115,116,32,46,32,116,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li196[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,32,120,32,121,41};
static C_char C_TLS li197[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,32,120,32,121,41};
static C_char C_TLS li198[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,32,120,32,121,41};
static C_char C_TLS li199[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,61,32,120,32,121,41};
static C_char C_TLS li200[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,32,120,32,121,41};
static C_char C_TLS li201[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,32,120,32,121,41};
static C_char C_TLS li202[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li203[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li204[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li205[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li206[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,101,103,32,120,41};
static C_char C_TLS li207[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,97,110,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li208[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,105,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li209[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,120,111,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li210[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,110,111,116,32,120,41};
static C_char C_TLS li211[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,108,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li212[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,115,104,114,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li213[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,111,100,100,63,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li214[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,101,118,101,110,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li215[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,108,101,110,32,120,41};
static C_char C_TLS li216[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,32,120,32,121,41};
static C_char C_TLS li217[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li218[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,109,111,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li219[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,114,101,109,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li220[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,43,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li221[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,45,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li222[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,42,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li223[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,105,120,110,117,109,35,102,120,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li224[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,100,101,98,117,103,45,109,111,100,101,63,41,0,0,0,0,0};
static C_char C_TLS li225[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,119,97,114,110,105,110,103,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li226[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,98,97,115,101,35,110,111,116,105,99,101,32,109,115,103,32,46,32,97,114,103,115,41};
static C_char C_TLS li227[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,110,97,98,108,101,45,119,97,114,110,105,110,103,115,32,46,32,98,111,111,108,41,0,0,0};
static C_char C_TLS li228[] C_aligned={C_lihdr(0,0,4),67,95,103,99,0,0,0,0};
static C_char C_TLS li229[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,115,108,111,116,32,120,32,105,32,121,41,0,0,0};
static C_char C_TLS li230[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,101,116,105,115,108,111,116,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li231[] C_aligned={C_lihdr(0,0,17),67,95,97,108,108,111,99,97,116,101,95,118,101,99,116,111,114,0,0,0,0,0,0,0};
static C_char C_TLS li232[] C_aligned={C_lihdr(0,0,16),67,95,109,97,107,101,95,115,116,114,117,99,116,117,114,101};
static C_char C_TLS li233[] C_aligned={C_lihdr(0,0,21),67,95,101,110,115,117,114,101,95,104,101,97,112,95,114,101,115,101,114,118,101,0,0,0};
static C_char C_TLS li234[] C_aligned={C_lihdr(0,0,23),67,95,103,101,116,95,115,121,109,98,111,108,95,116,97,98,108,101,95,105,110,102,111,0};
static C_char C_TLS li235[] C_aligned={C_lihdr(0,0,17),67,95,103,101,116,95,109,101,109,111,114,121,95,105,110,102,111,0,0,0,0,0,0,0};
static C_char C_TLS li236[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,115,116,97,114,116,45,116,105,109,101,114,41,0,0,0,0,0};
static C_char C_TLS li237[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li238[] C_aligned={C_lihdr(0,0,12),67,95,115,116,111,112,95,116,105,109,101,114,0,0,0,0};
static C_char C_TLS li239[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,115,116,111,112,45,116,105,109,101,114,41,0,0,0,0,0,0};
static C_char C_TLS li240[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,105,109,109,101,100,105,97,116,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li241[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,109,101,115,115,97,103,101,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li242[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,98,121,116,101,32,120,32,105,41};
static C_char C_TLS li243[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,115,101,116,98,121,116,101,32,120,32,105,32,110,41,0,0,0};
static C_char C_TLS li244[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,104,97,108,116,32,109,115,103,41};
static C_char C_TLS li245[] C_aligned={C_lihdr(0,0,8),67,95,98,101,99,111,109,101};
static C_char C_TLS li246[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,108,111,99,107,45,114,101,102,32,120,32,105,41,0,0,0};
static C_char C_TLS li247[] C_aligned={C_lihdr(0,0,14),67,95,97,112,112,108,121,95,118,97,108,117,101,115,0,0};
static C_char C_TLS li248[] C_aligned={C_lihdr(0,0,14),67,95,99,111,112,121,95,99,108,111,115,117,114,101,0,0};
static C_char C_TLS li249[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,98,108,111,99,107,45,115,101,116,33,32,120,32,105,32,121,41};
static C_char C_TLS li250[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0,0};
static C_char C_TLS li251[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,117,114,114,101,110,116,45,115,101,99,111,110,100,115,41,0,0};
static C_char C_TLS li252[] C_aligned={C_lihdr(0,0,23),40,99,104,105,99,107,101,110,46,116,105,109,101,35,99,112,117,45,116,105,109,101,41,0};
static C_char C_TLS li253[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,117,99,116,117,114,101,32,120,32,121,32,46,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li254[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,98,108,111,98,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li255[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,97,105,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li256[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,108,105,115,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li257[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,116,114,105,110,103,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li258[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,110,117,109,98,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li259[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,102,105,120,110,117,109,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li260[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li261[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,101,120,97,99,116,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li262[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,115,121,109,98,111,108,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li263[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,107,101,121,119,111,114,100,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li264[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,99,104,101,99,107,45,118,101,99,116,111,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li265[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,99,104,97,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li266[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,98,111,111,108,101,97,110,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li267[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,99,104,101,99,107,45,108,111,99,97,116,105,118,101,32,120,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li268[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li269[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li270[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,99,104,101,99,107,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,120,32,46,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li271[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,114,101,97,108,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li272[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,104,101,99,107,45,114,97,110,103,101,32,105,32,102,114,111,109,32,116,111,32,46,32,108,111,99,41,0,0,0,0,0};
static C_char C_TLS li273[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,115,112,101,99,105,97,108,32,112,116,114,32,46,32,108,111,99,41,0};
static C_char C_TLS li274[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,99,104,101,99,107,45,99,108,111,115,117,114,101,32,120,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li275[] C_aligned={C_lihdr(0,0,20),40,108,112,32,112,114,111,109,105,115,101,32,102,111,114,119,97,114,100,41,0,0,0,0};
static C_char C_TLS li276[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,102,111,114,99,101,32,111,98,106,41,0,0,0,0,0,0};
static C_char C_TLS li277[] C_aligned={C_lihdr(0,0,7),67,95,100,108,111,97,100,0};
static C_char C_TLS li278[] C_aligned={C_lihdr(0,0,18),67,95,115,101,116,95,100,108,111,112,101,110,95,102,108,97,103,115,0,0,0,0,0,0};
static C_char C_TLS li279[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,110,111,116,45,97,45,112,114,111,112,101,114,45,108,105,115,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li280[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,110,117,109,98,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li281[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li282[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li283[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,101,120,97,99,116,45,117,105,110,116,101,103,101,114,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li284[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,105,110,101,120,97,99,116,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li285[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,114,101,97,108,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li286[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,101,114,114,111,114,45,98,97,100,45,98,97,115,101,32,97,114,103,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li287[] C_aligned={C_lihdr(0,0,11),40,99,111,112,121,32,110,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li288[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li289[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,112,112,101,110,100,32,46,32,108,115,116,115,41,0,0};
static C_char C_TLS li290[] C_aligned={C_lihdr(0,0,15),40,108,111,111,112,32,108,115,116,32,114,101,115,116,41,0};
static C_char C_TLS li291[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,97,115,116,45,114,101,118,101,114,115,101,32,108,115,116,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li292[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li293[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,115,116,114,105,110,103,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li294[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,105,32,108,115,41,0,0,0,0,0};
static C_char C_TLS li295[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,108,105,115,116,32,115,41,0};
static C_char C_TLS li296[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,49,53,50,50,32,108,115,116,41};
static C_char C_TLS li297[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,115,116,114,105,110,103,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li298[] C_aligned={C_lihdr(0,0,9),40,105,116,101,114,32,110,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li299[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,114,101,118,101,114,115,101,45,108,105,115,116,45,62,115,116,114,105,110,103,32,108,41,0,0};
static C_char C_TLS li300[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,102,105,108,108,33,32,115,32,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li301[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,111,112,121,32,115,41,0,0};
static C_char C_TLS li302[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,46,32,101,110,100,41};
static C_char C_TLS li303[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,117,98,115,116,114,105,110,103,32,115,32,115,116,97,114,116,32,101,110,100,41,0,0,0};
static C_char C_TLS li304[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,53,55,53,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li305[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,53,50,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li306[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li307[] C_aligned={C_lihdr(0,0,22),40,97,49,49,53,55,54,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li308[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,63,32,115,49,32,115,50,41,0};
static C_char C_TLS li309[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,48,48,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li310[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,60,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li311[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,50,49,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li312[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,115,116,114,105,110,103,62,61,63,32,115,49,32,115,50,41};
static C_char C_TLS li313[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,49,54,49,56,32,115,49,32,115,50,32,108,111,99,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li314[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,54,50,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li315[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li316[] C_aligned={C_lihdr(0,0,22),40,97,49,49,54,56,54,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li317[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,63,32,115,49,32,115,50,41,0,0,0,0,0,0};
static C_char C_TLS li318[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,49,48,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li319[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,60,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li320[] C_aligned={C_lihdr(0,0,22),40,97,49,49,55,51,49,32,108,101,110,49,32,108,101,110,50,32,99,109,112,41,0,0};
static C_char C_TLS li321[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,99,105,62,61,63,32,115,49,32,115,50,41,0,0,0,0,0};
static C_char C_TLS li322[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li323[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,115,116,114,115,32,110,41,0,0,0};
static C_char C_TLS li324[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,97,112,112,101,110,100,32,46,32,97,108,108,41,0,0,0,0};
static C_char C_TLS li325[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,115,116,114,105,110,103,32,46,32,99,104,97,114,115,41,0};
static C_char C_TLS li326[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,111,115,41,0,0,0,0,0,0};
static C_char C_TLS li327[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,114,97,103,109,101,110,116,115,45,62,115,116,114,105,110,103,32,116,111,116,97,108,32,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li328[] C_aligned={C_lihdr(0,0,20),40,100,111,108,111,111,112,49,55,48,51,32,104,100,32,116,108,32,99,41,0,0,0,0};
static C_char C_TLS li329[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,105,41,0,0,0,0};
static C_char C_TLS li330[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,111,112,32,108,115,116,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li331[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,43,32,120,32,121,41};
static C_char C_TLS li332[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,45,32,120,32,121,41};
static C_char C_TLS li333[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,42,32,120,32,121,41};
static C_char C_TLS li334[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,32,120,32,121,41};
static C_char C_TLS li335[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,103,99,100,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li336[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,47,63,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li337[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,61,32,120,32,121,41};
static C_char C_TLS li338[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,32,120,32,121,41};
static C_char C_TLS li339[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,32,120,32,121,41};
static C_char C_TLS li340[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,62,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li341[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,60,61,32,120,32,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li342[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,110,101,103,32,120,41};
static C_char C_TLS li343[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,97,120,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li344[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,109,105,110,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li345[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,102,108,111,111,114,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li346[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,114,117,110,99,97,116,101,32,120,41,0,0,0};
static C_char C_TLS li347[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,114,111,117,110,100,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li348[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,101,105,108,105,110,103,32,120,41,0,0,0,0};
static C_char C_TLS li349[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,105,110,32,120,41};
static C_char C_TLS li350[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,99,111,115,32,120,41};
static C_char C_TLS li351[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,116,97,110,32,120,41};
static C_char C_TLS li352[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,115,105,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li353[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,99,111,115,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li354[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li355[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,116,97,110,50,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li356[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,32,120,41};
static C_char C_TLS li357[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,101,120,112,116,32,120,32,121,41,0,0,0,0,0};
static C_char C_TLS li358[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,108,111,103,32,120,41};
static C_char C_TLS li359[] C_aligned={C_lihdr(0,0,25),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,115,113,114,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li360[] C_aligned={C_lihdr(0,0,24),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,97,98,115,32,120,41};
static C_char C_TLS li361[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,112,105,110,116,101,103,101,114,63,32,120,41,0,0,0};
static C_char C_TLS li362[] C_aligned={C_lihdr(0,0,46),40,99,104,105,99,107,101,110,46,102,108,111,110,117,109,35,102,108,111,110,117,109,45,112,114,105,110,116,45,112,114,101,99,105,115,105,111,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li363[] C_aligned={C_lihdr(0,0,18),40,109,97,107,101,45,99,111,109,112,108,101,120,32,114,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li364[] C_aligned={C_lihdr(0,0,29),40,115,99,104,101,109,101,35,109,97,107,101,45,114,101,99,116,97,110,103,117,108,97,114,32,114,32,105,41,0,0,0};
static C_char C_TLS li365[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,109,97,107,101,45,112,111,108,97,114,32,114,32,112,104,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li366[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,108,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li367[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,105,109,97,103,45,112,97,114,116,32,120,41,0,0,0,0};
static C_char C_TLS li368[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,97,110,103,108,101,32,110,41};
static C_char C_TLS li369[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,103,110,105,116,117,100,101,32,120,41,0,0,0,0};
static C_char C_TLS li370[] C_aligned={C_lihdr(0,0,12),40,114,97,116,110,117,109,32,109,32,110,41,0,0,0,0};
static C_char C_TLS li371[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,110,117,109,101,114,97,116,111,114,32,110,41,0,0,0,0};
static C_char C_TLS li372[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,100,101,110,111,109,105,110,97,116,111,114,32,110,41,0,0};
static C_char C_TLS li373[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,115,105,103,110,117,109,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li374[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,50,50,49,52,32,120,32,105,41};
static C_char C_TLS li375[] C_aligned={C_lihdr(0,0,13),40,100,101,108,105,118,101,114,32,121,32,100,41,0,0,0};
static C_char C_TLS li376[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,105,110,101,120,97,99,116,45,62,101,120,97,99,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li377[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,97,110,100,0,0,0};
static C_char C_TLS li378[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,105,111,114,0,0,0};
static C_char C_TLS li379[] C_aligned={C_lihdr(0,0,13),67,95,98,105,116,119,105,115,101,95,120,111,114,0,0,0};
static C_char C_TLS li380[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,119,105,115,101,45,110,111,116,32,110,41,0};
static C_char C_TLS li381[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,98,105,116,45,62,98,111,111,108,101,97,110,32,110,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li382[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,105,110,116,101,103,101,114,45,108,101,110,103,116,104,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li383[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,105,116,119,105,115,101,35,97,114,105,116,104,109,101,116,105,99,45,115,104,105,102,116,32,110,32,109,41,0,0};
static C_char C_TLS li384[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,97,114,103,115,32,120,41,0,0,0};
static C_char C_TLS li385[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,47,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0};
static C_char C_TLS li386[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,47,45,50,32,120,32,121,41,0};
static C_char C_TLS li387[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,102,108,111,111,114,32,120,41};
static C_char C_TLS li388[] C_aligned={C_lihdr(0,0,18),40,115,99,104,101,109,101,35,99,101,105,108,105,110,103,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li389[] C_aligned={C_lihdr(0,0,19),40,115,99,104,101,109,101,35,116,114,117,110,99,97,116,101,32,120,41,0,0,0,0,0};
static C_char C_TLS li390[] C_aligned={C_lihdr(0,0,16),40,115,99,104,101,109,101,35,114,111,117,110,100,32,120,41};
static C_char C_TLS li391[] C_aligned={C_lihdr(0,0,8),40,115,114,32,120,32,121,41};
static C_char C_TLS li392[] C_aligned={C_lihdr(0,0,24),40,102,105,110,100,45,114,97,116,105,111,45,98,101,116,119,101,101,110,32,120,32,121,41};
static C_char C_TLS li393[] C_aligned={C_lihdr(0,0,24),40,115,99,104,101,109,101,35,114,97,116,105,111,110,97,108,105,122,101,32,120,32,101,41};
static C_char C_TLS li394[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li395[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,97,120,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li396[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,105,32,109,32,120,115,41,0,0,0};
static C_char C_TLS li397[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,109,105,110,32,120,49,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li398[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,101,120,112,32,110,41,0,0};
static C_char C_TLS li399[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,111,103,45,49,32,120,41,0};
static C_char C_TLS li400[] C_aligned={C_lihdr(0,0,21),40,115,99,104,101,109,101,35,108,111,103,32,97,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li401[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,115,105,110,32,110,41,0,0};
static C_char C_TLS li402[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,99,111,115,32,110,41,0,0};
static C_char C_TLS li403[] C_aligned={C_lihdr(0,0,14),40,115,99,104,101,109,101,35,116,97,110,32,110,41,0,0};
static C_char C_TLS li404[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,115,105,110,32,110,41,0};
static C_char C_TLS li405[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,97,99,111,115,32,110,41,0};
static C_char C_TLS li406[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,97,116,97,110,32,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li407[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,53,50,41};
static C_char C_TLS li408[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li409[] C_aligned={C_lihdr(0,0,8),40,97,49,52,51,56,51,41};
static C_char C_TLS li410[] C_aligned={C_lihdr(0,0,20),40,97,49,52,51,57,57,32,113,50,53,56,50,32,117,50,53,56,52,41,0,0,0,0};
static C_char C_TLS li411[] C_aligned={C_lihdr(0,0,22),40,97,49,52,51,54,54,32,115,94,50,53,54,50,32,114,94,50,53,54,52,41,0,0};
static C_char C_TLS li412[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,97,41,0,0,0,0};
static C_char C_TLS li413[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,115,113,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li414[] C_aligned={C_lihdr(0,0,8),40,97,49,52,53,52,48,41};
static C_char C_TLS li415[] C_aligned={C_lihdr(0,0,14),40,97,49,52,53,52,54,32,115,94,50,32,114,41,0,0};
static C_char C_TLS li416[] C_aligned={C_lihdr(0,0,8),40,97,49,52,53,54,56,41};
static C_char C_TLS li417[] C_aligned={C_lihdr(0,0,8),40,97,49,52,53,57,50,41};
static C_char C_TLS li418[] C_aligned={C_lihdr(0,0,16),40,97,49,52,54,48,52,32,100,115,94,50,32,100,114,41};
static C_char C_TLS li419[] C_aligned={C_lihdr(0,0,16),40,97,49,52,53,56,48,32,110,115,94,50,32,110,114,41};
static C_char C_TLS li420[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,113,114,116,47,108,111,99,32,108,111,99,32,110,41,0,0};
static C_char C_TLS li421[] C_aligned={C_lihdr(0,0,15),40,115,99,104,101,109,101,35,115,113,114,116,32,120,41,0};
static C_char C_TLS li422[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,32,107,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li423[] C_aligned={C_lihdr(0,0,10),40,108,112,32,103,48,32,103,49,41,0,0,0,0,0,0};
static C_char C_TLS li424[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,101,120,97,99,116,45,105,110,116,101,103,101,114,45,110,116,104,45,114,111,111,116,47,108,111,99,32,108,111,99,32,107,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li425[] C_aligned={C_lihdr(0,0,11),40,108,112,32,114,101,115,32,101,50,41,0,0,0,0,0};
static C_char C_TLS li426[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,112,111,119,101,114,32,98,97,115,101,32,101,41,0,0,0,0};
static C_char C_TLS li427[] C_aligned={C_lihdr(0,0,14),40,108,111,103,45,101,120,112,116,32,97,32,98,41,0,0};
static C_char C_TLS li428[] C_aligned={C_lihdr(0,0,15),40,115,108,111,119,45,101,120,112,116,32,97,32,98,41,0};
static C_char C_TLS li429[] C_aligned={C_lihdr(0,0,8),40,97,49,52,57,54,49,41};
static C_char C_TLS li430[] C_aligned={C_lihdr(0,0,15),40,97,49,52,57,55,51,32,100,115,94,110,32,114,41,0};
static C_char C_TLS li431[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,101,120,112,116,32,97,32,98,41,0,0,0,0,0,0,0};
static C_char C_TLS li432[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,105,110,116,101,114,110,97,108,45,103,99,100,32,108,111,99,32,97,32,98,41,0,0,0,0};
static C_char C_TLS li433[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,103,99,100,32,97,32,98,41,0};
static C_char C_TLS li434[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li435[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,103,99,100,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li436[] C_aligned={C_lihdr(0,0,15),40,35,35,115,121,115,35,108,99,109,32,120,32,121,41,0};
static C_char C_TLS li437[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,104,101,97,100,32,110,101,120,116,41};
static C_char C_TLS li438[] C_aligned={C_lihdr(0,0,17),40,115,99,104,101,109,101,35,108,99,109,32,46,32,110,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li439[] C_aligned={C_lihdr(0,0,34),67,95,117,95,105,110,116,101,103,101,114,95,113,117,111,116,105,101,110,116,95,97,110,100,95,114,101,109,97,105,110,100,101,114,0,0,0,0,0,0};
static C_char C_TLS li440[] C_aligned={C_lihdr(0,0,8),40,97,49,53,51,50,52,41};
static C_char C_TLS li441[] C_aligned={C_lihdr(0,0,22),40,97,49,53,51,51,48,32,104,105,50,55,54,55,32,108,111,50,55,54,57,41,0,0};
static C_char C_TLS li442[] C_aligned={C_lihdr(0,0,61),40,35,35,115,121,115,35,105,110,116,101,103,101,114,45,62,115,116,114,105,110,103,47,114,101,99,117,114,115,105,118,101,32,110,32,98,97,115,101,32,101,120,112,101,99,116,101,100,45,115,116,114,105,110,103,45,115,105,122,101,41,0,0,0};
static C_char C_TLS li443[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,101,120,116,101,110,100,101,100,45,110,117,109,98,101,114,45,62,115,116,114,105,110,103,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li444[] C_aligned={C_lihdr(0,0,20),40,114,111,117,110,100,45,113,117,111,116,105,101,110,116,32,110,32,100,41,0,0,0,0};
static C_char C_TLS li445[] C_aligned={C_lihdr(0,0,23),40,115,97,102,101,45,101,120,112,111,110,101,110,116,32,118,97,108,117,101,32,101,41,0};
static C_char C_TLS li446[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li447[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,100,105,103,105,116,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li448[] C_aligned={C_lihdr(0,0,6),40,108,112,32,105,41,0,0};
static C_char C_TLS li449[] C_aligned={C_lihdr(0,0,19),40,115,99,97,110,45,104,97,115,104,101,115,32,115,116,97,114,116,41,0,0,0,0,0};
static C_char C_TLS li450[] C_aligned={C_lihdr(0,0,46),40,115,99,97,110,45,100,105,103,105,116,115,43,104,97,115,104,101,115,32,115,116,97,114,116,32,110,101,103,63,32,97,108,108,45,104,97,115,104,101,115,45,111,107,63,41,0,0};
static C_char C_TLS li451[] C_aligned={C_lihdr(0,0,21),40,115,99,97,110,45,101,120,112,111,110,101,110,116,32,115,116,97,114,116,41,0,0,0};
static C_char C_TLS li452[] C_aligned={C_lihdr(0,0,43),40,115,99,97,110,45,100,101,99,105,109,97,108,45,116,97,105,108,32,115,116,97,114,116,32,110,101,103,63,32,100,101,99,105,109,97,108,45,104,101,97,100,41,0,0,0,0,0};
static C_char C_TLS li453[] C_aligned={C_lihdr(0,0,23),40,115,99,97,110,45,117,114,101,97,108,32,115,116,97,114,116,32,110,101,103,63,41,0};
static C_char C_TLS li454[] C_aligned={C_lihdr(0,0,17),40,115,99,97,110,45,114,101,97,108,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li455[] C_aligned={C_lihdr(0,0,50),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,99,111,109,112,110,117,109,32,114,97,100,105,120,32,115,116,114,32,111,102,102,115,101,116,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li456[] C_aligned={C_lihdr(0,0,32),40,115,99,97,110,45,112,114,101,102,105,120,32,105,32,101,120,110,101,115,115,32,114,97,100,105,120,32,108,101,110,41};
static C_char C_TLS li457[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li458[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,110,117,109,98,101,114,32,115,116,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li459[] C_aligned={C_lihdr(0,0,18),67,95,102,105,120,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li460[] C_aligned={C_lihdr(0,0,18),67,95,102,108,111,110,117,109,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0,0};
static C_char C_TLS li461[] C_aligned={C_lihdr(0,0,19),67,95,105,110,116,101,103,101,114,95,116,111,95,115,116,114,105,110,103,0,0,0,0,0};
static C_char C_TLS li462[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li463[] C_aligned={C_lihdr(0,0,25),40,99,111,109,112,97,114,101,45,115,108,111,116,115,32,120,32,121,32,115,116,97,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li464[] C_aligned={C_lihdr(0,0,10),40,119,97,108,107,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li465[] C_aligned={C_lihdr(0,0,26),40,99,104,105,99,107,101,110,46,98,97,115,101,35,101,113,117,97,108,61,63,32,120,32,121,41,0,0,0,0,0,0};
static C_char C_TLS li466[] C_aligned={C_lihdr(0,0,18),67,95,115,116,114,105,110,103,95,116,111,95,115,121,109,98,111,108,0,0,0,0,0,0};
static C_char C_TLS li467[] C_aligned={C_lihdr(0,0,19),67,95,115,116,114,105,110,103,95,116,111,95,107,101,121,119,111,114,100,0,0,0,0,0};
static C_char C_TLS li468[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li469[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0,0};
static C_char C_TLS li470[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41};
static C_char C_TLS li471[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,115,121,109,98,111,108,45,62,115,116,114,105,110,103,32,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li472[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,115,116,114,105,110,103,45,62,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0,0};
static C_char C_TLS li473[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li474[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,116,114,105,110,103,45,62,117,110,105,110,116,101,114,110,101,100,45,115,121,109,98,111,108,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li475[] C_aligned={C_lihdr(0,0,13),67,95,109,97,107,101,95,115,121,109,98,111,108,0,0,0};
static C_char C_TLS li476[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,110,115,121,109,32,46,32,115,116,114,45,111,114,45,115,121,109,41,0,0,0,0,0,0};
static C_char C_TLS li477[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,51,55,48,32,103,51,51,56,50,41,0,0,0,0};
static C_char C_TLS li478[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,121,109,98,111,108,45,97,112,112,101,110,100,32,46,32,115,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li479[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,63,32,120,41,0,0,0,0};
static C_char C_TLS li480[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,115,116,114,105,110,103,45,62,107,101,121,119,111,114,100,32,115,41,0,0,0,0,0};
static C_char C_TLS li481[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,107,101,121,119,111,114,100,45,62,115,116,114,105,110,103,32,107,119,41,0,0,0,0};
static C_char C_TLS li482[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,107,101,121,119,111,114,100,35,103,101,116,45,107,101,121,119,111,114,100,32,107,101,121,32,97,114,103,115,32,46,32,114,101,115,116,41,0,0,0};
static C_char C_TLS li483[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0};
static C_char C_TLS li484[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,109,97,107,101,45,98,108,111,98,32,115,105,122,101,41,0,0,0};
static C_char C_TLS li485[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,63,32,120,41,0,0};
static C_char C_TLS li486[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,115,105,122,101,32,98,118,41,0,0,0,0,0};
static C_char C_TLS li487[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,108,111,98,35,115,116,114,105,110,103,45,62,98,108,111,98,32,115,41,0,0,0};
static C_char C_TLS li488[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,45,62,115,116,114,105,110,103,32,98,118,41,0,0};
static C_char C_TLS li489[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,108,111,98,35,98,108,111,98,61,63,32,98,49,32,98,50,41,0,0,0,0,0};
static C_char C_TLS li490[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,109,97,107,101,45,118,101,99,116,111,114,32,115,105,122,101,32,46,32,102,105,108,108,41};
static C_char C_TLS li491[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li492[] C_aligned={C_lihdr(0,0,26),40,115,99,104,101,109,101,35,108,105,115,116,45,62,118,101,99,116,111,114,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li493[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li494[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,62,108,105,115,116,32,118,41,0};
static C_char C_TLS li495[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,118,101,99,116,111,114,32,46,32,120,115,41,0,0,0,0};
static C_char C_TLS li496[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,48,55,41,0,0,0,0};
static C_char C_TLS li497[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,118,101,99,116,111,114,45,102,105,108,108,33,32,118,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li498[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,49,57,41,0,0,0,0};
static C_char C_TLS li499[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,99,111,112,121,33,32,102,114,111,109,32,116,111,32,46,32,110,41,0};
static C_char C_TLS li500[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,53,48,41,0,0,0,0};
static C_char C_TLS li501[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,117,98,118,101,99,116,111,114,32,118,32,105,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li502[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li503[] C_aligned={C_lihdr(0,0,12),40,100,111,108,111,111,112,51,53,55,56,41,0,0,0,0};
static C_char C_TLS li504[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,114,101,115,105,122,101,32,118,32,110,32,105,110,105,116,41,0,0};
static C_char C_TLS li505[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,61,63,32,120,32,121,41,0,0};
static C_char C_TLS li506[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,63,32,120,32,121,41,0,0};
static C_char C_TLS li507[] C_aligned={C_lihdr(0,0,22),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,63,32,120,32,121,41,0,0};
static C_char C_TLS li508[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,62,61,63,32,120,32,121,41,0};
static C_char C_TLS li509[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,99,104,97,114,45,99,105,60,61,63,32,120,32,121,41,0};
static C_char C_TLS li510[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li511[] C_aligned={C_lihdr(0,0,15),40,108,111,111,107,117,112,45,99,104,97,114,32,99,41,0};
static C_char C_TLS li512[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,104,97,114,45,110,97,109,101,32,120,32,46,32,121,41,0,0};
static C_char C_TLS li513[] C_aligned={C_lihdr(0,0,9),67,95,99,97,108,108,95,99,99,0,0,0,0,0,0,0};
static C_char C_TLS li514[] C_aligned={C_lihdr(0,0,19),67,95,99,97,108,108,95,119,105,116,104,95,99,116,104,117,108,104,117,0,0,0,0,0};
static C_char C_TLS li515[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li516[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,102,111,114,45,101,97,99,104,32,112,32,108,115,116,48,41,0};
static C_char C_TLS li517[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li518[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,109,97,112,32,112,32,108,115,116,48,41,0,0,0,0,0,0};
static C_char C_TLS li519[] C_aligned={C_lihdr(0,0,30),40,109,97,112,115,97,102,101,51,54,53,52,32,112,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0};
static C_char C_TLS li520[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li521[] C_aligned={C_lihdr(0,0,26),40,99,104,101,99,107,51,54,53,53,32,108,115,116,115,32,115,116,97,114,116,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li522[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,51,54,56,53,32,103,51,54,57,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li523[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,49,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li524[] C_aligned={C_lihdr(0,0,10),40,97,49,56,54,50,55,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li525[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li526[] C_aligned={C_lihdr(0,0,32),40,115,99,104,101,109,101,35,102,111,114,45,101,97,99,104,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41};
static C_char C_TLS li527[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,51,55,49,54,32,103,51,55,50,56,41,0,0,0,0};
static C_char C_TLS li528[] C_aligned={C_lihdr(0,0,10),40,97,49,56,55,50,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li529[] C_aligned={C_lihdr(0,0,10),40,97,49,56,55,51,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li530[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,97,108,108,41,0,0,0,0,0,0};
static C_char C_TLS li531[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,109,97,112,32,102,110,32,108,115,116,49,32,46,32,108,115,116,115,41,0,0,0,0,0};
static C_char C_TLS li532[] C_aligned={C_lihdr(0,0,18),40,97,49,56,55,53,54,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li533[] C_aligned={C_lihdr(0,0,40),40,115,99,104,101,109,101,35,100,121,110,97,109,105,99,45,119,105,110,100,32,98,101,102,111,114,101,32,116,104,117,110,107,32,97,102,116,101,114,41};
static C_char C_TLS li534[] C_aligned={C_lihdr(0,0,24),40,99,111,110,116,105,110,117,97,116,105,111,110,32,46,32,114,101,115,117,108,116,115,41};
static C_char C_TLS li535[] C_aligned={C_lihdr(0,0,13),40,97,49,56,55,56,48,32,99,111,110,116,41,0,0,0};
static C_char C_TLS li536[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,99,117,114,114,101,110,116,45,99,111,110,116,105,110,117,97,116,105,111,110,32,112,114,111,99,41,0,0,0,0};
static C_char C_TLS li537[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,100,121,110,97,109,105,99,45,117,110,119,105,110,100,32,119,105,110,100,115,32,110,41,0,0};
static C_char C_TLS li538[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,63,32,120,41,0,0};
static C_char C_TLS li539[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,105,110,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li540[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,117,116,112,117,116,45,112,111,114,116,45,111,112,101,110,63,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li541[] C_aligned={C_lihdr(0,0,29),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,111,114,116,45,99,108,111,115,101,100,63,32,112,41,0,0,0};
static C_char C_TLS li542[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,109,97,107,101,45,112,111,114,116,32,105,47,111,32,99,108,97,115,115,32,110,97,109,101,32,116,121,112,101,41,0,0,0};
static C_char C_TLS li543[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li544[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,52,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li545[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li546[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,56,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li547[] C_aligned={C_lihdr(0,0,12),40,97,51,50,48,50,56,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li548[] C_aligned={C_lihdr(0,0,12),40,97,51,50,48,51,49,32,112,32,115,41,0,0,0,0};
static C_char C_TLS li549[] C_aligned={C_lihdr(0,0,12),40,97,51,50,48,51,52,32,112,32,100,41,0,0,0,0};
static C_char C_TLS li550[] C_aligned={C_lihdr(0,0,10),40,97,51,50,48,52,48,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li551[] C_aligned={C_lihdr(0,0,10),40,97,51,50,48,52,51,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li552[] C_aligned={C_lihdr(0,0,8),40,97,51,50,48,56,48,41};
static C_char C_TLS li553[] C_aligned={C_lihdr(0,0,20),40,108,111,111,112,32,114,101,109,32,97,99,116,32,115,116,97,114,116,41,0,0,0,0};
static C_char C_TLS li554[] C_aligned={C_lihdr(0,0,23),40,97,51,50,48,52,54,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li555[] C_aligned={C_lihdr(0,0,8),40,97,51,50,50,52,49,41};
static C_char C_TLS li556[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,108,101,110,32,108,105,109,105,116,32,98,117,102,102,101,114,32,114,101,115,117,108,116,32,102,41};
static C_char C_TLS li557[] C_aligned={C_lihdr(0,0,17),40,97,51,50,49,52,53,32,112,32,114,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li558[] C_aligned={C_lihdr(0,0,16),67,95,111,112,101,110,95,102,105,108,101,95,112,111,114,116};
static C_char C_TLS li559[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,99,104,101,99,107,45,105,110,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0,0};
static C_char C_TLS li560[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,99,104,101,99,107,45,111,117,116,112,117,116,45,112,111,114,116,32,120,32,111,112,101,110,32,46,32,108,111,99,41,0,0};
static C_char C_TLS li561[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,99,104,101,99,107,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0,0,0,0,0,0};
static C_char C_TLS li562[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,99,104,101,99,107,45,111,112,101,110,45,112,111,114,116,32,120,32,46,32,108,111,99,41,0};
static C_char C_TLS li563[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,48,49,41,0,0,0,0,0,0};
static C_char C_TLS li564[] C_aligned={C_lihdr(0,0,34),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,105,110,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li565[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,50,54,41,0,0,0,0,0,0};
static C_char C_TLS li566[] C_aligned={C_lihdr(0,0,35),40,115,99,104,101,109,101,35,99,117,114,114,101,110,116,45,111,117,116,112,117,116,45,112,111,114,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li567[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,51,57,53,49,41,0,0,0,0,0,0};
static C_char C_TLS li568[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,98,97,115,101,35,99,117,114,114,101,110,116,45,101,114,114,111,114,45,112,111,114,116,32,46,32,97,114,103,115,41};
static C_char C_TLS li569[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,116,116,121,45,112,111,114,116,63,32,112,111,114,116,41,0,0};
static C_char C_TLS li570[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,100,97,116,97,32,112,111,114,116,41,0,0};
static C_char C_TLS li571[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,101,116,45,112,111,114,116,45,100,97,116,97,33,32,112,111,114,116,32,100,97,116,97,41};
static C_char C_TLS li572[] C_aligned={C_lihdr(0,0,18),40,100,111,108,111,111,112,51,57,56,56,32,109,111,100,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li573[] C_aligned={C_lihdr(0,0,25),40,111,112,101,110,32,110,97,109,101,32,105,110,112,32,109,111,100,101,115,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li574[] C_aligned={C_lihdr(0,0,20),40,99,108,111,115,101,32,112,111,114,116,32,105,110,112,32,108,111,99,41,0,0,0,0};
static C_char C_TLS li575[] C_aligned={C_lihdr(0,0,36),40,115,99,104,101,109,101,35,111,112,101,110,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li576[] C_aligned={C_lihdr(0,0,37),40,115,99,104,101,109,101,35,111,112,101,110,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li577[] C_aligned={C_lihdr(0,0,30),40,115,99,104,101,109,101,35,99,108,111,115,101,45,105,110,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0,0};
static C_char C_TLS li578[] C_aligned={C_lihdr(0,0,31),40,115,99,104,101,109,101,35,99,108,111,115,101,45,111,117,116,112,117,116,45,112,111,114,116,32,112,111,114,116,41,0};
static C_char C_TLS li579[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,55,50,41};
static C_char C_TLS li580[] C_aligned={C_lihdr(0,0,18),40,97,49,57,51,55,56,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li581[] C_aligned={C_lihdr(0,0,43),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,105,110,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0,0};
static C_char C_TLS li582[] C_aligned={C_lihdr(0,0,8),40,97,49,57,51,57,54,41};
static C_char C_TLS li583[] C_aligned={C_lihdr(0,0,18),40,97,49,57,52,48,50,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li584[] C_aligned={C_lihdr(0,0,44),40,115,99,104,101,109,101,35,99,97,108,108,45,119,105,116,104,45,111,117,116,112,117,116,45,102,105,108,101,32,110,97,109,101,32,112,32,46,32,109,111,100,101,41,0,0,0,0};
static C_char C_TLS li585[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,50,48,41};
static C_char C_TLS li586[] C_aligned={C_lihdr(0,0,18),40,97,49,57,52,51,49,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li587[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,50,53,41};
static C_char C_TLS li588[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,52,48,41};
static C_char C_TLS li589[] C_aligned={C_lihdr(0,0,46),40,115,99,104,101,109,101,35,119,105,116,104,45,105,110,112,117,116,45,102,114,111,109,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0};
static C_char C_TLS li590[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,53,52,41};
static C_char C_TLS li591[] C_aligned={C_lihdr(0,0,18),40,97,49,57,52,54,53,32,46,32,114,101,115,117,108,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li592[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,53,57,41};
static C_char C_TLS li593[] C_aligned={C_lihdr(0,0,8),40,97,49,57,52,55,52,41};
static C_char C_TLS li594[] C_aligned={C_lihdr(0,0,45),40,115,99,104,101,109,101,35,119,105,116,104,45,111,117,116,112,117,116,45,116,111,45,102,105,108,101,32,115,116,114,32,116,104,117,110,107,32,46,32,109,111,100,101,41,0,0,0};
static C_char C_TLS li595[] C_aligned={C_lihdr(0,0,40),40,35,35,115,121,115,35,102,105,108,101,45,101,120,105,115,116,115,63,32,110,97,109,101,32,102,105,108,101,63,32,100,105,114,63,32,108,111,99,41};
static C_char C_TLS li596[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,102,108,117,115,104,45,111,117,116,112,117,116,32,112,111,114,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li597[] C_aligned={C_lihdr(0,0,34),40,99,104,105,99,107,101,110,46,98,97,115,101,35,102,108,117,115,104,45,111,117,116,112,117,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li598[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,112,111,114,116,45,108,105,110,101,32,112,111,114,116,41,0,0};
static C_char C_TLS li599[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,52,49,49,56,32,105,41,0,0};
static C_char C_TLS li600[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li601[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,100,101,99,111,114,97,116,101,45,108,97,109,98,100,97,32,112,114,111,99,32,112,114,101,100,32,100,101,99,111,114,97,116,111,114,41,0,0,0,0,0};
static C_char C_TLS li602[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li603[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,108,97,109,98,100,97,45,100,101,99,111,114,97,116,105,111,110,32,112,114,111,99,32,112,114,101,100,41,0,0,0,0,0};
static C_char C_TLS li604[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,109,97,107,101,45,108,97,109,98,100,97,45,105,110,102,111,32,115,116,114,41,0,0,0,0};
static C_char C_TLS li605[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,63,32,120,41,0,0};
static C_char C_TLS li606[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,32,112,114,111,99,41};
static C_char C_TLS li607[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,108,97,109,98,100,97,45,105,110,102,111,45,62,115,116,114,105,110,103,32,105,110,102,111,41};
static C_char C_TLS li608[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,111,99,101,100,117,114,101,45,105,110,102,111,114,109,97,116,105,111,110,32,120,41,0,0};
static C_char C_TLS li609[] C_aligned={C_lihdr(0,0,12),40,97,49,57,55,53,50,32,112,32,105,41,0,0,0,0};
static C_char C_TLS li610[] C_aligned={C_lihdr(0,0,10),40,97,49,57,55,54,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li611[] C_aligned={C_lihdr(0,0,15),40,97,49,57,55,55,56,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li612[] C_aligned={C_lihdr(0,0,48),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,116,101,114,45,119,105,116,104,45,115,101,116,116,101,114,32,103,101,116,32,115,101,116,32,46,32,114,101,115,116,41};
static C_char C_TLS li613[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,48,51,53,32,120,41,0,0,0,0,0};
static C_char C_TLS li614[] C_aligned={C_lihdr(0,0,28),40,97,115,115,105,103,110,32,118,97,108,32,110,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41,0,0,0,0};
static C_char C_TLS li615[] C_aligned={C_lihdr(0,0,24),40,98,111,100,121,52,50,54,57,32,99,111,110,118,101,114,116,63,32,115,101,116,63,41};
static C_char C_TLS li616[] C_aligned={C_lihdr(0,0,24),40,100,101,102,45,115,101,116,63,52,50,55,50,32,37,99,111,110,118,101,114,116,63,41};
static C_char C_TLS li617[] C_aligned={C_lihdr(0,0,18),40,100,101,102,45,99,111,110,118,101,114,116,63,52,50,55,49,41,0,0,0,0,0,0};
static C_char C_TLS li618[] C_aligned={C_lihdr(0,0,15),40,97,49,57,57,50,54,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li619[] C_aligned={C_lihdr(0,0,12),40,97,50,48,48,48,56,32,118,97,108,41,0,0,0,0};
static C_char C_TLS li620[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,98,97,115,101,35,109,97,107,101,45,112,97,114,97,109,101,116,101,114,32,105,110,105,116,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li621[] C_aligned={C_lihdr(0,0,27),40,115,99,104,101,109,101,35,99,104,97,114,45,114,101,97,100,121,63,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li622[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,114,101,97,100,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li623[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li624[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,114,101,97,100,45,99,104,97,114,47,112,111,114,116,32,112,111,114,116,41,0,0,0,0,0};
static C_char C_TLS li625[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,112,101,101,107,45,99,104,97,114,45,48,32,112,41,0,0,0};
static C_char C_TLS li626[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,112,101,101,107,45,99,104,97,114,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li627[] C_aligned={C_lihdr(0,0,20),40,115,99,104,101,109,101,35,114,101,97,100,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li628[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,114,101,97,100,45,112,114,111,109,112,116,45,104,111,111,107,41};
static C_char C_TLS li629[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,105,110,102,105,120,45,108,105,115,116,45,104,111,111,107,32,108,115,116,41,0,0,0,0,0};
static C_char C_TLS li630[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,115,104,97,114,112,45,110,117,109,98,101,114,45,104,111,111,107,32,112,111,114,116,32,110,41};
static C_char C_TLS li631[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,119,97,114,110,105,110,103,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li632[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,114,101,97,100,45,101,114,114,111,114,32,112,111,114,116,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li633[] C_aligned={C_lihdr(0,0,11),40,102,95,50,48,51,49,50,32,99,41,0,0,0,0,0};
static C_char C_TLS li634[] C_aligned={C_lihdr(0,0,21),40,105,110,102,111,32,99,108,97,115,115,32,100,97,116,97,32,118,97,108,41,0,0,0};
static C_char C_TLS li635[] C_aligned={C_lihdr(0,0,8),40,115,107,105,112,32,99,41};
static C_char C_TLS li636[] C_aligned={C_lihdr(0,0,13),40,115,107,105,112,45,116,111,45,101,111,108,41,0,0,0};
static C_char C_TLS li637[] C_aligned={C_lihdr(0,0,22),40,114,101,115,101,114,118,101,100,45,99,104,97,114,97,99,116,101,114,32,99,41,0,0};
static C_char C_TLS li638[] C_aligned={C_lihdr(0,0,29),40,114,101,97,100,45,117,110,114,101,115,101,114,118,101,100,45,99,104,97,114,45,48,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li639[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,99,41};
static C_char C_TLS li640[] C_aligned={C_lihdr(0,0,10),40,114,45,115,112,97,99,101,115,41,0,0,0,0,0,0};
static C_char C_TLS li641[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,115,101,113,32,110,41,0,0,0,0};
static C_char C_TLS li642[] C_aligned={C_lihdr(0,0,22),40,114,45,117,115,101,113,117,101,110,99,101,32,117,32,110,32,98,97,115,101,41,0,0};
static C_char C_TLS li643[] C_aligned={C_lihdr(0,0,10),40,108,112,32,105,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li644[] C_aligned={C_lihdr(0,0,25),40,114,45,99,111,110,115,45,99,111,100,101,112,111,105,110,116,32,99,112,32,108,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li645[] C_aligned={C_lihdr(0,0,14),40,101,97,116,45,119,115,32,99,32,110,108,63,41,0,0};
static C_char C_TLS li646[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li647[] C_aligned={C_lihdr(0,0,15),40,114,45,115,116,114,105,110,103,32,116,101,114,109,41,0};
static C_char C_TLS li648[] C_aligned={C_lihdr(0,0,19),40,115,116,97,114,116,105,110,103,45,108,105,110,101,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li649[] C_aligned={C_lihdr(0,0,11),40,102,95,50,49,49,51,50,32,99,41,0,0,0,0,0};
static C_char C_TLS li650[] C_aligned={C_lihdr(0,0,15),40,97,50,49,50,52,55,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li651[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,108,97,115,116,41,0,0,0,0,0};
static C_char C_TLS li652[] C_aligned={C_lihdr(0,0,15),40,97,50,49,49,50,56,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li653[] C_aligned={C_lihdr(0,0,18),40,114,45,108,105,115,116,32,115,116,97,114,116,32,101,110,100,41,0,0,0,0,0,0};
static C_char C_TLS li654[] C_aligned={C_lihdr(0,0,10),40,114,45,118,101,99,116,111,114,41,0,0,0,0,0,0};
static C_char C_TLS li655[] C_aligned={C_lihdr(0,0,15),40,97,50,49,51,55,53,32,116,111,107,32,107,119,41,0};
static C_char C_TLS li656[] C_aligned={C_lihdr(0,0,26),40,114,45,110,117,109,98,101,114,32,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0,0,0,0,0,0};
static C_char C_TLS li657[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,101,120,97,99,116,110,101,115,115,32,114,97,100,105,120,41,0};
static C_char C_TLS li658[] C_aligned={C_lihdr(0,0,31),40,114,45,110,117,109,98,101,114,45,119,105,116,104,45,114,97,100,105,120,32,101,120,97,99,116,110,101,115,115,41,0};
static C_char C_TLS li659[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li660[] C_aligned={C_lihdr(0,0,9),40,114,45,116,111,107,101,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li661[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,99,32,108,115,116,41,0,0,0,0};
static C_char C_TLS li662[] C_aligned={C_lihdr(0,0,10),40,114,45,100,105,103,105,116,115,41,0,0,0,0,0,0};
static C_char C_TLS li663[] C_aligned={C_lihdr(0,0,15),40,97,50,49,54,55,51,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li664[] C_aligned={C_lihdr(0,0,10),40,114,45,115,121,109,98,111,108,41,0,0,0,0,0,0};
static C_char C_TLS li665[] C_aligned={C_lihdr(0,0,14),40,108,111,111,112,32,108,115,116,32,115,107,119,41,0,0};
static C_char C_TLS li666[] C_aligned={C_lihdr(0,0,12),40,114,45,120,116,111,107,101,110,32,107,41,0,0,0,0};
static C_char C_TLS li667[] C_aligned={C_lihdr(0,0,8),40,114,45,99,104,97,114,41};
static C_char C_TLS li668[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li669[] C_aligned={C_lihdr(0,0,11),40,114,45,99,111,109,109,101,110,116,41,0,0,0,0,0};
static C_char C_TLS li670[] C_aligned={C_lihdr(0,0,14),40,114,45,101,120,116,45,115,121,109,98,111,108,41,0,0};
static C_char C_TLS li671[] C_aligned={C_lihdr(0,0,11),40,114,45,113,117,111,116,101,32,113,41,0,0,0,0,0};
static C_char C_TLS li672[] C_aligned={C_lihdr(0,0,8),40,97,50,50,50,54,54,41};
static C_char C_TLS li673[] C_aligned={C_lihdr(0,0,13),40,97,50,50,50,55,50,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li674[] C_aligned={C_lihdr(0,0,8),40,97,50,50,51,57,51,41};
static C_char C_TLS li675[] C_aligned={C_lihdr(0,0,13),40,97,50,50,51,57,57,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li676[] C_aligned={C_lihdr(0,0,8),40,97,50,50,52,54,52,41};
static C_char C_TLS li677[] C_aligned={C_lihdr(0,0,13),40,97,50,50,52,55,48,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li678[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,55,56,41};
static C_char C_TLS li679[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,56,51,41};
static C_char C_TLS li680[] C_aligned={C_lihdr(0,0,8),40,97,50,50,53,56,57,41};
static C_char C_TLS li681[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,51,50,41};
static C_char C_TLS li682[] C_aligned={C_lihdr(0,0,15),40,97,50,50,55,52,51,32,115,116,114,32,107,119,41,0};
static C_char C_TLS li683[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,51,55,41};
static C_char C_TLS li684[] C_aligned={C_lihdr(0,0,8),40,97,50,50,55,55,50,41};
static C_char C_TLS li685[] C_aligned={C_lihdr(0,0,8),40,97,50,50,56,56,54,41};
static C_char C_TLS li686[] C_aligned={C_lihdr(0,0,13),40,97,50,50,56,57,50,32,46,32,120,115,41,0,0,0};
static C_char C_TLS li687[] C_aligned={C_lihdr(0,0,9),40,114,101,97,100,114,101,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li688[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,114,101,97,100,32,112,111,114,116,32,105,110,102,111,104,97,110,100,108,101,114,41,0,0,0};
static C_char C_TLS li689[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,99,104,97,114,45,62,117,116,102,56,45,115,116,114,105,110,103,32,99,41,0,0,0,0,0};
static C_char C_TLS li690[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,117,110,105,99,111,100,101,45,115,117,114,114,111,103,97,116,101,63,32,110,41,0,0,0,0};
static C_char C_TLS li691[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,117,114,114,111,103,97,116,101,115,45,62,99,111,100,101,112,111,105,110,116,32,104,105,32,108,111,41,0,0,0,0,0};
static C_char C_TLS li692[] C_aligned={C_lihdr(0,0,7),40,104,101,120,32,99,41,0};
static C_char C_TLS li693[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,108,115,116,32,104,41,0,0,0,0};
static C_char C_TLS li694[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,101,97,100,45,98,121,116,101,118,101,99,116,111,114,45,108,105,116,101,114,97,108,32,112,111,114,116,41,0,0,0,0};
static C_char C_TLS li695[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li696[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,45,48,32,99,32,112,41};
static C_char C_TLS li697[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,119,114,105,116,101,45,99,104,97,114,47,112,111,114,116,32,99,32,112,111,114,116,41,0,0};
static C_char C_TLS li698[] C_aligned={C_lihdr(0,0,28),40,115,99,104,101,109,101,35,119,114,105,116,101,45,99,104,97,114,32,99,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li699[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,110,101,119,108,105,110,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li700[] C_aligned={C_lihdr(0,0,23),40,115,99,104,101,109,101,35,119,114,105,116,101,32,120,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li701[] C_aligned={C_lihdr(0,0,25),40,115,99,104,101,109,101,35,100,105,115,112,108,97,121,32,120,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li702[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,54,49,32,103,53,48,54,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li703[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li704[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,48,57,51,32,103,53,49,48,48,41,0,0,0,0,0,0,0};
static C_char C_TLS li705[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,42,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li706[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,116,114,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li707[] C_aligned={C_lihdr(0,0,17),40,111,117,116,99,104,114,32,112,111,114,116,32,99,104,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li708[] C_aligned={C_lihdr(0,0,17),40,111,117,116,115,121,109,32,112,111,114,116,32,115,121,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li709[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li710[] C_aligned={C_lihdr(0,0,25),40,111,117,116,114,101,97,100,97,98,108,101,115,121,109,32,112,111,114,116,32,115,116,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li711[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li712[] C_aligned={C_lihdr(0,0,22),40,115,121,109,45,105,115,45,114,101,97,100,97,98,108,101,63,32,115,116,114,41,0,0};
static C_char C_TLS li713[] C_aligned={C_lihdr(0,0,10),40,103,53,50,53,57,32,99,110,41,0,0,0,0,0,0};
static C_char C_TLS li714[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,50,56,48,32,105,32,99,41};
static C_char C_TLS li715[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,49,48,32,120,41,0,0};
static C_char C_TLS li716[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,53,51,50,52,32,105,41,0,0};
static C_char C_TLS li717[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,53,51,52,56,32,105,32,99,41};
static C_char C_TLS li718[] C_aligned={C_lihdr(0,0,7),40,111,117,116,32,120,41,0};
static C_char C_TLS li719[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,112,114,105,110,116,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li720[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,114,111,99,101,100,117,114,101,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0};
static C_char C_TLS li721[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,114,101,103,105,115,116,101,114,45,114,101,99,111,114,100,45,112,114,105,110,116,101,114,32,116,121,112,101,32,112,114,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li722[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,52,52,41};
static C_char C_TLS li723[] C_aligned={C_lihdr(0,0,11),40,97,50,52,57,51,56,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li724[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,57,53,41};
static C_char C_TLS li725[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,49,48,41};
static C_char C_TLS li726[] C_aligned={C_lihdr(0,0,15),40,97,50,53,48,48,52,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li727[] C_aligned={C_lihdr(0,0,8),40,97,50,52,57,56,57,41};
static C_char C_TLS li728[] C_aligned={C_lihdr(0,0,10),40,97,50,52,57,51,50,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li729[] C_aligned={C_lihdr(0,0,39),40,35,35,115,121,115,35,117,115,101,114,45,112,114,105,110,116,45,104,111,111,107,32,120,32,114,101,97,100,97,98,108,101,32,112,111,114,116,41,0};
static C_char C_TLS li730[] C_aligned={C_lihdr(0,0,8),40,97,50,53,48,55,55,41};
static C_char C_TLS li731[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,50,48,41};
static C_char C_TLS li732[] C_aligned={C_lihdr(0,0,8),40,97,50,53,49,50,54,41};
static C_char C_TLS li733[] C_aligned={C_lihdr(0,0,15),40,97,50,53,48,55,49,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li734[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,119,105,116,104,45,112,114,105,110,116,45,108,101,110,103,116,104,45,108,105,109,105,116,32,108,105,109,105,116,32,116,104,117,110,107,41,0,0,0,0,0};
static C_char C_TLS li735[] C_aligned={C_lihdr(0,0,15),40,99,104,101,99,107,53,52,54,51,32,112,32,110,41,0};
static C_char C_TLS li736[] C_aligned={C_lihdr(0,0,10),40,97,51,49,52,53,52,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li737[] C_aligned={C_lihdr(0,0,10),40,97,51,49,52,55,57,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li738[] C_aligned={C_lihdr(0,0,12),40,97,51,49,52,57,55,32,112,32,99,41,0,0,0,0};
static C_char C_TLS li739[] C_aligned={C_lihdr(0,0,14),40,97,51,49,53,49,54,32,112,32,115,116,114,41,0,0};
static C_char C_TLS li740[] C_aligned={C_lihdr(0,0,10),40,97,51,49,53,51,53,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li741[] C_aligned={C_lihdr(0,0,10),40,97,51,49,53,51,56,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li742[] C_aligned={C_lihdr(0,0,23),40,97,51,49,53,52,49,32,112,32,110,32,100,101,115,116,32,115,116,97,114,116,41,0};
static C_char C_TLS li743[] C_aligned={C_lihdr(0,0,12),40,97,51,49,54,49,54,32,112,111,115,41,0,0,0,0};
static C_char C_TLS li744[] C_aligned={C_lihdr(0,0,8),40,97,51,49,54,48,54,41};
static C_char C_TLS li745[] C_aligned={C_lihdr(0,0,29),40,97,51,49,54,50,53,32,110,101,120,116,32,108,105,110,101,32,102,117,108,108,45,108,105,110,101,63,41,0,0,0};
static C_char C_TLS li746[] C_aligned={C_lihdr(0,0,16),40,97,51,49,53,56,50,32,112,32,108,105,109,105,116,41};
static C_char C_TLS li747[] C_aligned={C_lihdr(0,0,10),40,97,51,49,54,54,54,32,112,41,0,0,0,0,0,0};
static C_char C_TLS li748[] C_aligned={C_lihdr(0,0,37),40,99,111,112,121,38,97,112,112,101,110,100,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,111,108,100,45,108,105,110,101,41,0,0,0};
static C_char C_TLS li749[] C_aligned={C_lihdr(0,0,8),40,97,50,53,50,52,52,41};
static C_char C_TLS li750[] C_aligned={C_lihdr(0,0,25),40,97,50,53,50,53,48,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li751[] C_aligned={C_lihdr(0,0,8),40,97,50,53,51,48,56,41};
static C_char C_TLS li752[] C_aligned={C_lihdr(0,0,25),40,97,50,53,51,49,52,32,98,117,102,32,111,102,102,115,101,116,32,108,105,109,105,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li753[] C_aligned={C_lihdr(0,0,32),40,108,111,111,112,32,98,117,102,32,111,102,102,115,101,116,32,112,111,115,32,108,105,109,105,116,32,108,105,110,101,41};
static C_char C_TLS li754[] C_aligned={C_lihdr(0,0,56),40,35,35,115,121,115,35,115,99,97,110,45,98,117,102,102,101,114,45,108,105,110,101,32,98,117,102,32,108,105,109,105,116,32,115,116,97,114,116,45,112,111,115,32,101,111,115,45,104,97,110,100,108,101,114,41};
static C_char C_TLS li755[] C_aligned={C_lihdr(0,0,39),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,105,110,112,117,116,45,115,116,114,105,110,103,32,115,116,114,105,110,103,41,0};
static C_char C_TLS li756[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,98,97,115,101,35,111,112,101,110,45,111,117,116,112,117,116,45,115,116,114,105,110,103,41,0,0,0,0,0,0,0};
static C_char C_TLS li757[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,111,117,116,112,117,116,45,115,116,114,105,110,103,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li758[] C_aligned={C_lihdr(0,0,9),40,103,53,53,57,51,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li759[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,53,57,50,32,103,53,53,57,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li760[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,114,105,110,116,45,116,111,45,115,116,114,105,110,103,32,120,115,41,0,0,0,0,0,0};
static C_char C_TLS li761[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,115,116,114,105,110,103,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li762[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li763[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,98,97,115,101,35,103,101,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0,0,0};
static C_char C_TLS li764[] C_aligned={C_lihdr(0,0,8),40,97,50,53,55,53,54,41};
static C_char C_TLS li765[] C_aligned={C_lihdr(0,0,12),40,103,53,54,53,57,32,105,110,102,111,41,0,0,0,0};
static C_char C_TLS li766[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,54,53,56,32,103,53,54,54,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li767[] C_aligned={C_lihdr(0,0,49),40,35,35,115,121,115,35,114,101,97,108,108,121,45,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,112,111,114,116,32,99,104,97,105,110,32,104,101,97,100,101,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li768[] C_aligned={C_lihdr(0,0,38),40,99,104,105,99,107,101,110,46,98,97,115,101,35,112,114,105,110,116,45,99,97,108,108,45,99,104,97,105,110,32,46,32,114,101,115,116,41,0,0};
static C_char C_TLS li769[] C_aligned={C_lihdr(0,0,7),40,98,114,101,97,107,41,0};
static C_char C_TLS li770[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,117,115,101,114,45,105,110,116,101,114,114,117,112,116,45,104,111,111,107,41,0,0,0,0,0};
static C_char C_TLS li771[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,49,56,32,103,53,55,50,53,41,0,0,0,0,0,0,0};
static C_char C_TLS li772[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li773[] C_aligned={C_lihdr(0,0,21),40,99,108,101,97,110,117,112,45,98,101,102,111,114,101,45,101,120,105,116,41,0,0,0};
static C_char C_TLS li774[] C_aligned={C_lihdr(0,0,8),40,97,50,54,48,54,53,41};
static C_char C_TLS li775[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,55,56,54,32,103,53,55,57,51,41,0,0,0,0,0,0,0};
static C_char C_TLS li776[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,115,105,103,110,97,108,45,104,111,111,107,32,109,111,100,101,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li777[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,97,98,111,114,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li778[] C_aligned={C_lihdr(0,0,28),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,115,105,103,110,97,108,32,120,41,0,0,0,0};
static C_char C_TLS li779[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,99,41,0,0,0,0,0};
static C_char C_TLS li780[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,48,53,41};
static C_char C_TLS li781[] C_aligned={C_lihdr(0,0,8),40,97,50,54,53,48,57,41};
static C_char C_TLS li782[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,119,105,116,104,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,104,97,110,100,108,101,114,32,116,104,117,110,107,41};
static C_char C_TLS li783[] C_aligned={C_lihdr(0,0,10),40,98,111,100,121,53,57,52,54,41,0,0,0,0,0,0};
static C_char C_TLS li784[] C_aligned={C_lihdr(0,0,52),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,117,114,114,101,110,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,46,32,97,114,103,115,41,0,0,0,0};
static C_char C_TLS li785[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li786[] C_aligned={C_lihdr(0,0,69),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,111,112,45,108,105,115,116,45,62,107,105,110,100,45,112,114,101,102,105,120,101,100,45,112,114,111,112,45,108,105,115,116,32,108,111,99,32,107,105,110,100,32,112,108,105,115,116,41,0,0,0};
static C_char C_TLS li787[] C_aligned={C_lihdr(0,0,56),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,112,114,111,112,101,114,116,121,45,99,111,110,100,105,116,105,111,110,32,107,105,110,100,32,46,32,112,114,111,112,115,41};
static C_char C_TLS li788[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,57,57,48,41,0,0,0,0,0};
static C_char C_TLS li789[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,51,53,32,103,54,48,52,55,41,0,0,0,0};
static C_char C_TLS li790[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,48,56,32,103,54,48,50,48,41,0,0,0,0};
static C_char C_TLS li791[] C_aligned={C_lihdr(0,0,55),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,109,97,107,101,45,99,111,109,112,111,115,105,116,101,45,99,111,110,100,105,116,105,111,110,32,99,49,32,46,32,99,111,110,100,115,41,0};
static C_char C_TLS li792[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,57,53,32,103,54,49,48,55,41,0,0,0,0};
static C_char C_TLS li793[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,48,54,56,32,103,54,48,56,48,41,0,0,0,0};
static C_char C_TLS li794[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,32,97,114,103,49,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li795[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,63,32,120,41};
static C_char C_TLS li796[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,114,111,112,115,41,0,0,0,0};
static C_char C_TLS li797[] C_aligned={C_lihdr(0,0,9),40,103,54,49,51,49,32,107,41,0,0,0,0,0,0,0};
static C_char C_TLS li798[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,54,49,50,53,32,103,54,49,51,55,41,0,0,0,0};
static C_char C_TLS li799[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,62,108,105,115,116,32,120,41,0,0,0};
static C_char C_TLS li800[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,48,50,56,32,99,41,0,0,0,0,0};
static C_char C_TLS li801[] C_aligned={C_lihdr(0,0,44),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,101,100,105,99,97,116,101,32,107,105,110,100,41,0,0,0,0};
static C_char C_TLS li802[] C_aligned={C_lihdr(0,0,11),40,102,95,50,55,48,53,53,32,99,41,0,0,0,0,0};
static C_char C_TLS li803[] C_aligned={C_lihdr(0,0,67),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,45,97,99,99,101,115,115,111,114,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41,0,0,0,0,0};
static C_char C_TLS li804[] C_aligned={C_lihdr(0,0,64),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,103,101,116,45,99,111,110,100,105,116,105,111,110,45,112,114,111,112,101,114,116,121,32,99,32,107,105,110,100,32,112,114,111,112,32,46,32,101,114,114,45,100,101,102,41};
static C_char C_TLS li805[] C_aligned={C_lihdr(0,0,8),40,97,50,55,49,50,49,41};
static C_char C_TLS li806[] C_aligned={C_lihdr(0,0,9),40,103,54,49,57,54,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li807[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,54,49,57,53,32,103,54,50,48,50,41,0,0,0,0,0,0,0};
static C_char C_TLS li808[] C_aligned={C_lihdr(0,0,21),40,119,114,105,116,101,97,114,103,115,32,97,114,103,115,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li809[] C_aligned={C_lihdr(0,0,11),40,103,54,50,51,57,32,109,115,103,41,0,0,0,0,0};
static C_char C_TLS li810[] C_aligned={C_lihdr(0,0,22),40,98,111,100,121,54,50,49,54,32,112,111,114,116,32,104,101,97,100,101,114,41,0,0};
static C_char C_TLS li811[] C_aligned={C_lihdr(0,0,22),40,100,101,102,45,104,101,97,100,101,114,54,50,49,57,32,37,112,111,114,116,41,0,0};
static C_char C_TLS li812[] C_aligned={C_lihdr(0,0,14),40,100,101,102,45,112,111,114,116,54,50,49,56,41,0,0};
static C_char C_TLS li813[] C_aligned={C_lihdr(0,0,49),40,99,104,105,99,107,101,110,46,99,111,110,100,105,116,105,111,110,35,112,114,105,110,116,45,101,114,114,111,114,45,109,101,115,115,97,103,101,32,101,120,32,46,32,97,114,103,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li814[] C_aligned={C_lihdr(0,0,47),40,35,35,115,121,115,35,115,104,111,119,45,101,120,99,101,112,116,105,111,110,45,119,97,114,110,105,110,103,32,101,120,110,32,99,97,117,115,101,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li815[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,101,114,114,111,114,45,104,111,111,107,32,99,111,100,101,32,108,111,99,32,46,32,97,114,103,115,41,0,0,0,0,0,0};
static C_char C_TLS li816[] C_aligned={C_lihdr(0,0,22),40,35,35,115,121,115,35,115,116,114,117,99,116,117,114,101,63,32,120,32,115,41,0,0};
static C_char C_TLS li817[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,103,101,110,101,114,105,99,45,115,116,114,117,99,116,117,114,101,63,32,120,41,0,0,0,0};
static C_char C_TLS li818[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,108,111,116,32,120,32,105,41};
static C_char C_TLS li819[] C_aligned={C_lihdr(0,0,14),40,35,35,115,121,115,35,115,105,122,101,32,120,41,0,0};
static C_char C_TLS li820[] C_aligned={C_lihdr(0,0,14),67,95,109,97,107,101,95,112,111,105,110,116,101,114,0,0};
static C_char C_TLS li821[] C_aligned={C_lihdr(0,0,21),67,95,109,97,107,101,95,116,97,103,103,101,100,95,112,111,105,110,116,101,114,0,0,0};
static C_char C_TLS li822[] C_aligned={C_lihdr(0,0,18),40,35,35,115,121,115,35,112,111,105,110,116,101,114,63,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li823[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,115,101,116,45,112,111,105,110,116,101,114,45,97,100,100,114,101,115,115,33,32,112,116,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li824[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,98,121,116,101,118,101,99,116,111,114,63,32,120,41,0,0,0};
static C_char C_TLS li825[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,115,116,114,105,110,103,45,62,112,98,121,116,101,118,101,99,116,111,114,32,115,41,0,0,0};
static C_char C_TLS li826[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,112,101,114,109,97,110,101,110,116,63,32,120,41,0,0,0,0};
static C_char C_TLS li827[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,97,100,100,114,101,115,115,32,120,41,0};
static C_char C_TLS li828[] C_aligned={C_lihdr(0,0,19),40,35,35,115,121,115,35,108,111,99,97,116,105,118,101,63,32,120,41,0,0,0,0,0};
static C_char C_TLS li829[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,115,114,102,105,45,52,45,118,101,99,116,111,114,63,32,120,41};
static C_char C_TLS li830[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,41,0,0,0,0};
static C_char C_TLS li831[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,110,117,108,108,45,112,111,105,110,116,101,114,63,32,120,41,0};
static C_char C_TLS li832[] C_aligned={C_lihdr(0,0,29),40,35,35,115,121,115,35,97,100,100,114,101,115,115,45,62,112,111,105,110,116,101,114,32,97,100,100,114,41,0,0,0};
static C_char C_TLS li833[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,112,111,105,110,116,101,114,45,62,97,100,100,114,101,115,115,32,112,116,114,41,0,0,0,0};
static C_char C_TLS li834[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,109,97,107,101,45,99,45,115,116,114,105,110,103,32,115,116,114,32,46,32,114,101,115,116,41};
static C_char C_TLS li835[] C_aligned={C_lihdr(0,0,21),67,95,112,101,101,107,95,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0,0,0};
static C_char C_TLS li836[] C_aligned={C_lihdr(0,0,23),67,95,112,101,101,107,95,117,110,115,105,103,110,101,100,95,105,110,116,101,103,101,114,0};
static C_char C_TLS li837[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,102,105,120,110,117,109,32,98,32,105,41,0};
static C_char C_TLS li838[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,98,121,116,101,32,112,116,114,32,105,41,0};
static C_char C_TLS li839[] C_aligned={C_lihdr(0,0,30),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,115,116,114,117,99,116,117,114,101,33,32,118,101,99,41,0,0};
static C_char C_TLS li840[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,112,101,101,107,45,100,111,117,98,108,101,32,98,32,105,41,0};
static C_char C_TLS li841[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li842[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,112,101,101,107,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0,0};
static C_char C_TLS li843[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li844[] C_aligned={C_lihdr(0,0,42),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,32,98,32,105,41,0,0,0,0,0,0};
static C_char C_TLS li845[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,112,111,107,101,45,99,45,115,116,114,105,110,103,32,98,32,105,32,115,41,0,0,0,0,0};
static C_char C_TLS li846[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,112,111,107,101,45,105,110,116,101,103,101,114,32,98,32,105,32,110,41,0,0,0,0,0,0};
static C_char C_TLS li847[] C_aligned={C_lihdr(0,0,25),40,35,35,115,121,115,35,112,111,107,101,45,100,111,117,98,108,101,32,98,32,105,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li848[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li849[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,112,101,101,107,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41};
static C_char C_TLS li850[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li851[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,112,101,101,107,45,97,110,100,45,102,114,101,101,45,99,45,115,116,114,105,110,103,45,108,105,115,116,32,112,116,114,32,110,41,0,0,0,0,0,0,0};
static C_char C_TLS li852[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,118,101,99,116,111,114,45,62,99,108,111,115,117,114,101,33,32,118,101,99,32,97,100,100,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li853[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,115,121,109,98,111,108,45,104,97,115,45,116,111,112,108,101,118,101,108,45,98,105,110,100,105,110,103,63,32,115,41,0,0};
static C_char C_TLS li854[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41};
static C_char C_TLS li855[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,99,111,112,121,45,119,111,114,100,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,119,111,114,100,115,41};
static C_char C_TLS li856[] C_aligned={C_lihdr(0,0,51),40,35,35,115,121,115,35,99,111,109,112,97,114,101,45,98,121,116,101,115,32,102,114,111,109,32,116,111,32,111,102,102,115,101,116,49,32,111,102,102,115,101,116,50,32,98,121,116,101,115,41,0,0,0,0,0};
static C_char C_TLS li857[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,98,108,111,99,107,45,112,111,105,110,116,101,114,32,120,41,0};
static C_char C_TLS li858[] C_aligned={C_lihdr(0,0,31),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,99,104,97,114,45,97,114,103,117,109,101,110,116,32,120,41,0};
static C_char C_TLS li859[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,105,120,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li860[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,102,108,111,110,117,109,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li861[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,98,108,111,99,107,45,97,114,103,117,109,101,110,116,32,120,41};
static C_char C_TLS li862[] C_aligned={C_lihdr(0,0,43),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,117,99,116,45,119,114,97,112,112,101,114,45,97,114,103,117,109,101,110,116,32,116,32,120,41,0,0,0,0,0};
static C_char C_TLS li863[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,116,114,105,110,103,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li864[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,115,121,109,98,111,108,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li865[] C_aligned={C_lihdr(0,0,34),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li866[] C_aligned={C_lihdr(0,0,44),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,116,97,103,103,101,100,45,112,111,105,110,116,101,114,45,97,114,103,117,109,101,110,116,32,120,32,116,120,41,0,0,0,0};
static C_char C_TLS li867[] C_aligned={C_lihdr(0,0,48),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41};
static C_char C_TLS li868[] C_aligned={C_lihdr(0,0,57),40,35,35,115,121,115,35,102,111,114,101,105,103,110,45,117,110,115,105,103,110,101,100,45,114,97,110,103,101,100,45,105,110,116,101,103,101,114,45,97,114,103,117,109,101,110,116,32,111,98,106,32,115,105,122,101,41,0,0,0,0,0,0,0};
static C_char C_TLS li869[] C_aligned={C_lihdr(0,0,37),40,35,35,115,121,115,35,100,101,102,97,117,108,116,45,101,120,99,101,112,116,105,111,110,45,104,97,110,100,108,101,114,32,97,114,103,41,0,0,0};
static C_char C_TLS li870[] C_aligned={C_lihdr(0,0,38),40,35,35,115,121,115,35,109,97,107,101,45,116,104,114,101,97,100,32,116,104,117,110,107,32,115,116,97,116,101,32,110,97,109,101,32,113,41,0,0};
static C_char C_TLS li871[] C_aligned={C_lihdr(0,0,27),40,35,35,115,121,115,35,109,97,107,101,45,109,117,116,101,120,32,105,100,32,111,119,110,101,114,41,0,0,0,0,0};
static C_char C_TLS li872[] C_aligned={C_lihdr(0,0,16),40,35,35,115,121,115,35,115,99,104,101,100,117,108,101,41};
static C_char C_TLS li873[] C_aligned={C_lihdr(0,0,8),40,97,50,56,52,55,50,41};
static C_char C_TLS li874[] C_aligned={C_lihdr(0,0,15),40,97,50,56,52,54,51,32,114,101,116,117,114,110,41,0};
static C_char C_TLS li875[] C_aligned={C_lihdr(0,0,21),40,35,35,115,121,115,35,116,104,114,101,97,100,45,121,105,101,108,100,33,41,0,0,0};
static C_char C_TLS li876[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,107,105,108,108,45,111,116,104,101,114,45,116,104,114,101,97,100,115,32,116,104,117,110,107,41};
static C_char C_TLS li877[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,45,104,111,111,107,32,110,41,0,0,0,0,0};
static C_char C_TLS li878[] C_aligned={C_lihdr(0,0,22),40,99,104,105,99,107,101,110,46,98,97,115,101,35,115,108,101,101,112,32,110,41,0,0};
static C_char C_TLS li879[] C_aligned={C_lihdr(0,0,16),67,95,99,111,110,116,101,120,116,95,115,119,105,116,99,104};
static C_char C_TLS li880[] C_aligned={C_lihdr(0,0,13),40,108,111,111,112,32,114,101,97,115,111,110,41,0,0,0};
static C_char C_TLS li881[] C_aligned={C_lihdr(0,0,35),40,35,35,115,121,115,35,105,110,116,101,114,114,117,112,116,45,104,111,111,107,32,114,101,97,115,111,110,32,115,116,97,116,101,41,0,0,0,0,0};
static C_char C_TLS li882[] C_aligned={C_lihdr(0,0,28),40,35,35,115,121,115,35,100,105,115,112,97,116,99,104,45,105,110,116,101,114,114,117,112,116,32,107,41,0,0,0,0};
static C_char C_TLS li883[] C_aligned={C_lihdr(0,0,20),40,35,35,115,121,115,35,117,112,100,97,116,101,45,101,114,114,110,111,41,0,0,0,0};
static C_char C_TLS li884[] C_aligned={C_lihdr(0,0,13),40,35,35,115,121,115,35,101,114,114,110,111,41,0,0,0};
static C_char C_TLS li885[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,54,49,53,32,99,41,0,0};
static C_char C_TLS li886[] C_aligned={C_lihdr(0,0,13),40,114,101,97,100,108,110,32,112,111,114,116,41,0,0,0};
static C_char C_TLS li887[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li888[] C_aligned={C_lihdr(0,0,36),40,114,101,97,100,45,101,115,99,97,112,101,100,45,115,101,120,112,32,112,111,114,116,32,115,107,105,112,45,98,114,97,99,101,63,41,0,0,0,0};
static C_char C_TLS li889[] C_aligned={C_lihdr(0,0,15),40,100,111,108,111,111,112,54,54,53,48,32,108,110,41,0};
static C_char C_TLS li890[] C_aligned={C_lihdr(0,0,15),40,103,101,116,47,99,108,101,97,114,45,115,116,114,41,0};
static C_char C_TLS li891[] C_aligned={C_lihdr(0,0,27),40,108,111,111,112,50,32,108,115,116,32,110,101,120,116,45,115,116,114,105,110,103,32,97,99,99,41,0,0,0,0,0};
static C_char C_TLS li892[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,108,115,116,41,0,0,0,0,0,0};
static C_char C_TLS li893[] C_aligned={C_lihdr(0,0,32),40,35,35,115,121,115,35,117,115,101,114,45,114,101,97,100,45,104,111,111,107,32,99,104,97,114,32,112,111,114,116,41};
static C_char C_TLS li894[] C_aligned={C_lihdr(0,0,47),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,32,110,97,109,101,41,0};
static C_char C_TLS li895[] C_aligned={C_lihdr(0,0,33),40,35,35,115,121,115,35,99,104,97,110,103,101,45,100,105,114,101,99,116,111,114,121,45,104,111,111,107,32,100,105,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li896[] C_aligned={C_lihdr(0,0,71),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,32,110,111,110,110,117,108,108,45,99,45,115,116,114,105,110,103,54,55,54,55,41,0};
static C_char C_TLS li897[] C_aligned={C_lihdr(0,0,59),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,32,118,97,108,41,0,0,0,0,0};
static C_char C_TLS li898[] C_aligned={C_lihdr(0,0,57),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,117,110,115,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,33,32,118,97,114,41,0,0,0,0,0,0,0};
static C_char C_TLS li899[] C_aligned={C_lihdr(0,0,8),40,115,99,97,110,32,106,41};
static C_char C_TLS li900[] C_aligned={C_lihdr(0,0,8),40,108,111,111,112,32,105,41};
static C_char C_TLS li901[] C_aligned={C_lihdr(0,0,51),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,103,101,116,45,101,110,118,105,114,111,110,109,101,110,116,45,118,97,114,105,97,98,108,101,115,41,0,0,0,0,0};
static C_char C_TLS li902[] C_aligned={C_lihdr(0,0,45),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,101,120,101,99,117,116,97,98,108,101,45,112,97,116,104,110,97,109,101,41,0,0,0};
static C_char C_TLS li903[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,99,43,97,114,103,118,41,0,0,0,0,0};
static C_char C_TLS li904[] C_aligned={C_lihdr(0,0,16),40,100,111,108,111,111,112,54,56,48,57,32,105,32,118,41};
static C_char C_TLS li905[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,112,114,111,99,101,115,115,45,99,111,110,116,101,120,116,35,97,114,103,118,41,0,0};
static C_char C_TLS li906[] C_aligned={C_lihdr(0,0,36),40,99,104,105,99,107,101,110,46,103,99,35,99,117,114,114,101,110,116,45,103,99,45,109,105,108,108,105,115,101,99,111,110,100,115,41,0,0,0,0};
static C_char C_TLS li907[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,103,99,45,114,101,112,111,114,116,33,32,102,108,97,103,41};
static C_char C_TLS li908[] C_aligned={C_lihdr(0,0,30),40,99,104,105,99,107,101,110,46,103,99,35,109,101,109,111,114,121,45,115,116,97,116,105,115,116,105,99,115,41,0,0};
static C_char C_TLS li909[] C_aligned={C_lihdr(0,0,20),67,95,114,101,103,105,115,116,101,114,95,102,105,110,97,108,105,122,101,114,0,0,0,0};
static C_char C_TLS li910[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,103,99,35,115,101,116,45,102,105,110,97,108,105,122,101,114,33,32,120,32,121,41,0};
static C_char C_TLS li911[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,48,52,41};
static C_char C_TLS li912[] C_aligned={C_lihdr(0,0,11),40,97,50,57,52,57,56,32,101,120,41,0,0,0,0,0};
static C_char C_TLS li913[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,49,54,41};
static C_char C_TLS li914[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,51,57,41};
static C_char C_TLS li915[] C_aligned={C_lihdr(0,0,15),40,97,50,57,53,51,51,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li916[] C_aligned={C_lihdr(0,0,8),40,97,50,57,53,49,48,41};
static C_char C_TLS li917[] C_aligned={C_lihdr(0,0,10),40,97,50,57,52,57,50,32,107,41,0,0,0,0,0,0};
static C_char C_TLS li918[] C_aligned={C_lihdr(0,0,14),40,100,111,108,111,111,112,54,56,56,52,32,105,41,0,0};
static C_char C_TLS li919[] C_aligned={C_lihdr(0,0,36),40,35,35,115,121,115,35,114,117,110,45,112,101,110,100,105,110,103,45,102,105,110,97,108,105,122,101,114,115,32,115,116,97,116,101,41,0,0,0,0};
static C_char C_TLS li920[] C_aligned={C_lihdr(0,0,6),40,108,111,111,112,41,0,0};
static C_char C_TLS li921[] C_aligned={C_lihdr(0,0,24),40,35,35,115,121,115,35,102,111,114,99,101,45,102,105,110,97,108,105,122,101,114,115,41};
static C_char C_TLS li922[] C_aligned={C_lihdr(0,0,21),40,99,104,105,99,107,101,110,46,103,99,35,103,99,32,46,32,97,114,103,41,0,0,0};
static C_char C_TLS li923[] C_aligned={C_lihdr(0,0,41),40,35,35,115,121,115,35,109,97,107,101,45,108,111,99,97,116,105,118,101,32,111,98,106,32,105,110,100,101,120,32,119,101,97,107,63,32,108,111,99,41,0,0,0,0,0,0,0};
static C_char C_TLS li924[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,112,117,116,33,32,115,121,109,32,112,114,111,112,32,118,97,108,41,0,0,0,0,0,0,0};
static C_char C_TLS li925[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,32,115,121,109,32,112,114,111,112,32,46,32,114,101,115,116,41,0,0,0,0,0};
static C_char C_TLS li926[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,112,116,108,41,0,0,0,0,0,0};
static C_char C_TLS li927[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,114,101,109,112,114,111,112,33,32,115,121,109,32,112,114,111,112,41,0,0,0,0,0,0,0};
static C_char C_TLS li928[] C_aligned={C_lihdr(0,0,12),40,108,111,111,112,32,112,108,105,115,116,41,0,0,0,0};
static C_char C_TLS li929[] C_aligned={C_lihdr(0,0,40),40,99,104,105,99,107,101,110,46,112,108,105,115,116,35,103,101,116,45,112,114,111,112,101,114,116,105,101,115,32,115,121,109,32,112,114,111,112,115,41};
static C_char C_TLS li930[] C_aligned={C_lihdr(0,0,10),40,112,110,117,109,32,110,117,109,41,0,0,0,0,0,0};
static C_char C_TLS li931[] C_aligned={C_lihdr(0,0,14),40,114,111,117,110,100,45,116,111,32,120,32,121,41,0,0};
static C_char C_TLS li932[] C_aligned={C_lihdr(0,0,12),40,112,109,101,109,32,98,121,116,101,115,41,0,0,0,0};
static C_char C_TLS li933[] C_aligned={C_lihdr(0,0,26),40,35,35,115,121,115,35,100,105,115,112,108,97,121,45,116,105,109,101,115,32,105,110,102,111,41,0,0,0,0,0,0};
static C_char C_TLS li934[] C_aligned={C_lihdr(0,0,17),67,95,100,117,109,112,95,104,101,97,112,95,115,116,97,116,101,0,0,0,0,0,0,0};
static C_char C_TLS li935[] C_aligned={C_lihdr(0,0,21),67,95,102,105,108,116,101,114,95,104,101,97,112,95,111,98,106,101,99,116,115,0,0,0};
static C_char C_TLS li936[] C_aligned={C_lihdr(0,0,32),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,116,121,112,101,41};
static C_char C_TLS li937[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,116,121,112,101,41,0};
static C_char C_TLS li938[] C_aligned={C_lihdr(0,0,37),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,109,97,99,104,105,110,101,45,98,121,116,101,45,111,114,100,101,114,41,0,0,0};
static C_char C_TLS li939[] C_aligned={C_lihdr(0,0,35),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,111,102,116,119,97,114,101,45,118,101,114,115,105,111,110,41,0,0,0,0,0};
static C_char C_TLS li940[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,98,117,105,108,100,45,112,108,97,116,102,111,114,109,41,0,0,0,0,0,0,0};
static C_char C_TLS li941[] C_aligned={C_lihdr(0,0,7),40,115,116,114,32,120,41,0};
static C_char C_TLS li942[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,118,101,114,115,105,111,110,32,46,32,114,101,115,116,41,0,0,0,0,0,0,0};
static C_char C_TLS li943[] C_aligned={C_lihdr(0,0,31),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,99,104,105,99,107,101,110,45,104,111,109,101,41,0};
static C_char C_TLS li944[] C_aligned={C_lihdr(0,0,16),40,108,111,111,112,32,115,116,97,114,116,32,112,111,115,41};
static C_char C_TLS li945[] C_aligned={C_lihdr(0,0,23),40,35,35,115,121,115,35,115,112,108,105,116,45,112,97,116,104,32,112,97,116,104,41,0};
static C_char C_TLS li946[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,45,62,102,101,97,116,117,114,101,45,105,100,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li947[] C_aligned={C_lihdr(0,0,9),40,99,104,101,99,107,32,102,41,0,0,0,0,0,0,0};
static C_char C_TLS li948[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,56,52,32,103,55,50,57,49,41,0,0,0,0,0,0,0};
static C_char C_TLS li949[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li950[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,102,102,115,41,0,0,0,0,0,0};
static C_char C_TLS li951[] C_aligned={C_lihdr(0,0,20),40,109,97,112,45,108,111,111,112,55,51,48,55,32,103,55,51,49,57,41,0,0,0,0};
static C_char C_TLS li952[] C_aligned={C_lihdr(0,0,43),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,117,110,114,101,103,105,115,116,101,114,45,102,101,97,116,117,114,101,33,32,46,32,102,115,41,0,0,0,0,0};
static C_char C_TLS li953[] C_aligned={C_lihdr(0,0,27),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,115,41,0,0,0,0,0};
static C_char C_TLS li954[] C_aligned={C_lihdr(0,0,10),40,108,111,111,112,32,105,100,115,41,0,0,0,0,0,0};
static C_char C_TLS li955[] C_aligned={C_lihdr(0,0,33),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,102,101,97,116,117,114,101,63,32,46,32,105,100,115,41,0,0,0,0,0,0,0};
static C_char C_TLS li956[] C_aligned={C_lihdr(0,0,16),67,95,114,101,116,117,114,110,95,116,111,95,104,111,115,116};
static C_char C_TLS li957[] C_aligned={C_lihdr(0,0,42),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,121,115,116,101,109,45,99,111,110,102,105,103,45,100,105,114,101,99,116,111,114,121,41,0,0,0,0,0,0};
static C_char C_TLS li958[] C_aligned={C_lihdr(0,0,41),40,99,104,105,99,107,101,110,46,112,108,97,116,102,111,114,109,35,115,121,115,116,101,109,45,99,97,99,104,101,45,100,105,114,101,99,116,111,114,121,41,0,0,0,0,0,0,0};
static C_char C_TLS li959[] C_aligned={C_lihdr(0,0,19),40,102,111,114,45,101,97,99,104,45,108,111,111,112,55,50,50,54,41,0,0,0,0,0};
static C_char C_TLS li960[] C_aligned={C_lihdr(0,0,12),40,97,51,48,57,57,52,32,110,101,119,41,0,0,0,0};
static C_char C_TLS li961[] C_aligned={C_lihdr(0,0,16),67,95,98,117,105,108,100,95,112,108,97,116,102,111,114,109};
static C_char C_TLS li962[] C_aligned={C_lihdr(0,0,18),67,95,115,111,102,116,119,97,114,101,95,118,101,114,115,105,111,110,0,0,0,0,0,0};
static C_char C_TLS li963[] C_aligned={C_lihdr(0,0,20),67,95,109,97,99,104,105,110,101,95,98,121,116,101,95,111,114,100,101,114,0,0,0,0};
static C_char C_TLS li964[] C_aligned={C_lihdr(0,0,14),67,95,109,97,99,104,105,110,101,95,116,121,112,101,0,0};
static C_char C_TLS li965[] C_aligned={C_lihdr(0,0,15),67,95,115,111,102,116,119,97,114,101,95,116,121,112,101,0};
static C_char C_TLS li966[] C_aligned={C_lihdr(0,0,12),40,97,51,49,48,57,51,32,115,121,109,41,0,0,0,0};
static C_char C_TLS li967[] C_aligned={C_lihdr(0,0,16),40,97,51,49,49,48,50,32,115,121,109,32,108,115,116,41};
static C_char C_TLS li968[] C_aligned={C_lihdr(0,0,10),40,97,51,49,49,52,50,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li969[] C_aligned={C_lihdr(0,0,11),40,108,111,111,112,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li970[] C_aligned={C_lihdr(0,0,19),40,102,51,54,55,57,56,32,120,54,56,50,54,51,54,55,57,55,41,0,0,0,0,0};
static C_char C_TLS li971[] C_aligned={C_lihdr(0,0,19),40,102,51,54,56,48,52,32,120,54,56,49,54,51,54,56,48,51,41,0,0,0,0,0};
static C_char C_TLS li972[] C_aligned={C_lihdr(0,0,19),40,102,51,54,56,49,48,32,120,54,56,49,54,51,54,56,48,57,41,0,0,0,0,0};
static C_char C_TLS li973[] C_aligned={C_lihdr(0,0,8),40,97,51,49,50,50,55,41};
static C_char C_TLS li974[] C_aligned={C_lihdr(0,0,12),40,97,51,49,50,52,57,32,100,105,114,41,0,0,0,0};
static C_char C_TLS li975[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,53,49,32,103,53,56,53,56,41,0,0,0,0,0,0,0};
static C_char C_TLS li976[] C_aligned={C_lihdr(0,0,8),40,97,51,49,51,48,48,41};
static C_char C_TLS li977[] C_aligned={C_lihdr(0,0,9),40,103,53,56,56,51,32,120,41,0,0,0,0,0,0,0};
static C_char C_TLS li978[] C_aligned={C_lihdr(0,0,25),40,102,111,114,45,101,97,99,104,45,108,111,111,112,53,56,56,50,32,103,53,56,56,57,41,0,0,0,0,0,0,0};
static C_char C_TLS li979[] C_aligned={C_lihdr(0,0,15),40,97,51,49,52,49,50,32,46,32,97,114,103,115,41,0};
static C_char C_TLS li980[] C_aligned={C_lihdr(0,0,19),40,97,51,49,50,53,53,32,109,115,103,32,46,32,97,114,103,115,41,0,0,0,0,0};
static C_char C_TLS li981[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,49,53,41};
static C_char C_TLS li982[] C_aligned={C_lihdr(0,0,8),40,97,51,49,52,50,52,41};
static C_char C_TLS li983[] C_aligned={C_lihdr(0,0,15),40,97,51,49,52,51,48,32,46,32,114,101,115,116,41,0};
static C_char C_TLS li984[] C_aligned={C_lihdr(0,0,14),40,97,51,49,54,57,52,32,120,32,105,32,121,41,0,0};
static C_char C_TLS li985[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,48,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li986[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,49,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li987[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,50,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li988[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,51,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li989[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,52,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li990[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,53,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li991[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,54,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li992[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,55,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li993[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,56,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li994[] C_aligned={C_lihdr(0,0,12),40,97,51,49,55,57,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li995[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,48,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li996[] C_aligned={C_lihdr(0,0,12),40,97,51,49,56,49,52,32,120,32,121,41,0,0,0,0};
static C_char C_TLS li997[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,52,56,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li998[] C_aligned={C_lihdr(0,0,13),40,97,51,49,56,50,52,32,112,114,111,99,41,0,0,0};
static C_char C_TLS li999[] C_aligned={C_lihdr(0,0,10),40,97,51,49,56,54,52,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1000[] C_aligned={C_lihdr(0,0,10),40,97,51,49,57,49,57,32,120,41,0,0,0,0,0,0};
static C_char C_TLS li1001[] C_aligned={C_lihdr(0,0,15),40,97,51,49,57,51,53,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1002[] C_aligned={C_lihdr(0,0,16),40,97,51,49,56,57,48,32,103,101,116,32,115,101,116,41};
static C_char C_TLS li1003[] C_aligned={C_lihdr(0,0,15),40,97,51,49,56,56,48,32,112,114,111,99,32,105,41,0};
static C_char C_TLS li1004[] C_aligned={C_lihdr(0,0,10),40,116,111,112,108,101,118,101,108,41,0,0,0,0,0,0};


#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub6805(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word i=(C_word )(C_a0);
C_return(C_main_argv[C_unfix(i)]);
C_ret:
#undef return

return C_r;}

/* from chicken.process-context#executable-pathname in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
C_regparm static C_word C_fcall stub6797(C_word C_buf){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_r=C_mpointer(&C_a,(void*)C_executable_pathname());
return C_r;}

/* from k29188 */
C_regparm static C_word C_fcall stub6785(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
int t0=(int )C_unfix(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenventry(t0));
return C_r;}

/* from k29146 in chicken.process-context#get-environment-variable in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
C_regparm static C_word C_fcall stub6768(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
char * t0=(char * )C_c_string(C_a0);
C_r=C_mpointer(&C_a,(void*)C_getenv(t0));
return C_r;}

/* from k28306 */
C_regparm static C_word C_fcall stub6482(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
C_free(t0);
return C_r;}

/* from k28297 */
C_regparm static C_word C_fcall stub6474(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

/* from k28245 */
C_regparm static C_word C_fcall stub6455(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
void * t0=(void * )C_c_pointer_or_null(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_mpointer(&C_a,(void*)C_peek_c_string_at(t0,t1));
return C_r;}

#define return(x) C_cblock C_r = (C_mpointer(&C_a,(void*)(x))); goto C_ret; C_cblockend
C_regparm static C_word C_fcall stub5615(C_word C_buf,C_word C_a0){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
C_word x=(C_word )(C_a0);
C_return((C_char *)x);
C_ret:
#undef return

return C_r;}

/* from k15536 */
C_regparm static C_word C_fcall stub2825(C_word C_buf,C_word C_a0,C_word C_a1){
C_word C_r=C_SCHEME_UNDEFINED,*C_a=(C_word*)C_buf;
double t0=(double )C_c_double(C_a0);
int t1=(int )C_unfix(C_a1);
C_r=C_flonum(&C_a,ldexp(t0,t1));
return C_r;}

C_noret_decl(f34042)
static void C_ccall f34042(C_word c,C_word *av) C_noret;
C_noret_decl(f34566)
static void C_ccall f34566(C_word c,C_word *av) C_noret;
C_noret_decl(f36798)
static void C_ccall f36798(C_word c,C_word *av) C_noret;
C_noret_decl(f36804)
static void C_ccall f36804(C_word c,C_word *av) C_noret;
C_noret_decl(f36810)
static void C_ccall f36810(C_word c,C_word *av) C_noret;
C_noret_decl(f_10014)
static void C_ccall f_10014(C_word c,C_word *av) C_noret;
C_noret_decl(f_10020)
static void C_fcall f_10020(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10036)
static void C_ccall f_10036(C_word c,C_word *av) C_noret;
C_noret_decl(f_10061)
static void C_ccall f_10061(C_word c,C_word *av) C_noret;
C_noret_decl(f_10070)
static void C_fcall f_10070(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10111)
static void C_ccall f_10111(C_word c,C_word *av) C_noret;
C_noret_decl(f_10133)
static void C_ccall f_10133(C_word c,C_word *av) C_noret;
C_noret_decl(f_10165)
static void C_ccall f_10165(C_word c,C_word *av) C_noret;
C_noret_decl(f_10181)
static void C_fcall f_10181(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10184)
static void C_ccall f_10184(C_word c,C_word *av) C_noret;
C_noret_decl(f_10206)
static void C_ccall f_10206(C_word c,C_word *av) C_noret;
C_noret_decl(f_10212)
static void C_fcall f_10212(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10237)
static void C_ccall f_10237(C_word c,C_word *av) C_noret;
C_noret_decl(f_10277)
static void C_ccall f_10277(C_word c,C_word *av) C_noret;
C_noret_decl(f_10284)
static void C_fcall f_10284(C_word t0,C_word t1) C_noret;
C_noret_decl(f_10289)
static void C_fcall f_10289(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_10308)
static void C_ccall f_10308(C_word c,C_word *av) C_noret;
C_noret_decl(f_10330)
static void C_ccall f_10330(C_word c,C_word *av) C_noret;
C_noret_decl(f_10333)
static void C_ccall f_10333(C_word c,C_word *av) C_noret;
C_noret_decl(f_10336)
static void C_ccall f_10336(C_word c,C_word *av) C_noret;
C_noret_decl(f_10339)
static void C_ccall f_10339(C_word c,C_word *av) C_noret;
C_noret_decl(f_10345)
static void C_ccall f_10345(C_word c,C_word *av) C_noret;
C_noret_decl(f_10348)
static void C_ccall f_10348(C_word c,C_word *av) C_noret;
C_noret_decl(f_10351)
static void C_ccall f_10351(C_word c,C_word *av) C_noret;
C_noret_decl(f_10354)
static void C_ccall f_10354(C_word c,C_word *av) C_noret;
C_noret_decl(f_10357)
static void C_ccall f_10357(C_word c,C_word *av) C_noret;
C_noret_decl(f_10360)
static void C_ccall f_10360(C_word c,C_word *av) C_noret;
C_noret_decl(f_10363)
static void C_ccall f_10363(C_word c,C_word *av) C_noret;
C_noret_decl(f_10366)
static void C_ccall f_10366(C_word c,C_word *av) C_noret;
C_noret_decl(f_10369)
static void C_ccall f_10369(C_word c,C_word *av) C_noret;
C_noret_decl(f_10372)
static void C_ccall f_10372(C_word c,C_word *av) C_noret;
C_noret_decl(f_10375)
static void C_ccall f_10375(C_word c,C_word *av) C_noret;
C_noret_decl(f_10378)
static void C_ccall f_10378(C_word c,C_word *av) C_noret;
C_noret_decl(f_10381)
static void C_ccall f_10381(C_word c,C_word *av) C_noret;
C_noret_decl(f_10384)
static void C_ccall f_10384(C_word c,C_word *av) C_noret;
C_noret_decl(f_10387)
static void C_ccall f_10387(C_word c,C_word *av) C_noret;
C_noret_decl(f_10390)
static void C_ccall f_10390(C_word c,C_word *av) C_noret;
C_noret_decl(f_10393)
static void C_ccall f_10393(C_word c,C_word *av) C_noret;
C_noret_decl(f_10396)
static void C_ccall f_10396(C_word c,C_word *av) C_noret;
C_noret_decl(f_10399)
static void C_ccall f_10399(C_word c,C_word *av) C_noret;
C_noret_decl(f_10402)
static void C_ccall f_10402(C_word c,C_word *av) C_noret;
C_noret_decl(f_10405)
static void C_ccall f_10405(C_word c,C_word *av) C_noret;
C_noret_decl(f_10408)
static void C_ccall f_10408(C_word c,C_word *av) C_noret;
C_noret_decl(f_10411)
static void C_ccall f_10411(C_word c,C_word *av) C_noret;
C_noret_decl(f_10414)
static void C_ccall f_10414(C_word c,C_word *av) C_noret;
C_noret_decl(f_10417)
static void C_ccall f_10417(C_word c,C_word *av) C_noret;
C_noret_decl(f_10422)
static void C_ccall f_10422(C_word c,C_word *av) C_noret;
C_noret_decl(f_10431)
static void C_ccall f_10431(C_word c,C_word *av) C_noret;
C_noret_decl(f_10443)
static void C_ccall f_10443(C_word c,C_word *av) C_noret;
C_noret_decl(f_10458)
static void C_ccall f_10458(C_word c,C_word *av) C_noret;
C_noret_decl(f_10461)
static void C_ccall f_10461(C_word c,C_word *av) C_noret;
C_noret_decl(f_10469)
static void C_ccall f_10469(C_word c,C_word *av) C_noret;
C_noret_decl(f_10473)
static void C_ccall f_10473(C_word c,C_word *av) C_noret;
C_noret_decl(f_10475)
static void C_ccall f_10475(C_word c,C_word *av) C_noret;
C_noret_decl(f_10479)
static void C_ccall f_10479(C_word c,C_word *av) C_noret;
C_noret_decl(f_10482)
static void C_ccall f_10482(C_word c,C_word *av) C_noret;
C_noret_decl(f_10493)
static void C_ccall f_10493(C_word c,C_word *av) C_noret;
C_noret_decl(f_10495)
static void C_ccall f_10495(C_word c,C_word *av) C_noret;
C_noret_decl(f_10502)
static void C_ccall f_10502(C_word c,C_word *av) C_noret;
C_noret_decl(f_10505)
static void C_ccall f_10505(C_word c,C_word *av) C_noret;
C_noret_decl(f_10508)
static void C_ccall f_10508(C_word c,C_word *av) C_noret;
C_noret_decl(f_10513)
static void C_ccall f_10513(C_word c,C_word *av) C_noret;
C_noret_decl(f_10517)
static void C_ccall f_10517(C_word c,C_word *av) C_noret;
C_noret_decl(f_10522)
static void C_ccall f_10522(C_word c,C_word *av) C_noret;
C_noret_decl(f_10526)
static void C_ccall f_10526(C_word c,C_word *av) C_noret;
C_noret_decl(f_10529)
static void C_ccall f_10529(C_word c,C_word *av) C_noret;
C_noret_decl(f_10557)
static void C_ccall f_10557(C_word c,C_word *av) C_noret;
C_noret_decl(f_10560)
static void C_ccall f_10560(C_word c,C_word *av) C_noret;
C_noret_decl(f_10563)
static void C_ccall f_10563(C_word c,C_word *av) C_noret;
C_noret_decl(f_10580)
static void C_ccall f_10580(C_word c,C_word *av) C_noret;
C_noret_decl(f_10591)
static void C_ccall f_10591(C_word c,C_word *av) C_noret;
C_noret_decl(f_10603)
static void C_ccall f_10603(C_word c,C_word *av) C_noret;
C_noret_decl(f_10614)
static void C_ccall f_10614(C_word c,C_word *av) C_noret;
C_noret_decl(f_10625)
static void C_ccall f_10625(C_word c,C_word *av) C_noret;
C_noret_decl(f_10636)
static void C_ccall f_10636(C_word c,C_word *av) C_noret;
C_noret_decl(f_10647)
static void C_ccall f_10647(C_word c,C_word *av) C_noret;
C_noret_decl(f_10658)
static void C_ccall f_10658(C_word c,C_word *av) C_noret;
C_noret_decl(f_10669)
static void C_ccall f_10669(C_word c,C_word *av) C_noret;
C_noret_decl(f_10680)
static void C_ccall f_10680(C_word c,C_word *av) C_noret;
C_noret_decl(f_10691)
static void C_ccall f_10691(C_word c,C_word *av) C_noret;
C_noret_decl(f_10702)
static void C_ccall f_10702(C_word c,C_word *av) C_noret;
C_noret_decl(f_10713)
static void C_ccall f_10713(C_word c,C_word *av) C_noret;
C_noret_decl(f_10724)
static void C_ccall f_10724(C_word c,C_word *av) C_noret;
C_noret_decl(f_10735)
static void C_ccall f_10735(C_word c,C_word *av) C_noret;
C_noret_decl(f_10746)
static void C_ccall f_10746(C_word c,C_word *av) C_noret;
C_noret_decl(f_10763)
static void C_ccall f_10763(C_word c,C_word *av) C_noret;
C_noret_decl(f_10780)
static void C_ccall f_10780(C_word c,C_word *av) C_noret;
C_noret_decl(f_10804)
static void C_ccall f_10804(C_word c,C_word *av) C_noret;
C_noret_decl(f_10821)
static void C_ccall f_10821(C_word c,C_word *av) C_noret;
C_noret_decl(f_10825)
static void C_ccall f_10825(C_word c,C_word *av) C_noret;
C_noret_decl(f_10851)
static void C_ccall f_10851(C_word c,C_word *av) C_noret;
C_noret_decl(f_10871)
static void C_ccall f_10871(C_word c,C_word *av) C_noret;
C_noret_decl(f_10882)
static void C_ccall f_10882(C_word c,C_word *av) C_noret;
C_noret_decl(f_10894)
static void C_fcall f_10894(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_10928)
static void C_ccall f_10928(C_word c,C_word *av) C_noret;
C_noret_decl(f_10943)
static void C_fcall f_10943(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11010)
static void C_ccall f_11010(C_word c,C_word *av) C_noret;
C_noret_decl(f_11026)
static void C_ccall f_11026(C_word c,C_word *av) C_noret;
C_noret_decl(f_11042)
static void C_ccall f_11042(C_word c,C_word *av) C_noret;
C_noret_decl(f_11058)
static void C_ccall f_11058(C_word c,C_word *av) C_noret;
C_noret_decl(f_11074)
static void C_ccall f_11074(C_word c,C_word *av) C_noret;
C_noret_decl(f_11090)
static void C_ccall f_11090(C_word c,C_word *av) C_noret;
C_noret_decl(f_11106)
static void C_ccall f_11106(C_word c,C_word *av) C_noret;
C_noret_decl(f_11122)
static void C_ccall f_11122(C_word c,C_word *av) C_noret;
C_noret_decl(f_11138)
static void C_ccall f_11138(C_word c,C_word *av) C_noret;
C_noret_decl(f_11150)
static void C_fcall f_11150(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11169)
static void C_fcall f_11169(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_11200)
static void C_ccall f_11200(C_word c,C_word *av) C_noret;
C_noret_decl(f_11217)
static void C_ccall f_11217(C_word c,C_word *av) C_noret;
C_noret_decl(f_11223)
static void C_fcall f_11223(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11247)
static void C_ccall f_11247(C_word c,C_word *av) C_noret;
C_noret_decl(f_11267)
static void C_ccall f_11267(C_word c,C_word *av) C_noret;
C_noret_decl(f_11271)
static void C_ccall f_11271(C_word c,C_word *av) C_noret;
C_noret_decl(f_11274)
static void C_ccall f_11274(C_word c,C_word *av) C_noret;
C_noret_decl(f_11303)
static void C_ccall f_11303(C_word c,C_word *av) C_noret;
C_noret_decl(f_11319)
static void C_fcall f_11319(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11341)
static void C_ccall f_11341(C_word c,C_word *av) C_noret;
C_noret_decl(f_11357)
static void C_ccall f_11357(C_word c,C_word *av) C_noret;
C_noret_decl(f_11362)
static C_word C_fcall f_11362(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11393)
static void C_ccall f_11393(C_word c,C_word *av) C_noret;
C_noret_decl(f_11404)
static void C_ccall f_11404(C_word c,C_word *av) C_noret;
C_noret_decl(f_11413)
static C_word C_fcall f_11413(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11442)
static void C_ccall f_11442(C_word c,C_word *av) C_noret;
C_noret_decl(f_11455)
static void C_ccall f_11455(C_word c,C_word *av) C_noret;
C_noret_decl(f_11465)
static void C_ccall f_11465(C_word c,C_word *av) C_noret;
C_noret_decl(f_11467)
static void C_ccall f_11467(C_word c,C_word *av) C_noret;
C_noret_decl(f_11474)
static void C_ccall f_11474(C_word c,C_word *av) C_noret;
C_noret_decl(f_11477)
static void C_fcall f_11477(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11486)
static void C_fcall f_11486(C_word t0,C_word t1) C_noret;
C_noret_decl(f_11512)
static void C_ccall f_11512(C_word c,C_word *av) C_noret;
C_noret_decl(f_11517)
static void C_ccall f_11517(C_word c,C_word *av) C_noret;
C_noret_decl(f_11521)
static void C_ccall f_11521(C_word c,C_word *av) C_noret;
C_noret_decl(f_11526)
static void C_ccall f_11526(C_word c,C_word *av) C_noret;
C_noret_decl(f_11547)
static void C_ccall f_11547(C_word c,C_word *av) C_noret;
C_noret_decl(f_11553)
static void C_ccall f_11553(C_word c,C_word *av) C_noret;
C_noret_decl(f_11571)
static void C_ccall f_11571(C_word c,C_word *av) C_noret;
C_noret_decl(f_11577)
static void C_ccall f_11577(C_word c,C_word *av) C_noret;
C_noret_decl(f_11595)
static void C_ccall f_11595(C_word c,C_word *av) C_noret;
C_noret_decl(f_11601)
static void C_ccall f_11601(C_word c,C_word *av) C_noret;
C_noret_decl(f_11616)
static void C_ccall f_11616(C_word c,C_word *av) C_noret;
C_noret_decl(f_11622)
static void C_ccall f_11622(C_word c,C_word *av) C_noret;
C_noret_decl(f_11636)
static void C_ccall f_11636(C_word c,C_word *av) C_noret;
C_noret_decl(f_11657)
static void C_ccall f_11657(C_word c,C_word *av) C_noret;
C_noret_decl(f_11663)
static void C_ccall f_11663(C_word c,C_word *av) C_noret;
C_noret_decl(f_11681)
static void C_ccall f_11681(C_word c,C_word *av) C_noret;
C_noret_decl(f_11687)
static void C_ccall f_11687(C_word c,C_word *av) C_noret;
C_noret_decl(f_11705)
static void C_ccall f_11705(C_word c,C_word *av) C_noret;
C_noret_decl(f_11711)
static void C_ccall f_11711(C_word c,C_word *av) C_noret;
C_noret_decl(f_11726)
static void C_ccall f_11726(C_word c,C_word *av) C_noret;
C_noret_decl(f_11732)
static void C_ccall f_11732(C_word c,C_word *av) C_noret;
C_noret_decl(f_11747)
static void C_ccall f_11747(C_word c,C_word *av) C_noret;
C_noret_decl(f_11757)
static void C_ccall f_11757(C_word c,C_word *av) C_noret;
C_noret_decl(f_11763)
static void C_ccall f_11763(C_word c,C_word *av) C_noret;
C_noret_decl(f_11767)
static void C_ccall f_11767(C_word c,C_word *av) C_noret;
C_noret_decl(f_11769)
static void C_fcall f_11769(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11780)
static void C_ccall f_11780(C_word c,C_word *av) C_noret;
C_noret_decl(f_11792)
static void C_ccall f_11792(C_word c,C_word *av) C_noret;
C_noret_decl(f_11802)
static void C_ccall f_11802(C_word c,C_word *av) C_noret;
C_noret_decl(f_11808)
static void C_ccall f_11808(C_word c,C_word *av) C_noret;
C_noret_decl(f_11812)
static void C_ccall f_11812(C_word c,C_word *av) C_noret;
C_noret_decl(f_11817)
static C_word C_fcall f_11817(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_11843)
static void C_ccall f_11843(C_word c,C_word *av) C_noret;
C_noret_decl(f_11847)
static void C_ccall f_11847(C_word c,C_word *av) C_noret;
C_noret_decl(f_11850)
static void C_ccall f_11850(C_word c,C_word *av) C_noret;
C_noret_decl(f_11858)
static void C_fcall f_11858(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_11879)
static void C_fcall f_11879(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_11893)
static void C_ccall f_11893(C_word c,C_word *av) C_noret;
C_noret_decl(f_11897)
static void C_ccall f_11897(C_word c,C_word *av) C_noret;
C_noret_decl(f_11938)
static void C_ccall f_11938(C_word c,C_word *av) C_noret;
C_noret_decl(f_11960)
static void C_ccall f_11960(C_word c,C_word *av) C_noret;
C_noret_decl(f_11962)
static void C_ccall f_11962(C_word c,C_word *av) C_noret;
C_noret_decl(f_11984)
static void C_ccall f_11984(C_word c,C_word *av) C_noret;
C_noret_decl(f_11986)
static void C_ccall f_11986(C_word c,C_word *av) C_noret;
C_noret_decl(f_12008)
static void C_ccall f_12008(C_word c,C_word *av) C_noret;
C_noret_decl(f_12010)
static void C_ccall f_12010(C_word c,C_word *av) C_noret;
C_noret_decl(f_12032)
static void C_ccall f_12032(C_word c,C_word *av) C_noret;
C_noret_decl(f_12034)
static void C_ccall f_12034(C_word c,C_word *av) C_noret;
C_noret_decl(f_12056)
static void C_ccall f_12056(C_word c,C_word *av) C_noret;
C_noret_decl(f_12058)
static void C_ccall f_12058(C_word c,C_word *av) C_noret;
C_noret_decl(f_12080)
static void C_ccall f_12080(C_word c,C_word *av) C_noret;
C_noret_decl(f_12082)
static void C_ccall f_12082(C_word c,C_word *av) C_noret;
C_noret_decl(f_12104)
static void C_ccall f_12104(C_word c,C_word *av) C_noret;
C_noret_decl(f_12106)
static void C_ccall f_12106(C_word c,C_word *av) C_noret;
C_noret_decl(f_12128)
static void C_ccall f_12128(C_word c,C_word *av) C_noret;
C_noret_decl(f_12130)
static void C_ccall f_12130(C_word c,C_word *av) C_noret;
C_noret_decl(f_12152)
static void C_ccall f_12152(C_word c,C_word *av) C_noret;
C_noret_decl(f_12154)
static void C_ccall f_12154(C_word c,C_word *av) C_noret;
C_noret_decl(f_12176)
static void C_ccall f_12176(C_word c,C_word *av) C_noret;
C_noret_decl(f_12178)
static void C_ccall f_12178(C_word c,C_word *av) C_noret;
C_noret_decl(f_12200)
static void C_ccall f_12200(C_word c,C_word *av) C_noret;
C_noret_decl(f_12202)
static void C_ccall f_12202(C_word c,C_word *av) C_noret;
C_noret_decl(f_12218)
static void C_ccall f_12218(C_word c,C_word *av) C_noret;
C_noret_decl(f_12220)
static void C_ccall f_12220(C_word c,C_word *av) C_noret;
C_noret_decl(f_12242)
static void C_ccall f_12242(C_word c,C_word *av) C_noret;
C_noret_decl(f_12244)
static void C_ccall f_12244(C_word c,C_word *av) C_noret;
C_noret_decl(f_12266)
static void C_ccall f_12266(C_word c,C_word *av) C_noret;
C_noret_decl(f_12268)
static void C_ccall f_12268(C_word c,C_word *av) C_noret;
C_noret_decl(f_12284)
static void C_ccall f_12284(C_word c,C_word *av) C_noret;
C_noret_decl(f_12286)
static void C_ccall f_12286(C_word c,C_word *av) C_noret;
C_noret_decl(f_12302)
static void C_ccall f_12302(C_word c,C_word *av) C_noret;
C_noret_decl(f_12304)
static void C_ccall f_12304(C_word c,C_word *av) C_noret;
C_noret_decl(f_12320)
static void C_ccall f_12320(C_word c,C_word *av) C_noret;
C_noret_decl(f_12322)
static void C_ccall f_12322(C_word c,C_word *av) C_noret;
C_noret_decl(f_12338)
static void C_ccall f_12338(C_word c,C_word *av) C_noret;
C_noret_decl(f_12340)
static void C_ccall f_12340(C_word c,C_word *av) C_noret;
C_noret_decl(f_12356)
static void C_ccall f_12356(C_word c,C_word *av) C_noret;
C_noret_decl(f_12358)
static void C_ccall f_12358(C_word c,C_word *av) C_noret;
C_noret_decl(f_12374)
static void C_ccall f_12374(C_word c,C_word *av) C_noret;
C_noret_decl(f_12376)
static void C_ccall f_12376(C_word c,C_word *av) C_noret;
C_noret_decl(f_12392)
static void C_ccall f_12392(C_word c,C_word *av) C_noret;
C_noret_decl(f_12394)
static void C_ccall f_12394(C_word c,C_word *av) C_noret;
C_noret_decl(f_12410)
static void C_ccall f_12410(C_word c,C_word *av) C_noret;
C_noret_decl(f_12412)
static void C_ccall f_12412(C_word c,C_word *av) C_noret;
C_noret_decl(f_12428)
static void C_ccall f_12428(C_word c,C_word *av) C_noret;
C_noret_decl(f_12430)
static void C_ccall f_12430(C_word c,C_word *av) C_noret;
C_noret_decl(f_12446)
static void C_ccall f_12446(C_word c,C_word *av) C_noret;
C_noret_decl(f_12448)
static void C_ccall f_12448(C_word c,C_word *av) C_noret;
C_noret_decl(f_12470)
static void C_ccall f_12470(C_word c,C_word *av) C_noret;
C_noret_decl(f_12472)
static void C_ccall f_12472(C_word c,C_word *av) C_noret;
C_noret_decl(f_12488)
static void C_ccall f_12488(C_word c,C_word *av) C_noret;
C_noret_decl(f_12490)
static void C_ccall f_12490(C_word c,C_word *av) C_noret;
C_noret_decl(f_12512)
static void C_ccall f_12512(C_word c,C_word *av) C_noret;
C_noret_decl(f_12514)
static void C_ccall f_12514(C_word c,C_word *av) C_noret;
C_noret_decl(f_12530)
static void C_ccall f_12530(C_word c,C_word *av) C_noret;
C_noret_decl(f_12532)
static void C_ccall f_12532(C_word c,C_word *av) C_noret;
C_noret_decl(f_12548)
static void C_ccall f_12548(C_word c,C_word *av) C_noret;
C_noret_decl(f_12550)
static void C_ccall f_12550(C_word c,C_word *av) C_noret;
C_noret_decl(f_12566)
static void C_ccall f_12566(C_word c,C_word *av) C_noret;
C_noret_decl(f_12568)
static void C_ccall f_12568(C_word c,C_word *av) C_noret;
C_noret_decl(f_12584)
static void C_ccall f_12584(C_word c,C_word *av) C_noret;
C_noret_decl(f_12586)
static void C_ccall f_12586(C_word c,C_word *av) C_noret;
C_noret_decl(f_12596)
static void C_ccall f_12596(C_word c,C_word *av) C_noret;
C_noret_decl(f_12608)
static void C_fcall f_12608(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12618)
static void C_ccall f_12618(C_word c,C_word *av) C_noret;
C_noret_decl(f_12622)
static void C_ccall f_12622(C_word c,C_word *av) C_noret;
C_noret_decl(f_12644)
static void C_ccall f_12644(C_word c,C_word *av) C_noret;
C_noret_decl(f_12648)
static void C_ccall f_12648(C_word c,C_word *av) C_noret;
C_noret_decl(f_12651)
static void C_ccall f_12651(C_word c,C_word *av) C_noret;
C_noret_decl(f_12656)
static void C_ccall f_12656(C_word c,C_word *av) C_noret;
C_noret_decl(f_12660)
static void C_ccall f_12660(C_word c,C_word *av) C_noret;
C_noret_decl(f_12663)
static void C_ccall f_12663(C_word c,C_word *av) C_noret;
C_noret_decl(f_12666)
static void C_ccall f_12666(C_word c,C_word *av) C_noret;
C_noret_decl(f_12679)
static void C_ccall f_12679(C_word c,C_word *av) C_noret;
C_noret_decl(f_12702)
static void C_ccall f_12702(C_word c,C_word *av) C_noret;
C_noret_decl(f_12728)
static void C_ccall f_12728(C_word c,C_word *av) C_noret;
C_noret_decl(f_12737)
static void C_ccall f_12737(C_word c,C_word *av) C_noret;
C_noret_decl(f_12742)
static void C_ccall f_12742(C_word c,C_word *av) C_noret;
C_noret_decl(f_12744)
static void C_ccall f_12744(C_word c,C_word *av) C_noret;
C_noret_decl(f_12788)
static void C_fcall f_12788(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_12834)
static void C_ccall f_12834(C_word c,C_word *av) C_noret;
C_noret_decl(f_12858)
static void C_ccall f_12858(C_word c,C_word *av) C_noret;
C_noret_decl(f_12862)
static void C_ccall f_12862(C_word c,C_word *av) C_noret;
C_noret_decl(f_12880)
static void C_ccall f_12880(C_word c,C_word *av) C_noret;
C_noret_decl(f_12904)
static void C_ccall f_12904(C_word c,C_word *av) C_noret;
C_noret_decl(f_12908)
static void C_ccall f_12908(C_word c,C_word *av) C_noret;
C_noret_decl(f_12926)
static void C_ccall f_12926(C_word c,C_word *av) C_noret;
C_noret_decl(f_12967)
static void C_fcall f_12967(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12978)
static void C_ccall f_12978(C_word c,C_word *av) C_noret;
C_noret_decl(f_12984)
static void C_fcall f_12984(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_12988)
static void C_ccall f_12988(C_word c,C_word *av) C_noret;
C_noret_decl(f_13002)
static void C_ccall f_13002(C_word c,C_word *av) C_noret;
C_noret_decl(f_13015)
static void C_ccall f_13015(C_word c,C_word *av) C_noret;
C_noret_decl(f_13019)
static void C_ccall f_13019(C_word c,C_word *av) C_noret;
C_noret_decl(f_13036)
static void C_ccall f_13036(C_word c,C_word *av) C_noret;
C_noret_decl(f_13040)
static void C_ccall f_13040(C_word c,C_word *av) C_noret;
C_noret_decl(f_13046)
static void C_ccall f_13046(C_word c,C_word *av) C_noret;
C_noret_decl(f_13050)
static void C_ccall f_13050(C_word c,C_word *av) C_noret;
C_noret_decl(f_13090)
static void C_ccall f_13090(C_word c,C_word *av) C_noret;
C_noret_decl(f_13094)
static void C_ccall f_13094(C_word c,C_word *av) C_noret;
C_noret_decl(f_13116)
static void C_ccall f_13116(C_word c,C_word *av) C_noret;
C_noret_decl(f_13119)
static void C_ccall f_13119(C_word c,C_word *av) C_noret;
C_noret_decl(f_13122)
static void C_ccall f_13122(C_word c,C_word *av) C_noret;
C_noret_decl(f_13125)
static void C_ccall f_13125(C_word c,C_word *av) C_noret;
C_noret_decl(f_13128)
static void C_ccall f_13128(C_word c,C_word *av) C_noret;
C_noret_decl(f_13149)
static void C_ccall f_13149(C_word c,C_word *av) C_noret;
C_noret_decl(f_13151)
static void C_fcall f_13151(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13169)
static void C_ccall f_13169(C_word c,C_word *av) C_noret;
C_noret_decl(f_13179)
static void C_ccall f_13179(C_word c,C_word *av) C_noret;
C_noret_decl(f_13183)
static void C_ccall f_13183(C_word c,C_word *av) C_noret;
C_noret_decl(f_13189)
static void C_fcall f_13189(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13221)
static void C_ccall f_13221(C_word c,C_word *av) C_noret;
C_noret_decl(f_13224)
static void C_ccall f_13224(C_word c,C_word *av) C_noret;
C_noret_decl(f_13227)
static void C_ccall f_13227(C_word c,C_word *av) C_noret;
C_noret_decl(f_13230)
static void C_ccall f_13230(C_word c,C_word *av) C_noret;
C_noret_decl(f_13236)
static void C_ccall f_13236(C_word c,C_word *av) C_noret;
C_noret_decl(f_13239)
static void C_ccall f_13239(C_word c,C_word *av) C_noret;
C_noret_decl(f_13287)
static void C_ccall f_13287(C_word c,C_word *av) C_noret;
C_noret_decl(f_13291)
static void C_ccall f_13291(C_word c,C_word *av) C_noret;
C_noret_decl(f_13368)
static void C_ccall f_13368(C_word c,C_word *av) C_noret;
C_noret_decl(f_13407)
static void C_ccall f_13407(C_word c,C_word *av) C_noret;
C_noret_decl(f_13462)
static void C_ccall f_13462(C_word c,C_word *av) C_noret;
C_noret_decl(f_13507)
static void C_ccall f_13507(C_word c,C_word *av) C_noret;
C_noret_decl(f_13552)
static void C_ccall f_13552(C_word c,C_word *av) C_noret;
C_noret_decl(f_13589)
static void C_ccall f_13589(C_word c,C_word *av) C_noret;
C_noret_decl(f_13609)
static void C_ccall f_13609(C_word c,C_word *av) C_noret;
C_noret_decl(f_13633)
static void C_fcall f_13633(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_13636)
static void C_fcall f_13636(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_13640)
static void C_ccall f_13640(C_word c,C_word *av) C_noret;
C_noret_decl(f_13643)
static void C_ccall f_13643(C_word c,C_word *av) C_noret;
C_noret_decl(f_13661)
static void C_ccall f_13661(C_word c,C_word *av) C_noret;
C_noret_decl(f_13684)
static void C_ccall f_13684(C_word c,C_word *av) C_noret;
C_noret_decl(f_13688)
static void C_ccall f_13688(C_word c,C_word *av) C_noret;
C_noret_decl(f_13711)
static void C_ccall f_13711(C_word c,C_word *av) C_noret;
C_noret_decl(f_13715)
static void C_ccall f_13715(C_word c,C_word *av) C_noret;
C_noret_decl(f_13747)
static void C_ccall f_13747(C_word c,C_word *av) C_noret;
C_noret_decl(f_13783)
static void C_ccall f_13783(C_word c,C_word *av) C_noret;
C_noret_decl(f_13787)
static void C_ccall f_13787(C_word c,C_word *av) C_noret;
C_noret_decl(f_13806)
static void C_ccall f_13806(C_word c,C_word *av) C_noret;
C_noret_decl(f_13808)
static void C_ccall f_13808(C_word c,C_word *av) C_noret;
C_noret_decl(f_13815)
static void C_fcall f_13815(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13852)
static void C_ccall f_13852(C_word c,C_word *av) C_noret;
C_noret_decl(f_13859)
static void C_fcall f_13859(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_13896)
static void C_ccall f_13896(C_word c,C_word *av) C_noret;
C_noret_decl(f_13914)
static void C_ccall f_13914(C_word c,C_word *av) C_noret;
C_noret_decl(f_13923)
static void C_ccall f_13923(C_word c,C_word *av) C_noret;
C_noret_decl(f_13928)
static void C_ccall f_13928(C_word c,C_word *av) C_noret;
C_noret_decl(f_13941)
static void C_ccall f_13941(C_word c,C_word *av) C_noret;
C_noret_decl(f_13960)
static void C_fcall f_13960(C_word t0,C_word t1) C_noret;
C_noret_decl(f_13967)
static void C_ccall f_13967(C_word c,C_word *av) C_noret;
C_noret_decl(f_13975)
static void C_ccall f_13975(C_word c,C_word *av) C_noret;
C_noret_decl(f_13979)
static void C_ccall f_13979(C_word c,C_word *av) C_noret;
C_noret_decl(f_13983)
static void C_ccall f_13983(C_word c,C_word *av) C_noret;
C_noret_decl(f_13987)
static void C_ccall f_13987(C_word c,C_word *av) C_noret;
C_noret_decl(f_13990)
static void C_ccall f_13990(C_word c,C_word *av) C_noret;
C_noret_decl(f_14004)
static void C_ccall f_14004(C_word c,C_word *av) C_noret;
C_noret_decl(f_14008)
static void C_ccall f_14008(C_word c,C_word *av) C_noret;
C_noret_decl(f_14019)
static void C_ccall f_14019(C_word c,C_word *av) C_noret;
C_noret_decl(f_14043)
static void C_ccall f_14043(C_word c,C_word *av) C_noret;
C_noret_decl(f_14047)
static void C_ccall f_14047(C_word c,C_word *av) C_noret;
C_noret_decl(f_14053)
static void C_ccall f_14053(C_word c,C_word *av) C_noret;
C_noret_decl(f_14077)
static void C_ccall f_14077(C_word c,C_word *av) C_noret;
C_noret_decl(f_14081)
static void C_ccall f_14081(C_word c,C_word *av) C_noret;
C_noret_decl(f_14087)
static void C_ccall f_14087(C_word c,C_word *av) C_noret;
C_noret_decl(f_14104)
static void C_ccall f_14104(C_word c,C_word *av) C_noret;
C_noret_decl(f_14108)
static void C_ccall f_14108(C_word c,C_word *av) C_noret;
C_noret_decl(f_14112)
static void C_ccall f_14112(C_word c,C_word *av) C_noret;
C_noret_decl(f_14122)
static void C_fcall f_14122(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14128)
static void C_fcall f_14128(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14135)
static void C_ccall f_14135(C_word c,C_word *av) C_noret;
C_noret_decl(f_14147)
static void C_ccall f_14147(C_word c,C_word *av) C_noret;
C_noret_decl(f_14170)
static void C_ccall f_14170(C_word c,C_word *av) C_noret;
C_noret_decl(f_14174)
static void C_ccall f_14174(C_word c,C_word *av) C_noret;
C_noret_decl(f_14184)
static void C_fcall f_14184(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14190)
static void C_fcall f_14190(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14197)
static void C_ccall f_14197(C_word c,C_word *av) C_noret;
C_noret_decl(f_14212)
static void C_ccall f_14212(C_word c,C_word *av) C_noret;
C_noret_decl(f_14216)
static void C_ccall f_14216(C_word c,C_word *av) C_noret;
C_noret_decl(f_14249)
static void C_ccall f_14249(C_word c,C_word *av) C_noret;
C_noret_decl(f_14253)
static void C_ccall f_14253(C_word c,C_word *av) C_noret;
C_noret_decl(f_14270)
static void C_ccall f_14270(C_word c,C_word *av) C_noret;
C_noret_decl(f_14280)
static void C_ccall f_14280(C_word c,C_word *av) C_noret;
C_noret_decl(f_14353)
static void C_ccall f_14353(C_word c,C_word *av) C_noret;
C_noret_decl(f_14367)
static void C_ccall f_14367(C_word c,C_word *av) C_noret;
C_noret_decl(f_14384)
static void C_ccall f_14384(C_word c,C_word *av) C_noret;
C_noret_decl(f_14400)
static void C_ccall f_14400(C_word c,C_word *av) C_noret;
C_noret_decl(f_14471)
static void C_ccall f_14471(C_word c,C_word *av) C_noret;
C_noret_decl(f_14475)
static void C_ccall f_14475(C_word c,C_word *av) C_noret;
C_noret_decl(f_14480)
static void C_ccall f_14480(C_word c,C_word *av) C_noret;
C_noret_decl(f_14490)
static void C_ccall f_14490(C_word c,C_word *av) C_noret;
C_noret_decl(f_14494)
static void C_ccall f_14494(C_word c,C_word *av) C_noret;
C_noret_decl(f_14509)
static void C_ccall f_14509(C_word c,C_word *av) C_noret;
C_noret_decl(f_14513)
static void C_ccall f_14513(C_word c,C_word *av) C_noret;
C_noret_decl(f_14530)
static void C_ccall f_14530(C_word c,C_word *av) C_noret;
C_noret_decl(f_14541)
static void C_ccall f_14541(C_word c,C_word *av) C_noret;
C_noret_decl(f_14547)
static void C_ccall f_14547(C_word c,C_word *av) C_noret;
C_noret_decl(f_14558)
static void C_ccall f_14558(C_word c,C_word *av) C_noret;
C_noret_decl(f_14569)
static void C_ccall f_14569(C_word c,C_word *av) C_noret;
C_noret_decl(f_14581)
static void C_ccall f_14581(C_word c,C_word *av) C_noret;
C_noret_decl(f_14593)
static void C_ccall f_14593(C_word c,C_word *av) C_noret;
C_noret_decl(f_14605)
static void C_ccall f_14605(C_word c,C_word *av) C_noret;
C_noret_decl(f_14622)
static void C_ccall f_14622(C_word c,C_word *av) C_noret;
C_noret_decl(f_14629)
static void C_ccall f_14629(C_word c,C_word *av) C_noret;
C_noret_decl(f_14633)
static void C_ccall f_14633(C_word c,C_word *av) C_noret;
C_noret_decl(f_14635)
static void C_ccall f_14635(C_word c,C_word *av) C_noret;
C_noret_decl(f_14641)
static void C_ccall f_14641(C_word c,C_word *av) C_noret;
C_noret_decl(f_14645)
static void C_ccall f_14645(C_word c,C_word *av) C_noret;
C_noret_decl(f_14648)
static void C_ccall f_14648(C_word c,C_word *av) C_noret;
C_noret_decl(f_14653)
static void C_ccall f_14653(C_word c,C_word *av) C_noret;
C_noret_decl(f_14663)
static void C_fcall f_14663(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14683)
static void C_ccall f_14683(C_word c,C_word *av) C_noret;
C_noret_decl(f_14698)
static void C_fcall f_14698(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14728)
static void C_ccall f_14728(C_word c,C_word *av) C_noret;
C_noret_decl(f_14739)
static void C_ccall f_14739(C_word c,C_word *av) C_noret;
C_noret_decl(f_14755)
static void C_ccall f_14755(C_word c,C_word *av) C_noret;
C_noret_decl(f_14759)
static void C_ccall f_14759(C_word c,C_word *av) C_noret;
C_noret_decl(f_14763)
static void C_ccall f_14763(C_word c,C_word *av) C_noret;
C_noret_decl(f_14779)
static void C_ccall f_14779(C_word c,C_word *av) C_noret;
C_noret_decl(f_14797)
static void C_ccall f_14797(C_word c,C_word *av) C_noret;
C_noret_decl(f_14808)
static void C_fcall f_14808(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_14830)
static void C_ccall f_14830(C_word c,C_word *av) C_noret;
C_noret_decl(f_14847)
static void C_ccall f_14847(C_word c,C_word *av) C_noret;
C_noret_decl(f_14850)
static void C_fcall f_14850(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14862)
static void C_ccall f_14862(C_word c,C_word *av) C_noret;
C_noret_decl(f_14864)
static void C_fcall f_14864(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_14885)
static void C_ccall f_14885(C_word c,C_word *av) C_noret;
C_noret_decl(f_14909)
static void C_fcall f_14909(C_word t0,C_word t1) C_noret;
C_noret_decl(f_14916)
static void C_ccall f_14916(C_word c,C_word *av) C_noret;
C_noret_decl(f_14920)
static void C_ccall f_14920(C_word c,C_word *av) C_noret;
C_noret_decl(f_14955)
static void C_ccall f_14955(C_word c,C_word *av) C_noret;
C_noret_decl(f_14962)
static void C_ccall f_14962(C_word c,C_word *av) C_noret;
C_noret_decl(f_14974)
static void C_ccall f_14974(C_word c,C_word *av) C_noret;
C_noret_decl(f_14994)
static void C_ccall f_14994(C_word c,C_word *av) C_noret;
C_noret_decl(f_14998)
static void C_ccall f_14998(C_word c,C_word *av) C_noret;
C_noret_decl(f_15018)
static void C_fcall f_15018(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15027)
static void C_fcall f_15027(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15038)
static void C_ccall f_15038(C_word c,C_word *av) C_noret;
C_noret_decl(f_15042)
static void C_ccall f_15042(C_word c,C_word *av) C_noret;
C_noret_decl(f_15046)
static void C_ccall f_15046(C_word c,C_word *av) C_noret;
C_noret_decl(f_15053)
static void C_ccall f_15053(C_word c,C_word *av) C_noret;
C_noret_decl(f_15069)
static void C_ccall f_15069(C_word c,C_word *av) C_noret;
C_noret_decl(f_15073)
static void C_ccall f_15073(C_word c,C_word *av) C_noret;
C_noret_decl(f_15114)
static void C_fcall f_15114(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15147)
static void C_ccall f_15147(C_word c,C_word *av) C_noret;
C_noret_decl(f_15176)
static void C_ccall f_15176(C_word c,C_word *av) C_noret;
C_noret_decl(f_15184)
static void C_ccall f_15184(C_word c,C_word *av) C_noret;
C_noret_decl(f_15190)
static void C_ccall f_15190(C_word c,C_word *av) C_noret;
C_noret_decl(f_15210)
static void C_fcall f_15210(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15235)
static void C_ccall f_15235(C_word c,C_word *av) C_noret;
C_noret_decl(f_15241)
static void C_ccall f_15241(C_word c,C_word *av) C_noret;
C_noret_decl(f_15245)
static void C_ccall f_15245(C_word c,C_word *av) C_noret;
C_noret_decl(f_15255)
static void C_ccall f_15255(C_word c,C_word *av) C_noret;
C_noret_decl(f_15275)
static void C_fcall f_15275(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15296)
static void C_ccall f_15296(C_word c,C_word *av) C_noret;
C_noret_decl(f_15313)
static void C_ccall f_15313(C_word c,C_word *av) C_noret;
C_noret_decl(f_15320)
static void C_ccall f_15320(C_word c,C_word *av) C_noret;
C_noret_decl(f_15325)
static void C_ccall f_15325(C_word c,C_word *av) C_noret;
C_noret_decl(f_15331)
static void C_ccall f_15331(C_word c,C_word *av) C_noret;
C_noret_decl(f_15335)
static void C_ccall f_15335(C_word c,C_word *av) C_noret;
C_noret_decl(f_15338)
static void C_ccall f_15338(C_word c,C_word *av) C_noret;
C_noret_decl(f_15345)
static void C_ccall f_15345(C_word c,C_word *av) C_noret;
C_noret_decl(f_15366)
static void C_ccall f_15366(C_word c,C_word *av) C_noret;
C_noret_decl(f_15380)
static void C_ccall f_15380(C_word c,C_word *av) C_noret;
C_noret_decl(f_15384)
static void C_ccall f_15384(C_word c,C_word *av) C_noret;
C_noret_decl(f_15421)
static void C_ccall f_15421(C_word c,C_word *av) C_noret;
C_noret_decl(f_15429)
static void C_ccall f_15429(C_word c,C_word *av) C_noret;
C_noret_decl(f_15458)
static void C_ccall f_15458(C_word c,C_word *av) C_noret;
C_noret_decl(f_15461)
static void C_ccall f_15461(C_word c,C_word *av) C_noret;
C_noret_decl(f_15476)
static void C_ccall f_15476(C_word c,C_word *av) C_noret;
C_noret_decl(f_15479)
static void C_fcall f_15479(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15486)
static void C_ccall f_15486(C_word c,C_word *av) C_noret;
C_noret_decl(f_15497)
static void C_ccall f_15497(C_word c,C_word *av) C_noret;
C_noret_decl(f_15515)
static void C_ccall f_15515(C_word c,C_word *av) C_noret;
C_noret_decl(f_15540)
static void C_fcall f_15540(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15555)
static void C_ccall f_15555(C_word c,C_word *av) C_noret;
C_noret_decl(f_15583)
static void C_fcall f_15583(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15586)
static C_word C_fcall f_15586(C_word t0);
C_noret_decl(f_15596)
static void C_fcall f_15596(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_15656)
static void C_ccall f_15656(C_word c,C_word *av) C_noret;
C_noret_decl(f_15676)
static void C_fcall f_15676(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15682)
static void C_fcall f_15682(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15745)
static void C_fcall f_15745(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15784)
static void C_fcall f_15784(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15790)
static void C_fcall f_15790(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15834)
static void C_fcall f_15834(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15838)
static void C_ccall f_15838(C_word c,C_word *av) C_noret;
C_noret_decl(f_15841)
static void C_ccall f_15841(C_word c,C_word *av) C_noret;
C_noret_decl(f_15890)
static void C_fcall f_15890(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_15905)
static void C_fcall f_15905(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15914)
static void C_ccall f_15914(C_word c,C_word *av) C_noret;
C_noret_decl(f_15951)
static void C_fcall f_15951(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_15961)
static void C_ccall f_15961(C_word c,C_word *av) C_noret;
C_noret_decl(f_15970)
static void C_fcall f_15970(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15973)
static void C_fcall f_15973(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15982)
static void C_fcall f_15982(C_word t0,C_word t1) C_noret;
C_noret_decl(f_15991)
static void C_ccall f_15991(C_word c,C_word *av) C_noret;
C_noret_decl(f_16003)
static void C_ccall f_16003(C_word c,C_word *av) C_noret;
C_noret_decl(f_16009)
static void C_fcall f_16009(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16015)
static void C_ccall f_16015(C_word c,C_word *av) C_noret;
C_noret_decl(f_16057)
static void C_ccall f_16057(C_word c,C_word *av) C_noret;
C_noret_decl(f_16165)
static void C_fcall f_16165(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_16172)
static void C_fcall f_16172(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16185)
static void C_ccall f_16185(C_word c,C_word *av) C_noret;
C_noret_decl(f_16191)
static void C_fcall f_16191(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16243)
static void C_fcall f_16243(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16258)
static void C_ccall f_16258(C_word c,C_word *av) C_noret;
C_noret_decl(f_16268)
static void C_ccall f_16268(C_word c,C_word *av) C_noret;
C_noret_decl(f_16304)
static void C_ccall f_16304(C_word c,C_word *av) C_noret;
C_noret_decl(f_16330)
static void C_ccall f_16330(C_word c,C_word *av) C_noret;
C_noret_decl(f_16341)
static void C_ccall f_16341(C_word c,C_word *av) C_noret;
C_noret_decl(f_16508)
static void C_fcall f_16508(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_16523)
static void C_fcall f_16523(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16549)
static void C_fcall f_16549(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16581)
static void C_fcall f_16581(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16618)
static void C_ccall f_16618(C_word c,C_word *av) C_noret;
C_noret_decl(f_16642)
static void C_fcall f_16642(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16692)
static void C_ccall f_16692(C_word c,C_word *av) C_noret;
C_noret_decl(f_16740)
static void C_ccall f_16740(C_word c,C_word *av) C_noret;
C_noret_decl(f_16743)
static void C_ccall f_16743(C_word c,C_word *av) C_noret;
C_noret_decl(f_16762)
static void C_fcall f_16762(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16832)
static void C_ccall f_16832(C_word c,C_word *av) C_noret;
C_noret_decl(f_16853)
static void C_fcall f_16853(C_word t0,C_word t1) C_noret;
C_noret_decl(f_16900)
static void C_ccall f_16900(C_word c,C_word *av) C_noret;
C_noret_decl(f_16980)
static void C_ccall f_16980(C_word c,C_word *av) C_noret;
C_noret_decl(f_16990)
static void C_ccall f_16990(C_word c,C_word *av) C_noret;
C_noret_decl(f_16999)
static void C_fcall f_16999(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_17006)
static void C_fcall f_17006(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17235)
static void C_ccall f_17235(C_word c,C_word *av) C_noret;
C_noret_decl(f_17281)
static void C_ccall f_17281(C_word c,C_word *av) C_noret;
C_noret_decl(f_17284)
static void C_fcall f_17284(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_17311)
static void C_fcall f_17311(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17335)
static void C_ccall f_17335(C_word c,C_word *av) C_noret;
C_noret_decl(f_17352)
static void C_fcall f_17352(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_17453)
static void C_ccall f_17453(C_word c,C_word *av) C_noret;
C_noret_decl(f_17456)
static void C_ccall f_17456(C_word c,C_word *av) C_noret;
C_noret_decl(f_17465)
static void C_ccall f_17465(C_word c,C_word *av) C_noret;
C_noret_decl(f_17471)
static void C_ccall f_17471(C_word c,C_word *av) C_noret;
C_noret_decl(f_17482)
static void C_ccall f_17482(C_word c,C_word *av) C_noret;
C_noret_decl(f_17484)
static void C_ccall f_17484(C_word c,C_word *av) C_noret;
C_noret_decl(f_17495)
static void C_ccall f_17495(C_word c,C_word *av) C_noret;
C_noret_decl(f_17497)
static void C_ccall f_17497(C_word c,C_word *av) C_noret;
C_noret_decl(f_17508)
static void C_ccall f_17508(C_word c,C_word *av) C_noret;
C_noret_decl(f_17510)
static void C_ccall f_17510(C_word c,C_word *av) C_noret;
C_noret_decl(f_17527)
static void C_ccall f_17527(C_word c,C_word *av) C_noret;
C_noret_decl(f_17531)
static void C_ccall f_17531(C_word c,C_word *av) C_noret;
C_noret_decl(f_17535)
static void C_ccall f_17535(C_word c,C_word *av) C_noret;
C_noret_decl(f_17544)
static void C_ccall f_17544(C_word c,C_word *av) C_noret;
C_noret_decl(f_17564)
static void C_ccall f_17564(C_word c,C_word *av) C_noret;
C_noret_decl(f_17572)
static void C_ccall f_17572(C_word c,C_word *av) C_noret;
C_noret_decl(f_17587)
static void C_ccall f_17587(C_word c,C_word *av) C_noret;
C_noret_decl(f_17589)
static void C_fcall f_17589(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17614)
static void C_ccall f_17614(C_word c,C_word *av) C_noret;
C_noret_decl(f_17623)
static void C_ccall f_17623(C_word c,C_word *av) C_noret;
C_noret_decl(f_17626)
static void C_ccall f_17626(C_word c,C_word *av) C_noret;
C_noret_decl(f_17635)
static void C_ccall f_17635(C_word c,C_word *av) C_noret;
C_noret_decl(f_17642)
static void C_ccall f_17642(C_word c,C_word *av) C_noret;
C_noret_decl(f_17653)
static void C_ccall f_17653(C_word c,C_word *av) C_noret;
C_noret_decl(f_17660)
static void C_ccall f_17660(C_word c,C_word *av) C_noret;
C_noret_decl(f_17684)
static void C_ccall f_17684(C_word c,C_word *av) C_noret;
C_noret_decl(f_17688)
static void C_ccall f_17688(C_word c,C_word *av) C_noret;
C_noret_decl(f_17690)
static void C_ccall f_17690(C_word c,C_word *av) C_noret;
C_noret_decl(f_17694)
static void C_ccall f_17694(C_word c,C_word *av) C_noret;
C_noret_decl(f_17699)
static void C_ccall f_17699(C_word c,C_word *av) C_noret;
C_noret_decl(f_17705)
static void C_ccall f_17705(C_word c,C_word *av) C_noret;
C_noret_decl(f_17709)
static void C_ccall f_17709(C_word c,C_word *av) C_noret;
C_noret_decl(f_17714)
static void C_ccall f_17714(C_word c,C_word *av) C_noret;
C_noret_decl(f_17724)
static void C_ccall f_17724(C_word c,C_word *av) C_noret;
C_noret_decl(f_17726)
static void C_ccall f_17726(C_word c,C_word *av) C_noret;
C_noret_decl(f_17730)
static void C_ccall f_17730(C_word c,C_word *av) C_noret;
C_noret_decl(f_17736)
static void C_ccall f_17736(C_word c,C_word *av) C_noret;
C_noret_decl(f_17738)
static void C_ccall f_17738(C_word c,C_word *av) C_noret;
C_noret_decl(f_17742)
static void C_ccall f_17742(C_word c,C_word *av) C_noret;
C_noret_decl(f_17745)
static void C_ccall f_17745(C_word c,C_word *av) C_noret;
C_noret_decl(f_17761)
static void C_ccall f_17761(C_word c,C_word *av) C_noret;
C_noret_decl(f_17765)
static void C_ccall f_17765(C_word c,C_word *av) C_noret;
C_noret_decl(f_17768)
static void C_ccall f_17768(C_word c,C_word *av) C_noret;
C_noret_decl(f_17790)
static void C_ccall f_17790(C_word c,C_word *av) C_noret;
C_noret_decl(f_17806)
static void C_ccall f_17806(C_word c,C_word *av) C_noret;
C_noret_decl(f_17811)
static C_word C_fcall f_17811(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_17842)
static void C_ccall f_17842(C_word c,C_word *av) C_noret;
C_noret_decl(f_17851)
static void C_fcall f_17851(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_17869)
static void C_ccall f_17869(C_word c,C_word *av) C_noret;
C_noret_decl(f_17875)
static void C_ccall f_17875(C_word c,C_word *av) C_noret;
C_noret_decl(f_17881)
static void C_ccall f_17881(C_word c,C_word *av) C_noret;
C_noret_decl(f_17890)
static C_word C_fcall f_17890(C_word t0,C_word t1);
C_noret_decl(f_17909)
static void C_ccall f_17909(C_word c,C_word *av) C_noret;
C_noret_decl(f_17925)
static void C_fcall f_17925(C_word t0,C_word t1) C_noret;
C_noret_decl(f_17928)
static void C_ccall f_17928(C_word c,C_word *av) C_noret;
C_noret_decl(f_17931)
static void C_ccall f_17931(C_word c,C_word *av) C_noret;
C_noret_decl(f_17936)
static C_word C_fcall f_17936(C_word t0,C_word t1);
C_noret_decl(f_17978)
static void C_ccall f_17978(C_word c,C_word *av) C_noret;
C_noret_decl(f_17997)
static void C_ccall f_17997(C_word c,C_word *av) C_noret;
C_noret_decl(f_18000)
static void C_ccall f_18000(C_word c,C_word *av) C_noret;
C_noret_decl(f_18003)
static void C_ccall f_18003(C_word c,C_word *av) C_noret;
C_noret_decl(f_18008)
static C_word C_fcall f_18008(C_word t0,C_word t1);
C_noret_decl(f_18049)
static void C_ccall f_18049(C_word c,C_word *av) C_noret;
C_noret_decl(f_18059)
static void C_ccall f_18059(C_word c,C_word *av) C_noret;
C_noret_decl(f_18070)
static void C_fcall f_18070(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_18074)
static void C_ccall f_18074(C_word c,C_word *av) C_noret;
C_noret_decl(f_18077)
static void C_ccall f_18077(C_word c,C_word *av) C_noret;
C_noret_decl(f_18082)
static C_word C_fcall f_18082(C_word t0,C_word t1);
C_noret_decl(f_18109)
static void C_ccall f_18109(C_word c,C_word *av) C_noret;
C_noret_decl(f_18123)
static void C_ccall f_18123(C_word c,C_word *av) C_noret;
C_noret_decl(f_18134)
static void C_ccall f_18134(C_word c,C_word *av) C_noret;
C_noret_decl(f_18145)
static void C_ccall f_18145(C_word c,C_word *av) C_noret;
C_noret_decl(f_18156)
static void C_ccall f_18156(C_word c,C_word *av) C_noret;
C_noret_decl(f_18169)
static void C_ccall f_18169(C_word c,C_word *av) C_noret;
C_noret_decl(f_18171)
static void C_fcall f_18171(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18184)
static C_word C_fcall f_18184(C_word t0,C_word t1);
C_noret_decl(f_18212)
static void C_ccall f_18212(C_word c,C_word *av) C_noret;
C_noret_decl(f_18216)
static void C_fcall f_18216(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18225)
static void C_ccall f_18225(C_word c,C_word *av) C_noret;
C_noret_decl(f_18243)
static void C_ccall f_18243(C_word c,C_word *av) C_noret;
C_noret_decl(f_18246)
static void C_ccall f_18246(C_word c,C_word *av) C_noret;
C_noret_decl(f_18329)
static void C_ccall f_18329(C_word c,C_word *av) C_noret;
C_noret_decl(f_18332)
static void C_ccall f_18332(C_word c,C_word *av) C_noret;
C_noret_decl(f_18335)
static void C_ccall f_18335(C_word c,C_word *av) C_noret;
C_noret_decl(f_18338)
static void C_ccall f_18338(C_word c,C_word *av) C_noret;
C_noret_decl(f_18341)
static void C_ccall f_18341(C_word c,C_word *av) C_noret;
C_noret_decl(f_18344)
static void C_ccall f_18344(C_word c,C_word *av) C_noret;
C_noret_decl(f_18347)
static void C_ccall f_18347(C_word c,C_word *av) C_noret;
C_noret_decl(f_18350)
static void C_ccall f_18350(C_word c,C_word *av) C_noret;
C_noret_decl(f_18353)
static void C_ccall f_18353(C_word c,C_word *av) C_noret;
C_noret_decl(f_18356)
static void C_ccall f_18356(C_word c,C_word *av) C_noret;
C_noret_decl(f_18359)
static void C_ccall f_18359(C_word c,C_word *av) C_noret;
C_noret_decl(f_18362)
static void C_ccall f_18362(C_word c,C_word *av) C_noret;
C_noret_decl(f_18365)
static void C_ccall f_18365(C_word c,C_word *av) C_noret;
C_noret_decl(f_18368)
static void C_ccall f_18368(C_word c,C_word *av) C_noret;
C_noret_decl(f_18373)
static void C_ccall f_18373(C_word c,C_word *av) C_noret;
C_noret_decl(f_18379)
static void C_fcall f_18379(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18395)
static void C_ccall f_18395(C_word c,C_word *av) C_noret;
C_noret_decl(f_18411)
static void C_ccall f_18411(C_word c,C_word *av) C_noret;
C_noret_decl(f_18417)
static void C_fcall f_18417(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18437)
static void C_ccall f_18437(C_word c,C_word *av) C_noret;
C_noret_decl(f_18441)
static void C_ccall f_18441(C_word c,C_word *av) C_noret;
C_noret_decl(f_18453)
static void C_ccall f_18453(C_word c,C_word *av) C_noret;
C_noret_decl(f_18485)
static void C_ccall f_18485(C_word c,C_word *av) C_noret;
C_noret_decl(f_18489)
static void C_ccall f_18489(C_word c,C_word *av) C_noret;
C_noret_decl(f_18497)
static void C_ccall f_18497(C_word c,C_word *av) C_noret;
C_noret_decl(f_18507)
static void C_fcall f_18507(C_word t0,C_word t1) C_noret;
C_noret_decl(f_18515)
static C_word C_fcall f_18515(C_word t0);
C_noret_decl(f_18551)
static void C_ccall f_18551(C_word c,C_word *av) C_noret;
C_noret_decl(f_18566)
static void C_fcall f_18566(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18576)
static void C_ccall f_18576(C_word c,C_word *av) C_noret;
C_noret_decl(f_18596)
static void C_fcall f_18596(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18609)
static void C_ccall f_18609(C_word c,C_word *av) C_noret;
C_noret_decl(f_18616)
static void C_ccall f_18616(C_word c,C_word *av) C_noret;
C_noret_decl(f_18618)
static void C_ccall f_18618(C_word c,C_word *av) C_noret;
C_noret_decl(f_18626)
static void C_ccall f_18626(C_word c,C_word *av) C_noret;
C_noret_decl(f_18628)
static void C_ccall f_18628(C_word c,C_word *av) C_noret;
C_noret_decl(f_18637)
static void C_ccall f_18637(C_word c,C_word *av) C_noret;
C_noret_decl(f_18655)
static void C_fcall f_18655(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18680)
static void C_ccall f_18680(C_word c,C_word *av) C_noret;
C_noret_decl(f_18696)
static void C_fcall f_18696(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18713)
static void C_ccall f_18713(C_word c,C_word *av) C_noret;
C_noret_decl(f_18717)
static void C_ccall f_18717(C_word c,C_word *av) C_noret;
C_noret_decl(f_18721)
static void C_ccall f_18721(C_word c,C_word *av) C_noret;
C_noret_decl(f_18723)
static void C_ccall f_18723(C_word c,C_word *av) C_noret;
C_noret_decl(f_18731)
static void C_ccall f_18731(C_word c,C_word *av) C_noret;
C_noret_decl(f_18733)
static void C_ccall f_18733(C_word c,C_word *av) C_noret;
C_noret_decl(f_18740)
static void C_ccall f_18740(C_word c,C_word *av) C_noret;
C_noret_decl(f_18744)
static void C_ccall f_18744(C_word c,C_word *av) C_noret;
C_noret_decl(f_18748)
static void C_ccall f_18748(C_word c,C_word *av) C_noret;
C_noret_decl(f_18757)
static void C_ccall f_18757(C_word c,C_word *av) C_noret;
C_noret_decl(f_18765)
static void C_ccall f_18765(C_word c,C_word *av) C_noret;
C_noret_decl(f_18775)
static void C_ccall f_18775(C_word c,C_word *av) C_noret;
C_noret_decl(f_18781)
static void C_ccall f_18781(C_word c,C_word *av) C_noret;
C_noret_decl(f_18784)
static void C_ccall f_18784(C_word c,C_word *av) C_noret;
C_noret_decl(f_18788)
static void C_ccall f_18788(C_word c,C_word *av) C_noret;
C_noret_decl(f_18815)
static void C_fcall f_18815(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_18831)
static void C_ccall f_18831(C_word c,C_word *av) C_noret;
C_noret_decl(f_18837)
static void C_ccall f_18837(C_word c,C_word *av) C_noret;
C_noret_decl(f_18860)
static void C_ccall f_18860(C_word c,C_word *av) C_noret;
C_noret_decl(f_18873)
static void C_ccall f_18873(C_word c,C_word *av) C_noret;
C_noret_decl(f_18879)
static void C_ccall f_18879(C_word c,C_word *av) C_noret;
C_noret_decl(f_18884)
static void C_ccall f_18884(C_word c,C_word *av) C_noret;
C_noret_decl(f_18889)
static void C_ccall f_18889(C_word c,C_word *av) C_noret;
C_noret_decl(f_18893)
static void C_ccall f_18893(C_word c,C_word *av) C_noret;
C_noret_decl(f_18902)
static void C_ccall f_18902(C_word c,C_word *av) C_noret;
C_noret_decl(f_18933)
static void C_ccall f_18933(C_word c,C_word *av) C_noret;
C_noret_decl(f_18937)
static void C_ccall f_18937(C_word c,C_word *av) C_noret;
C_noret_decl(f_18941)
static void C_ccall f_18941(C_word c,C_word *av) C_noret;
C_noret_decl(f_18944)
static void C_ccall f_18944(C_word c,C_word *av) C_noret;
C_noret_decl(f_18947)
static void C_ccall f_18947(C_word c,C_word *av) C_noret;
C_noret_decl(f_18950)
static void C_ccall f_18950(C_word c,C_word *av) C_noret;
C_noret_decl(f_18952)
static void C_ccall f_18952(C_word c,C_word *av) C_noret;
C_noret_decl(f_18963)
static void C_ccall f_18963(C_word c,C_word *av) C_noret;
C_noret_decl(f_18974)
static void C_ccall f_18974(C_word c,C_word *av) C_noret;
C_noret_decl(f_18985)
static void C_ccall f_18985(C_word c,C_word *av) C_noret;
C_noret_decl(f_18996)
static void C_ccall f_18996(C_word c,C_word *av) C_noret;
C_noret_decl(f_19009)
static void C_ccall f_19009(C_word c,C_word *av) C_noret;
C_noret_decl(f_19011)
static C_word C_fcall f_19011(C_word t0,C_word t1);
C_noret_decl(f_19017)
static C_word C_fcall f_19017(C_word t0);
C_noret_decl(f_19022)
static C_word C_fcall f_19022(C_word t0);
C_noret_decl(f_19057)
static void C_ccall f_19057(C_word c,C_word *av) C_noret;
C_noret_decl(f_19070)
static void C_ccall f_19070(C_word c,C_word *av) C_noret;
C_noret_decl(f_19072)
static C_word C_fcall f_19072(C_word t0,C_word t1);
C_noret_decl(f_19078)
static C_word C_fcall f_19078(C_word t0);
C_noret_decl(f_19083)
static C_word C_fcall f_19083(C_word t0);
C_noret_decl(f_19118)
static void C_ccall f_19118(C_word c,C_word *av) C_noret;
C_noret_decl(f_19131)
static void C_ccall f_19131(C_word c,C_word *av) C_noret;
C_noret_decl(f_19133)
static C_word C_fcall f_19133(C_word t0,C_word t1);
C_noret_decl(f_19139)
static C_word C_fcall f_19139(C_word t0);
C_noret_decl(f_19144)
static C_word C_fcall f_19144(C_word t0);
C_noret_decl(f_19179)
static void C_ccall f_19179(C_word c,C_word *av) C_noret;
C_noret_decl(f_19191)
static void C_ccall f_19191(C_word c,C_word *av) C_noret;
C_noret_decl(f_19193)
static void C_ccall f_19193(C_word c,C_word *av) C_noret;
C_noret_decl(f_19199)
static void C_ccall f_19199(C_word c,C_word *av) C_noret;
C_noret_decl(f_19205)
static void C_fcall f_19205(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_19215)
static void C_ccall f_19215(C_word c,C_word *av) C_noret;
C_noret_decl(f_19218)
static void C_ccall f_19218(C_word c,C_word *av) C_noret;
C_noret_decl(f_19221)
static void C_ccall f_19221(C_word c,C_word *av) C_noret;
C_noret_decl(f_19224)
static void C_ccall f_19224(C_word c,C_word *av) C_noret;
C_noret_decl(f_19227)
static void C_ccall f_19227(C_word c,C_word *av) C_noret;
C_noret_decl(f_19234)
static void C_ccall f_19234(C_word c,C_word *av) C_noret;
C_noret_decl(f_19238)
static void C_ccall f_19238(C_word c,C_word *av) C_noret;
C_noret_decl(f_19242)
static void C_ccall f_19242(C_word c,C_word *av) C_noret;
C_noret_decl(f_19248)
static void C_fcall f_19248(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19261)
static void C_ccall f_19261(C_word c,C_word *av) C_noret;
C_noret_decl(f_19303)
static void C_fcall f_19303(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19307)
static void C_ccall f_19307(C_word c,C_word *av) C_noret;
C_noret_decl(f_19340)
static void C_ccall f_19340(C_word c,C_word *av) C_noret;
C_noret_decl(f_19346)
static void C_ccall f_19346(C_word c,C_word *av) C_noret;
C_noret_decl(f_19352)
static void C_ccall f_19352(C_word c,C_word *av) C_noret;
C_noret_decl(f_19358)
static void C_ccall f_19358(C_word c,C_word *av) C_noret;
C_noret_decl(f_19364)
static void C_ccall f_19364(C_word c,C_word *av) C_noret;
C_noret_decl(f_19368)
static void C_ccall f_19368(C_word c,C_word *av) C_noret;
C_noret_decl(f_19373)
static void C_ccall f_19373(C_word c,C_word *av) C_noret;
C_noret_decl(f_19379)
static void C_ccall f_19379(C_word c,C_word *av) C_noret;
C_noret_decl(f_19383)
static void C_ccall f_19383(C_word c,C_word *av) C_noret;
C_noret_decl(f_19388)
static void C_ccall f_19388(C_word c,C_word *av) C_noret;
C_noret_decl(f_19392)
static void C_ccall f_19392(C_word c,C_word *av) C_noret;
C_noret_decl(f_19397)
static void C_ccall f_19397(C_word c,C_word *av) C_noret;
C_noret_decl(f_19403)
static void C_ccall f_19403(C_word c,C_word *av) C_noret;
C_noret_decl(f_19407)
static void C_ccall f_19407(C_word c,C_word *av) C_noret;
C_noret_decl(f_19412)
static void C_ccall f_19412(C_word c,C_word *av) C_noret;
C_noret_decl(f_19416)
static void C_ccall f_19416(C_word c,C_word *av) C_noret;
C_noret_decl(f_19421)
static void C_ccall f_19421(C_word c,C_word *av) C_noret;
C_noret_decl(f_19426)
static void C_ccall f_19426(C_word c,C_word *av) C_noret;
C_noret_decl(f_19432)
static void C_ccall f_19432(C_word c,C_word *av) C_noret;
C_noret_decl(f_19436)
static void C_ccall f_19436(C_word c,C_word *av) C_noret;
C_noret_decl(f_19441)
static void C_ccall f_19441(C_word c,C_word *av) C_noret;
C_noret_decl(f_19446)
static void C_ccall f_19446(C_word c,C_word *av) C_noret;
C_noret_decl(f_19450)
static void C_ccall f_19450(C_word c,C_word *av) C_noret;
C_noret_decl(f_19455)
static void C_ccall f_19455(C_word c,C_word *av) C_noret;
C_noret_decl(f_19460)
static void C_ccall f_19460(C_word c,C_word *av) C_noret;
C_noret_decl(f_19466)
static void C_ccall f_19466(C_word c,C_word *av) C_noret;
C_noret_decl(f_19470)
static void C_ccall f_19470(C_word c,C_word *av) C_noret;
C_noret_decl(f_19475)
static void C_ccall f_19475(C_word c,C_word *av) C_noret;
C_noret_decl(f_19480)
static void C_ccall f_19480(C_word c,C_word *av) C_noret;
C_noret_decl(f_19485)
static void C_ccall f_19485(C_word c,C_word *av) C_noret;
C_noret_decl(f_19506)
static void C_ccall f_19506(C_word c,C_word *av) C_noret;
C_noret_decl(f_19513)
static void C_ccall f_19513(C_word c,C_word *av) C_noret;
C_noret_decl(f_19519)
static void C_ccall f_19519(C_word c,C_word *av) C_noret;
C_noret_decl(f_19537)
static void C_ccall f_19537(C_word c,C_word *av) C_noret;
C_noret_decl(f_19546)
static void C_ccall f_19546(C_word c,C_word *av) C_noret;
C_noret_decl(f_19559)
static void C_fcall f_19559(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19567)
static void C_ccall f_19567(C_word c,C_word *av) C_noret;
C_noret_decl(f_19572)
static void C_fcall f_19572(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19609)
static void C_ccall f_19609(C_word c,C_word *av) C_noret;
C_noret_decl(f_19621)
static void C_ccall f_19621(C_word c,C_word *av) C_noret;
C_noret_decl(f_19631)
static void C_fcall f_19631(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19647)
static void C_ccall f_19647(C_word c,C_word *av) C_noret;
C_noret_decl(f_19660)
static void C_ccall f_19660(C_word c,C_word *av) C_noret;
C_noret_decl(f_19667)
static void C_ccall f_19667(C_word c,C_word *av) C_noret;
C_noret_decl(f_19669)
static void C_ccall f_19669(C_word c,C_word *av) C_noret;
C_noret_decl(f_19682)
static void C_ccall f_19682(C_word c,C_word *av) C_noret;
C_noret_decl(f_19688)
static void C_ccall f_19688(C_word c,C_word *av) C_noret;
C_noret_decl(f_19695)
static void C_ccall f_19695(C_word c,C_word *av) C_noret;
C_noret_decl(f_19697)
static void C_ccall f_19697(C_word c,C_word *av) C_noret;
C_noret_decl(f_19701)
static void C_ccall f_19701(C_word c,C_word *av) C_noret;
C_noret_decl(f_19704)
static void C_ccall f_19704(C_word c,C_word *av) C_noret;
C_noret_decl(f_19714)
static void C_ccall f_19714(C_word c,C_word *av) C_noret;
C_noret_decl(f_19718)
static void C_ccall f_19718(C_word c,C_word *av) C_noret;
C_noret_decl(f_19726)
static void C_ccall f_19726(C_word c,C_word *av) C_noret;
C_noret_decl(f_19729)
static void C_ccall f_19729(C_word c,C_word *av) C_noret;
C_noret_decl(f_19736)
static void C_ccall f_19736(C_word c,C_word *av) C_noret;
C_noret_decl(f_19739)
static void C_ccall f_19739(C_word c,C_word *av) C_noret;
C_noret_decl(f_19742)
static void C_ccall f_19742(C_word c,C_word *av) C_noret;
C_noret_decl(f_19745)
static void C_ccall f_19745(C_word c,C_word *av) C_noret;
C_noret_decl(f_19753)
static void C_ccall f_19753(C_word c,C_word *av) C_noret;
C_noret_decl(f_19761)
static void C_ccall f_19761(C_word c,C_word *av) C_noret;
C_noret_decl(f_19763)
static void C_ccall f_19763(C_word c,C_word *av) C_noret;
C_noret_decl(f_19779)
static void C_ccall f_19779(C_word c,C_word *av) C_noret;
C_noret_decl(f_19806)
static void C_ccall f_19806(C_word c,C_word *av) C_noret;
C_noret_decl(f_19810)
static void C_ccall f_19810(C_word c,C_word *av) C_noret;
C_noret_decl(f_19814)
static void C_ccall f_19814(C_word c,C_word *av) C_noret;
C_noret_decl(f_19818)
static void C_ccall f_19818(C_word c,C_word *av) C_noret;
C_noret_decl(f_19822)
static void C_ccall f_19822(C_word c,C_word *av) C_noret;
C_noret_decl(f_19826)
static void C_ccall f_19826(C_word c,C_word *av) C_noret;
C_noret_decl(f_19830)
static void C_ccall f_19830(C_word c,C_word *av) C_noret;
C_noret_decl(f_19834)
static void C_ccall f_19834(C_word c,C_word *av) C_noret;
C_noret_decl(f_19838)
static void C_ccall f_19838(C_word c,C_word *av) C_noret;
C_noret_decl(f_19842)
static void C_ccall f_19842(C_word c,C_word *av) C_noret;
C_noret_decl(f_19846)
static void C_ccall f_19846(C_word c,C_word *av) C_noret;
C_noret_decl(f_19850)
static void C_ccall f_19850(C_word c,C_word *av) C_noret;
C_noret_decl(f_19854)
static void C_ccall f_19854(C_word c,C_word *av) C_noret;
C_noret_decl(f_19858)
static void C_ccall f_19858(C_word c,C_word *av) C_noret;
C_noret_decl(f_19862)
static void C_ccall f_19862(C_word c,C_word *av) C_noret;
C_noret_decl(f_19866)
static void C_ccall f_19866(C_word c,C_word *av) C_noret;
C_noret_decl(f_19870)
static void C_ccall f_19870(C_word c,C_word *av) C_noret;
C_noret_decl(f_19877)
static void C_ccall f_19877(C_word c,C_word *av) C_noret;
C_noret_decl(f_19884)
static void C_ccall f_19884(C_word c,C_word *av) C_noret;
C_noret_decl(f_19885)
static void C_fcall f_19885(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5) C_noret;
C_noret_decl(f_19889)
static void C_fcall f_19889(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19892)
static void C_ccall f_19892(C_word c,C_word *av) C_noret;
C_noret_decl(f_19908)
static void C_ccall f_19908(C_word c,C_word *av) C_noret;
C_noret_decl(f_19919)
static void C_fcall f_19919(C_word t0,C_word t1) C_noret;
C_noret_decl(f_19927)
static void C_ccall f_19927(C_word c,C_word *av) C_noret;
C_noret_decl(f_19939)
static void C_fcall f_19939(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_19948)
static void C_fcall f_19948(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_19953)
static void C_fcall f_19953(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20009)
static void C_ccall f_20009(C_word c,C_word *av) C_noret;
C_noret_decl(f_20023)
static void C_ccall f_20023(C_word c,C_word *av) C_noret;
C_noret_decl(f_20035)
static void C_ccall f_20035(C_word c,C_word *av) C_noret;
C_noret_decl(f_20041)
static void C_ccall f_20041(C_word c,C_word *av) C_noret;
C_noret_decl(f_20066)
static void C_ccall f_20066(C_word c,C_word *av) C_noret;
C_noret_decl(f_20084)
static void C_ccall f_20084(C_word c,C_word *av) C_noret;
C_noret_decl(f_20088)
static void C_ccall f_20088(C_word c,C_word *av) C_noret;
C_noret_decl(f_20144)
static void C_ccall f_20144(C_word c,C_word *av) C_noret;
C_noret_decl(f_20153)
static void C_ccall f_20153(C_word c,C_word *av) C_noret;
C_noret_decl(f_20166)
static void C_ccall f_20166(C_word c,C_word *av) C_noret;
C_noret_decl(f_20178)
static void C_ccall f_20178(C_word c,C_word *av) C_noret;
C_noret_decl(f_20196)
static void C_ccall f_20196(C_word c,C_word *av) C_noret;
C_noret_decl(f_20216)
static void C_ccall f_20216(C_word c,C_word *av) C_noret;
C_noret_decl(f_20219)
static void C_ccall f_20219(C_word c,C_word *av) C_noret;
C_noret_decl(f_20222)
static void C_ccall f_20222(C_word c,C_word *av) C_noret;
C_noret_decl(f_20230)
static void C_ccall f_20230(C_word c,C_word *av) C_noret;
C_noret_decl(f_20234)
static void C_ccall f_20234(C_word c,C_word *av) C_noret;
C_noret_decl(f_20238)
static void C_ccall f_20238(C_word c,C_word *av) C_noret;
C_noret_decl(f_20242)
static void C_ccall f_20242(C_word c,C_word *av) C_noret;
C_noret_decl(f_20246)
static void C_ccall f_20246(C_word c,C_word *av) C_noret;
C_noret_decl(f_20248)
static void C_ccall f_20248(C_word c,C_word *av) C_noret;
C_noret_decl(f_20256)
static void C_ccall f_20256(C_word c,C_word *av) C_noret;
C_noret_decl(f_20259)
static void C_ccall f_20259(C_word c,C_word *av) C_noret;
C_noret_decl(f_20269)
static void C_ccall f_20269(C_word c,C_word *av) C_noret;
C_noret_decl(f_20271)
static void C_ccall f_20271(C_word c,C_word *av) C_noret;
C_noret_decl(f_20279)
static void C_ccall f_20279(C_word c,C_word *av) C_noret;
C_noret_decl(f_20282)
static void C_ccall f_20282(C_word c,C_word *av) C_noret;
C_noret_decl(f_20292)
static void C_ccall f_20292(C_word c,C_word *av) C_noret;
C_noret_decl(f_20294)
static void C_ccall f_20294(C_word c,C_word *av) C_noret;
C_noret_decl(f_20298)
static void C_ccall f_20298(C_word c,C_word *av) C_noret;
C_noret_decl(f_20301)
static void C_ccall f_20301(C_word c,C_word *av) C_noret;
C_noret_decl(f_20304)
static void C_ccall f_20304(C_word c,C_word *av) C_noret;
C_noret_decl(f_20307)
static void C_ccall f_20307(C_word c,C_word *av) C_noret;
C_noret_decl(f_20310)
static void C_ccall f_20310(C_word c,C_word *av) C_noret;
C_noret_decl(f_20312)
static void C_ccall f_20312(C_word c,C_word *av) C_noret;
C_noret_decl(f_20318)
static void C_fcall f_20318(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20327)
static void C_fcall f_20327(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20335)
static void C_ccall f_20335(C_word c,C_word *av) C_noret;
C_noret_decl(f_20337)
static void C_fcall f_20337(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20344)
static void C_fcall f_20344(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20351)
static void C_ccall f_20351(C_word c,C_word *av) C_noret;
C_noret_decl(f_20364)
static void C_fcall f_20364(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20368)
static void C_ccall f_20368(C_word c,C_word *av) C_noret;
C_noret_decl(f_20373)
static void C_fcall f_20373(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20377)
static void C_ccall f_20377(C_word c,C_word *av) C_noret;
C_noret_decl(f_20388)
static void C_fcall f_20388(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20391)
static void C_fcall f_20391(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20399)
static void C_ccall f_20399(C_word c,C_word *av) C_noret;
C_noret_decl(f_20401)
static void C_fcall f_20401(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20414)
static void C_ccall f_20414(C_word c,C_word *av) C_noret;
C_noret_decl(f_20421)
static void C_ccall f_20421(C_word c,C_word *av) C_noret;
C_noret_decl(f_20430)
static void C_ccall f_20430(C_word c,C_word *av) C_noret;
C_noret_decl(f_20437)
static void C_ccall f_20437(C_word c,C_word *av) C_noret;
C_noret_decl(f_20439)
static void C_fcall f_20439(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_20445)
static void C_fcall f_20445(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20455)
static void C_ccall f_20455(C_word c,C_word *av) C_noret;
C_noret_decl(f_20458)
static void C_ccall f_20458(C_word c,C_word *av) C_noret;
C_noret_decl(f_20468)
static void C_ccall f_20468(C_word c,C_word *av) C_noret;
C_noret_decl(f_20471)
static void C_ccall f_20471(C_word c,C_word *av) C_noret;
C_noret_decl(f_20499)
static void C_fcall f_20499(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20503)
static void C_ccall f_20503(C_word c,C_word *av) C_noret;
C_noret_decl(f_20511)
static void C_fcall f_20511(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20536)
static void C_fcall f_20536(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_20544)
static void C_ccall f_20544(C_word c,C_word *av) C_noret;
C_noret_decl(f_20546)
static void C_fcall f_20546(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20563)
static void C_ccall f_20563(C_word c,C_word *av) C_noret;
C_noret_decl(f_20576)
static void C_ccall f_20576(C_word c,C_word *av) C_noret;
C_noret_decl(f_20593)
static void C_ccall f_20593(C_word c,C_word *av) C_noret;
C_noret_decl(f_20610)
static void C_ccall f_20610(C_word c,C_word *av) C_noret;
C_noret_decl(f_20627)
static void C_ccall f_20627(C_word c,C_word *av) C_noret;
C_noret_decl(f_20644)
static void C_ccall f_20644(C_word c,C_word *av) C_noret;
C_noret_decl(f_20661)
static void C_ccall f_20661(C_word c,C_word *av) C_noret;
C_noret_decl(f_20678)
static void C_ccall f_20678(C_word c,C_word *av) C_noret;
C_noret_decl(f_20698)
static void C_ccall f_20698(C_word c,C_word *av) C_noret;
C_noret_decl(f_20706)
static void C_ccall f_20706(C_word c,C_word *av) C_noret;
C_noret_decl(f_20715)
static void C_ccall f_20715(C_word c,C_word *av) C_noret;
C_noret_decl(f_20721)
static void C_ccall f_20721(C_word c,C_word *av) C_noret;
C_noret_decl(f_20727)
static void C_fcall f_20727(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20730)
static void C_ccall f_20730(C_word c,C_word *av) C_noret;
C_noret_decl(f_20733)
static void C_ccall f_20733(C_word c,C_word *av) C_noret;
C_noret_decl(f_20743)
static void C_ccall f_20743(C_word c,C_word *av) C_noret;
C_noret_decl(f_20747)
static void C_ccall f_20747(C_word c,C_word *av) C_noret;
C_noret_decl(f_20764)
static void C_ccall f_20764(C_word c,C_word *av) C_noret;
C_noret_decl(f_20769)
static void C_ccall f_20769(C_word c,C_word *av) C_noret;
C_noret_decl(f_20776)
static void C_ccall f_20776(C_word c,C_word *av) C_noret;
C_noret_decl(f_20780)
static void C_ccall f_20780(C_word c,C_word *av) C_noret;
C_noret_decl(f_20789)
static void C_ccall f_20789(C_word c,C_word *av) C_noret;
C_noret_decl(f_20795)
static void C_ccall f_20795(C_word c,C_word *av) C_noret;
C_noret_decl(f_20805)
static void C_ccall f_20805(C_word c,C_word *av) C_noret;
C_noret_decl(f_20809)
static void C_ccall f_20809(C_word c,C_word *av) C_noret;
C_noret_decl(f_20818)
static void C_fcall f_20818(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20825)
static void C_ccall f_20825(C_word c,C_word *av) C_noret;
C_noret_decl(f_20838)
static void C_fcall f_20838(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20843)
static void C_fcall f_20843(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_20860)
static void C_ccall f_20860(C_word c,C_word *av) C_noret;
C_noret_decl(f_20875)
static void C_ccall f_20875(C_word c,C_word *av) C_noret;
C_noret_decl(f_20888)
static void C_ccall f_20888(C_word c,C_word *av) C_noret;
C_noret_decl(f_20910)
static void C_ccall f_20910(C_word c,C_word *av) C_noret;
C_noret_decl(f_20913)
static void C_ccall f_20913(C_word c,C_word *av) C_noret;
C_noret_decl(f_20942)
static void C_fcall f_20942(C_word t0,C_word t1) C_noret;
C_noret_decl(f_20952)
static void C_ccall f_20952(C_word c,C_word *av) C_noret;
C_noret_decl(f_20968)
static void C_ccall f_20968(C_word c,C_word *av) C_noret;
C_noret_decl(f_20979)
static void C_ccall f_20979(C_word c,C_word *av) C_noret;
C_noret_decl(f_20986)
static void C_ccall f_20986(C_word c,C_word *av) C_noret;
C_noret_decl(f_21084)
static void C_ccall f_21084(C_word c,C_word *av) C_noret;
C_noret_decl(f_21090)
static void C_fcall f_21090(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21099)
static void C_fcall f_21099(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21113)
static void C_ccall f_21113(C_word c,C_word *av) C_noret;
C_noret_decl(f_21116)
static void C_ccall f_21116(C_word c,C_word *av) C_noret;
C_noret_decl(f_21127)
static void C_ccall f_21127(C_word c,C_word *av) C_noret;
C_noret_decl(f_21129)
static void C_ccall f_21129(C_word c,C_word *av) C_noret;
C_noret_decl(f_21132)
static void C_ccall f_21132(C_word c,C_word *av) C_noret;
C_noret_decl(f_21149)
static void C_ccall f_21149(C_word c,C_word *av) C_noret;
C_noret_decl(f_21154)
static void C_fcall f_21154(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21158)
static void C_ccall f_21158(C_word c,C_word *av) C_noret;
C_noret_decl(f_21161)
static void C_fcall f_21161(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21164)
static void C_ccall f_21164(C_word c,C_word *av) C_noret;
C_noret_decl(f_21174)
static void C_ccall f_21174(C_word c,C_word *av) C_noret;
C_noret_decl(f_21192)
static void C_ccall f_21192(C_word c,C_word *av) C_noret;
C_noret_decl(f_21195)
static void C_ccall f_21195(C_word c,C_word *av) C_noret;
C_noret_decl(f_21204)
static void C_fcall f_21204(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21207)
static void C_ccall f_21207(C_word c,C_word *av) C_noret;
C_noret_decl(f_21210)
static void C_ccall f_21210(C_word c,C_word *av) C_noret;
C_noret_decl(f_21216)
static void C_ccall f_21216(C_word c,C_word *av) C_noret;
C_noret_decl(f_21229)
static void C_ccall f_21229(C_word c,C_word *av) C_noret;
C_noret_decl(f_21233)
static void C_ccall f_21233(C_word c,C_word *av) C_noret;
C_noret_decl(f_21237)
static void C_ccall f_21237(C_word c,C_word *av) C_noret;
C_noret_decl(f_21248)
static void C_ccall f_21248(C_word c,C_word *av) C_noret;
C_noret_decl(f_21252)
static void C_ccall f_21252(C_word c,C_word *av) C_noret;
C_noret_decl(f_21255)
static void C_ccall f_21255(C_word c,C_word *av) C_noret;
C_noret_decl(f_21283)
static void C_ccall f_21283(C_word c,C_word *av) C_noret;
C_noret_decl(f_21339)
static void C_ccall f_21339(C_word c,C_word *av) C_noret;
C_noret_decl(f_21343)
static void C_ccall f_21343(C_word c,C_word *av) C_noret;
C_noret_decl(f_21350)
static void C_ccall f_21350(C_word c,C_word *av) C_noret;
C_noret_decl(f_21352)
static void C_fcall f_21352(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21356)
static void C_ccall f_21356(C_word c,C_word *av) C_noret;
C_noret_decl(f_21370)
static void C_fcall f_21370(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21376)
static void C_ccall f_21376(C_word c,C_word *av) C_noret;
C_noret_decl(f_21383)
static void C_ccall f_21383(C_word c,C_word *av) C_noret;
C_noret_decl(f_21390)
static void C_ccall f_21390(C_word c,C_word *av) C_noret;
C_noret_decl(f_21405)
static void C_fcall f_21405(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21411)
static void C_ccall f_21411(C_word c,C_word *av) C_noret;
C_noret_decl(f_21440)
static void C_fcall f_21440(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21450)
static void C_ccall f_21450(C_word c,C_word *av) C_noret;
C_noret_decl(f_21453)
static void C_ccall f_21453(C_word c,C_word *av) C_noret;
C_noret_decl(f_21489)
static void C_ccall f_21489(C_word c,C_word *av) C_noret;
C_noret_decl(f_21491)
static void C_fcall f_21491(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21501)
static void C_ccall f_21501(C_word c,C_word *av) C_noret;
C_noret_decl(f_21504)
static void C_ccall f_21504(C_word c,C_word *av) C_noret;
C_noret_decl(f_21556)
static void C_ccall f_21556(C_word c,C_word *av) C_noret;
C_noret_decl(f_21558)
static void C_fcall f_21558(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21566)
static void C_ccall f_21566(C_word c,C_word *av) C_noret;
C_noret_decl(f_21568)
static void C_fcall f_21568(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21578)
static void C_fcall f_21578(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21593)
static void C_ccall f_21593(C_word c,C_word *av) C_noret;
C_noret_decl(f_21600)
static void C_ccall f_21600(C_word c,C_word *av) C_noret;
C_noret_decl(f_21622)
static void C_fcall f_21622(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21630)
static void C_ccall f_21630(C_word c,C_word *av) C_noret;
C_noret_decl(f_21632)
static void C_fcall f_21632(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21642)
static void C_fcall f_21642(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21648)
static void C_ccall f_21648(C_word c,C_word *av) C_noret;
C_noret_decl(f_21655)
static void C_ccall f_21655(C_word c,C_word *av) C_noret;
C_noret_decl(f_21668)
static void C_fcall f_21668(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21674)
static void C_ccall f_21674(C_word c,C_word *av) C_noret;
C_noret_decl(f_21678)
static void C_ccall f_21678(C_word c,C_word *av) C_noret;
C_noret_decl(f_21685)
static void C_ccall f_21685(C_word c,C_word *av) C_noret;
C_noret_decl(f_21693)
static void C_fcall f_21693(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_21699)
static void C_fcall f_21699(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_21703)
static void C_ccall f_21703(C_word c,C_word *av) C_noret;
C_noret_decl(f_21712)
static void C_fcall f_21712(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21718)
static void C_fcall f_21718(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21725)
static void C_ccall f_21725(C_word c,C_word *av) C_noret;
C_noret_decl(f_21736)
static void C_ccall f_21736(C_word c,C_word *av) C_noret;
C_noret_decl(f_21776)
static void C_ccall f_21776(C_word c,C_word *av) C_noret;
C_noret_decl(f_21785)
static void C_ccall f_21785(C_word c,C_word *av) C_noret;
C_noret_decl(f_21792)
static void C_ccall f_21792(C_word c,C_word *av) C_noret;
C_noret_decl(f_21796)
static void C_ccall f_21796(C_word c,C_word *av) C_noret;
C_noret_decl(f_21800)
static void C_ccall f_21800(C_word c,C_word *av) C_noret;
C_noret_decl(f_21809)
static void C_ccall f_21809(C_word c,C_word *av) C_noret;
C_noret_decl(f_21820)
static void C_ccall f_21820(C_word c,C_word *av) C_noret;
C_noret_decl(f_21858)
static void C_ccall f_21858(C_word c,C_word *av) C_noret;
C_noret_decl(f_21907)
static void C_fcall f_21907(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21911)
static void C_ccall f_21911(C_word c,C_word *av) C_noret;
C_noret_decl(f_21914)
static void C_ccall f_21914(C_word c,C_word *av) C_noret;
C_noret_decl(f_21926)
static void C_ccall f_21926(C_word c,C_word *av) C_noret;
C_noret_decl(f_21946)
static void C_fcall f_21946(C_word t0,C_word t1) C_noret;
C_noret_decl(f_21952)
static void C_ccall f_21952(C_word c,C_word *av) C_noret;
C_noret_decl(f_21962)
static void C_ccall f_21962(C_word c,C_word *av) C_noret;
C_noret_decl(f_22091)
static void C_fcall f_22091(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22098)
static void C_ccall f_22098(C_word c,C_word *av) C_noret;
C_noret_decl(f_22116)
static void C_fcall f_22116(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22122)
static void C_fcall f_22122(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22126)
static void C_ccall f_22126(C_word c,C_word *av) C_noret;
C_noret_decl(f_22162)
static void C_ccall f_22162(C_word c,C_word *av) C_noret;
C_noret_decl(f_22185)
static void C_ccall f_22185(C_word c,C_word *av) C_noret;
C_noret_decl(f_22203)
static void C_fcall f_22203(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22207)
static void C_ccall f_22207(C_word c,C_word *av) C_noret;
C_noret_decl(f_22214)
static void C_ccall f_22214(C_word c,C_word *av) C_noret;
C_noret_decl(f_22216)
static void C_fcall f_22216(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_22220)
static void C_ccall f_22220(C_word c,C_word *av) C_noret;
C_noret_decl(f_22231)
static void C_ccall f_22231(C_word c,C_word *av) C_noret;
C_noret_decl(f_22247)
static void C_ccall f_22247(C_word c,C_word *av) C_noret;
C_noret_decl(f_22250)
static void C_ccall f_22250(C_word c,C_word *av) C_noret;
C_noret_decl(f_22253)
static void C_ccall f_22253(C_word c,C_word *av) C_noret;
C_noret_decl(f_22259)
static void C_fcall f_22259(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22267)
static void C_ccall f_22267(C_word c,C_word *av) C_noret;
C_noret_decl(f_22273)
static void C_ccall f_22273(C_word c,C_word *av) C_noret;
C_noret_decl(f_22295)
static void C_ccall f_22295(C_word c,C_word *av) C_noret;
C_noret_decl(f_22307)
static void C_ccall f_22307(C_word c,C_word *av) C_noret;
C_noret_decl(f_22319)
static void C_ccall f_22319(C_word c,C_word *av) C_noret;
C_noret_decl(f_22328)
static void C_ccall f_22328(C_word c,C_word *av) C_noret;
C_noret_decl(f_22338)
static void C_ccall f_22338(C_word c,C_word *av) C_noret;
C_noret_decl(f_22347)
static void C_ccall f_22347(C_word c,C_word *av) C_noret;
C_noret_decl(f_22350)
static void C_ccall f_22350(C_word c,C_word *av) C_noret;
C_noret_decl(f_22368)
static void C_ccall f_22368(C_word c,C_word *av) C_noret;
C_noret_decl(f_22371)
static void C_ccall f_22371(C_word c,C_word *av) C_noret;
C_noret_decl(f_22377)
static void C_fcall f_22377(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22394)
static void C_ccall f_22394(C_word c,C_word *av) C_noret;
C_noret_decl(f_22400)
static void C_ccall f_22400(C_word c,C_word *av) C_noret;
C_noret_decl(f_22428)
static void C_ccall f_22428(C_word c,C_word *av) C_noret;
C_noret_decl(f_22451)
static void C_ccall f_22451(C_word c,C_word *av) C_noret;
C_noret_decl(f_22457)
static void C_fcall f_22457(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22465)
static void C_ccall f_22465(C_word c,C_word *av) C_noret;
C_noret_decl(f_22471)
static void C_ccall f_22471(C_word c,C_word *av) C_noret;
C_noret_decl(f_22496)
static void C_ccall f_22496(C_word c,C_word *av) C_noret;
C_noret_decl(f_22508)
static void C_ccall f_22508(C_word c,C_word *av) C_noret;
C_noret_decl(f_22520)
static void C_ccall f_22520(C_word c,C_word *av) C_noret;
C_noret_decl(f_22532)
static void C_ccall f_22532(C_word c,C_word *av) C_noret;
C_noret_decl(f_22544)
static void C_ccall f_22544(C_word c,C_word *av) C_noret;
C_noret_decl(f_22556)
static void C_ccall f_22556(C_word c,C_word *av) C_noret;
C_noret_decl(f_22568)
static void C_ccall f_22568(C_word c,C_word *av) C_noret;
C_noret_decl(f_22571)
static void C_ccall f_22571(C_word c,C_word *av) C_noret;
C_noret_decl(f_22574)
static void C_ccall f_22574(C_word c,C_word *av) C_noret;
C_noret_decl(f_22579)
static void C_ccall f_22579(C_word c,C_word *av) C_noret;
C_noret_decl(f_22584)
static void C_ccall f_22584(C_word c,C_word *av) C_noret;
C_noret_decl(f_22590)
static void C_ccall f_22590(C_word c,C_word *av) C_noret;
C_noret_decl(f_22632)
static void C_ccall f_22632(C_word c,C_word *av) C_noret;
C_noret_decl(f_22644)
static void C_ccall f_22644(C_word c,C_word *av) C_noret;
C_noret_decl(f_22647)
static void C_ccall f_22647(C_word c,C_word *av) C_noret;
C_noret_decl(f_22659)
static void C_ccall f_22659(C_word c,C_word *av) C_noret;
C_noret_decl(f_22671)
static void C_ccall f_22671(C_word c,C_word *av) C_noret;
C_noret_decl(f_22674)
static void C_ccall f_22674(C_word c,C_word *av) C_noret;
C_noret_decl(f_22686)
static void C_ccall f_22686(C_word c,C_word *av) C_noret;
C_noret_decl(f_22698)
static void C_ccall f_22698(C_word c,C_word *av) C_noret;
C_noret_decl(f_22701)
static void C_ccall f_22701(C_word c,C_word *av) C_noret;
C_noret_decl(f_22710)
static void C_ccall f_22710(C_word c,C_word *av) C_noret;
C_noret_decl(f_22725)
static void C_ccall f_22725(C_word c,C_word *av) C_noret;
C_noret_decl(f_22728)
static void C_ccall f_22728(C_word c,C_word *av) C_noret;
C_noret_decl(f_22733)
static void C_ccall f_22733(C_word c,C_word *av) C_noret;
C_noret_decl(f_22738)
static void C_ccall f_22738(C_word c,C_word *av) C_noret;
C_noret_decl(f_22744)
static void C_ccall f_22744(C_word c,C_word *av) C_noret;
C_noret_decl(f_22751)
static void C_fcall f_22751(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22773)
static void C_ccall f_22773(C_word c,C_word *av) C_noret;
C_noret_decl(f_22785)
static void C_ccall f_22785(C_word c,C_word *av) C_noret;
C_noret_decl(f_22788)
static void C_ccall f_22788(C_word c,C_word *av) C_noret;
C_noret_decl(f_22791)
static void C_ccall f_22791(C_word c,C_word *av) C_noret;
C_noret_decl(f_22806)
static void C_ccall f_22806(C_word c,C_word *av) C_noret;
C_noret_decl(f_22815)
static void C_ccall f_22815(C_word c,C_word *av) C_noret;
C_noret_decl(f_22818)
static void C_ccall f_22818(C_word c,C_word *av) C_noret;
C_noret_decl(f_22824)
static void C_fcall f_22824(C_word t0,C_word t1) C_noret;
C_noret_decl(f_22827)
static void C_ccall f_22827(C_word c,C_word *av) C_noret;
C_noret_decl(f_22833)
static void C_ccall f_22833(C_word c,C_word *av) C_noret;
C_noret_decl(f_22852)
static void C_ccall f_22852(C_word c,C_word *av) C_noret;
C_noret_decl(f_22871)
static void C_ccall f_22871(C_word c,C_word *av) C_noret;
C_noret_decl(f_22887)
static void C_ccall f_22887(C_word c,C_word *av) C_noret;
C_noret_decl(f_22893)
static void C_ccall f_22893(C_word c,C_word *av) C_noret;
C_noret_decl(f_22965)
static void C_ccall f_22965(C_word c,C_word *av) C_noret;
C_noret_decl(f_22977)
static void C_ccall f_22977(C_word c,C_word *av) C_noret;
C_noret_decl(f_23055)
static void C_ccall f_23055(C_word c,C_word *av) C_noret;
C_noret_decl(f_23131)
static void C_ccall f_23131(C_word c,C_word *av) C_noret;
C_noret_decl(f_23296)
static void C_ccall f_23296(C_word c,C_word *av) C_noret;
C_noret_decl(f_23308)
static void C_ccall f_23308(C_word c,C_word *av) C_noret;
C_noret_decl(f_23370)
static void C_ccall f_23370(C_word c,C_word *av) C_noret;
C_noret_decl(f_23373)
static void C_fcall f_23373(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23419)
static void C_fcall f_23419(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23423)
static void C_ccall f_23423(C_word c,C_word *av) C_noret;
C_noret_decl(f_23441)
static void C_ccall f_23441(C_word c,C_word *av) C_noret;
C_noret_decl(f_23505)
static void C_ccall f_23505(C_word c,C_word *av) C_noret;
C_noret_decl(f_23516)
static void C_ccall f_23516(C_word c,C_word *av) C_noret;
C_noret_decl(f_23518)
static void C_ccall f_23518(C_word c,C_word *av) C_noret;
C_noret_decl(f_23531)
static void C_ccall f_23531(C_word c,C_word *av) C_noret;
C_noret_decl(f_23543)
static void C_ccall f_23543(C_word c,C_word *av) C_noret;
C_noret_decl(f_23563)
static void C_ccall f_23563(C_word c,C_word *av) C_noret;
C_noret_decl(f_23570)
static void C_ccall f_23570(C_word c,C_word *av) C_noret;
C_noret_decl(f_23579)
static void C_ccall f_23579(C_word c,C_word *av) C_noret;
C_noret_decl(f_23591)
static void C_ccall f_23591(C_word c,C_word *av) C_noret;
C_noret_decl(f_23612)
static void C_ccall f_23612(C_word c,C_word *av) C_noret;
C_noret_decl(f_23627)
static void C_ccall f_23627(C_word c,C_word *av) C_noret;
C_noret_decl(f_23645)
static void C_ccall f_23645(C_word c,C_word *av) C_noret;
C_noret_decl(f_23663)
static void C_ccall f_23663(C_word c,C_word *av) C_noret;
C_noret_decl(f_23682)
static void C_fcall f_23682(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23692)
static void C_ccall f_23692(C_word c,C_word *av) C_noret;
C_noret_decl(f_23706)
static void C_ccall f_23706(C_word c,C_word *av) C_noret;
C_noret_decl(f_23709)
static void C_ccall f_23709(C_word c,C_word *av) C_noret;
C_noret_decl(f_23714)
static void C_ccall f_23714(C_word c,C_word *av) C_noret;
C_noret_decl(f_23733)
static void C_fcall f_23733(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23743)
static void C_ccall f_23743(C_word c,C_word *av) C_noret;
C_noret_decl(f_23757)
static void C_ccall f_23757(C_word c,C_word *av) C_noret;
C_noret_decl(f_23760)
static void C_ccall f_23760(C_word c,C_word *av) C_noret;
C_noret_decl(f_23767)
static void C_ccall f_23767(C_word c,C_word *av) C_noret;
C_noret_decl(f_23771)
static void C_ccall f_23771(C_word c,C_word *av) C_noret;
C_noret_decl(f_23775)
static void C_ccall f_23775(C_word c,C_word *av) C_noret;
C_noret_decl(f_23777)
static void C_ccall f_23777(C_word c,C_word *av) C_noret;
C_noret_decl(f_23784)
static void C_ccall f_23784(C_word c,C_word *av) C_noret;
C_noret_decl(f_23787)
static void C_ccall f_23787(C_word c,C_word *av) C_noret;
C_noret_decl(f_23790)
static void C_ccall f_23790(C_word c,C_word *av) C_noret;
C_noret_decl(f_23792)
static void C_fcall f_23792(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23802)
static void C_ccall f_23802(C_word c,C_word *av) C_noret;
C_noret_decl(f_23808)
static void C_ccall f_23808(C_word c,C_word *av) C_noret;
C_noret_decl(f_23820)
static void C_ccall f_23820(C_word c,C_word *av) C_noret;
C_noret_decl(f_23823)
static void C_ccall f_23823(C_word c,C_word *av) C_noret;
C_noret_decl(f_23826)
static void C_ccall f_23826(C_word c,C_word *av) C_noret;
C_noret_decl(f_23843)
static void C_ccall f_23843(C_word c,C_word *av) C_noret;
C_noret_decl(f_23864)
static void C_fcall f_23864(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23868)
static void C_ccall f_23868(C_word c,C_word *av) C_noret;
C_noret_decl(f_23881)
static void C_ccall f_23881(C_word c,C_word *av) C_noret;
C_noret_decl(f_23884)
static void C_ccall f_23884(C_word c,C_word *av) C_noret;
C_noret_decl(f_23893)
static void C_ccall f_23893(C_word c,C_word *av) C_noret;
C_noret_decl(f_23896)
static void C_ccall f_23896(C_word c,C_word *av) C_noret;
C_noret_decl(f_23924)
static void C_fcall f_23924(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23928)
static void C_ccall f_23928(C_word c,C_word *av) C_noret;
C_noret_decl(f_23937)
static void C_ccall f_23937(C_word c,C_word *av) C_noret;
C_noret_decl(f_23948)
static void C_fcall f_23948(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_23955)
static void C_ccall f_23955(C_word c,C_word *av) C_noret;
C_noret_decl(f_23960)
static void C_fcall f_23960(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_23982)
static void C_ccall f_23982(C_word c,C_word *av) C_noret;
C_noret_decl(f_23988)
static void C_ccall f_23988(C_word c,C_word *av) C_noret;
C_noret_decl(f_23991)
static void C_ccall f_23991(C_word c,C_word *av) C_noret;
C_noret_decl(f_24002)
static void C_ccall f_24002(C_word c,C_word *av) C_noret;
C_noret_decl(f_24011)
static void C_ccall f_24011(C_word c,C_word *av) C_noret;
C_noret_decl(f_24014)
static void C_ccall f_24014(C_word c,C_word *av) C_noret;
C_noret_decl(f_24037)
static void C_fcall f_24037(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24086)
static void C_fcall f_24086(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24102)
static void C_fcall f_24102(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24109)
static void C_ccall f_24109(C_word c,C_word *av) C_noret;
C_noret_decl(f_24121)
static void C_fcall f_24121(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24179)
static void C_fcall f_24179(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24226)
static void C_ccall f_24226(C_word c,C_word *av) C_noret;
C_noret_decl(f_24231)
static void C_fcall f_24231(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24280)
static void C_ccall f_24280(C_word c,C_word *av) C_noret;
C_noret_decl(f_24286)
static void C_ccall f_24286(C_word c,C_word *av) C_noret;
C_noret_decl(f_24290)
static void C_fcall f_24290(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24313)
static void C_ccall f_24313(C_word c,C_word *av) C_noret;
C_noret_decl(f_24320)
static void C_ccall f_24320(C_word c,C_word *av) C_noret;
C_noret_decl(f_24339)
static void C_ccall f_24339(C_word c,C_word *av) C_noret;
C_noret_decl(f_24375)
static void C_ccall f_24375(C_word c,C_word *av) C_noret;
C_noret_decl(f_24387)
static void C_ccall f_24387(C_word c,C_word *av) C_noret;
C_noret_decl(f_24393)
static void C_ccall f_24393(C_word c,C_word *av) C_noret;
C_noret_decl(f_24415)
static void C_ccall f_24415(C_word c,C_word *av) C_noret;
C_noret_decl(f_24422)
static void C_ccall f_24422(C_word c,C_word *av) C_noret;
C_noret_decl(f_24432)
static void C_ccall f_24432(C_word c,C_word *av) C_noret;
C_noret_decl(f_24441)
static void C_ccall f_24441(C_word c,C_word *av) C_noret;
C_noret_decl(f_24447)
static void C_fcall f_24447(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24460)
static void C_ccall f_24460(C_word c,C_word *av) C_noret;
C_noret_decl(f_24498)
static void C_ccall f_24498(C_word c,C_word *av) C_noret;
C_noret_decl(f_24564)
static void C_ccall f_24564(C_word c,C_word *av) C_noret;
C_noret_decl(f_24567)
static void C_ccall f_24567(C_word c,C_word *av) C_noret;
C_noret_decl(f_24574)
static void C_ccall f_24574(C_word c,C_word *av) C_noret;
C_noret_decl(f_24614)
static void C_ccall f_24614(C_word c,C_word *av) C_noret;
C_noret_decl(f_24617)
static void C_ccall f_24617(C_word c,C_word *av) C_noret;
C_noret_decl(f_24626)
static void C_fcall f_24626(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24636)
static void C_fcall f_24636(C_word t0,C_word t1) C_noret;
C_noret_decl(f_24639)
static void C_ccall f_24639(C_word c,C_word *av) C_noret;
C_noret_decl(f_24648)
static void C_ccall f_24648(C_word c,C_word *av) C_noret;
C_noret_decl(f_24658)
static void C_ccall f_24658(C_word c,C_word *av) C_noret;
C_noret_decl(f_24661)
static void C_ccall f_24661(C_word c,C_word *av) C_noret;
C_noret_decl(f_24687)
static void C_ccall f_24687(C_word c,C_word *av) C_noret;
C_noret_decl(f_24693)
static void C_ccall f_24693(C_word c,C_word *av) C_noret;
C_noret_decl(f_24698)
static void C_fcall f_24698(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_24711)
static void C_ccall f_24711(C_word c,C_word *av) C_noret;
C_noret_decl(f_24714)
static void C_ccall f_24714(C_word c,C_word *av) C_noret;
C_noret_decl(f_24725)
static void C_ccall f_24725(C_word c,C_word *av) C_noret;
C_noret_decl(f_24747)
static void C_ccall f_24747(C_word c,C_word *av) C_noret;
C_noret_decl(f_24759)
static void C_ccall f_24759(C_word c,C_word *av) C_noret;
C_noret_decl(f_24762)
static void C_ccall f_24762(C_word c,C_word *av) C_noret;
C_noret_decl(f_24769)
static void C_ccall f_24769(C_word c,C_word *av) C_noret;
C_noret_decl(f_24778)
static void C_ccall f_24778(C_word c,C_word *av) C_noret;
C_noret_decl(f_24781)
static void C_ccall f_24781(C_word c,C_word *av) C_noret;
C_noret_decl(f_24825)
static void C_ccall f_24825(C_word c,C_word *av) C_noret;
C_noret_decl(f_24828)
static void C_ccall f_24828(C_word c,C_word *av) C_noret;
C_noret_decl(f_24837)
static void C_fcall f_24837(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_24850)
static void C_ccall f_24850(C_word c,C_word *av) C_noret;
C_noret_decl(f_24853)
static void C_ccall f_24853(C_word c,C_word *av) C_noret;
C_noret_decl(f_24878)
static void C_ccall f_24878(C_word c,C_word *av) C_noret;
C_noret_decl(f_24882)
static void C_ccall f_24882(C_word c,C_word *av) C_noret;
C_noret_decl(f_24892)
static void C_ccall f_24892(C_word c,C_word *av) C_noret;
C_noret_decl(f_24895)
static void C_ccall f_24895(C_word c,C_word *av) C_noret;
C_noret_decl(f_24915)
static void C_ccall f_24915(C_word c,C_word *av) C_noret;
C_noret_decl(f_24928)
static void C_ccall f_24928(C_word c,C_word *av) C_noret;
C_noret_decl(f_24933)
static void C_ccall f_24933(C_word c,C_word *av) C_noret;
C_noret_decl(f_24939)
static void C_ccall f_24939(C_word c,C_word *av) C_noret;
C_noret_decl(f_24945)
static void C_ccall f_24945(C_word c,C_word *av) C_noret;
C_noret_decl(f_24949)
static void C_ccall f_24949(C_word c,C_word *av) C_noret;
C_noret_decl(f_24952)
static void C_ccall f_24952(C_word c,C_word *av) C_noret;
C_noret_decl(f_24967)
static void C_ccall f_24967(C_word c,C_word *av) C_noret;
C_noret_decl(f_24970)
static void C_ccall f_24970(C_word c,C_word *av) C_noret;
C_noret_decl(f_24988)
static void C_ccall f_24988(C_word c,C_word *av) C_noret;
C_noret_decl(f_24990)
static void C_ccall f_24990(C_word c,C_word *av) C_noret;
C_noret_decl(f_24996)
static void C_ccall f_24996(C_word c,C_word *av) C_noret;
C_noret_decl(f_25005)
static void C_ccall f_25005(C_word c,C_word *av) C_noret;
C_noret_decl(f_25011)
static void C_ccall f_25011(C_word c,C_word *av) C_noret;
C_noret_decl(f_25018)
static void C_ccall f_25018(C_word c,C_word *av) C_noret;
C_noret_decl(f_25021)
static void C_ccall f_25021(C_word c,C_word *av) C_noret;
C_noret_decl(f_25024)
static void C_ccall f_25024(C_word c,C_word *av) C_noret;
C_noret_decl(f_25033)
static void C_ccall f_25033(C_word c,C_word *av) C_noret;
C_noret_decl(f_25049)
static void C_ccall f_25049(C_word c,C_word *av) C_noret;
C_noret_decl(f_25064)
static void C_ccall f_25064(C_word c,C_word *av) C_noret;
C_noret_decl(f_25066)
static void C_ccall f_25066(C_word c,C_word *av) C_noret;
C_noret_decl(f_25072)
static void C_ccall f_25072(C_word c,C_word *av) C_noret;
C_noret_decl(f_25078)
static void C_ccall f_25078(C_word c,C_word *av) C_noret;
C_noret_decl(f_25082)
static void C_ccall f_25082(C_word c,C_word *av) C_noret;
C_noret_decl(f_25085)
static void C_ccall f_25085(C_word c,C_word *av) C_noret;
C_noret_decl(f_25088)
static void C_ccall f_25088(C_word c,C_word *av) C_noret;
C_noret_decl(f_25092)
static void C_ccall f_25092(C_word c,C_word *av) C_noret;
C_noret_decl(f_25096)
static void C_ccall f_25096(C_word c,C_word *av) C_noret;
C_noret_decl(f_25100)
static void C_ccall f_25100(C_word c,C_word *av) C_noret;
C_noret_decl(f_25103)
static void C_ccall f_25103(C_word c,C_word *av) C_noret;
C_noret_decl(f_25106)
static void C_ccall f_25106(C_word c,C_word *av) C_noret;
C_noret_decl(f_25109)
static void C_ccall f_25109(C_word c,C_word *av) C_noret;
C_noret_decl(f_25121)
static void C_ccall f_25121(C_word c,C_word *av) C_noret;
C_noret_decl(f_25127)
static void C_ccall f_25127(C_word c,C_word *av) C_noret;
C_noret_decl(f_25131)
static void C_ccall f_25131(C_word c,C_word *av) C_noret;
C_noret_decl(f_25134)
static void C_ccall f_25134(C_word c,C_word *av) C_noret;
C_noret_decl(f_25137)
static void C_ccall f_25137(C_word c,C_word *av) C_noret;
C_noret_decl(f_25140)
static void C_ccall f_25140(C_word c,C_word *av) C_noret;
C_noret_decl(f_25143)
static void C_ccall f_25143(C_word c,C_word *av) C_noret;
C_noret_decl(f_25146)
static void C_ccall f_25146(C_word c,C_word *av) C_noret;
C_noret_decl(f_25151)
static void C_ccall f_25151(C_word c,C_word *av) C_noret;
C_noret_decl(f_25173)
static void C_ccall f_25173(C_word c,C_word *av) C_noret;
C_noret_decl(f_25179)
static void C_ccall f_25179(C_word c,C_word *av) C_noret;
C_noret_decl(f_25182)
static void C_ccall f_25182(C_word c,C_word *av) C_noret;
C_noret_decl(f_25207)
static void C_ccall f_25207(C_word c,C_word *av) C_noret;
C_noret_decl(f_25210)
static void C_fcall f_25210(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_25217)
static void C_ccall f_25217(C_word c,C_word *av) C_noret;
C_noret_decl(f_25230)
static void C_fcall f_25230(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_25240)
static void C_ccall f_25240(C_word c,C_word *av) C_noret;
C_noret_decl(f_25245)
static void C_ccall f_25245(C_word c,C_word *av) C_noret;
C_noret_decl(f_25251)
static void C_ccall f_25251(C_word c,C_word *av) C_noret;
C_noret_decl(f_25278)
static void C_ccall f_25278(C_word c,C_word *av) C_noret;
C_noret_decl(f_25284)
static void C_fcall f_25284(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25295)
static void C_ccall f_25295(C_word c,C_word *av) C_noret;
C_noret_decl(f_25301)
static void C_fcall f_25301(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25304)
static void C_ccall f_25304(C_word c,C_word *av) C_noret;
C_noret_decl(f_25309)
static void C_ccall f_25309(C_word c,C_word *av) C_noret;
C_noret_decl(f_25315)
static void C_ccall f_25315(C_word c,C_word *av) C_noret;
C_noret_decl(f_25339)
static void C_ccall f_25339(C_word c,C_word *av) C_noret;
C_noret_decl(f_25347)
static void C_ccall f_25347(C_word c,C_word *av) C_noret;
C_noret_decl(f_25364)
static void C_ccall f_25364(C_word c,C_word *av) C_noret;
C_noret_decl(f_25404)
static void C_ccall f_25404(C_word c,C_word *av) C_noret;
C_noret_decl(f_25411)
static void C_ccall f_25411(C_word c,C_word *av) C_noret;
C_noret_decl(f_25423)
static void C_ccall f_25423(C_word c,C_word *av) C_noret;
C_noret_decl(f_25427)
static void C_ccall f_25427(C_word c,C_word *av) C_noret;
C_noret_decl(f_25440)
static void C_ccall f_25440(C_word c,C_word *av) C_noret;
C_noret_decl(f_25442)
static void C_ccall f_25442(C_word c,C_word *av) C_noret;
C_noret_decl(f_25476)
static void C_ccall f_25476(C_word c,C_word *av) C_noret;
C_noret_decl(f_25480)
static void C_ccall f_25480(C_word c,C_word *av) C_noret;
C_noret_decl(f_25481)
static void C_fcall f_25481(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25491)
static void C_ccall f_25491(C_word c,C_word *av) C_noret;
C_noret_decl(f_25496)
static void C_fcall f_25496(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25506)
static void C_ccall f_25506(C_word c,C_word *av) C_noret;
C_noret_decl(f_25519)
static void C_ccall f_25519(C_word c,C_word *av) C_noret;
C_noret_decl(f_25530)
static void C_ccall f_25530(C_word c,C_word *av) C_noret;
C_noret_decl(f_25534)
static void C_ccall f_25534(C_word c,C_word *av) C_noret;
C_noret_decl(f_25538)
static void C_ccall f_25538(C_word c,C_word *av) C_noret;
C_noret_decl(f_25560)
static void C_ccall f_25560(C_word c,C_word *av) C_noret;
C_noret_decl(f_25564)
static void C_ccall f_25564(C_word c,C_word *av) C_noret;
C_noret_decl(f_25572)
static void C_ccall f_25572(C_word c,C_word *av) C_noret;
C_noret_decl(f_25588)
static void C_ccall f_25588(C_word c,C_word *av) C_noret;
C_noret_decl(f_25599)
static void C_fcall f_25599(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25618)
static void C_fcall f_25618(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25629)
static void C_ccall f_25629(C_word c,C_word *av) C_noret;
C_noret_decl(f_25637)
static void C_ccall f_25637(C_word c,C_word *av) C_noret;
C_noret_decl(f_25716)
static void C_ccall f_25716(C_word c,C_word *av) C_noret;
C_noret_decl(f_25726)
static void C_ccall f_25726(C_word c,C_word *av) C_noret;
C_noret_decl(f_25727)
static void C_fcall f_25727(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25740)
static void C_ccall f_25740(C_word c,C_word *av) C_noret;
C_noret_decl(f_25743)
static void C_ccall f_25743(C_word c,C_word *av) C_noret;
C_noret_decl(f_25746)
static void C_ccall f_25746(C_word c,C_word *av) C_noret;
C_noret_decl(f_25749)
static void C_ccall f_25749(C_word c,C_word *av) C_noret;
C_noret_decl(f_25757)
static void C_ccall f_25757(C_word c,C_word *av) C_noret;
C_noret_decl(f_25764)
static void C_fcall f_25764(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25767)
static void C_ccall f_25767(C_word c,C_word *av) C_noret;
C_noret_decl(f_25770)
static void C_ccall f_25770(C_word c,C_word *av) C_noret;
C_noret_decl(f_25793)
static void C_ccall f_25793(C_word c,C_word *av) C_noret;
C_noret_decl(f_25798)
static void C_fcall f_25798(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25808)
static void C_ccall f_25808(C_word c,C_word *av) C_noret;
C_noret_decl(f_25821)
static void C_ccall f_25821(C_word c,C_word *av) C_noret;
C_noret_decl(f_25852)
static void C_ccall f_25852(C_word c,C_word *av) C_noret;
C_noret_decl(f_25862)
static void C_ccall f_25862(C_word c,C_word *av) C_noret;
C_noret_decl(f_25912)
static void C_ccall f_25912(C_word c,C_word *av) C_noret;
C_noret_decl(f_25915)
static void C_ccall f_25915(C_word c,C_word *av) C_noret;
C_noret_decl(f_25934)
static void C_fcall f_25934(C_word t0) C_noret;
C_noret_decl(f_25939)
static void C_ccall f_25939(C_word c,C_word *av) C_noret;
C_noret_decl(f_25945)
static void C_ccall f_25945(C_word c,C_word *av) C_noret;
C_noret_decl(f_25948)
static void C_ccall f_25948(C_word c,C_word *av) C_noret;
C_noret_decl(f_25954)
static void C_ccall f_25954(C_word c,C_word *av) C_noret;
C_noret_decl(f_25962)
static void C_fcall f_25962(C_word t0,C_word t1) C_noret;
C_noret_decl(f_25981)
static void C_ccall f_25981(C_word c,C_word *av) C_noret;
C_noret_decl(f_25986)
static void C_fcall f_25986(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_25996)
static void C_ccall f_25996(C_word c,C_word *av) C_noret;
C_noret_decl(f_26010)
static void C_ccall f_26010(C_word c,C_word *av) C_noret;
C_noret_decl(f_26017)
static void C_ccall f_26017(C_word c,C_word *av) C_noret;
C_noret_decl(f_26021)
static void C_ccall f_26021(C_word c,C_word *av) C_noret;
C_noret_decl(f_26025)
static void C_ccall f_26025(C_word c,C_word *av) C_noret;
C_noret_decl(f_26027)
static void C_ccall f_26027(C_word c,C_word *av) C_noret;
C_noret_decl(f_26053)
static void C_ccall f_26053(C_word c,C_word *av) C_noret;
C_noret_decl(f_26056)
static void C_ccall f_26056(C_word c,C_word *av) C_noret;
C_noret_decl(f_26059)
static void C_ccall f_26059(C_word c,C_word *av) C_noret;
C_noret_decl(f_26066)
static void C_ccall f_26066(C_word c,C_word *av) C_noret;
C_noret_decl(f_26070)
static void C_ccall f_26070(C_word c,C_word *av) C_noret;
C_noret_decl(f_26076)
static void C_ccall f_26076(C_word c,C_word *av) C_noret;
C_noret_decl(f_26081)
static void C_fcall f_26081(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26091)
static void C_ccall f_26091(C_word c,C_word *av) C_noret;
C_noret_decl(f_26108)
static void C_fcall f_26108(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26129)
static void C_fcall f_26129(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26132)
static void C_fcall f_26132(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26152)
static void C_fcall f_26152(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26160)
static void C_ccall f_26160(C_word c,C_word *av) C_noret;
C_noret_decl(f_26294)
static void C_ccall f_26294(C_word c,C_word *av) C_noret;
C_noret_decl(f_26311)
static void C_ccall f_26311(C_word c,C_word *av) C_noret;
C_noret_decl(f_26315)
static void C_ccall f_26315(C_word c,C_word *av) C_noret;
C_noret_decl(f_26328)
static void C_ccall f_26328(C_word c,C_word *av) C_noret;
C_noret_decl(f_26337)
static void C_ccall f_26337(C_word c,C_word *av) C_noret;
C_noret_decl(f_26340)
static void C_ccall f_26340(C_word c,C_word *av) C_noret;
C_noret_decl(f_26344)
static void C_ccall f_26344(C_word c,C_word *av) C_noret;
C_noret_decl(f_26383)
static void C_ccall f_26383(C_word c,C_word *av) C_noret;
C_noret_decl(f_26386)
static void C_ccall f_26386(C_word c,C_word *av) C_noret;
C_noret_decl(f_26393)
static void C_ccall f_26393(C_word c,C_word *av) C_noret;
C_noret_decl(f_26397)
static void C_ccall f_26397(C_word c,C_word *av) C_noret;
C_noret_decl(f_26423)
static void C_ccall f_26423(C_word c,C_word *av) C_noret;
C_noret_decl(f_26454)
static void C_ccall f_26454(C_word c,C_word *av) C_noret;
C_noret_decl(f_26457)
static void C_ccall f_26457(C_word c,C_word *av) C_noret;
C_noret_decl(f_26469)
static void C_ccall f_26469(C_word c,C_word *av) C_noret;
C_noret_decl(f_26472)
static void C_ccall f_26472(C_word c,C_word *av) C_noret;
C_noret_decl(f_26475)
static void C_ccall f_26475(C_word c,C_word *av) C_noret;
C_noret_decl(f_26500)
static void C_ccall f_26500(C_word c,C_word *av) C_noret;
C_noret_decl(f_26506)
static void C_ccall f_26506(C_word c,C_word *av) C_noret;
C_noret_decl(f_26510)
static void C_ccall f_26510(C_word c,C_word *av) C_noret;
C_noret_decl(f_26514)
static void C_ccall f_26514(C_word c,C_word *av) C_noret;
C_noret_decl(f_26527)
static void C_ccall f_26527(C_word c,C_word *av) C_noret;
C_noret_decl(f_26529)
static C_word C_fcall f_26529(C_word t0,C_word t1);
C_noret_decl(f_26535)
static C_word C_fcall f_26535(C_word t0);
C_noret_decl(f_26540)
static C_word C_fcall f_26540(C_word t0);
C_noret_decl(f_26575)
static void C_fcall f_26575(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_26581)
static void C_fcall f_26581(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26597)
static void C_fcall f_26597(C_word t0,C_word t1) C_noret;
C_noret_decl(f_26619)
static void C_ccall f_26619(C_word c,C_word *av) C_noret;
C_noret_decl(f_26643)
static void C_ccall f_26643(C_word c,C_word *av) C_noret;
C_noret_decl(f_26655)
static void C_ccall f_26655(C_word c,C_word *av) C_noret;
C_noret_decl(f_26657)
static void C_ccall f_26657(C_word c,C_word *av) C_noret;
C_noret_decl(f_26676)
static void C_ccall f_26676(C_word c,C_word *av) C_noret;
C_noret_decl(f_26680)
static void C_ccall f_26680(C_word c,C_word *av) C_noret;
C_noret_decl(f_26692)
static void C_ccall f_26692(C_word c,C_word *av) C_noret;
C_noret_decl(f_26694)
static void C_fcall f_26694(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26738)
static void C_ccall f_26738(C_word c,C_word *av) C_noret;
C_noret_decl(f_26740)
static void C_fcall f_26740(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26774)
static C_word C_fcall f_26774(C_word t0);
C_noret_decl(f_26797)
static void C_ccall f_26797(C_word c,C_word *av) C_noret;
C_noret_decl(f_26804)
static void C_ccall f_26804(C_word c,C_word *av) C_noret;
C_noret_decl(f_26814)
static void C_ccall f_26814(C_word c,C_word *av) C_noret;
C_noret_decl(f_26816)
static void C_fcall f_26816(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26866)
static void C_ccall f_26866(C_word c,C_word *av) C_noret;
C_noret_decl(f_26868)
static void C_fcall f_26868(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26893)
static void C_ccall f_26893(C_word c,C_word *av) C_noret;
C_noret_decl(f_26902)
static void C_ccall f_26902(C_word c,C_word *av) C_noret;
C_noret_decl(f_26908)
static void C_ccall f_26908(C_word c,C_word *av) C_noret;
C_noret_decl(f_26912)
static void C_ccall f_26912(C_word c,C_word *av) C_noret;
C_noret_decl(f_26916)
static void C_fcall f_26916(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26924)
static void C_ccall f_26924(C_word c,C_word *av) C_noret;
C_noret_decl(f_26930)
static void C_fcall f_26930(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_26961)
static void C_ccall f_26961(C_word c,C_word *av) C_noret;
C_noret_decl(f_26986)
static void C_fcall f_26986(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27011)
static void C_ccall f_27011(C_word c,C_word *av) C_noret;
C_noret_decl(f_27021)
static void C_ccall f_27021(C_word c,C_word *av) C_noret;
C_noret_decl(f_27026)
static void C_ccall f_27026(C_word c,C_word *av) C_noret;
C_noret_decl(f_27028)
static void C_ccall f_27028(C_word c,C_word *av) C_noret;
C_noret_decl(f_27035)
static void C_ccall f_27035(C_word c,C_word *av) C_noret;
C_noret_decl(f_27047)
static void C_ccall f_27047(C_word c,C_word *av) C_noret;
C_noret_decl(f_27055)
static void C_ccall f_27055(C_word c,C_word *av) C_noret;
C_noret_decl(f_27093)
static void C_ccall f_27093(C_word c,C_word *av) C_noret;
C_noret_decl(f_27097)
static void C_ccall f_27097(C_word c,C_word *av) C_noret;
C_noret_decl(f_27104)
static void C_ccall f_27104(C_word c,C_word *av) C_noret;
C_noret_decl(f_27107)
static void C_ccall f_27107(C_word c,C_word *av) C_noret;
C_noret_decl(f_27110)
static void C_ccall f_27110(C_word c,C_word *av) C_noret;
C_noret_decl(f_27111)
static void C_fcall f_27111(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27113)
static void C_fcall f_27113(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27117)
static void C_ccall f_27117(C_word c,C_word *av) C_noret;
C_noret_decl(f_27122)
static void C_ccall f_27122(C_word c,C_word *av) C_noret;
C_noret_decl(f_27134)
static void C_fcall f_27134(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27144)
static void C_ccall f_27144(C_word c,C_word *av) C_noret;
C_noret_decl(f_27156)
static void C_ccall f_27156(C_word c,C_word *av) C_noret;
C_noret_decl(f_27158)
static void C_fcall f_27158(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_27165)
static void C_ccall f_27165(C_word c,C_word *av) C_noret;
C_noret_decl(f_27168)
static void C_ccall f_27168(C_word c,C_word *av) C_noret;
C_noret_decl(f_27174)
static void C_fcall f_27174(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27177)
static void C_ccall f_27177(C_word c,C_word *av) C_noret;
C_noret_decl(f_27180)
static void C_ccall f_27180(C_word c,C_word *av) C_noret;
C_noret_decl(f_27183)
static void C_ccall f_27183(C_word c,C_word *av) C_noret;
C_noret_decl(f_27198)
static void C_ccall f_27198(C_word c,C_word *av) C_noret;
C_noret_decl(f_27204)
static void C_ccall f_27204(C_word c,C_word *av) C_noret;
C_noret_decl(f_27212)
static void C_fcall f_27212(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27216)
static void C_ccall f_27216(C_word c,C_word *av) C_noret;
C_noret_decl(f_27219)
static void C_ccall f_27219(C_word c,C_word *av) C_noret;
C_noret_decl(f_27222)
static void C_ccall f_27222(C_word c,C_word *av) C_noret;
C_noret_decl(f_27235)
static void C_ccall f_27235(C_word c,C_word *av) C_noret;
C_noret_decl(f_27239)
static void C_ccall f_27239(C_word c,C_word *av) C_noret;
C_noret_decl(f_27260)
static void C_ccall f_27260(C_word c,C_word *av) C_noret;
C_noret_decl(f_27276)
static void C_ccall f_27276(C_word c,C_word *av) C_noret;
C_noret_decl(f_27279)
static void C_ccall f_27279(C_word c,C_word *av) C_noret;
C_noret_decl(f_27285)
static void C_ccall f_27285(C_word c,C_word *av) C_noret;
C_noret_decl(f_27307)
static void C_fcall f_27307(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_27312)
static void C_fcall f_27312(C_word t0,C_word t1) C_noret;
C_noret_decl(f_27347)
static void C_ccall f_27347(C_word c,C_word *av) C_noret;
C_noret_decl(f_27357)
static void C_ccall f_27357(C_word c,C_word *av) C_noret;
C_noret_decl(f_27360)
static void C_ccall f_27360(C_word c,C_word *av) C_noret;
C_noret_decl(f_27363)
static void C_ccall f_27363(C_word c,C_word *av) C_noret;
C_noret_decl(f_27366)
static void C_ccall f_27366(C_word c,C_word *av) C_noret;
C_noret_decl(f_27369)
static void C_ccall f_27369(C_word c,C_word *av) C_noret;
C_noret_decl(f_27372)
static void C_ccall f_27372(C_word c,C_word *av) C_noret;
C_noret_decl(f_27379)
static void C_ccall f_27379(C_word c,C_word *av) C_noret;
C_noret_decl(f_27382)
static void C_ccall f_27382(C_word c,C_word *av) C_noret;
C_noret_decl(f_27385)
static void C_ccall f_27385(C_word c,C_word *av) C_noret;
C_noret_decl(f_27396)
static void C_ccall f_27396(C_word c,C_word *av) C_noret;
C_noret_decl(f_27419)
static void C_ccall f_27419(C_word c,C_word *av) C_noret;
C_noret_decl(f_27430)
static void C_ccall f_27430(C_word c,C_word *av) C_noret;
C_noret_decl(f_27434)
static void C_ccall f_27434(C_word c,C_word *av) C_noret;
C_noret_decl(f_27456)
static void C_ccall f_27456(C_word c,C_word *av) C_noret;
C_noret_decl(f_27467)
static void C_ccall f_27467(C_word c,C_word *av) C_noret;
C_noret_decl(f_27471)
static void C_ccall f_27471(C_word c,C_word *av) C_noret;
C_noret_decl(f_28063)
static void C_ccall f_28063(C_word c,C_word *av) C_noret;
C_noret_decl(f_28066)
static void C_ccall f_28066(C_word c,C_word *av) C_noret;
C_noret_decl(f_28069)
static void C_ccall f_28069(C_word c,C_word *av) C_noret;
C_noret_decl(f_28072)
static void C_ccall f_28072(C_word c,C_word *av) C_noret;
C_noret_decl(f_28077)
static void C_ccall f_28077(C_word c,C_word *av) C_noret;
C_noret_decl(f_28080)
static void C_ccall f_28080(C_word c,C_word *av) C_noret;
C_noret_decl(f_28083)
static void C_ccall f_28083(C_word c,C_word *av) C_noret;
C_noret_decl(f_28086)
static void C_ccall f_28086(C_word c,C_word *av) C_noret;
C_noret_decl(f_28089)
static void C_ccall f_28089(C_word c,C_word *av) C_noret;
C_noret_decl(f_28092)
static void C_ccall f_28092(C_word c,C_word *av) C_noret;
C_noret_decl(f_28095)
static void C_ccall f_28095(C_word c,C_word *av) C_noret;
C_noret_decl(f_28098)
static void C_ccall f_28098(C_word c,C_word *av) C_noret;
C_noret_decl(f_28101)
static void C_ccall f_28101(C_word c,C_word *av) C_noret;
C_noret_decl(f_28105)
static void C_ccall f_28105(C_word c,C_word *av) C_noret;
C_noret_decl(f_28107)
static void C_ccall f_28107(C_word c,C_word *av) C_noret;
C_noret_decl(f_28115)
static void C_ccall f_28115(C_word c,C_word *av) C_noret;
C_noret_decl(f_28117)
static void C_ccall f_28117(C_word c,C_word *av) C_noret;
C_noret_decl(f_28121)
static void C_ccall f_28121(C_word c,C_word *av) C_noret;
C_noret_decl(f_28123)
static void C_ccall f_28123(C_word c,C_word *av) C_noret;
C_noret_decl(f_28130)
static void C_ccall f_28130(C_word c,C_word *av) C_noret;
C_noret_decl(f_28140)
static void C_ccall f_28140(C_word c,C_word *av) C_noret;
C_noret_decl(f_28165)
static void C_ccall f_28165(C_word c,C_word *av) C_noret;
C_noret_decl(f_28168)
static void C_ccall f_28168(C_word c,C_word *av) C_noret;
C_noret_decl(f_28171)
static void C_ccall f_28171(C_word c,C_word *av) C_noret;
C_noret_decl(f_28174)
static void C_ccall f_28174(C_word c,C_word *av) C_noret;
C_noret_decl(f_28177)
static void C_ccall f_28177(C_word c,C_word *av) C_noret;
C_noret_decl(f_28187)
static void C_ccall f_28187(C_word c,C_word *av) C_noret;
C_noret_decl(f_28193)
static void C_ccall f_28193(C_word c,C_word *av) C_noret;
C_noret_decl(f_28197)
static void C_ccall f_28197(C_word c,C_word *av) C_noret;
C_noret_decl(f_28199)
static void C_ccall f_28199(C_word c,C_word *av) C_noret;
C_noret_decl(f_28209)
static void C_ccall f_28209(C_word c,C_word *av) C_noret;
C_noret_decl(f_28215)
static void C_ccall f_28215(C_word c,C_word *av) C_noret;
C_noret_decl(f_28219)
static void C_ccall f_28219(C_word c,C_word *av) C_noret;
C_noret_decl(f_28221)
static void C_ccall f_28221(C_word c,C_word *av) C_noret;
C_noret_decl(f_28226)
static void C_ccall f_28226(C_word c,C_word *av) C_noret;
C_noret_decl(f_28228)
static void C_ccall f_28228(C_word c,C_word *av) C_noret;
C_noret_decl(f_28231)
static void C_ccall f_28231(C_word c,C_word *av) C_noret;
C_noret_decl(f_28251)
static void C_ccall f_28251(C_word c,C_word *av) C_noret;
C_noret_decl(f_28257)
static void C_fcall f_28257(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28267)
static void C_ccall f_28267(C_word c,C_word *av) C_noret;
C_noret_decl(f_28277)
static void C_ccall f_28277(C_word c,C_word *av) C_noret;
C_noret_decl(f_28312)
static void C_ccall f_28312(C_word c,C_word *av) C_noret;
C_noret_decl(f_28316)
static void C_ccall f_28316(C_word c,C_word *av) C_noret;
C_noret_decl(f_28321)
static void C_fcall f_28321(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28331)
static void C_ccall f_28331(C_word c,C_word *av) C_noret;
C_noret_decl(f_28341)
static void C_ccall f_28341(C_word c,C_word *av) C_noret;
C_noret_decl(f_28350)
static void C_ccall f_28350(C_word c,C_word *av) C_noret;
C_noret_decl(f_28353)
static void C_ccall f_28353(C_word c,C_word *av) C_noret;
C_noret_decl(f_28356)
static void C_ccall f_28356(C_word c,C_word *av) C_noret;
C_noret_decl(f_28363)
static void C_ccall f_28363(C_word c,C_word *av) C_noret;
C_noret_decl(f_28370)
static void C_ccall f_28370(C_word c,C_word *av) C_noret;
C_noret_decl(f_28373)
static void C_ccall f_28373(C_word c,C_word *av) C_noret;
C_noret_decl(f_28377)
static void C_ccall f_28377(C_word c,C_word *av) C_noret;
C_noret_decl(f_28379)
static void C_ccall f_28379(C_word c,C_word *av) C_noret;
C_noret_decl(f_28382)
static void C_ccall f_28382(C_word c,C_word *av) C_noret;
C_noret_decl(f_28385)
static void C_ccall f_28385(C_word c,C_word *av) C_noret;
C_noret_decl(f_28388)
static void C_ccall f_28388(C_word c,C_word *av) C_noret;
C_noret_decl(f_28391)
static void C_ccall f_28391(C_word c,C_word *av) C_noret;
C_noret_decl(f_28394)
static void C_ccall f_28394(C_word c,C_word *av) C_noret;
C_noret_decl(f_28397)
static void C_ccall f_28397(C_word c,C_word *av) C_noret;
C_noret_decl(f_28400)
static void C_ccall f_28400(C_word c,C_word *av) C_noret;
C_noret_decl(f_28403)
static void C_ccall f_28403(C_word c,C_word *av) C_noret;
C_noret_decl(f_28406)
static void C_ccall f_28406(C_word c,C_word *av) C_noret;
C_noret_decl(f_28409)
static void C_ccall f_28409(C_word c,C_word *av) C_noret;
C_noret_decl(f_28413)
static void C_ccall f_28413(C_word c,C_word *av) C_noret;
C_noret_decl(f_28416)
static void C_ccall f_28416(C_word c,C_word *av) C_noret;
C_noret_decl(f_28432)
static void C_ccall f_28432(C_word c,C_word *av) C_noret;
C_noret_decl(f_28440)
static void C_ccall f_28440(C_word c,C_word *av) C_noret;
C_noret_decl(f_28443)
static void C_ccall f_28443(C_word c,C_word *av) C_noret;
C_noret_decl(f_28449)
static void C_ccall f_28449(C_word c,C_word *av) C_noret;
C_noret_decl(f_28458)
static void C_ccall f_28458(C_word c,C_word *av) C_noret;
C_noret_decl(f_28464)
static void C_ccall f_28464(C_word c,C_word *av) C_noret;
C_noret_decl(f_28473)
static void C_ccall f_28473(C_word c,C_word *av) C_noret;
C_noret_decl(f_28479)
static void C_ccall f_28479(C_word c,C_word *av) C_noret;
C_noret_decl(f_28485)
static void C_ccall f_28485(C_word c,C_word *av) C_noret;
C_noret_decl(f_28488)
static void C_ccall f_28488(C_word c,C_word *av) C_noret;
C_noret_decl(f_28492)
static void C_ccall f_28492(C_word c,C_word *av) C_noret;
C_noret_decl(f_28495)
static void C_ccall f_28495(C_word c,C_word *av) C_noret;
C_noret_decl(f_28500)
static void C_ccall f_28500(C_word c,C_word *av) C_noret;
C_noret_decl(f_28502)
static void C_ccall f_28502(C_word c,C_word *av) C_noret;
C_noret_decl(f_28506)
static void C_ccall f_28506(C_word c,C_word *av) C_noret;
C_noret_decl(f_28533)
static void C_fcall f_28533(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28543)
static void C_ccall f_28543(C_word c,C_word *av) C_noret;
C_noret_decl(f_28552)
static void C_ccall f_28552(C_word c,C_word *av) C_noret;
C_noret_decl(f_28559)
static void C_ccall f_28559(C_word c,C_word *av) C_noret;
C_noret_decl(f_28563)
static void C_ccall f_28563(C_word c,C_word *av) C_noret;
C_noret_decl(f_28577)
static void C_fcall f_28577(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28581)
static void C_ccall f_28581(C_word c,C_word *av) C_noret;
C_noret_decl(f_28588)
static void C_ccall f_28588(C_word c,C_word *av) C_noret;
C_noret_decl(f_28590)
static void C_fcall f_28590(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28612)
static void C_ccall f_28612(C_word c,C_word *av) C_noret;
C_noret_decl(f_28619)
static void C_ccall f_28619(C_word c,C_word *av) C_noret;
C_noret_decl(f_28624)
static void C_fcall f_28624(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28628)
static void C_ccall f_28628(C_word c,C_word *av) C_noret;
C_noret_decl(f_28631)
static void C_ccall f_28631(C_word c,C_word *av) C_noret;
C_noret_decl(f_28634)
static void C_ccall f_28634(C_word c,C_word *av) C_noret;
C_noret_decl(f_28639)
static void C_fcall f_28639(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28643)
static void C_ccall f_28643(C_word c,C_word *av) C_noret;
C_noret_decl(f_28669)
static void C_ccall f_28669(C_word c,C_word *av) C_noret;
C_noret_decl(f_28682)
static void C_ccall f_28682(C_word c,C_word *av) C_noret;
C_noret_decl(f_28685)
static void C_ccall f_28685(C_word c,C_word *av) C_noret;
C_noret_decl(f_28694)
static void C_ccall f_28694(C_word c,C_word *av) C_noret;
C_noret_decl(f_28697)
static void C_ccall f_28697(C_word c,C_word *av) C_noret;
C_noret_decl(f_28700)
static void C_ccall f_28700(C_word c,C_word *av) C_noret;
C_noret_decl(f_28706)
static void C_ccall f_28706(C_word c,C_word *av) C_noret;
C_noret_decl(f_28713)
static void C_ccall f_28713(C_word c,C_word *av) C_noret;
C_noret_decl(f_28715)
static void C_fcall f_28715(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28728)
static void C_ccall f_28728(C_word c,C_word *av) C_noret;
C_noret_decl(f_28741)
static void C_ccall f_28741(C_word c,C_word *av) C_noret;
C_noret_decl(f_28744)
static void C_ccall f_28744(C_word c,C_word *av) C_noret;
C_noret_decl(f_28747)
static void C_ccall f_28747(C_word c,C_word *av) C_noret;
C_noret_decl(f_28754)
static void C_ccall f_28754(C_word c,C_word *av) C_noret;
C_noret_decl(f_28807)
static void C_ccall f_28807(C_word c,C_word *av) C_noret;
C_noret_decl(f_28810)
static void C_ccall f_28810(C_word c,C_word *av) C_noret;
C_noret_decl(f_28813)
static void C_ccall f_28813(C_word c,C_word *av) C_noret;
C_noret_decl(f_28815)
static void C_fcall f_28815(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28819)
static void C_ccall f_28819(C_word c,C_word *av) C_noret;
C_noret_decl(f_28823)
static void C_ccall f_28823(C_word c,C_word *av) C_noret;
C_noret_decl(f_28829)
static void C_ccall f_28829(C_word c,C_word *av) C_noret;
C_noret_decl(f_28834)
static void C_fcall f_28834(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_28838)
static void C_ccall f_28838(C_word c,C_word *av) C_noret;
C_noret_decl(f_28850)
static void C_ccall f_28850(C_word c,C_word *av) C_noret;
C_noret_decl(f_28862)
static void C_ccall f_28862(C_word c,C_word *av) C_noret;
C_noret_decl(f_28869)
static void C_ccall f_28869(C_word c,C_word *av) C_noret;
C_noret_decl(f_28875)
static void C_fcall f_28875(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_28889)
static void C_ccall f_28889(C_word c,C_word *av) C_noret;
C_noret_decl(f_28898)
static void C_fcall f_28898(C_word t0,C_word t1) C_noret;
C_noret_decl(f_28928)
static void C_ccall f_28928(C_word c,C_word *av) C_noret;
C_noret_decl(f_28947)
static void C_ccall f_28947(C_word c,C_word *av) C_noret;
C_noret_decl(f_28970)
static void C_ccall f_28970(C_word c,C_word *av) C_noret;
C_noret_decl(f_28979)
static void C_ccall f_28979(C_word c,C_word *av) C_noret;
C_noret_decl(f_28986)
static void C_ccall f_28986(C_word c,C_word *av) C_noret;
C_noret_decl(f_29003)
static void C_ccall f_29003(C_word c,C_word *av) C_noret;
C_noret_decl(f_29011)
static void C_ccall f_29011(C_word c,C_word *av) C_noret;
C_noret_decl(f_29022)
static void C_ccall f_29022(C_word c,C_word *av) C_noret;
C_noret_decl(f_29030)
static void C_ccall f_29030(C_word c,C_word *av) C_noret;
C_noret_decl(f_29037)
static void C_ccall f_29037(C_word c,C_word *av) C_noret;
C_noret_decl(f_29099)
static void C_ccall f_29099(C_word c,C_word *av) C_noret;
C_noret_decl(f_29106)
static void C_ccall f_29106(C_word c,C_word *av) C_noret;
C_noret_decl(f_29109)
static void C_ccall f_29109(C_word c,C_word *av) C_noret;
C_noret_decl(f_29115)
static void C_ccall f_29115(C_word c,C_word *av) C_noret;
C_noret_decl(f_29122)
static void C_ccall f_29122(C_word c,C_word *av) C_noret;
C_noret_decl(f_29126)
static void C_ccall f_29126(C_word c,C_word *av) C_noret;
C_noret_decl(f_29129)
static void C_ccall f_29129(C_word c,C_word *av) C_noret;
C_noret_decl(f_29137)
static void C_ccall f_29137(C_word c,C_word *av) C_noret;
C_noret_decl(f_29139)
static void C_ccall f_29139(C_word c,C_word *av) C_noret;
C_noret_decl(f_29148)
static void C_ccall f_29148(C_word c,C_word *av) C_noret;
C_noret_decl(f_29154)
static void C_ccall f_29154(C_word c,C_word *av) C_noret;
C_noret_decl(f_29165)
static void C_ccall f_29165(C_word c,C_word *av) C_noret;
C_noret_decl(f_29169)
static void C_ccall f_29169(C_word c,C_word *av) C_noret;
C_noret_decl(f_29171)
static void C_ccall f_29171(C_word c,C_word *av) C_noret;
C_noret_decl(f_29179)
static void C_ccall f_29179(C_word c,C_word *av) C_noret;
C_noret_decl(f_29191)
static void C_ccall f_29191(C_word c,C_word *av) C_noret;
C_noret_decl(f_29197)
static void C_fcall f_29197(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29201)
static void C_ccall f_29201(C_word c,C_word *av) C_noret;
C_noret_decl(f_29209)
static void C_fcall f_29209(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29227)
static void C_ccall f_29227(C_word c,C_word *av) C_noret;
C_noret_decl(f_29235)
static void C_ccall f_29235(C_word c,C_word *av) C_noret;
C_noret_decl(f_29239)
static void C_ccall f_29239(C_word c,C_word *av) C_noret;
C_noret_decl(f_29257)
static void C_ccall f_29257(C_word c,C_word *av) C_noret;
C_noret_decl(f_29264)
static void C_ccall f_29264(C_word c,C_word *av) C_noret;
C_noret_decl(f_29276)
static void C_ccall f_29276(C_word c,C_word *av) C_noret;
C_noret_decl(f_29284)
static void C_ccall f_29284(C_word c,C_word *av) C_noret;
C_noret_decl(f_29290)
static void C_fcall f_29290(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_29312)
static void C_ccall f_29312(C_word c,C_word *av) C_noret;
C_noret_decl(f_29316)
static void C_ccall f_29316(C_word c,C_word *av) C_noret;
C_noret_decl(f_29320)
static void C_ccall f_29320(C_word c,C_word *av) C_noret;
C_noret_decl(f_29322)
static void C_ccall f_29322(C_word c,C_word *av) C_noret;
C_noret_decl(f_29325)
static void C_ccall f_29325(C_word c,C_word *av) C_noret;
C_noret_decl(f_29328)
static void C_ccall f_29328(C_word c,C_word *av) C_noret;
C_noret_decl(f_29332)
static void C_ccall f_29332(C_word c,C_word *av) C_noret;
C_noret_decl(f_29335)
static void C_ccall f_29335(C_word c,C_word *av) C_noret;
C_noret_decl(f_29353)
static void C_ccall f_29353(C_word c,C_word *av) C_noret;
C_noret_decl(f_29359)
static void C_ccall f_29359(C_word c,C_word *av) C_noret;
C_noret_decl(f_29363)
static void C_ccall f_29363(C_word c,C_word *av) C_noret;
C_noret_decl(f_29380)
static void C_ccall f_29380(C_word c,C_word *av) C_noret;
C_noret_decl(f_29390)
static void C_ccall f_29390(C_word c,C_word *av) C_noret;
C_noret_decl(f_29394)
static void C_ccall f_29394(C_word c,C_word *av) C_noret;
C_noret_decl(f_29398)
static void C_ccall f_29398(C_word c,C_word *av) C_noret;
C_noret_decl(f_29410)
static void C_ccall f_29410(C_word c,C_word *av) C_noret;
C_noret_decl(f_29420)
static void C_ccall f_29420(C_word c,C_word *av) C_noret;
C_noret_decl(f_29424)
static void C_ccall f_29424(C_word c,C_word *av) C_noret;
C_noret_decl(f_29428)
static void C_fcall f_29428(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29456)
static void C_ccall f_29456(C_word c,C_word *av) C_noret;
C_noret_decl(f_29459)
static void C_ccall f_29459(C_word c,C_word *av) C_noret;
C_noret_decl(f_29462)
static void C_ccall f_29462(C_word c,C_word *av) C_noret;
C_noret_decl(f_29468)
static void C_fcall f_29468(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_29481)
static void C_ccall f_29481(C_word c,C_word *av) C_noret;
C_noret_decl(f_29484)
static void C_ccall f_29484(C_word c,C_word *av) C_noret;
C_noret_decl(f_29493)
static void C_ccall f_29493(C_word c,C_word *av) C_noret;
C_noret_decl(f_29499)
static void C_ccall f_29499(C_word c,C_word *av) C_noret;
C_noret_decl(f_29505)
static void C_ccall f_29505(C_word c,C_word *av) C_noret;
C_noret_decl(f_29511)
static void C_ccall f_29511(C_word c,C_word *av) C_noret;
C_noret_decl(f_29517)
static void C_ccall f_29517(C_word c,C_word *av) C_noret;
C_noret_decl(f_29534)
static void C_ccall f_29534(C_word c,C_word *av) C_noret;
C_noret_decl(f_29540)
static void C_ccall f_29540(C_word c,C_word *av) C_noret;
C_noret_decl(f_29555)
static void C_ccall f_29555(C_word c,C_word *av) C_noret;
C_noret_decl(f_29559)
static void C_ccall f_29559(C_word c,C_word *av) C_noret;
C_noret_decl(f_29563)
static void C_ccall f_29563(C_word c,C_word *av) C_noret;
C_noret_decl(f_29567)
static void C_ccall f_29567(C_word c,C_word *av) C_noret;
C_noret_decl(f_29573)
static void C_ccall f_29573(C_word c,C_word *av) C_noret;
C_noret_decl(f_29575)
static void C_ccall f_29575(C_word c,C_word *av) C_noret;
C_noret_decl(f_29581)
static void C_fcall f_29581(C_word t0,C_word t1) C_noret;
C_noret_decl(f_29585)
static void C_ccall f_29585(C_word c,C_word *av) C_noret;
C_noret_decl(f_29594)
static void C_ccall f_29594(C_word c,C_word *av) C_noret;
C_noret_decl(f_29603)
static void C_ccall f_29603(C_word c,C_word *av) C_noret;
C_noret_decl(f_29646)
static void C_ccall f_29646(C_word c,C_word *av) C_noret;
C_noret_decl(f_29668)
static void C_ccall f_29668(C_word c,C_word *av) C_noret;
C_noret_decl(f_29681)
static void C_ccall f_29681(C_word c,C_word *av) C_noret;
C_noret_decl(f_29706)
static void C_ccall f_29706(C_word c,C_word *av) C_noret;
C_noret_decl(f_29722)
static void C_ccall f_29722(C_word c,C_word *av) C_noret;
C_noret_decl(f_29738)
static void C_ccall f_29738(C_word c,C_word *av) C_noret;
C_noret_decl(f_29754)
static void C_ccall f_29754(C_word c,C_word *av) C_noret;
C_noret_decl(f_29770)
static void C_ccall f_29770(C_word c,C_word *av) C_noret;
C_noret_decl(f_29786)
static void C_ccall f_29786(C_word c,C_word *av) C_noret;
C_noret_decl(f_29802)
static void C_ccall f_29802(C_word c,C_word *av) C_noret;
C_noret_decl(f_29818)
static void C_ccall f_29818(C_word c,C_word *av) C_noret;
C_noret_decl(f_29834)
static void C_ccall f_29834(C_word c,C_word *av) C_noret;
C_noret_decl(f_29850)
static void C_ccall f_29850(C_word c,C_word *av) C_noret;
C_noret_decl(f_29857)
static void C_ccall f_29857(C_word c,C_word *av) C_noret;
C_noret_decl(f_29898)
static void C_ccall f_29898(C_word c,C_word *av) C_noret;
C_noret_decl(f_29910)
static void C_ccall f_29910(C_word c,C_word *av) C_noret;
C_noret_decl(f_29916)
static void C_ccall f_29916(C_word c,C_word *av) C_noret;
C_noret_decl(f_29935)
static void C_ccall f_29935(C_word c,C_word *av) C_noret;
C_noret_decl(f_29937)
static void C_ccall f_29937(C_word c,C_word *av) C_noret;
C_noret_decl(f_29960)
static C_word C_fcall f_29960(C_word t0,C_word t1,C_word t2);
C_noret_decl(f_30006)
static void C_ccall f_30006(C_word c,C_word *av) C_noret;
C_noret_decl(f_30008)
static void C_ccall f_30008(C_word c,C_word *av) C_noret;
C_noret_decl(f_30015)
static void C_fcall f_30015(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30027)
static void C_fcall f_30027(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30071)
static void C_ccall f_30071(C_word c,C_word *av) C_noret;
C_noret_decl(f_30086)
static void C_fcall f_30086(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30094)
static void C_ccall f_30094(C_word c,C_word *av) C_noret;
C_noret_decl(f_30100)
static void C_fcall f_30100(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30108)
static void C_ccall f_30108(C_word c,C_word *av) C_noret;
C_noret_decl(f_30112)
static void C_ccall f_30112(C_word c,C_word *av) C_noret;
C_noret_decl(f_30120)
static void C_ccall f_30120(C_word c,C_word *av) C_noret;
C_noret_decl(f_30122)
static void C_fcall f_30122(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30132)
static void C_ccall f_30132(C_word c,C_word *av) C_noret;
C_noret_decl(f_30139)
static void C_ccall f_30139(C_word c,C_word *av) C_noret;
C_noret_decl(f_30143)
static void C_ccall f_30143(C_word c,C_word *av) C_noret;
C_noret_decl(f_30154)
static void C_ccall f_30154(C_word c,C_word *av) C_noret;
C_noret_decl(f_30161)
static void C_ccall f_30161(C_word c,C_word *av) C_noret;
C_noret_decl(f_30165)
static void C_ccall f_30165(C_word c,C_word *av) C_noret;
C_noret_decl(f_30176)
static void C_ccall f_30176(C_word c,C_word *av) C_noret;
C_noret_decl(f_30183)
static void C_ccall f_30183(C_word c,C_word *av) C_noret;
C_noret_decl(f_30187)
static void C_ccall f_30187(C_word c,C_word *av) C_noret;
C_noret_decl(f_30192)
static void C_ccall f_30192(C_word c,C_word *av) C_noret;
C_noret_decl(f_30198)
static void C_ccall f_30198(C_word c,C_word *av) C_noret;
C_noret_decl(f_30201)
static void C_ccall f_30201(C_word c,C_word *av) C_noret;
C_noret_decl(f_30204)
static void C_ccall f_30204(C_word c,C_word *av) C_noret;
C_noret_decl(f_30210)
static void C_ccall f_30210(C_word c,C_word *av) C_noret;
C_noret_decl(f_30219)
static void C_ccall f_30219(C_word c,C_word *av) C_noret;
C_noret_decl(f_30228)
static void C_ccall f_30228(C_word c,C_word *av) C_noret;
C_noret_decl(f_30234)
static void C_ccall f_30234(C_word c,C_word *av) C_noret;
C_noret_decl(f_30237)
static void C_ccall f_30237(C_word c,C_word *av) C_noret;
C_noret_decl(f_30240)
static void C_ccall f_30240(C_word c,C_word *av) C_noret;
C_noret_decl(f_30252)
static void C_ccall f_30252(C_word c,C_word *av) C_noret;
C_noret_decl(f_30255)
static void C_ccall f_30255(C_word c,C_word *av) C_noret;
C_noret_decl(f_30258)
static void C_ccall f_30258(C_word c,C_word *av) C_noret;
C_noret_decl(f_30261)
static void C_ccall f_30261(C_word c,C_word *av) C_noret;
C_noret_decl(f_30273)
static void C_ccall f_30273(C_word c,C_word *av) C_noret;
C_noret_decl(f_30276)
static void C_ccall f_30276(C_word c,C_word *av) C_noret;
C_noret_decl(f_30279)
static void C_ccall f_30279(C_word c,C_word *av) C_noret;
C_noret_decl(f_30282)
static void C_ccall f_30282(C_word c,C_word *av) C_noret;
C_noret_decl(f_30291)
static void C_ccall f_30291(C_word c,C_word *av) C_noret;
C_noret_decl(f_30294)
static void C_ccall f_30294(C_word c,C_word *av) C_noret;
C_noret_decl(f_30307)
static void C_ccall f_30307(C_word c,C_word *av) C_noret;
C_noret_decl(f_30308)
static void C_ccall f_30308(C_word c,C_word *av) C_noret;
C_noret_decl(f_30313)
static void C_ccall f_30313(C_word c,C_word *av) C_noret;
C_noret_decl(f_30314)
static void C_ccall f_30314(C_word c,C_word *av) C_noret;
C_noret_decl(f_30319)
static void C_ccall f_30319(C_word c,C_word *av) C_noret;
C_noret_decl(f_30320)
static void C_ccall f_30320(C_word c,C_word *av) C_noret;
C_noret_decl(f_30325)
static void C_ccall f_30325(C_word c,C_word *av) C_noret;
C_noret_decl(f_30326)
static void C_ccall f_30326(C_word c,C_word *av) C_noret;
C_noret_decl(f_30331)
static void C_ccall f_30331(C_word c,C_word *av) C_noret;
C_noret_decl(f_30332)
static void C_ccall f_30332(C_word c,C_word *av) C_noret;
C_noret_decl(f_30337)
static void C_fcall f_30337(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30339)
static void C_ccall f_30339(C_word c,C_word *av) C_noret;
C_noret_decl(f_30349)
static void C_ccall f_30349(C_word c,C_word *av) C_noret;
C_noret_decl(f_30352)
static void C_ccall f_30352(C_word c,C_word *av) C_noret;
C_noret_decl(f_30355)
static void C_ccall f_30355(C_word c,C_word *av) C_noret;
C_noret_decl(f_30358)
static void C_ccall f_30358(C_word c,C_word *av) C_noret;
C_noret_decl(f_30360)
static void C_fcall f_30360(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30374)
static void C_ccall f_30374(C_word c,C_word *av) C_noret;
C_noret_decl(f_30382)
static void C_ccall f_30382(C_word c,C_word *av) C_noret;
C_noret_decl(f_30386)
static void C_ccall f_30386(C_word c,C_word *av) C_noret;
C_noret_decl(f_30390)
static void C_ccall f_30390(C_word c,C_word *av) C_noret;
C_noret_decl(f_30394)
static void C_ccall f_30394(C_word c,C_word *av) C_noret;
C_noret_decl(f_30400)
static void C_ccall f_30400(C_word c,C_word *av) C_noret;
C_noret_decl(f_30407)
static void C_ccall f_30407(C_word c,C_word *av) C_noret;
C_noret_decl(f_30411)
static void C_ccall f_30411(C_word c,C_word *av) C_noret;
C_noret_decl(f_30415)
static void C_ccall f_30415(C_word c,C_word *av) C_noret;
C_noret_decl(f_30419)
static void C_ccall f_30419(C_word c,C_word *av) C_noret;
C_noret_decl(f_30458)
static void C_ccall f_30458(C_word c,C_word *av) C_noret;
C_noret_decl(f_30461)
static void C_ccall f_30461(C_word c,C_word *av) C_noret;
C_noret_decl(f_30464)
static void C_ccall f_30464(C_word c,C_word *av) C_noret;
C_noret_decl(f_30467)
static void C_ccall f_30467(C_word c,C_word *av) C_noret;
C_noret_decl(f_30470)
static void C_ccall f_30470(C_word c,C_word *av) C_noret;
C_noret_decl(f_30478)
static void C_ccall f_30478(C_word c,C_word *av) C_noret;
C_noret_decl(f_30488)
static void C_ccall f_30488(C_word c,C_word *av) C_noret;
C_noret_decl(f_30510)
static void C_ccall f_30510(C_word c,C_word *av) C_noret;
C_noret_decl(f_30516)
static void C_fcall f_30516(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_30536)
static void C_ccall f_30536(C_word c,C_word *av) C_noret;
C_noret_decl(f_30551)
static void C_ccall f_30551(C_word c,C_word *av) C_noret;
C_noret_decl(f_30555)
static void C_ccall f_30555(C_word c,C_word *av) C_noret;
C_noret_decl(f_30578)
static void C_ccall f_30578(C_word c,C_word *av) C_noret;
C_noret_decl(f_30582)
static void C_ccall f_30582(C_word c,C_word *av) C_noret;
C_noret_decl(f_30599)
static void C_ccall f_30599(C_word c,C_word *av) C_noret;
C_noret_decl(f_30606)
static void C_ccall f_30606(C_word c,C_word *av) C_noret;
C_noret_decl(f_30628)
static void C_ccall f_30628(C_word c,C_word *av) C_noret;
C_noret_decl(f_30633)
static void C_fcall f_30633(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30648)
static void C_ccall f_30648(C_word c,C_word *av) C_noret;
C_noret_decl(f_30651)
static void C_ccall f_30651(C_word c,C_word *av) C_noret;
C_noret_decl(f_30654)
static void C_ccall f_30654(C_word c,C_word *av) C_noret;
C_noret_decl(f_30657)
static void C_ccall f_30657(C_word c,C_word *av) C_noret;
C_noret_decl(f_30660)
static void C_ccall f_30660(C_word c,C_word *av) C_noret;
C_noret_decl(f_30663)
static void C_ccall f_30663(C_word c,C_word *av) C_noret;
C_noret_decl(f_30666)
static void C_fcall f_30666(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30669)
static void C_fcall f_30669(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30672)
static void C_fcall f_30672(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30675)
static void C_fcall f_30675(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30678)
static void C_fcall f_30678(C_word t0,C_word t1) C_noret;
C_noret_decl(f_30682)
static void C_ccall f_30682(C_word c,C_word *av) C_noret;
C_noret_decl(f_30685)
static void C_ccall f_30685(C_word c,C_word *av) C_noret;
C_noret_decl(f_30690)
static void C_ccall f_30690(C_word c,C_word *av) C_noret;
C_noret_decl(f_30696)
static void C_ccall f_30696(C_word c,C_word *av) C_noret;
C_noret_decl(f_30709)
static void C_ccall f_30709(C_word c,C_word *av) C_noret;
C_noret_decl(f_30711)
static void C_fcall f_30711(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30721)
static void C_ccall f_30721(C_word c,C_word *av) C_noret;
C_noret_decl(f_30734)
static void C_ccall f_30734(C_word c,C_word *av) C_noret;
C_noret_decl(f_30741)
static void C_ccall f_30741(C_word c,C_word *av) C_noret;
C_noret_decl(f_30745)
static void C_ccall f_30745(C_word c,C_word *av) C_noret;
C_noret_decl(f_30747)
static void C_fcall f_30747(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30776)
static void C_ccall f_30776(C_word c,C_word *av) C_noret;
C_noret_decl(f_30778)
static void C_fcall f_30778(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30803)
static void C_ccall f_30803(C_word c,C_word *av) C_noret;
C_noret_decl(f_30812)
static void C_ccall f_30812(C_word c,C_word *av) C_noret;
C_noret_decl(f_30815)
static void C_ccall f_30815(C_word c,C_word *av) C_noret;
C_noret_decl(f_30821)
static void C_fcall f_30821(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_30845)
static void C_ccall f_30845(C_word c,C_word *av) C_noret;
C_noret_decl(f_30852)
static void C_ccall f_30852(C_word c,C_word *av) C_noret;
C_noret_decl(f_30856)
static void C_ccall f_30856(C_word c,C_word *av) C_noret;
C_noret_decl(f_30868)
static void C_ccall f_30868(C_word c,C_word *av) C_noret;
C_noret_decl(f_30876)
static void C_ccall f_30876(C_word c,C_word *av) C_noret;
C_noret_decl(f_30880)
static void C_ccall f_30880(C_word c,C_word *av) C_noret;
C_noret_decl(f_30889)
static void C_ccall f_30889(C_word c,C_word *av) C_noret;
C_noret_decl(f_30898)
static void C_ccall f_30898(C_word c,C_word *av) C_noret;
C_noret_decl(f_30908)
static void C_ccall f_30908(C_word c,C_word *av) C_noret;
C_noret_decl(f_30916)
static void C_ccall f_30916(C_word c,C_word *av) C_noret;
C_noret_decl(f_30920)
static void C_ccall f_30920(C_word c,C_word *av) C_noret;
C_noret_decl(f_30924)
static void C_ccall f_30924(C_word c,C_word *av) C_noret;
C_noret_decl(f_30954)
static void C_ccall f_30954(C_word c,C_word *av) C_noret;
C_noret_decl(f_30958)
static void C_ccall f_30958(C_word c,C_word *av) C_noret;
C_noret_decl(f_30962)
static void C_ccall f_30962(C_word c,C_word *av) C_noret;
C_noret_decl(f_30966)
static void C_ccall f_30966(C_word c,C_word *av) C_noret;
C_noret_decl(f_30970)
static void C_ccall f_30970(C_word c,C_word *av) C_noret;
C_noret_decl(f_30974)
static void C_ccall f_30974(C_word c,C_word *av) C_noret;
C_noret_decl(f_30977)
static void C_ccall f_30977(C_word c,C_word *av) C_noret;
C_noret_decl(f_30980)
static void C_ccall f_30980(C_word c,C_word *av) C_noret;
C_noret_decl(f_30990)
static void C_ccall f_30990(C_word c,C_word *av) C_noret;
C_noret_decl(f_30993)
static void C_ccall f_30993(C_word c,C_word *av) C_noret;
C_noret_decl(f_30995)
static void C_ccall f_30995(C_word c,C_word *av) C_noret;
C_noret_decl(f_31012)
static C_word C_fcall f_31012(C_word t0);
C_noret_decl(f_31039)
static void C_ccall f_31039(C_word c,C_word *av) C_noret;
C_noret_decl(f_31048)
static void C_ccall f_31048(C_word c,C_word *av) C_noret;
C_noret_decl(f_31068)
static void C_ccall f_31068(C_word c,C_word *av) C_noret;
C_noret_decl(f_31072)
static void C_ccall f_31072(C_word c,C_word *av) C_noret;
C_noret_decl(f_31076)
static void C_ccall f_31076(C_word c,C_word *av) C_noret;
C_noret_decl(f_31080)
static void C_ccall f_31080(C_word c,C_word *av) C_noret;
C_noret_decl(f_31084)
static void C_ccall f_31084(C_word c,C_word *av) C_noret;
C_noret_decl(f_31088)
static void C_ccall f_31088(C_word c,C_word *av) C_noret;
C_noret_decl(f_31092)
static void C_ccall f_31092(C_word c,C_word *av) C_noret;
C_noret_decl(f_31094)
static void C_ccall f_31094(C_word c,C_word *av) C_noret;
C_noret_decl(f_31103)
static void C_ccall f_31103(C_word c,C_word *av) C_noret;
C_noret_decl(f_31113)
static void C_ccall f_31113(C_word c,C_word *av) C_noret;
C_noret_decl(f_31138)
static void C_ccall f_31138(C_word c,C_word *av) C_noret;
C_noret_decl(f_31141)
static void C_ccall f_31141(C_word c,C_word *av) C_noret;
C_noret_decl(f_31143)
static void C_ccall f_31143(C_word c,C_word *av) C_noret;
C_noret_decl(f_31159)
static void C_fcall f_31159(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31178)
static void C_fcall f_31178(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31188)
static void C_ccall f_31188(C_word c,C_word *av) C_noret;
C_noret_decl(f_31198)
static void C_ccall f_31198(C_word c,C_word *av) C_noret;
C_noret_decl(f_31222)
static void C_ccall f_31222(C_word c,C_word *av) C_noret;
C_noret_decl(f_31226)
static void C_ccall f_31226(C_word c,C_word *av) C_noret;
C_noret_decl(f_31228)
static void C_ccall f_31228(C_word c,C_word *av) C_noret;
C_noret_decl(f_31232)
static void C_ccall f_31232(C_word c,C_word *av) C_noret;
C_noret_decl(f_31235)
static void C_ccall f_31235(C_word c,C_word *av) C_noret;
C_noret_decl(f_31250)
static void C_ccall f_31250(C_word c,C_word *av) C_noret;
C_noret_decl(f_31256)
static void C_ccall f_31256(C_word c,C_word *av) C_noret;
C_noret_decl(f_31260)
static void C_ccall f_31260(C_word c,C_word *av) C_noret;
C_noret_decl(f_31269)
static void C_ccall f_31269(C_word c,C_word *av) C_noret;
C_noret_decl(f_31272)
static void C_ccall f_31272(C_word c,C_word *av) C_noret;
C_noret_decl(f_31275)
static void C_ccall f_31275(C_word c,C_word *av) C_noret;
C_noret_decl(f_31278)
static void C_ccall f_31278(C_word c,C_word *av) C_noret;
C_noret_decl(f_31281)
static void C_ccall f_31281(C_word c,C_word *av) C_noret;
C_noret_decl(f_31287)
static void C_ccall f_31287(C_word c,C_word *av) C_noret;
C_noret_decl(f_31293)
static void C_ccall f_31293(C_word c,C_word *av) C_noret;
C_noret_decl(f_31296)
static void C_ccall f_31296(C_word c,C_word *av) C_noret;
C_noret_decl(f_31301)
static void C_ccall f_31301(C_word c,C_word *av) C_noret;
C_noret_decl(f_31311)
static void C_ccall f_31311(C_word c,C_word *av) C_noret;
C_noret_decl(f_31323)
static void C_ccall f_31323(C_word c,C_word *av) C_noret;
C_noret_decl(f_31331)
static void C_fcall f_31331(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31341)
static void C_ccall f_31341(C_word c,C_word *av) C_noret;
C_noret_decl(f_31357)
static void C_ccall f_31357(C_word c,C_word *av) C_noret;
C_noret_decl(f_31363)
static void C_ccall f_31363(C_word c,C_word *av) C_noret;
C_noret_decl(f_31366)
static void C_ccall f_31366(C_word c,C_word *av) C_noret;
C_noret_decl(f_31369)
static void C_ccall f_31369(C_word c,C_word *av) C_noret;
C_noret_decl(f_31370)
static void C_fcall f_31370(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31374)
static void C_ccall f_31374(C_word c,C_word *av) C_noret;
C_noret_decl(f_31380)
static void C_ccall f_31380(C_word c,C_word *av) C_noret;
C_noret_decl(f_31384)
static void C_ccall f_31384(C_word c,C_word *av) C_noret;
C_noret_decl(f_31386)
static void C_fcall f_31386(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_31396)
static void C_ccall f_31396(C_word c,C_word *av) C_noret;
C_noret_decl(f_31413)
static void C_ccall f_31413(C_word c,C_word *av) C_noret;
C_noret_decl(f_31416)
static void C_ccall f_31416(C_word c,C_word *av) C_noret;
C_noret_decl(f_31420)
static void C_ccall f_31420(C_word c,C_word *av) C_noret;
C_noret_decl(f_31425)
static void C_ccall f_31425(C_word c,C_word *av) C_noret;
C_noret_decl(f_31431)
static void C_ccall f_31431(C_word c,C_word *av) C_noret;
C_noret_decl(f_31438)
static void C_ccall f_31438(C_word c,C_word *av) C_noret;
C_noret_decl(f_31447)
static void C_ccall f_31447(C_word c,C_word *av) C_noret;
C_noret_decl(f_31455)
static void C_ccall f_31455(C_word c,C_word *av) C_noret;
C_noret_decl(f_31480)
static void C_ccall f_31480(C_word c,C_word *av) C_noret;
C_noret_decl(f_31498)
static void C_ccall f_31498(C_word c,C_word *av) C_noret;
C_noret_decl(f_31502)
static void C_ccall f_31502(C_word c,C_word *av) C_noret;
C_noret_decl(f_31517)
static void C_ccall f_31517(C_word c,C_word *av) C_noret;
C_noret_decl(f_31521)
static void C_ccall f_31521(C_word c,C_word *av) C_noret;
C_noret_decl(f_31536)
static void C_ccall f_31536(C_word c,C_word *av) C_noret;
C_noret_decl(f_31539)
static void C_ccall f_31539(C_word c,C_word *av) C_noret;
C_noret_decl(f_31542)
static void C_ccall f_31542(C_word c,C_word *av) C_noret;
C_noret_decl(f_31552)
static void C_fcall f_31552(C_word t0,C_word t1) C_noret;
C_noret_decl(f_31583)
static void C_ccall f_31583(C_word c,C_word *av) C_noret;
C_noret_decl(f_31607)
static void C_ccall f_31607(C_word c,C_word *av) C_noret;
C_noret_decl(f_31617)
static void C_ccall f_31617(C_word c,C_word *av) C_noret;
C_noret_decl(f_31626)
static void C_ccall f_31626(C_word c,C_word *av) C_noret;
C_noret_decl(f_31667)
static void C_ccall f_31667(C_word c,C_word *av) C_noret;
C_noret_decl(f_31686)
static void C_ccall f_31686(C_word c,C_word *av) C_noret;
C_noret_decl(f_31695)
static void C_ccall f_31695(C_word c,C_word *av) C_noret;
C_noret_decl(f_31705)
static void C_ccall f_31705(C_word c,C_word *av) C_noret;
C_noret_decl(f_31715)
static void C_ccall f_31715(C_word c,C_word *av) C_noret;
C_noret_decl(f_31725)
static void C_ccall f_31725(C_word c,C_word *av) C_noret;
C_noret_decl(f_31735)
static void C_ccall f_31735(C_word c,C_word *av) C_noret;
C_noret_decl(f_31745)
static void C_ccall f_31745(C_word c,C_word *av) C_noret;
C_noret_decl(f_31755)
static void C_ccall f_31755(C_word c,C_word *av) C_noret;
C_noret_decl(f_31765)
static void C_ccall f_31765(C_word c,C_word *av) C_noret;
C_noret_decl(f_31775)
static void C_ccall f_31775(C_word c,C_word *av) C_noret;
C_noret_decl(f_31785)
static void C_ccall f_31785(C_word c,C_word *av) C_noret;
C_noret_decl(f_31795)
static void C_ccall f_31795(C_word c,C_word *av) C_noret;
C_noret_decl(f_31805)
static void C_ccall f_31805(C_word c,C_word *av) C_noret;
C_noret_decl(f_31815)
static void C_ccall f_31815(C_word c,C_word *av) C_noret;
C_noret_decl(f_31825)
static void C_ccall f_31825(C_word c,C_word *av) C_noret;
C_noret_decl(f_31841)
static void C_ccall f_31841(C_word c,C_word *av) C_noret;
C_noret_decl(f_31849)
static void C_ccall f_31849(C_word c,C_word *av) C_noret;
C_noret_decl(f_31865)
static void C_ccall f_31865(C_word c,C_word *av) C_noret;
C_noret_decl(f_31881)
static void C_ccall f_31881(C_word c,C_word *av) C_noret;
C_noret_decl(f_31891)
static void C_ccall f_31891(C_word c,C_word *av) C_noret;
C_noret_decl(f_31901)
static void C_ccall f_31901(C_word c,C_word *av) C_noret;
C_noret_decl(f_31920)
static void C_ccall f_31920(C_word c,C_word *av) C_noret;
C_noret_decl(f_31936)
static void C_ccall f_31936(C_word c,C_word *av) C_noret;
C_noret_decl(f_31949)
static void C_ccall f_31949(C_word c,C_word *av) C_noret;
C_noret_decl(f_31955)
static void C_ccall f_31955(C_word c,C_word *av) C_noret;
C_noret_decl(f_31978)
static void C_ccall f_31978(C_word c,C_word *av) C_noret;
C_noret_decl(f_31982)
static void C_ccall f_31982(C_word c,C_word *av) C_noret;
C_noret_decl(f_31986)
static void C_ccall f_31986(C_word c,C_word *av) C_noret;
C_noret_decl(f_31989)
static void C_ccall f_31989(C_word c,C_word *av) C_noret;
C_noret_decl(f_31995)
static void C_ccall f_31995(C_word c,C_word *av) C_noret;
C_noret_decl(f_32018)
static void C_ccall f_32018(C_word c,C_word *av) C_noret;
C_noret_decl(f_32022)
static void C_ccall f_32022(C_word c,C_word *av) C_noret;
C_noret_decl(f_32026)
static void C_ccall f_32026(C_word c,C_word *av) C_noret;
C_noret_decl(f_32029)
static void C_ccall f_32029(C_word c,C_word *av) C_noret;
C_noret_decl(f_32032)
static void C_ccall f_32032(C_word c,C_word *av) C_noret;
C_noret_decl(f_32035)
static void C_ccall f_32035(C_word c,C_word *av) C_noret;
C_noret_decl(f_32041)
static void C_ccall f_32041(C_word c,C_word *av) C_noret;
C_noret_decl(f_32044)
static void C_ccall f_32044(C_word c,C_word *av) C_noret;
C_noret_decl(f_32047)
static void C_ccall f_32047(C_word c,C_word *av) C_noret;
C_noret_decl(f_32055)
static void C_fcall f_32055(C_word t0,C_word t1) C_noret;
C_noret_decl(f_32057)
static void C_fcall f_32057(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4) C_noret;
C_noret_decl(f_32081)
static void C_ccall f_32081(C_word c,C_word *av) C_noret;
C_noret_decl(f_32104)
static void C_ccall f_32104(C_word c,C_word *av) C_noret;
C_noret_decl(f_32108)
static void C_ccall f_32108(C_word c,C_word *av) C_noret;
C_noret_decl(f_32112)
static void C_ccall f_32112(C_word c,C_word *av) C_noret;
C_noret_decl(f_32146)
static void C_ccall f_32146(C_word c,C_word *av) C_noret;
C_noret_decl(f_32150)
static void C_ccall f_32150(C_word c,C_word *av) C_noret;
C_noret_decl(f_32153)
static void C_fcall f_32153(C_word t0,C_word t1) C_noret;
C_noret_decl(f_32166)
static void C_fcall f_32166(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6) C_noret;
C_noret_decl(f_32199)
static void C_ccall f_32199(C_word c,C_word *av) C_noret;
C_noret_decl(f_32214)
static void C_ccall f_32214(C_word c,C_word *av) C_noret;
C_noret_decl(f_32218)
static void C_ccall f_32218(C_word c,C_word *av) C_noret;
C_noret_decl(f_32242)
static void C_ccall f_32242(C_word c,C_word *av) C_noret;
C_noret_decl(f_32250)
static void C_ccall f_32250(C_word c,C_word *av) C_noret;
C_noret_decl(f_32254)
static void C_ccall f_32254(C_word c,C_word *av) C_noret;
C_noret_decl(f_32265)
static void C_ccall f_32265(C_word c,C_word *av) C_noret;
C_noret_decl(f_32269)
static void C_ccall f_32269(C_word c,C_word *av) C_noret;
C_noret_decl(f_32273)
static void C_ccall f_32273(C_word c,C_word *av) C_noret;
C_noret_decl(f_32287)
static void C_ccall f_32287(C_word c,C_word *av) C_noret;
C_noret_decl(f_32319)
static void C_ccall f_32319(C_word c,C_word *av) C_noret;
C_noret_decl(f_8512)
static void C_ccall f_8512(C_word c,C_word *av) C_noret;
C_noret_decl(f_8514)
static void C_ccall f_8514(C_word c,C_word *av) C_noret;
C_noret_decl(f_8517)
static void C_ccall f_8517(C_word c,C_word *av) C_noret;
C_noret_decl(f_8520)
static void C_ccall f_8520(C_word c,C_word *av) C_noret;
C_noret_decl(f_8523)
static void C_ccall f_8523(C_word c,C_word *av) C_noret;
C_noret_decl(f_8526)
static void C_ccall f_8526(C_word c,C_word *av) C_noret;
C_noret_decl(f_8529)
static void C_ccall f_8529(C_word c,C_word *av) C_noret;
C_noret_decl(f_8532)
static void C_ccall f_8532(C_word c,C_word *av) C_noret;
C_noret_decl(f_8535)
static void C_ccall f_8535(C_word c,C_word *av) C_noret;
C_noret_decl(f_8538)
static void C_ccall f_8538(C_word c,C_word *av) C_noret;
C_noret_decl(f_8541)
static void C_ccall f_8541(C_word c,C_word *av) C_noret;
C_noret_decl(f_8544)
static void C_ccall f_8544(C_word c,C_word *av) C_noret;
C_noret_decl(f_8547)
static void C_ccall f_8547(C_word c,C_word *av) C_noret;
C_noret_decl(f_8550)
static void C_ccall f_8550(C_word c,C_word *av) C_noret;
C_noret_decl(f_8553)
static void C_ccall f_8553(C_word c,C_word *av) C_noret;
C_noret_decl(f_8556)
static void C_ccall f_8556(C_word c,C_word *av) C_noret;
C_noret_decl(f_8559)
static void C_ccall f_8559(C_word c,C_word *av) C_noret;
C_noret_decl(f_8562)
static void C_ccall f_8562(C_word c,C_word *av) C_noret;
C_noret_decl(f_8565)
static void C_ccall f_8565(C_word c,C_word *av) C_noret;
C_noret_decl(f_8568)
static void C_ccall f_8568(C_word c,C_word *av) C_noret;
C_noret_decl(f_8582)
static void C_ccall f_8582(C_word c,C_word *av) C_noret;
C_noret_decl(f_8589)
static void C_ccall f_8589(C_word c,C_word *av) C_noret;
C_noret_decl(f_8596)
static void C_ccall f_8596(C_word c,C_word *av) C_noret;
C_noret_decl(f_8610)
static void C_ccall f_8610(C_word c,C_word *av) C_noret;
C_noret_decl(f_8617)
static void C_ccall f_8617(C_word c,C_word *av) C_noret;
C_noret_decl(f_8631)
static void C_ccall f_8631(C_word c,C_word *av) C_noret;
C_noret_decl(f_8645)
static void C_ccall f_8645(C_word c,C_word *av) C_noret;
C_noret_decl(f_8663)
static void C_ccall f_8663(C_word c,C_word *av) C_noret;
C_noret_decl(f_8674)
static void C_ccall f_8674(C_word c,C_word *av) C_noret;
C_noret_decl(f_8685)
static void C_ccall f_8685(C_word c,C_word *av) C_noret;
C_noret_decl(f_8692)
static void C_ccall f_8692(C_word c,C_word *av) C_noret;
C_noret_decl(f_8703)
static void C_ccall f_8703(C_word c,C_word *av) C_noret;
C_noret_decl(f_8707)
static void C_ccall f_8707(C_word c,C_word *av) C_noret;
C_noret_decl(f_8714)
static void C_ccall f_8714(C_word c,C_word *av) C_noret;
C_noret_decl(f_8732)
static void C_ccall f_8732(C_word c,C_word *av) C_noret;
C_noret_decl(f_8743)
static void C_ccall f_8743(C_word c,C_word *av) C_noret;
C_noret_decl(f_8754)
static void C_ccall f_8754(C_word c,C_word *av) C_noret;
C_noret_decl(f_8761)
static void C_ccall f_8761(C_word c,C_word *av) C_noret;
C_noret_decl(f_8779)
static void C_ccall f_8779(C_word c,C_word *av) C_noret;
C_noret_decl(f_8790)
static void C_ccall f_8790(C_word c,C_word *av) C_noret;
C_noret_decl(f_8808)
static void C_ccall f_8808(C_word c,C_word *av) C_noret;
C_noret_decl(f_8814)
static void C_ccall f_8814(C_word c,C_word *av) C_noret;
C_noret_decl(f_8817)
static void C_ccall f_8817(C_word c,C_word *av) C_noret;
C_noret_decl(f_8820)
static void C_ccall f_8820(C_word c,C_word *av) C_noret;
C_noret_decl(f_8823)
static void C_ccall f_8823(C_word c,C_word *av) C_noret;
C_noret_decl(f_8826)
static void C_ccall f_8826(C_word c,C_word *av) C_noret;
C_noret_decl(f_8832)
static void C_fcall f_8832(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_8865)
static void C_ccall f_8865(C_word c,C_word *av) C_noret;
C_noret_decl(f_8868)
static void C_ccall f_8868(C_word c,C_word *av) C_noret;
C_noret_decl(f_8871)
static void C_ccall f_8871(C_word c,C_word *av) C_noret;
C_noret_decl(f_8874)
static void C_ccall f_8874(C_word c,C_word *av) C_noret;
C_noret_decl(f_8877)
static void C_ccall f_8877(C_word c,C_word *av) C_noret;
C_noret_decl(f_8880)
static void C_ccall f_8880(C_word c,C_word *av) C_noret;
C_noret_decl(f_8883)
static void C_ccall f_8883(C_word c,C_word *av) C_noret;
C_noret_decl(f_8886)
static void C_ccall f_8886(C_word c,C_word *av) C_noret;
C_noret_decl(f_8889)
static void C_ccall f_8889(C_word c,C_word *av) C_noret;
C_noret_decl(f_8892)
static void C_ccall f_8892(C_word c,C_word *av) C_noret;
C_noret_decl(f_8895)
static void C_ccall f_8895(C_word c,C_word *av) C_noret;
C_noret_decl(f_8898)
static void C_ccall f_8898(C_word c,C_word *av) C_noret;
C_noret_decl(f_8901)
static void C_ccall f_8901(C_word c,C_word *av) C_noret;
C_noret_decl(f_8905)
static void C_ccall f_8905(C_word c,C_word *av) C_noret;
C_noret_decl(f_8908)
static void C_ccall f_8908(C_word c,C_word *av) C_noret;
C_noret_decl(f_8914)
static void C_ccall f_8914(C_word c,C_word *av) C_noret;
C_noret_decl(f_8917)
static void C_ccall f_8917(C_word c,C_word *av) C_noret;
C_noret_decl(f_8920)
static void C_ccall f_8920(C_word c,C_word *av) C_noret;
C_noret_decl(f_8923)
static void C_ccall f_8923(C_word c,C_word *av) C_noret;
C_noret_decl(f_8926)
static void C_ccall f_8926(C_word c,C_word *av) C_noret;
C_noret_decl(f_8934)
static void C_ccall f_8934(C_word c,C_word *av) C_noret;
C_noret_decl(f_8938)
static void C_ccall f_8938(C_word c,C_word *av) C_noret;
C_noret_decl(f_8941)
static void C_ccall f_8941(C_word c,C_word *av) C_noret;
C_noret_decl(f_8944)
static void C_ccall f_8944(C_word c,C_word *av) C_noret;
C_noret_decl(f_8947)
static void C_ccall f_8947(C_word c,C_word *av) C_noret;
C_noret_decl(f_8950)
static void C_ccall f_8950(C_word c,C_word *av) C_noret;
C_noret_decl(f_8953)
static void C_ccall f_8953(C_word c,C_word *av) C_noret;
C_noret_decl(f_8956)
static void C_ccall f_8956(C_word c,C_word *av) C_noret;
C_noret_decl(f_8959)
static void C_ccall f_8959(C_word c,C_word *av) C_noret;
C_noret_decl(f_8963)
static void C_ccall f_8963(C_word c,C_word *av) C_noret;
C_noret_decl(f_8966)
static void C_ccall f_8966(C_word c,C_word *av) C_noret;
C_noret_decl(f_8969)
static void C_ccall f_8969(C_word c,C_word *av) C_noret;
C_noret_decl(f_8972)
static void C_ccall f_8972(C_word c,C_word *av) C_noret;
C_noret_decl(f_8975)
static void C_ccall f_8975(C_word c,C_word *av) C_noret;
C_noret_decl(f_8983)
static void C_ccall f_8983(C_word c,C_word *av) C_noret;
C_noret_decl(f_8986)
static void C_ccall f_8986(C_word c,C_word *av) C_noret;
C_noret_decl(f_8993)
static void C_ccall f_8993(C_word c,C_word *av) C_noret;
C_noret_decl(f_8997)
static void C_ccall f_8997(C_word c,C_word *av) C_noret;
C_noret_decl(f_9000)
static void C_ccall f_9000(C_word c,C_word *av) C_noret;
C_noret_decl(f_9003)
static void C_ccall f_9003(C_word c,C_word *av) C_noret;
C_noret_decl(f_9006)
static void C_ccall f_9006(C_word c,C_word *av) C_noret;
C_noret_decl(f_9009)
static void C_ccall f_9009(C_word c,C_word *av) C_noret;
C_noret_decl(f_9012)
static void C_ccall f_9012(C_word c,C_word *av) C_noret;
C_noret_decl(f_9015)
static void C_ccall f_9015(C_word c,C_word *av) C_noret;
C_noret_decl(f_9021)
static void C_ccall f_9021(C_word c,C_word *av) C_noret;
C_noret_decl(f_9032)
static void C_ccall f_9032(C_word c,C_word *av) C_noret;
C_noret_decl(f_9038)
static void C_ccall f_9038(C_word c,C_word *av) C_noret;
C_noret_decl(f_9044)
static void C_ccall f_9044(C_word c,C_word *av) C_noret;
C_noret_decl(f_9050)
static void C_ccall f_9050(C_word c,C_word *av) C_noret;
C_noret_decl(f_9056)
static void C_ccall f_9056(C_word c,C_word *av) C_noret;
C_noret_decl(f_9062)
static void C_ccall f_9062(C_word c,C_word *av) C_noret;
C_noret_decl(f_9069)
static void C_ccall f_9069(C_word c,C_word *av) C_noret;
C_noret_decl(f_9075)
static void C_ccall f_9075(C_word c,C_word *av) C_noret;
C_noret_decl(f_9091)
static void C_ccall f_9091(C_word c,C_word *av) C_noret;
C_noret_decl(f_9102)
static void C_ccall f_9102(C_word c,C_word *av) C_noret;
C_noret_decl(f_9108)
static void C_ccall f_9108(C_word c,C_word *av) C_noret;
C_noret_decl(f_9114)
static void C_ccall f_9114(C_word c,C_word *av) C_noret;
C_noret_decl(f_9120)
static void C_ccall f_9120(C_word c,C_word *av) C_noret;
C_noret_decl(f_9126)
static void C_ccall f_9126(C_word c,C_word *av) C_noret;
C_noret_decl(f_9135)
static void C_ccall f_9135(C_word c,C_word *av) C_noret;
C_noret_decl(f_9138)
static void C_ccall f_9138(C_word c,C_word *av) C_noret;
C_noret_decl(f_9141)
static void C_ccall f_9141(C_word c,C_word *av) C_noret;
C_noret_decl(f_9144)
static void C_ccall f_9144(C_word c,C_word *av) C_noret;
C_noret_decl(f_9147)
static void C_ccall f_9147(C_word c,C_word *av) C_noret;
C_noret_decl(f_9150)
static void C_ccall f_9150(C_word c,C_word *av) C_noret;
C_noret_decl(f_9154)
static void C_ccall f_9154(C_word c,C_word *av) C_noret;
C_noret_decl(f_9160)
static void C_ccall f_9160(C_word c,C_word *av) C_noret;
C_noret_decl(f_9166)
static void C_ccall f_9166(C_word c,C_word *av) C_noret;
C_noret_decl(f_9201)
static void C_ccall f_9201(C_word c,C_word *av) C_noret;
C_noret_decl(f_9204)
static void C_ccall f_9204(C_word c,C_word *av) C_noret;
C_noret_decl(f_9207)
static void C_ccall f_9207(C_word c,C_word *av) C_noret;
C_noret_decl(f_9215)
static void C_ccall f_9215(C_word c,C_word *av) C_noret;
C_noret_decl(f_9221)
static void C_ccall f_9221(C_word c,C_word *av) C_noret;
C_noret_decl(f_9228)
static void C_ccall f_9228(C_word c,C_word *av) C_noret;
C_noret_decl(f_9243)
static void C_ccall f_9243(C_word c,C_word *av) C_noret;
C_noret_decl(f_9264)
static void C_ccall f_9264(C_word c,C_word *av) C_noret;
C_noret_decl(f_9270)
static void C_ccall f_9270(C_word c,C_word *av) C_noret;
C_noret_decl(f_9276)
static void C_ccall f_9276(C_word c,C_word *av) C_noret;
C_noret_decl(f_9283)
static void C_ccall f_9283(C_word c,C_word *av) C_noret;
C_noret_decl(f_9288)
static void C_ccall f_9288(C_word c,C_word *av) C_noret;
C_noret_decl(f_9291)
static void C_ccall f_9291(C_word c,C_word *av) C_noret;
C_noret_decl(f_9300)
static void C_fcall f_9300(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9318)
static void C_ccall f_9318(C_word c,C_word *av) C_noret;
C_noret_decl(f_9328)
static void C_ccall f_9328(C_word c,C_word *av) C_noret;
C_noret_decl(f_9337)
static void C_fcall f_9337(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9355)
static void C_ccall f_9355(C_word c,C_word *av) C_noret;
C_noret_decl(f_9368)
static void C_ccall f_9368(C_word c,C_word *av) C_noret;
C_noret_decl(f_9375)
static void C_ccall f_9375(C_word c,C_word *av) C_noret;
C_noret_decl(f_9382)
static void C_ccall f_9382(C_word c,C_word *av) C_noret;
C_noret_decl(f_9393)
static void C_ccall f_9393(C_word c,C_word *av) C_noret;
C_noret_decl(f_9400)
static void C_ccall f_9400(C_word c,C_word *av) C_noret;
C_noret_decl(f_9412)
static void C_ccall f_9412(C_word c,C_word *av) C_noret;
C_noret_decl(f_9415)
static void C_ccall f_9415(C_word c,C_word *av) C_noret;
C_noret_decl(f_9417)
static void C_ccall f_9417(C_word c,C_word *av) C_noret;
C_noret_decl(f_9423)
static void C_fcall f_9423(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9439)
static void C_ccall f_9439(C_word c,C_word *av) C_noret;
C_noret_decl(f_9448)
static void C_ccall f_9448(C_word c,C_word *av) C_noret;
C_noret_decl(f_9450)
static void C_ccall f_9450(C_word c,C_word *av) C_noret;
C_noret_decl(f_9456)
static void C_fcall f_9456(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9469)
static void C_ccall f_9469(C_word c,C_word *av) C_noret;
C_noret_decl(f_9485)
static void C_ccall f_9485(C_word c,C_word *av) C_noret;
C_noret_decl(f_9496)
static void C_ccall f_9496(C_word c,C_word *av) C_noret;
C_noret_decl(f_9498)
static void C_ccall f_9498(C_word c,C_word *av) C_noret;
C_noret_decl(f_9506)
static void C_ccall f_9506(C_word c,C_word *av) C_noret;
C_noret_decl(f_9508)
static void C_ccall f_9508(C_word c,C_word *av) C_noret;
C_noret_decl(f_9514)
static void C_ccall f_9514(C_word c,C_word *av) C_noret;
C_noret_decl(f_9516)
static void C_ccall f_9516(C_word c,C_word *av) C_noret;
C_noret_decl(f_9524)
static void C_ccall f_9524(C_word c,C_word *av) C_noret;
C_noret_decl(f_9526)
static void C_ccall f_9526(C_word c,C_word *av) C_noret;
C_noret_decl(f_9529)
static void C_ccall f_9529(C_word c,C_word *av) C_noret;
C_noret_decl(f_9537)
static void C_ccall f_9537(C_word c,C_word *av) C_noret;
C_noret_decl(f_9543)
static void C_ccall f_9543(C_word c,C_word *av) C_noret;
C_noret_decl(f_9551)
static void C_ccall f_9551(C_word c,C_word *av) C_noret;
C_noret_decl(f_9562)
static void C_ccall f_9562(C_word c,C_word *av) C_noret;
C_noret_decl(f_9574)
static void C_fcall f_9574(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9588)
static void C_ccall f_9588(C_word c,C_word *av) C_noret;
C_noret_decl(f_9596)
static void C_ccall f_9596(C_word c,C_word *av) C_noret;
C_noret_decl(f_9599)
static void C_ccall f_9599(C_word c,C_word *av) C_noret;
C_noret_decl(f_9601)
static void C_ccall f_9601(C_word c,C_word *av) C_noret;
C_noret_decl(f_9603)
static void C_ccall f_9603(C_word c,C_word *av) C_noret;
C_noret_decl(f_9609)
static void C_fcall f_9609(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9628)
static void C_ccall f_9628(C_word c,C_word *av) C_noret;
C_noret_decl(f_9645)
static void C_ccall f_9645(C_word c,C_word *av) C_noret;
C_noret_decl(f_9653)
static void C_ccall f_9653(C_word c,C_word *av) C_noret;
C_noret_decl(f_9667)
static void C_ccall f_9667(C_word c,C_word *av) C_noret;
C_noret_decl(f_9673)
static void C_fcall f_9673(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9692)
static void C_ccall f_9692(C_word c,C_word *av) C_noret;
C_noret_decl(f_9701)
static void C_ccall f_9701(C_word c,C_word *av) C_noret;
C_noret_decl(f_9704)
static void C_ccall f_9704(C_word c,C_word *av) C_noret;
C_noret_decl(f_9716)
static C_word C_fcall f_9716(C_word t0,C_word t1);
C_noret_decl(f_9732)
static void C_ccall f_9732(C_word c,C_word *av) C_noret;
C_noret_decl(f_9738)
static void C_fcall f_9738(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9763)
static void C_ccall f_9763(C_word c,C_word *av) C_noret;
C_noret_decl(f_9765)
static void C_ccall f_9765(C_word c,C_word *av) C_noret;
C_noret_decl(f_9774)
static void C_fcall f_9774(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9795)
static void C_ccall f_9795(C_word c,C_word *av) C_noret;
C_noret_decl(f_9797)
static void C_ccall f_9797(C_word c,C_word *av) C_noret;
C_noret_decl(f_9803)
static void C_fcall f_9803(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9829)
static void C_ccall f_9829(C_word c,C_word *av) C_noret;
C_noret_decl(f_9836)
static void C_ccall f_9836(C_word c,C_word *av) C_noret;
C_noret_decl(f_9838)
static void C_ccall f_9838(C_word c,C_word *av) C_noret;
C_noret_decl(f_9842)
static void C_fcall f_9842(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9850)
static void C_fcall f_9850(C_word t0,C_word t1,C_word t2) C_noret;
C_noret_decl(f_9885)
static void C_ccall f_9885(C_word c,C_word *av) C_noret;
C_noret_decl(f_9895)
static void C_ccall f_9895(C_word c,C_word *av) C_noret;
C_noret_decl(f_9904)
static void C_fcall f_9904(C_word t0,C_word t1,C_word t2,C_word t3) C_noret;
C_noret_decl(f_9946)
static void C_ccall f_9946(C_word c,C_word *av) C_noret;
C_noret_decl(f_9975)
static void C_ccall f_9975(C_word c,C_word *av) C_noret;
C_noret_decl(f_9982)
static void C_fcall f_9982(C_word t0,C_word t1) C_noret;
C_noret_decl(f_9985)
static void C_ccall f_9985(C_word c,C_word *av) C_noret;
C_noret_decl(C_library_toplevel)
C_externexport void C_ccall C_library_toplevel(C_word c,C_word *av) C_noret;

C_noret_decl(trf_10020)
static void C_ccall trf_10020(C_word c,C_word *av) C_noret;
static void C_ccall trf_10020(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10020(t0,t1,t2);}

C_noret_decl(trf_10070)
static void C_ccall trf_10070(C_word c,C_word *av) C_noret;
static void C_ccall trf_10070(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10070(t0,t1,t2);}

C_noret_decl(trf_10181)
static void C_ccall trf_10181(C_word c,C_word *av) C_noret;
static void C_ccall trf_10181(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10181(t0,t1);}

C_noret_decl(trf_10212)
static void C_ccall trf_10212(C_word c,C_word *av) C_noret;
static void C_ccall trf_10212(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10212(t0,t1,t2);}

C_noret_decl(trf_10284)
static void C_ccall trf_10284(C_word c,C_word *av) C_noret;
static void C_ccall trf_10284(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10284(t0,t1);}

C_noret_decl(trf_10289)
static void C_ccall trf_10289(C_word c,C_word *av) C_noret;
static void C_ccall trf_10289(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_10289(t0,t1,t2);}

C_noret_decl(trf_10894)
static void C_ccall trf_10894(C_word c,C_word *av) C_noret;
static void C_ccall trf_10894(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_10894(t0,t1,t2,t3);}

C_noret_decl(trf_10943)
static void C_ccall trf_10943(C_word c,C_word *av) C_noret;
static void C_ccall trf_10943(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_10943(t0,t1);}

C_noret_decl(trf_11150)
static void C_ccall trf_11150(C_word c,C_word *av) C_noret;
static void C_ccall trf_11150(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11150(t0,t1,t2);}

C_noret_decl(trf_11169)
static void C_ccall trf_11169(C_word c,C_word *av) C_noret;
static void C_ccall trf_11169(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_11169(t0,t1,t2);}

C_noret_decl(trf_11223)
static void C_ccall trf_11223(C_word c,C_word *av) C_noret;
static void C_ccall trf_11223(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11223(t0,t1,t2,t3);}

C_noret_decl(trf_11319)
static void C_ccall trf_11319(C_word c,C_word *av) C_noret;
static void C_ccall trf_11319(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11319(t0,t1,t2,t3);}

C_noret_decl(trf_11477)
static void C_ccall trf_11477(C_word c,C_word *av) C_noret;
static void C_ccall trf_11477(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11477(t0,t1);}

C_noret_decl(trf_11486)
static void C_ccall trf_11486(C_word c,C_word *av) C_noret;
static void C_ccall trf_11486(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_11486(t0,t1);}

C_noret_decl(trf_11769)
static void C_ccall trf_11769(C_word c,C_word *av) C_noret;
static void C_ccall trf_11769(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11769(t0,t1,t2,t3);}

C_noret_decl(trf_11858)
static void C_ccall trf_11858(C_word c,C_word *av) C_noret;
static void C_ccall trf_11858(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_11858(t0,t1,t2,t3);}

C_noret_decl(trf_11879)
static void C_ccall trf_11879(C_word c,C_word *av) C_noret;
static void C_ccall trf_11879(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_11879(t0,t1,t2,t3,t4);}

C_noret_decl(trf_12608)
static void C_ccall trf_12608(C_word c,C_word *av) C_noret;
static void C_ccall trf_12608(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12608(t0,t1,t2);}

C_noret_decl(trf_12788)
static void C_ccall trf_12788(C_word c,C_word *av) C_noret;
static void C_ccall trf_12788(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_12788(t0,t1,t2);}

C_noret_decl(trf_12967)
static void C_ccall trf_12967(C_word c,C_word *av) C_noret;
static void C_ccall trf_12967(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12967(t0,t1,t2,t3);}

C_noret_decl(trf_12984)
static void C_ccall trf_12984(C_word c,C_word *av) C_noret;
static void C_ccall trf_12984(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_12984(t0,t1,t2,t3);}

C_noret_decl(trf_13151)
static void C_ccall trf_13151(C_word c,C_word *av) C_noret;
static void C_ccall trf_13151(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13151(t0,t1,t2,t3);}

C_noret_decl(trf_13189)
static void C_ccall trf_13189(C_word c,C_word *av) C_noret;
static void C_ccall trf_13189(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13189(t0,t1);}

C_noret_decl(trf_13633)
static void C_ccall trf_13633(C_word c,C_word *av) C_noret;
static void C_ccall trf_13633(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_13633(t0,t1,t2);}

C_noret_decl(trf_13636)
static void C_ccall trf_13636(C_word c,C_word *av) C_noret;
static void C_ccall trf_13636(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_13636(t0,t1,t2,t3);}

C_noret_decl(trf_13815)
static void C_ccall trf_13815(C_word c,C_word *av) C_noret;
static void C_ccall trf_13815(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13815(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13859)
static void C_ccall trf_13859(C_word c,C_word *av) C_noret;
static void C_ccall trf_13859(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_13859(t0,t1,t2,t3,t4);}

C_noret_decl(trf_13960)
static void C_ccall trf_13960(C_word c,C_word *av) C_noret;
static void C_ccall trf_13960(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_13960(t0,t1);}

C_noret_decl(trf_14122)
static void C_ccall trf_14122(C_word c,C_word *av) C_noret;
static void C_ccall trf_14122(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14122(t0,t1);}

C_noret_decl(trf_14128)
static void C_ccall trf_14128(C_word c,C_word *av) C_noret;
static void C_ccall trf_14128(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14128(t0,t1);}

C_noret_decl(trf_14184)
static void C_ccall trf_14184(C_word c,C_word *av) C_noret;
static void C_ccall trf_14184(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14184(t0,t1);}

C_noret_decl(trf_14190)
static void C_ccall trf_14190(C_word c,C_word *av) C_noret;
static void C_ccall trf_14190(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14190(t0,t1);}

C_noret_decl(trf_14663)
static void C_ccall trf_14663(C_word c,C_word *av) C_noret;
static void C_ccall trf_14663(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14663(t0,t1);}

C_noret_decl(trf_14698)
static void C_ccall trf_14698(C_word c,C_word *av) C_noret;
static void C_ccall trf_14698(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14698(t0,t1,t2,t3);}

C_noret_decl(trf_14808)
static void C_ccall trf_14808(C_word c,C_word *av) C_noret;
static void C_ccall trf_14808(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_14808(t0,t1,t2,t3);}

C_noret_decl(trf_14850)
static void C_ccall trf_14850(C_word c,C_word *av) C_noret;
static void C_ccall trf_14850(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14850(t0,t1,t2);}

C_noret_decl(trf_14864)
static void C_ccall trf_14864(C_word c,C_word *av) C_noret;
static void C_ccall trf_14864(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_14864(t0,t1,t2);}

C_noret_decl(trf_14909)
static void C_ccall trf_14909(C_word c,C_word *av) C_noret;
static void C_ccall trf_14909(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_14909(t0,t1);}

C_noret_decl(trf_15018)
static void C_ccall trf_15018(C_word c,C_word *av) C_noret;
static void C_ccall trf_15018(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15018(t0,t1);}

C_noret_decl(trf_15027)
static void C_ccall trf_15027(C_word c,C_word *av) C_noret;
static void C_ccall trf_15027(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15027(t0,t1);}

C_noret_decl(trf_15114)
static void C_ccall trf_15114(C_word c,C_word *av) C_noret;
static void C_ccall trf_15114(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15114(t0,t1,t2,t3);}

C_noret_decl(trf_15210)
static void C_ccall trf_15210(C_word c,C_word *av) C_noret;
static void C_ccall trf_15210(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15210(t0,t1,t2,t3);}

C_noret_decl(trf_15275)
static void C_ccall trf_15275(C_word c,C_word *av) C_noret;
static void C_ccall trf_15275(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15275(t0,t1,t2,t3);}

C_noret_decl(trf_15479)
static void C_ccall trf_15479(C_word c,C_word *av) C_noret;
static void C_ccall trf_15479(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15479(t0,t1);}

C_noret_decl(trf_15540)
static void C_ccall trf_15540(C_word c,C_word *av) C_noret;
static void C_ccall trf_15540(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15540(t0,t1,t2);}

C_noret_decl(trf_15583)
static void C_ccall trf_15583(C_word c,C_word *av) C_noret;
static void C_ccall trf_15583(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15583(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15596)
static void C_ccall trf_15596(C_word c,C_word *av) C_noret;
static void C_ccall trf_15596(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_15596(t0,t1,t2,t3);}

C_noret_decl(trf_15676)
static void C_ccall trf_15676(C_word c,C_word *av) C_noret;
static void C_ccall trf_15676(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15676(t0,t1,t2);}

C_noret_decl(trf_15682)
static void C_ccall trf_15682(C_word c,C_word *av) C_noret;
static void C_ccall trf_15682(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15682(t0,t1,t2);}

C_noret_decl(trf_15745)
static void C_ccall trf_15745(C_word c,C_word *av) C_noret;
static void C_ccall trf_15745(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15745(t0,t1);}

C_noret_decl(trf_15784)
static void C_ccall trf_15784(C_word c,C_word *av) C_noret;
static void C_ccall trf_15784(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15784(t0,t1,t2);}

C_noret_decl(trf_15790)
static void C_ccall trf_15790(C_word c,C_word *av) C_noret;
static void C_ccall trf_15790(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15790(t0,t1,t2);}

C_noret_decl(trf_15834)
static void C_ccall trf_15834(C_word c,C_word *av) C_noret;
static void C_ccall trf_15834(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15834(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15890)
static void C_ccall trf_15890(C_word c,C_word *av) C_noret;
static void C_ccall trf_15890(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_15890(t0,t1,t2);}

C_noret_decl(trf_15905)
static void C_ccall trf_15905(C_word c,C_word *av) C_noret;
static void C_ccall trf_15905(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15905(t0,t1);}

C_noret_decl(trf_15951)
static void C_ccall trf_15951(C_word c,C_word *av) C_noret;
static void C_ccall trf_15951(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_15951(t0,t1,t2,t3,t4);}

C_noret_decl(trf_15970)
static void C_ccall trf_15970(C_word c,C_word *av) C_noret;
static void C_ccall trf_15970(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15970(t0,t1);}

C_noret_decl(trf_15973)
static void C_ccall trf_15973(C_word c,C_word *av) C_noret;
static void C_ccall trf_15973(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15973(t0,t1);}

C_noret_decl(trf_15982)
static void C_ccall trf_15982(C_word c,C_word *av) C_noret;
static void C_ccall trf_15982(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_15982(t0,t1);}

C_noret_decl(trf_16009)
static void C_ccall trf_16009(C_word c,C_word *av) C_noret;
static void C_ccall trf_16009(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16009(t0,t1);}

C_noret_decl(trf_16165)
static void C_ccall trf_16165(C_word c,C_word *av) C_noret;
static void C_ccall trf_16165(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_16165(t0,t1,t2,t3);}

C_noret_decl(trf_16172)
static void C_ccall trf_16172(C_word c,C_word *av) C_noret;
static void C_ccall trf_16172(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16172(t0,t1);}

C_noret_decl(trf_16191)
static void C_ccall trf_16191(C_word c,C_word *av) C_noret;
static void C_ccall trf_16191(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16191(t0,t1);}

C_noret_decl(trf_16243)
static void C_ccall trf_16243(C_word c,C_word *av) C_noret;
static void C_ccall trf_16243(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16243(t0,t1);}

C_noret_decl(trf_16508)
static void C_ccall trf_16508(C_word c,C_word *av) C_noret;
static void C_ccall trf_16508(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_16508(t0,t1,t2);}

C_noret_decl(trf_16523)
static void C_ccall trf_16523(C_word c,C_word *av) C_noret;
static void C_ccall trf_16523(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16523(t0,t1);}

C_noret_decl(trf_16549)
static void C_ccall trf_16549(C_word c,C_word *av) C_noret;
static void C_ccall trf_16549(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16549(t0,t1);}

C_noret_decl(trf_16581)
static void C_ccall trf_16581(C_word c,C_word *av) C_noret;
static void C_ccall trf_16581(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16581(t0,t1);}

C_noret_decl(trf_16642)
static void C_ccall trf_16642(C_word c,C_word *av) C_noret;
static void C_ccall trf_16642(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16642(t0,t1);}

C_noret_decl(trf_16762)
static void C_ccall trf_16762(C_word c,C_word *av) C_noret;
static void C_ccall trf_16762(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16762(t0,t1);}

C_noret_decl(trf_16853)
static void C_ccall trf_16853(C_word c,C_word *av) C_noret;
static void C_ccall trf_16853(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_16853(t0,t1);}

C_noret_decl(trf_16999)
static void C_ccall trf_16999(C_word c,C_word *av) C_noret;
static void C_ccall trf_16999(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_16999(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_17006)
static void C_ccall trf_17006(C_word c,C_word *av) C_noret;
static void C_ccall trf_17006(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_17006(t0,t1);}

C_noret_decl(trf_17284)
static void C_ccall trf_17284(C_word c,C_word *av) C_noret;
static void C_ccall trf_17284(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_17284(t0,t1,t2,t3,t4);}

C_noret_decl(trf_17311)
static void C_ccall trf_17311(C_word c,C_word *av) C_noret;
static void C_ccall trf_17311(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17311(t0,t1,t2);}

C_noret_decl(trf_17352)
static void C_ccall trf_17352(C_word c,C_word *av) C_noret;
static void C_ccall trf_17352(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_17352(t0,t1,t2,t3);}

C_noret_decl(trf_17589)
static void C_ccall trf_17589(C_word c,C_word *av) C_noret;
static void C_ccall trf_17589(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17589(t0,t1,t2);}

C_noret_decl(trf_17851)
static void C_ccall trf_17851(C_word c,C_word *av) C_noret;
static void C_ccall trf_17851(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_17851(t0,t1,t2);}

C_noret_decl(trf_17925)
static void C_ccall trf_17925(C_word c,C_word *av) C_noret;
static void C_ccall trf_17925(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_17925(t0,t1);}

C_noret_decl(trf_18070)
static void C_ccall trf_18070(C_word c,C_word *av) C_noret;
static void C_ccall trf_18070(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_18070(t0,t1,t2,t3);}

C_noret_decl(trf_18171)
static void C_ccall trf_18171(C_word c,C_word *av) C_noret;
static void C_ccall trf_18171(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18171(t0,t1,t2);}

C_noret_decl(trf_18216)
static void C_ccall trf_18216(C_word c,C_word *av) C_noret;
static void C_ccall trf_18216(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18216(t0,t1);}

C_noret_decl(trf_18379)
static void C_ccall trf_18379(C_word c,C_word *av) C_noret;
static void C_ccall trf_18379(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18379(t0,t1,t2);}

C_noret_decl(trf_18417)
static void C_ccall trf_18417(C_word c,C_word *av) C_noret;
static void C_ccall trf_18417(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18417(t0,t1,t2);}

C_noret_decl(trf_18507)
static void C_ccall trf_18507(C_word c,C_word *av) C_noret;
static void C_ccall trf_18507(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_18507(t0,t1);}

C_noret_decl(trf_18566)
static void C_ccall trf_18566(C_word c,C_word *av) C_noret;
static void C_ccall trf_18566(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18566(t0,t1,t2);}

C_noret_decl(trf_18596)
static void C_ccall trf_18596(C_word c,C_word *av) C_noret;
static void C_ccall trf_18596(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18596(t0,t1,t2);}

C_noret_decl(trf_18655)
static void C_ccall trf_18655(C_word c,C_word *av) C_noret;
static void C_ccall trf_18655(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18655(t0,t1,t2);}

C_noret_decl(trf_18696)
static void C_ccall trf_18696(C_word c,C_word *av) C_noret;
static void C_ccall trf_18696(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18696(t0,t1,t2);}

C_noret_decl(trf_18815)
static void C_ccall trf_18815(C_word c,C_word *av) C_noret;
static void C_ccall trf_18815(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_18815(t0,t1,t2);}

C_noret_decl(trf_19205)
static void C_ccall trf_19205(C_word c,C_word *av) C_noret;
static void C_ccall trf_19205(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_19205(t0,t1,t2,t3,t4);}

C_noret_decl(trf_19248)
static void C_ccall trf_19248(C_word c,C_word *av) C_noret;
static void C_ccall trf_19248(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19248(t0,t1,t2);}

C_noret_decl(trf_19303)
static void C_ccall trf_19303(C_word c,C_word *av) C_noret;
static void C_ccall trf_19303(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19303(t0,t1,t2,t3);}

C_noret_decl(trf_19559)
static void C_ccall trf_19559(C_word c,C_word *av) C_noret;
static void C_ccall trf_19559(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19559(t0,t1,t2);}

C_noret_decl(trf_19572)
static void C_ccall trf_19572(C_word c,C_word *av) C_noret;
static void C_ccall trf_19572(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19572(t0,t1,t2);}

C_noret_decl(trf_19631)
static void C_ccall trf_19631(C_word c,C_word *av) C_noret;
static void C_ccall trf_19631(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19631(t0,t1,t2);}

C_noret_decl(trf_19885)
static void C_ccall trf_19885(C_word c,C_word *av) C_noret;
static void C_ccall trf_19885(C_word c,C_word *av){
C_word t0=av[5];
C_word t1=av[4];
C_word t2=av[3];
C_word t3=av[2];
C_word t4=av[1];
C_word t5=av[0];
f_19885(t0,t1,t2,t3,t4,t5);}

C_noret_decl(trf_19889)
static void C_ccall trf_19889(C_word c,C_word *av) C_noret;
static void C_ccall trf_19889(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19889(t0,t1);}

C_noret_decl(trf_19919)
static void C_ccall trf_19919(C_word c,C_word *av) C_noret;
static void C_ccall trf_19919(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19919(t0,t1);}

C_noret_decl(trf_19939)
static void C_ccall trf_19939(C_word c,C_word *av) C_noret;
static void C_ccall trf_19939(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_19939(t0,t1,t2,t3);}

C_noret_decl(trf_19948)
static void C_ccall trf_19948(C_word c,C_word *av) C_noret;
static void C_ccall trf_19948(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_19948(t0,t1,t2);}

C_noret_decl(trf_19953)
static void C_ccall trf_19953(C_word c,C_word *av) C_noret;
static void C_ccall trf_19953(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_19953(t0,t1);}

C_noret_decl(trf_20318)
static void C_ccall trf_20318(C_word c,C_word *av) C_noret;
static void C_ccall trf_20318(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20318(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20327)
static void C_ccall trf_20327(C_word c,C_word *av) C_noret;
static void C_ccall trf_20327(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20327(t0,t1);}

C_noret_decl(trf_20337)
static void C_ccall trf_20337(C_word c,C_word *av) C_noret;
static void C_ccall trf_20337(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20337(t0,t1,t2);}

C_noret_decl(trf_20344)
static void C_ccall trf_20344(C_word c,C_word *av) C_noret;
static void C_ccall trf_20344(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20344(t0,t1);}

C_noret_decl(trf_20364)
static void C_ccall trf_20364(C_word c,C_word *av) C_noret;
static void C_ccall trf_20364(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20364(t0,t1,t2);}

C_noret_decl(trf_20373)
static void C_ccall trf_20373(C_word c,C_word *av) C_noret;
static void C_ccall trf_20373(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20373(t0,t1,t2);}

C_noret_decl(trf_20388)
static void C_ccall trf_20388(C_word c,C_word *av) C_noret;
static void C_ccall trf_20388(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20388(t0,t1);}

C_noret_decl(trf_20391)
static void C_ccall trf_20391(C_word c,C_word *av) C_noret;
static void C_ccall trf_20391(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20391(t0,t1);}

C_noret_decl(trf_20401)
static void C_ccall trf_20401(C_word c,C_word *av) C_noret;
static void C_ccall trf_20401(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20401(t0,t1,t2);}

C_noret_decl(trf_20439)
static void C_ccall trf_20439(C_word c,C_word *av) C_noret;
static void C_ccall trf_20439(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_20439(t0,t1,t2,t3,t4);}

C_noret_decl(trf_20445)
static void C_ccall trf_20445(C_word c,C_word *av) C_noret;
static void C_ccall trf_20445(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20445(t0,t1,t2,t3);}

C_noret_decl(trf_20499)
static void C_ccall trf_20499(C_word c,C_word *av) C_noret;
static void C_ccall trf_20499(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20499(t0,t1,t2);}

C_noret_decl(trf_20511)
static void C_ccall trf_20511(C_word c,C_word *av) C_noret;
static void C_ccall trf_20511(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20511(t0,t1,t2,t3);}

C_noret_decl(trf_20536)
static void C_ccall trf_20536(C_word c,C_word *av) C_noret;
static void C_ccall trf_20536(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_20536(t0,t1,t2);}

C_noret_decl(trf_20546)
static void C_ccall trf_20546(C_word c,C_word *av) C_noret;
static void C_ccall trf_20546(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20546(t0,t1,t2,t3);}

C_noret_decl(trf_20727)
static void C_ccall trf_20727(C_word c,C_word *av) C_noret;
static void C_ccall trf_20727(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20727(t0,t1);}

C_noret_decl(trf_20818)
static void C_ccall trf_20818(C_word c,C_word *av) C_noret;
static void C_ccall trf_20818(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20818(t0,t1);}

C_noret_decl(trf_20838)
static void C_ccall trf_20838(C_word c,C_word *av) C_noret;
static void C_ccall trf_20838(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20838(t0,t1);}

C_noret_decl(trf_20843)
static void C_ccall trf_20843(C_word c,C_word *av) C_noret;
static void C_ccall trf_20843(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_20843(t0,t1,t2,t3);}

C_noret_decl(trf_20942)
static void C_ccall trf_20942(C_word c,C_word *av) C_noret;
static void C_ccall trf_20942(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_20942(t0,t1);}

C_noret_decl(trf_21090)
static void C_ccall trf_21090(C_word c,C_word *av) C_noret;
static void C_ccall trf_21090(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21090(t0,t1,t2,t3);}

C_noret_decl(trf_21099)
static void C_ccall trf_21099(C_word c,C_word *av) C_noret;
static void C_ccall trf_21099(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21099(t0,t1,t2);}

C_noret_decl(trf_21154)
static void C_ccall trf_21154(C_word c,C_word *av) C_noret;
static void C_ccall trf_21154(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21154(t0,t1,t2);}

C_noret_decl(trf_21161)
static void C_ccall trf_21161(C_word c,C_word *av) C_noret;
static void C_ccall trf_21161(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21161(t0,t1);}

C_noret_decl(trf_21204)
static void C_ccall trf_21204(C_word c,C_word *av) C_noret;
static void C_ccall trf_21204(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21204(t0,t1);}

C_noret_decl(trf_21352)
static void C_ccall trf_21352(C_word c,C_word *av) C_noret;
static void C_ccall trf_21352(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21352(t0,t1);}

C_noret_decl(trf_21370)
static void C_ccall trf_21370(C_word c,C_word *av) C_noret;
static void C_ccall trf_21370(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21370(t0,t1,t2,t3);}

C_noret_decl(trf_21405)
static void C_ccall trf_21405(C_word c,C_word *av) C_noret;
static void C_ccall trf_21405(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21405(t0,t1);}

C_noret_decl(trf_21440)
static void C_ccall trf_21440(C_word c,C_word *av) C_noret;
static void C_ccall trf_21440(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21440(t0,t1,t2);}

C_noret_decl(trf_21491)
static void C_ccall trf_21491(C_word c,C_word *av) C_noret;
static void C_ccall trf_21491(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21491(t0,t1,t2);}

C_noret_decl(trf_21558)
static void C_ccall trf_21558(C_word c,C_word *av) C_noret;
static void C_ccall trf_21558(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21558(t0,t1);}

C_noret_decl(trf_21568)
static void C_ccall trf_21568(C_word c,C_word *av) C_noret;
static void C_ccall trf_21568(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21568(t0,t1,t2,t3);}

C_noret_decl(trf_21578)
static void C_ccall trf_21578(C_word c,C_word *av) C_noret;
static void C_ccall trf_21578(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21578(t0,t1);}

C_noret_decl(trf_21622)
static void C_ccall trf_21622(C_word c,C_word *av) C_noret;
static void C_ccall trf_21622(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21622(t0,t1);}

C_noret_decl(trf_21632)
static void C_ccall trf_21632(C_word c,C_word *av) C_noret;
static void C_ccall trf_21632(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21632(t0,t1,t2,t3);}

C_noret_decl(trf_21642)
static void C_ccall trf_21642(C_word c,C_word *av) C_noret;
static void C_ccall trf_21642(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21642(t0,t1);}

C_noret_decl(trf_21668)
static void C_ccall trf_21668(C_word c,C_word *av) C_noret;
static void C_ccall trf_21668(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21668(t0,t1);}

C_noret_decl(trf_21693)
static void C_ccall trf_21693(C_word c,C_word *av) C_noret;
static void C_ccall trf_21693(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_21693(t0,t1,t2);}

C_noret_decl(trf_21699)
static void C_ccall trf_21699(C_word c,C_word *av) C_noret;
static void C_ccall trf_21699(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_21699(t0,t1,t2,t3);}

C_noret_decl(trf_21712)
static void C_ccall trf_21712(C_word c,C_word *av) C_noret;
static void C_ccall trf_21712(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21712(t0,t1);}

C_noret_decl(trf_21718)
static void C_ccall trf_21718(C_word c,C_word *av) C_noret;
static void C_ccall trf_21718(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21718(t0,t1);}

C_noret_decl(trf_21907)
static void C_ccall trf_21907(C_word c,C_word *av) C_noret;
static void C_ccall trf_21907(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21907(t0,t1);}

C_noret_decl(trf_21946)
static void C_ccall trf_21946(C_word c,C_word *av) C_noret;
static void C_ccall trf_21946(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_21946(t0,t1);}

C_noret_decl(trf_22091)
static void C_ccall trf_22091(C_word c,C_word *av) C_noret;
static void C_ccall trf_22091(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22091(t0,t1);}

C_noret_decl(trf_22116)
static void C_ccall trf_22116(C_word c,C_word *av) C_noret;
static void C_ccall trf_22116(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22116(t0,t1);}

C_noret_decl(trf_22122)
static void C_ccall trf_22122(C_word c,C_word *av) C_noret;
static void C_ccall trf_22122(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22122(t0,t1,t2);}

C_noret_decl(trf_22203)
static void C_ccall trf_22203(C_word c,C_word *av) C_noret;
static void C_ccall trf_22203(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22203(t0,t1);}

C_noret_decl(trf_22216)
static void C_ccall trf_22216(C_word c,C_word *av) C_noret;
static void C_ccall trf_22216(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_22216(t0,t1,t2);}

C_noret_decl(trf_22259)
static void C_ccall trf_22259(C_word c,C_word *av) C_noret;
static void C_ccall trf_22259(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22259(t0,t1);}

C_noret_decl(trf_22377)
static void C_ccall trf_22377(C_word c,C_word *av) C_noret;
static void C_ccall trf_22377(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22377(t0,t1);}

C_noret_decl(trf_22457)
static void C_ccall trf_22457(C_word c,C_word *av) C_noret;
static void C_ccall trf_22457(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22457(t0,t1);}

C_noret_decl(trf_22751)
static void C_ccall trf_22751(C_word c,C_word *av) C_noret;
static void C_ccall trf_22751(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22751(t0,t1);}

C_noret_decl(trf_22824)
static void C_ccall trf_22824(C_word c,C_word *av) C_noret;
static void C_ccall trf_22824(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_22824(t0,t1);}

C_noret_decl(trf_23373)
static void C_ccall trf_23373(C_word c,C_word *av) C_noret;
static void C_ccall trf_23373(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23373(t0,t1,t2);}

C_noret_decl(trf_23419)
static void C_ccall trf_23419(C_word c,C_word *av) C_noret;
static void C_ccall trf_23419(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23419(t0,t1,t2,t3);}

C_noret_decl(trf_23682)
static void C_ccall trf_23682(C_word c,C_word *av) C_noret;
static void C_ccall trf_23682(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23682(t0,t1,t2);}

C_noret_decl(trf_23733)
static void C_ccall trf_23733(C_word c,C_word *av) C_noret;
static void C_ccall trf_23733(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23733(t0,t1,t2);}

C_noret_decl(trf_23792)
static void C_ccall trf_23792(C_word c,C_word *av) C_noret;
static void C_ccall trf_23792(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23792(t0,t1,t2,t3);}

C_noret_decl(trf_23864)
static void C_ccall trf_23864(C_word c,C_word *av) C_noret;
static void C_ccall trf_23864(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23864(t0,t1,t2,t3);}

C_noret_decl(trf_23924)
static void C_ccall trf_23924(C_word c,C_word *av) C_noret;
static void C_ccall trf_23924(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23924(t0,t1,t2,t3);}

C_noret_decl(trf_23948)
static void C_ccall trf_23948(C_word c,C_word *av) C_noret;
static void C_ccall trf_23948(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_23948(t0,t1,t2,t3);}

C_noret_decl(trf_23960)
static void C_ccall trf_23960(C_word c,C_word *av) C_noret;
static void C_ccall trf_23960(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_23960(t0,t1,t2);}

C_noret_decl(trf_24037)
static void C_ccall trf_24037(C_word c,C_word *av) C_noret;
static void C_ccall trf_24037(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24037(t0,t1,t2);}

C_noret_decl(trf_24086)
static void C_ccall trf_24086(C_word c,C_word *av) C_noret;
static void C_ccall trf_24086(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24086(t0,t1,t2);}

C_noret_decl(trf_24102)
static void C_ccall trf_24102(C_word c,C_word *av) C_noret;
static void C_ccall trf_24102(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24102(t0,t1);}

C_noret_decl(trf_24121)
static void C_ccall trf_24121(C_word c,C_word *av) C_noret;
static void C_ccall trf_24121(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24121(t0,t1);}

C_noret_decl(trf_24179)
static void C_ccall trf_24179(C_word c,C_word *av) C_noret;
static void C_ccall trf_24179(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24179(t0,t1);}

C_noret_decl(trf_24231)
static void C_ccall trf_24231(C_word c,C_word *av) C_noret;
static void C_ccall trf_24231(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24231(t0,t1,t2);}

C_noret_decl(trf_24290)
static void C_ccall trf_24290(C_word c,C_word *av) C_noret;
static void C_ccall trf_24290(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24290(t0,t1,t2);}

C_noret_decl(trf_24447)
static void C_ccall trf_24447(C_word c,C_word *av) C_noret;
static void C_ccall trf_24447(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24447(t0,t1,t2,t3);}

C_noret_decl(trf_24626)
static void C_ccall trf_24626(C_word c,C_word *av) C_noret;
static void C_ccall trf_24626(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24626(t0,t1,t2);}

C_noret_decl(trf_24636)
static void C_ccall trf_24636(C_word c,C_word *av) C_noret;
static void C_ccall trf_24636(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_24636(t0,t1);}

C_noret_decl(trf_24698)
static void C_ccall trf_24698(C_word c,C_word *av) C_noret;
static void C_ccall trf_24698(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_24698(t0,t1,t2);}

C_noret_decl(trf_24837)
static void C_ccall trf_24837(C_word c,C_word *av) C_noret;
static void C_ccall trf_24837(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_24837(t0,t1,t2,t3);}

C_noret_decl(trf_25210)
static void C_ccall trf_25210(C_word c,C_word *av) C_noret;
static void C_ccall trf_25210(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_25210(t0,t1,t2,t3,t4);}

C_noret_decl(trf_25230)
static void C_ccall trf_25230(C_word c,C_word *av) C_noret;
static void C_ccall trf_25230(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_25230(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_25284)
static void C_ccall trf_25284(C_word c,C_word *av) C_noret;
static void C_ccall trf_25284(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25284(t0,t1);}

C_noret_decl(trf_25301)
static void C_ccall trf_25301(C_word c,C_word *av) C_noret;
static void C_ccall trf_25301(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25301(t0,t1);}

C_noret_decl(trf_25481)
static void C_ccall trf_25481(C_word c,C_word *av) C_noret;
static void C_ccall trf_25481(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25481(t0,t1,t2);}

C_noret_decl(trf_25496)
static void C_ccall trf_25496(C_word c,C_word *av) C_noret;
static void C_ccall trf_25496(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25496(t0,t1,t2);}

C_noret_decl(trf_25599)
static void C_ccall trf_25599(C_word c,C_word *av) C_noret;
static void C_ccall trf_25599(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25599(t0,t1,t2);}

C_noret_decl(trf_25618)
static void C_ccall trf_25618(C_word c,C_word *av) C_noret;
static void C_ccall trf_25618(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25618(t0,t1);}

C_noret_decl(trf_25727)
static void C_ccall trf_25727(C_word c,C_word *av) C_noret;
static void C_ccall trf_25727(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25727(t0,t1,t2);}

C_noret_decl(trf_25764)
static void C_ccall trf_25764(C_word c,C_word *av) C_noret;
static void C_ccall trf_25764(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25764(t0,t1);}

C_noret_decl(trf_25798)
static void C_ccall trf_25798(C_word c,C_word *av) C_noret;
static void C_ccall trf_25798(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25798(t0,t1,t2);}

C_noret_decl(trf_25934)
static void C_ccall trf_25934(C_word c,C_word *av) C_noret;
static void C_ccall trf_25934(C_word c,C_word *av){
C_word t0=av[0];
f_25934(t0);}

C_noret_decl(trf_25962)
static void C_ccall trf_25962(C_word c,C_word *av) C_noret;
static void C_ccall trf_25962(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_25962(t0,t1);}

C_noret_decl(trf_25986)
static void C_ccall trf_25986(C_word c,C_word *av) C_noret;
static void C_ccall trf_25986(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_25986(t0,t1,t2);}

C_noret_decl(trf_26081)
static void C_ccall trf_26081(C_word c,C_word *av) C_noret;
static void C_ccall trf_26081(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26081(t0,t1,t2);}

C_noret_decl(trf_26108)
static void C_ccall trf_26108(C_word c,C_word *av) C_noret;
static void C_ccall trf_26108(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26108(t0,t1);}

C_noret_decl(trf_26129)
static void C_ccall trf_26129(C_word c,C_word *av) C_noret;
static void C_ccall trf_26129(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26129(t0,t1);}

C_noret_decl(trf_26132)
static void C_ccall trf_26132(C_word c,C_word *av) C_noret;
static void C_ccall trf_26132(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26132(t0,t1);}

C_noret_decl(trf_26152)
static void C_ccall trf_26152(C_word c,C_word *av) C_noret;
static void C_ccall trf_26152(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26152(t0,t1);}

C_noret_decl(trf_26575)
static void C_ccall trf_26575(C_word c,C_word *av) C_noret;
static void C_ccall trf_26575(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_26575(t0,t1,t2,t3);}

C_noret_decl(trf_26581)
static void C_ccall trf_26581(C_word c,C_word *av) C_noret;
static void C_ccall trf_26581(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26581(t0,t1,t2);}

C_noret_decl(trf_26597)
static void C_ccall trf_26597(C_word c,C_word *av) C_noret;
static void C_ccall trf_26597(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_26597(t0,t1);}

C_noret_decl(trf_26694)
static void C_ccall trf_26694(C_word c,C_word *av) C_noret;
static void C_ccall trf_26694(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26694(t0,t1,t2);}

C_noret_decl(trf_26740)
static void C_ccall trf_26740(C_word c,C_word *av) C_noret;
static void C_ccall trf_26740(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26740(t0,t1,t2);}

C_noret_decl(trf_26816)
static void C_ccall trf_26816(C_word c,C_word *av) C_noret;
static void C_ccall trf_26816(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26816(t0,t1,t2);}

C_noret_decl(trf_26868)
static void C_ccall trf_26868(C_word c,C_word *av) C_noret;
static void C_ccall trf_26868(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26868(t0,t1,t2);}

C_noret_decl(trf_26916)
static void C_ccall trf_26916(C_word c,C_word *av) C_noret;
static void C_ccall trf_26916(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26916(t0,t1,t2);}

C_noret_decl(trf_26930)
static void C_ccall trf_26930(C_word c,C_word *av) C_noret;
static void C_ccall trf_26930(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26930(t0,t1,t2);}

C_noret_decl(trf_26986)
static void C_ccall trf_26986(C_word c,C_word *av) C_noret;
static void C_ccall trf_26986(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_26986(t0,t1,t2);}

C_noret_decl(trf_27111)
static void C_ccall trf_27111(C_word c,C_word *av) C_noret;
static void C_ccall trf_27111(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27111(t0,t1,t2);}

C_noret_decl(trf_27113)
static void C_ccall trf_27113(C_word c,C_word *av) C_noret;
static void C_ccall trf_27113(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27113(t0,t1,t2);}

C_noret_decl(trf_27134)
static void C_ccall trf_27134(C_word c,C_word *av) C_noret;
static void C_ccall trf_27134(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27134(t0,t1,t2);}

C_noret_decl(trf_27158)
static void C_ccall trf_27158(C_word c,C_word *av) C_noret;
static void C_ccall trf_27158(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_27158(t0,t1,t2,t3);}

C_noret_decl(trf_27174)
static void C_ccall trf_27174(C_word c,C_word *av) C_noret;
static void C_ccall trf_27174(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27174(t0,t1);}

C_noret_decl(trf_27212)
static void C_ccall trf_27212(C_word c,C_word *av) C_noret;
static void C_ccall trf_27212(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27212(t0,t1,t2);}

C_noret_decl(trf_27307)
static void C_ccall trf_27307(C_word c,C_word *av) C_noret;
static void C_ccall trf_27307(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_27307(t0,t1,t2);}

C_noret_decl(trf_27312)
static void C_ccall trf_27312(C_word c,C_word *av) C_noret;
static void C_ccall trf_27312(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_27312(t0,t1);}

C_noret_decl(trf_28257)
static void C_ccall trf_28257(C_word c,C_word *av) C_noret;
static void C_ccall trf_28257(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28257(t0,t1,t2);}

C_noret_decl(trf_28321)
static void C_ccall trf_28321(C_word c,C_word *av) C_noret;
static void C_ccall trf_28321(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28321(t0,t1,t2);}

C_noret_decl(trf_28533)
static void C_ccall trf_28533(C_word c,C_word *av) C_noret;
static void C_ccall trf_28533(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28533(t0,t1,t2);}

C_noret_decl(trf_28577)
static void C_ccall trf_28577(C_word c,C_word *av) C_noret;
static void C_ccall trf_28577(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28577(t0,t1);}

C_noret_decl(trf_28590)
static void C_ccall trf_28590(C_word c,C_word *av) C_noret;
static void C_ccall trf_28590(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28590(t0,t1,t2);}

C_noret_decl(trf_28624)
static void C_ccall trf_28624(C_word c,C_word *av) C_noret;
static void C_ccall trf_28624(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28624(t0,t1,t2);}

C_noret_decl(trf_28639)
static void C_ccall trf_28639(C_word c,C_word *av) C_noret;
static void C_ccall trf_28639(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28639(t0,t1);}

C_noret_decl(trf_28715)
static void C_ccall trf_28715(C_word c,C_word *av) C_noret;
static void C_ccall trf_28715(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28715(t0,t1,t2);}

C_noret_decl(trf_28815)
static void C_ccall trf_28815(C_word c,C_word *av) C_noret;
static void C_ccall trf_28815(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28815(t0,t1);}

C_noret_decl(trf_28834)
static void C_ccall trf_28834(C_word c,C_word *av) C_noret;
static void C_ccall trf_28834(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_28834(t0,t1,t2);}

C_noret_decl(trf_28875)
static void C_ccall trf_28875(C_word c,C_word *av) C_noret;
static void C_ccall trf_28875(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_28875(t0,t1,t2,t3,t4);}

C_noret_decl(trf_28898)
static void C_ccall trf_28898(C_word c,C_word *av) C_noret;
static void C_ccall trf_28898(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_28898(t0,t1);}

C_noret_decl(trf_29197)
static void C_ccall trf_29197(C_word c,C_word *av) C_noret;
static void C_ccall trf_29197(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29197(t0,t1,t2);}

C_noret_decl(trf_29209)
static void C_ccall trf_29209(C_word c,C_word *av) C_noret;
static void C_ccall trf_29209(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29209(t0,t1,t2);}

C_noret_decl(trf_29290)
static void C_ccall trf_29290(C_word c,C_word *av) C_noret;
static void C_ccall trf_29290(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_29290(t0,t1,t2,t3);}

C_noret_decl(trf_29428)
static void C_ccall trf_29428(C_word c,C_word *av) C_noret;
static void C_ccall trf_29428(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29428(t0,t1);}

C_noret_decl(trf_29468)
static void C_ccall trf_29468(C_word c,C_word *av) C_noret;
static void C_ccall trf_29468(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_29468(t0,t1,t2);}

C_noret_decl(trf_29581)
static void C_ccall trf_29581(C_word c,C_word *av) C_noret;
static void C_ccall trf_29581(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_29581(t0,t1);}

C_noret_decl(trf_30015)
static void C_ccall trf_30015(C_word c,C_word *av) C_noret;
static void C_ccall trf_30015(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30015(t0,t1);}

C_noret_decl(trf_30027)
static void C_ccall trf_30027(C_word c,C_word *av) C_noret;
static void C_ccall trf_30027(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30027(t0,t1,t2);}

C_noret_decl(trf_30086)
static void C_ccall trf_30086(C_word c,C_word *av) C_noret;
static void C_ccall trf_30086(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30086(t0,t1);}

C_noret_decl(trf_30100)
static void C_ccall trf_30100(C_word c,C_word *av) C_noret;
static void C_ccall trf_30100(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30100(t0,t1,t2);}

C_noret_decl(trf_30122)
static void C_ccall trf_30122(C_word c,C_word *av) C_noret;
static void C_ccall trf_30122(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30122(t0,t1,t2);}

C_noret_decl(trf_30337)
static void C_ccall trf_30337(C_word c,C_word *av) C_noret;
static void C_ccall trf_30337(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30337(t0,t1);}

C_noret_decl(trf_30360)
static void C_ccall trf_30360(C_word c,C_word *av) C_noret;
static void C_ccall trf_30360(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30360(t0,t1);}

C_noret_decl(trf_30516)
static void C_ccall trf_30516(C_word c,C_word *av) C_noret;
static void C_ccall trf_30516(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_30516(t0,t1,t2,t3);}

C_noret_decl(trf_30633)
static void C_ccall trf_30633(C_word c,C_word *av) C_noret;
static void C_ccall trf_30633(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30633(t0,t1);}

C_noret_decl(trf_30666)
static void C_ccall trf_30666(C_word c,C_word *av) C_noret;
static void C_ccall trf_30666(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30666(t0,t1);}

C_noret_decl(trf_30669)
static void C_ccall trf_30669(C_word c,C_word *av) C_noret;
static void C_ccall trf_30669(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30669(t0,t1);}

C_noret_decl(trf_30672)
static void C_ccall trf_30672(C_word c,C_word *av) C_noret;
static void C_ccall trf_30672(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30672(t0,t1);}

C_noret_decl(trf_30675)
static void C_ccall trf_30675(C_word c,C_word *av) C_noret;
static void C_ccall trf_30675(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30675(t0,t1);}

C_noret_decl(trf_30678)
static void C_ccall trf_30678(C_word c,C_word *av) C_noret;
static void C_ccall trf_30678(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_30678(t0,t1);}

C_noret_decl(trf_30711)
static void C_ccall trf_30711(C_word c,C_word *av) C_noret;
static void C_ccall trf_30711(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30711(t0,t1,t2);}

C_noret_decl(trf_30747)
static void C_ccall trf_30747(C_word c,C_word *av) C_noret;
static void C_ccall trf_30747(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30747(t0,t1,t2);}

C_noret_decl(trf_30778)
static void C_ccall trf_30778(C_word c,C_word *av) C_noret;
static void C_ccall trf_30778(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30778(t0,t1,t2);}

C_noret_decl(trf_30821)
static void C_ccall trf_30821(C_word c,C_word *av) C_noret;
static void C_ccall trf_30821(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_30821(t0,t1,t2);}

C_noret_decl(trf_31159)
static void C_ccall trf_31159(C_word c,C_word *av) C_noret;
static void C_ccall trf_31159(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31159(t0,t1,t2);}

C_noret_decl(trf_31178)
static void C_ccall trf_31178(C_word c,C_word *av) C_noret;
static void C_ccall trf_31178(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31178(t0,t1);}

C_noret_decl(trf_31331)
static void C_ccall trf_31331(C_word c,C_word *av) C_noret;
static void C_ccall trf_31331(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31331(t0,t1,t2);}

C_noret_decl(trf_31370)
static void C_ccall trf_31370(C_word c,C_word *av) C_noret;
static void C_ccall trf_31370(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31370(t0,t1,t2);}

C_noret_decl(trf_31386)
static void C_ccall trf_31386(C_word c,C_word *av) C_noret;
static void C_ccall trf_31386(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_31386(t0,t1,t2);}

C_noret_decl(trf_31552)
static void C_ccall trf_31552(C_word c,C_word *av) C_noret;
static void C_ccall trf_31552(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_31552(t0,t1);}

C_noret_decl(trf_32055)
static void C_ccall trf_32055(C_word c,C_word *av) C_noret;
static void C_ccall trf_32055(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_32055(t0,t1);}

C_noret_decl(trf_32057)
static void C_ccall trf_32057(C_word c,C_word *av) C_noret;
static void C_ccall trf_32057(C_word c,C_word *av){
C_word t0=av[4];
C_word t1=av[3];
C_word t2=av[2];
C_word t3=av[1];
C_word t4=av[0];
f_32057(t0,t1,t2,t3,t4);}

C_noret_decl(trf_32153)
static void C_ccall trf_32153(C_word c,C_word *av) C_noret;
static void C_ccall trf_32153(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_32153(t0,t1);}

C_noret_decl(trf_32166)
static void C_ccall trf_32166(C_word c,C_word *av) C_noret;
static void C_ccall trf_32166(C_word c,C_word *av){
C_word t0=av[6];
C_word t1=av[5];
C_word t2=av[4];
C_word t3=av[3];
C_word t4=av[2];
C_word t5=av[1];
C_word t6=av[0];
f_32166(t0,t1,t2,t3,t4,t5,t6);}

C_noret_decl(trf_8832)
static void C_ccall trf_8832(C_word c,C_word *av) C_noret;
static void C_ccall trf_8832(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_8832(t0,t1,t2,t3);}

C_noret_decl(trf_9300)
static void C_ccall trf_9300(C_word c,C_word *av) C_noret;
static void C_ccall trf_9300(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9300(t0,t1,t2,t3);}

C_noret_decl(trf_9337)
static void C_ccall trf_9337(C_word c,C_word *av) C_noret;
static void C_ccall trf_9337(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9337(t0,t1,t2);}

C_noret_decl(trf_9423)
static void C_ccall trf_9423(C_word c,C_word *av) C_noret;
static void C_ccall trf_9423(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9423(t0,t1,t2);}

C_noret_decl(trf_9456)
static void C_ccall trf_9456(C_word c,C_word *av) C_noret;
static void C_ccall trf_9456(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9456(t0,t1,t2);}

C_noret_decl(trf_9574)
static void C_ccall trf_9574(C_word c,C_word *av) C_noret;
static void C_ccall trf_9574(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9574(t0,t1,t2);}

C_noret_decl(trf_9609)
static void C_ccall trf_9609(C_word c,C_word *av) C_noret;
static void C_ccall trf_9609(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9609(t0,t1,t2);}

C_noret_decl(trf_9673)
static void C_ccall trf_9673(C_word c,C_word *av) C_noret;
static void C_ccall trf_9673(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9673(t0,t1,t2);}

C_noret_decl(trf_9738)
static void C_ccall trf_9738(C_word c,C_word *av) C_noret;
static void C_ccall trf_9738(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9738(t0,t1,t2);}

C_noret_decl(trf_9774)
static void C_ccall trf_9774(C_word c,C_word *av) C_noret;
static void C_ccall trf_9774(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9774(t0,t1,t2);}

C_noret_decl(trf_9803)
static void C_ccall trf_9803(C_word c,C_word *av) C_noret;
static void C_ccall trf_9803(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9803(t0,t1,t2,t3);}

C_noret_decl(trf_9842)
static void C_ccall trf_9842(C_word c,C_word *av) C_noret;
static void C_ccall trf_9842(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9842(t0,t1);}

C_noret_decl(trf_9850)
static void C_ccall trf_9850(C_word c,C_word *av) C_noret;
static void C_ccall trf_9850(C_word c,C_word *av){
C_word t0=av[2];
C_word t1=av[1];
C_word t2=av[0];
f_9850(t0,t1,t2);}

C_noret_decl(trf_9904)
static void C_ccall trf_9904(C_word c,C_word *av) C_noret;
static void C_ccall trf_9904(C_word c,C_word *av){
C_word t0=av[3];
C_word t1=av[2];
C_word t2=av[1];
C_word t3=av[0];
f_9904(t0,t1,t2,t3);}

C_noret_decl(trf_9982)
static void C_ccall trf_9982(C_word c,C_word *av) C_noret;
static void C_ccall trf_9982(C_word c,C_word *av){
C_word t0=av[1];
C_word t1=av[0];
f_9982(t0,t1);}

/* f34042 in chicken.base#emergency-exit in k8510 */
static void C_ccall f34042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f34042,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(C_fix(0));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f34566 in chicken.base#exit in k8510 */
static void C_ccall f34566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f34566,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* f36798 in k31136 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f36798(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36798,3,av);}
t3=C_i_check_list_2(t2,lf[1358]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36804 in k31224 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f36804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36804,3,av);}
t3=C_i_check_string_2(t2,lf[1360]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f36810 in k31220 in k31224 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f36810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f36810,3,av);}
t3=C_i_check_string_2(t2,lf[1360]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* f_10014 in chicken.base#alist-update! in k8510 */
static void C_ccall f_10014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10014,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10020,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li186),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10020(t7,t1,t3);}

/* loop */
static void C_fcall f_10020(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10020,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10036,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_pairp(t4))){
t6=C_slot(t4,C_fix(0));
/* library.scm:892: cmp */
t7=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t7;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_10036(2,av2);}}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10034 in loop */
static void C_ccall f_10036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10036,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:894: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10020(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#alist-update in k8510 */
static void C_ccall f_10061(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_10061,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+9);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10070,a[2]=t2,a[3]=t3,a[4]=t10,a[5]=t8,a[6]=((C_word)li189),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_10070(t12,t1,t4);}

/* loop in chicken.base#alist-update in k8510 */
static void C_fcall f_10070(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_10070,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:907: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[262];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_i_pairp(t5);
if(C_truep(C_i_not(t6))){
/* library.scm:911: chicken.base#error */
t7=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[261];
av2[3]=lf[263];
av2[4]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_10111,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t1,a[6]=t5,a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t8=C_slot(t5,C_fix(0));
/* library.scm:912: cmp */
t9=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}}}

/* k10109 in loop in chicken.base#alist-update in k8510 */
static void C_ccall f_10111(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10111,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_slot(((C_word*)t0)[4],C_fix(1));
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[6],C_fix(0));
t3=C_slot(((C_word*)t0)[6],C_fix(1));
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10133,a[2]=((C_word*)t0)[5],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:916: loop */
t8=((C_word*)((C_word*)t0)[7])[1];
f_10070(t8,t6,t7);}}

/* k10131 in k10109 in loop in chicken.base#alist-update in k8510 */
static void C_ccall f_10133(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_10133,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-ref in k8510 */
static void C_ccall f_10165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_10165,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+10);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?*((C_word*)lf[5]+1):C_i_car(t4));
t7=t6;
t8=C_i_nullp(t4);
t9=(C_truep(t8)?C_SCHEME_END_OF_LIST:C_i_cdr(t4));
t10=C_i_nullp(t9);
t11=(C_truep(t10)?C_SCHEME_FALSE:C_i_car(t9));
t12=t11;
t13=C_i_nullp(t9);
t14=(C_truep(t13)?C_SCHEME_END_OF_LIST:C_i_cdr(t9));
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10181,a[2]=t1,a[3]=t12,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t16=C_eqp(*((C_word*)lf[4]+1),t7);
if(C_truep(t16)){
t17=t15;
f_10181(t17,*((C_word*)lf[52]+1));}
else{
t17=C_eqp(*((C_word*)lf[5]+1),t7);
if(C_truep(t17)){
t18=t15;
f_10181(t18,*((C_word*)lf[53]+1));}
else{
t18=C_eqp(*((C_word*)lf[6]+1),t7);
t19=t15;
f_10181(t19,(C_truep(t18)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10206,a[2]=t7,a[3]=((C_word)li192),tmp=(C_word)a,a+=4,tmp)));}}}

/* k10179 in chicken.base#alist-ref in k8510 */
static void C_fcall f_10181(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_10181,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10184,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:934: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k10182 in k10179 in chicken.base#alist-ref in k8510 */
static void C_ccall f_10184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10184,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_10206 in chicken.base#alist-ref in k8510 */
static void C_ccall f_10206(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_10206,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10212,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word)li191),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_10212(t7,t1,t3);}

/* loop */
static void C_fcall f_10212(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_10212,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[265]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10237,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(0));
/* library.scm:930: cmp */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
/* library.scm:933: chicken.base#error */
t3=*((C_word*)lf[193]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[265];
av2[3]=lf[266];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}}

/* k10235 in loop */
static void C_ccall f_10237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10237,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:932: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10212(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#rassoc in k8510 */
static void C_ccall f_10277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_10277,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_check_list_2(t3,lf[268]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_10284,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(t4))){
t7=t4;
t8=t6;
f_10284(t8,C_u_i_car(t7));}
else{
t7=t6;
f_10284(t7,*((C_word*)lf[5]+1));}}

/* k10282 in chicken.base#rassoc in k8510 */
static void C_fcall f_10284(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_10284,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10289,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word)li194),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_10289(t6,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* loop in k10282 in chicken.base#rassoc in k8510 */
static void C_fcall f_10289(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10289,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_i_check_pair_2(t4,lf[268]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10308,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t7=C_slot(t4,C_fix(1));
/* library.scm:947: tst */
t8=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t8;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
av2[3]=t7;
((C_proc)C_fast_retrieve_proc(t8))(4,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k10306 in loop in k10282 in chicken.base#rassoc in k8510 */
static void C_ccall f_10308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_10308,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:949: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_10289(t3,((C_word*)t0)[2],t2);}}

/* chicken.fixnum#fx+ in k8510 */
static void C_ccall f_10330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10330,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx- in k8510 */
static void C_ccall f_10333(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10333,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx* in k8510 */
static void C_ccall f_10336(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10336,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx= in k8510 */
static void C_ccall f_10339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10339,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx> in k8510 */
static void C_ccall f_10345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10345,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx< in k8510 */
static void C_ccall f_10348(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10348,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx>= in k8510 */
static void C_ccall f_10351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10351,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx<= in k8510 */
static void C_ccall f_10354(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10354,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmin in k8510 */
static void C_ccall f_10357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10357,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmax in k8510 */
static void C_ccall f_10360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10360,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxneg in k8510 */
static void C_ccall f_10363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10363,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_negate(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxand in k8510 */
static void C_ccall f_10366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10366,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_and(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxior in k8510 */
static void C_ccall f_10369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10369,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_or(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxxor in k8510 */
static void C_ccall f_10372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10372,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_xor(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxnot in k8510 */
static void C_ccall f_10375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10375,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnum_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxshl in k8510 */
static void C_ccall f_10378(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10378,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_left(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxshr in k8510 */
static void C_ccall f_10381(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10381,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_shift_right(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxodd? in k8510 */
static void C_ccall f_10384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10384,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumoddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxeven? in k8510 */
static void C_ccall f_10387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10387,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnumevenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fxlen in k8510 */
static void C_ccall f_10390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10390,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_fixnum_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.fixnum#fx/ in k8510 */
static void C_ccall f_10393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10393,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_divide(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxgcd in k8510 */
static void C_ccall f_10396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10396,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_gcd(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxmod in k8510 */
static void C_ccall f_10399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10399,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fixnum_modulo(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fxrem in k8510 */
static void C_ccall f_10402(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10402,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_fixnum_remainder_checked(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx+? in k8510 */
static void C_ccall f_10405(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10405,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_plus(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx-? in k8510 */
static void C_ccall f_10408(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10408,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_difference(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx*? in k8510 */
static void C_ccall f_10411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10411,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_times(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.fixnum#fx/? in k8510 */
static void C_ccall f_10414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10414,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_o_fixnum_quotient(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#debug-mode? in k8510 */
static void C_ccall f_10417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10417,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_debug_modep();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#warning in k8510 */
static void C_ccall f_10422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10422,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(*((C_word*)lf[304]+1))){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[307];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.base#notice in k8510 */
static void C_ccall f_10431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10431,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(C_truep(*((C_word*)lf[305]+1))?*((C_word*)lf[304]+1):C_SCHEME_FALSE);
if(C_truep(t4)){{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[309];
av2[4]=t2;
av2[5]=t3;
C_apply(6,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* chicken.base#enable-warnings in k8510 */
static void C_ccall f_10443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10443,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_mutate((C_word*)lf[304]+1 /* (set! ##sys#warnings-enabled ...) */,C_u_i_car(t3));
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=*((C_word*)lf[304]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[304]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#setslot in k8510 */
static void C_ccall f_10458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10458,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_setslot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#setislot in k8510 */
static void C_ccall f_10461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10461,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_i_slot(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#start-timer in k8510 */
static void C_ccall f_10469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_10469,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10473,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1048: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10471 in ##sys#start-timer in k8510 */
static void C_ccall f_10473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10473,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_start_timer();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#stop-timer in k8510 */
static void C_ccall f_10475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_10475,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li237),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10479,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1052: g1202 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10477 in ##sys#stop-timer in k8510 */
static void C_ccall f_10479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_10479,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10482,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1055: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k10480 in k10477 in ##sys#stop-timer in k8510 */
static void C_ccall f_10482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_10482,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_stop_timer,a[2]=((C_word)li238),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10493,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1056: g1204 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k10491 in k10480 in k10477 in ##sys#stop-timer in k8510 */
static void C_ccall f_10493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10493,2,av);}
t2=C_slot(t1,C_fix(6));
t3=C_i_setslot(((C_word*)t0)[2],C_fix(6),t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#immediate? in k8510 */
static void C_ccall f_10495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10495,3,av);}
t3=C_blockp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_not(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#message in k8510 */
static void C_ccall f_10502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10502,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_message(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#byte in k8510 */
static void C_ccall f_10505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10505,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_subbyte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#setbyte in k8510 */
static void C_ccall f_10508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10508,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_setbyte(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#halt in k8510 */
static void C_ccall f_10513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10513,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-ref in k8510 */
static void C_ccall f_10517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10517,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_block_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#block-set! in k8510 */
static void C_ccall f_10522(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10522,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10526,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_blockp(t2);
t7=C_i_not(t6);
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:1075: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_10526(2,av2);}}}
else{
t8=(C_truep(C_specialp(t2))?C_eqp(t3,C_fix(0)):C_SCHEME_FALSE);
if(C_truep(t8)){
if(C_truep(t8)){
/* library.scm:1075: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10526(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
/* library.scm:1075: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t9;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[333];
av2[4]=lf[335];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}
else{
t9=t5;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_10526(2,av2);}}}}}

/* k10524 in ##sys#block-set! in k8510 */
static void C_ccall f_10526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_10526,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10529,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_block_size(((C_word*)t0)[3]);
/* library.scm:1076: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[333];
tp(6,av2);}}

/* k10527 in k10524 in ##sys#block-set! in k8510 */
static void C_ccall f_10529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_10529,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_setslot(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-milliseconds in k8510 */
static void C_ccall f_10557(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10557,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_current_milliseconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#current-seconds in k8510 */
static void C_ccall f_10560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_10560,2,av);}
a=C_alloc(7);
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_get_current_seconds(&a,1,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.time#cpu-time in k8510 */
static void C_ccall f_10563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_10563,2,av);}
a=C_alloc(11);
t2=C_a_i_vector2(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t3=C_a_i_cpu_time(&a,1,t2);
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
/* library.scm:1103: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_values(4,av2);}}

/* ##sys#check-structure in k8510 */
static void C_ccall f_10580(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10580,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_structure_2(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_structure(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-blob in k8510 */
static void C_ccall f_10591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10591,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_bytevector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_bytevector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-pair in k8510 */
static void C_ccall f_10603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10603,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_pair_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_pair(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-list in k8510 */
static void C_ccall f_10614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10614,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_list_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_list(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-string in k8510 */
static void C_ccall f_10625(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10625,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_string_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_string(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-number in k8510 */
static void C_ccall f_10636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10636,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_number_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_number(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-fixnum in k8510 */
static void C_ccall f_10647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10647,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_fixnum_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_fixnum(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-exact in k8510 */
static void C_ccall f_10658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10658,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_exact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_exact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-inexact in k8510 */
static void C_ccall f_10669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10669,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_inexact_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_inexact(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-symbol in k8510 */
static void C_ccall f_10680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10680,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_symbol_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_symbol(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-keyword in k8510 */
static void C_ccall f_10691(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10691,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_keyword_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_keyword(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-vector in k8510 */
static void C_ccall f_10702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10702,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_vector_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_vector(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-char in k8510 */
static void C_ccall f_10713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10713,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_char_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_char(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-boolean in k8510 */
static void C_ccall f_10724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10724,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_boolean_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_boolean(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-locative in k8510 */
static void C_ccall f_10735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10735,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_locative_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_locative(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-integer in k8510 */
static void C_ccall f_10746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10746,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1186: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1186: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-integer in k8510 */
static void C_ccall f_10763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10763,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_exact_integerp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1190: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1190: ##sys#error-bad-exact-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[358]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[358]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-exact-uinteger in k8510 */
static void C_ccall f_10780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10780,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_exact_integerp(t2);
t5=C_i_not(t4);
t6=(C_truep(t5)?t5:C_i_integer_negativep(t2));
if(C_truep(t6)){
if(C_truep(C_i_pairp(t3))){
t7=t3;
t8=C_u_i_car(t7);
/* library.scm:1195: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1195: ##sys#error-bad-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[360]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[360]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}
else{
t7=C_SCHEME_UNDEFINED;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#check-real in k8510 */
static void C_ccall f_10804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_10804,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_realp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
/* library.scm:1199: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}
else{
/* library.scm:1199: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}}}

/* ##sys#check-range in k8510 */
static void C_ccall f_10821(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_10821,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+7);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_10825,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1202: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k10823 in ##sys#check-range in k8510 */
static void C_ccall f_10825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_10825,2,av);}
t2=C_fixnum_less_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?C_fixnum_lessp(((C_word*)t0)[3],((C_word*)t0)[4]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
if(C_truep(C_i_pairp(((C_word*)t0)[6]))){
t5=((C_word*)t0)[6];
t6=C_u_i_car(t5);
/* library.scm:1204: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t6;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}
else{
/* library.scm:1204: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[2];
av2[6]=((C_word*)t0)[4];
tp(7,av2);}}}}

/* ##sys#check-special in k8510 */
static void C_ccall f_10851(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_10851,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=(C_truep(C_blockp(t2))?C_specialp(t2):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=C_u_i_car(t5);
/* library.scm:1210: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t6;
av2[4]=lf[365];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
/* library.scm:1210: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=C_SCHEME_FALSE;
av2[4]=lf[365];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}}}

/* ##sys#check-closure in k8510 */
static void C_ccall f_10871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_10871,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_closure_2(t2,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#force in k8510 */
static void C_ccall f_10882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_10882,3,av);}
a=C_alloc(6);
if(C_truep(C_i_structurep(t2,lf[216]))){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10894,a[2]=t4,a[3]=((C_word)li275),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_10894(t6,t1,t2,C_SCHEME_FALSE);}
else{
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* lp in scheme#force in k8510 */
static void C_fcall f_10894(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_10894,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t4))){
/* library.scm:1223: ##sys#values */{
C_word av2[2];
av2[0]=0;
av2[1]=t1;
C_values(2,av2);}}
else{
if(C_truep(C_i_pairp(t4))){{
C_word av2[3];
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_apply_values(3,av2);}}
else{
if(C_truep(C_i_closurep(t4))){
t5=(C_truep(t3)?C_i_setslot(t3,C_fix(1),t2):C_SCHEME_UNDEFINED);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10928,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1227: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t4;
av2[3]=*((C_word*)lf[368]+1);
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_structurep(t4,lf[216]))){
/* library.scm:1239: lp */
t8=t1;
t9=t4;
t10=t3;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}}}

/* k10926 in lp in scheme#force in k8510 */
static void C_ccall f_10928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_10928,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=C_i_closurep(t3);
if(C_truep(C_i_not(t4))){
/* library.scm:1229: lp */
t5=((C_word*)((C_word*)t0)[3])[1];
f_10894(t5,((C_word*)t0)[4],((C_word*)t0)[2],((C_word*)t0)[5]);}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_10943,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t6=C_i_nullp(t2);
if(C_truep(C_i_not(t6))){
t7=C_i_cdr(t2);
if(C_truep(C_i_nullp(t7))){
t8=C_slot(t2,C_fix(0));
t9=t5;
f_10943(t9,C_i_structurep(t8,lf[216]));}
else{
t8=t5;
f_10943(t8,C_SCHEME_FALSE);}}
else{
t7=t5;
f_10943(t7,C_SCHEME_FALSE);}}}

/* k10941 in k10926 in lp in scheme#force in k8510 */
static void C_fcall f_10943(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_10943,2,t0,t1);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(1));
t4=C_i_setslot(((C_word*)t0)[3],C_fix(1),t3);
/* library.scm:1234: lp */
t5=((C_word*)((C_word*)t0)[4])[1];
f_10894(t5,((C_word*)t0)[5],((C_word*)t0)[3],t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],C_fix(1),((C_word*)t0)[2]);{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}}

/* ##sys#error-not-a-proper-list in k8510 */
static void C_ccall f_11010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11010,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1249: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_NOT_A_PROPER_LIST_ERROR);
/* library.scm:1249: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-number in k8510 */
static void C_ccall f_11026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11026,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1253: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_NUMBER_ERROR);
/* library.scm:1253: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-integer in k8510 */
static void C_ccall f_11042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11042,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1257: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1257: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-integer in k8510 */
static void C_ccall f_11058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11058,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1261: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_INTEGER_ERROR);
/* library.scm:1261: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-exact-uinteger in k8510 */
static void C_ccall f_11074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11074,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1265: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_UINTEGER_ERROR);
/* library.scm:1265: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-inexact in k8510 */
static void C_ccall f_11090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11090,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1269: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_CANT_REPRESENT_INEXACT_ERROR);
/* library.scm:1269: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-real in k8510 */
static void C_ccall f_11106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11106,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1273: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_REAL_ERROR);
/* library.scm:1273: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* ##sys#error-bad-base in k8510 */
static void C_ccall f_11122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_11122,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1277: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_BAD_BASE_ERROR);
/* library.scm:1277: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t1;
av2[2]=t5;
av2[3]=t4;
av2[4]=t2;
tp(5,av2);}}}

/* scheme#append in k8510 */
static void C_ccall f_11138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11138,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11150,a[2]=t5,a[3]=((C_word)li288),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_11150(t7,t1,t2);}}

/* loop in scheme#append in k8510 */
static void C_fcall f_11150(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_11150,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_slot(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11169,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t7,a[5]=((C_word)li287),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_11169(t9,t1,t5);}}

/* copy in loop in scheme#append in k8510 */
static void C_fcall f_11169(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_11169,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:1288: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_11150(t5,t1,t4);}
else{
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11200,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:1290: copy */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t4=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:1292: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=lf[375];
tp(4,av2);}}}}

/* k11198 in copy in loop in scheme#append in k8510 */
static void C_ccall f_11200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11200,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#fast-reverse in k8510 */
static void C_ccall f_11217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_11217,3,av);}
a=C_alloc(6);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11223,a[2]=t4,a[3]=((C_word)li290),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_11223(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in ##sys#fast-reverse in k8510 */
static void C_fcall f_11223(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11223,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t4=C_slot(t2,C_fix(1));
t5=C_slot(t2,C_fix(0));
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1298: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}
else{
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-string in k8510 */
static void C_ccall f_11247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_11247,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_nullp(t3))){
t4=t1;
t5=t2;
/* library.scm:1305: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t4=C_i_car(t3);
t5=t1;
t6=t2;
/* library.scm:1305: ##sys#allocate-vector */
t7=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}}

/* scheme#make-string in k8510 */
static void C_ccall f_11267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_11267,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11271,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1312: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[379];
tp(4,av2);}}

/* k11269 in scheme#make-string in k8510 */
static void C_ccall f_11271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_11271,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11274,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:1314: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[380];
av2[3]=lf[379];
av2[4]=lf[381];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11274(2,av2);}}}

/* k11272 in k11269 in scheme#make-string in k8510 */
static void C_ccall f_11274(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_11274,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=((C_word*)t0)[4];
/* library.scm:1305: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_make_character(32);
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
t3=C_i_check_char_2(t2,lf[379]);
t4=((C_word*)t0)[3];
t5=((C_word*)t0)[4];
/* library.scm:1305: ##sys#allocate-vector */
t6=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}}

/* scheme#string->list in k8510 */
static void C_ccall f_11303(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11303,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[383]);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11319,a[2]=t2,a[3]=t7,a[4]=((C_word)li294),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11319(t9,t1,t5,C_SCHEME_END_OF_LIST);}

/* loop in scheme#string->list in k8510 */
static void C_fcall f_11319(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_11319,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[2],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:1330: loop */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* scheme#list->string in k8510 */
static void C_ccall f_11341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11341,3,av);}
a=C_alloc(5);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:1338: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[386];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11357,a[2]=t5,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1340: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}}

/* k11355 in scheme#list->string in k8510 */
static void C_ccall f_11357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11357,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11362,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li296),tmp=(C_word)a,a+=5,tmp);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11362(t3,C_fix(0),((C_word*)t0)[4])
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop1522 in k11355 in scheme#list->string in k8510 */
static C_word C_fcall f_11362(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t3=C_slot(t2,C_fix(0));
t4=C_i_check_char_2(t3,lf[386]);
t5=C_setsubchar(((C_word*)t0)[3],t1,t3);
t6=C_fixnum_plus(t1,C_fix(1));
t7=C_slot(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* ##sys#reverse-list->string in k8510 */
static void C_ccall f_11393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11393,3,av);}
a=C_alloc(5);
if(C_truep(C_i_listp(t2))){
t3=t2;
t4=C_u_i_length(t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11404,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1355: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}
else{
/* library.scm:1363: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[389];
tp(4,av2);}}}

/* k11402 in ##sys#reverse-list->string in k8510 */
static void C_ccall f_11404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11404,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11413,a[2]=t2,a[3]=((C_word)li298),tmp=(C_word)a,a+=4,tmp);
t5=(
  f_11413(t4,((C_word*)t0)[3],t3)
);
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* iter in k11402 in ##sys#reverse-list->string in k8510 */
static C_word C_fcall f_11413(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t2,C_fix(0)))){
t3=C_slot(t1,C_fix(0));
t4=C_i_check_char_2(t3,lf[389]);
t5=C_setsubchar(((C_word*)t0)[2],t2,t3);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_difference(t2,C_fix(1));
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}
else{
t3=C_SCHEME_UNDEFINED;
return(t3);}}

/* scheme#string-fill! in k8510 */
static void C_ccall f_11442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11442,4,av);}
t4=C_i_check_string_2(t2,lf[391]);
t5=C_i_check_char_2(t3,lf[391]);
t6=C_block_size(t2);
t7=C_set_memory(t2,t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* scheme#string-copy in k8510 */
static void C_ccall f_11455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_11455,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[393]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11465,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1376: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k11463 in scheme#string-copy in k8510 */
static void C_ccall f_11465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11465,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#substring in k8510 */
static void C_ccall f_11467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_11467,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
t5=C_i_check_string_2(t2,lf[395]);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11474,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:1383: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=lf[395];
tp(4,av2);}}

/* k11472 in scheme#substring in k8510 */
static void C_ccall f_11474(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_11474,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11477,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[5]))){
t3=((C_word*)t0)[5];
t4=C_u_i_car(t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11512,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1386: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[395];
tp(4,av2);}}
else{
t3=t2;
f_11477(t3,C_block_size(((C_word*)t0)[2]));}}

/* k11475 in k11472 in scheme#substring in k8510 */
static void C_fcall f_11477(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_11477,2,t0,t1);}
a=C_alloc(6);
t2=t1;
t3=C_block_size(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11486,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[4],t2))){
t5=C_fixnum_greater_or_equal_p(((C_word*)t0)[4],C_fix(0));
t6=t4;
f_11486(t6,(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_SCHEME_FALSE));}
else{
t5=t4;
f_11486(t5,C_SCHEME_FALSE);}}

/* k11484 in k11475 in k11472 in scheme#substring in k8510 */
static void C_fcall f_11486(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_11486,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:1393: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=C_fix((C_word)C_OUT_OF_RANGE_ERROR);
/* library.scm:1394: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word av2[6];
av2[0]=*((C_word*)lf[363]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=lf[395];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}}

/* k11510 in k11472 in scheme#substring in k8510 */
static void C_ccall f_11512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11512,2,av);}
t2=((C_word*)t0)[2];
f_11477(t2,((C_word*)t0)[3]);}

/* ##sys#substring in k8510 */
static void C_ccall f_11517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_11517,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_11521,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t6=C_fixnum_difference(t4,t3);
/* library.scm:1399: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}

/* k11519 in ##sys#substring in k8510 */
static void C_ccall f_11521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11521,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,((C_word*)t0)[3],((C_word*)t0)[4],C_fix(0));
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* compare1575 in k8510 */
static void C_ccall f_11526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11526,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare(t2,t3,t8);
/* library.scm:1409: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare(t2,t3,t9);
/* library.scm:1409: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string<? in k8510 */
static void C_ccall f_11547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11547,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11553,a[2]=((C_word)li305),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1417: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[398];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11552 in scheme#string<? in k8510 */
static void C_ccall f_11553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11553,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string>? in k8510 */
static void C_ccall f_11571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11571,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11577,a[2]=((C_word)li307),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1424: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[400];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11576 in scheme#string>? in k8510 */
static void C_ccall f_11577(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11577,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string<=? in k8510 */
static void C_ccall f_11595(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11595,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11601,a[2]=((C_word)li309),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1431: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[402];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11600 in scheme#string<=? in k8510 */
static void C_ccall f_11601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11601,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string>=? in k8510 */
static void C_ccall f_11616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11616,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11622,a[2]=((C_word)li311),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1438: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[404];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11621 in scheme#string>=? in k8510 */
static void C_ccall f_11622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11622,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* compare1618 in k8510 */
static void C_ccall f_11636(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_11636,6,av);}
t6=C_i_check_string_2(t2,t4);
t7=C_i_check_string_2(t3,t4);
t8=C_block_size(t2);
t9=C_block_size(t3);
if(C_truep(C_fixnum_lessp(t8,t9))){
t10=C_string_compare_case_insensitive(t2,t3,t8);
/* library.scm:1451: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}
else{
t10=C_string_compare_case_insensitive(t2,t3,t9);
/* library.scm:1451: k */
t11=t5;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t8;
av2[3]=t9;
av2[4]=t10;
((C_proc)C_fast_retrieve_proc(t11))(5,av2);}}}

/* scheme#string-ci<? in k8510 */
static void C_ccall f_11657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11657,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11663,a[2]=((C_word)li314),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1459: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[406];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11662 in scheme#string-ci<? in k8510 */
static void C_ccall f_11663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11663,5,av);}
t5=C_fixnum_lessp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t2,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci>? in k8510 */
static void C_ccall f_11681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11681,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11687,a[2]=((C_word)li316),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1466: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[408];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11686 in scheme#string-ci>? in k8510 */
static void C_ccall f_11687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11687,5,av);}
t5=C_fixnum_greaterp(t4,C_fix(0));
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fixnum_lessp(t3,t2);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_eqp(t4,C_fix(0)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* scheme#string-ci<=? in k8510 */
static void C_ccall f_11705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11705,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11711,a[2]=((C_word)li318),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1473: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[410];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11710 in scheme#string-ci<=? in k8510 */
static void C_ccall f_11711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11711,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_less_or_equal_p(t2,t3):C_fixnum_lessp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#string-ci>=? in k8510 */
static void C_ccall f_11726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_11726,4,av);}
a=C_alloc(3);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11732,a[2]=((C_word)li320),tmp=(C_word)a,a+=3,tmp);
/* library.scm:1480: compare */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=lf[412];
av2[5]=t4;
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* a11731 in scheme#string-ci>=? in k8510 */
static void C_ccall f_11732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11732,5,av);}
t5=C_eqp(t4,C_fix(0));
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=(C_truep(t5)?C_fixnum_greater_or_equal_p(t2,t3):C_fixnum_greaterp(t4,C_fix(0)));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* ##sys#string-append in k8510 */
static void C_ccall f_11747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_11747,4,av);}
a=C_alloc(7);
t4=C_block_size(t2);
t5=t4;
t6=C_block_size(t3);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11757,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t7,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t9=C_fixnum_plus(t5,t7);
/* library.scm:1490: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t8;
av2[2]=t9;
tp(3,av2);}}

/* k11755 in ##sys#string-append in k8510 */
static void C_ccall f_11757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11757,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,C_fix(0),((C_word*)t0)[5],((C_word*)t0)[3]);
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-append in k8510 */
static void C_ccall f_11763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +13,c,4)))){
C_save_and_reclaim((void*)f_11763,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+13);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11767,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11769,a[2]=t4,a[3]=t7,a[4]=((C_word)li323),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_11769(t9,t5,t2,C_fix(0));}

/* k11765 in scheme#string-append in k8510 */
static void C_ccall f_11767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11767,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in scheme#string-append in k8510 */
static void C_fcall f_11769(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_11769,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11780,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1500: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_check_string_2(t6,lf[415]);
t8=C_block_size(t6);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11792,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=t3,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
t11=C_slot(t2,C_fix(1));
t12=C_fixnum_plus(t3,t9);
/* library.scm:1504: loop */
t14=t10;
t15=t11;
t16=t12;
t1=t14;
t2=t15;
t3=t16;
goto loop;}}

/* k11778 in loop in scheme#string-append in k8510 */
static void C_ccall f_11780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11780,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k11790 in loop in scheme#string-append in k8510 */
static void C_ccall f_11792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_11792,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1],C_fix(0),((C_word*)t0)[4],((C_word*)t0)[5]);
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string in k8510 */
static void C_ccall f_11802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_11802,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* ##sys#list->string */
t3=*((C_word*)lf[387]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* ##sys#fragments->string in k8510 */
static void C_ccall f_11808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_11808,4,av);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11812,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1513: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k11810 in ##sys#fragments->string in k8510 */
static void C_ccall f_11812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11812,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11817,a[2]=t2,a[3]=((C_word)li326),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_11817(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k11810 in ##sys#fragments->string in k8510 */
static C_word C_fcall f_11817(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_block_size(t3);
t5=C_substring_copy(t3,((C_word*)t0)[2],C_fix(0),t4,t2);
t6=C_slot(t1,C_fix(1));
t7=C_fixnum_plus(t2,t4);
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* chicken.base#chop in k8510 */
static void C_ccall f_11843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_11843,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11847,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1524: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[419];
tp(4,av2);}}

/* k11845 in chicken.base#chop in k8510 */
static void C_ccall f_11847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_11847,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11850,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[3],C_fix(0)))){
/* library.scm:1525: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[419];
av2[3]=lf[420];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_11850(2,av2);}}}

/* k11848 in k11845 in chicken.base#chop in k8510 */
static void C_ccall f_11850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_11850,2,av);}
a=C_alloc(7);
t2=C_i_length(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11858,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word)li329),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_11858(t6,((C_word*)t0)[4],((C_word*)t0)[2],t2);}

/* loop in k11848 in k11845 in chicken.base#chop in k8510 */
static void C_fcall f_11858(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_11858,4,t0,t1,t2,t3);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,((C_word*)t0)[2]))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_a_i_list1(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11879,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t5,a[6]=((C_word)li328),tmp=(C_word)a,a+=7,tmp));
t7=((C_word*)t5)[1];
f_11879(t7,t1,C_SCHEME_END_OF_LIST,t2,((C_word*)t0)[2]);}}}

/* doloop1703 in loop in k11848 in k11845 in chicken.base#chop in k8510 */
static void C_fcall f_11879(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_11879,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_11893,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:1535: scheme#reverse */
t7=*((C_word*)lf[46]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t6=C_slot(t3,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t2);
t8=C_slot(t3,C_fix(1));
t9=C_fixnum_difference(t4,C_fix(1));
t11=t1;
t12=t7;
t13=t8;
t14=t9;
t1=t11;
t2=t12;
t3=t13;
t4=t14;
goto loop;}}

/* k11891 in doloop1703 in loop in k11848 in k11845 in chicken.base#chop in k8510 */
static void C_ccall f_11893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_11893,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11897,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_difference(((C_word*)t0)[3],((C_word*)t0)[4]);
/* library.scm:1535: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_11858(t5,t3,((C_word*)t0)[6],t4);}

/* k11895 in k11891 in doloop1703 in loop in k11848 in k11845 in chicken.base#chop in k8510 */
static void C_ccall f_11897(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_11897,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp+ in k8510 */
static void C_ccall f_11938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11938,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11960,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_plus(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[433];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11958 in chicken.flonum#fp+ in k8510 */
static void C_ccall f_11960(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11960,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_plus(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp- in k8510 */
static void C_ccall f_11962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11962,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_11984,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_difference(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[435];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k11982 in chicken.flonum#fp- in k8510 */
static void C_ccall f_11984(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_11984,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_difference(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp* in k8510 */
static void C_ccall f_11986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_11986,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12008,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_times(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[437];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12006 in chicken.flonum#fp* in k8510 */
static void C_ccall f_12008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12008,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_times(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/ in k8510 */
static void C_ccall f_12010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12010,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12032,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_ub_i_flonum_quotient(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[439];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12030 in chicken.flonum#fp/ in k8510 */
static void C_ccall f_12032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12032,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ub_i_flonum_quotient(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpgcd in k8510 */
static void C_ccall f_12034(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12034,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12056,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_gcd(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[441];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12054 in chicken.flonum#fpgcd in k8510 */
static void C_ccall f_12056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12056,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_gcd(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp/? in k8510 */
static void C_ccall f_12058(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12058,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12080,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[443];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12078 in chicken.flonum#fp/? in k8510 */
static void C_ccall f_12080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12080,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_quotient_checked(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp= in k8510 */
static void C_ccall f_12082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12082,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12104,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_equalp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[445];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12102 in chicken.flonum#fp= in k8510 */
static void C_ccall f_12104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12104,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_equalp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp> in k8510 */
static void C_ccall f_12106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12106,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12128,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_greaterp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[447];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12126 in chicken.flonum#fp> in k8510 */
static void C_ccall f_12128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12128,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_greaterp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp< in k8510 */
static void C_ccall f_12130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12130,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12152,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_lessp(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[449];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12150 in chicken.flonum#fp< in k8510 */
static void C_ccall f_12152(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12152,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_lessp(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp>= in k8510 */
static void C_ccall f_12154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12154,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12176,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_greater_or_equal_p(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[451];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12174 in chicken.flonum#fp>= in k8510 */
static void C_ccall f_12176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12176,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_greater_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fp<= in k8510 */
static void C_ccall f_12178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12178,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12200,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),C_flonum_magnitude(t3));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[453];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12198 in chicken.flonum#fp<= in k8510 */
static void C_ccall f_12200(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12200,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpneg in k8510 */
static void C_ccall f_12202(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12202,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12218,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_flonum_negate(&a,1,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[455];
av2[4]=t4;
tp(5,av2);}}}

/* k12216 in chicken.flonum#fpneg in k8510 */
static void C_ccall f_12218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12218,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_negate(&a,1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmax in k8510 */
static void C_ccall f_12220(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12220,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12242,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_max(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[457];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12240 in chicken.flonum#fpmax in k8510 */
static void C_ccall f_12242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12242,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_max(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpmin in k8510 */
static void C_ccall f_12244(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_12244,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12266,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_i_flonum_min(t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[459];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12264 in chicken.flonum#fpmin in k8510 */
static void C_ccall f_12266(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12266,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_flonum_min(((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpfloor in k8510 */
static void C_ccall f_12268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12268,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12284,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_floor(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[461];
av2[4]=t4;
tp(5,av2);}}}

/* k12282 in chicken.flonum#fpfloor in k8510 */
static void C_ccall f_12284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12284,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_floor(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptruncate in k8510 */
static void C_ccall f_12286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12286,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12302,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_trunc(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[463];
av2[4]=t4;
tp(5,av2);}}}

/* k12300 in chicken.flonum#fptruncate in k8510 */
static void C_ccall f_12302(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12302,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_trunc(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpround in k8510 */
static void C_ccall f_12304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12304,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12320,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_round(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[465];
av2[4]=t4;
tp(5,av2);}}}

/* k12318 in chicken.flonum#fpround in k8510 */
static void C_ccall f_12320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12320,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_round(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpceiling in k8510 */
static void C_ccall f_12322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12322,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12338,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_ceil(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[467];
av2[4]=t4;
tp(5,av2);}}}

/* k12336 in chicken.flonum#fpceiling in k8510 */
static void C_ccall f_12338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12338,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_ceil(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsin in k8510 */
static void C_ccall f_12340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12340,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12356,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_sin(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[469];
av2[4]=t4;
tp(5,av2);}}}

/* k12354 in chicken.flonum#fpsin in k8510 */
static void C_ccall f_12356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12356,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_sin(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpcos in k8510 */
static void C_ccall f_12358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12358,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12374,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_cos(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[471];
av2[4]=t4;
tp(5,av2);}}}

/* k12372 in chicken.flonum#fpcos in k8510 */
static void C_ccall f_12374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12374,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_cos(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fptan in k8510 */
static void C_ccall f_12376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12376,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12392,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_tan(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[473];
av2[4]=t4;
tp(5,av2);}}}

/* k12390 in chicken.flonum#fptan in k8510 */
static void C_ccall f_12392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12392,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_tan(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpasin in k8510 */
static void C_ccall f_12394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12394,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12410,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_asin(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[475];
av2[4]=t4;
tp(5,av2);}}}

/* k12408 in chicken.flonum#fpasin in k8510 */
static void C_ccall f_12410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12410,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_asin(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpacos in k8510 */
static void C_ccall f_12412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12412,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12428,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_acos(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[477];
av2[4]=t4;
tp(5,av2);}}}

/* k12426 in chicken.flonum#fpacos in k8510 */
static void C_ccall f_12428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12428,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_acos(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan in k8510 */
static void C_ccall f_12430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12430,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12446,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_atan(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[479];
av2[4]=t4;
tp(5,av2);}}}

/* k12444 in chicken.flonum#fpatan in k8510 */
static void C_ccall f_12446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12446,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_atan(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpatan2 in k8510 */
static void C_ccall f_12448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12448,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12470,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_flonum(&a,C_atan2(C_flonum_magnitude(t2),C_flonum_magnitude(t3)));
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[481];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12468 in chicken.flonum#fpatan2 in k8510 */
static void C_ccall f_12470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12470,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_atan2(C_flonum_magnitude(((C_word*)t0)[3]),C_flonum_magnitude(((C_word*)t0)[4])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexp in k8510 */
static void C_ccall f_12472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12472,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12488,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_exp(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[483];
av2[4]=t4;
tp(5,av2);}}}

/* k12486 in chicken.flonum#fpexp in k8510 */
static void C_ccall f_12488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12488,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_exp(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpexpt in k8510 */
static void C_ccall f_12490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_12490,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12512,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=t3;
t7=C_i_flonump(t5);
t8=(C_truep(t7)?C_i_flonump(t6):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_flonum_expt(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1566: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t9;
av2[3]=lf[485];
av2[4]=t5;
av2[5]=t6;
tp(6,av2);}}}

/* k12510 in chicken.flonum#fpexpt in k8510 */
static void C_ccall f_12512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12512,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_flonum_expt(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fplog in k8510 */
static void C_ccall f_12514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12514,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12530,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_log(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[487];
av2[4]=t4;
tp(5,av2);}}}

/* k12528 in chicken.flonum#fplog in k8510 */
static void C_ccall f_12530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12530,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_log(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpsqrt in k8510 */
static void C_ccall f_12532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12532,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12548,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_sqrt(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[489];
av2[4]=t4;
tp(5,av2);}}}

/* k12546 in chicken.flonum#fpsqrt in k8510 */
static void C_ccall f_12548(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12548,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_sqrt(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpabs in k8510 */
static void C_ccall f_12550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_12550,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12566,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_flonum(&a,C_fabs(C_flonum_magnitude(t2)));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[491];
av2[4]=t4;
tp(5,av2);}}}

/* k12564 in chicken.flonum#fpabs in k8510 */
static void C_ccall f_12566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_12566,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_flonum(&a,C_fabs(C_flonum_magnitude(((C_word*)t0)[3])));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#fpinteger? in k8510 */
static void C_ccall f_12568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_12568,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12584,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
if(C_truep(C_i_flonump(t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_fpintegerp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_fix((C_word)C_BAD_ARGUMENT_TYPE_NO_FLONUM_ERROR);
/* library.scm:1562: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=lf[493];
av2[4]=t4;
tp(5,av2);}}}

/* k12582 in chicken.flonum#fpinteger? in k8510 */
static void C_ccall f_12584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12584,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_u_i_fpintegerp(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.flonum#flonum-print-precision in k8510 */
static void C_ccall f_12586(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_12586,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
t5=t4;
t6=C_get_print_precision();
if(C_truep(t5)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12596,a[2]=t5,a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1695: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t7;
av2[2]=t5;
av2[3]=lf[495];
tp(4,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k12594 in chicken.flonum#flonum-print-precision in k8510 */
static void C_ccall f_12596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_12596,2,av);}
t2=C_set_print_precision(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* make-complex in k8510 */
static void C_fcall f_12608(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12608,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12618,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=t4;
f_12618(2,av2);}}
else{
if(C_truep(C_i_flonump(t3))){
/* library.scm:1715: chicken.flonum#fp= */
t6=*((C_word*)lf[444]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
av2[3]=lf[501];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_12618(2,av2);}}}}

/* k12616 in make-complex in k8510 */
static void C_ccall f_12618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_12618,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12622,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:1718: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
f_12622(2,av2);}}}}

/* k12620 in k12616 in make-complex in k8510 */
static void C_ccall f_12622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,1)))){
C_save_and_reclaim((void *)f_12622,2,av);}
a=C_alloc(14);
if(C_truep(C_i_inexactp(((C_word*)t0)[2]))){
t2=((C_word*)t0)[3];
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=C_a_i_cplxnum(&a,2,t1,t3);
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_cplxnum(&a,2,t1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#make-rectangular in k8510 */
static void C_ccall f_12644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12644,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12648,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1723: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[503];
tp(4,av2);}}

/* k12646 in scheme#make-rectangular in k8510 */
static void C_ccall f_12648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12648,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12651,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1724: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[503];
tp(4,av2);}}

/* k12649 in k12646 in scheme#make-rectangular in k8510 */
static void C_ccall f_12651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12651,2,av);}
/* library.scm:1725: make-complex */
f_12608(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}

/* scheme#make-polar in k8510 */
static void C_ccall f_12656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12656,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12660,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1729: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[505];
tp(4,av2);}}

/* k12658 in scheme#make-polar in k8510 */
static void C_ccall f_12660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_12660,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12663,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1730: ##sys#check-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[361]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[361]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[505];
tp(4,av2);}}

/* k12661 in k12658 in scheme#make-polar in k8510 */
static void C_ccall f_12663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12663,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12666,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1731: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k12664 in k12661 in k12658 in scheme#make-polar in k8510 */
static void C_ccall f_12666(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(74,c,3)))){
C_save_and_reclaim((void *)f_12666,2,av);}
a=C_alloc(74);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],C_a_i_cos(&a,1,t1));
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],C_a_i_sin(&a,1,t1));
/* library.scm:1732: make-complex */
f_12608(((C_word*)t0)[3],t2,t3);}

/* scheme#real-part in k8510 */
static void C_ccall f_12679(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12679,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_real(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1740: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[507];
tp(4,av2);}}}}

/* scheme#imag-part in k8510 */
static void C_ccall f_12702(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12702,3,av);}
if(C_truep(C_i_cplxnump(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_u_i_cplxnum_imag(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=lf[501];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:1747: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[509];
tp(4,av2);}}}}}

/* scheme#angle in k8510 */
static void C_ccall f_12728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_12728,3,av);}
a=C_alloc(4);
t3=C_i_check_number_2(t2,lf[511]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12737,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1753: scheme#imag-part */
t5=*((C_word*)lf[508]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k12735 in scheme#angle in k8510 */
static void C_ccall f_12737(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_12737,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12742,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1754: scheme#real-part */
t4=*((C_word*)lf[506]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k12740 in k12735 in scheme#angle in k8510 */
static void C_ccall f_12742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,1)))){
C_save_and_reclaim((void *)f_12742,2,av);}
a=C_alloc(15);
t2=C_a_i_exact_to_inexact(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#magnitude in k8510 */
static void C_ccall f_12744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(95,c,3)))){
C_save_and_reclaim((void *)f_12744,3,av);}
a=C_alloc(95);
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_real(t3);
t5=t2;
t6=C_u_i_cplxnum_imag(t5);
t7=C_s_a_i_times(&a,2,t4,t4);
t8=C_s_a_i_times(&a,2,t6,t6);
t9=C_s_a_i_plus(&a,2,t7,t8);
/* library.scm:1761: scheme#sqrt */
t10=*((C_word*)lf[513]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t1;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
/* library.scm:1763: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[514];
tp(4,av2);}}}}

/* ratnum in k8510 */
static void C_fcall f_12788(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,1)))){
C_save_and_reclaim_args((void *)trf_12788,3,t1,t2,t3);}
a=C_alloc(13);
switch(t3){
case C_fix(1):
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(-1):
t4=t1;
t5=t2;
t6=t4;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_u_i_integer_negate(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}
default:
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=t2;
t6=C_s_a_u_i_integer_negate(&a,1,t5);
t7=t3;
t8=C_s_a_u_i_integer_negate(&a,1,t7);
t9=t1;
t10=t9;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_a_i_ratnum(&a,2,t6,t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=t1;
t6=t2;
t7=t3;
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_ratnum(&a,2,t6,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}

/* scheme#numerator in k8510 */
static void C_ccall f_12834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12834,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1783: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[517]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[517]+1);
av2[1]=t1;
av2[2]=lf[518];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12858,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12862,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1785: scheme#inexact->exact */
t8=*((C_word*)lf[519]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_num(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1787: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[518];
av2[4]=lf[520];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12856 in scheme#numerator in k8510 */
static void C_ccall f_12858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12858,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12860 in scheme#numerator in k8510 */
static void C_ccall f_12862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12862,2,av);}
/* library.scm:1785: scheme#numerator */
t2=*((C_word*)lf[516]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#denominator in k8510 */
static void C_ccall f_12880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_12880,3,av);}
a=C_alloc(6);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t2;
t5=C_i_finitep(t4);
if(C_truep(C_i_not(t5))){
/* library.scm:1795: bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[517]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[517]+1);
av2[1]=t1;
av2[2]=lf[522];
av2[3]=t2;
tp(4,av2);}}
else{
if(C_truep(C_u_i_fpintegerp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=lf[523];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12904,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12908,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1797: scheme#inexact->exact */
t8=*((C_word*)lf[519]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t1;
t5=t2;
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_ratnum_denom(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:1799: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[518];
av2[4]=lf[524];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}}}}

/* k12902 in scheme#denominator in k8510 */
static void C_ccall f_12904(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,1)))){
C_save_and_reclaim((void *)f_12904,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_exact_to_inexact(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k12906 in scheme#denominator in k8510 */
static void C_ccall f_12908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_12908,2,av);}
/* library.scm:1797: scheme#denominator */
t2=*((C_word*)lf[521]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#extended-signum in k8510 */
static void C_ccall f_12926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(26,c,3)))){
C_save_and_reclaim((void *)f_12926,3,av);}
a=C_alloc(26);
if(C_truep(C_i_ratnump(t2))){
t3=t2;
t4=C_u_i_ratnum_num(t3);
t5=C_u_i_integer_signum(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=t2;
t4=C_u_i_cplxnum_imag(t3);
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_u_i_cplxnum_real(t3);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_flonum(&a,C_atan2(C_flonum_magnitude(t5),C_flonum_magnitude(t7)));
/* library.scm:1806: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[504]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[504]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t8;
tp(4,av2);}}
else{
/* library.scm:1807: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[526];
tp(4,av2);}}}}

/* doloop2214 in deliver in scheme#inexact->exact in k8510 */
static void C_fcall f_12967(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_12967,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_u_i_fpintegerp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_12978,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1815: chicken.flonum#fp* */
t5=*((C_word*)lf[436]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[530];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k12976 in doloop2214 in deliver in scheme#inexact->exact in k8510 */
static void C_ccall f_12978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_12978,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_12967(t3,((C_word*)t0)[4],t1,t2);}

/* deliver in scheme#inexact->exact in k8510 */
static void C_fcall f_12984(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,4)))){
C_save_and_reclaim_args((void *)trf_12984,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_12988,a[2]=t2,a[3]=t1,a[4]=t3,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13019,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12967,a[2]=t8,a[3]=((C_word)li374),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_12967(t10,t5,t6,C_fix(0));}

/* k12986 in deliver in scheme#inexact->exact in k8510 */
static void C_ccall f_12988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_12988,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13015,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:1821: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13000 in k13013 in k12986 in deliver in scheme#inexact->exact in k8510 */
static void C_ccall f_13002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13002,2,av);}
/* library.scm:1823: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k13013 in k12986 in deliver in scheme#inexact->exact in k8510 */
static void C_ccall f_13015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(42,c,3)))){
C_save_and_reclaim((void *)f_13015,2,av);}
a=C_alloc(42);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
if(C_truep(C_i_finitep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13002,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_u_i_flo_to_int(&a,1,t2);
/* library.scm:1823: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}
else{
/* library.scm:1824: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[528];
tp(4,av2);}}}

/* k13017 in deliver in scheme#inexact->exact in k8510 */
static void C_ccall f_13019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13019,2,av);}
/* library.scm:1820: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(2);
av2[3]=t1;
tp(4,av2);}}

/* k13034 in k13038 in k13044 in scheme#inexact->exact in k8510 */
static void C_ccall f_13036(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13036,2,av);}
/* library.scm:1828: deliver */
t2=((C_word*)t0)[2];
f_12984(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13038 in k13044 in scheme#inexact->exact in k8510 */
static void C_ccall f_13040(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_13040,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13036,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1831: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t4;
av2[2]=C_fix(2);
av2[3]=*((C_word*)lf[426]+1);
tp(4,av2);}}

/* k13044 in scheme#inexact->exact in k8510 */
static void C_ccall f_13046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13046,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?C_ub_i_flonum_greaterp(C_flonum_magnitude(((C_word*)t0)[2]),-1.0):C_SCHEME_FALSE);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13040,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1828: scheme#expt */
t4=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[530];
av2[3]=*((C_word*)lf[426]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
/* library.scm:1832: deliver */
t3=((C_word*)t0)[3];
f_12984(t3,((C_word*)t0)[4],((C_word*)t0)[2],C_fix(1));}}

/* scheme#inexact->exact in k8510 */
static void C_ccall f_13050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_13050,3,av);}
a=C_alloc(9);
if(C_truep(C_i_exactp(t2))){
t3=t2;
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
if(C_truep(C_u_i_fpintegerp(t2))){
t3=t1;
t4=t2;
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_s_a_u_i_flo_to_int(&a,1,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_flonum_finitep(t2))){
t3=t1;
t4=t2;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_12984,a[2]=t4,a[3]=((C_word)li375),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13046,a[2]=t4,a[3]=t5,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:1826: chicken.flonum#fp< */
t7=*((C_word*)lf[448]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
av2[3]=lf[523];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
/* library.scm:1840: ##sys#error-bad-inexact */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[372]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[372]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[528];
tp(4,av2);}}}}
else{
if(C_truep(C_i_cplxnump(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13090,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=t2;
t5=C_u_i_cplxnum_real(t4);
/* library.scm:1842: scheme#inexact->exact */
t6=*((C_word*)lf[519]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:1844: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[528];
tp(4,av2);}}}}}

/* k13088 in scheme#inexact->exact in k8510 */
static void C_ccall f_13090(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13090,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13094,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_cplxnum_imag(t4);
/* library.scm:1843: scheme#inexact->exact */
t6=*((C_word*)lf[519]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13092 in k13088 in scheme#inexact->exact in k8510 */
static void C_ccall f_13094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13094,2,av);}
/* library.scm:1842: make-complex */
f_12608(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* chicken.bitwise#bitwise-not in k8510 */
static void C_ccall f_13116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13116,3,av);}
a=C_alloc(5);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_bitwise_not(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#bit->boolean in k8510 */
static void C_ccall f_13119(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13119,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_bit_to_bool(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* chicken.bitwise#integer-length in k8510 */
static void C_ccall f_13122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_13122,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integer_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.bitwise#arithmetic-shift in k8510 */
static void C_ccall f_13125(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_13125,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_arithmetic_shift(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#/ in k8510 */
static void C_ccall f_13128(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_13128,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t3))){
/* library.scm:1879: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=t2;
tp(4,av2);}}
else{
t4=C_slot(t3,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13149,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_slot(t3,C_fix(0));
/* library.scm:1881: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}}

/* k13147 in scheme#/ in k8510 */
static void C_ccall f_13149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_13149,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13151,a[2]=t3,a[3]=((C_word)li384),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_13151(t5,((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* loop in k13147 in scheme#/ in k8510 */
static void C_fcall f_13151(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_13151,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13169,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(0));
/* library.scm:1885: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}}

/* k13167 in loop in k13147 in scheme#/ in k8510 */
static void C_ccall f_13169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13169,2,av);}
/* library.scm:1884: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13151(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* ##sys#/-2 in k8510 */
static void C_ccall f_13179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_13179,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13183,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,C_fix(0));
if(C_truep(t5)){
t6=C_fix((C_word)C_DIVISION_BY_ZERO_ERROR);
/* library.scm:1892: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=lf[544];
av2[4]=t2;
av2[5]=t3;
tp(6,av2);}}
else{
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_13183(2,av2);}}}

/* k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13183,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13189,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[2];
if(C_truep(C_i_exact_integerp(t3))){
t4=((C_word*)t0)[3];
t5=t2;
f_13189(t5,C_i_exact_integerp(t4));}
else{
t4=t2;
f_13189(t4,C_SCHEME_FALSE);}}

/* k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_fcall f_13189(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(96,0,4)))){
C_save_and_reclaim_args((void *)trf_13189,2,t0,t1);}
a=C_alloc(96);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];
t4=C_s_a_u_i_integer_gcd(&a,2,t2,t3);
t5=((C_word*)t0)[2];
t6=C_s_a_u_i_integer_quotient(&a,2,t5,t4);
t7=((C_word*)t0)[3];
t8=C_s_a_u_i_integer_quotient(&a,2,t7,t4);
/* library.scm:1895: ratnum */
f_12788(((C_word*)t0)[4],t6,t8);}
else{
t2=C_i_cplxnump(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_cplxnump(((C_word*)t0)[3]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13221,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1898: scheme#real-part */
t5=*((C_word*)lf[506]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=C_i_flonump(((C_word*)t0)[2]);
t5=(C_truep(t4)?t4:C_i_flonump(((C_word*)t0)[3]));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13287,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:1906: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[2]))){
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=((C_word*)t0)[2];
t9=C_u_i_ratnum_denom(t8);
t10=((C_word*)t0)[3];
t11=C_u_i_ratnum_num(t10);
t12=((C_word*)t0)[3];
t13=C_u_i_ratnum_denom(t12);
t14=C_s_a_u_i_integer_gcd(&a,2,t7,t11);
t15=C_s_a_u_i_integer_gcd(&a,2,t9,t13);
t16=C_s_a_i_quotient(&a,2,t7,t14);
t17=C_s_a_i_quotient(&a,2,t13,t15);
t18=C_s_a_i_times(&a,2,t16,t17);
t19=C_s_a_i_quotient(&a,2,t9,t15);
t20=C_s_a_i_quotient(&a,2,t11,t14);
t21=C_s_a_i_times(&a,2,t19,t20);
/* library.scm:1916: ratnum */
f_12788(((C_word*)t0)[4],t18,t21);}
else{
t6=((C_word*)t0)[2];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13368,a[2]=t8,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1922: ##sys#internal-gcd */
f_15114(t9,lf[544],t8,((C_word*)t0)[3]);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[3]))){
t6=((C_word*)t0)[3];
t7=C_u_i_ratnum_num(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13407,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t8,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1933: ##sys#internal-gcd */
f_15114(t9,lf[544],((C_word*)t0)[2],t8);}
else{
t6=C_i_numberp(((C_word*)t0)[2]);
if(C_truep(C_i_not(t6))){
/* library.scm:1939: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[544];
tp(4,av2);}}
else{
/* library.scm:1940: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[371]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[544];
tp(4,av2);}}}}}}}}

/* k13219 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13221,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13224,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:1898: scheme#imag-part */
t4=*((C_word*)lf[508]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13222 in k13219 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13224,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13227,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1899: scheme#real-part */
t4=*((C_word*)lf[506]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13225 in k13222 in k13219 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_13227,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13230,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:1899: scheme#imag-part */
t4=*((C_word*)lf[508]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13228 in k13225 in k13222 in k13219 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(198,c,3)))){
C_save_and_reclaim((void *)f_13230,2,av);}
a=C_alloc(198);
t2=t1;
t3=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]);
t4=C_s_a_i_times(&a,2,t2,t2);
t5=C_s_a_i_plus(&a,2,t3,t4);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_13236,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t8=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t9=C_s_a_i_times(&a,2,((C_word*)t0)[4],t2);
t10=C_s_a_i_plus(&a,2,t8,t9);
/* library.scm:1901: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t7;
av2[2]=t10;
av2[3]=t6;
tp(4,av2);}}

/* k13234 in k13228 in k13225 in k13222 in k13219 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13236(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(99,c,3)))){
C_save_and_reclaim((void *)f_13236,2,av);}
a=C_alloc(99);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13239,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[4]);
t5=C_s_a_i_times(&a,2,((C_word*)t0)[5],((C_word*)t0)[6]);
t6=C_s_a_i_minus(&a,2,t4,t5);
/* library.scm:1902: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t3;
av2[2]=t6;
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k13237 in k13234 in k13228 in k13225 in k13222 in k13219 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13239,2,av);}
/* library.scm:1903: make-complex */
f_12608(((C_word*)t0)[2],((C_word*)t0)[3],t1);}

/* k13285 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_13287,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13291,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1906: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13289 in k13285 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13291,2,av);}
/* library.scm:1906: chicken.flonum#fp/ */
t2=*((C_word*)lf[438]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k13366 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13368,2,av);}
a=C_alloc(43);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_denom(t3);
t5=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
t6=C_s_a_i_times(&a,2,t4,t5);
if(C_truep(C_i_flonump(t6))){
/* library.scm:1926: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}
else{
/* library.scm:1927: ratnum */
f_12788(((C_word*)t0)[5],t2,t6);}}

/* k13405 in k13187 in k13181 in ##sys#/-2 in k8510 */
static void C_ccall f_13407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(43,c,3)))){
C_save_and_reclaim((void *)f_13407,2,av);}
a=C_alloc(43);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_denom(t3);
t5=C_s_a_i_times(&a,2,t2,t4);
t6=C_s_a_i_quotient(&a,2,((C_word*)t0)[4],t1);
if(C_truep(C_i_flonump(t6))){
/* library.scm:1937: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=t5;
av2[3]=t6;
tp(4,av2);}}
else{
/* library.scm:1938: ratnum */
f_12788(((C_word*)t0)[5],t5,t6);}}

/* scheme#floor in k8510 */
static void C_ccall f_13462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13462,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1945: chicken.flonum#fpfloor */
t4=*((C_word*)lf[460]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=C_i_greater_or_equalp(t5,C_fix(0));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=(C_truep(t9)?t8:C_s_a_i_minus(&a,2,t8,C_fix(1)));
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
/* library.scm:1950: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[546];
tp(4,av2);}}}}}

/* scheme#ceiling in k8510 */
static void C_ccall f_13507(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13507,3,av);}
a=C_alloc(34);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1955: chicken.flonum#fpceiling */
t4=*((C_word*)lf[466]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=C_s_a_i_quotient(&a,2,t5,t7);
t9=C_i_greater_or_equalp(t5,C_fix(0));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=(C_truep(t9)?C_s_a_i_plus(&a,2,t8,C_fix(1)):t8);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
/* library.scm:1960: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[548];
tp(4,av2);}}}}}

/* scheme#truncate in k8510 */
static void C_ccall f_13552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13552,3,av);}
a=C_alloc(5);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
/* library.scm:1965: chicken.flonum#fptruncate */
t4=*((C_word*)lf[462]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=t2;
t5=C_u_i_ratnum_num(t4);
t6=t2;
t7=C_u_i_ratnum_denom(t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_s_a_i_quotient(&a,2,t5,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:1969: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[550];
tp(4,av2);}}}}}

/* scheme#round in k8510 */
static void C_ccall f_13589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(36,c,3)))){
C_save_and_reclaim((void *)f_13589,3,av);}
a=C_alloc(36);
t3=t2;
if(C_truep(C_i_exact_integerp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_flonump(t2))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_flonum_round_proper(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_ratnump(t2))){
t4=C_a_i_ratnum(&a,2,C_fix(1),C_fix(2));
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13609,a[2]=t6,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:1978: scheme#floor */
t8=*((C_word*)lf[545]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
/* library.scm:1980: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[552];
tp(4,av2);}}}}}

/* k13607 in scheme#round in k8510 */
static void C_ccall f_13609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_13609,2,av);}
a=C_alloc(29);
t2=C_i_nequalp(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(t2)?(C_truep(C_i_oddp(t1))?C_s_a_i_minus(&a,2,t1,C_fix(1)):t1):t1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* find-ratio-between in k8510 */
static void C_fcall f_13633(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(67,0,4)))){
C_save_and_reclaim_args((void *)trf_13633,3,t1,t2,t3);}
a=C_alloc(67);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13636,a[2]=t5,a[3]=((C_word)li391),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_lessp(t3,t2))){
/* library.scm:1993: find-ratio-between */
t16=t1;
t17=t3;
t18=t2;
t1=t16;
t2=t17;
t3=t18;
goto loop;}
else{
t7=C_i_lessp(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_a_i_list2(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=t2;
if(C_truep(C_i_positivep(t8))){
/* library.scm:1995: sr */
t9=((C_word*)t5)[1];
f_13636(t9,t1,t2,t3);}
else{
t9=t3;
if(C_truep(C_i_negativep(t9))){
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13747,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t11=t3;
t12=C_s_a_i_negate(&a,1,t11);
t13=t2;
t14=C_s_a_i_negate(&a,1,t13);
/* library.scm:1996: sr */
t15=((C_word*)t5)[1];
f_13636(t15,t10,t12,t14);}
else{
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=lf[554];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}}}}

/* sr in find-ratio-between in k8510 */
static void C_fcall f_13636(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_13636,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13640,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13715,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1984: scheme#floor */
t6=*((C_word*)lf[545]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k13638 in sr in find-ratio-between in k8510 */
static void C_ccall f_13640(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_13640,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_13643,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13711,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:1985: scheme#floor */
t5=*((C_word*)lf[545]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k13641 in k13638 in sr in find-ratio-between in k8510 */
static void C_ccall f_13643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_13643,2,av);}
a=C_alloc(39);
t2=C_i_lessp(((C_word*)t0)[2],((C_word*)t0)[3]);
if(C_truep(C_i_not(t2))){
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list2(&a,2,((C_word*)t0)[2],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_nequalp(((C_word*)t0)[2],t1))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13661,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_13684,a[2]=((C_word*)t0)[5],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
t5=C_s_a_i_minus(&a,2,((C_word*)t0)[6],t1);
/* library.scm:1988: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=t5;
tp(4,av2);}}
else{
t3=C_s_a_i_plus(&a,2,C_fix(1),((C_word*)t0)[2]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_list2(&a,2,t3,C_fix(1));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* k13659 in k13641 in k13638 in sr in find-ratio-between in k8510 */
static void C_ccall f_13661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(68,c,1)))){
C_save_and_reclaim((void *)f_13661,2,av);}
a=C_alloc(68);
t2=C_i_cadr(t1);
t3=C_u_i_car(t1);
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=C_s_a_i_plus(&a,2,t2,t4);
t6=C_u_i_car(t1);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_list2(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* k13682 in k13641 in k13638 in sr in find-ratio-between in k8510 */
static void C_ccall f_13684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(34,c,3)))){
C_save_and_reclaim((void *)f_13684,2,av);}
a=C_alloc(34);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13688,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_s_a_i_minus(&a,2,((C_word*)t0)[4],((C_word*)t0)[5]);
/* library.scm:1989: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t3;
av2[2]=C_fix(1);
av2[3]=t4;
tp(4,av2);}}

/* k13686 in k13682 in k13641 in k13638 in sr in find-ratio-between in k8510 */
static void C_ccall f_13688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13688,2,av);}
/* library.scm:1988: sr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_13636(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k13709 in k13638 in sr in find-ratio-between in k8510 */
static void C_ccall f_13711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13711,2,av);}
/* library.scm:1985: scheme#inexact->exact */
t2=*((C_word*)lf[519]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13713 in sr in find-ratio-between in k8510 */
static void C_ccall f_13715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13715,2,av);}
/* library.scm:1984: scheme#inexact->exact */
t2=*((C_word*)lf[519]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k13745 in find-ratio-between in k8510 */
static void C_ccall f_13747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(35,c,1)))){
C_save_and_reclaim((void *)f_13747,2,av);}
a=C_alloc(35);
t2=C_i_car(t1);
t3=C_s_a_i_negate(&a,1,t2);
t4=C_i_cadr(t1);
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_list2(&a,2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#rationalize in k8510 */
static void C_ccall f_13783(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(66,c,3)))){
C_save_and_reclaim((void *)f_13783,4,av);}
a=C_alloc(66);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13787,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13806,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=t2;
t7=t3;
t8=C_s_a_i_minus(&a,2,t6,t7);
t9=C_s_a_i_plus(&a,2,t6,t7);
/* library.scm:2000: find-ratio-between */
f_13633(t5,t8,t9);}

/* k13785 in scheme#rationalize in k8510 */
static void C_ccall f_13787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13787,2,av);}
t2=C_i_inexactp(((C_word*)t0)[2]);
if(C_truep(t2)){
if(C_truep(t2)){
/* library.scm:2006: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
if(C_truep(C_i_inexactp(((C_word*)t0)[4]))){
/* library.scm:2006: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k13804 in scheme#rationalize in k8510 */
static void C_ccall f_13806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_13806,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[527]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* scheme#max in k8510 */
static void C_ccall f_13808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13808,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13815,a[2]=t6,a[3]=((C_word)li394),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13815(t8,t1,t4,t2,t3);}

/* loop in scheme#max in k8510 */
static void C_fcall f_13815(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13815,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[557]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=C_i_greaterp(t6,t3);
t10=(C_truep(t9)?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2016: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#min in k8510 */
static void C_ccall f_13852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,5)))){
C_save_and_reclaim((void*)f_13852,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_flonump(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13859,a[2]=t6,a[3]=((C_word)li396),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_13859(t8,t1,t4,t2,t3);}

/* loop in scheme#min in k8510 */
static void C_fcall f_13859(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_13859,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=C_i_check_number_2(t3,lf[559]);
if(C_truep(C_i_nullp(t4))){
if(C_truep(t2)){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_a_i_exact_to_inexact(&a,1,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t6=C_slot(t4,C_fix(0));
t7=t2;
t8=(C_truep(t7)?t7:C_i_flonump(t6));
t9=C_i_lessp(t6,t3);
t10=(C_truep(t9)?t6:t3);
t11=C_slot(t4,C_fix(1));
/* library.scm:2027: loop */
t13=t1;
t14=t8;
t15=t10;
t16=t11;
t1=t13;
t2=t14;
t3=t15;
t4=t16;
goto loop;}}

/* scheme#exp in k8510 */
static void C_ccall f_13896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_13896,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[561]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13914,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=t2;
t6=C_u_i_cplxnum_real(t5);
/* library.scm:2036: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t4;
av2[2]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_flonum(&a,C_exp(C_flonum_magnitude(t5)));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k13912 in scheme#exp in k8510 */
static void C_ccall f_13914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_13914,2,av);}
a=C_alloc(12);
t2=C_a_i_exp(&a,1,t1);
t3=((C_word*)t0)[2];
t4=C_u_i_cplxnum_imag(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13923,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13928,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2039: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}

/* k13921 in k13912 in scheme#exp in k8510 */
static void C_ccall f_13923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_13923,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k13926 in k13912 in scheme#exp in k8510 */
static void C_ccall f_13928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_13928,2,av);}
a=C_alloc(19);
t2=C_a_i_cos(&a,1,t1);
t3=C_a_i_exact_to_inexact(&a,1,((C_word*)t0)[2]);
t4=C_a_i_sin(&a,1,t3);
/* library.scm:2038: make-complex */
f_12608(((C_word*)t0)[3],t2,t4);}

/* ##sys#log-1 in k8510 */
static void C_ccall f_13941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_13941,3,av);}
a=C_alloc(4);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
/* library.scm:2046: ##sys#signal-hook */
t4=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[563];
av2[3]=lf[564];
av2[4]=lf[565];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}
else{
t4=C_i_cplxnump(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13960,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t4)){
t6=t5;
f_13960(t6,t4);}
else{
t6=t2;
t7=t5;
f_13960(t7,C_i_negativep(t6));}}}

/* k13958 in ##sys#log-1 in k8510 */
static void C_fcall f_13960(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_13960,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_13967,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13983,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2049: scheme#magnitude */
t4=*((C_word*)lf[512]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13987,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2052: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k13965 in k13958 in ##sys#log-1 in k8510 */
static void C_ccall f_13967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_13967,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13975,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2050: make-complex */
f_12608(t3,C_fix(0),C_fix(1));}

/* k13973 in k13965 in k13958 in ##sys#log-1 in k8510 */
static void C_ccall f_13975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_13975,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_13979,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2050: scheme#angle */
t4=*((C_word*)lf[510]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k13977 in k13973 in k13965 in k13958 in ##sys#log-1 in k8510 */
static void C_ccall f_13979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(62,c,1)))){
C_save_and_reclaim((void *)f_13979,2,av);}
a=C_alloc(62);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k13981 in k13958 in ##sys#log-1 in k8510 */
static void C_ccall f_13983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_13983,2,av);}
/* library.scm:2049: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k13985 in k13958 in ##sys#log-1 in k8510 */
static void C_ccall f_13987(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_13987,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_log(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#log in k8510 */
static void C_ccall f_13990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_13990,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=t5;
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14004,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2056: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t7;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:2056: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}}

/* k14002 in scheme#log in k8510 */
static void C_ccall f_14004(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14004,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14008,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2056: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k14006 in k14002 in scheme#log in k8510 */
static void C_ccall f_14008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14008,2,av);}
/* library.scm:2056: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#sin in k8510 */
static void C_ccall f_14019(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_14019,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[568]);
if(C_truep(C_i_cplxnump(t2))){
t4=C_s_a_i_times(&a,2,lf[569],t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14043,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2063: scheme#exp */
t7=*((C_word*)lf[560]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_sin(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k14041 in scheme#sin in k8510 */
static void C_ccall f_14043(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14043,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14047,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2063: scheme#exp */
t5=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14045 in k14041 in scheme#sin in k8510 */
static void C_ccall f_14047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14047,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2063: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[570];
tp(4,av2);}}

/* scheme#cos in k8510 */
static void C_ccall f_14053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(37,c,2)))){
C_save_and_reclaim((void *)f_14053,3,av);}
a=C_alloc(37);
t3=C_i_check_number_2(t2,lf[572]);
if(C_truep(C_i_cplxnump(t2))){
t4=C_s_a_i_times(&a,2,lf[569],t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14077,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2071: scheme#exp */
t7=*((C_word*)lf[560]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_cos(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k14075 in scheme#cos in k8510 */
static void C_ccall f_14077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14077,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14081,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_negate(&a,1,((C_word*)t0)[3]);
/* library.scm:2071: scheme#exp */
t5=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14079 in k14075 in scheme#cos in k8510 */
static void C_ccall f_14081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14081,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2071: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(2);
tp(4,av2);}}

/* scheme#tan in k8510 */
static void C_ccall f_14087(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_14087,3,av);}
a=C_alloc(15);
t3=C_i_check_number_2(t2,lf[574]);
if(C_truep(C_i_cplxnump(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14104,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2078: scheme#sin */
t5=*((C_word*)lf[567]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=t2;
t5=C_a_i_exact_to_inexact(&a,1,t4);
t6=C_a_i_tan(&a,1,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* k14102 in scheme#tan in k8510 */
static void C_ccall f_14104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14104,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14108,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2078: scheme#cos */
t4=*((C_word*)lf[571]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14106 in k14102 in scheme#tan in k8510 */
static void C_ccall f_14108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14108,2,av);}
/* library.scm:2078: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* scheme#asin in k8510 */
static void C_ccall f_14112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_14112,3,av);}
a=C_alloc(8);
t3=C_i_check_number_2(t2,lf[576]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14122,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14170,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2085: chicken.flonum#fp>= */
t6=*((C_word*)lf[450]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[579];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14122(t5,C_SCHEME_FALSE);}}

/* k14120 in scheme#asin in k8510 */
static void C_fcall f_14122(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14122,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=C_a_i_asin(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14128,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14128(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14128(t3,C_SCHEME_FALSE);}}}

/* k14126 in k14120 in scheme#asin in k8510 */
static void C_fcall f_14128(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,0,3)))){
C_save_and_reclaim_args((void *)trf_14128,2,t0,t1);}
a=C_alloc(102);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_asin(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14135,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_times(&a,2,lf[569],((C_word*)t0)[3]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14147,a[2]=t4,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t6=C_s_a_i_times(&a,2,((C_word*)t0)[3],((C_word*)t0)[3]);
t7=C_s_a_i_minus(&a,2,C_fix(1),t6);
/* library.scm:2094: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[578]+1);
av2[1]=t5;
av2[2]=lf[576];
av2[3]=t7;
tp(4,av2);}}}

/* k14133 in k14126 in k14120 in scheme#asin in k8510 */
static void C_ccall f_14135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14135,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,lf[577],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14145 in k14126 in k14120 in scheme#asin in k8510 */
static void C_ccall f_14147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,2)))){
C_save_and_reclaim((void *)f_14147,2,av);}
a=C_alloc(29);
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2092: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}

/* k14168 in scheme#asin in k8510 */
static void C_ccall f_14170(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14170,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),1.0);
t4=((C_word*)t0)[3];
f_14122(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14122(t2,C_SCHEME_FALSE);}}

/* scheme#acos in k8510 */
static void C_ccall f_14174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_14174,3,av);}
a=C_alloc(9);
t3=C_i_check_number_2(t2,lf[581]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14184,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_flonump(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14212,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2102: chicken.flonum#fp>= */
t6=*((C_word*)lf[450]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=lf[579];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t5=t4;
f_14184(t5,C_SCHEME_FALSE);}}

/* k14182 in scheme#acos in k8510 */
static void C_fcall f_14184(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_14184,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_a_i_acos(&a,1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14190,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(((C_word*)t0)[2]))){
t3=C_fixnum_greater_or_equal_p(((C_word*)t0)[2],C_fix(-1));
t4=t2;
f_14190(t4,(C_truep(t3)?C_fixnum_less_or_equal_p(((C_word*)t0)[2],C_fix(1)):C_SCHEME_FALSE));}
else{
t3=t2;
f_14190(t3,C_SCHEME_FALSE);}}}

/* k14188 in k14182 in scheme#acos in k8510 */
static void C_fcall f_14190(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_14190,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_a_i_acos(&a,1,C_a_i_fix_to_flo(&a,1,((C_word*)t0)[3]));
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14197,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2109: scheme#asin */
t3=*((C_word*)lf[575]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}

/* k14195 in k14188 in k14182 in scheme#acos in k8510 */
static void C_ccall f_14197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_14197,2,av);}
a=C_alloc(29);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_minus(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14210 in scheme#acos in k8510 */
static void C_ccall f_14212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_14212,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_ub_i_flonum_less_or_equal_p(C_flonum_magnitude(t2),1.0);
t4=((C_word*)t0)[3];
f_14184(t4,t3);}
else{
t2=((C_word*)t0)[3];
f_14184(t2,C_SCHEME_FALSE);}}

/* scheme#atan in k8510 */
static void C_ccall f_14216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +66,c,3)))){
C_save_and_reclaim((void*)f_14216,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+66);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_SCHEME_FALSE:C_i_car(t3));
t6=C_i_check_number_2(t2,lf[583]);
if(C_truep(C_i_cplxnump(t2))){
if(C_truep(t5)){
/* library.scm:2116: ##sys#error-bad-real */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[362]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[362]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[583];
tp(4,av2);}}
else{
t7=C_s_a_i_times(&a,2,lf[569],t2);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14249,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
t10=C_s_a_i_plus(&a,2,C_fix(1),t8);
/* library.scm:2118: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}}
else{
if(C_truep(t5)){
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14270,a[2]=t1,a[3]=t8,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2122: scheme#exact->inexact */
t10=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}
else{
t7=t2;
t8=C_a_i_exact_to_inexact(&a,1,t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_a_i_atan(&a,1,t8);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* k14247 in scheme#atan in k8510 */
static void C_ccall f_14249(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14249,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14253,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=C_s_a_i_minus(&a,2,C_fix(1),((C_word*)t0)[3]);
/* library.scm:2119: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k14251 in k14247 in scheme#atan in k8510 */
static void C_ccall f_14253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14253,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2118: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=lf[570];
tp(4,av2);}}

/* k14268 in scheme#atan in k8510 */
static void C_ccall f_14270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14270,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_atan2(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#exact-integer-sqrt in k8510 */
static void C_ccall f_14280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14280,3,av);}
a=C_alloc(10);
t3=C_fixnump(t2);
t4=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(4)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=t2;
t6=C_eqp(t5,C_fix(0));
t7=(C_truep(t6)?t6:C_eqp(t5,C_fix(1)));
if(C_truep(t7)){
/* library.scm:2134: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
switch(t5){
case C_fix(2):
/* library.scm:2135: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(1);
C_values(4,av2);}
case C_fix(3):
/* library.scm:2136: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(1);
av2[3]=C_fix(2);
C_values(4,av2);}
case C_fix(4):
/* library.scm:2137: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix(2);
av2[3]=C_fix(0);
C_values(4,av2);}
default:
/* library.scm:2138: chicken.base#error */
t8=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t1;
av2[2]=lf[585];
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}}
else{
t5=t2;
t6=C_i_integer_length(t5);
t7=C_fixnum_plus(t6,C_fix(1));
t8=C_fixnum_shift_right(t7,C_fix(2));
t9=t8;
t10=C_fixnum_shift_left(t9,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14353,a[2]=t11,a[3]=t2,a[4]=((C_word)li407),tmp=(C_word)a,a+=5,tmp);
t13=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14367,a[2]=t9,a[3]=t2,a[4]=((C_word)li411),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2139: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a14352 in ##sys#exact-integer-sqrt in k8510 */
static void C_ccall f_14353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14353,2,av);}
a=C_alloc(5);
t2=C_fixnum_negate(((C_word*)t0)[2]);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[3],t2);
/* library.scm:2142: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14366 in ##sys#exact-integer-sqrt in k8510 */
static void C_ccall f_14367(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(38,c,4)))){
C_save_and_reclaim((void *)f_14367,4,av);}
a=C_alloc(38);
t4=t2;
t5=t3;
t6=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),((C_word*)t0)[2]);
t7=C_s_a_u_i_integer_minus(&a,2,t6,C_fix(1));
t8=C_s_a_i_bitwise_and(&a,2,((C_word*)t0)[3],t7);
t9=t8;
t10=C_fixnum_negate(((C_word*)t0)[2]);
t11=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[3],t10);
t12=C_s_a_i_bitwise_and(&a,2,t11,t7);
t13=t12;
t14=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14384,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t13,a[5]=t4,a[6]=((C_word)li409),tmp=(C_word)a,a+=7,tmp);
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14400,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t9,a[5]=((C_word)li410),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2139: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t14;
av2[3]=t15;
C_call_with_values(4,av2);}}

/* a14383 in a14366 in ##sys#exact-integer-sqrt in k8510 */
static void C_ccall f_14384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_14384,2,av);}
a=C_alloc(18);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li408),tmp=(C_word)a,a+=3,tmp);
t3=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t4=C_s_a_u_i_integer_plus(&a,2,t3,((C_word*)t0)[4]);
t5=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[5],C_fix(1));
/* library.scm:2139: g2586 */
t6=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* a14399 in a14366 in ##sys#exact-integer-sqrt in k8510 */
static void C_ccall f_14400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(222,c,3)))){
C_save_and_reclaim((void *)f_14400,4,av);}
a=C_alloc(222);
t4=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t5=C_s_a_i_plus(&a,2,t4,t2);
t6=C_s_a_i_arithmetic_shift(&a,2,t3,((C_word*)t0)[3]);
t7=C_s_a_i_times(&a,2,t2,t2);
t8=C_s_a_i_minus(&a,2,((C_word*)t0)[4],t7);
t9=C_s_a_i_plus(&a,2,t6,t8);
if(C_truep(C_i_negativep(t9))){
t10=C_s_a_i_minus(&a,2,t5,C_fix(1));
t11=C_s_a_i_arithmetic_shift(&a,2,t5,C_fix(1));
t12=C_s_a_i_plus(&a,2,t9,t11);
t13=C_s_a_i_minus(&a,2,t12,C_fix(1));
/* library.scm:2153: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t10;
av2[3]=t13;
C_values(4,av2);}}
else{
/* library.scm:2155: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t9;
C_values(4,av2);}}}

/* chicken.base#exact-integer-sqrt in k8510 */
static void C_ccall f_14471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14471,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14475,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2159: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[587];
tp(4,av2);}}

/* k14473 in chicken.base#exact-integer-sqrt in k8510 */
static void C_ccall f_14475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14475,2,av);}
/* library.scm:2160: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* ##sys#sqrt/loc in k8510 */
static void C_ccall f_14480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(32,c,4)))){
C_save_and_reclaim((void *)f_14480,4,av);}
a=C_alloc(32);
if(C_truep(C_i_cplxnump(t3))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14490,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=t3;
t6=C_u_i_cplxnum_imag(t5);
t7=C_a_i_exact_to_inexact(&a,1,t6);
t8=C_u_i_cplxnum_real(t5);
t9=C_a_i_exact_to_inexact(&a,1,t8);
t10=C_flonum(&a,C_atan2(C_flonum_magnitude(t7),C_flonum_magnitude(t9)));
/* library.scm:2166: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(2);
tp(4,av2);}}
else{
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14530,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2171: scheme#exact->inexact */
t8=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14541,a[2]=t3,a[3]=((C_word)li414),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14547,a[2]=t3,a[3]=((C_word)li415),tmp=(C_word)a,a+=4,tmp);
/* library.scm:2173: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
if(C_truep(C_i_ratnump(t3))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14569,a[2]=t3,a[3]=((C_word)li416),tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14581,a[2]=t3,a[3]=t2,a[4]=((C_word)li419),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2178: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t6;
av2[3]=t7;
C_call_with_values(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14633,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2186: scheme#exact->inexact */
t7=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}}}

/* k14488 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14490(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14490,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14494,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2167: scheme#magnitude */
t4=*((C_word*)lf[512]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14492 in k14488 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14494(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_14494,2,av);}
a=C_alloc(9);
t2=C_a_i_sqrt(&a,1,t1);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14513,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2168: scheme#cos */
t4=*((C_word*)lf[571]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14507 in k14511 in k14492 in k14488 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14509(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14509,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2168: make-complex */
f_12608(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* k14511 in k14492 in k14488 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,2)))){
C_save_and_reclaim((void *)f_14513,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14509,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2168: scheme#sin */
t5=*((C_word*)lf[567]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k14528 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14530,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
/* library.scm:2170: make-complex */
f_12608(((C_word*)t0)[2],lf[501],t2);}

/* a14540 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14541,2,av);}
/* library.scm:2173: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* a14546 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_14547,4,av);}
a=C_alloc(3);
t4=C_eqp(C_fix(0),t3);
if(C_truep(t4)){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14558,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2176: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14556 in a14546 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14558(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14558,2,av);}
a=C_alloc(4);
t2=C_a_i_sqrt(&a,1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a14568 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14569(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14569,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_num(t2);
/* library.scm:2178: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14580 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_14581,4,av);}
a=C_alloc(10);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14593,a[2]=((C_word*)t0)[2],a[3]=((C_word)li417),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_14605,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word)li418),tmp=(C_word)a,a+=6,tmp);
/* library.scm:2180: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t5;
av2[3]=t6;
C_call_with_values(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14629,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2185: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* a14592 in a14580 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14593,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2181: ##sys#exact-integer-sqrt */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[584]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[584]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}

/* a14604 in a14580 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14605(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14605,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:2183: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14622,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2184: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14620 in a14604 in a14580 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14622(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14622,2,av);}
/* library.scm:2184: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14627 in a14580 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14629,2,av);}
/* library.scm:2185: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k14631 in ##sys#sqrt/loc in k8510 */
static void C_ccall f_14633(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14633,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_sqrt(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#sqrt in k8510 */
static void C_ccall f_14635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14635,3,av);}
/* library.scm:2188: ##sys#sqrt/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[578]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[578]+1);
av2[1]=t1;
av2[2]=lf[588];
av2[3]=t2;
tp(4,av2);}}

/* chicken.base#exact-integer-nth-root in k8510 */
static void C_ccall f_14641(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14641,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14645,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2192: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[591];
tp(4,av2);}}

/* k14643 in chicken.base#exact-integer-nth-root in k8510 */
static void C_ccall f_14645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_14645,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14648,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2193: ##sys#check-exact-uinteger */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[359]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[359]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[591];
tp(4,av2);}}

/* k14646 in k14643 in chicken.base#exact-integer-nth-root in k8510 */
static void C_ccall f_14648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14648,2,av);}
/* library.scm:2194: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[590]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[590]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[591];
av2[3]=((C_word*)t0)[3];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#exact-integer-nth-root/loc in k8510 */
static void C_ccall f_14653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_14653,5,av);}
a=C_alloc(5);
t5=C_eqp(C_fix(0),t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14663,a[2]=t1,a[3]=t3,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_14663(t7,t5);}
else{
t7=C_eqp(C_fix(1),t3);
t8=t6;
f_14663(t8,(C_truep(t7)?t7:C_eqp(C_fix(1),t4)));}}

/* k14661 in ##sys#exact-integer-nth-root/loc in k8510 */
static void C_fcall f_14663(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,0,3)))){
C_save_and_reclaim_args((void *)trf_14663,2,t0,t1);}
a=C_alloc(29);
if(C_truep(t1)){
/* library.scm:2200: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(0);
C_values(4,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_i_integer_length(t2);
if(C_truep(C_i_lessp(t3,((C_word*)t0)[4]))){
t4=C_s_a_i_minus(&a,2,((C_word*)t0)[3],C_fix(1));
/* library.scm:2203: scheme#values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t4;
C_values(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14683,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14759,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14763,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
t7=C_fixnum_plus(t3,C_fix(1));
t8=((C_word*)t0)[4];
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t7;
av2[3]=t8;
tp(4,av2);}}}}

/* k14681 in k14661 in ##sys#exact-integer-nth-root/loc in k8510 */
static void C_ccall f_14683(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(75,c,3)))){
C_save_and_reclaim((void *)f_14683,2,av);}
a=C_alloc(75);
t2=C_s_a_i_arithmetic_shift(&a,2,C_fix(1),t1);
t3=t2;
t4=C_s_a_i_minus(&a,2,((C_word*)t0)[2],C_fix(1));
t5=t4;
t6=C_s_a_i_times(&a,2,t5,t3);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14755,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=((C_word*)t0)[2],a[5]=t5,a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2211: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t5;
tp(4,av2);}}

/* lp in k14753 in k14681 in k14661 in ##sys#exact-integer-nth-root/loc in k8510 */
static void C_fcall f_14698(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(41,0,3)))){
C_save_and_reclaim_args((void *)trf_14698,4,t0,t1,t2,t3);}
a=C_alloc(41);
if(C_truep(C_i_lessp(t3,t2))){
t4=C_s_a_i_times(&a,2,((C_word*)t0)[2],t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_14728,a[2]=((C_word*)t0)[3],a[3]=t5,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2216: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14739,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2218: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k14726 in lp in k14753 in k14681 in k14661 in ##sys#exact-integer-nth-root/loc in k8510 */
static void C_ccall f_14728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,3)))){
C_save_and_reclaim((void *)f_14728,2,av);}
a=C_alloc(39);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=C_s_a_i_quotient(&a,2,t3,((C_word*)t0)[4]);
/* library.scm:2214: lp */
t5=((C_word*)((C_word*)t0)[5])[1];
f_14698(t5,((C_word*)t0)[6],((C_word*)t0)[7],t4);}

/* k14737 in lp in k14753 in k14681 in k14661 in ##sys#exact-integer-nth-root/loc in k8510 */
static void C_ccall f_14739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_14739,2,av);}
a=C_alloc(29);
t2=C_s_a_i_minus(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2218: scheme#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t2;
C_values(4,av2);}}

/* k14753 in k14681 in k14661 in ##sys#exact-integer-nth-root/loc in k8510 */
static void C_ccall f_14755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(48,c,4)))){
C_save_and_reclaim((void *)f_14755,2,av);}
a=C_alloc(48);
t2=C_s_a_i_quotient(&a,2,((C_word*)t0)[2],t1);
t3=C_s_a_i_plus(&a,2,((C_word*)t0)[3],t2);
t4=C_s_a_i_quotient(&a,2,t3,((C_word*)t0)[4]);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14698,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=t6,a[6]=((C_word)li423),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_14698(t8,((C_word*)t0)[6],((C_word*)t0)[7],t4);}

/* k14757 in k14661 in ##sys#exact-integer-nth-root/loc in k8510 */
static void C_ccall f_14759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14759,2,av);}
/* library.scm:2205: scheme#inexact->exact */
t2=*((C_word*)lf[519]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k14761 in k14661 in ##sys#exact-integer-nth-root/loc in k8510 */
static void C_ccall f_14763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_14763,2,av);}
/* library.scm:2205: scheme#ceiling */
t2=*((C_word*)lf[547]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* ##sys#integer-power in k8510 */
static void C_ccall f_14779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_14779,4,av);}
a=C_alloc(8);
t4=t3;
if(C_truep(C_i_negativep(t4))){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14797,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=t3;
t7=C_s_a_u_i_integer_negate(&a,1,t6);
/* library.scm:2223: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t7;
tp(4,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14808,a[2]=t6,a[3]=t2,a[4]=((C_word)li425),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_14808(t8,t1,C_fix(1),t3);}}

/* k14795 in ##sys#integer-power in k8510 */
static void C_ccall f_14797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_14797,2,av);}
/* library.scm:2223: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix(1);
av2[3]=t1;
tp(4,av2);}}

/* lp in ##sys#integer-power in k8510 */
static void C_fcall f_14808(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(62,0,3)))){
C_save_and_reclaim_args((void *)trf_14808,4,t0,t1,t2,t3);}
a=C_alloc(62);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=t3;
if(C_truep(C_i_evenp(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14830,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t7=C_s_a_i_arithmetic_shift(&a,2,t3,C_fix(-1));
/* library.scm:2228: lp */
t9=t6;
t10=C_fix(1);
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
t6=C_s_a_i_times(&a,2,t2,((C_word*)t0)[3]);
t7=C_s_a_i_minus(&a,2,t3,C_fix(1));
/* library.scm:2230: lp */
t9=t1;
t10=t6;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}

/* k14828 in lp in ##sys#integer-power in k8510 */
static void C_ccall f_14830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(66,c,1)))){
C_save_and_reclaim((void *)f_14830,2,av);}
a=C_alloc(66);
t2=C_s_a_i_times(&a,2,t1,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#expt in k8510 */
static void C_ccall f_14847(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,4)))){
C_save_and_reclaim((void *)f_14847,4,av);}
a=C_alloc(17);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14850,a[2]=((C_word)li427),tmp=(C_word)a,a+=3,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14864,a[2]=((C_word)li428),tmp=(C_word)a,a+=3,tmp));
t10=C_i_numberp(t2);
if(C_truep(C_i_not(t10))){
/* library.scm:2242: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[592];
tp(4,av2);}}
else{
t11=C_i_numberp(t3);
if(C_truep(C_i_not(t11))){
/* library.scm:2243: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[592];
tp(4,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_14909,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t5,a[6]=t7,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_ratnump(t2))){
t13=C_i_inexactp(t3);
t14=t12;
f_14909(t14,C_i_not(t13));}
else{
t13=t12;
f_14909(t13,C_SCHEME_FALSE);}}}}

/* log-expt in scheme#expt in k8510 */
static void C_fcall f_14850(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_14850,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14862,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2235: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k14860 in log-expt in scheme#expt in k8510 */
static void C_ccall f_14862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14862,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2235: scheme#exp */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* slow-expt in scheme#expt in k8510 */
static void C_fcall f_14864(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,6)))){
C_save_and_reclaim_args((void *)trf_14864,3,t1,t2,t3);}
a=C_alloc(4);
t4=C_eqp(C_fix(0),t2);
if(C_truep(t4)){
/* library.scm:2238: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[7];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[563];
av2[3]=lf[592];
av2[4]=lf[593];
av2[5]=t2;
av2[6]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(7,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14885,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2241: ##sys#log-1 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[562]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[562]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}}

/* k14883 in slow-expt in scheme#expt in k8510 */
static void C_ccall f_14885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_14885,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:2241: scheme#exp */
t3=*((C_word*)lf[560]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k14907 in scheme#expt in k8510 */
static void C_fcall f_14909(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_14909,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14916,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=((C_word*)t0)[3];
t4=C_u_i_ratnum_num(t3);
/* library.scm:2247: scheme#expt */
t5=*((C_word*)lf[531]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=t2;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
if(C_truep(C_i_ratnump(((C_word*)t0)[4]))){
t2=((C_word*)t0)[3];
if(C_truep(C_i_exact_integerp(t2))){
t3=((C_word*)t0)[3];
if(C_truep(C_i_negativep(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14955,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2254: scheme#exact->inexact */
t5=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14962,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li429),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_14974,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word)li430),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2255: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[3]))){
t3=((C_word*)t0)[4];
t4=C_a_i_exact_to_inexact(&a,1,t3);
/* library.scm:2264: log-expt */
f_14850(((C_word*)t0)[2],((C_word*)t0)[3],t4);}
else{
/* library.scm:2265: slow-expt */
f_14864(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);}}}
else{
t2=C_i_cplxnump(((C_word*)t0)[4]);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15018,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t2)){
t4=t3;
f_15018(t4,t2);}
else{
if(C_truep(C_i_cplxnump(((C_word*)t0)[3]))){
t4=((C_word*)t0)[4];
t5=C_i_integerp(t4);
t6=t3;
f_15018(t6,C_i_not(t5));}
else{
t4=t3;
f_15018(t4,C_SCHEME_FALSE);}}}}}

/* k14914 in k14907 in scheme#expt in k8510 */
static void C_ccall f_14916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,3)))){
C_save_and_reclaim((void *)f_14916,2,av);}
a=C_alloc(33);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14920,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
t7=C_s_a_i_negate(&a,1,t6);
/* library.scm:2248: scheme#expt */
t8=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t3;
av2[2]=t5;
av2[3]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k14918 in k14914 in k14907 in scheme#expt in k8510 */
static void C_ccall f_14920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_14920,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k14953 in k14907 in scheme#expt in k8510 */
static void C_ccall f_14955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_14955,2,av);}
a=C_alloc(11);
t2=((C_word*)t0)[2];
t3=C_a_i_exact_to_inexact(&a,1,t2);
/* library.scm:2254: log-expt */
f_14850(((C_word*)t0)[4],t1,t3);}

/* a14961 in k14907 in scheme#expt in k8510 */
static void C_ccall f_14962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_14962,2,av);}
t2=((C_word*)t0)[2];
t3=C_u_i_ratnum_denom(t2);
/* library.scm:2256: ##sys#exact-integer-nth-root/loc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[590]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[590]+1);
av2[1]=t1;
av2[2]=lf[592];
av2[3]=((C_word*)t0)[3];
av2[4]=t3;
tp(5,av2);}}

/* a14973 in k14907 in scheme#expt in k8510 */
static void C_ccall f_14974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_14974,4,av);}
a=C_alloc(4);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];
t6=C_u_i_ratnum_num(t5);
/* library.scm:2259: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14994,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2261: scheme#exact->inexact */
t6=*((C_word*)lf[62]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k14992 in a14973 in k14907 in scheme#expt in k8510 */
static void C_ccall f_14994(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_14994,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14998,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2262: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k14996 in k14992 in a14973 in k14907 in scheme#expt in k8510 */
static void C_ccall f_14998(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_14998,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k15016 in k14907 in scheme#expt in k8510 */
static void C_fcall f_15018(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_15018,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:2267: slow-expt */
f_14864(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15027,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_flonump(((C_word*)t0)[5]))){
t3=C_u_i_fpintegerp(((C_word*)t0)[5]);
t4=t2;
f_15027(t4,C_i_not(t3));}
else{
t3=t2;
f_15027(t3,C_SCHEME_FALSE);}}}

/* k15025 in k15016 in k14907 in scheme#expt in k8510 */
static void C_fcall f_15027(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15027,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
if(C_truep(C_i_negativep(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15038,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2271: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15046,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2273: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}
else{
if(C_truep(C_i_flonump(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15053,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2275: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=C_i_inexactp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_inexactp(((C_word*)t0)[5]));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15069,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15073,a[2]=t4,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2279: scheme#inexact->exact */
t6=*((C_word*)lf[519]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
/* library.scm:2280: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}}}

/* k15036 in k15025 in k15016 in k14907 in scheme#expt in k8510 */
static void C_ccall f_15038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_15038,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15042,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2271: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k15040 in k15036 in k15025 in k15016 in k14907 in scheme#expt in k8510 */
static void C_ccall f_15042(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15042,2,av);}
/* library.scm:2271: log-expt */
f_14850(((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k15044 in k15025 in k15016 in k14907 in scheme#expt in k8510 */
static void C_ccall f_15046(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_15046,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k15051 in k15025 in k15016 in k14907 in scheme#expt in k8510 */
static void C_ccall f_15053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_15053,2,av);}
a=C_alloc(4);
t2=C_a_i_flonum_expt(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k15067 in k15025 in k15016 in k14907 in scheme#expt in k8510 */
static void C_ccall f_15069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_15069,2,av);}
/* library.scm:2279: scheme#exact->inexact */
t2=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k15071 in k15025 in k15016 in k14907 in scheme#expt in k8510 */
static void C_ccall f_15073(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15073,2,av);}
/* library.scm:2279: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* ##sys#internal-gcd in k8510 */
static void C_fcall f_15114(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_15114,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=t3;
if(C_truep(C_i_exact_integerp(t5))){
t6=t4;
if(C_truep(C_i_exact_integerp(t6))){
t7=t1;
t8=t3;
t9=t4;
t10=t7;{
C_word av2[2];
av2[0]=t10;
av2[1]=C_s_a_u_i_integer_gcd(&a,2,t8,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t7=(C_truep(C_i_flonump(t4))?C_u_i_fpintegerp(t4):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15147,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2288: scheme#inexact->exact */
t9=*((C_word*)lf[519]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2289: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
t6=(C_truep(C_i_flonump(t3))?C_u_i_fpintegerp(t3):C_SCHEME_FALSE);
if(C_truep(t6)){
if(C_truep(C_i_flonump(t4))){
t7=C_a_i_flonum_gcd(&a,2,t3,t4);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=t4;
if(C_truep(C_i_exact_integerp(t7))){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15176,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2295: scheme#inexact->exact */
t9=*((C_word*)lf[519]+1);{
C_word av2[3];
av2[0]=t9;
av2[1]=t8;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t9+1)))(3,av2);}}
else{
/* library.scm:2296: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=t2;
tp(4,av2);}}}}
else{
/* library.scm:2297: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}}}

/* k15145 in ##sys#internal-gcd in k8510 */
static void C_ccall f_15147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_15147,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t2,t1);
/* library.scm:2288: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k15174 in ##sys#internal-gcd in k8510 */
static void C_ccall f_15176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_15176,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];
t3=C_s_a_u_i_integer_gcd(&a,2,t1,t2);
/* library.scm:2295: scheme#exact->inexact */
t4=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* ##sys#gcd in k8510 */
static void C_ccall f_15184(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15184,4,av);}
/* library.scm:2299: ##sys#internal-gcd */
f_15114(t1,lf[595],t2,t3);}

/* scheme#gcd in k8510 */
static void C_ccall f_15190(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15190,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=C_slot(t2,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15210,a[2]=t7,a[3]=((C_word)li434),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_15210(t9,t1,t4,t5);}}

/* loop in scheme#gcd in k8510 */
static void C_fcall f_15210(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15210,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2308: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[595];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15235,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2310: ##sys#internal-gcd */
f_15114(t5,lf[595],t2,t4);}}

/* k15233 in loop in scheme#gcd in k8510 */
static void C_ccall f_15235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_15235,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2310: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15210(t3,((C_word*)t0)[4],t1,t2);}

/* ##sys#lcm in k8510 */
static void C_ccall f_15241(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_15241,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15245,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2314: ##sys#internal-gcd */
f_15114(t4,lf[598],t2,t3);}

/* k15243 in ##sys#lcm in k8510 */
static void C_ccall f_15245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(45,c,1)))){
C_save_and_reclaim((void *)f_15245,2,av);}
a=C_alloc(45);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_abs(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#lcm in k8510 */
static void C_ccall f_15255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_15255,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fix(1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15275,a[2]=t6,a[3]=((C_word)li437),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_15275(t8,t1,t3,t4);}}

/* loop in scheme#lcm in k8510 */
static void C_fcall f_15275(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_15275,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t3))){
t4=t2;
if(C_truep(C_i_integerp(t4))){
t5=t2;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_s_a_i_abs(&a,1,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
/* library.scm:2324: ##sys#error-bad-integer */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[356]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[356]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[598];
tp(4,av2);}}}
else{
t4=C_slot(t3,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15296,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2326: ##sys#internal-gcd */
f_15114(t6,lf[598],t2,t5);}}

/* k15294 in loop in scheme#lcm in k8510 */
static void C_ccall f_15296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(38,c,3)))){
C_save_and_reclaim((void *)f_15296,2,av);}
a=C_alloc(38);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_s_a_i_quotient(&a,2,t2,t1);
t4=C_slot(((C_word*)t0)[4],C_fix(1));
/* library.scm:2327: loop */
t5=((C_word*)((C_word*)t0)[5])[1];
f_15275(t5,((C_word*)t0)[6],t3,t4);}

/* ##sys#integer->string/recursive in k8510 */
static void C_ccall f_15313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15313,5,av);}
a=C_alloc(6);
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_fixnum_shift_right(t5,C_fix(1));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15320,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2334: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=t7;
tp(4,av2);}}

/* k15318 in ##sys#integer->string/recursive in k8510 */
static void C_ccall f_15320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_15320,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15325,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li440),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15331,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word)li441),tmp=(C_word)a,a+=5,tmp);
/* library.scm:2333: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a15324 in k15318 in ##sys#integer->string/recursive in k8510 */
static void C_ccall f_15325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_15325,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_u_integer_quotient_and_remainder,a[2]=((C_word)li439),tmp=(C_word)a,a+=3,tmp);
/* library.scm:2333: g2771 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a15330 in k15318 in ##sys#integer->string/recursive in k8510 */
static void C_ccall f_15331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_15331,4,av);}
a=C_alloc(6);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15335,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t6=((C_word*)t0)[3];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=t6;
tp(4,av2);}}

/* k15333 in a15330 in k15318 in ##sys#integer->string/recursive in k8510 */
static void C_ccall f_15335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_15335,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15338,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_s_a_i_abs(&a,1,((C_word*)t0)[4]);
t5=((C_word*)t0)[5];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=t5;
tp(4,av2);}}

/* k15336 in k15333 in a15330 in k15318 in ##sys#integer->string/recursive in k8510 */
static void C_ccall f_15338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15338,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15345,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(t2);
t5=C_fixnum_difference(((C_word*)t0)[4],t4);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=C_make_character(48);
tp(4,av2);}}

/* k15343 in k15336 in k15333 in a15330 in k15318 in ##sys#integer->string/recursive in k8510 */
static void C_ccall f_15345(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15345,2,av);}
/* library.scm:2339: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#extended-number->string in k8510 */
static void C_ccall f_15366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15366,4,av);}
a=C_alloc(5);
if(C_truep(C_i_ratnump(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15380,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=t2;
t6=C_u_i_ratnum_num(t5);
t7=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=t6;
av2[3]=t7;
tp(4,av2);}}
else{
if(C_truep(C_i_cplxnump(t2))){
t4=t2;
t5=C_u_i_cplxnum_real(t4);
t6=t2;
t7=C_u_i_cplxnum_imag(t6);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15421,a[2]=t8,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t10=t3;
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t9;
av2[2]=t5;
av2[3]=t10;
tp(4,av2);}}
else{
/* library.scm:2361: ##sys#error-bad-number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[371]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[371]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[607];
tp(4,av2);}}}}

/* k15378 in ##sys#extended-number->string in k8510 */
static void C_ccall f_15380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_15380,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15384,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[3];
t5=C_u_i_ratnum_denom(t4);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t5;
av2[3]=t6;
tp(4,av2);}}

/* k15382 in k15378 in ##sys#extended-number->string in k8510 */
static void C_ccall f_15384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_15384,2,av);}
/* library.scm:2349: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[603];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k15419 in ##sys#extended-number->string in k8510 */
static void C_ccall f_15421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_15421,2,av);}
a=C_alloc(5);
t2=t1;
t3=(C_truep(C_i_finitep(((C_word*)t0)[2]))?(C_truep(C_i_positivep(((C_word*)t0)[2]))?lf[604]:lf[605]):lf[605]);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15429,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t6=((C_word*)t0)[4];
/* ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t6;
tp(4,av2);}}

/* k15427 in k15419 in ##sys#extended-number->string in k8510 */
static void C_ccall f_15429(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_15429,2,av);}
/* library.scm:2356: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
av2[5]=lf[606];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k15456 in safe-exponent in ##sys#string->compnum in k8510 */
static void C_ccall f_15458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,1)))){
C_save_and_reclaim((void *)f_15458,2,av);}
a=C_alloc(44);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_exact_to_inexact(&a,1,t2);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k15459 in safe-exponent in ##sys#string->compnum in k8510 */
static void C_ccall f_15461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_15461,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_i_integer_length(((C_word*)t0)[2]);
t4=C_i_integer_length(t2);
t5=C_fixnum_difference(t3,t4);
t6=C_fixnum_difference(t5,*((C_word*)lf[426]+1));
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t8)[1],C_fix(0)))){
t9=C_fixnum_negate(((C_word*)t8)[1]);
t10=C_s_a_i_arithmetic_shift(&a,2,((C_word*)t0)[2],t9);
t11=t10;
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15476,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t11,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2380: round-quotient */
f_15540(t12,t11,t2);}
else{
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15515,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2387: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t9;
av2[2]=C_fix(10);
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}}

/* k15474 in k15459 in safe-exponent in ##sys#string->compnum in k8510 */
static void C_ccall f_15476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(44,c,3)))){
C_save_and_reclaim((void *)f_15476,2,av);}
a=C_alloc(44);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15479,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t3)[1];
t6=C_i_integer_length(t5);
t7=*((C_word*)lf[426]+1);
if(C_truep(C_fixnum_greaterp(t6,*((C_word*)lf[426]+1)))){
t8=C_fixnum_plus(C_fix(1),((C_word*)((C_word*)t0)[2])[1]);
t9=C_set_block_item(((C_word*)t0)[2],0,t8);
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15497,a[2]=t3,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t11=C_s_a_i_times(&a,2,((C_word*)t0)[4],C_fix(2));
/* library.scm:2384: round-quotient */
f_15540(t10,((C_word*)t0)[5],t11);}
else{
t8=t4;
f_15479(t8,C_SCHEME_UNDEFINED);}}

/* k15477 in k15474 in k15459 in safe-exponent in ##sys#string->compnum in k8510 */
static void C_fcall f_15479(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_15479,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15486,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2385: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k15484 in k15477 in k15474 in k15459 in safe-exponent in ##sys#string->compnum in k8510 */
static void C_ccall f_15486(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_15486,2,av);}
a=C_alloc(6);
t2=((C_word*)((C_word*)t0)[2])[1];
t3=C_a_i_bytevector(&a,1,C_fix(4));
t4=C_i_foreign_flonum_argumentp(t1);
t5=C_i_foreign_fixnum_argumentp(t2);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=stub2825(t3,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k15495 in k15474 in k15459 in safe-exponent in ##sys#string->compnum in k8510 */
static void C_ccall f_15497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_15497,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_15479(t3,t2);}

/* k15513 in k15459 in safe-exponent in ##sys#string->compnum in k8510 */
static void C_ccall f_15515(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15515,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* round-quotient in k8510 */
static void C_fcall f_15540(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(63,0,3)))){
C_save_and_reclaim_args((void *)trf_15540,3,t1,t2,t3);}
a=C_alloc(63);
t4=t2;
t5=t3;
t6=C_s_a_u_i_integer_quotient(&a,2,t4,t5);
t7=t6;
t8=(C_truep(C_i_evenp(t7))?*((C_word*)lf[73]+1):*((C_word*)lf[75]+1));
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15555,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
t10=C_s_a_i_remainder(&a,2,t2,t3);
t11=C_s_a_i_abs(&a,1,t10);
t12=C_s_a_i_times(&a,2,t11,C_fix(2));
t13=t3;
t14=C_s_a_i_abs(&a,1,t13);
/* library.scm:2394: g2838 */
t15=t8;{
C_word av2[4];
av2[0]=t15;
av2[1]=t9;
av2[2]=t12;
av2[3]=t14;
((C_proc)(void*)(*((C_word*)t15+1)))(4,av2);}}

/* k15553 in round-quotient in k8510 */
static void C_ccall f_15555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_15555,2,av);}
a=C_alloc(29);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_i_negativep(t2);
t4=((C_word*)t0)[3];
t5=C_i_negativep(t4);
t6=C_eqp(t3,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_s_a_i_plus(&a,2,((C_word*)t0)[5],C_fix(1)):C_s_a_i_plus(&a,2,((C_word*)t0)[5],C_fix(-1)));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* ##sys#string->compnum in k8510 */
static void C_fcall f_15583(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(83,0,5)))){
C_save_and_reclaim_args((void *)trf_15583,5,t1,t2,t3,t4,t5);}
a=C_alloc(83);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15586,a[2]=t6,tmp=(C_word)a,a+=3,tmp));
t12=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15596,a[2]=t6,a[3]=((C_word)li445),tmp=(C_word)a,a+=4,tmp));
t13=C_block_size(t3);
t14=t13;
t15=C_fixnum_difference(t2,C_fix(1));
t16=C_fixnum_plus(C_fix(48),t15);
t17=C_make_character(C_unfix(t16));
t18=t17;
t19=C_fixnum_difference(t2,C_fix(11));
t20=C_fixnum_plus(C_fix(97),t19);
t21=C_make_character(C_unfix(t20));
t22=t21;
t23=C_fixnum_difference(t2,C_fix(11));
t24=C_fixnum_plus(C_fix(65),t23);
t25=C_make_character(C_unfix(t24));
t26=t25;
t27=C_SCHEME_FALSE;
t28=(*a=C_VECTOR_TYPE|1,a[1]=t27,tmp=(C_word)a,a+=2,tmp);
t29=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15676,a[2]=t14,a[3]=t3,a[4]=t2,a[5]=t18,a[6]=t22,a[7]=t26,a[8]=((C_word)li447),tmp=(C_word)a,a+=9,tmp);
t30=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15784,a[2]=t14,a[3]=t3,a[4]=((C_word)li449),tmp=(C_word)a,a+=5,tmp);
t31=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15834,a[2]=t3,a[3]=t2,a[4]=t28,a[5]=t8,a[6]=t30,a[7]=t29,a[8]=((C_word)li450),tmp=(C_word)a,a+=9,tmp);
t32=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15890,a[2]=t14,a[3]=t3,a[4]=t8,a[5]=t2,a[6]=t29,a[7]=((C_word)li451),tmp=(C_word)a,a+=8,tmp);
t33=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15951,a[2]=t14,a[3]=t10,a[4]=t32,a[5]=t3,a[6]=t31,a[7]=((C_word)li452),tmp=(C_word)a,a+=8,tmp);
t34=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_16165,a[2]=t8,a[3]=t33,a[4]=t2,a[5]=t14,a[6]=t10,a[7]=t32,a[8]=t28,a[9]=t6,a[10]=t31,a[11]=t3,a[12]=((C_word)li453),tmp=(C_word)a,a+=13,tmp);
t35=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16508,a[2]=t14,a[3]=t3,a[4]=t34,a[5]=t8,a[6]=((C_word)li454),tmp=(C_word)a,a+=7,tmp);
t36=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16740,a[2]=t6,a[3]=t1,a[4]=t14,a[5]=t3,a[6]=t4,a[7]=t28,a[8]=t35,tmp=(C_word)a,a+=9,tmp);
/* library.scm:2576: scan-real */
t37=t35;
f_16508(t37,t36,t4);}

/* go-inexact! in ##sys#string->compnum in k8510 */
static C_word C_fcall f_15586(C_word t0){
C_word tmp;
C_word t1;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
t1=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[610]);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,lf[611]);
return(t2);}}

/* safe-exponent in ##sys#string->compnum in k8510 */
static void C_fcall f_15596(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_15596,4,t0,t1,t2,t3);}
a=C_alloc(12);
if(C_truep(t3)){
if(C_truep(C_i_not(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_i_greaterp(t3,C_fix(10000)))){
t4=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[611]);
if(C_truep(t4)){
t5=t2;
if(C_truep(C_i_zerop(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=lf[501];
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_i_greaterp(t2,lf[501]);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(C_truep(t6)?lf[612]:lf[613]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=C_fixnum_negate(C_fix(10000));
if(C_truep(C_i_lessp(t3,t4))){
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[611]);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=(C_truep(t5)?lf[501]:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[611]);
if(C_truep(t5)){
t6=t1;
t7=t2;
t8=t3;
t9=C_i_negativep(t8);
if(C_truep(C_i_not(t9))){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15458,a[2]=t7,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2373: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t10;
av2[2]=C_fix(10);
av2[3]=t8;
tp(4,av2);}}
else{
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_15461,a[2]=t7,a[3]=t6,a[4]=t8,tmp=(C_word)a,a+=5,tmp);
t11=C_s_a_i_abs(&a,1,t8);
/* library.scm:2374: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t10;
av2[2]=C_fix(10);
av2[3]=t11;
tp(4,av2);}}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_15656,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2415: ##sys#integer-power */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[529]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[529]+1);
av2[1]=t6;
av2[2]=C_fix(10);
av2[3]=t3;
tp(4,av2);}}}}}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k15654 in safe-exponent in ##sys#string->compnum in k8510 */
static void C_ccall f_15656(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,1)))){
C_save_and_reclaim((void *)f_15656,2,av);}
a=C_alloc(33);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_s_a_i_times(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scan-digits in ##sys#string->compnum in k8510 */
static void C_fcall f_15676(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_15676,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15682,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word)li446),tmp=(C_word)a,a+=11,tmp));
t6=((C_word*)t4)[1];
f_15682(t6,t1,t2);}

/* lp in scan-digits in ##sys#string->compnum in k8510 */
static void C_fcall f_15682(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_15682,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
if(C_truep(C_fixnum_less_or_equal_p(((C_word*)t0)[5],C_fix(10)))){
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[6]):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2439: lp */
t12=t1;
t13=t9;
t1=t12;
t2=t13;
goto loop;}
else{
t9=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t10=t1;{
C_word av2[2];
av2[0]=t10;
av2[1]=(C_truep(t9)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}
else{
t7=C_i_char_greater_or_equal_p(t6,C_make_character(48));
t8=(C_truep(t7)?C_u_i_char_less_or_equal_p(t6,C_make_character(57)):C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_15745,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t8)){
t10=t9;
f_15745(t10,t8);}
else{
t10=(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(97)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[8]):C_SCHEME_FALSE);
t11=t9;
f_15745(t11,(C_truep(t10)?t10:(C_truep(C_u_i_char_greater_or_equal_p(t6,C_make_character(65)))?C_u_i_char_less_or_equal_p(t6,((C_word*)t0)[9]):C_SCHEME_FALSE)));}}}}

/* k15743 in lp in scan-digits in ##sys#string->compnum in k8510 */
static void C_fcall f_15745(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15745,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2444: lp */
t3=((C_word*)((C_word*)t0)[3])[1];
f_15682(t3,((C_word*)t0)[4],t2);}
else{
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[5]);
t3=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t3;
av2[1]=(C_truep(t2)?C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[2]):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-hashes in ##sys#string->compnum in k8510 */
static void C_fcall f_15784(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_15784,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15790,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li448),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_15790(t6,t1,t2);}

/* lp in scan-hashes in ##sys#string->compnum in k8510 */
static void C_fcall f_15790(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_15790,3,t0,t1,t2);}
a=C_alloc(3);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_a_i_cons(&a,2,t2,C_SCHEME_FALSE):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[4];
t5=t2;
t6=C_subchar(t4,t5);
t7=C_eqp(t6,C_make_character(35));
if(C_truep(t7)){
t8=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2453: lp */
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t8=C_fixnum_greaterp(t2,((C_word*)t0)[3]);
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t8)?C_a_i_cons(&a,2,t2,t2):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}}

/* scan-digits+hashes in ##sys#string->compnum in k8510 */
static void C_fcall f_15834(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,2)))){
C_save_and_reclaim_args((void *)trf_15834,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15838,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=t1,a[9]=((C_word*)t0)[6],a[10]=t4,tmp=(C_word)a,a+=11,tmp);
if(C_truep(C_i_not(((C_word*)((C_word*)t0)[4])[1]))){
/* library.scm:2457: scan-digits */
t6=((C_word*)t0)[7];
f_15676(t6,t5,t2);}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_15838(2,av2);}}}

/* k15836 in scan-digits+hashes in ##sys#string->compnum in k8510 */
static void C_ccall f_15838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_15838,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15841,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
/* library.scm:2459: scan-hashes */
t5=((C_word*)t0)[9];
f_15784(t5,t3,t4);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15841(2,av2);}}}
else{
if(C_truep(((C_word*)t0)[10])){
/* library.scm:2460: scan-hashes */
t4=((C_word*)t0)[9];
f_15784(t4,t3,((C_word*)t0)[3]);}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_15841(2,av2);}}}}

/* k15839 in k15836 in scan-digits+hashes in ##sys#string->compnum in k8510 */
static void C_ccall f_15841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15841,2,av);}
a=C_alloc(8);
t2=(C_truep(t1)?t1:((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_i_car(t2);
t4=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[3],((C_word*)t0)[4],t3,((C_word*)t0)[5],((C_word*)t0)[6]);
if(C_truep(t4)){
if(C_truep(t1)){
t5=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t6=(
/* library.scm:2468: go-inexact! */
  f_15586(((C_word*)((C_word*)t0)[8])[1])
);
t7=C_u_i_cdr(t2);
t8=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_a_i_cons(&a,2,t4,t7);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_cons(&a,2,t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan-exponent in ##sys#string->compnum in k8510 */
static void C_fcall f_15890(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15890,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15905,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_15905(t8,lf[615]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_15905(t9,(C_truep(t8)?lf[614]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k15903 in scan-exponent in ##sys#string->compnum in k8510 */
static void C_fcall f_15905(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_15905,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_15914,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2476: scan-digits */
t6=((C_word*)t0)[7];
f_15676(t6,t5,t4);}
else{
t5=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15912 in k15903 in scan-exponent in ##sys#string->compnum in k8510 */
static void C_ccall f_15914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_15914,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(
/* library.scm:2477: go-inexact! */
  f_15586(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_i_car(t1);
t4=C_eqp(((C_word*)t0)[3],lf[614]);
t5=C_s_a_i_digits_to_integer(&a,5,((C_word*)t0)[4],((C_word*)t0)[5],t3,((C_word*)t0)[6],t4);
t6=C_u_i_cdr(t1);
t7=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_a_i_cons(&a,2,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t2=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_fcall f_15951(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_15951,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_15961,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:2485: scan-digits+hashes */
t6=((C_word*)t0)[6];
f_15834(t6,t5,t2,t3,t4);}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_ccall f_15961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_15961,2,av);}
a=C_alloc(11);
t2=t1;
t3=(C_truep(t2)?C_i_cdr(t2):((C_word*)t0)[2]);
t4=t3;
t5=((C_word*)t0)[3];
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_15970,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],tmp=(C_word)a,a+=11,tmp);
if(C_truep(t5)){
t7=t6;
f_15970(t7,t5);}
else{
t7=C_i_not(t4);
t8=t6;
f_15970(t8,(C_truep(t7)?t7:C_fixnum_greaterp(t4,((C_word*)t0)[2])));}}

/* k15968 in k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_fcall f_15970(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15970,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15973,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[3])){
t3=((C_word*)t0)[10];
t4=t2;
f_15973(t4,C_subchar(t3,((C_word*)t0)[3]));}
else{
t3=t2;
f_15973(t3,C_SCHEME_FALSE);}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k15971 in k15968 in k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_fcall f_15973(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_15973,2,t0,t1);}
a=C_alloc(10);
t2=C_eqp(t1,C_make_character(101));
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_15982,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(t2)){
t4=t3;
f_15982(t4,t2);}
else{
t4=C_eqp(t1,C_make_character(115));
if(C_truep(t4)){
t5=t3;
f_15982(t5,t4);}
else{
t5=C_eqp(t1,C_make_character(102));
if(C_truep(t5)){
t6=t3;
f_15982(t6,t5);}
else{
t6=C_eqp(t1,C_make_character(100));
if(C_truep(t6)){
t7=t3;
f_15982(t7,t6);}
else{
t7=C_eqp(t1,C_make_character(108));
if(C_truep(t7)){
t8=t3;
f_15982(t8,t7);}
else{
t8=C_eqp(t1,C_make_character(69));
if(C_truep(t8)){
t9=t3;
f_15982(t9,t8);}
else{
t9=C_eqp(t1,C_make_character(83));
if(C_truep(t9)){
t10=t3;
f_15982(t10,t9);}
else{
t10=C_eqp(t1,C_make_character(70));
if(C_truep(t10)){
t11=t3;
f_15982(t11,t10);}
else{
t11=C_eqp(t1,C_make_character(68));
t12=t3;
f_15982(t12,(C_truep(t11)?t11:C_eqp(t1,C_make_character(76))));}}}}}}}}}

/* k15980 in k15971 in k15968 in k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_fcall f_15982(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_15982,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_15991,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[8],tmp=(C_word)a,a+=7,tmp);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2493: scan-exponent */
t4=((C_word*)t0)[9];
f_15890(t4,t2,t3);}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}
else{
t2=(C_truep(((C_word*)t0)[3])?((C_word*)t0)[3]:((C_word*)t0)[2]);
t3=(C_truep(((C_word*)t0)[4])?C_fixnum_difference(((C_word*)t0)[7],t2):C_SCHEME_FALSE);
t4=(C_truep(((C_word*)t0)[4])?C_i_car(((C_word*)t0)[4]):C_SCHEME_FALSE);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16057,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2503: safe-exponent */
t6=((C_word*)((C_word*)t0)[6])[1];
f_15596(t6,t5,t4,t3);}}

/* k15989 in k15980 in k15971 in k15968 in k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_ccall f_15991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_15991,2,av);}
a=C_alloc(8);
t2=t1;
if(C_truep(t2)){
t3=C_i_car(t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16003,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
/* library.scm:2495: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15596(t6,t5,((C_word*)t0)[6],t4);}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16001 in k15989 in k15980 in k15971 in k15968 in k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_ccall f_16003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_16003,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16009,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[2])){
t4=C_i_cdr(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,((C_word*)t0)[6]);
t6=t3;
f_16009(t6,C_fixnum_difference(((C_word*)t0)[7],t5));}
else{
t4=t3;
f_16009(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16007 in k16001 in k15989 in k15980 in k15971 in k15968 in k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_fcall f_16009(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_16009,2,t0,t1);}
a=C_alloc(5);
t2=(C_truep(((C_word*)t0)[2])?C_i_car(((C_word*)t0)[2]):C_SCHEME_FALSE);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16015,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2498: safe-exponent */
t4=((C_word*)((C_word*)t0)[6])[1];
f_15596(t4,t3,t2,t1);}

/* k16013 in k16007 in k16001 in k15989 in k15980 in k15971 in k15968 in k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_ccall f_16015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_16015,2,av);}
a=C_alloc(32);
if(C_truep(t1)){
t2=C_s_a_i_plus(&a,2,((C_word*)t0)[2],t1);
t3=C_u_i_cdr(((C_word*)t0)[3]);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_u_i_cdr(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16055 in k15980 in k15971 in k15968 in k15959 in scan-decimal-tail in ##sys#string->compnum in k8510 */
static void C_ccall f_16057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(32,c,1)))){
C_save_and_reclaim((void *)f_16057,2,av);}
a=C_alloc(32);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:C_fix(0));
if(C_truep(t1)){
t4=C_s_a_i_plus(&a,2,t3,t1);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_cons(&a,2,t4,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t3,((C_word*)t0)[4]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scan-ureal in ##sys#string->compnum in k8510 */
static void C_fcall f_16165(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_16165,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_16172,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
t5=C_fixnum_plus(t2,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t5))){
t6=C_eqp(((C_word*)t0)[4],C_fix(10));
if(C_truep(t6)){
t7=((C_word*)t0)[11];
t8=t2;
t9=C_subchar(t7,t8);
t10=t4;
f_16172(t10,C_eqp(t9,C_make_character(46)));}
else{
t7=t4;
f_16172(t7,C_SCHEME_FALSE);}}
else{
t6=t4;
f_16172(t6,C_SCHEME_FALSE);}}

/* k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_fcall f_16172(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,4)))){
C_save_and_reclaim_args((void *)trf_16172,2,t0,t1);}
a=C_alloc(14);
if(C_truep(t1)){
t2=(
/* library.scm:2511: go-inexact! */
  f_15586(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:2512: scan-decimal-tail */
t4=((C_word*)t0)[4];
f_15951(t4,((C_word*)t0)[5],t3,((C_word*)t0)[6],C_SCHEME_FALSE);}
else{
t2=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_16185,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],tmp=(C_word)a,a+=14,tmp);
/* library.scm:2513: scan-digits+hashes */
t3=((C_word*)t0)[13];
f_15834(t3,t2,((C_word*)t0)[3],((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k16183 in k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_ccall f_16185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_16185,2,av);}
a=C_alloc(14);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_16191,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(C_i_cdr(t2))){
t4=C_u_i_cdr(t2);
t5=((C_word*)t0)[13];
t6=t3;
f_16191(t6,C_subchar(t5,t4));}
else{
t4=t3;
f_16191(t4,C_SCHEME_FALSE);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16189 in k16183 in k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_fcall f_16191(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,4)))){
C_save_and_reclaim_args((void *)trf_16191,2,t0,t1);}
a=C_alloc(12);
t2=t1;
t3=C_eqp(t2,C_make_character(46));
if(C_truep(t3)){
t4=(
/* library.scm:2516: go-inexact! */
  f_15586(((C_word*)((C_word*)t0)[2])[1])
);
t5=C_eqp(((C_word*)t0)[3],C_fix(10));
if(C_truep(t5)){
t6=C_u_i_cdr(((C_word*)t0)[4]);
t7=C_fixnum_plus(t6,C_fix(1));
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],t7))){
t8=C_u_i_cdr(((C_word*)t0)[4]);
t9=C_fixnum_plus(t8,C_fix(1));
t10=C_u_i_car(((C_word*)t0)[4]);
/* library.scm:2519: scan-decimal-tail */
t11=((C_word*)t0)[6];
f_15951(t11,((C_word*)t0)[7],t9,((C_word*)t0)[8],t10);}
else{
t8=C_u_i_car(((C_word*)t0)[4]);
t9=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_a_i_cons(&a,2,t8,C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t6=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}
else{
t4=C_eqp(t2,C_make_character(101));
t5=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_16243,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[9],a[7]=((C_word*)t0)[10],a[8]=t2,a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],tmp=(C_word)a,a+=12,tmp);
if(C_truep(t4)){
t6=t5;
f_16243(t6,t4);}
else{
t6=C_eqp(t2,C_make_character(115));
if(C_truep(t6)){
t7=t5;
f_16243(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(102));
if(C_truep(t7)){
t8=t5;
f_16243(t8,t7);}
else{
t8=C_eqp(t2,C_make_character(100));
if(C_truep(t8)){
t9=t5;
f_16243(t9,t8);}
else{
t9=C_eqp(t2,C_make_character(108));
if(C_truep(t9)){
t10=t5;
f_16243(t10,t9);}
else{
t10=C_eqp(t2,C_make_character(69));
if(C_truep(t10)){
t11=t5;
f_16243(t11,t10);}
else{
t11=C_eqp(t2,C_make_character(83));
if(C_truep(t11)){
t12=t5;
f_16243(t12,t11);}
else{
t12=C_eqp(t2,C_make_character(70));
if(C_truep(t12)){
t13=t5;
f_16243(t13,t12);}
else{
t13=C_eqp(t2,C_make_character(68));
t14=t5;
f_16243(t14,(C_truep(t13)?t13:C_eqp(t2,C_make_character(76))));}}}}}}}}}}

/* k16241 in k16189 in k16183 in k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_fcall f_16243(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_16243,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=C_eqp(((C_word*)t0)[2],C_fix(10));
if(C_truep(t2)){
t3=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16258,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
t5=C_u_i_cdr(((C_word*)t0)[3]);
t6=C_fixnum_plus(t5,C_fix(1));
/* library.scm:2525: scan-exponent */
t7=((C_word*)t0)[7];
f_15890(t7,t4,t6);}
else{
t4=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=C_eqp(((C_word*)t0)[8],C_make_character(47));
if(C_truep(t2)){
t3=C_set_block_item(((C_word*)t0)[9],0,C_SCHEME_FALSE);
t4=C_u_i_cdr(((C_word*)t0)[3]);
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[4],t4))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16304,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t6=C_u_i_cdr(((C_word*)t0)[3]);
t7=C_fixnum_plus(t6,C_fix(1));
/* library.scm:2532: scan-digits+hashes */
t8=((C_word*)t0)[11];
f_15834(t8,t5,t7,C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* k16256 in k16241 in k16189 in k16183 in k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_ccall f_16258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16258,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16268,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t5=C_i_car(t2);
/* library.scm:2527: safe-exponent */
t6=((C_word*)((C_word*)t0)[4])[1];
f_15596(t6,t4,t3,t5);}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16266 in k16256 in k16241 in k16189 in k16183 in k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_ccall f_16268(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16268,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16302 in k16241 in k16189 in k16183 in k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_ccall f_16304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_16304,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_i_car(t2);
if(C_truep(t4)){
t5=C_eqp(t4,C_fix(0));
if(C_truep(C_i_not(t5))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16330,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2536: ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t6;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t6=C_eqp(((C_word*)((C_word*)t0)[4])[1],lf[610]);
if(C_truep(C_i_not(t6))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16341,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:2540: chicken.base#signum */
t8=*((C_word*)lf[185]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}
else{
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16328 in k16302 in k16241 in k16189 in k16183 in k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_ccall f_16330(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_16330,2,av);}
a=C_alloc(3);
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k16339 in k16302 in k16241 in k16189 in k16183 in k16170 in scan-ureal in ##sys#string->compnum in k8510 */
static void C_ccall f_16341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16341,2,av);}
a=C_alloc(7);
switch(t1){
case C_fix(-1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[613],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_fix(0):
t2=C_flonum(&a,C_ub_i_flonum_quotient(0.0,0.0));
t3=C_u_i_cdr(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}
case C_fix(1):
t2=C_u_i_cdr(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,lf[612],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scan-real in ##sys#string->compnum in k8510 */
static void C_fcall f_16508(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_16508,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_lessp(t2,((C_word*)t0)[2]))){
t3=((C_word*)t0)[3];
t4=t2;
t5=C_subchar(t3,t4);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_16523,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t5,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_16523(t8,lf[615]);}
else{
t8=C_eqp(t5,C_make_character(45));
t9=t6;
f_16523(t9,(C_truep(t8)?lf[614]:C_SCHEME_FALSE));}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k16521 in scan-real in ##sys#string->compnum in k8510 */
static void C_fcall f_16523(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,0,4)))){
C_save_and_reclaim_args((void *)trf_16523,2,t0,t1);}
a=C_alloc(16);
t2=t1;
t3=(C_truep(t2)?C_fixnum_plus(((C_word*)t0)[2],C_fix(1)):((C_word*)t0)[2]);
t4=t3;
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[3]))){
t5=((C_word*)t0)[4];
t6=C_subchar(t5,t4);
t7=C_eqp(t6,C_make_character(105));
t8=(C_truep(t7)?t7:C_eqp(t6,C_make_character(73)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16549,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=C_eqp(t10,((C_word*)t0)[3]);
if(C_truep(t11)){
t12=C_eqp(t2,lf[614]);
t13=t9;
f_16549(t13,(C_truep(t12)?C_a_i_cons(&a,2,C_fix(-1),t4):C_a_i_cons(&a,2,C_fix(1),t4)));}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_16581,a[2]=((C_word*)t0)[7],a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[3],a[6]=t9,tmp=(C_word)a,a+=7,tmp);
t13=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t13,((C_word*)t0)[3]))){
t14=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16618,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
t15=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2559: scheme#substring */
t16=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t16;
av2[1]=t14;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t15;
((C_proc)(void*)(*((C_word*)t16+1)))(5,av2);}}
else{
t14=t12;
f_16581(t14,C_SCHEME_FALSE);}}}
else{
t10=t9;
f_16549(t10,C_SCHEME_FALSE);}}
else{
t9=C_eqp(t6,C_make_character(110));
t10=(C_truep(t9)?t9:C_eqp(t6,C_make_character(78)));
if(C_truep(t10)){
t11=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16642,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
if(C_truep(t2)){
t12=C_fixnum_plus(t4,C_fix(5));
if(C_truep(C_fixnum_less_or_equal_p(t12,((C_word*)t0)[3]))){
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16692,a[2]=((C_word*)t0)[7],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t11,tmp=(C_word)a,a+=6,tmp);
t14=C_fixnum_plus(t4,C_fix(5));
/* library.scm:2569: scheme#substring */
t15=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t15;
av2[1]=t13;
av2[2]=((C_word*)t0)[4];
av2[3]=t4;
av2[4]=t14;
((C_proc)(void*)(*((C_word*)t15+1)))(5,av2);}}
else{
t13=t11;
f_16642(t13,C_SCHEME_FALSE);}}
else{
t12=t11;
f_16642(t12,C_SCHEME_FALSE);}}
else{
t11=C_eqp(t2,lf[614]);
/* library.scm:2575: scan-ureal */
t12=((C_word*)t0)[6];
f_16165(t12,((C_word*)t0)[5],t4,t11);}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k16547 in k16521 in scan-real in ##sys#string->compnum in k8510 */
static void C_fcall f_16549(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16549,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[614]);
/* library.scm:2565: scan-ureal */
t3=((C_word*)t0)[4];
f_16165(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16579 in k16521 in scan-real in ##sys#string->compnum in k8510 */
static void C_fcall f_16581(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,1)))){
C_save_and_reclaim_args((void *)trf_16581,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(
/* library.scm:2560: go-inexact! */
  f_15586(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_eqp(((C_word*)t0)[3],lf[614]);
t4=(C_truep(t3)?lf[613]:lf[612]);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
if(C_truep(C_fixnum_lessp(t5,((C_word*)t0)[5]))){
t6=C_fixnum_plus(((C_word*)t0)[4],C_fix(5));
t7=((C_word*)t0)[6];
f_16549(t7,C_a_i_cons(&a,2,t4,t6));}
else{
t6=((C_word*)t0)[6];
f_16549(t6,C_a_i_cons(&a,2,t4,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[6];
f_16549(t2,C_SCHEME_FALSE);}}

/* k16616 in k16521 in scan-real in ##sys#string->compnum in k8510 */
static void C_ccall f_16618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_16618,2,av);}
t2=((C_word*)t0)[2];
f_16581(t2,C_i_string_ci_equal_p(t1,lf[616]));}

/* k16640 in k16521 in scan-real in ##sys#string->compnum in k8510 */
static void C_fcall f_16642(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16642,2,t0,t1);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_eqp(((C_word*)t0)[3],lf[614]);
/* library.scm:2574: scan-ureal */
t3=((C_word*)t0)[4];
f_16165(t3,((C_word*)t0)[2],((C_word*)t0)[5],t2);}}

/* k16690 in k16521 in scan-real in ##sys#string->compnum in k8510 */
static void C_ccall f_16692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_16692,2,av);}
a=C_alloc(7);
if(C_truep(C_i_string_ci_equal_p(t1,lf[617]))){
t2=(
/* library.scm:2570: go-inexact! */
  f_15586(((C_word*)((C_word*)t0)[2])[1])
);
t3=C_flonum(&a,C_ub_i_flonum_quotient(0.0,0.0));
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
if(C_truep(C_fixnum_lessp(t4,((C_word*)t0)[4]))){
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(5));
t6=((C_word*)t0)[5];
f_16642(t6,C_a_i_cons(&a,2,t3,t5));}
else{
t5=((C_word*)t0)[5];
f_16642(t5,C_a_i_cons(&a,2,t3,C_SCHEME_FALSE));}}
else{
t2=((C_word*)t0)[5];
f_16642(t2,C_SCHEME_FALSE);}}

/* k16738 in ##sys#string->compnum in k8510 */
static void C_ccall f_16740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_16740,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16743,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(t2)){
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_16762,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_cdr(t2))){
t5=C_u_i_cdr(t2);
t6=((C_word*)t0)[5];
t7=t4;
f_16762(t7,C_subchar(t6,t5));}
else{
t5=t4;
f_16762(t5,C_SCHEME_FALSE);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}

/* k16741 in k16738 in ##sys#string->compnum in k8510 */
static void C_ccall f_16743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_16743,2,av);}
if(C_truep(t1)){
t2=C_eqp(((C_word*)((C_word*)t0)[2])[1],lf[611]);
if(C_truep(t2)){
/* library.scm:2598: scheme#exact->inexact */
t3=*((C_word*)lf[62]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_i_finitep(t1))?t1:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k16760 in k16738 in ##sys#string->compnum in k8510 */
static void C_fcall f_16762(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_16762,2,t0,t1);}
a=C_alloc(6);
t2=C_eqp(t1,C_SCHEME_FALSE);
if(C_truep(t2)){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
f_16743(2,av2);}}
else{
t3=C_eqp(t1,C_make_character(105));
t4=(C_truep(t3)?t3:C_eqp(t1,C_make_character(73)));
if(C_truep(t4)){
t5=C_u_i_cdr(((C_word*)t0)[2]);
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_eqp(((C_word*)t0)[4],t6);
if(C_truep(t7)){
t8=((C_word*)t0)[5];
t9=((C_word*)t0)[6];
t10=C_subchar(t8,t9);
t11=C_eqp(t10,C_make_character(43));
if(C_truep(t11)){
if(C_truep(t11)){
t12=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2582: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[502]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[502]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t12;
tp(4,av2);}}
else{
t12=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}
else{
t12=((C_word*)t0)[5];
t13=((C_word*)t0)[6];
t14=C_subchar(t12,t13);
t15=C_eqp(t14,C_make_character(45));
if(C_truep(t15)){
t16=C_u_i_car(((C_word*)t0)[2]);
/* library.scm:2582: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[502]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[502]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=C_fix(0);
av2[3]=t16;
tp(4,av2);}}
else{
t16=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t16;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}
else{
t5=C_eqp(t1,C_make_character(43));
t6=(C_truep(t5)?t5:C_eqp(t1,C_make_character(45)));
if(C_truep(t6)){
t7=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16832,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
t9=C_u_i_cdr(((C_word*)t0)[2]);
/* library.scm:2585: scan-real */
t10=((C_word*)t0)[8];
f_16508(t10,t8,t9);}
else{
t7=C_eqp(t1,C_make_character(64));
if(C_truep(t7)){
t8=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_FALSE);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_16900,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t10=C_u_i_cdr(((C_word*)t0)[2]);
t11=C_fixnum_plus(t10,C_fix(1));
/* library.scm:2593: scan-real */
t12=((C_word*)t0)[8];
f_16508(t12,t9,t11);}
else{
t8=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}}}}

/* k16830 in k16760 in k16738 in ##sys#string->compnum in k8510 */
static void C_ccall f_16832(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_16832,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(t2)){
if(C_truep(C_i_cdr(t2))){
t3=C_u_i_cdr(t2);
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_eqp(((C_word*)t0)[2],t4);
if(C_truep(t5)){
t6=C_u_i_cdr(t2);
t7=((C_word*)t0)[3];
t8=C_subchar(t7,t6);
t9=C_eqp(t8,C_make_character(105));
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16853,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t9)){
t11=t10;
f_16853(t11,t9);}
else{
t11=C_u_i_cdr(t2);
t12=((C_word*)t0)[3];
t13=C_subchar(t12,t11);
t14=t10;
f_16853(t14,C_eqp(t13,C_make_character(73)));}}
else{
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}
else{
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}

/* k16851 in k16830 in k16760 in k16738 in ##sys#string->compnum in k8510 */
static void C_fcall f_16853(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_16853,2,t0,t1);}
if(C_truep(t1)){
t2=C_u_i_car(((C_word*)t0)[2]);
t3=C_u_i_car(((C_word*)t0)[3]);
/* library.scm:2590: scheme#make-rectangular */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[502]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[502]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}

/* k16898 in k16760 in k16738 in ##sys#string->compnum in k8510 */
static void C_ccall f_16900(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_16900,2,av);}
if(C_truep(t1)){
t2=C_i_cdr(t1);
if(C_truep(C_i_not(t2))){
t3=C_u_i_car(((C_word*)t0)[2]);
t4=C_u_i_car(t1);
/* library.scm:2595: scheme#make-polar */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[504]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[504]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_16743(2,av2);}}}

/* scheme#string->number in k8510 */
static void C_ccall f_16980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_16980,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=t5;
t7=C_i_check_string_2(t2,lf[619]);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_16990,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnump(t6))){
if(C_truep(C_fixnum_lessp(C_fix(1),t6))){
if(C_truep(C_fixnum_lessp(t6,C_fix(37)))){
t9=t8;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_16990(2,av2);}}
else{
/* library.scm:2607: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[619];
tp(4,av2);}}}
else{
/* library.scm:2607: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[619];
tp(4,av2);}}}
else{
/* library.scm:2607: ##sys#error-bad-base */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[373]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[373]+1);
av2[1]=t8;
av2[2]=t6;
av2[3]=lf[619];
tp(4,av2);}}}

/* k16988 in scheme#string->number in k8510 */
static void C_ccall f_16990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_16990,2,av);}
a=C_alloc(8);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_16999,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=((C_word)li456),tmp=(C_word)a,a+=6,tmp));
t6=((C_word*)t4)[1];
f_16999(t6,((C_word*)t0)[4],C_fix(0),C_SCHEME_FALSE,C_SCHEME_FALSE,t2);}

/* scan-prefix in k16988 in scheme#string->number in k8510 */
static void C_fcall f_16999(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_16999,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(10);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_17006,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=t1,a[7]=t4,a[8]=t5,a[9]=((C_word*)t0)[4],tmp=(C_word)a,a+=10,tmp);
t7=C_fixnum_plus(t2,C_fix(2));
if(C_truep(C_fixnum_lessp(t7,t5))){
t8=((C_word*)t0)[2];
t9=t2;
t10=C_subchar(t8,t9);
t11=t6;
f_17006(t11,C_eqp(t10,C_make_character(35)));}
else{
t8=t6;
f_17006(t8,C_SCHEME_FALSE);}}

/* k17004 in scan-prefix in k16988 in scheme#string->number in k8510 */
static void C_fcall f_17006(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_17006,2,t0,t1);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];
t4=C_subchar(t3,t2);
t5=C_eqp(t4,C_make_character(105));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(73)));
if(C_truep(t6)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t7=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2614: scan-prefix */
t8=((C_word*)((C_word*)t0)[5])[1];
f_16999(t8,((C_word*)t0)[6],t7,lf[611],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t7=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_eqp(t4,C_make_character(101));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(69)));
if(C_truep(t8)){
if(C_truep(C_i_not(((C_word*)t0)[4]))){
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2615: scan-prefix */
t10=((C_word*)((C_word*)t0)[5])[1];
f_16999(t10,((C_word*)t0)[6],t9,lf[610],((C_word*)t0)[7],((C_word*)t0)[8]);}
else{
t9=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}
else{
t9=C_eqp(t4,C_make_character(98));
t10=(C_truep(t9)?t9:C_eqp(t4,C_make_character(66)));
if(C_truep(t10)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t11=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2616: scan-prefix */
t12=((C_word*)((C_word*)t0)[5])[1];
f_16999(t12,((C_word*)t0)[6],t11,((C_word*)t0)[4],C_fix(2),((C_word*)t0)[8]);}
else{
t11=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t11=C_eqp(t4,C_make_character(111));
t12=(C_truep(t11)?t11:C_eqp(t4,C_make_character(79)));
if(C_truep(t12)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t13=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2617: scan-prefix */
t14=((C_word*)((C_word*)t0)[5])[1];
f_16999(t14,((C_word*)t0)[6],t13,((C_word*)t0)[4],C_fix(8),((C_word*)t0)[8]);}
else{
t13=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t13;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t13+1)))(2,av2);}}}
else{
t13=C_eqp(t4,C_make_character(100));
t14=(C_truep(t13)?t13:C_eqp(t4,C_make_character(68)));
if(C_truep(t14)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t15=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2618: scan-prefix */
t16=((C_word*)((C_word*)t0)[5])[1];
f_16999(t16,((C_word*)t0)[6],t15,((C_word*)t0)[4],C_fix(10),((C_word*)t0)[8]);}
else{
t15=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t15;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t15+1)))(2,av2);}}}
else{
t15=C_eqp(t4,C_make_character(120));
t16=(C_truep(t15)?t15:C_eqp(t4,C_make_character(88)));
if(C_truep(t16)){
if(C_truep(C_i_not(((C_word*)t0)[7]))){
t17=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
/* library.scm:2619: scan-prefix */
t18=((C_word*)((C_word*)t0)[5])[1];
f_16999(t18,((C_word*)t0)[6],t17,((C_word*)t0)[4],C_fix(16),((C_word*)t0)[8]);}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}
else{
t17=((C_word*)t0)[6];{
C_word av2[2];
av2[0]=t17;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(2,av2);}}}}}}}}
else{
t2=((C_word*)t0)[7];
if(C_truep(t2)){
/* library.scm:2621: ##sys#string->compnum */
f_15583(((C_word*)t0)[6],t2,((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}
else{
/* library.scm:2621: ##sys#string->compnum */
f_15583(((C_word*)t0)[6],((C_word*)t0)[9],((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);}}}

/* ##sys#string->number in k8510 */
static void C_ccall f_17235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_17235,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?C_fix(10):C_i_car(t3));
t6=C_i_nullp(t3);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t3));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_SCHEME_FALSE:C_i_car(t7));
if(C_truep(C_i_nullp(t7))){
/* library.scm:2624: ##sys#string->compnum */
f_15583(t1,t5,t2,C_fix(0),t9);}
else{
t10=C_i_cdr(t7);
/* library.scm:2624: ##sys#string->compnum */
f_15583(t1,t5,t2,C_fix(0),t9);}}

/* chicken.base#equal=? in k8510 */
static void C_ccall f_17281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,5)))){
C_save_and_reclaim((void *)f_17281,4,av);}
a=C_alloc(12);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17284,a[2]=t7,a[3]=((C_word)li463),tmp=(C_word)a,a+=4,tmp));
t9=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17352,a[2]=t5,a[3]=((C_word)li464),tmp=(C_word)a,a+=4,tmp));
/* library.scm:2667: walk */
t10=((C_word*)t7)[1];
f_17352(t10,t1,t2,t3);}

/* compare-slots in chicken.base#equal=? in k8510 */
static void C_fcall f_17284(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_17284,5,t0,t1,t2,t3,t4);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=C_block_size(t3);
t7=C_eqp(t5,t6);
if(C_truep(t7)){
t8=C_fixnum_less_or_equal_p(t5,t4);
if(C_truep(t8)){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t9=C_fixnum_difference(t5,C_fix(1));
t10=t9;
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17311,a[2]=t10,a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[2],a[6]=t12,a[7]=((C_word)li462),tmp=(C_word)a,a+=8,tmp));
t14=((C_word*)t12)[1];
f_17311(t14,t1,t4);}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* loop in compare-slots in chicken.base#equal=? in k8510 */
static void C_fcall f_17311(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_17311,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
t4=C_slot(((C_word*)t0)[3],t2);
t5=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2641: walk */
t6=((C_word*)((C_word*)t0)[5])[1];
f_17352(t6,t1,t4,t5);}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17335,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(((C_word*)t0)[3],t2);
t6=C_slot(((C_word*)t0)[4],t2);
/* library.scm:2642: walk */
t7=((C_word*)((C_word*)t0)[5])[1];
f_17352(t7,t4,t5,t6);}}

/* k17333 in loop in compare-slots in chicken.base#equal=? in k8510 */
static void C_ccall f_17335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17335,2,av);}
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:2643: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_17311(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* walk in chicken.base#equal=? in k8510 */
static void C_fcall f_17352(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_17352,4,t0,t1,t2,t3);}
t4=C_eqp(t2,t3);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_numberp(t2))){
t5=C_i_numberp(t3);
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=(C_truep(t5)?C_i_nequalp(t2,t3):C_eqp(t2,t3));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_blockp(t2);
if(C_truep(C_i_not(t5))){
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_blockp(t3);
if(C_truep(C_i_not(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=C_sametypep(t2,t3);
if(C_truep(C_i_not(t7))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
if(C_truep(C_specialp(t2))){
if(C_truep(C_specialp(t3))){
if(C_truep(C_closurep(t2))){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=shallow_equal(t2,t3);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
/* library.scm:2657: compare-slots */
t8=((C_word*)((C_word*)t0)[2])[1];
f_17284(t8,t1,t2,t3,C_fix(1));}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
if(C_truep(C_byteblockp(t2))){
if(C_truep(C_byteblockp(t3))){
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
t11=C_substring_compare(t2,t3,C_fix(0),C_fix(0),t8);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}
else{
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}
else{
t8=C_block_size(t2);
t9=C_block_size(t3);
t10=C_eqp(t8,t9);
if(C_truep(t10)){
/* library.scm:2666: compare-slots */
t11=((C_word*)((C_word*)t0)[2])[1];
f_17284(t11,t1,t2,t3,C_fix(0));}
else{
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}}}}}}}}}

/* ##sys#interned-symbol? in k8510 */
static void C_ccall f_17453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17453,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_lookup_symbol(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->symbol in k8510 */
static void C_ccall f_17456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17456,3,av);}
t3=C_i_check_string(t2);
/* library.scm:2679: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_string_to_symbol(3,av2);}}

/* ##sys#symbol->string in k8510 */
static void C_ccall f_17465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17465,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol->string in k8510 */
static void C_ccall f_17471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17471,3,av);}
a=C_alloc(3);
t3=C_i_check_symbol_2(t2,lf[633]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17482,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2687: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}

/* k17480 in scheme#symbol->string in k8510 */
static void C_ccall f_17482(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17482,2,av);}
/* library.scm:2687: scheme#string-copy */
t2=*((C_word*)lf[392]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* scheme#string->symbol in k8510 */
static void C_ccall f_17484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17484,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[635]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17495,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2693: string-copy */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k17493 in scheme#string->symbol in k8510 */
static void C_ccall f_17495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17495,2,av);}
/* library.scm:2693: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* chicken.base#string->uninterned-symbol in k8510 */
static void C_ccall f_17497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_17497,3,av);}
a=C_alloc(7);
t3=C_i_check_string_2(t2,lf[637]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li473),tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17508,a[2]=t4,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2699: string-copy */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}

/* k17506 in chicken.base#string->uninterned-symbol in k8510 */
static void C_ccall f_17508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17508,2,av);}
/* library.scm:2697: g3347 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#gensym in k8510 */
static void C_ccall f_17510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +15,c,5)))){
C_save_and_reclaim((void*)f_17510,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+15);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t4=C_set_block_item(((C_word*)t0)[2],0,t3);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_symbol,a[2]=((C_word)li475),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17527,a[2]=t5,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17531,a[2]=t6,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t8=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
t9=t7;{
C_word *av2=av;
av2[0]=t9;
av2[1]=lf[639];
f_17531(2,av2);}}
else{
t9=C_i_car(t2);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17544,a[2]=t7,a[3]=t10,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_blockp(t10))){
if(C_truep(C_stringp(t10))){
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t10;
f_17544(2,av2);}}
else{
if(C_truep(C_symbolp(t10))){
/* library.scm:2713: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t11;
av2[2]=t10;
tp(3,av2);}}
else{
/* library.scm:2704: ##sys#signal-hook */
t12=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[258];
av2[3]=lf[640];
av2[4]=lf[641];
av2[5]=t10;
((C_proc)(void*)(*((C_word*)t12+1)))(6,av2);}}}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_FALSE;
f_17544(2,av2);}}}}

/* k17525 in chicken.base#gensym in k8510 */
static void C_ccall f_17527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17527,2,av);}
/* library.scm:2704: g3354 */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k17529 in chicken.base#gensym in k8510 */
static void C_ccall f_17531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17531,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17535,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2716: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}

/* k17533 in k17529 in chicken.base#gensym in k8510 */
static void C_ccall f_17535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17535,2,av);}
/* library.scm:2707: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k17542 in chicken.base#gensym in k8510 */
static void C_ccall f_17544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17544,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
f_17531(2,av2);}}
else{
/* library.scm:2704: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[640];
av2[4]=lf[641];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.base#symbol-append in k8510 */
static void C_ccall f_17564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +20,c,3)))){
C_save_and_reclaim((void*)f_17564,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+20);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17572,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17587,a[2]=t3,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17589,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li477),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_17589(t12,t8,t2);}

/* k17570 in chicken.base#symbol-append in k8510 */
static void C_ccall f_17572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17572,2,av);}
/* library.scm:2721: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k17585 in chicken.base#symbol-append in k8510 */
static void C_ccall f_17587(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_17587,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop3370 in chicken.base#symbol-append in k8510 */
static void C_fcall f_17589(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_17589,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17614,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_check_symbol_2(t4,lf[643]);
/* library.scm:2726: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k17612 in map-loop3370 in chicken.base#symbol-append in k8510 */
static void C_ccall f_17614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_17614,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_17589(t6,((C_word*)t0)[5],t5);}

/* chicken.keyword#keyword? in k8510 */
static void C_ccall f_17623(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17623,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_keywordp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.keyword#string->keyword in k8510 */
static void C_ccall f_17626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17626,3,av);}
t3=C_i_check_string_2(t2,lf[647]);
/* library.scm:2743: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* chicken.keyword#keyword->string in k8510 */
static void C_ccall f_17635(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_17635,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17642,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2748: keyword? */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k17640 in chicken.keyword#keyword->string in k8510 */
static void C_ccall f_17642(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17642,2,av);}
if(C_truep(t1)){
/* library.scm:2749: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:2750: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[649];
av2[4]=lf[650];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.keyword#get-keyword in k8510 */
static void C_ccall f_17653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_17653,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+7);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17660,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t7,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:2755: ##sys#check-keyword */
t9=*((C_word*)lf[350]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[653];
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}

/* k17658 in chicken.keyword#get-keyword in k8510 */
static void C_ccall f_17660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17660,2,av);}
t2=C_i_check_list_2(((C_word*)t0)[2],lf[653]);
t3=C_i_get_keyword(((C_word*)t0)[3],((C_word*)t0)[2],((C_word*)t0)[4]);
t4=C_eqp(t3,((C_word*)t0)[4]);
if(C_truep(t4)){
if(C_truep(((C_word*)t0)[5])){
/* library.scm:2759: thunk */
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t5=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t5=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#make-blob in k8510 */
static void C_ccall f_17684(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_17684,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17688,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:2775: ##sys#allocate-vector */
t4=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
av2[5]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(6,av2);}}

/* k17686 in ##sys#make-blob in k8510 */
static void C_ccall f_17688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17688,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#make-blob in k8510 */
static void C_ccall f_17690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17690,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17694,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2780: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[658];
tp(4,av2);}}

/* k17692 in chicken.blob#make-blob in k8510 */
static void C_ccall f_17694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_17694,2,av);}
/* library.scm:2781: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[656]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[656]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* chicken.blob#blob? in k8510 */
static void C_ccall f_17699(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17699,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_bytevectorp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.blob#blob-size in k8510 */
static void C_ccall f_17705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17705,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17709,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2788: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[661];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17707 in chicken.blob#blob-size in k8510 */
static void C_ccall f_17709(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17709,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_block_size(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.blob#string->blob in k8510 */
static void C_ccall f_17714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17714,3,av);}
a=C_alloc(5);
t3=C_i_check_string_2(t2,lf[663]);
t4=C_block_size(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17724,a[2]=t2,a[3]=t5,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2794: ##sys#make-blob */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[656]);
C_word *av2=av;
av2[0]=*((C_word*)lf[656]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k17722 in chicken.blob#string->blob in k8510 */
static void C_ccall f_17724(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17724,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob->string in k8510 */
static void C_ccall f_17726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17726,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17730,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2799: ##sys#check-blob */
t4=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[665];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k17728 in chicken.blob#blob->string in k8510 */
static void C_ccall f_17730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_17730,2,av);}
a=C_alloc(5);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17736,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2801: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k17734 in k17728 in chicken.blob#blob->string in k8510 */
static void C_ccall f_17736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17736,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.blob#blob=? in k8510 */
static void C_ccall f_17738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17738,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17742,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2806: ##sys#check-blob */
t5=*((C_word*)lf[341]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[667];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k17740 in chicken.blob#blob=? in k8510 */
static void C_ccall f_17742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_17742,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17745,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:2807: ##sys#check-blob */
t3=*((C_word*)lf[341]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[667];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k17743 in k17740 in chicken.blob#blob=? in k8510 */
static void C_ccall f_17745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_17745,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_block_size(((C_word*)t0)[3]);
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=C_string_compare(((C_word*)t0)[2],((C_word*)t0)[3],t2);
t6=C_i_zerop(t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#make-vector in k8510 */
static void C_ccall f_17761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_17761,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+5);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17765,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2819: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[668];
tp(4,av2);}}

/* k17763 in scheme#make-vector in k8510 */
static void C_ccall f_17765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_17765,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_17768,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[4],C_fix(0)))){
/* library.scm:2820: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[668];
av2[3]=lf[669];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_17768(2,av2);}}}

/* k17766 in k17763 in scheme#make-vector in k8510 */
static void C_ccall f_17768(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_17768,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
/* library.scm:2821: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[2]);
/* library.scm:2821: ##sys#allocate-vector */
t3=*((C_word*)lf[316]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
av2[5]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* scheme#list->vector in k8510 */
static void C_ccall f_17790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17790,3,av);}
a=C_alloc(4);
t3=C_i_listp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:2833: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[671];
tp(4,av2);}}
else{
t4=C_i_length(t2);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17806,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:2835: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[670]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[670]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}}

/* k17804 in scheme#list->vector in k8510 */
static void C_ccall f_17806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_17806,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17811,a[2]=t2,a[3]=((C_word)li491),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_17811(t3,((C_word*)t0)[3],C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k17804 in scheme#list->vector in k8510 */
static C_word C_fcall f_17811(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_nullp(t1))){
return(((C_word*)t0)[2]);}
else{
t3=C_slot(t1,C_fix(0));
t4=C_i_setslot(((C_word*)t0)[2],t2,t3);
t5=C_slot(t1,C_fix(1));
t6=C_fixnum_plus(t2,C_fix(1));
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* scheme#vector->list in k8510 */
static void C_ccall f_17842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_17842,3,av);}
a=C_alloc(8);
t3=C_i_check_vector_2(t2,lf[672]);
t4=C_block_size(t2);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17851,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li493),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_17851(t8,t1,C_fix(0));}

/* loop in scheme#vector->list in k8510 */
static void C_fcall f_17851(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_17851,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17869,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=C_fixnum_plus(t2,C_fix(1));
/* library.scm:2852: loop */
t8=t5;
t9=t6;
t1=t8;
t2=t9;
goto loop;}}

/* k17867 in loop in scheme#vector->list in k8510 */
static void C_ccall f_17869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_17869,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#vector in k8510 */
static void C_ccall f_17875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_17875,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
/* library.scm:2854: scheme#list->vector */
t3=*((C_word*)lf[94]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* scheme#vector-fill! in k8510 */
static void C_ccall f_17881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17881,4,av);}
a=C_alloc(6);
t4=C_i_check_vector_2(t2,lf[673]);
t5=C_block_size(t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17890,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li496),tmp=(C_word)a,a+=6,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_17890(t6,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* doloop3507 in scheme#vector-fill! in k8510 */
static C_word C_fcall f_17890(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_i_setslot(((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_fixnum_plus(t1,C_fix(1));
t5=t3;
t1=t5;
goto loop;}}

/* chicken.base#vector-copy! in k8510 */
static void C_ccall f_17909(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_17909,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+7);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t5=C_i_check_vector_2(t2,lf[674]);
t6=C_i_check_vector_2(t3,lf[674]);
t7=C_block_size(t2);
t8=t7;
t9=C_block_size(t3);
t10=t9;
t11=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_17925,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=t10,a[6]=t8,tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t4))){
t12=t4;
t13=t11;
f_17925(t13,C_u_i_car(t12));}
else{
t12=t11;
f_17925(t12,C_i_fixnum_min(t10,t8));}}

/* k17923 in chicken.base#vector-copy! in k8510 */
static void C_fcall f_17925(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_17925,2,t0,t1);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17928,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:2871: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[674];
tp(4,av2);}}

/* k17926 in k17923 in chicken.base#vector-copy! in k8510 */
static void C_ccall f_17928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,7)))){
C_save_and_reclaim((void *)f_17928,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17931,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[6]);
t4=(C_truep(t3)?t3:C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[7]));
if(C_truep(t4)){
/* library.scm:2873: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 8) {
  av2=av;
} else {
  av2=C_alloc(8);
}
av2[0]=t5;
av2[1]=t2;
av2[2]=lf[380];
av2[3]=lf[674];
av2[4]=lf[675];
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(8,av2);}}
else{
t5=t2;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_17931(2,av2);}}}

/* k17929 in k17926 in k17923 in chicken.base#vector-copy! in k8510 */
static void C_ccall f_17931(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_17931,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_17936,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li498),tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=(
  f_17936(t2,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop3519 in k17929 in k17926 in k17923 in chicken.base#vector-copy! in k8510 */
static C_word C_fcall f_17936(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
t2=C_SCHEME_UNDEFINED;
return(t2);}
else{
t2=C_slot(((C_word*)t0)[3],t1);
t3=C_i_setslot(((C_word*)t0)[4],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* chicken.base#subvector in k8510 */
static void C_ccall f_17978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +8,c,5)))){
C_save_and_reclaim((void*)f_17978,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+8);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_vector_2(t2,lf[676]);
t8=C_block_size(t2);
t9=t8;
t10=(C_truep(t6)?t6:t9);
t11=t10;
t12=C_fixnum_difference(t11,t3);
t13=t12;
t14=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_17997,a[2]=t13,a[3]=t3,a[4]=t2,a[5]=t1,a[6]=t9,a[7]=t11,tmp=(C_word)a,a+=8,tmp);
t15=C_fixnum_plus(t9,C_fix(1));
/* library.scm:2886: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=lf[676];
tp(6,av2);}}

/* k17995 in chicken.base#subvector in k8510 */
static void C_ccall f_17997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_17997,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18000,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_fixnum_plus(((C_word*)t0)[6],C_fix(1));
/* library.scm:2887: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(0);
av2[4]=t3;
av2[5]=lf[676];
tp(6,av2);}}

/* k17998 in k17995 in chicken.base#subvector in k8510 */
static void C_ccall f_18000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18000,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18003,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:2888: scheme#make-vector */
t3=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k18001 in k17998 in k17995 in chicken.base#subvector in k8510 */
static void C_ccall f_18003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18003,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18008,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li500),tmp=(C_word)a,a+=7,tmp);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_18008(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3550 in k18001 in k17998 in k17995 in chicken.base#subvector in k8510 */
static C_word C_fcall f_18008(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_fixnum_plus(t1,((C_word*)t0)[4]);
t3=C_slot(((C_word*)t0)[5],t2);
t4=C_i_setslot(((C_word*)t0)[3],t1,t3);
t5=C_fixnum_plus(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}

/* chicken.base#vector-resize in k8510 */
static void C_ccall f_18049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_18049,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=C_i_check_vector_2(t2,lf[677]);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18059,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:2896: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=lf[677];
tp(4,av2);}}

/* k18057 in chicken.base#vector-resize in k8510 */
static void C_ccall f_18059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_18059,2,av);}
/* library.scm:2897: ##sys#vector-resize */
f_18070(((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* ##sys#vector-resize in k8510 */
static void C_fcall f_18070(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18070,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18074,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:2900: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[670]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[670]+1);
av2[1]=t5;
av2[2]=t3;
av2[3]=t4;
tp(4,av2);}}

/* k18072 in ##sys#vector-resize in k8510 */
static void C_ccall f_18074(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18074,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18077,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_block_size(((C_word*)t0)[2]);
/* library.scm:2901: scheme#min */
t5=*((C_word*)lf[558]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k18075 in k18072 in ##sys#vector-resize in k8510 */
static void C_ccall f_18077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18077,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18082,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li503),tmp=(C_word)a,a+=6,tmp);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(
  f_18082(t3,C_fix(0))
);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* doloop3578 in k18075 in k18072 in ##sys#vector-resize in k8510 */
static C_word C_fcall f_18082(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_fixnum_greater_or_equal_p(t1,((C_word*)t0)[2]))){
return(((C_word*)t0)[3]);}
else{
t2=C_slot(((C_word*)t0)[4],t1);
t3=C_i_setslot(((C_word*)t0)[3],t1,t2);
t4=C_fixnum_plus(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}}

/* scheme#char-ci=? in k8510 */
static void C_ccall f_18109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18109,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_eqp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>? in k8510 */
static void C_ccall f_18123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18123,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greaterp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<? in k8510 */
static void C_ccall f_18134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18134,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_lessp(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci>=? in k8510 */
static void C_ccall f_18145(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18145,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_greater_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#char-ci<=? in k8510 */
static void C_ccall f_18156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18156,4,av);}
t4=C_u_i_char_downcase(t2);
t5=C_u_i_char_downcase(t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_u_i_char_less_or_equal_p(t4,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k18167 in k8510 */
static void C_ccall f_18169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_18169,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_SCHEME_END_OF_LIST;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18171,a[2]=t2,a[3]=((C_word)li511),tmp=(C_word)a,a+=4,tmp);
t6=C_mutate((C_word*)lf[199]+1 /* (set! chicken.base#char-name ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18212,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=((C_word)li512),tmp=(C_word)a,a+=6,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18329,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2970: chicken.base#char-name */
t8=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1394];
av2[3]=C_make_character(32);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* lookup-char in k18167 in k8510 */
static void C_fcall f_18171(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_18171,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_fix(C_character_code(t2));
t4=C_fixnum_modulo(t3,C_fix(37));
t5=C_slot(((C_word*)t0)[2],t4);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18184,a[2]=t2,a[3]=((C_word)li510),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=(
  f_18184(t6,t5)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* loop in lookup-char in k18167 in k8510 */
static C_word C_fcall f_18184(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
return(t2);}
else{
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* chicken.base#char-name in k18167 in k8510 */
static void C_ccall f_18212(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,2)))){
C_save_and_reclaim((void*)f_18212,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18216,a[2]=t2,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_18216(t6,C_u_i_car(t5));}
else{
t5=t4;
f_18216(t5,C_SCHEME_FALSE);}}

/* k18214 in chicken.base#char-name in k18167 in k8510 */
static void C_fcall f_18216(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_18216,2,t0,t1);}
a=C_alloc(8);
t2=t1;
if(C_truep(C_charp(((C_word*)t0)[2]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18225,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2944: lookup-char */
t4=((C_word*)t0)[4];
f_18171(t4,t3,((C_word*)t0)[2]);}
else{
if(C_truep(t2)){
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[679]);
t4=C_i_check_char_2(t2,lf[679]);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_18243,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
t6=C_slot(((C_word*)t0)[2],C_fix(1));
t7=C_block_size(t6);
if(C_truep(C_fixnum_lessp(t7,C_fix(2)))){
/* library.scm:2950: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t8;
av2[1]=t5;
av2[2]=lf[258];
av2[3]=lf[679];
av2[4]=lf[680];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}
else{
t8=t5;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_18243(2,av2);}}}
else{
t3=C_i_check_symbol_2(((C_word*)t0)[2],lf[679]);
t4=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[5])[1]);
t5=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t4,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k18223 in k18214 in chicken.base#char-name in k18167 in k8510 */
static void C_ccall f_18225(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18225,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_slot(t1,C_fix(1)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18241 in k18214 in chicken.base#char-name in k18167 in k8510 */
static void C_ccall f_18243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_18243,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18246,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:2951: lookup-char */
t3=((C_word*)t0)[7];
f_18171(t3,t2,((C_word*)t0)[5]);}

/* k18244 in k18241 in k18214 in chicken.base#char-name in k18167 in k8510 */
static void C_ccall f_18246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_18246,2,av);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_i_assq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[3])[1]);
t3=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
if(C_truep(t2)){
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_i_slot(t2,C_fix(1),((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[5]));
t3=C_fixnum_modulo(t2,C_fix(37));
t4=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,t4,((C_word*)((C_word*)t0)[3])[1]);
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,t5);
t7=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t8=C_slot(((C_word*)t0)[6],t3);
t9=C_a_i_cons(&a,2,t7,t8);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_i_setslot(((C_word*)t0)[6],t3,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* k18327 in k18167 in k8510 */
static void C_ccall f_18329(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18329,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18332,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2971: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1393];
av2[3]=C_make_character(9);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18332,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18335,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2972: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1392];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18335,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18338,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2973: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1391];
av2[3]=C_make_character(10);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18338,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18341,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2974: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1390];
av2[3]=C_make_character(11);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18341,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18344,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2975: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1389];
av2[3]=C_make_character(127);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18344,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18347,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2976: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1388];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18347,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18350,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2977: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1387];
av2[3]=C_make_character(27);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18350,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18353,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2978: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1386];
av2[3]=C_make_character(7);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18353,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18356,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2979: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1385];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18356,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18359,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2980: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1384];
av2[3]=C_make_character(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18359,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18362,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2981: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1383];
av2[3]=C_make_character(13);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18362(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18362,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18365,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2982: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1382];
av2[3]=C_make_character(12);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18365(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_18365,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18368,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2983: chicken.base#char-name */
t3=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1381];
av2[3]=C_make_character(8);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(102,c,6)))){
C_save_and_reclaim((void *)f_18368,2,av);}
a=C_alloc(102);
t2=C_mutate((C_word*)lf[681]+1 /* (set! ##sys#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_cc,a[2]=((C_word)li513),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[682]+1 /* (set! ##sys#call-with-cthulhu ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_cthulhu,a[2]=((C_word)li514),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[683]+1 /* (set! ##sys#call-with-values ...) */,*((C_word*)lf[131]+1));
t5=C_mutate((C_word*)lf[684]+1 /* (set! ##sys#for-each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18373,a[2]=((C_word)li516),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[686]+1 /* (set! ##sys#map ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18411,a[2]=((C_word)li518),tmp=(C_word)a,a+=3,tmp));
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18453,a[2]=t10,a[3]=t8,a[4]=((C_word)li519),tmp=(C_word)a,a+=5,tmp);
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18497,a[2]=((C_word)li521),tmp=(C_word)a,a+=3,tmp);
t13=C_set_block_item(t8,0,t11);
t14=C_set_block_item(t10,0,t12);
t15=C_mutate((C_word*)lf[170]+1 /* (set! scheme#for-each ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18551,a[2]=t8,a[3]=t10,a[4]=((C_word)li526),tmp=(C_word)a,a+=5,tmp));
t16=C_mutate((C_word*)lf[171]+1 /* (set! scheme#map ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18637,a[2]=t8,a[3]=t10,a[4]=((C_word)li531),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(lf[689] /* ##sys#dynamic-winds */,0,C_SCHEME_END_OF_LIST);
t18=C_mutate((C_word*)lf[172]+1 /* (set! scheme#dynamic-wind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18744,a[2]=((C_word)li533),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[690]+1 /* (set! ##sys#dynamic-wind ...) */,*((C_word*)lf[172]+1));
t20=C_mutate((C_word*)lf[132]+1 /* (set! scheme#call-with-current-continuation ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18775,a[2]=((C_word)li536),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[198]+1 /* (set! chicken.base#call/cc ...) */,*((C_word*)lf[132]+1));
t22=C_mutate(&lf[691] /* (set! ##sys#dynamic-unwind ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18815,a[2]=((C_word)li537),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[207]+1 /* (set! chicken.base#port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18873,a[2]=((C_word)li538),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[209]+1 /* (set! chicken.base#input-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18879,a[2]=((C_word)li539),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[210]+1 /* (set! chicken.base#output-port-open? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18884,a[2]=((C_word)li540),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[208]+1 /* (set! chicken.base#port-closed? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18889,a[2]=((C_word)li541),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[696]+1 /* (set! ##sys#make-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18902,a[2]=((C_word)li542),tmp=(C_word)a,a+=3,tmp));
t28=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31949,a[2]=((C_word)li544),tmp=(C_word)a,a+=3,tmp);
t29=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31989,a[2]=((C_word)li546),tmp=(C_word)a,a+=3,tmp);
t30=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32029,a[2]=((C_word)li547),tmp=(C_word)a,a+=3,tmp);
t31=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32032,a[2]=((C_word)li548),tmp=(C_word)a,a+=3,tmp);
t32=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32035,a[2]=((C_word)li549),tmp=(C_word)a,a+=3,tmp);
t33=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32041,a[2]=((C_word)li550),tmp=(C_word)a,a+=3,tmp);
t34=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32044,a[2]=((C_word)li551),tmp=(C_word)a,a+=3,tmp);
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32047,a[2]=((C_word)li554),tmp=(C_word)a,a+=3,tmp);
t36=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32146,a[2]=((C_word)li557),tmp=(C_word)a,a+=3,tmp);
t37=C_a_i_vector(&a,10,t28,t29,t30,t31,t32,t33,t34,t35,t36,C_SCHEME_FALSE);
t38=C_mutate((C_word*)lf[710]+1 /* (set! ##sys#stream-port-class ...) */,t37);
t39=C_mutate((C_word*)lf[711]+1 /* (set! ##sys#open-file-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_open_file_port,a[2]=((C_word)li558),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18933,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3267: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=t40;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[710]);
av2[4]=lf[1380];
av2[5]=lf[729];
tp(6,av2);}}

/* ##sys#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18373,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18379,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li515),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18379(t7,t1,t3);}

/* loop in ##sys#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_18379(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18379,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18395,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:2996: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:2998: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[685];
tp(4,av2);}}}}

/* k18393 in loop in ##sys#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18395(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18395,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:2997: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_18379(t3,((C_word*)t0)[4],t2);}

/* ##sys#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_18411,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18417,a[2]=t5,a[3]=t2,a[4]=t3,a[5]=((C_word)li517),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_18417(t7,t1,t3);}

/* loop in ##sys#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_18417(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18417,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t3)){
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18437,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:3004: p */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
/* library.scm:3005: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=lf[687];
tp(4,av2);}}}}

/* k18435 in loop in ##sys#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18437,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18441,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3004: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_18417(t5,t3,t4);}

/* k18439 in k18435 in loop in ##sys#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18441,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* mapsafe3654 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_18453,6,av);}
a=C_alloc(7);
t6=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(t6)){
t7=t3;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_slot(t3,C_fix(0));
t8=C_eqp(t7,C_SCHEME_END_OF_LIST);
if(C_truep(t8)){
/* library.scm:3013: check */
t9=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
av2[4]=t5;
((C_proc)C_fast_retrieve_proc(t9))(5,av2);}}
else{
if(C_truep(C_i_pairp(t7))){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18485,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3015: p */
t10=t2;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=t7;
((C_proc)C_fast_retrieve_proc(t10))(3,av2);}}
else{
/* library.scm:3016: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=t5;
tp(4,av2);}}}}}

/* k18483 in mapsafe3654 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_18485,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18489,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:3015: mapsafe */
t5=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=t4;
av2[4]=C_SCHEME_FALSE;
av2[5]=((C_word*)t0)[6];
((C_proc)C_fast_retrieve_proc(t5))(6,av2);}}

/* k18487 in k18483 in mapsafe3654 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18489,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* check3655 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18497(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_18497,5,av);}
a=C_alloc(8);
t5=C_i_not(t3);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18507,a[2]=t1,a[3]=t4,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t5)){
t7=t6;
f_18507(t7,t5);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18515,a[2]=((C_word)li520),tmp=(C_word)a,a+=3,tmp);
t8=t6;
f_18507(t8,(
  f_18515(t2)
));}}

/* k18505 in check3655 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_18507(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_18507,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:3024: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[688];
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in check3655 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static C_word C_fcall f_18515(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_stack_overflow_check;
loop:{}
t2=C_eqp(t1,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t2))){
t3=C_slot(t1,C_fix(0));
t4=C_eqp(t3,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t4))){
t5=C_slot(t1,C_fix(1));
t7=t5;
t1=t7;
goto loop;}
else{
return(C_SCHEME_FALSE);}}
else{
return(C_SCHEME_FALSE);}}

/* scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,3)))){
C_save_and_reclaim((void*)f_18551,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
if(C_truep(C_i_nullp(t4))){
t5=t2;
t6=t3;
t7=C_i_check_list_2(t6,lf[685]);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18566,a[2]=t9,a[3]=t5,a[4]=((C_word)li522),tmp=(C_word)a,a+=5,tmp));
t11=((C_word*)t9)[1];
f_18566(t11,t1,t6);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18596,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li525),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18596(t9,t1,t5);}}

/* for-each-loop3685 in scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_18566(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_18566,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18576,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3029: g3686 */
t5=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k18574 in for-each-loop3685 in scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18576,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_18566(t3,((C_word*)t0)[4],t2);}

/* loop in scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_18596(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18596,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18609,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18626,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18628,a[2]=((C_word)li524),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3033: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[685];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
/* library.scm:3035: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t4;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[685];
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}}

/* k18607 in loop in scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_18609,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18616,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18618,a[2]=((C_word)li523),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3034: mapsafe */
t4=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[685];
((C_proc)C_fast_retrieve_proc(t4))(6,av2);}}

/* k18614 in k18607 in loop in scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18616(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18616,2,av);}
/* library.scm:3034: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18596(t2,((C_word*)t0)[3],t1);}

/* a18617 in k18607 in loop in scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18618(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18618,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18624 in loop in scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18626,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18627 in loop in scheme#for-each in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18628,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +14,c,3)))){
C_save_and_reclaim((void*)f_18637,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+14);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
if(C_truep(C_i_nullp(t4))){
t5=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t6=t5;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=((C_word*)t7)[1];
t9=t2;
t10=t3;
t11=C_i_check_list_2(t10,lf[687]);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18655,a[2]=t7,a[3]=t13,a[4]=t9,a[5]=t8,a[6]=((C_word)li527),tmp=(C_word)a,a+=7,tmp));
t15=((C_word*)t13)[1];
f_18655(t15,t1,t10);}
else{
t5=C_a_i_cons(&a,2,t3,t4);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_18696,a[2]=t7,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word)li530),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_18696(t9,t1,t5);}}

/* map-loop3716 in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_18655(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_18655,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18680,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:3040: g3722 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k18678 in map-loop3716 in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_18680,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_18655(t6,((C_word*)t0)[5],t5);}

/* loop in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_18696(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,5)))){
C_save_and_reclaim_args((void *)trf_18696,3,t0,t1,t2);}
a=C_alloc(13);
t3=C_slot(t2,C_fix(0));
if(C_truep(C_i_pairp(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18713,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18731,a[2]=t4,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18733,a[2]=((C_word)li529),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3044: mapsafe */
t7=((C_word*)((C_word*)t0)[3])[1];{
C_word av2[6];
av2[0]=t7;
av2[1]=t5;
av2[2]=t6;
av2[3]=t2;
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[687];
((C_proc)C_fast_retrieve_proc(t7))(6,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18740,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t5=C_i_cdr(t2);
/* library.scm:3046: check */
t6=((C_word*)((C_word*)t0)[5])[1];{
C_word av2[5];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=C_SCHEME_TRUE;
av2[4]=lf[687];
((C_proc)C_fast_retrieve_proc(t6))(5,av2);}}}

/* k18711 in loop in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_18713,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18717,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18721,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18723,a[2]=((C_word)li528),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3045: mapsafe */
t6=((C_word*)((C_word*)t0)[4])[1];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
av2[3]=((C_word*)t0)[5];
av2[4]=C_SCHEME_TRUE;
av2[5]=lf[687];
((C_proc)C_fast_retrieve_proc(t6))(6,av2);}}

/* k18715 in k18711 in loop in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18717(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_18717,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k18719 in k18711 in loop in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18721,2,av);}
/* library.scm:3045: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_18696(t2,((C_word*)t0)[3],t1);}

/* a18722 in k18711 in loop in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18723(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18723,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18729 in loop in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18731(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18731,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
C_apply(4,av2);}}

/* a18732 in loop in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18733,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18738 in loop in scheme#map in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18740,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* scheme#dynamic-wind in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_18744,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_18748,a[2]=t2,a[3]=t4,a[4]=t1,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3066: before */
t6=t2;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18746 in scheme#dynamic-wind in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18748(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_18748,2,av);}
a=C_alloc(10);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,C_fast_retrieve(lf[689]));
t4=C_mutate((C_word*)lf[689]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18757,a[2]=((C_word*)t0)[3],a[3]=((C_word)li532),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3068: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a18756 in k18746 in scheme#dynamic-wind in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_18757,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_slot(C_fast_retrieve(lf[689]),C_fix(1));
t4=C_mutate((C_word*)lf[689]+1 /* (set! ##sys#dynamic-winds ...) */,t3);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18765,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3072: after */
t6=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)C_fast_retrieve_proc(t6))(2,av2);}}

/* k18763 in a18756 in k18746 in scheme#dynamic-wind in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_18765,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-current-continuation in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_18775,3,av);}
a=C_alloc(5);
t3=C_fast_retrieve(lf[689]);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18781,a[2]=t3,a[3]=t2,a[4]=((C_word)li535),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3080: ##sys#call-with-current-continuation */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
C_call_cc(3,av2);}}

/* a18780 in scheme#call-with-current-continuation in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_18781,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18784,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li534),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3086: proc */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* continuation in a18780 in scheme#call-with-current-continuation in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18784,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18788,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(C_fast_retrieve(lf[689]),((C_word*)t0)[3]);
if(C_truep(t4)){{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}
else{
t5=C_i_length(C_fast_retrieve(lf[689]));
t6=C_i_length(((C_word*)t0)[3]);
t7=C_fixnum_difference(t5,t6);
/* library.scm:3084: ##sys#dynamic-unwind */
f_18815(t3,((C_word*)t0)[3],t7);}}

/* k18786 in continuation in a18780 in scheme#call-with-current-continuation in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18788,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* ##sys#dynamic-unwind in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_18815(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_18815,3,t1,t2,t3);}
a=C_alloc(5);
t4=C_eqp(C_fast_retrieve(lf[689]),t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18831,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_slot(t2,C_fix(1));
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3093: ##sys#dynamic-unwind */
t11=t5;
t12=t6;
t13=t7;
t1=t11;
t2=t12;
t3=t13;
goto loop;}
else{
t5=C_slot(C_fast_retrieve(lf[689]),C_fix(0));
t6=C_slot(t5,C_fix(1));
t7=C_slot(C_fast_retrieve(lf[689]),C_fix(1));
t8=C_mutate((C_word*)lf[689]+1 /* (set! ##sys#dynamic-winds ...) */,t7);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_18860,a[2]=t3,a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3099: after */
t10=t6;{
C_word av2[2];
av2[0]=t10;
av2[1]=t9;
((C_proc)C_fast_retrieve_proc(t10))(2,av2);}}}}

/* k18829 in ##sys#dynamic-unwind in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18831(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_18831,2,av);}
a=C_alloc(4);
t2=C_slot(((C_word*)t0)[2],C_fix(0));
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18837,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3091: g3781 */
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}

/* k18835 in k18829 in ##sys#dynamic-unwind in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18837(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18837,2,av);}
t2=C_mutate((C_word*)lf[689]+1 /* (set! ##sys#dynamic-winds ...) */,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k18858 in ##sys#dynamic-unwind in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_18860,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:3100: ##sys#dynamic-unwind */
f_18815(((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* chicken.base#port? in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18873(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18873,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* chicken.base#input-port-open? in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18879(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18879,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(1),lf[692]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_input_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#output-port-open? in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18884,3,av);}
t3=t2;
t4=C_i_check_port(t3,C_fix(2),lf[693]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_output_port_openp(t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#port-closed? in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_18889,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_18893,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3122: ##sys#check-port */
t4=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[695];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k18891 in chicken.base#port-closed? in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_18893,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(8));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_fix(0));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-port in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(17,c,1)))){
C_save_and_reclaim((void *)f_18902,6,av);}
a=C_alloc(17);
t6=C_a_i_port(&a,0);
t7=C_i_set_i_slot(t6,C_fix(1),t2);
t8=C_i_setslot(t6,C_fix(2),t3);
t9=C_i_setslot(t6,C_fix(3),t4);
t10=C_i_set_i_slot(t6,C_fix(4),C_fix(1));
t11=C_i_set_i_slot(t6,C_fix(5),C_fix(0));
t12=C_i_setslot(t6,C_fix(7),t5);
t13=C_i_setslot(t6,C_fix(8),t2);
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18933,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-input ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18937,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3268: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[710]);
av2[4]=lf[1379];
av2[5]=lf[729];
tp(6,av2);}}

/* k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_18937,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-output ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18941,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3269: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=t3;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[710]);
av2[4]=lf[1378];
av2[5]=lf[729];
tp(6,av2);}}

/* k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18941,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#standard-error ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18944,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3271: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[711]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[711]+1);
av2[1]=t3;
av2[2]=*((C_word*)lf[712]+1);
av2[3]=C_fix(0);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18944,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18947,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3272: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[711]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[711]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[713]+1);
av2[3]=C_fix(1);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_18947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_18947,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18950,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3273: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[711]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[711]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[714]+1);
av2[3]=C_fix(2);
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 in ... */
static void C_ccall f_18950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(119,c,6)))){
C_save_and_reclaim((void *)f_18950,2,av);}
a=C_alloc(119);
t2=C_mutate((C_word*)lf[715]+1 /* (set! ##sys#check-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18952,a[2]=((C_word)li559),tmp=(C_word)a,a+=3,tmp));
t3=C_mutate((C_word*)lf[716]+1 /* (set! ##sys#check-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18963,a[2]=((C_word)li560),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[694]+1 /* (set! ##sys#check-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18974,a[2]=((C_word)li561),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[717]+1 /* (set! ##sys#check-open-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18985,a[2]=((C_word)li562),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[135]+1 /* (set! scheme#current-input-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18996,a[2]=((C_word)li564),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[136]+1 /* (set! scheme#current-output-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19057,a[2]=((C_word)li566),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[192]+1 /* (set! chicken.base#current-error-port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19118,a[2]=((C_word)li568),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[721]+1 /* (set! ##sys#tty-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19179,a[2]=((C_word)li569),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[723]+1 /* (set! ##sys#port-data ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19193,a[2]=((C_word)li570),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[724]+1 /* (set! ##sys#set-port-data! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19199,a[2]=((C_word)li571),tmp=(C_word)a,a+=3,tmp));
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19205,a[2]=((C_word)li573),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19303,a[2]=((C_word)li574),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[137]+1 /* (set! scheme#open-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19340,a[2]=t13,a[3]=((C_word)li575),tmp=(C_word)a,a+=4,tmp));
t19=C_mutate((C_word*)lf[138]+1 /* (set! scheme#open-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19346,a[2]=t13,a[3]=((C_word)li576),tmp=(C_word)a,a+=4,tmp));
t20=C_mutate((C_word*)lf[139]+1 /* (set! scheme#close-input-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19352,a[2]=t15,a[3]=((C_word)li577),tmp=(C_word)a,a+=4,tmp));
t21=C_mutate((C_word*)lf[140]+1 /* (set! scheme#close-output-port ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19358,a[2]=t15,a[3]=((C_word)li578),tmp=(C_word)a,a+=4,tmp));
t22=*((C_word*)lf[137]+1);
t23=C_mutate((C_word*)lf[141]+1 /* (set! scheme#call-with-input-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19364,a[2]=t22,a[3]=((C_word)li581),tmp=(C_word)a,a+=4,tmp));
t24=*((C_word*)lf[138]+1);
t25=C_mutate((C_word*)lf[142]+1 /* (set! scheme#call-with-output-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19388,a[2]=t24,a[3]=((C_word)li584),tmp=(C_word)a,a+=4,tmp));
t26=*((C_word*)lf[137]+1);
t27=C_mutate((C_word*)lf[143]+1 /* (set! scheme#with-input-from-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19412,a[2]=t26,a[3]=((C_word)li589),tmp=(C_word)a,a+=4,tmp));
t28=*((C_word*)lf[138]+1);
t29=C_mutate((C_word*)lf[144]+1 /* (set! scheme#with-output-to-file ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19446,a[2]=t28,a[3]=((C_word)li594),tmp=(C_word)a,a+=4,tmp));
t30=C_mutate((C_word*)lf[742]+1 /* (set! ##sys#file-exists? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19480,a[2]=((C_word)li595),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[745]+1 /* (set! ##sys#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19506,a[2]=((C_word)li596),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[214]+1 /* (set! chicken.base#flush-output ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19519,a[2]=((C_word)li597),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[747]+1 /* (set! ##sys#port-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19537,a[2]=((C_word)li598),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[748]+1 /* (set! ##sys#decorate-lambda ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19546,a[2]=((C_word)li601),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[749]+1 /* (set! ##sys#lambda-decoration ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19621,a[2]=((C_word)li603),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[750]+1 /* (set! ##sys#make-lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19660,a[2]=((C_word)li604),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[751]+1 /* (set! ##sys#lambda-info? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19669,a[2]=((C_word)li605),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[752]+1 /* (set! ##sys#lambda-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19682,a[2]=((C_word)li606),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[753]+1 /* (set! ##sys#lambda-info->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19688,a[2]=((C_word)li607),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[202]+1 /* (set! chicken.base#procedure-information ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19697,a[2]=((C_word)li608),tmp=(C_word)a,a+=3,tmp));
t41=C_a_i_vector1(&a,1,lf[756]);
t42=C_mutate(&lf[757] /* (set! setter-tag ...) */,t41);
t43=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19726,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t44=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31825,a[2]=((C_word)li998),tmp=(C_word)a,a+=3,tmp);
t45=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31865,a[2]=((C_word)li999),tmp=(C_word)a,a+=3,tmp);
t46=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31881,a[2]=((C_word)li1003),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3502: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t43;
av2[2]=t44;
av2[3]=t45;
av2[4]=t46;
tp(5,av2);}}

/* ##sys#check-input-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_18952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18952,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(1),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-output-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_18963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18963,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
if(C_truep(C_i_pairp(t4))){
t5=t4;
t6=C_u_i_car(t5);
t7=C_i_check_port_2(t2,C_fix(2),t3,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t5=C_i_check_port(t2,C_fix(2),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* ##sys#check-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_18974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18974,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_FALSE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_FALSE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* ##sys#check-open-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_18985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_18985,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
if(C_truep(C_i_pairp(t3))){
t4=t3;
t5=C_u_i_car(t4);
t6=C_i_check_port_2(t2,C_fix(0),C_SCHEME_TRUE,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=C_i_check_port(t2,C_fix(0),C_SCHEME_TRUE);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* scheme#current-input-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_18996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_18996,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[712]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[712]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19009,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3300: ##sys#check-port */
t6=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[718];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19007 in scheme#current-input-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19009,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19011,a[2]=((C_word*)t0)[3],a[3]=((C_word)li563),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19017,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19022,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3301: def-convert?3903 */
  f_19022(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3301: def-set?3904 */
  f_19017(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3301: body3901 */
  f_19011(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3901 in k19007 in scheme#current-input-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19011(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-input ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3904 in k19007 in scheme#current-input-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19017(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3301: body3901 */
  f_19011(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3903 in k19007 in scheme#current-input-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19022(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3301: def-set?3904 */
  f_19017(((C_word*)t0)[2])
));}

/* scheme#current-output-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19057(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19057,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[713]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19070,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3310: ##sys#check-port */
t6=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[719];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19068 in scheme#current-output-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19070,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19072,a[2]=((C_word*)t0)[3],a[3]=((C_word)li565),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19078,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19083,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3311: def-convert?3928 */
  f_19083(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3311: def-set?3929 */
  f_19078(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3311: body3926 */
  f_19072(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3926 in k19068 in scheme#current-output-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19072(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-output ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3929 in k19068 in scheme#current-output-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19078(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3311: body3926 */
  f_19072(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3928 in k19068 in scheme#current-output-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19083(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3311: def-set?3929 */
  f_19078(((C_word*)t0)[2])
));}

/* chicken.base#current-error-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19118(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_19118,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[714]+1);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19131,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3320: ##sys#check-port */
t6=*((C_word*)lf[694]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[720];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k19129 in chicken.base#current-error-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_19131,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19133,a[2]=((C_word*)t0)[3],a[3]=((C_word)li567),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19139,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19144,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:3321: def-convert?3953 */
  f_19144(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:3321: def-set?3954 */
  f_19139(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:3321: body3951 */
  f_19133(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body3951 in k19129 in chicken.base#current-error-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19133(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[714]+1 /* (set! ##sys#standard-error ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?3954 in k19129 in chicken.base#current-error-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19139(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3321: body3951 */
  f_19133(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?3953 in k19129 in chicken.base#current-error-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static C_word C_fcall f_19144(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:3321: def-set?3954 */
  f_19139(((C_word*)t0)[2])
));}

/* ##sys#tty-port? in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19179,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19191,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3326: ##sys#peek-unsigned-integer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[722]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[722]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=C_fix(0);
tp(4,av2);}}

/* k19189 in ##sys#tty-port? in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19191,2,av);}
t2=C_i_zerop(t1);
if(C_truep(C_i_not(t2))){
t3=C_tty_portp(((C_word*)t0)[2]);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* ##sys#port-data in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19193,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_slot(t2,C_fix(9));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-port-data! in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19199,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(t2,C_fix(9),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_fcall f_19205(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,0,3)))){
C_save_and_reclaim_args((void *)trf_19205,5,t1,t2,t3,t4,t5);}
a=C_alloc(22);
t6=C_i_check_string_2(t2,t5);
t7=(C_truep(t3)?lf[725]:lf[726]);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=lf[727];
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19215,a[2]=t1,a[3]=t5,a[4]=t2,a[5]=t9,a[6]=t11,a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t13=C_SCHEME_UNDEFINED;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=C_set_block_item(t14,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19248,a[2]=t14,a[3]=t11,a[4]=t3,a[5]=t5,a[6]=t9,a[7]=((C_word)li572),tmp=(C_word)a,a+=8,tmp));
t16=((C_word*)t14)[1];
f_19248(t16,t12,t4);}

/* k19213 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_19215,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19218,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[7])){
/* library.scm:3348: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=t2;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[710]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[729];
tp(6,av2);}}
else{
/* library.scm:3348: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[710]);
av2[4]=((C_word*)t0)[4];
av2[5]=lf[729];
tp(6,av2);}}}

/* k19216 in k19213 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_19218,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19221,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19224,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19242,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3349: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t5;
av2[2]=((C_word*)((C_word*)t0)[5])[1];
av2[3]=((C_word*)((C_word*)t0)[6])[1];
tp(4,av2);}}

/* k19219 in k19216 in k19213 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19221,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k19222 in k19216 in k19213 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19224(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19224,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19227,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3350: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2=av;
av2[0]=*((C_word*)lf[702]+1);
av2[1]=t2;
tp(2,av2);}}}

/* k19225 in k19222 in k19216 in k19213 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in ... */
static void C_ccall f_19227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_19227,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19234,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19238,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19232 in k19225 in k19222 in k19216 in k19213 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in ... */
static void C_ccall f_19234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19234,2,av);}
/* library.scm:3351: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[698];
av2[3]=((C_word*)t0)[3];
av2[4]=t1;
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k19236 in k19225 in k19222 in k19216 in k19213 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in ... */
static void C_ccall f_19238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19238,2,av);}
/* library.scm:3351: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[728];
av2[3]=t1;
tp(4,av2);}}

/* k19240 in k19216 in k19213 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19242,2,av);}
/* library.scm:3349: ##sys#open-file-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[711]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[711]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}

/* doloop3988 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_fcall f_19248(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_19248,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19261,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_eqp(t3,lf[730]);
if(C_truep(t5)){
t6=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[731]);
t7=C_slot(t2,C_fix(1));
t11=t1;
t12=t7;
t1=t11;
t2=t12;
goto loop;}
else{
t6=C_eqp(t3,lf[732]);
if(C_truep(t6)){
t7=C_mutate(((C_word *)((C_word*)t0)[3])+1,lf[733]);
t8=C_slot(t2,C_fix(1));
t11=t1;
t12=t8;
t1=t11;
t2=t12;
goto loop;}
else{
t7=C_eqp(t3,lf[734]);
if(C_truep(t7)){
if(C_truep(((C_word*)t0)[4])){
/* library.scm:3345: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[735];
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}
else{
t8=C_mutate(((C_word *)((C_word*)t0)[6])+1,lf[736]);
t9=C_slot(t2,C_fix(1));
t11=t1;
t12=t9;
t1=t11;
t2=t12;
goto loop;}}
else{
/* library.scm:3347: ##sys#error */
t8=*((C_word*)lf[155]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[737];
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}}}}}

/* k19259 in doloop3988 in open in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19261,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_19248(t3,((C_word*)t0)[4],t2);}

/* close in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_fcall f_19303(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_19303,4,t1,t2,t3,t4);}
a=C_alloc(5);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19307,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3355: ##sys#check-port */
t6=*((C_word*)lf[694]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k19305 in close in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19307,2,av);}
t2=(C_truep(((C_word*)t0)[2])?C_fix(1):C_fix(2));
if(C_truep(C_port_openp(((C_word*)t0)[3],t2))){
t3=C_slot(((C_word*)t0)[3],C_fix(8));
t4=C_fixnum_not(t2);
t5=C_fixnum_and(t3,t4);
t6=C_i_set_i_slot(((C_word*)t0)[3],C_fix(8),t5);
t7=C_slot(((C_word*)t0)[3],C_fix(2));
t8=C_slot(t7,C_fix(4));
/* library.scm:3358: g4009 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* scheme#open-input-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19340,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3362: open */
f_19205(t1,t2,C_SCHEME_TRUE,t3,lf[738]);}

/* scheme#open-output-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19346(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,5)))){
C_save_and_reclaim((void*)f_19346,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
/* library.scm:3363: open */
f_19205(t1,t2,C_SCHEME_FALSE,t3,lf[739]);}

/* scheme#close-input-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19352,3,av);}
/* library.scm:3364: close */
f_19303(t1,t2,C_SCHEME_TRUE,lf[740]);}

/* scheme#close-output-port in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_19358,3,av);}
/* library.scm:3365: close */
f_19303(t1,t2,C_SCHEME_FALSE,lf[741]);}

/* scheme#call-with-input-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19364,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19368,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19366 in scheme#call-with-input-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19368,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19373,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li579),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19379,a[2]=t2,a[3]=((C_word)li580),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3372: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19372 in k19366 in scheme#call-with-input-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19373,2,av);}
/* library.scm:3373: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19378 in k19366 in scheme#call-with-input-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19379,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19383,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3375: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19381 in a19378 in k19366 in scheme#call-with-input-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19383,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#call-with-output-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19388,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19392,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19390 in scheme#call-with-output-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19392(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_19392,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19397,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li582),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19403,a[2]=t2,a[3]=((C_word)li583),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3383: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a19396 in k19390 in scheme#call-with-output-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19397,2,av);}
/* library.scm:3384: p */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a19402 in k19390 in scheme#call-with-output-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19403,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19407,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3386: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19405 in a19402 in k19390 in scheme#call-with-output-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19407,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* scheme#with-input-from-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19412,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19416,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19414 in scheme#with-input-from-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19416,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19421,a[2]=t6,a[3]=t4,a[4]=((C_word)li585),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19426,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li587),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19441,a[2]=t4,a[3]=t6,a[4]=((C_word)li588),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3394: ##sys#dynamic-wind */
t10=*((C_word*)lf[690]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19420 in k19414 in scheme#with-input-from-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19421,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[712]+1));
t3=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19425 in k19414 in scheme#with-input-from-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19426(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19426,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19432,a[2]=((C_word*)t0)[2],a[3]=((C_word)li586),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3395: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19431 in a19425 in k19414 in scheme#with-input-from-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19432,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19436,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3397: close-input-port */
t4=*((C_word*)lf[139]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19434 in a19431 in a19425 in k19414 in scheme#with-input-from-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in ... */
static void C_ccall f_19436(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19436,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19440 in k19414 in scheme#with-input-from-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19441,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[712]+1));
t3=C_mutate((C_word*)lf[712]+1 /* (set! ##sys#standard-input ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#with-output-to-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19446(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +4,c,4)))){
C_save_and_reclaim((void*)f_19446,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+4);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19450,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
av2[4]=t4;
C_apply(5,av2);}}

/* k19448 in scheme#with-output-to-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,4)))){
C_save_and_reclaim((void *)f_19450,2,av);}
a=C_alloc(19);
t2=t1;
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19455,a[2]=t6,a[3]=t4,a[4]=((C_word)li590),tmp=(C_word)a,a+=5,tmp);
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19460,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li592),tmp=(C_word)a,a+=5,tmp);
t9=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19475,a[2]=t4,a[3]=t6,a[4]=((C_word)li593),tmp=(C_word)a,a+=5,tmp);
/* library.scm:3405: ##sys#dynamic-wind */
t10=*((C_word*)lf[690]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a19454 in k19448 in scheme#with-output-to-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19455,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[713]+1));
t3=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a19459 in k19448 in scheme#with-output-to-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19460,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19466,a[2]=((C_word*)t0)[2],a[3]=((C_word)li591),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3406: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
C_call_with_values(4,av2);}}

/* a19465 in a19459 in k19448 in scheme#with-output-to-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19466(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_19466,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19470,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3408: close-output-port */
t4=*((C_word*)lf[140]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k19468 in a19465 in a19459 in k19448 in scheme#with-output-to-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in ... */
static void C_ccall f_19470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19470,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_apply_values(3,av2);}}

/* a19474 in k19448 in scheme#with-output-to-file in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19475,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,*((C_word*)lf[713]+1));
t3=C_mutate((C_word*)lf[713]+1 /* (set! ##sys#standard-output ...) */,((C_word*)((C_word*)t0)[3])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#file-exists? in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_19480,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19485,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t5,a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3412: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2=av;
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* k19483 in ##sys#file-exists? in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_19485,2,av);}
t2=C_i_file_exists_p(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
switch(t2){
case C_SCHEME_FALSE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
case C_SCHEME_TRUE:
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}
default:
/* library.scm:3416: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
av2[2]=lf[698];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[743];
av2[5]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* ##sys#flush-output in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19506,3,av);}
a=C_alloc(3);
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(5));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19513,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3420: g4089 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}

/* k19511 in ##sys#flush-output in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19513(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19513,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flush-output in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_19519,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[713]+1);
t4=C_i_check_port_2(*((C_word*)lf[713]+1),C_fix(2),C_SCHEME_TRUE,lf[746]);
/* library.scm:3427: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[713]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_TRUE,lf[746]);
/* library.scm:3427: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#port-line in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19537,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(C_truep(C_input_portp(t2))?C_slot(t2,C_fix(4)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#decorate-lambda in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19546(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19546,5,av);}
a=C_alloc(10);
t5=C_block_size(t2);
t6=t5;
t7=C_fixnum_difference(t6,C_fix(1));
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19559,a[2]=t6,a[3]=t2,a[4]=t4,a[5]=t9,a[6]=t3,a[7]=((C_word)li600),tmp=(C_word)a,a+=8,tmp));
t11=((C_word*)t9)[1];
f_19559(t11,t1,t7);}

/* loop in ##sys#decorate-lambda in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_fcall f_19559(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_19559,3,t0,t1,t2);}
a=C_alloc(7);
t3=t2;
if(C_truep(C_i_zerop(t3))){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19567,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t5=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3441: scheme#make-vector */
t6=*((C_word*)lf[93]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}
else{
t4=C_slot(((C_word*)t0)[3],t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_19609,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3450: pred */
t6=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k19565 in loop in ##sys#decorate-lambda in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_19567,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19572,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word)li599),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_19572(t6,((C_word*)t0)[5],C_fix(1));}

/* doloop4118 in k19565 in loop in ##sys#decorate-lambda in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_fcall f_19572(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19572,3,t0,t1,t2);}
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_vector_to_closure(((C_word*)t0)[3]);
t4=C_copy_pointer(((C_word*)t0)[4],((C_word*)t0)[3]);
/* library.scm:3446: decorator */
t5=((C_word*)t0)[5];{
C_word av2[4];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t3=C_slot(((C_word*)t0)[4],t2);
t4=C_i_setslot(((C_word*)t0)[3],t2,t3);
t5=C_fixnum_plus(t2,C_fix(1));
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}

/* k19607 in loop in ##sys#decorate-lambda in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19609(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19609,2,av);}
if(C_truep(t1)){
/* library.scm:3451: decorator */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3452: loop */
t3=((C_word*)((C_word*)t0)[6])[1];
f_19559(t3,((C_word*)t0)[3],t2);}}

/* ##sys#lambda-decoration in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19621(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_19621,4,av);}
a=C_alloc(8);
t4=C_block_size(t2);
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19631,a[2]=t2,a[3]=t7,a[4]=t3,a[5]=((C_word)li602),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_19631(t9,t1,t5);}

/* loop in ##sys#lambda-decoration in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_fcall f_19631(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_19631,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=C_slot(((C_word*)t0)[2],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19647,a[2]=t1,a[3]=t4,a[4]=t2,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3458: pred */
t6=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k19645 in loop in ##sys#lambda-decoration in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19647,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fixnum_difference(((C_word*)t0)[4],C_fix(1));
/* library.scm:3460: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_19631(t3,((C_word*)t0)[2],t2);}}

/* ##sys#make-lambda-info in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19660,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19667,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3467: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19665 in ##sys#make-lambda-info in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19667,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_string_to_lambdainfo(t1);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#lambda-info? in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19669,3,av);}
t3=C_immp(t2);
if(C_truep(C_i_not(t3))){
t4=C_lambdainfop(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#lambda-info in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19682,3,av);}
/* library.scm:3479: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=C_fast_retrieve(lf[751]);
tp(4,av2);}}

/* ##sys#lambda-info->string in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19688(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19688,3,av);}
a=C_alloc(5);
t3=C_block_size(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19695,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3483: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k19693 in ##sys#lambda-info->string in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19695,2,av);}
t2=C_copy_memory(t1,((C_word*)t0)[2],((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#procedure-information in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_19697,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19701,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3489: ##sys#check-closure */
t4=*((C_word*)lf[366]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[755];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19699 in chicken.base#procedure-information in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_19701,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19704,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3490: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k19702 in k19699 in chicken.base#procedure-information in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_19704,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19714,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19718,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:3491: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t3;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19712 in k19702 in k19699 in chicken.base#procedure-information in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_19714,2,av);}
/* library.scm:3491: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k19716 in k19702 in k19699 in chicken.base#procedure-information in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19718(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_19718,2,av);}
/* library.scm:3491: chicken.base#open-input-string */
t2=*((C_word*)lf[212]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_19726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19726,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[203]+1 /* (set! chicken.base#setter ...) */,t1);
t3=C_mutate((C_word*)lf[758]+1 /* (set! ##sys#setter ...) */,*((C_word*)lf[203]+1));
t4=C_mutate((C_word*)lf[200]+1 /* (set! chicken.base#getter-with-setter ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19729,a[2]=((C_word)li612),tmp=(C_word)a,a+=3,tmp));
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19806,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3551: chicken.base#getter-with-setter */
t6=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=*((C_word*)lf[9]+1);
av2[3]=*((C_word*)lf[11]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19729(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_19729,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+6);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19736,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=t7,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3530: ##sys#check-closure */
t9=*((C_word*)lf[366]+1);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
av2[2]=t2;
av2[3]=lf[759];
((C_proc)(void*)(*((C_word*)t9+1)))(4,av2);}}

/* k19734 in chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_19736,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19739,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3531: ##sys#check-closure */
t3=*((C_word*)lf[366]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[759];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k19737 in k19734 in chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19739(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_19739,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19742,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
t3=C_i_check_string_2(((C_word*)t0)[5],lf[759]);
/* library.scm:3534: ##sys#make-lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[750]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[750]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
/* library.scm:3535: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k19740 in k19737 in k19734 in chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in ... */
static void C_ccall f_19742(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_19742,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19745,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19761,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3537: ##sys#copy-closure */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[332]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[332]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k19743 in k19740 in k19737 in k19734 in chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in ... */
static void C_ccall f_19745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_19745,2,av);}
a=C_alloc(4);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19753,a[2]=((C_word*)t0)[2],a[3]=((C_word)li609),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3543: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_fast_retrieve(lf[751]);
av2[4]=t2;
tp(5,av2);}}
else{
t2=t1;
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19752 in k19743 in k19740 in k19737 in k19734 in chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in ... */
static void C_ccall f_19753(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19753,4,av);}
t4=C_i_setslot(t2,t3,((C_word*)t0)[2]);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k19759 in k19740 in k19737 in k19734 in chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in ... */
static void C_ccall f_19761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_19761,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19763,a[2]=((C_word)li610),tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19779,a[2]=((C_word*)t0)[2],a[3]=((C_word)li611),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3536: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=t2;
av2[4]=t3;
tp(5,av2);}}

/* a19762 in k19759 in k19740 in k19737 in k19734 in chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in ... */
static void C_ccall f_19763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19763,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[757],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a19778 in k19759 in k19740 in k19737 in k19734 in chicken.base#getter-with-setter in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in ... */
static void C_ccall f_19779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_19779,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[757],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_19806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19806,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19810,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3552: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[10]+1);
av2[3]=*((C_word*)lf[12]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_19810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19810,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19814,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31815,a[2]=((C_word)li996),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3553: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[17]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_19814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19814,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19818,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31805,a[2]=((C_word)li995),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3554: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[13]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in ... */
static void C_ccall f_19818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19818,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19822,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31795,a[2]=((C_word)li994),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3555: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[18]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in ... */
static void C_ccall f_19822(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19822,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19826,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31785,a[2]=((C_word)li993),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3556: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[19]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in ... */
static void C_ccall f_19826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19826,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19830,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31775,a[2]=((C_word)li992),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3557: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[20]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in ... */
static void C_ccall f_19830(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19830,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19834,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31765,a[2]=((C_word)li991),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3558: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[21]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in ... */
static void C_ccall f_19834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19834,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19838,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31755,a[2]=((C_word)li990),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3559: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[22]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in ... */
static void C_ccall f_19838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19838,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19842,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31745,a[2]=((C_word)li989),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3560: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[14]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in ... */
static void C_ccall f_19842(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19842,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19846,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31735,a[2]=((C_word)li988),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3561: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[23]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in ... */
static void C_ccall f_19846(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19846,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19850,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31725,a[2]=((C_word)li987),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3562: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[24]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in ... */
static void C_ccall f_19850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19850,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19854,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31715,a[2]=((C_word)li986),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3563: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[25]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in ... */
static void C_ccall f_19854(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_19854,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19858,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31705,a[2]=((C_word)li985),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3564: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[26]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in ... */
static void C_ccall f_19858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19858,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19862,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3565: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[58]+1);
av2[3]=*((C_word*)lf[59]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in ... */
static void C_ccall f_19862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_19862,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19866,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3566: chicken.base#getter-with-setter */
t4=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=*((C_word*)lf[91]+1);
av2[3]=*((C_word*)lf[92]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in ... */
static void C_ccall f_19866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_19866,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19870,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31695,a[2]=((C_word)li984),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3569: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=*((C_word*)lf[45]+1);
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in ... */
static void C_ccall f_19870(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_19870,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,t1);
t3=C_SCHEME_UNDEFINED;
t4=C_a_i_vector(&a,16,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3,t3);
t5=C_mutate(&lf[760] /* (set! ##sys#default-parameter-vector ...) */,t4);
t6=C_mutate((C_word*)lf[761]+1 /* (set! ##sys#current-parameter-vector ...) */,lf[762]);
t7=C_fix(0);
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[201]+1 /* (set! chicken.base#make-parameter ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19877,a[2]=t8,a[3]=((C_word)li620),tmp=(C_word)a,a+=4,tmp));
t10=C_mutate((C_word*)lf[146]+1 /* (set! scheme#char-ready? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20041,a[2]=((C_word)li621),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[147]+1 /* (set! scheme#read-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20066,a[2]=((C_word)li622),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[764]+1 /* (set! ##sys#read-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20084,a[2]=((C_word)li623),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[765]+1 /* (set! ##sys#read-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20144,a[2]=((C_word)li624),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[766]+1 /* (set! ##sys#peek-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20153,a[2]=((C_word)li625),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[148]+1 /* (set! scheme#peek-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20178,a[2]=((C_word)li626),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[149]+1 /* (set! scheme#read ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20196,a[2]=((C_word)li627),tmp=(C_word)a,a+=3,tmp));
t17=C_set_block_item(lf[768] /* ##sys#default-read-info-hook */,0,C_SCHEME_FALSE);
t18=C_set_block_item(lf[769] /* ##sys#read-error-with-line-number */,0,C_SCHEME_FALSE);
t19=C_mutate((C_word*)lf[770]+1 /* (set! ##sys#read-prompt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20216,a[2]=((C_word)li628),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[771]+1 /* (set! ##sys#infix-list-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20219,a[2]=((C_word)li629),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[772]+1 /* (set! ##sys#sharp-number-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20222,a[2]=((C_word)li630),tmp=(C_word)a,a+=3,tmp));
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20230,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3679: chicken.base#make-parameter */
t23=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t23;
av2[1]=t22;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t23+1)))(3,av2);}}

/* chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_19877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,3)))){
C_save_and_reclaim((void*)f_19877,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20035,a[2]=((C_word)li613),tmp=(C_word)a,a+=3,tmp):C_i_car(t3));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19884,a[2]=((C_word*)t0)[2],a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3582: guard */
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in ... */
static void C_ccall f_19884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,6)))){
C_save_and_reclaim((void *)f_19884,2,av);}
a=C_alloc(14);
t2=t1;
t3=((C_word*)((C_word*)t0)[2])[1];
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19885,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=((C_word)li614),tmp=(C_word)a,a+=5,tmp);
t5=C_fixnum_plus(((C_word*)((C_word*)t0)[2])[1],C_fix(1));
t6=C_set_block_item(((C_word*)t0)[2],0,t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19919,a[2]=t3,a[3]=t2,a[4]=t4,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(C_retrieve2(lf[760],C_text("##sys#default-parameter-vector")));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t8))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20023,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t10=C_fixnum_plus(t3,C_fix(1));
/* library.scm:3599: ##sys#vector-resize */
f_18070(t9,C_retrieve2(lf[760],C_text("##sys#default-parameter-vector")),t10,C_SCHEME_UNDEFINED);}
else{
t9=t7;
f_19919(t9,C_SCHEME_UNDEFINED);}}

/* assign in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in ... */
static void C_fcall f_19885(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_19885,6,t0,t1,t2,t3,t4,t5);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_19889,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t4,a[6]=((C_word*)t0)[3],a[7]=t2,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],t3))){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_19908,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:3587: ##sys#vector-resize */
f_18070(t7,C_fast_retrieve(lf[761]),t8,*((C_word*)lf[625]+1));}
else{
t7=t6;
f_19889(t7,C_SCHEME_UNDEFINED);}}

/* k19887 in assign in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in ... */
static void C_fcall f_19889(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_19889,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19892,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[5])){
/* library.scm:3591: guard */
t3=((C_word*)t0)[6];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}
else{
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[7];
f_19892(2,av2);}}}

/* k19890 in k19887 in assign in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in ... */
static void C_ccall f_19892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19892,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_setslot(C_fast_retrieve(lf[761]),((C_word*)t0)[3],t1);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k19906 in assign in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in ... */
static void C_ccall f_19908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_19908,2,av);}
t2=C_mutate((C_word*)lf[761]+1 /* (set! ##sys#current-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19889(t3,t2);}

/* k19917 in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in ... */
static void C_fcall f_19919(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_19919,2,t0,t1);}
a=C_alloc(9);
t2=C_i_setslot(C_retrieve2(lf[760],C_text("##sys#default-parameter-vector")),((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_19927,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word)li618),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20009,a[2]=((C_word*)t0)[4],a[3]=((C_word)li619),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3605: chicken.base#getter-with-setter */
t5=*((C_word*)lf[200]+1);{
C_word av2[4];
av2[0]=t5;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a19926 in k19917 in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in ... */
static void C_ccall f_19927(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +14,c,4)))){
C_save_and_reclaim((void*)f_19927,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+14);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
t3=C_block_size(C_fast_retrieve(lf[761]));
t4=t3;
if(C_truep(C_i_pairp(t2))){
t5=t2;
t6=C_u_i_cdr(t5);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_19939,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li615),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19948,a[2]=t7,a[3]=((C_word)li616),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_19953,a[2]=t8,a[3]=((C_word)li617),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t6))){
/* library.scm:3609: def-convert?4271 */
t10=t9;
f_19953(t10,t1);}
else{
t10=C_i_car(t6);
t11=C_u_i_cdr(t6);
if(C_truep(C_i_nullp(t11))){
/* library.scm:3609: def-set?4272 */
t12=t8;
f_19948(t12,t1,t10);}
else{
t12=C_i_car(t11);
t13=C_u_i_cdr(t11);
/* library.scm:3609: body4269 */
t14=t7;
f_19939(t14,t1,t10,t12);}}}
else{
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[3],t4))){
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_slot(C_retrieve2(lf[760],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=C_slot(C_fast_retrieve(lf[761]),((C_word*)t0)[3]);
t6=C_eqp(t5,*((C_word*)lf[625]+1));
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(C_truep(t6)?C_slot(C_retrieve2(lf[760],C_text("##sys#default-parameter-vector")),((C_word*)t0)[3]):t5);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}

/* body4269 in a19926 in k19917 in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in ... */
static void C_fcall f_19939(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,5)))){
C_save_and_reclaim_args((void *)trf_19939,4,t0,t1,t2,t3);}
t4=C_i_car(((C_word*)t0)[2]);
/* library.scm:3611: assign */
t5=((C_word*)t0)[3];
f_19885(t5,t1,t4,((C_word*)t0)[4],t2,t3);}

/* def-set?4272 in a19926 in k19917 in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in ... */
static void C_fcall f_19948(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_19948,3,t0,t1,t2);}
/* library.scm:3609: body4269 */
t3=((C_word*)t0)[2];
f_19939(t3,t1,t2,C_SCHEME_TRUE);}

/* def-convert?4271 in a19926 in k19917 in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in ... */
static void C_fcall f_19953(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_19953,2,t0,t1);}
/* library.scm:3609: def-set?4272 */
t2=((C_word*)t0)[2];
f_19948(t2,t1,C_SCHEME_TRUE);}

/* a20008 in k19917 in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in ... */
static void C_ccall f_20009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20009,3,av);}
t3=C_block_size(C_fast_retrieve(lf[761]));
/* library.scm:3621: assign */
t4=((C_word*)t0)[2];
f_19885(t4,t1,t2,t3,C_SCHEME_FALSE,C_SCHEME_TRUE);}

/* k20021 in k19882 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in ... */
static void C_ccall f_20023(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20023,2,av);}
t2=C_mutate(&lf[760] /* (set! ##sys#default-parameter-vector ...) */,t1);
t3=((C_word*)t0)[2];
f_19919(t3,t2);}

/* f_20035 in chicken.base#make-parameter in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in ... */
static void C_ccall f_20035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20035,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char-ready? in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20041,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[712]+1):C_i_car(t2));
t5=C_i_check_port_2(t4,C_fix(1),C_SCHEME_TRUE,lf[763]);
t6=C_slot(t4,C_fix(2));
t7=C_slot(t6,C_fix(6));
/* library.scm:3627: g4304 */
t8=t7;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t8;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t8))(3,av2);}}

/* scheme#read-char in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20066,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[712]+1);
t4=C_i_check_port_2(*((C_word*)lf[712]+1),C_fix(1),C_SCHEME_TRUE,lf[699]);
/* library.scm:3634: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[712]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[699]);
/* library.scm:3634: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* ##sys#read-char-0 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20084,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20088,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_slot(t2,C_fix(6)))){
t4=C_i_set_i_slot(t2,C_fix(6),C_SCHEME_FALSE);
t5=t3;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_FILE;
f_20088(2,av2);}}
else{
t4=C_slot(t2,C_fix(2));
t5=C_slot(t4,C_fix(0));
/* library.scm:3637: g4322 */
t6=t5;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t3;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20086 in ##sys#read-char-0 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in ... */
static void C_ccall f_20088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20088,2,av);}
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=C_slot(((C_word*)t0)[2],C_fix(4));
t4=C_fixnum_plus(t3,C_fix(1));
t5=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t4);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t3=C_eofp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=C_fixnum_plus(t4,C_fix(1));
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t5);
t7=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t7;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}

/* ##sys#read-char/port in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20144,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[699]);
/* library.scm:3651: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2=av;
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* ##sys#peek-char-0 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20153(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20153,3,av);}
a=C_alloc(4);
if(C_truep(C_slot(t2,C_fix(6)))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(1));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20166,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3656: g4336 */
t6=t4;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k20164 in ##sys#peek-char-0 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in ... */
static void C_ccall f_20166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20166,2,av);}
if(C_truep(C_eofp(t1))){
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(6),C_SCHEME_TRUE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* scheme#peek-char in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20178(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_20178,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[712]+1);
t4=C_i_check_port_2(*((C_word*)lf[712]+1),C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3664: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[712]+1);
tp(3,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[703]);
/* library.scm:3664: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}}

/* scheme#read in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20196(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_20196,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[712]+1);
t4=C_i_check_port_2(*((C_word*)lf[712]+1),C_fix(1),C_SCHEME_TRUE,lf[767]);
/* library.scm:3669: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t1;
av2[2]=*((C_word*)lf[712]+1);
av2[3]=C_fast_retrieve(lf[768]);
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=C_i_check_port_2(t3,C_fix(1),C_SCHEME_TRUE,lf[767]);
/* library.scm:3669: ##sys#read */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[754]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[754]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fast_retrieve(lf[768]);
tp(4,av2);}}}

/* ##sys#read-prompt-hook in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20216,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#infix-list-hook in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20219,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#sharp-number-hook in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20222,4,av);}
/* library.scm:3677: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=lf[774];
av2[4]=t3;
tp(5,av2);}}

/* k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in ... */
static void C_ccall f_20230(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20230,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[230]+1 /* (set! chicken.base#case-sensitive ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20234,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3680: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[810];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in ... */
static void C_ccall f_20234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20234,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[231]+1 /* (set! chicken.base#keyword-style ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20238,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3681: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in ... */
static void C_ccall f_20238(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20238,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[232]+1 /* (set! chicken.base#parentheses-synonyms ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20242,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3682: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in ... */
static void C_ccall f_20242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20242,2,av);}
a=C_alloc(8);
t2=C_mutate((C_word*)lf[233]+1 /* (set! chicken.base#symbol-escape ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20246,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_a_i_record4(&a,4,lf[1375],C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_FALSE);
/* library.scm:3684: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in ... */
static void C_ccall f_20246(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(56,c,4)))){
C_save_and_reclaim((void *)f_20246,2,av);}
a=C_alloc(56);
t2=C_mutate((C_word*)lf[775]+1 /* (set! ##sys#current-read-table ...) */,t1);
t3=C_mutate((C_word*)lf[776]+1 /* (set! ##sys#read-warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20248,a[2]=((C_word)li631),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[773]+1 /* (set! ##sys#read-error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20271,a[2]=((C_word)li632),tmp=(C_word)a,a+=3,tmp));
t5=*((C_word*)lf[231]+1);
t6=*((C_word*)lf[230]+1);
t7=*((C_word*)lf[232]+1);
t8=*((C_word*)lf[233]+1);
t9=C_fast_retrieve(lf[775]);
t10=C_mutate((C_word*)lf[754]+1 /* (set! ##sys#read ...) */,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20294,a[2]=t9,a[3]=t8,a[4]=t7,a[5]=t5,a[6]=t6,a[7]=((C_word)li688),tmp=(C_word)a,a+=8,tmp));
t11=C_mutate((C_word*)lf[788]+1 /* (set! ##sys#char->utf8-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23131,a[2]=((C_word)li689),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[795]+1 /* (set! ##sys#unicode-surrogate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23296,a[2]=((C_word)li690),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[792]+1 /* (set! ##sys#surrogates->codepoint ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23308,a[2]=((C_word)li691),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[842]+1 /* (set! ##sys#read-bytevector-literal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23370,a[2]=((C_word)li694),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[854]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23518,a[2]=((C_word)li695),tmp=(C_word)a,a+=3,tmp));
t16=C_set_block_item(lf[852] /* ##sys#read-marks */,0,C_SCHEME_END_OF_LIST);
t17=C_mutate((C_word*)lf[861]+1 /* (set! ##sys#write-char-0 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23563,a[2]=((C_word)li696),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[862]+1 /* (set! ##sys#write-char/port ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23579,a[2]=((C_word)li697),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[150]+1 /* (set! scheme#write-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23591,a[2]=((C_word)li698),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[151]+1 /* (set! scheme#newline ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23612,a[2]=((C_word)li699),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[152]+1 /* (set! scheme#write ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23627,a[2]=((C_word)li700),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[153]+1 /* (set! scheme#display ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23645,a[2]=((C_word)li701),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[188]+1 /* (set! chicken.base#print ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23663,a[2]=((C_word)li703),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[189]+1 /* (set! chicken.base#print* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23714,a[2]=((C_word)li705),tmp=(C_word)a,a+=3,tmp));
t25=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23767,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4421: chicken.base#make-parameter */
t26=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t26;
av2[1]=t25;
av2[2]=C_fix(0);
((C_proc)(void*)(*((C_word*)t26+1)))(3,av2);}}

/* ##sys#read-warning in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_20248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20248,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20256,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3691: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2=av;
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20254 in ##sys#read-warning in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_20256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20256,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20259,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[769]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20269,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3693: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t4;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}}

/* k20257 in k20254 in ##sys#read-warning in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_20259(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20259,2,av);}{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[311]+1);
av2[3]=t1;
av2[4]=((C_word*)t0)[3];
C_apply(5,av2);}}

/* k20267 in k20254 in ##sys#read-warning in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_20269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20269,2,av);}
/* library.scm:3693: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[777];
av2[3]=t1;
av2[4]=lf[778];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read-error in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_20271(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +5,c,2)))){
C_save_and_reclaim((void*)f_20271,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+5);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20279,a[2]=t1,a[3]=t4,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3703: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2=av;
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}

/* k20277 in ##sys#read-error in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_20279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,5)))){
C_save_and_reclaim((void *)f_20279,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20282,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(C_truep(C_fast_retrieve(lf[769]))?t1:C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20292,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3705: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}
else{
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[779];
av2[4]=t4;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}}

/* k20280 in k20277 in ##sys#read-error in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_20282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20282,2,av);}{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[779];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
C_apply(6,av2);}}

/* k20290 in k20277 in ##sys#read-error in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_20292(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_20292,2,av);}
/* library.scm:3705: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[780];
av2[3]=t1;
av2[4]=lf[781];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_20294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20294,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20298,a[2]=t2,a[3]=t3,a[4]=t1,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3717: case-sensitive */
t5=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_20298(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_20298,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20301,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3718: keyword-style */
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_20301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_20301,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20304,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3719: parentheses-synonyms */
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_20304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20304,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20307,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3720: symbol-escape */
t4=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_20307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20307,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20310,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3721: current-read-table */
t4=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_20310(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(52,c,5)))){
C_save_and_reclaim((void *)f_20310,2,av);}
a=C_alloc(52);
t2=t1;
t3=lf[782];
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20312,a[2]=((C_word*)t0)[2],a[3]=((C_word)li633),tmp=(C_word)a,a+=4,tmp));
t19=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20318,a[2]=((C_word*)t0)[3],a[3]=((C_word)li634),tmp=(C_word)a,a+=4,tmp));
t20=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20327,a[2]=((C_word*)t0)[2],a[3]=((C_word)li636),tmp=(C_word)a,a+=4,tmp));
t21=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20364,a[2]=((C_word*)t0)[2],a[3]=((C_word)li637),tmp=(C_word)a,a+=4,tmp));
t22=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20373,a[2]=t5,a[3]=t13,a[4]=((C_word)li638),tmp=(C_word)a,a+=5,tmp));
t23=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|16,a[1]=(C_word)f_20388,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=t7,a[5]=t9,a[6]=t17,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=t15,a[10]=t3,a[11]=t5,a[12]=t13,a[13]=t2,a[14]=((C_word*)t0)[6],a[15]=((C_word*)t0)[7],a[16]=((C_word)li687),tmp=(C_word)a,a+=17,tmp));
/* library.scm:4288: readrec */
t24=((C_word*)t17)[1];
f_20388(t24,((C_word*)t0)[8]);}

/* f_20312 in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_20312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20312,3,av);}
/* library.scm:3727: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[783];
av2[4]=t2;
tp(5,av2);}}

/* info in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_fcall f_20318(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_20318,5,t0,t1,t2,t3,t4);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:3731: infohandler */
t5=((C_word*)t0)[2];{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
av2[4]=t4;
((C_proc)C_fast_retrieve_proc(t5))(5,av2);}}
else{
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* skip-to-eol in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_fcall f_20327(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20327,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20335,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3735: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20333 in skip-to-eol in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_20335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_20335,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20337,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li635),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_20337(t5,((C_word*)t0)[3],t1);}

/* skip in k20333 in skip-to-eol in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_20337(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20337,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20344,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t4=C_eofp(t2);
if(C_truep(C_i_not(t4))){
t5=C_eqp(C_make_character(10),t2);
t6=t3;
f_20344(t6,C_i_not(t5));}
else{
t5=t3;
f_20344(t5,C_SCHEME_FALSE);}}

/* k20342 in skip in k20333 in skip-to-eol in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_20344(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20344,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20351,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3737: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k20349 in k20342 in skip in k20333 in skip-to-eol in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_20351(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20351,2,av);}
/* library.scm:3737: skip */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20337(t2,((C_word*)t0)[3],t1);}

/* reserved-character in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_fcall f_20364(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20364,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20368,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3740: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20366 in reserved-character in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_20368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_20368,2,av);}
/* library.scm:3741: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[784];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* read-unreserved-char-0 in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_fcall f_20373(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20373,3,t0,t1,t2);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20377,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3744: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20375 in read-unreserved-char-0 in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_20377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20377,2,av);}
if(C_truep(C_i_memq(t1,((C_word*)((C_word*)t0)[2])[1]))){
/* library.scm:3746: reserved-character */
t2=((C_word*)((C_word*)t0)[3])[1];
f_20364(t2,((C_word*)t0)[4],t1);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_fcall f_20388(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(158,0,5)))){
C_save_and_reclaim_args((void *)trf_20388,2,t0,t1);}
a=C_alloc(158);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_SCHEME_UNDEFINED;
t17=(*a=C_VECTOR_TYPE|1,a[1]=t16,tmp=(C_word)a,a+=2,tmp);
t18=C_SCHEME_UNDEFINED;
t19=(*a=C_VECTOR_TYPE|1,a[1]=t18,tmp=(C_word)a,a+=2,tmp);
t20=C_SCHEME_UNDEFINED;
t21=(*a=C_VECTOR_TYPE|1,a[1]=t20,tmp=(C_word)a,a+=2,tmp);
t22=C_SCHEME_UNDEFINED;
t23=(*a=C_VECTOR_TYPE|1,a[1]=t22,tmp=(C_word)a,a+=2,tmp);
t24=C_SCHEME_UNDEFINED;
t25=(*a=C_VECTOR_TYPE|1,a[1]=t24,tmp=(C_word)a,a+=2,tmp);
t26=C_SCHEME_UNDEFINED;
t27=(*a=C_VECTOR_TYPE|1,a[1]=t26,tmp=(C_word)a,a+=2,tmp);
t28=C_SCHEME_UNDEFINED;
t29=(*a=C_VECTOR_TYPE|1,a[1]=t28,tmp=(C_word)a,a+=2,tmp);
t30=C_SCHEME_UNDEFINED;
t31=(*a=C_VECTOR_TYPE|1,a[1]=t30,tmp=(C_word)a,a+=2,tmp);
t32=C_SCHEME_UNDEFINED;
t33=(*a=C_VECTOR_TYPE|1,a[1]=t32,tmp=(C_word)a,a+=2,tmp);
t34=C_SCHEME_UNDEFINED;
t35=(*a=C_VECTOR_TYPE|1,a[1]=t34,tmp=(C_word)a,a+=2,tmp);
t36=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20391,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li640),tmp=(C_word)a,a+=5,tmp));
t37=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20439,a[2]=((C_word*)t0)[2],a[3]=((C_word)li642),tmp=(C_word)a,a+=4,tmp));
t38=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20499,a[2]=((C_word)li644),tmp=(C_word)a,a+=3,tmp));
t39=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20536,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=t7,a[5]=((C_word)li647),tmp=(C_word)a,a+=6,tmp));
t40=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21090,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t27,a[9]=((C_word)li653),tmp=(C_word)a,a+=10,tmp));
t41=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21352,a[2]=((C_word*)t0)[2],a[3]=t11,a[4]=((C_word)li654),tmp=(C_word)a,a+=5,tmp));
t42=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21370,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t27,a[5]=((C_word)li656),tmp=(C_word)a,a+=6,tmp));
t43=C_set_block_item(t17,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21440,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li657),tmp=(C_word)a,a+=5,tmp));
t44=C_set_block_item(t19,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21491,a[2]=((C_word*)t0)[2],a[3]=t15,a[4]=((C_word)li658),tmp=(C_word)a,a+=5,tmp));
t45=C_set_block_item(t21,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21558,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word)li660),tmp=(C_word)a,a+=7,tmp));
t46=C_set_block_item(t23,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21622,a[2]=((C_word*)t0)[2],a[3]=((C_word)li662),tmp=(C_word)a,a+=4,tmp));
t47=C_set_block_item(t25,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21668,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=t27,a[5]=((C_word)li664),tmp=(C_word)a,a+=6,tmp));
t48=C_set_block_item(t27,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21693,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[11],a[4]=((C_word*)t0)[12],a[5]=t9,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[10],a[9]=((C_word)li666),tmp=(C_word)a,a+=10,tmp));
t49=C_set_block_item(t29,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21907,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[10],a[4]=t21,a[5]=((C_word)li667),tmp=(C_word)a,a+=6,tmp));
t50=C_set_block_item(t31,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22116,a[2]=((C_word*)t0)[2],a[3]=((C_word)li669),tmp=(C_word)a,a+=4,tmp));
t51=C_set_block_item(t33,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22203,a[2]=t21,a[3]=((C_word)li670),tmp=(C_word)a,a+=4,tmp));
t52=C_set_block_item(t35,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22216,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[2],a[5]=((C_word)li671),tmp=(C_word)a,a+=6,tmp));
t53=(*a=C_CLOSURE_TYPE|27,a[1]=(C_word)f_22247,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[13],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[6],a[6]=t1,a[7]=t35,a[8]=t23,a[9]=t17,a[10]=t19,a[11]=((C_word*)t0)[8],a[12]=t13,a[13]=t29,a[14]=t31,a[15]=t33,a[16]=((C_word*)t0)[7],a[17]=t27,a[18]=((C_word*)t0)[5],a[19]=((C_word*)t0)[3],a[20]=t21,a[21]=t11,a[22]=((C_word*)t0)[4],a[23]=t9,a[24]=t15,a[25]=((C_word*)t0)[12],a[26]=t25,a[27]=t3,tmp=(C_word)a,a+=28,tmp);
t54=C_i_not(((C_word*)t0)[14]);
t55=(C_truep(t54)?lf[855]:C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(((C_word*)t0)[15]))){
/* library.scm:4128: scheme#append */
t56=*((C_word*)lf[374]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=lf[856];
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}
else{
/* library.scm:4128: scheme#append */
t56=*((C_word*)lf[374]+1);{
C_word av2[4];
av2[0]=t56;
av2[1]=t53;
av2[2]=t55;
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t56+1)))(4,av2);}}}

/* r-spaces in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_20391(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20391,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20399,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3752: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word av2[3];
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20397 in r-spaces in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_20399(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_20399,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20401,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li639),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_20401(t5,((C_word*)t0)[4],t1);}

/* loop in k20397 in r-spaces in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_20401(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_20401,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_eqp(C_make_character(59),t2);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20414,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3755: skip-to-eol */
t6=((C_word*)((C_word*)t0)[4])[1];
f_20327(t6,t5);}
else{
if(C_truep(C_u_i_char_whitespacep(t2))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20430,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3758: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* k20412 in loop in k20397 in r-spaces in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_20414(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20414,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20421,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3756: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20419 in k20412 in loop in k20397 in r-spaces in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20421(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20421,2,av);}
/* library.scm:3756: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20401(t2,((C_word*)t0)[3],t1);}

/* k20428 in loop in k20397 in r-spaces in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_20430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_20430,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20437,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3759: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k20435 in k20428 in loop in k20397 in r-spaces in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20437(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_20437,2,av);}
/* library.scm:3759: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20401(t2,((C_word*)t0)[3],t1);}

/* r-usequence in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_20439(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20439,5,t0,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20445,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t4,a[5]=t6,a[6]=((C_word)li641),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_20445(t8,t1,C_SCHEME_END_OF_LIST,t3);}

/* loop in r-usequence in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_20445(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20445,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20455,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3764: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t5;
av2[2]=t2;
tp(3,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20471,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3771: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}

/* k20453 in loop in r-usequence in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_20455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_20455,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20458,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3765: scheme#string->number */
t4=*((C_word*)lf[618]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k20456 in k20453 in loop in r-usequence in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_20458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_20458,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20468,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3769: string-append */
t3=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[785];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=lf[786];
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}}

/* k20466 in k20456 in k20453 in loop in r-usequence in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20468(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20468,2,av);}
/* library.scm:3767: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k20469 in loop in r-usequence in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_20471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20471,2,av);}
a=C_alloc(3);
t2=C_eofp(t1);
t3=(C_truep(t2)?t2:C_i_char_equalp(C_make_character(34),t1));
if(C_truep(t3)){
/* library.scm:3773: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[787];
tp(4,av2);}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
t5=C_fixnum_difference(((C_word*)t0)[5],C_fix(1));
/* library.scm:3774: loop */
t6=((C_word*)((C_word*)t0)[6])[1];
f_20445(t6,((C_word*)t0)[2],t4,t5);}}

/* r-cons-codepoint in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_20499(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_20499,3,t1,t2,t3);}
a=C_alloc(4);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20503,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_make_character(C_unfix(t2));
/* library.scm:3777: ##sys#char->utf8-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[788]);
C_word av2[3];
av2[0]=*((C_word*)lf[788]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k20501 in r-cons-codepoint in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_20503(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_20503,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_block_size(t2);
t4=t3;
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20511,a[2]=t4,a[3]=t2,a[4]=t6,a[5]=((C_word)li643),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_20511(t8,((C_word*)t0)[2],C_fix(0),((C_word*)t0)[3]);}

/* lp in k20501 in r-cons-codepoint in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_20511(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_20511,4,t0,t1,t2,t3);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
t5=C_subchar(((C_word*)t0)[3],t2);
t6=C_a_i_cons(&a,2,t5,t3);
/* library.scm:3782: lp */
t8=t1;
t9=t4;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}

/* r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_20536(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_20536,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20544,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3785: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_20544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_20544,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20546,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li646),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_20546(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_20546(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_20546,4,t0,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
if(C_truep(C_eofp(((C_word*)t4)[1]))){
/* library.scm:3787: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[4];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[789];
tp(4,av2);}}
else{
t5=C_eqp(C_make_character(92),((C_word*)t4)[1]);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20563,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3789: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t6=C_eqp(((C_word*)t0)[6],((C_word*)t4)[1]);
if(C_truep(t6)){
/* library.scm:3860: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t1;
av2[2]=t3;
tp(3,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21084,a[2]=t4,a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3861: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}}}}

/* k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_20563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_20563,2,av);}
a=C_alloc(9);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)((C_word*)t0)[2])[1];
switch(t3){
case C_make_character(116):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20576,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3791: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(114):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20593,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3792: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20610,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3793: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(110):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20627,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3794: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(97):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20644,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3795: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(118):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20661,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3796: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(102):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20678,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3797: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20706,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3799: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20439(t5,t4,lf[790],C_fix(2),C_fix(16));
case C_make_character(117):
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20715,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[8],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3802: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20439(t5,t4,lf[796],C_fix(4),C_fix(16));
case C_make_character(85):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20789,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3815: r-usequence */
t5=((C_word*)((C_word*)t0)[7])[1];
f_20439(t5,t4,lf[798],C_fix(8),C_fix(16));
default:
t4=C_eqp(t3,C_make_character(92));
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20818,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t3,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_20818(t6,t4);}
else{
t6=C_eqp(t3,C_make_character(39));
if(C_truep(t6)){
t7=t5;
f_20818(t7,t6);}
else{
t7=C_eqp(t3,C_make_character(34));
t8=t5;
f_20818(t8,(C_truep(t7)?t7:C_eqp(t3,C_make_character(124))));}}}}

/* k20574 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20576(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20576,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(9),((C_word*)t0)[2]);
/* library.scm:3791: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20546(t3,((C_word*)t0)[4],t1,t2);}

/* k20591 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20593,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(13),((C_word*)t0)[2]);
/* library.scm:3792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20546(t3,((C_word*)t0)[4],t1,t2);}

/* k20608 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20610,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(8),((C_word*)t0)[2]);
/* library.scm:3793: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20546(t3,((C_word*)t0)[4],t1,t2);}

/* k20625 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20627,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:3794: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20546(t3,((C_word*)t0)[4],t1,t2);}

/* k20642 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20644,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(7),((C_word*)t0)[2]);
/* library.scm:3795: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20546(t3,((C_word*)t0)[4],t1,t2);}

/* k20659 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20661,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(11),((C_word*)t0)[2]);
/* library.scm:3796: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20546(t3,((C_word*)t0)[4],t1,t2);}

/* k20676 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20678,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(12),((C_word*)t0)[2]);
/* library.scm:3797: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20546(t3,((C_word*)t0)[4],t1,t2);}

/* k20696 in k20704 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_20698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20698,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3800: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20546(t3,((C_word*)t0)[5],t1,t2);}

/* k20704 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20706,2,av);}
a=C_alloc(6);
t2=C_make_character(C_unfix(t1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20698,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3800: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_20715,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20721,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3803: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[795]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[795]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_20721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_20721,2,av);}
a=C_alloc(13);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20727,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20769,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3804: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20776,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3813: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k20725 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_fcall f_20727(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_20727,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20730,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3806: r-usequence */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20439(t3,t2,lf[793],C_fix(4),C_fix(16));}
else{
/* library.scm:3812: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[5];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[794];
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}}

/* k20728 in k20725 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20730(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_20730,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_20733,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,tmp=(C_word)a,a+=9,tmp);
/* library.scm:3807: ##sys#surrogates->codepoint */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[792]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[792]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
tp(4,av2);}}

/* k20731 in k20728 in k20725 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_20733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_20733,2,av);}
a=C_alloc(7);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20743,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3809: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
/* library.scm:3811: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[6];
av2[3]=lf[791];
av2[4]=((C_word*)t0)[7];
av2[5]=((C_word*)t0)[8];
tp(6,av2);}}}

/* k20741 in k20731 in k20728 in k20725 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_20743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20743,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20747,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3810: r-cons-codepoint */
f_20499(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20745 in k20741 in k20731 in k20728 in k20725 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_20747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20747,2,av);}
/* library.scm:3809: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20546(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20762 in k20767 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20764(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_20764,2,av);}
t2=((C_word*)t0)[2];
f_20727(t2,C_eqp(C_make_character(117),t1));}

/* k20767 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_20769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_20769,2,av);}
a=C_alloc(3);
t2=C_eqp(C_make_character(92),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_20764,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:3805: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=((C_word*)t0)[2];
f_20727(t3,C_SCHEME_FALSE);}}

/* k20774 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_20776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20776,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20780,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3813: r-cons-codepoint */
f_20499(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20778 in k20774 in k20719 in k20713 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20780(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20780,2,av);}
/* library.scm:3813: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20546(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20787 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_20789(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_20789,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20795,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3816: ##sys#unicode-surrogate? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[795]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[795]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k20793 in k20787 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_20795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_20795,2,av);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:3817: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[797];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20805,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[7],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3818: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k20803 in k20793 in k20787 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_20805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_20805,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20809,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3818: r-cons-codepoint */
f_20499(t3,((C_word*)t0)[5],((C_word*)t0)[6]);}

/* k20807 in k20803 in k20793 in k20787 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20809,2,av);}
/* library.scm:3818: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20546(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_20818(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_20818,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20825,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3820: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[7],C_make_character(10));
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20838,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t2)){
t4=t3;
f_20838(t4,t2);}
else{
t4=C_eqp(((C_word*)t0)[7],C_make_character(13));
if(C_truep(t4)){
t5=t3;
f_20838(t5,t4);}
else{
t5=C_eqp(((C_word*)t0)[7],C_make_character(32));
t6=t3;
f_20838(t6,(C_truep(t5)?t5:C_eqp(((C_word*)t0)[7],C_make_character(9))));}}}}

/* k20823 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_20825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20825,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3820: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20546(t3,((C_word*)t0)[5],t1,t2);}

/* k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_fcall f_20838(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_20838,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20843,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word)li645),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_20843(t5,((C_word*)t0)[5],((C_word*)((C_word*)t0)[6])[1],C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)((C_word*)t0)[6])[1]))){
/* library.scm:3846: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[4];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[800];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_20942,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)((C_word*)t0)[6])[1]))){
t3=C_i_char_greater_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(48));
t4=t2;
f_20942(t4,(C_truep(t3)?C_i_char_less_or_equal_p(((C_word*)((C_word*)t0)[6])[1],C_make_character(55)):C_SCHEME_FALSE));}
else{
t3=t2;
f_20942(t3,C_SCHEME_FALSE);}}}}

/* eat-ws in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_fcall f_20843(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_20843,4,t0,t1,t2,t3);}
a=C_alloc(6);
t4=t2;
t5=C_eqp(t4,C_make_character(32));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(9)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20860,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3826: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
switch(t4){
case C_make_character(13):
if(C_truep(t3)){
/* library.scm:3829: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20546(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_20875,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3830: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
case C_make_character(10):
if(C_truep(t3)){
/* library.scm:3836: loop */
t7=((C_word*)((C_word*)t0)[4])[1];
f_20546(t7,t1,t2,((C_word*)t0)[5]);}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20910,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3837: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
default:
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20913,a[2]=((C_word*)t0)[4],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t3)){
/* library.scm:3843: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_20546(t8,t1,t2,((C_word*)t0)[5]);}
else{
/* library.scm:3840: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word av2[4];
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[799];
tp(4,av2);}}}}}

/* k20858 in eat-ws in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20860(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20860,2,av);}
/* library.scm:3826: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20843(t2,((C_word*)t0)[3],t1,((C_word*)t0)[4]);}

/* k20873 in eat-ws in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20875(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_20875,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(10));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_20888,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3832: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:3833: eat-ws */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20843(t3,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}}

/* k20886 in k20873 in eat-ws in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_20888(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20888,2,av);}
/* library.scm:3832: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20843(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20908 in eat-ws in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20910,2,av);}
/* library.scm:3837: eat-ws */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20843(t2,((C_word*)t0)[3],t1,C_SCHEME_TRUE);}

/* k20911 in eat-ws in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20913(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_20913,2,av);}
/* library.scm:3843: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20546(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k20940 in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_fcall f_20942(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_20942,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)((C_word*)t0)[2])[1]));
t3=C_fixnum_difference(t2,C_fix(48));
t4=C_fixnum_times(t3,C_fix(64));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20968,a[2]=t5,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3852: r-usequence */
t7=((C_word*)((C_word*)t0)[7])[1];
f_20439(t7,t6,lf[801],C_fix(2),C_fix(8));}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_20979,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3855: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word av2[5];
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=lf[802];
av2[4]=((C_word*)((C_word*)t0)[2])[1];
tp(5,av2);}}}

/* k20950 in k20966 in k20940 in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_20952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20952,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:3853: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20546(t3,((C_word*)t0)[5],t1,t2);}

/* k20966 in k20940 in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20968(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20968,2,av);}
a=C_alloc(6);
t2=C_fixnum_plus(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20952,a[2]=t4,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3853: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20977 in k20940 in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_20979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_20979,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_20986,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3859: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k20984 in k20977 in k20940 in k20836 in k20816 in k20561 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_20986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_20986,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3859: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20546(t3,((C_word*)t0)[5],t1,t2);}

/* k21082 in loop in k20542 in r-string in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21084,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)((C_word*)t0)[2])[1],((C_word*)t0)[3]);
/* library.scm:3861: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20546(t3,((C_word*)t0)[5],t1,t2);}

/* r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21090(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,2)))){
C_save_and_reclaim_args((void *)trf_21090,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_21350,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],tmp=(C_word)a,a+=12,tmp);
/* library.scm:3864: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* starting-line in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_21099(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21099,3,t0,t1,t2);}
a=C_alloc(4);
t3=(C_truep(((C_word*)((C_word*)t0)[2])[1])?C_fast_retrieve(lf[769]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21113,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3872: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
tp(3,av2);}}
else{
t4=t2;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k21111 in starting-line in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21113,2,av);}
/* library.scm:3870: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[803];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k21114 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_21116(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21116,2,av);}
a=C_alloc(5);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
if(C_truep(((C_word*)((C_word*)t0)[4])[1])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21127,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3939: ##sys#infix-list-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[771]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[771]+1);
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
tp(3,av2);}}
else{
t3=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k21125 in k21114 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21127,2,av);}
/* library.scm:3939: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20318(t2,((C_word*)t0)[3],lf[804],t1,((C_word*)((C_word*)t0)[4])[1]);}

/* a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_21129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(22,c,3)))){
C_save_and_reclaim((void *)f_21129,3,av);}
a=C_alloc(22);
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21132,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word)li649),tmp=(C_word)a,a+=7,tmp));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21154,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=t5,a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word)li651),tmp=(C_word)a,a+=13,tmp));
t7=((C_word*)t5)[1];
f_21154(t7,t1,C_SCHEME_END_OF_LIST);}

/* f_21132 in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21132,3,av);}
a=C_alloc(6);
t3=C_eqp(t2,((C_word*)t0)[2]);
if(C_truep(t3)){
/* library.scm:3879: return */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21149,a[2]=t1,a[3]=((C_word*)t0)[4],a[4]=t2,a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3882: starting-line */
t5=((C_word*)t0)[5];
f_21099(t5,t4,lf[805]);}}

/* k21147 */
static void C_ccall f_21149(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_21149,2,av);}
/* library.scm:3880: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
tp(6,av2);}}

/* loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_21154(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,0,2)))){
C_save_and_reclaim_args((void *)trf_21154,3,t0,t1,t2);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21158,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[8],a[11]=((C_word*)t0)[9],a[12]=((C_word*)t0)[10],a[13]=((C_word*)t0)[11],tmp=(C_word)a,a+=14,tmp);
/* library.scm:3885: r-spaces */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20391(t4,t3);}

/* k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_21158(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_21158,2,av);}
a=C_alloc(17);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21161,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t3=t2;
f_21161(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21343,a[2]=((C_word*)t0)[13],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3886: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_fcall f_21161(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,2)))){
C_save_and_reclaim_args((void *)trf_21161,2,t0,t1);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21164,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3887: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word av2[3];
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_21164(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_21164,2,av);}
a=C_alloc(13);
if(C_truep(C_eofp(t1))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21174,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3891: starting-line */
t3=((C_word*)t0)[4];
f_21099(t3,t2,lf[806]);}
else{
t2=C_eqp(t1,((C_word*)t0)[5]);
if(C_truep(t2)){
/* library.scm:3893: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t3=C_eqp(t1,C_make_character(46));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21192,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3895: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21339,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3932: readrec */
t5=((C_word*)((C_word*)t0)[8])[1];
f_20388(t5,t4);}}}}

/* k21172 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_21174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21174,2,av);}
/* library.scm:3889: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_21192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_21192,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21195,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],tmp=(C_word)a,a+=13,tmp);
/* library.scm:3896: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_21195(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,2)))){
C_save_and_reclaim((void *)f_21195,2,av);}
a=C_alloc(14);
t2=t1;
t3=C_u_i_char_whitespacep(t2);
t4=(*a=C_CLOSURE_TYPE|13,a[1]=(C_word)f_21204,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=t2,a[13]=((C_word*)t0)[12],tmp=(C_word)a,a+=14,tmp);
if(C_truep(t3)){
t5=t4;
f_21204(t5,t3);}
else{
t5=C_eqp(t2,C_make_character(40));
if(C_truep(t5)){
t6=t4;
f_21204(t6,t5);}
else{
t6=C_eqp(t2,C_make_character(41));
if(C_truep(t6)){
t7=t4;
f_21204(t7,t6);}
else{
t7=C_eqp(t2,C_make_character(34));
t8=t4;
f_21204(t8,(C_truep(t7)?t7:C_eqp(t2,C_make_character(59))));}}}}

/* k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_fcall f_21204(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_21204,2,t0,t1);}
a=C_alloc(9);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21207,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_i_pairp(((C_word*)t0)[2]))){
t3=t2;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_21207(2,av2);}}
else{
/* library.scm:3903: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[4];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[808];
tp(4,av2);}}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21248,a[2]=((C_word*)t0)[9],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[10],a[5]=((C_word*)t0)[11],a[6]=((C_word*)t0)[12],a[7]=((C_word)li650),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3913: r-xtoken */
t3=((C_word*)((C_word*)t0)[13])[1];
f_21693(t3,((C_word*)t0)[4],t2);}}

/* k21205 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_21207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_21207,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21210,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3904: r-spaces */
t3=((C_word*)((C_word*)t0)[7])[1];
f_20391(t3,t2);}

/* k21208 in k21205 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in ... */
static void C_ccall f_21210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_21210,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21237,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3905: readrec */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20388(t3,t2);}

/* k21214 in k21235 in k21208 in k21205 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in ... */
static void C_ccall f_21216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21216,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21233,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3907: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21227 in k21231 in k21214 in k21235 in k21208 in k21205 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ... */
static void C_ccall f_21229(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21229,2,av);}
/* library.scm:3908: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* k21231 in k21214 in k21235 in k21208 in k21205 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in ... */
static void C_ccall f_21233(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21233,2,av);}
a=C_alloc(5);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21229,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3910: starting-line */
t4=((C_word*)t0)[5];
f_21099(t4,t3,lf[807]);}}

/* k21235 in k21208 in k21205 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in ... */
static void C_ccall f_21237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21237,2,av);}
a=C_alloc(6);
t2=C_i_setslot(((C_word*)t0)[2],C_fix(1),t1);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21216,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3906: r-spaces */
t4=((C_word*)((C_word*)t0)[7])[1];
f_20391(t4,t3);}

/* a21247 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_21248(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21248,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21252,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=t3,a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
/* library.scm:3915: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t4;
av2[2]=lf[812];
av2[3]=t2;
tp(4,av2);}}

/* k21250 in a21247 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in ... */
static void C_ccall f_21252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_21252,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21255,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t4=C_i_string_equal_p(t2,lf[809]);
t5=(C_truep(t4)?C_eqp(((C_word*)((C_word*)t0)[6])[1],lf[810]):C_SCHEME_FALSE);
if(C_truep(t5)){
/* library.scm:4124: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t3;
av2[2]=lf[811];
tp(3,av2);}}
else{
if(C_truep(((C_word*)t0)[7])){
/* library.scm:4124: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21283,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[8]))){
/* library.scm:3924: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[620]+1);
av2[1]=t6;
av2[2]=t2;
tp(3,av2);}}
else{
/* library.scm:4121: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t3;
av2[2]=t2;
C_string_to_symbol(3,av2);}}}}}

/* k21253 in k21250 in a21247 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in ... */
static void C_ccall f_21255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21255,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3930: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21154(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3930: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21154(t4,((C_word*)t0)[5],t2);}}

/* k21281 in k21250 in a21247 in k21202 in k21193 in k21190 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in ... */
static void C_ccall f_21283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21283,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
f_21255(2,av2);}}
else{
/* library.scm:4121: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_string_to_symbol(3,av2);}}}

/* k21337 in k21162 in k21159 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_21339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_21339,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t3=C_i_setslot(((C_word*)t0)[3],C_fix(1),t2);
/* library.scm:3936: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21154(t4,((C_word*)t0)[5],t2);}
else{
t3=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
/* library.scm:3936: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_21154(t4,((C_word*)t0)[5],t2);}}

/* k21341 in k21156 in loop in a21128 in k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21343(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_21343,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_21161(t3,t2);}

/* k21348 in r-list in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_21350,2,av);}
a=C_alloc(29);
t2=C_eqp(t1,((C_word*)t0)[2]);
if(C_truep(t2)){
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)((C_word*)t0)[3])[1];
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21099,a[2]=t6,a[3]=((C_word)li648),tmp=(C_word)a,a+=4,tmp);
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21116,a[2]=((C_word*)t0)[3],a[3]=t7,a[4]=t4,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=t6,tmp=(C_word)a,a+=8,tmp);
t10=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21129,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[7],a[5]=t8,a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=t4,a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=t6,a[12]=((C_word)li652),tmp=(C_word)a,a+=13,tmp);
/* library.scm:3874: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t9;
av2[2]=t10;
C_call_cc(3,av2);}}
else{
/* library.scm:3941: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[5];
av2[2]=((C_word*)t0)[7];
av2[3]=lf[813];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* r-vector in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21352(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,3)))){
C_save_and_reclaim_args((void *)trf_21352,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21356,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3944: r-list */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21090(t3,t2,C_make_character(40),C_make_character(41));}

/* k21354 in r-vector in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21356,2,av);}
if(C_truep(C_i_listp(t1))){
/* library.scm:3946: ##sys#list->vector */
t2=*((C_word*)lf[814]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
/* library.scm:3947: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[815];
av2[4]=t1;
tp(5,av2);}}}

/* r-number in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21370(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_21370,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21376,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=((C_word)li655),tmp=(C_word)a,a+=7,tmp);
/* library.scm:3950: r-xtoken */
t5=((C_word*)((C_word*)t0)[4])[1];
f_21693(t5,t1,t4);}

/* a21375 in r-number in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21376(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_21376,4,av);}
a=C_alloc(7);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21383,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=t2;
/* library.scm:4124: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
if(C_truep(C_i_string_equal_p(t2,lf[817]))){
/* library.scm:3956: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2=av;
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[818];
tp(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21405,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=C_block_size(t2);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t6=t2;
t7=C_i_string_ref(t6,C_fix(0));
t8=t4;
f_21405(t8,C_u_i_char_equalp(t7,C_make_character(35)));}
else{
t6=t4;
f_21405(t6,C_SCHEME_FALSE);}}}}

/* k21381 in a21375 in r-number in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_21383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21383,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21390,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:3954: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21388 in k21381 in a21375 in r-number in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21390,2,av);}
/* library.scm:3954: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20318(t2,((C_word*)t0)[3],lf[816],((C_word*)t0)[4],t1);}

/* k21403 in a21375 in r-number in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_21405(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_21405,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:3958: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[5];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[819];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21411,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t3=((C_word*)t0)[5];
if(C_truep(t3)){
/* library.scm:3959: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[620]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}
else{
/* library.scm:3959: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[620]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(10);
av2[4]=((C_word*)t0)[6];
tp(5,av2);}}}}

/* k21409 in k21403 in a21375 in r-number in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21411,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[3])){
/* library.scm:3960: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[820];
av2[4]=((C_word*)t0)[5];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[5];
/* library.scm:4121: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t3;
C_string_to_symbol(3,av2);}}}}

/* r-number-with-exactness in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21440(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21440,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21489,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3964: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word av2[3];
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21448 in k21487 in r-number-with-exactness in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_21450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21450,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21453,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3966: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21451 in k21448 in k21487 in r-number-with-exactness in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21453(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21453,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:3968: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[821];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(105)))){
/* library.scm:3969: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21370(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[611]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(101)))){
/* library.scm:3970: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21370(t2,((C_word*)t0)[2],((C_word*)t0)[5],lf[610]);}
else{
/* library.scm:3972: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[822];
av2[4]=t1;
tp(5,av2);}}}}}

/* k21487 in r-number-with-exactness in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21489(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21489,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21450,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3965: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:3975: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21370(t3,((C_word*)t0)[2],((C_word*)t0)[5],C_SCHEME_FALSE);}}

/* r-number-with-radix in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21491(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21491,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21556,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:3978: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word av2[3];
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21499 in k21554 in r-number-with-radix in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_21501(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21501,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21504,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3980: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k21502 in k21499 in k21554 in r-number-with-radix in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21504(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21504,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:3981: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[823];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(t1,C_make_character(120)))){
/* library.scm:3982: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21370(t2,((C_word*)t0)[2],C_fix(16),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(100)))){
/* library.scm:3983: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21370(t2,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(111)))){
/* library.scm:3984: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21370(t2,((C_word*)t0)[2],C_fix(8),((C_word*)t0)[5]);}
else{
if(C_truep(C_u_i_char_equalp(t1,C_make_character(98)))){
/* library.scm:3985: r-number */
t2=((C_word*)((C_word*)t0)[4])[1];
f_21370(t2,((C_word*)t0)[2],C_fix(2),((C_word*)t0)[5]);}
else{
/* library.scm:3986: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[824];
av2[4]=t1;
tp(5,av2);}}}}}}}

/* k21554 in r-number-with-radix in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_21556,2,av);}
a=C_alloc(6);
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21501,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:3979: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:3987: r-number */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21370(t3,((C_word*)t0)[2],C_fix(10),((C_word*)t0)[5]);}}

/* r-token in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21558(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21558,2,t0,t1);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21566,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3990: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word av2[3];
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21564 in r-token in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21566(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_21566,2,av);}
a=C_alloc(10);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21568,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li659),tmp=(C_word)a,a+=8,tmp));
t5=((C_word*)t3)[1];
f_21568(t5,((C_word*)t0)[6],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21564 in r-token in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_21568(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_21568,4,t0,t1,t2,t3);}
a=C_alloc(9);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_21578,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_21578(t6,t4);}
else{
t6=C_u_i_char_whitespacep(t2);
t7=t5;
f_21578(t7,(C_truep(t6)?t6:C_i_memq(t2,((C_word*)t0)[6])));}}

/* k21576 in loop in k21564 in r-token in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_21578(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_21578,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:3994: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_char_equalp(((C_word*)t0)[4],C_make_character(0)))){
/* library.scm:3996: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[4];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[825];
tp(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_21593,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:3998: read-unreserved-char-0 */
t3=((C_word*)((C_word*)t0)[8])[1];
f_20373(t3,t2,((C_word*)t0)[5]);}}}

/* k21591 in k21576 in loop in k21564 in r-token in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_21593(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_21593,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21600,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:3999: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
tp(3,av2);}}

/* k21598 in k21591 in k21576 in loop in k21564 in r-token in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21600(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21600,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=((C_word*)t0)[3];
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:3999: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21568(t4,((C_word*)t0)[6],t1,t3);}
else{
t2=C_u_i_char_downcase(((C_word*)t0)[3]);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:3999: loop */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21568(t4,((C_word*)t0)[6],t1,t3);}}

/* r-digits in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21622(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_21622,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21630,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4003: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word av2[3];
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21628 in r-digits in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21630(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_21630,2,av);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21632,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li661),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_21632(t5,((C_word*)t0)[3],t1,C_SCHEME_END_OF_LIST);}

/* loop in k21628 in r-digits in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_21632(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21632,4,t0,t1,t2,t3);}
a=C_alloc(7);
t4=C_eofp(t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21642,a[2]=t1,a[3]=t3,a[4]=t2,a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t4)){
t6=t5;
f_21642(t6,t4);}
else{
t6=C_u_i_char_numericp(t2);
t7=t5;
f_21642(t7,C_i_not(t6));}}

/* k21640 in loop in k21628 in r-digits in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_21642(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_21642,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
/* library.scm:4005: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_21648,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4007: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}}

/* k21646 in k21640 in loop in k21628 in r-digits in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_21648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21648,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21655,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4008: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k21653 in k21646 in k21640 in loop in k21628 in r-digits in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21655,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],((C_word*)t0)[3]);
/* library.scm:4008: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21632(t3,((C_word*)t0)[5],t1,t2);}

/* r-symbol in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21668(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_21668,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21674,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li663),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4011: r-xtoken */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21693(t3,t1,t2);}

/* a21673 in r-symbol in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21674,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21678,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
t5=t2;
/* library.scm:4124: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t2;
/* library.scm:4121: ##sys#intern-symbol */{
C_word *av2=av;
av2[0]=0;
av2[1]=t4;
av2[2]=t5;
C_string_to_symbol(3,av2);}}}

/* k21676 in a21673 in r-symbol in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_21678(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21678,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21685,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4014: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k21683 in k21676 in a21673 in r-symbol in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21685,2,av);}
/* library.scm:4014: info */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20318(t2,((C_word*)t0)[3],lf[816],((C_word*)t0)[4],t1);}

/* r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21693(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,4)))){
C_save_and_reclaim_args((void *)trf_21693,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_21699,a[2]=t2,a[3]=t4,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t6,a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word)li665),tmp=(C_word)a,a+=13,tmp));
t8=((C_word*)t6)[1];
f_21699(t8,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_21699(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,0,2)))){
C_save_and_reclaim_args((void *)trf_21699,4,t0,t1,t2,t3);}
a=C_alloc(15);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21703,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=t3,a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[6],a[10]=((C_word*)t0)[7],a[11]=((C_word*)t0)[8],a[12]=((C_word*)t0)[9],a[13]=((C_word*)t0)[10],a[14]=((C_word*)t0)[11],tmp=(C_word)a,a+=15,tmp);
/* library.scm:4019: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word av2[3];
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[9];
tp(3,av2);}}

/* k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_21703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_21703,2,av);}
a=C_alloc(15);
t2=t1;
t3=C_eofp(t2);
t4=(*a=C_CLOSURE_TYPE|14,a[1]=(C_word)f_21712,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],tmp=(C_word)a,a+=15,tmp);
if(C_truep(t3)){
t5=t4;
f_21712(t5,t3);}
else{
t5=C_u_i_char_whitespacep(t2);
t6=t4;
f_21712(t6,(C_truep(t5)?t5:C_i_memq(t2,((C_word*)t0)[14])));}}

/* k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_21712(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_21712,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21718,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
t3=C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[810]);
if(C_truep(t3)){
t4=C_i_cdr(((C_word*)t0)[4]);
t5=C_i_nullp(t4);
t6=t2;
f_21718(t6,C_i_not(t5));}
else{
t4=t2;
f_21718(t4,C_SCHEME_FALSE);}}
else{
t3=t2;
f_21718(t3,C_SCHEME_FALSE);}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[8],((C_word*)((C_word*)t0)[9])[1]))){
/* library.scm:4031: reserved-character */
t2=((C_word*)((C_word*)t0)[10])[1];
f_20364(t2,((C_word*)t0)[3],((C_word*)t0)[8]);}
else{
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_21776,a[2]=((C_word*)t0)[11],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[12],a[6]=((C_word*)t0)[13],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[5],a[9]=((C_word*)t0)[14],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4033: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[13];
tp(3,av2);}}}}

/* k21716 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_21718(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21718,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21725,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cdr(((C_word*)t0)[4]);
/* library.scm:4027: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21736,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4028: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}

/* k21723 in k21716 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21725,2,av);}
/* library.scm:4027: k */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
av2[3]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* k21734 in k21716 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21736(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21736,2,av);}
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=C_i_nullp(((C_word*)t0)[3]);
t3=C_i_not(t2);
/* library.scm:4028: k */
t4=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}
else{
/* library.scm:4028: k */
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[5];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}}

/* k21774 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_21776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_21776,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21785,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4036: r-string */
t3=((C_word*)((C_word*)t0)[5])[1];
f_20536(t3,t2,C_make_character(124));
case C_make_character(10):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21809,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21820,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4042: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}
case C_make_character(58):
t2=C_i_nullp(((C_word*)t0)[4]);
t3=(C_truep(t2)?C_eqp(((C_word*)((C_word*)t0)[7])[1],lf[827]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=C_set_block_item(((C_word*)t0)[8],0,C_SCHEME_TRUE);
/* library.scm:4047: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21699(t5,((C_word*)t0)[3],C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}
else{
t4=C_a_i_cons(&a,2,C_make_character(58),((C_word*)t0)[4]);
/* library.scm:4048: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_21699(t5,((C_word*)t0)[3],t4,C_SCHEME_TRUE);}
case C_make_character(92):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21858,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[6],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4050: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
default:
if(C_truep(((C_word*)((C_word*)t0)[9])[1])){
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4057: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21699(t3,((C_word*)t0)[3],t2,C_SCHEME_FALSE);}
else{
t2=C_u_i_char_downcase(t1);
t3=C_a_i_cons(&a,2,t2,((C_word*)t0)[4]);
/* library.scm:4057: loop */
t4=((C_word*)((C_word*)t0)[2])[1];
f_21699(t4,((C_word*)t0)[3],t3,C_SCHEME_FALSE);}}}

/* k21783 in k21774 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21785,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21792,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_21796,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21800,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4037: ##sys#string->list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[384]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[384]+1);
av2[1]=t4;
av2[2]=t1;
tp(3,av2);}}

/* k21790 in k21783 in k21774 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_21792(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21792,2,av);}
/* library.scm:4037: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21699(t2,((C_word*)t0)[3],t1,C_SCHEME_FALSE);}

/* k21794 in k21783 in k21774 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_21796(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_21796,2,av);}
/* library.scm:4037: scheme#append */
t2=*((C_word*)lf[374]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k21798 in k21783 in k21774 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_21800(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21800,2,av);}
/* library.scm:4037: ##sys#fast-reverse */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[376]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[376]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}

/* k21807 in k21774 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21809(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21809,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,C_make_character(10),((C_word*)t0)[2]);
/* library.scm:4043: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_21699(t3,((C_word*)t0)[4],t2,C_SCHEME_FALSE);}

/* k21818 in k21774 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21820,2,av);}
/* library.scm:4040: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[826];
av2[4]=t1;
tp(5,av2);}}

/* k21856 in k21774 in k21710 in k21701 in loop in r-xtoken in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21858(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_21858,2,av);}
a=C_alloc(3);
if(C_truep(C_eofp(t1))){
/* library.scm:4052: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[828];
tp(4,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[4]);
/* library.scm:4055: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_21699(t3,((C_word*)t0)[2],t2,C_SCHEME_FALSE);}}

/* r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_21907(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_21907,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21911,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4063: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word av2[3];
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k21909 in r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_21911(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_21911,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21914,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4064: r-token */
t4=((C_word*)((C_word*)t0)[5])[1];
f_21558(t4,t3);}

/* k21912 in k21909 in r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_21914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_21914,2,av);}
a=C_alloc(11);
t2=t1;
t3=C_block_size(t2);
t4=t3;
if(C_truep(C_fixnum_greaterp(t4,C_fix(1)))){
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_21926,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t6=C_i_char_equalp(C_make_character(120),((C_word*)t0)[4]);
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22091,a[2]=t5,a[3]=t2,a[4]=t4,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t6)){
t8=t7;
f_22091(t8,t6);}
else{
t8=C_u_i_char_equalp(C_make_character(117),((C_word*)t0)[4]);
if(C_truep(t8)){
t9=t7;
f_22091(t9,t8);}
else{
t9=C_u_i_char_equalp(C_make_character(85),((C_word*)t0)[4]);
t10=t7;
f_22091(t10,t9);}}}
else{
if(C_truep(C_i_memq(((C_word*)t0)[4],((C_word*)t0)[5]))){
/* library.scm:4094: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}}

/* k21924 in k21912 in k21909 in r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_21926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_21926,2,av);}
a=C_alloc(5);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=t1;
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_make_character(C_unfix(t3));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_subchar(((C_word*)t0)[3],C_fix(0));
t3=C_fix(C_character_code(t2));
t4=C_fixnum_less_or_equal_p(C_fix(192),t3);
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21946,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(t4)){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(247)))){
t6=C_fixnum_shift_right(t3,C_fix(4));
t7=C_fixnum_and(t6,C_fix(3));
t8=C_fixnum_shift_right(t7,C_fix(1));
t9=C_fixnum_or(t7,t8);
t10=C_fixnum_difference(t7,C_fix(1));
t11=C_fixnum_and(t9,t10);
t12=C_fixnum_plus(C_fix(2),t11);
t13=C_eqp(((C_word*)t0)[5],t12);
if(C_truep(t13)){
t14=C_fixnum_difference(C_fix(8),t12);
t15=C_fixnum_shift_left(C_fix(1),t14);
t16=C_fixnum_difference(t15,C_fix(1));
t17=C_fixnum_and(t3,t16);
t18=C_fixnum_shift_left(t17,C_fix(6));
t19=C_subchar(((C_word*)t0)[3],C_fix(1));
t20=C_fix(C_character_code(t19));
t21=C_fixnum_and(t20,C_fix(63));
t22=C_fixnum_plus(t18,t21);
t23=t22;
if(C_truep(t23)){
if(C_truep(C_fixnum_greater_or_equal_p(t12,C_fix(3)))){
t24=C_fixnum_shift_left(t23,C_fix(6));
t25=C_subchar(((C_word*)t0)[3],C_fix(2));
t26=C_fix(C_character_code(t25));
t27=C_fixnum_and(t26,C_fix(63));
t28=C_fixnum_plus(t24,t27);
t29=t23=t28;
t30=C_eqp(t12,C_fix(4));
if(C_truep(t30)){
t31=C_fixnum_shift_left(t23,C_fix(6));
t32=C_subchar(((C_word*)t0)[3],C_fix(3));
t33=C_fix(C_character_code(t32));
t34=C_fixnum_and(t33,C_fix(63));
t35=C_fixnum_plus(t31,t34);
t36=t23=t35;
t37=t5;
f_21946(t37,C_make_character(C_unfix(t23)));}
else{
t31=t5;
f_21946(t31,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21946(t24,C_make_character(C_unfix(t23)));}}
else{
t24=t5;
f_21946(t24,C_SCHEME_FALSE);}}
else{
t14=t5;
f_21946(t14,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21946(t6,C_SCHEME_FALSE);}}
else{
t6=t5;
f_21946(t6,C_SCHEME_FALSE);}}}

/* k21944 in k21924 in k21912 in k21909 in r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_21946(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_21946,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_21952,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_21962,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4092: ##sys#intern-symbol */{
C_word av2[3];
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
C_string_to_symbol(3,av2);}}}

/* k21950 in k21944 in k21924 in k21912 in k21909 in r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_21952,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
/* library.scm:4093: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[829];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* k21960 in k21944 in k21924 in k21912 in k21909 in r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_21962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_21962,2,av);}
/* library.scm:4092: chicken.base#char-name */
t2=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22089 in k21912 in k21909 in r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_22091(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_22091,2,t0,t1);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22098,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4068: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
av2[3]=C_fix(1);
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
f_21926(2,av2);}}}

/* k22096 in k22089 in k21912 in k21909 in r-char in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22098,2,av);}
/* library.scm:4068: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[620]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* r-comment in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_22116(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_22116,2,t0,t1);}
a=C_alloc(7);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22122,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=((C_word)li668),tmp=(C_word)a,a+=5,tmp));
t5=((C_word*)t3)[1];
f_22122(t5,t1,C_fix(0));}

/* loop in r-comment in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_22122(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22122,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22126,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4099: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22124 in loop in r-comment in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_22126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22126,2,av);}
a=C_alloc(5);
switch(t1){
case C_make_character(124):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22162,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4101: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22185,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4105: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}
default:
if(C_truep(C_eofp(t1))){
/* library.scm:4109: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[5];
av2[3]=lf[830];
tp(4,av2);}}
else{
/* library.scm:4110: loop */
t2=((C_word*)((C_word*)t0)[3])[1];
f_22122(t2,((C_word*)t0)[4],((C_word*)t0)[2]);}}}

/* k22160 in k22124 in loop in r-comment in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_22162(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22162,2,av);}
t2=C_eqp(C_make_character(35),t1);
if(C_truep(t2)){
t3=C_eqp(((C_word*)t0)[2],C_fix(0));
if(C_truep(C_i_not(t3))){
t4=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
/* library.scm:4103: loop */
t5=((C_word*)((C_word*)t0)[3])[1];
f_22122(t5,((C_word*)t0)[4],t4);}
else{
t4=C_SCHEME_UNDEFINED;
t5=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4104: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_22122(t3,((C_word*)t0)[4],((C_word*)t0)[2]);}}

/* k22183 in k22124 in loop in r-comment in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_22185(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22185,2,av);}
t2=C_eqp(C_make_character(124),t1);
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4105: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22122(t4,((C_word*)t0)[4],t3);}
else{
t3=((C_word*)t0)[2];
/* library.scm:4105: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_22122(t4,((C_word*)t0)[4],t3);}}

/* r-ext-symbol in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_22203(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_22203,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22207,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4113: r-token */
t3=((C_word*)((C_word*)t0)[2])[1];
f_21558(t3,t2);}

/* k22205 in r-ext-symbol in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_22207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_22207,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22214,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4114: string-append */
t3=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[831];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k22212 in k22205 in r-ext-symbol in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_22214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22214,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4121: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* r-quote in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_22216(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_22216,3,t0,t1,t2);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22220,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4117: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word av2[3];
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22218 in r-quote in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_22220(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22220,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22231,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4118: readrec */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20388(t4,t3);}

/* k22229 in k22218 in r-quote in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_22231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_22231,2,av);}
a=C_alloc(6);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
/* library.scm:4118: info */
t3=((C_word*)((C_word*)t0)[3])[1];
f_20318(t3,((C_word*)t0)[4],lf[804],t2,((C_word*)t0)[5]);}

/* k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_22247(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22247,2,av);}
a=C_alloc(27);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22250,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[16],a[16]=((C_word*)t0)[17],a[17]=((C_word*)t0)[18],a[18]=((C_word*)t0)[19],a[19]=((C_word*)t0)[20],a[20]=((C_word*)t0)[21],a[21]=((C_word*)t0)[22],a[22]=((C_word*)t0)[23],a[23]=((C_word*)t0)[24],a[24]=((C_word*)t0)[2],a[25]=((C_word*)t0)[25],a[26]=((C_word*)t0)[26],tmp=(C_word)a,a+=27,tmp);
/* library.scm:4131: r-spaces */
t4=((C_word*)((C_word*)t0)[27])[1];
f_20391(t4,t3);}

/* k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_22250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_22250,2,av);}
a=C_alloc(27);
t2=(*a=C_CLOSURE_TYPE|26,a[1]=(C_word)f_22253,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],a[21]=((C_word*)t0)[21],a[22]=((C_word*)t0)[22],a[23]=((C_word*)t0)[23],a[24]=((C_word*)t0)[24],a[25]=((C_word*)t0)[25],a[26]=((C_word*)t0)[26],tmp=(C_word)a,a+=27,tmp);
/* library.scm:4132: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_22253(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_22253,2,av);}
a=C_alloc(28);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(1));
t4=(*a=C_CLOSURE_TYPE|27,a[1]=(C_word)f_22259,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],a[13]=((C_word*)t0)[12],a[14]=((C_word*)t0)[13],a[15]=((C_word*)t0)[14],a[16]=((C_word*)t0)[15],a[17]=((C_word*)t0)[16],a[18]=((C_word*)t0)[17],a[19]=((C_word*)t0)[18],a[20]=((C_word*)t0)[19],a[21]=((C_word*)t0)[20],a[22]=((C_word*)t0)[21],a[23]=((C_word*)t0)[22],a[24]=((C_word*)t0)[23],a[25]=((C_word*)t0)[24],a[26]=((C_word*)t0)[25],a[27]=((C_word*)t0)[26],tmp=(C_word)a,a+=28,tmp);
t5=C_eofp(t2);
if(C_truep(C_i_not(t5))){
if(C_truep(t3)){
t6=C_fix(C_character_code(t2));
t7=t4;
f_22259(t7,C_slot(t3,t6));}
else{
t6=t4;
f_22259(t6,C_SCHEME_FALSE);}}
else{
t6=t4;
f_22259(t6,C_SCHEME_FALSE);}}

/* k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_22259(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,0,3)))){
C_save_and_reclaim_args((void *)trf_22259,2,t0,t1);}
a=C_alloc(21);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22267,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li672),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22273,a[2]=((C_word*)t0)[4],a[3]=((C_word)li673),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4138: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
switch(((C_word*)t0)[2]){
case C_make_character(39):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22295,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4144: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22307,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4147: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(44):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22319,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4150: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t3=(*a=C_CLOSURE_TYPE|20,a[1]=(C_word)f_22347,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[7],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],a[12]=((C_word*)t0)[13],a[13]=((C_word*)t0)[14],a[14]=((C_word*)t0)[15],a[15]=((C_word*)t0)[6],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],tmp=(C_word)a,a+=21,tmp);
/* library.scm:4156: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4271: r-list */
t3=((C_word*)((C_word*)t0)[21])[1];
f_21090(t3,((C_word*)t0)[5],C_make_character(40),C_make_character(41));
case C_make_character(41):
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22965,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4272: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(34):
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22977,a[2]=((C_word*)t0)[23],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4273: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(46):
/* library.scm:4274: r-number */
t3=((C_word*)((C_word*)t0)[24])[1];
f_21370(t3,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);
default:
t3=C_eqp(((C_word*)t0)[2],C_make_character(45));
t4=(C_truep(t3)?t3:C_eqp(((C_word*)t0)[2],C_make_character(43)));
if(C_truep(t4)){
/* library.scm:4275: r-number */
t5=((C_word*)((C_word*)t0)[24])[1];
f_21370(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
if(C_truep(C_u_i_char_numericp(((C_word*)t0)[2]))){
/* library.scm:4278: r-number */
t5=((C_word*)((C_word*)t0)[24])[1];
f_21370(t5,((C_word*)t0)[5],C_SCHEME_FALSE,C_SCHEME_FALSE);}
else{
if(C_truep(C_i_memq(((C_word*)t0)[2],((C_word*)((C_word*)t0)[25])[1]))){
/* library.scm:4280: reserved-character */
t5=((C_word*)((C_word*)t0)[26])[1];
f_20364(t5,((C_word*)t0)[5],((C_word*)t0)[2]);}
else{
switch(((C_word*)t0)[2]){
case C_make_character(91):
/* library.scm:4283: r-list */
t5=((C_word*)((C_word*)t0)[21])[1];
f_21090(t5,((C_word*)t0)[5],C_make_character(91),C_make_character(93));
case C_make_character(123):
/* library.scm:4284: r-list */
t5=((C_word*)((C_word*)t0)[21])[1];
f_21090(t5,((C_word*)t0)[5],C_make_character(123),C_make_character(125));
default:
t5=C_eqp(((C_word*)t0)[2],C_make_character(93));
t6=(C_truep(t5)?t5:C_eqp(((C_word*)t0)[2],C_make_character(125)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23055,a[2]=((C_word*)t0)[22],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4285: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4286: r-symbol */
t7=((C_word*)((C_word*)t0)[27])[1];
f_21668(t7,((C_word*)t0)[5]);}}}}}}}}}

/* a22266 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22267,2,av);}
/* library.scm:4139: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22272 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22273,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4140: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20388(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22293 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22295,2,av);}
/* library.scm:4145: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22216(t2,((C_word*)t0)[3],lf[832]);}

/* k22305 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22307,2,av);}
/* library.scm:4148: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22216(t2,((C_word*)t0)[3],lf[833]);}

/* k22317 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22319,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22338,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4151: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22326 in k22336 in k22317 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_22328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22328,2,av);}
/* library.scm:4153: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22216(t2,((C_word*)t0)[3],lf[834]);}

/* k22336 in k22317 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_22338(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22338,2,av);}
a=C_alloc(4);
t2=C_eqp(t1,C_make_character(64));
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22328,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4152: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}
else{
/* library.scm:4154: r-quote */
t3=((C_word*)((C_word*)t0)[2])[1];
f_22216(t3,((C_word*)t0)[3],lf[835]);}}

/* k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,c,2)))){
C_save_and_reclaim((void *)f_22347,2,av);}
a=C_alloc(21);
t2=(*a=C_CLOSURE_TYPE|20,a[1]=(C_word)f_22350,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],a[12]=((C_word*)t0)[12],a[13]=((C_word*)t0)[13],a[14]=((C_word*)t0)[14],a[15]=((C_word*)t0)[15],a[16]=((C_word*)t0)[16],a[17]=((C_word*)t0)[17],a[18]=((C_word*)t0)[18],a[19]=((C_word*)t0)[19],a[20]=((C_word*)t0)[20],tmp=(C_word)a,a+=21,tmp);
/* library.scm:4157: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_22350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(19,c,3)))){
C_save_and_reclaim((void *)f_22350,2,av);}
a=C_alloc(19);
t2=t1;
if(C_truep(C_eofp(t2))){
/* library.scm:4160: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[836];
tp(4,av2);}}
else{
if(C_truep(C_u_i_char_numericp(t2))){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22368,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22451,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4163: r-digits */
t5=((C_word*)((C_word*)t0)[7])[1];
f_21622(t5,t4);}
else{
t3=C_slot(((C_word*)t0)[4],C_fix(2));
t4=(*a=C_CLOSURE_TYPE|18,a[1]=(C_word)f_22457,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[9],a[8]=((C_word*)t0)[10],a[9]=((C_word*)t0)[11],a[10]=((C_word*)t0)[12],a[11]=((C_word*)t0)[13],a[12]=((C_word*)t0)[14],a[13]=((C_word*)t0)[15],a[14]=((C_word*)t0)[16],a[15]=((C_word*)t0)[17],a[16]=((C_word*)t0)[18],a[17]=((C_word*)t0)[19],a[18]=((C_word*)t0)[20],tmp=(C_word)a,a+=19,tmp);
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22457(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22457(t5,C_SCHEME_FALSE);}}}}

/* k22366 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_22368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22368,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22371,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4164: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k22369 in k22366 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22371(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_22371,2,av);}
a=C_alloc(8);
t2=t1;
t3=C_slot(((C_word*)t0)[2],C_fix(3));
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_22377,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_charp(t2))){
if(C_truep(t3)){
t5=C_fix(C_character_code(t2));
t6=t4;
f_22377(t6,C_slot(t3,t5));}
else{
t5=t4;
f_22377(t5,C_SCHEME_FALSE);}}
else{
t5=t4;
f_22377(t5,C_SCHEME_FALSE);}}

/* k22375 in k22369 in k22366 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_fcall f_22377(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,5)))){
C_save_and_reclaim_args((void *)trf_22377,2,t0,t1);}
a=C_alloc(11);
t2=t1;
if(C_truep(C_eofp(((C_word*)t0)[2]))){
/* library.scm:4170: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[6];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=lf[837];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
tp(6,av2);}}
else{
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22394,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[6],a[6]=((C_word)li674),tmp=(C_word)a,a+=7,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22400,a[2]=((C_word*)t0)[7],a[3]=((C_word)li675),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4173: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_eqp(((C_word*)t0)[2],C_make_character(41));
t4=(C_truep(t3)?t3:C_u_i_char_whitespacep(((C_word*)t0)[2]));
if(C_truep(t4)){
/* library.scm:4178: ##sys#sharp-number-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[772]);
C_word av2[4];
av2[0]=*((C_word*)lf[772]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[6];
tp(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22428,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4179: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}}}}

/* a22393 in k22375 in k22369 in k22366 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22394,2,av);}
/* library.scm:4174: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
((C_proc)C_fast_retrieve_proc(t2))(5,av2);}}

/* a22399 in k22375 in k22369 in k22366 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22400,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4175: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20388(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22426 in k22375 in k22369 in k22366 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22428(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_22428,2,av);}
/* library.scm:4180: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[838];
av2[4]=((C_word*)t0)[4];
av2[5]=((C_word*)t0)[5];
av2[6]=((C_word*)t0)[6];
tp(7,av2);}}

/* k22449 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_22451(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22451,2,av);}
/* library.scm:4163: scheme#string->number */
t2=*((C_word*)lf[618]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_fcall f_22457(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_22457,2,t0,t1);}
a=C_alloc(10);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22465,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li676),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22471,a[2]=((C_word*)t0)[4],a[3]=((C_word)li677),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4188: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}
else{
t3=C_u_i_char_downcase(((C_word*)t0)[2]);
switch(t3){
case C_make_character(120):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22496,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4193: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(100):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22508,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4194: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(111):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22520,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4195: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(98):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22532,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4196: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(105):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22544,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4197: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(101):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22556,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4198: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(99):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22568,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4200: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(40):
/* library.scm:4209: r-vector */
t4=((C_word*)((C_word*)t0)[9])[1];
f_21352(t4,((C_word*)t0)[5]);
case C_make_character(92):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22632,a[2]=((C_word*)t0)[10],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4210: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(124):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22644,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[11],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4212: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(35):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22659,a[2]=((C_word*)t0)[12],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4215: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(59):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22671,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4218: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(96):
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22686,a[2]=((C_word*)t0)[13],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4221: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(36):
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22698,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[13],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4224: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(58):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22725,a[2]=((C_word*)t0)[14],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[15],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4233: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(43):
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22785,a[2]=((C_word*)t0)[16],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4243: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
case C_make_character(33):
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22815,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[17],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[18],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4250: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}
default:
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22887,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li685),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22893,a[2]=((C_word*)t0)[4],a[3]=((C_word)li686),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4269: ##sys#call-with-values */{
C_word av2[4];
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}}}

/* a22464 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22465(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22465,2,av);}
/* library.scm:4189: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* a22470 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22471,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4190: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20388(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22494 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22496,2,av);}
/* library.scm:4193: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21440(t2,((C_word*)t0)[3],C_fix(16));}

/* k22506 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22508,2,av);}
/* library.scm:4194: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21440(t2,((C_word*)t0)[3],C_fix(10));}

/* k22518 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22520,2,av);}
/* library.scm:4195: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21440(t2,((C_word*)t0)[3],C_fix(8));}

/* k22530 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22532,2,av);}
/* library.scm:4196: r-number-with-exactness */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21440(t2,((C_word*)t0)[3],C_fix(2));}

/* k22542 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22544,2,av);}
/* library.scm:4197: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21491(t2,((C_word*)t0)[3],lf[611]);}

/* k22554 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22556,2,av);}
/* library.scm:4198: r-number-with-radix */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21491(t2,((C_word*)t0)[3],lf[610]);}

/* k22566 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22568,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22571,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4201: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22569 in k22566 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_22571(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22571,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22574,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_eofp(t1))){
/* library.scm:4204: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[839];
tp(4,av2);}}
else{
switch(t1){
case C_make_character(105):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_22574(2,av2);}
case C_make_character(115):
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
f_22574(2,av2);}
default:
/* library.scm:4207: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=lf[840];
av2[4]=t1;
tp(5,av2);}}}}

/* k22572 in k22569 in k22566 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,4)))){
C_save_and_reclaim((void *)f_22574,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_SCHEME_FALSE;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22579,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=((C_word)li678),tmp=(C_word)a,a+=6,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22584,a[2]=((C_word*)t0)[3],a[3]=((C_word)li679),tmp=(C_word)a,a+=4,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22590,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t5,a[5]=((C_word)li680),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4202: ##sys#dynamic-wind */
t9=*((C_word*)lf[690]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=t7;
av2[4]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}

/* a22578 in k22572 in k22569 in k22566 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_22579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22579,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22583 in k22572 in k22569 in k22566 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_22584(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22584,2,av);}
/* library.scm:4208: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20388(t2,t1);}

/* a22589 in k22572 in k22569 in k22566 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_22590(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22590,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22630 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22632(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22632,2,av);}
/* library.scm:4210: r-char */
t2=((C_word*)((C_word*)t0)[2])[1];
f_21907(t2,((C_word*)t0)[3]);}

/* k22642 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22644(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22644,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22647,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4213: r-comment */
t3=((C_word*)((C_word*)t0)[4])[1];
f_22116(t3,t2);}

/* k22645 in k22642 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_22647(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22647,2,av);}
/* library.scm:4213: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20388(t2,((C_word*)t0)[3]);}

/* k22657 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22659(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22659,2,av);}
/* library.scm:4216: r-ext-symbol */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22203(t2,((C_word*)t0)[3]);}

/* k22669 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22671(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22671,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22674,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4219: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20388(t3,t2);}

/* k22672 in k22669 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_22674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22674,2,av);}
/* library.scm:4219: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20388(t2,((C_word*)t0)[3]);}

/* k22684 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22686,2,av);}
/* library.scm:4222: r-quote */
t2=((C_word*)((C_word*)t0)[2])[1];
f_22216(t2,((C_word*)t0)[3],lf[841]);}

/* k22696 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22698(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22698,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22701,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4225: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22699 in k22696 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_22701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_22701,2,av);}
a=C_alloc(4);
if(C_truep(C_i_char_equalp(t1,C_make_character(123)))){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22710,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4227: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
/* library.scm:4231: r-quote */
t2=((C_word*)((C_word*)t0)[4])[1];
f_22216(t2,((C_word*)t0)[2],lf[843]);}}

/* k22708 in k22699 in k22696 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22710(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22710,2,av);}
/* library.scm:4228: ##sys#read-bytevector-literal */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[842]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[842]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22723 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22725,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22728,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4234: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k22726 in k22723 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_22728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,4)))){
C_save_and_reclaim((void *)f_22728,2,av);}
a=C_alloc(22);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_FALSE;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22733,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word)li681),tmp=(C_word)a,a+=6,tmp);
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22738,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=((C_word)li683),tmp=(C_word)a,a+=6,tmp);
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22773,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li684),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4235: ##sys#dynamic-wind */
t10=*((C_word*)lf[690]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=((C_word*)t0)[5];
av2[2]=t7;
av2[3]=t8;
av2[4]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* a22732 in k22726 in k22723 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22733(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22733,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a22737 in k22726 in k22723 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_22738,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22744,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li682),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4236: r-xtoken */
t3=((C_word*)((C_word*)t0)[4])[1];
f_21693(t3,t1,t2);}

/* a22743 in a22737 in k22726 in k22723 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_22744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22744,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22751,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=C_block_size(t2);
t6=C_eqp(C_fix(0),t5);
if(C_truep(t6)){
t7=C_i_char_equalp(((C_word*)t0)[3],C_make_character(124));
t8=t4;
f_22751(t8,C_i_not(t7));}
else{
t7=t4;
f_22751(t7,C_SCHEME_FALSE);}}

/* k22749 in a22743 in a22737 in k22726 in k22723 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in ... */
static void C_fcall f_22751(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_22751,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:4240: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[4];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[844];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[4];
/* library.scm:4124: ##sys#intern-keyword */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[628]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[628]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}

/* a22772 in k22726 in k22723 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22773(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22773,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)((C_word*)t0)[3])[1]);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,((C_word*)((C_word*)t0)[4])[1]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k22783 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_22785,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22788,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4244: ##sys#port-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[747]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[747]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22786 in k22783 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_22788(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22788,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22791,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4245: readrec */
t4=((C_word*)((C_word*)t0)[4])[1];
f_20388(t4,t3);}

/* k22789 in k22786 in k22783 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_22791(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_22791,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_22806,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4247: readrec */
t4=((C_word*)((C_word*)t0)[5])[1];
f_20388(t4,t3);}

/* k22804 in k22789 in k22786 in k22783 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_22806(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_22806,2,av);}
a=C_alloc(15);
t2=C_a_i_list2(&a,2,((C_word*)t0)[2],t1);
t3=C_a_i_list3(&a,3,lf[845],t2,lf[846]);
/* library.scm:4246: info */
t4=((C_word*)((C_word*)t0)[3])[1];
f_20318(t4,((C_word*)t0)[4],lf[804],t3,((C_word*)t0)[5]);}

/* k22813 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22815,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22818,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4251: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k22816 in k22813 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_22818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_22818,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_22824,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(C_charp(t1))){
t3=C_u_i_char_whitespacep(t1);
if(C_truep(t3)){
t4=t2;
f_22824(t4,t3);}
else{
t4=C_u_i_char_equalp(C_make_character(47),t1);
t5=t2;
f_22824(t5,t4);}}
else{
t3=t2;
f_22824(t3,C_SCHEME_FALSE);}}

/* k22822 in k22816 in k22813 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_fcall f_22824(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_22824,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22827,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4254: skip-to-eol */
t3=((C_word*)((C_word*)t0)[4])[1];
f_20327(t3,t2);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_22833,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4257: r-token */
t3=((C_word*)((C_word*)t0)[6])[1];
f_21558(t3,t2);}}

/* k22825 in k22822 in k22816 in k22813 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_22827(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_22827,2,av);}
/* library.scm:4255: readrec */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20388(t2,((C_word*)t0)[3]);}

/* k22831 in k22822 in k22816 in k22813 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_22833(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_22833,2,av);}
a=C_alloc(5);
t2=t1;
if(C_truep(C_i_string_equal_p(lf[847],t2))){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep((C_truep(C_i_equalp(t2,lf[848]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[849]))?C_SCHEME_TRUE:(C_truep(C_i_equalp(t2,lf[850]))?C_SCHEME_TRUE:C_SCHEME_FALSE))))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_22852,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4260: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t3;
av2[2]=lf[851];
av2[3]=t2;
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_22871,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4262: scheme#string->symbol */
t4=*((C_word*)lf[634]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}}

/* k22850 in k22831 in k22822 in k22816 in k22813 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in ... */
static void C_ccall f_22852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22852,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:4121: ##sys#intern-symbol */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t2;
av2[2]=t1;
C_string_to_symbol(3,av2);}}

/* k22869 in k22831 in k22822 in k22816 in k22813 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in ... */
static void C_ccall f_22871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_22871,2,av);}
t2=C_i_assq(t1,C_fast_retrieve(lf[852]));
if(C_truep(t2)){
t3=C_slot(t2,C_fix(1));
/* library.scm:4263: g4888 */
t4=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}
else{
/* library.scm:4265: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[853];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}}

/* a22886 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22887(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_22887,2,av);}
/* library.scm:4269: ##sys#user-read-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[854]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[854]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* a22892 in k22455 in k22348 in k22345 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_22893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_22893,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_nullp(t2))){
/* library.scm:4270: readrec */
t3=((C_word*)((C_word*)t0)[2])[1];
f_20388(t3,t1);}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k22963 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22965(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22965,2,av);}
/* library.scm:4272: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k22975 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_22977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_22977,2,av);}
/* library.scm:4273: r-string */
t2=((C_word*)((C_word*)t0)[2])[1];
f_20536(t2,((C_word*)t0)[3],C_make_character(34));}

/* k23053 in k22257 in k22251 in k22248 in k22245 in readrec in k20308 in k20305 in k20302 in k20299 in k20296 in ##sys#read in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_23055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23055,2,av);}
/* library.scm:4285: container */
t2=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#char->utf8-string in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_23131,3,av);}
a=C_alloc(5);
t3=C_fix(C_character_code(t2));
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(127)))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_string(&a,1,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2047)))){
t4=C_fixnum_shift_right(t3,C_fix(6));
t5=C_fixnum_or(C_fix(192),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_and(t3,C_fix(63));
t8=C_fixnum_or(C_fix(128),t7);
t9=C_make_character(C_unfix(t8));
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=C_a_i_string(&a,2,t6,t9);
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(65535)))){
t4=C_fixnum_shift_right(t3,C_fix(12));
t5=C_fixnum_or(C_fix(224),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(6));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_and(t3,C_fix(63));
t12=C_fixnum_or(C_fix(128),t11);
t13=C_make_character(C_unfix(t12));
t14=t1;{
C_word *av2=av;
av2[0]=t14;
av2[1]=C_a_i_string(&a,3,t6,t10,t13);
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(2097151)))){
t4=C_fixnum_shift_right(t3,C_fix(18));
t5=C_fixnum_or(C_fix(240),t4);
t6=C_make_character(C_unfix(t5));
t7=C_fixnum_shift_right(t3,C_fix(12));
t8=C_fixnum_and(t7,C_fix(63));
t9=C_fixnum_or(C_fix(128),t8);
t10=C_make_character(C_unfix(t9));
t11=C_fixnum_shift_right(t3,C_fix(6));
t12=C_fixnum_and(t11,C_fix(63));
t13=C_fixnum_or(C_fix(128),t12);
t14=C_make_character(C_unfix(t13));
t15=C_fixnum_and(t3,C_fix(63));
t16=C_fixnum_or(C_fix(128),t15);
t17=C_make_character(C_unfix(t16));
t18=t1;{
C_word *av2=av;
av2[0]=t18;
av2[1]=C_a_i_string(&a,4,t6,t10,t14,t17);
((C_proc)(void*)(*((C_word*)t18+1)))(2,av2);}}
else{
/* library.scm:4310: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[857];
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}}}}

/* ##sys#unicode-surrogate? in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23296,3,av);}
t3=C_fixnum_less_or_equal_p(C_fix(55296),t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_fixnum_less_or_equal_p(t2,C_fix(57343)):C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#surrogates->codepoint in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23308,4,av);}
if(C_truep(C_fixnum_less_or_equal_p(C_fix(55296),t2))){
if(C_truep(C_fixnum_less_or_equal_p(t2,C_fix(56319)))){
if(C_truep(C_fixnum_less_or_equal_p(C_fix(56320),t3))){
if(C_truep(C_fixnum_less_or_equal_p(t3,C_fix(57343)))){
t4=C_fixnum_shift_right(t2,C_fix(6));
t5=C_fixnum_and(t4,C_fix(31));
t6=C_fixnum_plus(C_fix(1),t5);
t7=C_fixnum_shift_left(t6,C_fix(16));
t8=C_fixnum_and(t2,C_fix(63));
t9=C_fixnum_shift_left(t8,C_fix(10));
t10=C_fixnum_and(t3,C_fix(1023));
t11=C_fixnum_or(t9,t10);
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_fixnum_or(t7,t11);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* ##sys#read-bytevector-literal in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23370,3,av);}
a=C_alloc(12);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23373,a[2]=t2,a[3]=((C_word)li692),tmp=(C_word)a,a+=4,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23419,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=((C_word)li693),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_23419(t7,t1,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE);}

/* hex in ##sys#read-bytevector-literal in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_fcall f_23373(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_23373,3,t0,t1,t2);}
t3=C_u_i_char_downcase(t2);
t4=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(97)))?C_u_i_char_less_or_equal_p(t3,C_make_character(102)):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_fix(C_character_code(t3));
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_difference(t5,C_fix(87));
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=(C_truep(C_u_i_char_greater_or_equal_p(t3,C_make_character(48)))?C_u_i_char_less_or_equal_p(t3,C_make_character(57)):C_SCHEME_FALSE);
if(C_truep(t5)){
t6=C_fix(C_character_code(t3));
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=C_fixnum_difference(t6,C_fix(48));
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
/* library.scm:4330: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word av2[4];
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[858];
tp(4,av2);}}}}

/* loop in ##sys#read-bytevector-literal in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_fcall f_23419(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23419,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23423,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t3,a[5]=t2,a[6]=((C_word*)t0)[3],a[7]=((C_word*)t0)[4],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4332: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k23421 in loop in ##sys#read-bytevector-literal in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_23423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_23423,2,av);}
a=C_alloc(6);
if(C_truep(C_eofp(t1))){
/* library.scm:4334: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[859];
tp(4,av2);}}
else{
if(C_truep(C_i_char_equalp(C_make_character(125),t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23441,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t4=C_make_character(C_unfix(t3));
t5=C_a_i_cons(&a,2,t4,((C_word*)t0)[5]);
/* library.scm:4336: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t2;
av2[2]=t5;
tp(3,av2);}}
else{
t3=((C_word*)t0)[5];
/* library.scm:4336: ##sys#reverse-list->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[388]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[388]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}}
else{
if(C_truep(C_u_i_char_whitespacep(t1))){
if(C_truep(((C_word*)t0)[4])){
t2=C_fixnum_shift_right(((C_word*)t0)[4],C_fix(4));
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[5]);
/* library.scm:4344: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23419(t5,((C_word*)t0)[2],t4,C_SCHEME_FALSE);}
else{
/* library.scm:4345: loop */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23419(t2,((C_word*)t0)[2],((C_word*)t0)[5],((C_word*)t0)[4]);}}
else{
if(C_truep(((C_word*)t0)[4])){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_23505,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[2],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4346: hex */
t3=((C_word*)t0)[7];
f_23373(t3,t2,t1);}
else{
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23516,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4347: hex */
t3=((C_word*)t0)[7];
f_23373(t3,t2,t1);}}}}}

/* k23439 in k23421 in loop in ##sys#read-bytevector-literal in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_23441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23441,2,av);}
t2=C_string_to_bytevector(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23503 in k23421 in loop in ##sys#read-bytevector-literal in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_23505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23505,2,av);}
a=C_alloc(3);
t2=C_fixnum_or(((C_word*)t0)[2],t1);
t3=C_make_character(C_unfix(t2));
t4=C_a_i_cons(&a,2,t3,((C_word*)t0)[3]);
/* library.scm:4346: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_23419(t5,((C_word*)t0)[5],t4,C_SCHEME_FALSE);}

/* k23514 in k23421 in loop in ##sys#read-bytevector-literal in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_23516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23516,2,av);}
t2=C_fixnum_shift_left(t1,C_fix(4));
/* library.scm:4347: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23419(t3,((C_word*)t0)[3],((C_word*)t0)[4],t2);}

/* ##sys#user-read-hook in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23518(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_23518,4,av);}
a=C_alloc(3);
t4=t2;
t5=C_eqp(t4,C_make_character(102));
t6=(C_truep(t5)?t5:C_eqp(t4,C_make_character(70)));
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23531,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4359: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2=av;
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t7;
av2[2]=t3;
tp(3,av2);}}
else{
t7=C_eqp(t4,C_make_character(116));
t8=(C_truep(t7)?t7:C_eqp(t4,C_make_character(84)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23543,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4360: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2=av;
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t9;
av2[2]=t3;
tp(3,av2);}}
else{
/* library.scm:4361: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=lf[860];
av2[4]=t2;
tp(5,av2);}}}}

/* k23529 in ##sys#user-read-hook in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_23531(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23531,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23541 in ##sys#user-read-hook in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_23543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23543,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char-0 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23563,4,av);}
a=C_alloc(3);
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23570,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4375: g5000 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}

/* k23568 in ##sys#write-char-0 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_23570(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23570,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#write-char/port in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23579(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23579,4,av);}
t4=t3;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[863]);
t6=C_i_check_char_2(t2,lf[863]);
/* library.scm:4382: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2=av;
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}

/* scheme#write-char in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23591(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23591,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?*((C_word*)lf[713]+1):C_i_car(t3));
t6=C_i_check_char_2(t2,lf[863]);
t7=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[863]);
/* library.scm:4388: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t5;
tp(4,av2);}}

/* scheme#newline in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,3)))){
C_save_and_reclaim((void*)f_23612,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=*((C_word*)lf[713]+1);
t4=*((C_word*)lf[713]+1);
/* library.scm:4392: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[713]+1);
tp(4,av2);}}
else{
t3=C_i_car(t2);
/* library.scm:4392: ##sys#write-char/port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[862]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[862]+1);
av2[1]=t1;
av2[2]=C_make_character(10);
av2[3]=t3;
tp(4,av2);}}}

/* scheme#write in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23627(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23627,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[713]+1);
t5=C_i_check_port_2(*((C_word*)lf[713]+1),C_fix(2),C_SCHEME_TRUE,lf[864]);
/* library.scm:4397: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[864]);
/* library.scm:4397: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* scheme#display in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_23645,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+0);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t3))){
t4=*((C_word*)lf[713]+1);
t5=C_i_check_port_2(*((C_word*)lf[713]+1),C_fix(2),C_SCHEME_TRUE,lf[866]);
/* library.scm:4402: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t4=C_i_car(t3);
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[866]);
/* library.scm:4402: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* chicken.base#print in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23663,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[713]+1);
t4=C_i_check_port_2(*((C_word*)lf[713]+1),C_fix(2),C_SCHEME_TRUE,lf[867]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23706,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[685]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23682,a[2]=t8,a[3]=((C_word)li702),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23682(t10,t5,t2);}

/* for-each-loop5061 in chicken.base#print in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_fcall f_23682(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23682,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23692,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[865]+1);
/* library.scm:4405: g5077 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[865]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[865]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23690 in for-each-loop5061 in chicken.base#print in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_23692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23692,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23682(t3,((C_word*)t0)[4],t2);}

/* k23704 in chicken.base#print in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_23706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23706,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23709,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4411: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[713]+1);
tp(4,av2);}}

/* k23707 in k23704 in chicken.base#print in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_23709(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23709,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#print* in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_23714,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
t3=*((C_word*)lf[713]+1);
t4=C_i_check_port_2(*((C_word*)lf[713]+1),C_fix(2),C_SCHEME_TRUE,lf[867]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23757,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=C_i_check_list_2(t2,lf[685]);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23733,a[2]=t8,a[3]=((C_word)li704),tmp=(C_word)a,a+=4,tmp));
t10=((C_word*)t8)[1];
f_23733(t10,t5,t2);}

/* for-each-loop5093 in chicken.base#print* in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_fcall f_23733(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_23733,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23743,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=*((C_word*)lf[865]+1);
/* library.scm:4405: g5109 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[865]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[865]+1);
av2[1]=t3;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[713]+1);
tp(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k23741 in for-each-loop5093 in chicken.base#print* in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_23743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23743,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_23733(t3,((C_word*)t0)[4],t2);}

/* k23755 in chicken.base#print* in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_23757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23757,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23760,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4418: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t2;
av2[2]=*((C_word*)lf[713]+1);
tp(3,av2);}}

/* k23758 in k23755 in chicken.base#print* in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_23760(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_23760,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in ... */
static void C_ccall f_23767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23767,2,av);}
a=C_alloc(3);
t2=C_mutate(&lf[868] /* (set! current-print-length ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23771,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4422: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in ... */
static void C_ccall f_23771(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23771,2,av);}
a=C_alloc(3);
t2=C_mutate((C_word*)lf[869]+1 /* (set! ##sys#print-length-limit ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23775,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4423: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in ... */
static void C_ccall f_23775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(104,c,6)))){
C_save_and_reclaim((void *)f_23775,2,av);}
a=C_alloc(104);
t2=C_mutate(&lf[870] /* (set! ##sys#print-exit ...) */,t1);
t3=*((C_word*)lf[230]+1);
t4=*((C_word*)lf[231]+1);
t5=C_mutate((C_word*)lf[865]+1 /* (set! ##sys#print ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23777,a[2]=t4,a[3]=t3,a[4]=((C_word)li719),tmp=(C_word)a,a+=5,tmp));
t6=C_mutate((C_word*)lf[892]+1 /* (set! ##sys#procedure->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24878,a[2]=((C_word)li720),tmp=(C_word)a,a+=3,tmp));
t7=C_set_block_item(lf[905] /* ##sys#record-printers */,0,C_SCHEME_END_OF_LIST);
t8=C_mutate((C_word*)lf[906]+1 /* (set! ##sys#register-record-printer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24895,a[2]=((C_word)li721),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[891]+1 /* (set! ##sys#user-print-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24915,a[2]=((C_word)li729),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[917]+1 /* (set! ##sys#with-print-length-limit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25066,a[2]=((C_word)li734),tmp=(C_word)a,a+=3,tmp));
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25151,a[2]=t12,a[3]=((C_word)li735),tmp=(C_word)a,a+=4,tmp);
t14=C_set_block_item(t12,0,t13);
t15=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31455,a[2]=((C_word)li736),tmp=(C_word)a,a+=3,tmp);
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31480,a[2]=((C_word)li737),tmp=(C_word)a,a+=3,tmp);
t17=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31498,a[2]=t12,a[3]=((C_word)li738),tmp=(C_word)a,a+=4,tmp);
t18=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31517,a[2]=t12,a[3]=((C_word)li739),tmp=(C_word)a,a+=4,tmp);
t19=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31536,a[2]=((C_word)li740),tmp=(C_word)a,a+=3,tmp);
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31539,a[2]=((C_word)li741),tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31542,a[2]=((C_word)li742),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31583,a[2]=((C_word)li746),tmp=(C_word)a,a+=3,tmp);
t23=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31667,a[2]=((C_word)li747),tmp=(C_word)a,a+=3,tmp);
t24=C_a_i_vector(&a,10,t15,t16,t17,t18,*((C_word*)lf[196]+1),t19,t20,t21,t22,t23);
t25=C_mutate((C_word*)lf[922]+1 /* (set! ##sys#string-port-class ...) */,t24);
t26=C_mutate((C_word*)lf[920]+1 /* (set! ##sys#scan-buffer-line ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25207,a[2]=((C_word)li754),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[212]+1 /* (set! chicken.base#open-input-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25404,a[2]=((C_word)li755),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[213]+1 /* (set! chicken.base#open-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25423,a[2]=((C_word)li756),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[211]+1 /* (set! chicken.base#get-output-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25442,a[2]=((C_word)li757),tmp=(C_word)a,a+=3,tmp));
t30=*((C_word*)lf[211]+1);
t31=*((C_word*)lf[213]+1);
t32=C_mutate((C_word*)lf[932]+1 /* (set! ##sys#print-to-string ...) */,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25476,a[2]=t30,a[3]=t31,a[4]=((C_word)li760),tmp=(C_word)a,a+=5,tmp));
t33=C_mutate((C_word*)lf[886]+1 /* (set! ##sys#pointer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25519,a[2]=((C_word)li761),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[186]+1 /* (set! chicken.base#get-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25572,a[2]=((C_word)li763),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[941]+1 /* (set! ##sys#really-print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25716,a[2]=((C_word)li767),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[187]+1 /* (set! chicken.base#print-call-chain ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25821,a[2]=((C_word)li768),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[949]+1 /* (set! ##sys#user-interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25912,a[2]=((C_word)li770),tmp=(C_word)a,a+=3,tmp));
t38=lf[952] /* exit-in-progress */ =C_SCHEME_FALSE;;
t39=C_mutate(&lf[953] /* (set! cleanup-before-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25934,a[2]=((C_word)li773),tmp=(C_word)a,a+=3,tmp));
t40=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26017,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t41=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31431,a[2]=((C_word)li983),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4988: chicken.base#make-parameter */
t42=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t42;
av2[1]=t40;
av2[2]=t41;
((C_proc)(void*)(*((C_word*)t42+1)))(3,av2);}}

/* ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_23777(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23777,5,av);}
a=C_alloc(7);
t5=t4;
t6=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,C_SCHEME_FALSE);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23784,a[2]=t3,a[3]=t1,a[4]=t4,a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4430: case-sensitive */
t8=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_23784(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23784,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23787,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4431: keyword-style */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_23787(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23787,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23790,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4432: ##sys#print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[869]);
C_word *av2=av;
av2[0]=*((C_word*)lf[869]+1);
av2[1]=t3;
tp(2,av2);}}

/* k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_23790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(49,c,4)))){
C_save_and_reclaim((void *)f_23790,2,av);}
a=C_alloc(49);
t2=t1;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_SCHEME_UNDEFINED;
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23792,a[2]=t2,a[3]=((C_word)li706),tmp=(C_word)a,a+=4,tmp));
t14=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23864,a[2]=t2,a[3]=((C_word)li707),tmp=(C_word)a,a+=4,tmp));
t15=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23924,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t10,a[5]=t12,a[6]=((C_word)li708),tmp=(C_word)a,a+=7,tmp));
t16=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23948,a[2]=t6,a[3]=t4,a[4]=((C_word)li710),tmp=(C_word)a,a+=5,tmp));
t17=C_set_block_item(t12,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24037,a[2]=((C_word*)t0)[3],a[3]=((C_word)li712),tmp=(C_word)a,a+=4,tmp));
t18=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24226,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t19=C_SCHEME_UNDEFINED;
t20=(*a=C_VECTOR_TYPE|1,a[1]=t19,tmp=(C_word)a,a+=2,tmp);
t21=C_set_block_item(t20,0,(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_24231,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t6,a[6]=((C_word*)t0)[6],a[7]=t8,a[8]=t20,a[9]=((C_word)li718),tmp=(C_word)a,a+=10,tmp));
t22=((C_word*)t20)[1];
f_24231(t22,t18,((C_word*)t0)[7]);}

/* outstr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_23792(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_23792,4,t0,t1,t2,t3);}
a=C_alloc(7);
if(C_truep(((C_word*)t0)[2])){
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23802,a[2]=t5,a[3]=t1,a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4438: current-print-length */
t7=C_retrieve2(lf[868],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t4=t1;
t5=t2;
t6=t3;
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51525153 */
t9=t8;{
C_word av2[4];
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23800 in outstr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_23802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_23802,2,av);}
a=C_alloc(12);
t2=C_fixnum_plus(t1,((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23808,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t3,((C_word*)t0)[4]))){
t5=C_fixnum_difference(((C_word*)t0)[4],t1);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23820,a[2]=t4,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fixnum_greaterp(t5,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_23843,a[2]=((C_word*)t0)[5],a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4442: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[6];
av2[3]=C_fix(0);
av2[4]=t5;
tp(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_23820(2,av2);}}}
else{
t5=((C_word*)t0)[5];
t6=((C_word*)t0)[6];
t7=C_slot(t5,C_fix(2));
t8=C_slot(t7,C_fix(3));
/* g51525153 */
t9=t8;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t9;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k23806 in k23800 in outstr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_23808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23808,2,av);}
/* library.scm:4446: current-print-length */
t2=C_retrieve2(lf[868],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k23818 in k23800 in outstr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_23820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23820,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23823,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[3];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51525153 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[871];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k23821 in k23818 in k23800 in outstr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_23823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23823,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23826,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4444: ##sys#print-exit */
t3=C_retrieve2(lf[870],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23824 in k23821 in k23818 in k23800 in outstr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_23826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23826,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4441: g5145 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k23841 in k23800 in outstr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_23843(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23843,2,av);}
t2=((C_word*)t0)[2];
t3=C_slot(t2,C_fix(2));
t4=C_slot(t3,C_fix(3));
/* g51525153 */
t5=t4;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* outchr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_23864(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,3)))){
C_save_and_reclaim_args((void *)trf_23864,4,t0,t1,t2,t3);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23868,a[2]=t2,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[2])){
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23881,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=t2,a[5]=t1,a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4454: current-print-length */
t6=C_retrieve2(lf[868],C_text("current-print-length"));{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(2));
t6=C_slot(t5,C_fix(2));
/* g51615162 */
t7=t6;{
C_word av2[4];
av2[0]=t7;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t7))(4,av2);}}}

/* k23866 in outchr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_23868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23868,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51615162 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* k23879 in outchr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_23881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_23881,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23884,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:4455: current-print-length */
t5=C_retrieve2(lf[868],C_text("current-print-length"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k23882 in k23879 in outchr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_23884(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_23884,2,av);}
a=C_alloc(3);
if(C_truep(C_fixnum_greater_or_equal_p(((C_word*)t0)[2],((C_word*)t0)[3]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23893,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
t3=((C_word*)t0)[5];
t4=C_slot(t3,C_fix(2));
t5=C_slot(t4,C_fix(3));
/* g51525153 */
t6=t5;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=t3;
av2[3]=lf[872];
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}
else{
t2=C_slot(((C_word*)t0)[5],C_fix(2));
t3=C_slot(t2,C_fix(2));
/* g51615162 */
t4=t3;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}}

/* k23891 in k23882 in k23879 in outchr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_23893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_23893,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_23896,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4458: ##sys#print-exit */
t3=C_retrieve2(lf[870],C_text("##sys#print-exit"));{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k23894 in k23891 in k23882 in k23879 in outchr in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_23896(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23896,2,av);}
t2=*((C_word*)lf[244]+1);
/* library.scm:4456: g5157 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[244]+1);
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* outsym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_23924(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_23924,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23928,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4467: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t4;
av2[2]=t3;
tp(3,av2);}}

/* k23926 in outsym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_23928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_23928,2,av);}
a=C_alloc(7);
t2=t1;
t3=C_i_not(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_23937,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t2,a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t3)){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t3;
f_23937(2,av2);}}
else{
/* library.scm:4468: sym-is-readable? */
t5=((C_word*)((C_word*)t0)[7])[1];
f_24037(t5,t4,t2);}}

/* k23935 in k23926 in outsym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_23937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_23937,2,av);}
if(C_truep(t1)){
/* library.scm:4469: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}
else{
/* library.scm:4470: outreadablesym */
t2=((C_word*)((C_word*)t0)[6])[1];
f_23948(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}

/* outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_23948(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_23948,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_block_size(t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23955,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=t3,a[6]=((C_word*)t0)[3],a[7]=t1,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4474: outchr */
t7=((C_word*)((C_word*)t0)[2])[1];
f_23864(t7,t6,t2,C_make_character(124));}

/* k23953 in outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_23955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_23955,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23960,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,a[7]=((C_word*)t0)[6],a[8]=((C_word)li709),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_23960(t5,((C_word*)t0)[7],C_fix(0));}

/* loop in k23953 in outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_23960(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_23960,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
/* library.scm:4477: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23864(t3,t1,((C_word*)t0)[4],C_make_character(124));}
else{
t3=C_subchar(((C_word*)t0)[5],t2);
t4=C_i_char_lessp(t3,C_make_character(32));
t5=(C_truep(t4)?t4:C_u_i_char_greaterp(t3,C_make_character(126)));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_23982,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[6],a[5]=t1,a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[4],a[8]=((C_word*)t0)[3],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4480: outstr */
t7=((C_word*)((C_word*)t0)[7])[1];
f_23792(t7,t6,((C_word*)t0)[4],lf[873]);}
else{
t6=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24011,a[2]=t2,a[3]=((C_word*)t0)[6],a[4]=t1,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
t7=C_eqp(t3,C_make_character(124));
if(C_truep(t7)){
if(C_truep(t7)){
/* library.scm:4486: outchr */
t8=((C_word*)((C_word*)t0)[3])[1];
f_23864(t8,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t8=t6;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_24011(2,av2);}}}
else{
t8=C_eqp(t3,C_make_character(92));
if(C_truep(t8)){
/* library.scm:4486: outchr */
t9=((C_word*)((C_word*)t0)[3])[1];
f_23864(t9,t6,((C_word*)t0)[4],C_make_character(92));}
else{
t9=t6;{
C_word av2[2];
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_24011(2,av2);}}}}}}

/* k23980 in loop in k23953 in outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_23982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_23982,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_23988,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t3,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t3,C_fix(16)))){
/* library.scm:4482: outchr */
t5=((C_word*)((C_word*)t0)[8])[1];
f_23864(t5,t4,((C_word*)t0)[7],C_make_character(48));}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_23988(2,av2);}}}

/* k23986 in k23980 in loop in k23953 in outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_23988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_23988,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_23991,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24002,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4483: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k23989 in k23986 in k23980 in loop in k23953 in outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_23991(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_23991,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4484: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23960(t3,((C_word*)t0)[4],t2);}

/* k24000 in k23986 in k23980 in loop in k23953 in outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_24002(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24002,2,av);}
/* library.scm:4483: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24009 in loop in k23953 in outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24011,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24014,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4487: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23864(t3,t2,((C_word*)t0)[6],((C_word*)t0)[7]);}

/* k24012 in k24009 in loop in k23953 in outreadablesym in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_24014(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24014,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
/* library.scm:4488: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23960(t3,((C_word*)t0)[4],t2);}

/* sym-is-readable? in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_24037(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24037,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_block_size(t2);
t4=t3;
switch(t4){
case C_fix(0):
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}
case C_fix(1):
t5=C_subchar(t2,C_fix(0));
t6=C_eqp(C_make_character(35),t5);
t7=(C_truep(t6)?t6:C_eqp(C_make_character(46),t5));
if(C_truep(t7)){
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t8=C_fix(C_character_code(t5));
t9=C_fixnum_less_or_equal_p(t8,C_fix(32));
t10=(C_truep(t9)?t9:C_i_memq(t5,lf[874]));
if(C_truep(t10)){
t11=t1;{
C_word av2[2];
av2[0]=t11;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t11+1)))(2,av2);}}
else{
t11=C_u_i_char_numericp(t5);
t12=t1;{
C_word av2[2];
av2[0]=t12;
av2[1]=(C_truep(t11)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}
default:
t5=C_fixnum_difference(t4,C_fix(1));
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24086,a[2]=t2,a[3]=t4,a[4]=t7,a[5]=((C_word*)t0)[2],a[6]=((C_word)li711),tmp=(C_word)a,a+=7,tmp));
t9=((C_word*)t7)[1];
f_24086(t9,t1,t5);}}

/* loop in sym-is-readable? in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_24086(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_24086,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_eqp(t2,C_fix(0));
if(C_truep(t3)){
t4=C_subchar(((C_word*)t0)[2],C_fix(0));
t5=C_u_i_char_numericp(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24102,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t4,a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_24102(t7,t5);}
else{
t7=C_eqp(t4,C_make_character(43));
if(C_truep(t7)){
t8=t6;
f_24102(t8,t7);}
else{
t8=C_eqp(t4,C_make_character(46));
t9=t6;
f_24102(t9,(C_truep(t8)?t8:C_eqp(t4,C_make_character(45))));}}}
else{
t4=C_subchar(((C_word*)t0)[2],t2);
t5=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24179,a[2]=t4,a[3]=t2,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
if(C_truep(((C_word*)t0)[5])){
t6=t5;
f_24179(t6,((C_word*)t0)[5]);}
else{
t6=C_u_i_char_upper_casep(t4);
t7=t5;
f_24179(t7,C_i_not(t6));}}}

/* k24100 in loop in sym-is-readable? in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_24102(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_24102,2,t0,t1);}
a=C_alloc(5);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24109,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4507: ##sys#string->number */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[620]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[620]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
t2=C_eqp(((C_word*)t0)[4],C_make_character(58));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24121,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t4=C_eqp(((C_word*)t0)[4],C_make_character(35));
if(C_truep(t4)){
if(C_truep(C_fixnum_greaterp(((C_word*)t0)[5],C_fix(2)))){
t5=C_subchar(((C_word*)t0)[3],C_fix(1));
t6=C_eqp(t5,C_make_character(35));
if(C_truep(t6)){
t7=C_subchar(((C_word*)t0)[3],C_fix(2));
t8=C_eqp(t7,C_make_character(35));
t9=C_i_not(t8);
t10=t3;
f_24121(t10,C_i_not(t9));}
else{
t7=t3;
f_24121(t7,C_SCHEME_TRUE);}}
else{
t5=t3;
f_24121(t5,C_SCHEME_TRUE);}}
else{
t5=t3;
f_24121(t5,C_SCHEME_FALSE);}}}}

/* k24107 in k24100 in loop in sym-is-readable? in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24109,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k24119 in k24100 in loop in sym-is-readable? in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_24121(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_24121,2,t0,t1);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_i_member(((C_word*)t0)[3],lf[875]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_fix(C_character_code(((C_word*)t0)[4]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[4],lf[874]));
t5=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t5;
av2[1]=(C_truep(t4)?C_SCHEME_FALSE:C_SCHEME_TRUE);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k24177 in loop in sym-is-readable? in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_24179(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_24179,2,t0,t1);}
if(C_truep(t1)){
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=C_fixnum_less_or_equal_p(t2,C_fix(32));
t4=(C_truep(t3)?t3:C_i_memq(((C_word*)t0)[2],lf[874]));
if(C_truep(C_i_not(t4))){
t5=C_eqp(((C_word*)t0)[2],C_make_character(58));
t6=C_i_not(t5);
if(C_truep(t6)){
if(C_truep(t6)){
t7=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4522: loop */
t8=((C_word*)((C_word*)t0)[4])[1];
f_24086(t8,((C_word*)t0)[5],t7);}
else{
t7=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t7;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}
else{
t7=C_fixnum_difference(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_fixnum_lessp(((C_word*)t0)[3],t7))){
t8=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
/* library.scm:4522: loop */
t9=((C_word*)((C_word*)t0)[4])[1];
f_24086(t9,((C_word*)t0)[5],t8);}
else{
t8=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t8;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}}
else{
t5=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
t2=((C_word*)t0)[5];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24224 in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_24226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24226,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_24231(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_24231,3,t0,t1,t2);}
a=C_alloc(9);
switch(t2){
case C_SCHEME_END_OF_LIST:
/* library.scm:4525: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23792(t3,t1,((C_word*)t0)[3],lf[876]);
case C_SCHEME_TRUE:
/* library.scm:4526: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23792(t3,t1,((C_word*)t0)[3],lf[877]);
case C_SCHEME_FALSE:
/* library.scm:4527: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23792(t3,t1,((C_word*)t0)[3],lf[878]);
default:
if(C_truep(C_eofp(t2))){
/* library.scm:4528: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23792(t3,t1,((C_word*)t0)[3],lf[879]);}
else{
if(C_truep(C_undefinedp(t2))){
/* library.scm:4529: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23792(t3,t1,((C_word*)t0)[3],lf[880]);}
else{
if(C_truep(C_charp(t2))){
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24280,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t1,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4532: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,t3,((C_word*)t0)[3],lf[881]);}
else{
/* library.scm:4541: outchr */
t3=((C_word*)((C_word*)t0)[5])[1];
f_23864(t3,t1,((C_word*)t0)[3],t2);}}
else{
if(C_truep(C_fixnump(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24339,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4542: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}
else{
if(C_truep(C_unboundvaluep(t2))){
/* library.scm:4543: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23792(t3,t1,((C_word*)t0)[3],lf[882]);}
else{
t3=C_blockp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:4544: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,t1,((C_word*)t0)[3],lf[883]);}
else{
if(C_truep(C_forwardedp(t2))){
/* library.scm:4545: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,t1,((C_word*)t0)[3],lf[884]);}
else{
if(C_truep(C_i_keywordp(t2))){
t4=C_i_not(((C_word*)t0)[4]);
t5=(C_truep(t4)?((C_word*)t0)[6]:C_SCHEME_FALSE);
t6=C_eqp(t5,lf[827]);
if(C_truep(t6)){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24375,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4550: outchr */
t8=((C_word*)((C_word*)t0)[5])[1];
f_23864(t8,t7,((C_word*)t0)[3],C_make_character(58));}
else{
t7=C_eqp(t5,lf[810]);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24387,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4553: outsym */
t9=((C_word*)((C_word*)t0)[7])[1];
f_23924(t9,t8,((C_word*)t0)[3],t2);}
else{
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24393,a[2]=((C_word*)t0)[7],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4556: outstr */
t9=((C_word*)((C_word*)t0)[2])[1];
f_23792(t9,t8,((C_word*)t0)[3],lf[885]);}}}
else{
if(C_truep(C_i_symbolp(t2))){
/* library.scm:4558: outsym */
t4=((C_word*)((C_word*)t0)[7])[1];
f_23924(t4,t1,((C_word*)t0)[3],t2);}
else{
t4=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24415,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4559: ##sys#number? */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[496]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[496]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}}}}}}}}}}

/* k24278 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_24280(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24280,2,av);}
a=C_alloc(8);
t2=C_fix(C_character_code(((C_word*)t0)[2]));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24286,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=t3,a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[2],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4534: chicken.base#char-name */
t5=*((C_word*)lf[199]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k24284 in k24278 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24286(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24286,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24290,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li713),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4534: g5259 */
t3=t2;
f_24290(t3,((C_word*)t0)[4],t1);}
else{
t2=C_fixnum_lessp(((C_word*)t0)[5],C_fix(32));
t3=(C_truep(t2)?t2:C_fixnum_greaterp(((C_word*)t0)[5],C_fix(255)));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24313,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4538: outchr */
t5=((C_word*)((C_word*)t0)[6])[1];
f_23864(t5,t4,((C_word*)t0)[3],C_make_character(120));}
else{
/* library.scm:4540: outchr */
t4=((C_word*)((C_word*)t0)[6])[1];
f_23864(t4,((C_word*)t0)[4],((C_word*)t0)[3],((C_word*)t0)[7]);}}}

/* g5259 in k24284 in k24278 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_24290(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_24290,3,t0,t1,t2);}
t3=C_slot(t2,C_fix(1));
/* library.scm:4536: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,t1,((C_word*)t0)[3],t3);}

/* k24311 in k24284 in k24278 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24313,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24320,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4539: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24318 in k24311 in k24284 in k24278 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_24320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24320,2,av);}
/* library.scm:4539: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24337 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_24339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24339,2,av);}
/* library.scm:4542: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24373 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_24375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24375,2,av);}
/* library.scm:4551: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23924(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24385 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_24387(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24387,2,av);}
/* library.scm:4554: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23864(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(58));}

/* k24391 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_24393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24393,2,av);}
/* library.scm:4557: outsym */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23924(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_24415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_24415,2,av);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24422,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4559: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_anypointerp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24432,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4560: ##sys#pointer->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[886]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[886]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_stringp(((C_word*)t0)[5]))){
if(C_truep(((C_word*)t0)[6])){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24441,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4563: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23864(t3,t2,((C_word*)t0)[4],C_make_character(34));}
else{
/* library.scm:4589: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}}
else{
if(C_truep(C_pairp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24614,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[2],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4591: outchr */
t3=((C_word*)((C_word*)t0)[7])[1];
f_23864(t3,t2,((C_word*)t0)[4],C_make_character(40));}
else{
if(C_truep(C_bytevectorp(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24687,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4603: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23792(t3,t2,((C_word*)t0)[4],lf[890]);}
else{
if(C_truep(C_structurep(((C_word*)t0)[5]))){
/* library.scm:4612: ##sys#user-print-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[891]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[891]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}
else{
if(C_truep(C_closurep(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24747,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4613: ##sys#procedure->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[892]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[892]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
if(C_truep(C_locativep(((C_word*)t0)[5]))){
/* library.scm:4614: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[893]);}
else{
if(C_truep(C_lambdainfop(((C_word*)t0)[5]))){
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24759,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4616: outstr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23792(t3,t2,((C_word*)t0)[4],lf[894]);}
else{
if(C_truep(C_portp(((C_word*)t0)[5]))){
t2=C_slot(((C_word*)t0)[5],C_fix(1));
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24778,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
switch(t2){
case C_fix(1):
/* library.scm:4621: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,t3,((C_word*)t0)[4],lf[896]);
case C_fix(2):
/* library.scm:4622: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,t3,((C_word*)t0)[4],lf[897]);
default:
/* library.scm:4623: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,t3,((C_word*)t0)[4],lf[898]);}}
else{
if(C_truep(C_vectorp(((C_word*)t0)[5]))){
t2=C_block_size(((C_word*)t0)[5]);
t3=C_eqp(C_fix(0),t2);
if(C_truep(t3)){
/* library.scm:4629: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,((C_word*)t0)[3],((C_word*)t0)[4],lf[899]);}
else{
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24825,a[2]=t2,a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[8],a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4631: outstr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23792(t5,t4,((C_word*)t0)[4],lf[900]);}}
else{
/* library.scm:4639: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[901];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}}}}}}}}}}}

/* k24420 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24422(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24422,2,av);}
/* library.scm:4559: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24430 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24432,2,av);}
/* library.scm:4560: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24439 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24441(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24441,2,av);}
a=C_alloc(10);
t2=C_block_size(((C_word*)t0)[2]);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24447,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],a[5]=t4,a[6]=((C_word*)t0)[5],a[7]=((C_word)li714),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24447(t6,((C_word*)t0)[6],C_fix(0),t2);}

/* doloop5280 in k24439 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_24447(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,0,3)))){
C_save_and_reclaim_args((void *)trf_24447,4,t0,t1,t2,t3);}
a=C_alloc(13);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4567: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23864(t5,t1,((C_word*)t0)[3],C_make_character(34));}
else{
t5=C_subbyte(((C_word*)t0)[4],t2);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24460,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[5],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
switch(t5){
case C_fix(34):
/* library.scm:4570: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23792(t7,t6,((C_word*)t0)[3],lf[887]);
case C_fix(92):
/* library.scm:4571: outstr */
t7=((C_word*)((C_word*)t0)[6])[1];
f_23792(t7,t6,((C_word*)t0)[3],lf[888]);
default:
t7=C_fixnum_lessp(t5,C_fix(32));
t8=(C_truep(t7)?t7:C_eqp(t5,C_fix(127)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24498,a[2]=t5,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4575: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23864(t10,t9,((C_word*)t0)[3],C_make_character(92));}
else{
t9=C_fix_to_char(t5);
/* library.scm:4588: outchr */
t10=((C_word*)((C_word*)t0)[2])[1];
f_23864(t10,t6,((C_word*)t0)[3],t9);}}}}

/* k24458 in doloop5280 in k24439 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_24460(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24460,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24447(t4,((C_word*)t0)[5],t2,t3);}

/* k24496 in doloop5280 in k24439 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_24498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_24498,2,av);}
a=C_alloc(7);
switch(((C_word*)t0)[2]){
case C_fix(7):
/* library.scm:4577: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23864(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(97));
case C_fix(8):
/* library.scm:4578: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23864(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(98));
case C_fix(9):
/* library.scm:4579: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23864(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(116));
case C_fix(10):
/* library.scm:4580: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23864(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(110));
case C_fix(11):
/* library.scm:4581: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23864(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(118));
case C_fix(12):
/* library.scm:4582: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23864(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(102));
case C_fix(13):
/* library.scm:4583: outchr */
t2=((C_word*)((C_word*)t0)[3])[1];
f_23864(t2,((C_word*)t0)[4],((C_word*)t0)[5],C_make_character(114));
default:
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24564,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[2],a[6]=((C_word*)t0)[3],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4585: outchr */
t3=((C_word*)((C_word*)t0)[3])[1];
f_23864(t3,t2,((C_word*)t0)[5],C_make_character(120));}}

/* k24562 in k24496 in doloop5280 in k24439 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_24564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_24564,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24567,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_lessp(((C_word*)t0)[5],C_fix(16)))){
/* library.scm:4586: outchr */
t3=((C_word*)((C_word*)t0)[6])[1];
f_23864(t3,t2,((C_word*)t0)[4],C_make_character(48));}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_24567(2,av2);}}}

/* k24565 in k24562 in k24496 in doloop5280 in k24439 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_24567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24567,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24574,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4587: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24572 in k24565 in k24562 in k24496 in doloop5280 in k24439 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_24574(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24574,2,av);}
/* library.scm:4587: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24612 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24614(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24614,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24617,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4592: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24231(t4,t2,t3);}

/* k24615 in k24612 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24617,2,av);}
a=C_alloc(10);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24626,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=t4,a[7]=((C_word)li715),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24626(t6,((C_word*)t0)[7],t2);}

/* doloop5310 in k24615 in k24612 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_24626(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,2)))){
C_save_and_reclaim_args((void *)trf_24626,3,t0,t1,t2);}
a=C_alloc(9);
t3=C_blockp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24636,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],tmp=(C_word)a,a+=9,tmp);
if(C_truep(t4)){
t6=t5;
f_24636(t6,t4);}
else{
t6=C_pairp(t2);
t7=t5;
f_24636(t7,C_i_not(t6));}}

/* k24634 in doloop5310 in k24615 in k24612 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_fcall f_24636(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_24636,2,t0,t1);}
a=C_alloc(10);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24639,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_eqp(((C_word*)t0)[5],C_SCHEME_END_OF_LIST);
if(C_truep(C_i_not(t3))){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24648,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4597: outstr */
t5=((C_word*)((C_word*)t0)[7])[1];
f_23792(t5,t4,((C_word*)t0)[4],lf[889]);}
else{
/* library.scm:4599: outchr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23864(t4,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24658,a[2]=((C_word*)t0)[5],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4600: outchr */
t3=((C_word*)((C_word*)t0)[2])[1];
f_23864(t3,t2,((C_word*)t0)[4],C_make_character(32));}}

/* k24637 in k24634 in doloop5310 in k24615 in k24612 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_24639(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24639,2,av);}
/* library.scm:4599: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23864(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(41));}

/* k24646 in k24634 in doloop5310 in k24615 in k24612 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_24648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24648,2,av);}
/* library.scm:4598: out */
t2=((C_word*)((C_word*)t0)[2])[1];
f_24231(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k24656 in k24634 in doloop5310 in k24615 in k24612 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_24658(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_24658,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24661,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:4601: out */
t4=((C_word*)((C_word*)t0)[5])[1];
f_24231(t4,t2,t3);}

/* k24659 in k24656 in k24634 in doloop5310 in k24615 in k24612 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_24661(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24661,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24626(t3,((C_word*)t0)[4],t2);}

/* k24685 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24687(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_24687,2,av);}
a=C_alloc(16);
t2=C_block_size(((C_word*)t0)[2]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24693,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],tmp=(C_word)a,a+=5,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_24698,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[3],a[8]=((C_word)li716),tmp=(C_word)a,a+=9,tmp));
t8=((C_word*)t6)[1];
f_24698(t8,t4,C_fix(0));}

/* k24691 in k24685 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24693(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24693,2,av);}
/* library.scm:4611: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23864(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(125));}

/* doloop5324 in k24685 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_24698(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24698,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_subbyte(((C_word*)t0)[3],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24711,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=t1,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t4,tmp=(C_word)a,a+=8,tmp);
if(C_truep(C_fixnum_lessp(t4,C_fix(16)))){
/* library.scm:4609: outchr */
t6=((C_word*)((C_word*)t0)[7])[1];
f_23864(t6,t5,((C_word*)t0)[6],C_make_character(48));}
else{
t6=t5;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
f_24711(2,av2);}}}}

/* k24709 in doloop5324 in k24685 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_24711(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24711,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24714,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24725,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4610: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=C_fix(16);
tp(4,av2);}}

/* k24712 in k24709 in doloop5324 in k24685 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_24714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_24714,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_24698(t3,((C_word*)t0)[4],t2);}

/* k24723 in k24709 in doloop5324 in k24685 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_24725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24725,2,av);}
/* library.scm:4610: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24745 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24747,2,av);}
/* library.scm:4613: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24757 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24759(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_24759,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24762,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24769,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4617: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}}

/* k24760 in k24757 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24762(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24762,2,av);}
/* library.scm:4618: outchr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23864(t2,((C_word*)t0)[3],((C_word*)t0)[4],C_make_character(62));}

/* k24767 in k24757 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24769(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24769,2,av);}
/* library.scm:4617: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k24776 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24778(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_24778,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24781,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(3));
/* library.scm:4624: outstr */
t4=((C_word*)((C_word*)t0)[2])[1];
f_23792(t4,t2,((C_word*)t0)[4],t3);}

/* k24779 in k24776 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24781(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24781,2,av);}
/* library.scm:4625: outstr */
t2=((C_word*)((C_word*)t0)[2])[1];
f_23792(t2,((C_word*)t0)[3],((C_word*)t0)[4],lf[895]);}

/* k24823 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_24825,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24828,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
t3=C_slot(((C_word*)t0)[5],C_fix(0));
/* library.scm:4632: out */
t4=((C_word*)((C_word*)t0)[6])[1];
f_24231(t4,t2,t3);}

/* k24826 in k24823 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24828(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24828,2,av);}
a=C_alloc(10);
t2=C_fixnum_difference(((C_word*)t0)[2],C_fix(1));
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24837,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li717),tmp=(C_word)a,a+=8,tmp));
t6=((C_word*)t4)[1];
f_24837(t6,((C_word*)t0)[7],C_fix(1),t2);}

/* doloop5348 in k24826 in k24823 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_24837(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_24837,4,t0,t1,t2,t3);}
a=C_alloc(8);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
/* library.scm:4636: outchr */
t5=((C_word*)((C_word*)t0)[2])[1];
f_23864(t5,t1,((C_word*)t0)[3],C_make_character(41));}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_24850,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4637: outchr */
t6=((C_word*)((C_word*)t0)[2])[1];
f_23864(t6,t5,((C_word*)t0)[3],C_make_character(32));}}

/* k24848 in doloop5348 in k24826 in k24823 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_24850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24850,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24853,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[6],((C_word*)t0)[2]);
/* library.scm:4638: out */
t4=((C_word*)((C_word*)t0)[7])[1];
f_24231(t4,t2,t3);}

/* k24851 in k24848 in doloop5348 in k24826 in k24823 in k24413 in out in k23788 in k23785 in k23782 in ##sys#print in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_24853(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24853,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_fixnum_difference(((C_word*)t0)[3],C_fix(1));
t4=((C_word*)((C_word*)t0)[4])[1];
f_24837(t4,((C_word*)t0)[5],t2,t3);}

/* ##sys#procedure->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_24878(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24878,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24882,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4645: ##sys#lambda-info */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[752]);
C_word *av2=av;
av2[0]=*((C_word*)lf[752]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k24880 in ##sys#procedure->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_24882(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_24882,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24892,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4647: ##sys#lambda-info->string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[753]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[753]+1);
av2[1]=t2;
av2[2]=t1;
tp(3,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=lf[904];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k24890 in k24880 in ##sys#procedure->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_24892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24892,2,av);}
/* library.scm:4647: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[902];
av2[3]=t1;
av2[4]=lf[903];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#register-record-printer in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_24895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_24895,4,av);}
a=C_alloc(6);
t4=C_i_assq(t2,C_fast_retrieve(lf[905]));
if(C_truep(t4)){
t5=C_i_setslot(t4,C_fix(1),t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_a_i_cons(&a,2,t2,t3);
t6=C_a_i_cons(&a,2,t5,C_fast_retrieve(lf[905]));
t7=C_mutate((C_word*)lf[905]+1 /* (set! ##sys#record-printers ...) */,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_24915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_24915,5,av);}
a=C_alloc(10);
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=C_i_assq(t6,C_fast_retrieve(lf[905]));
t8=t7;
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_24928,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24933,a[2]=t4,a[3]=t6,a[4]=t8,a[5]=t2,a[6]=((C_word)li728),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4662: scheme#call-with-current-continuation */
t11=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t9;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25018,a[2]=t1,a[3]=t4,a[4]=t6,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4674: ##sys#print */
t10=*((C_word*)lf[865]+1);{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[916];
av2[3]=C_SCHEME_FALSE;
av2[4]=t4;
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}}

/* k24926 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_24928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_24928,2,av);}
/* library.scm:4662: g5389 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_24933(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_24933,3,av);}
a=C_alloc(13);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24939,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word)li723),tmp=(C_word)a,a+=6,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_24990,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[2],a[5]=t2,a[6]=((C_word)li727),tmp=(C_word)a,a+=7,tmp);
/* library.scm:4662: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[912]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a24938 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_24939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_24939,3,av);}
a=C_alloc(6);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24945,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li722),tmp=(C_word)a,a+=6,tmp);
/* library.scm:4662: k5386 */
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a24944 in a24938 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_24945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_24945,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24949,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4664: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[911];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k24947 in a24944 in a24938 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_24949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_24949,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24952,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24988,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4665: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k24950 in k24947 in a24944 in a24938 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_24952(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_24952,2,av);}
a=C_alloc(5);
if(C_truep(C_i_structurep(((C_word*)t0)[2],lf[907]))){
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=C_i_member(lf[908],t2);
t4=t3;
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_24967,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4668: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[909];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}
else{
/* library.scm:4671: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[910];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k24965 in k24950 in k24947 in a24944 in a24938 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_24967(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_24967,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_24970,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_cadr(((C_word*)t0)[4]);
/* library.scm:4669: ##sys#print */
t4=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k24968 in k24965 in k24950 in k24947 in a24944 in a24938 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_24970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24970,2,av);}
/* library.scm:4670: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k24986 in k24947 in a24944 in a24938 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_24988(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_24988,2,av);}
/* library.scm:4665: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* a24989 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_24990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_24990,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_24996,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word)li724),tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25005,a[2]=((C_word*)t0)[5],a[3]=((C_word)li726),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4662: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a24995 in a24989 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_24996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_24996,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4662: g5399 */
t3=t2;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(4,av2);}}

/* a25004 in a24989 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25005(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_25005,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25011,a[2]=t2,a[3]=((C_word)li725),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4662: k5386 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a25010 in a25004 in a24989 in a24932 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25011,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k25016 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25018,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25021,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25064,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4675: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k25019 in k25016 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25021,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25024,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_eqp(((C_word*)t0)[4],lf[907]);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25033,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4678: ##sys#print */
t5=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[913];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=C_eqp(((C_word*)t0)[4],lf[914]);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25049,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4681: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[915];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
/* library.scm:4683: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}}}

/* k25022 in k25019 in k25016 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25024(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25024,2,av);}
/* library.scm:4683: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(62);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}

/* k25031 in k25019 in k25016 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25033(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25033,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:4679: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25047 in k25019 in k25016 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25049(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25049,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(6));
/* library.scm:4682: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25062 in k25016 in ##sys#user-print-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25064(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25064,2,av);}
/* library.scm:4675: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25066,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25072,a[2]=t2,a[3]=t3,a[4]=((C_word)li733),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4688: call-with-current-continuation */
t5=*((C_word*)lf[132]+1);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(31,c,4)))){
C_save_and_reclaim((void *)f_25072,3,av);}
a=C_alloc(31);
t3=C_fast_retrieve(lf[869]);
t4=C_retrieve2(lf[870],C_text("##sys#print-exit"));
t5=C_retrieve2(lf[868],C_text("current-print-length"));
t6=((C_word*)t0)[2];
t7=t6;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=t2;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_fix(0);
t12=(*a=C_VECTOR_TYPE|1,a[1]=t11,tmp=(C_word)a,a+=2,tmp);
t13=C_SCHEME_TRUE;
t14=(*a=C_VECTOR_TYPE|1,a[1]=t13,tmp=(C_word)a,a+=2,tmp);
t15=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25078,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t14,a[6]=t5,a[7]=t4,a[8]=t3,a[9]=((C_word)li730),tmp=(C_word)a,a+=10,tmp);
t16=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25121,a[2]=((C_word*)t0)[3],a[3]=((C_word)li731),tmp=(C_word)a,a+=4,tmp);
t17=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25127,a[2]=t8,a[3]=t10,a[4]=t12,a[5]=t5,a[6]=t4,a[7]=t3,a[8]=((C_word)li732),tmp=(C_word)a,a+=9,tmp);
/* library.scm:4690: ##sys#dynamic-wind */
t18=*((C_word*)lf[690]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t18;
av2[1]=t1;
av2[2]=t15;
av2[3]=t16;
av2[4]=t17;
((C_proc)(void*)(*((C_word*)t18+1)))(5,av2);}}

/* a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25078(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25078,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25082,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t1,a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4690: ##sys#print-length-limit5419 */
t3=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)C_fast_retrieve_proc(t3))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
f_25082(2,av2);}}}

/* k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25082(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25082,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25085,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],a[10]=t2,tmp=(C_word)a,a+=11,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4690: ##sys#print-exit5420 */
t4=((C_word*)t0)[8];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[3])[1];
f_25085(2,av2);}}}

/* k25083 in k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25085(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_25085,2,av);}
a=C_alloc(12);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25088,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=t2,a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],tmp=(C_word)a,a+=12,tmp);
if(C_truep(((C_word*)((C_word*)t0)[5])[1])){
/* library.scm:4690: current-print-length54215422 */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_TRUE;
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
f_25088(2,av2);}}}

/* k25086 in k25083 in k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_25088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_25088,2,av);}
a=C_alloc(13);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|12,a[1]=(C_word)f_25092,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],a[11]=((C_word*)t0)[10],a[12]=((C_word*)t0)[11],tmp=(C_word)a,a+=13,tmp);
/* library.scm:4690: ##sys#print-length-limit5419 */
t4=((C_word*)t0)[10];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}

/* k25090 in k25086 in k25083 in k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_25092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,2)))){
C_save_and_reclaim((void *)f_25092,2,av);}
a=C_alloc(12);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25096,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],a[11]=((C_word*)t0)[12],tmp=(C_word)a,a+=12,tmp);
/* library.scm:4690: ##sys#print-exit5420 */
t4=((C_word*)t0)[9];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25094 in k25090 in k25086 in k25083 in k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_25096(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25096,2,av);}
a=C_alloc(11);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25100,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],a[8]=((C_word*)t0)[9],a[9]=((C_word*)t0)[10],a[10]=((C_word*)t0)[11],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4690: current-print-length54215422 */
t4=((C_word*)t0)[6];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25098 in k25094 in k25090 in k25086 in k25083 in k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_25100(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_25100,2,av);}
a=C_alloc(8);
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25103,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=((C_word*)t0)[8],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4690: ##sys#print-length-limit5419 */
t4=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[10];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25101 in k25098 in k25094 in k25090 in k25086 in k25083 in k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_25103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_25103,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25106,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4690: ##sys#print-exit5420 */
t3=((C_word*)t0)[6];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[7];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25104 in k25101 in k25098 in k25094 in k25090 in k25086 in k25083 in k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_25106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25106,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25109,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4690: current-print-length54215422 */
t3=((C_word*)t0)[4];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25107 in k25104 in k25101 in k25098 in k25094 in k25090 in k25086 in k25083 in k25080 in a25077 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_25109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25109,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a25120 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25121,2,av);}
/* library.scm:4693: thunk */
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* a25126 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25127(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25127,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25131,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t1,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4690: ##sys#print-length-limit5419 */
t3=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k25129 in a25126 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25131(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_25131,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25134,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4690: ##sys#print-exit5420 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25132 in k25129 in a25126 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25134(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25134,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25137,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4690: current-print-length54215422 */
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25135 in k25132 in k25129 in a25126 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_25137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_25137,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_25140,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=t2,a[8]=((C_word*)t0)[7],a[9]=((C_word*)t0)[8],a[10]=((C_word*)t0)[9],tmp=(C_word)a,a+=11,tmp);
/* library.scm:4690: ##sys#print-length-limit5419 */
t4=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)C_fast_retrieve_proc(t4))(5,av2);}}

/* k25138 in k25135 in k25132 in k25129 in a25126 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_25140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_25140,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_25143,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:4690: ##sys#print-exit5420 */
t3=((C_word*)t0)[10];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25141 in k25138 in k25135 in k25132 in k25129 in a25126 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_25143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_25143,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25146,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4690: current-print-length54215422 */
t3=((C_word*)t0)[9];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[6])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25144 in k25141 in k25138 in k25135 in k25132 in k25129 in a25126 in a25071 in ##sys#with-print-length-limit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_25146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25146,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,((C_word*)t0)[3]);
t3=C_mutate(((C_word *)((C_word*)t0)[4])+1,((C_word*)t0)[5]);
t4=C_mutate(((C_word *)((C_word*)t0)[6])+1,((C_word*)t0)[7]);
t5=((C_word*)t0)[8];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* check5463 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25151(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_25151,4,av);}
a=C_alloc(9);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=C_fixnum_plus(t5,t3);
if(C_truep(C_fixnum_greater_or_equal_p(t10,t7))){
t11=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25173,a[2]=t7,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t3,a[7]=t9,a[8]=t5,tmp=(C_word)a,a+=9,tmp);
if(C_truep(C_fixnum_greater_or_equal_p(t10,lf[269]))){
/* library.scm:4721: ##sys#error */
t12=*((C_word*)lf[155]+1);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
av2[2]=lf[919];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}
else{
t12=t11;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
f_25173(2,av2);}}}
else{
t11=C_SCHEME_UNDEFINED;
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}

/* k25171 in check5463 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25173(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25173,2,av);}
a=C_alloc(9);
t2=C_fixnum_plus(((C_word*)t0)[2],((C_word*)t0)[2]);
t3=C_i_fixnum_min(lf[269],t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_25179,a[2]=((C_word*)t0)[3],a[3]=t4,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:4723: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k25177 in k25171 in check5463 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,6)))){
C_save_and_reclaim((void *)f_25179,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25182,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:4724: ##sys#copy-bytes */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[918]);
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=*((C_word*)lf[918]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[7];
av2[3]=t2;
av2[4]=C_fix(0);
av2[5]=C_fix(0);
av2[6]=((C_word*)t0)[8];
tp(7,av2);}}

/* k25180 in k25177 in k25171 in check5463 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25182(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25182,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),((C_word*)t0)[3]);
t3=C_i_set_i_slot(((C_word*)t0)[2],C_fix(11),((C_word*)t0)[4]);
/* library.scm:4727: check */
t4=((C_word*)((C_word*)t0)[5])[1];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[7];
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,7)))){
C_save_and_reclaim((void *)f_25207,6,av);}
a=C_alloc(11);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25210,a[2]=((C_word)li748),tmp=(C_word)a,a+=3,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25230,a[2]=t5,a[3]=t8,a[4]=t6,a[5]=((C_word)li753),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_25230(t10,t1,t2,t4,t4,t3,lf[925]);}

/* copy&append in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_fcall f_25210(C_word t1,C_word t2,C_word t3,C_word t4,C_word t5){
C_word tmp;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_25210,5,t1,t2,t3,t4,t5);}
a=C_alloc(8);
t6=C_block_size(t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25217,a[2]=t5,a[3]=t7,a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t9=C_fixnum_difference(t4,t3);
t10=C_fixnum_plus(t7,t9);
/* library.scm:4804: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t8;
av2[2]=t10;
tp(3,av2);}}

/* k25215 in copy&append in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25217(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25217,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_substring_copy(((C_word*)t0)[4],t1,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[3]);
t4=((C_word*)t0)[7];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_fcall f_25230(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25230,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(12);
t7=C_eqp(t4,t5);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25240,a[2]=((C_word*)t0)[2],a[3]=t4,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4814: copy&append */
f_25210(t8,t2,t3,t4,t6);}
else{
t8=C_subchar(t2,t4);
t9=C_eqp(t8,C_make_character(10));
if(C_truep(t9)){
t10=C_fixnum_plus(t4,C_fix(1));
t11=t10;
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25278,a[2]=t1,a[3]=t11,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4821: copy&append */
f_25210(t12,t2,t3,t4,t6);}
else{
t10=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25284,a[2]=t4,a[3]=t1,a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=t3,a[7]=t6,a[8]=((C_word*)t0)[2],a[9]=((C_word*)t0)[3],a[10]=t8,a[11]=t5,tmp=(C_word)a,a+=12,tmp);
t11=C_eqp(t8,C_make_character(13));
if(C_truep(t11)){
t12=C_fixnum_plus(t4,C_fix(1));
if(C_truep(C_fixnum_greaterp(t5,t12))){
t13=C_fixnum_plus(t4,C_fix(1));
t14=C_subchar(t2,t13);
t15=t10;
f_25284(t15,C_eqp(t14,C_make_character(10)));}
else{
t13=t10;
f_25284(t13,C_SCHEME_FALSE);}}
else{
t12=t10;
f_25284(t12,C_SCHEME_FALSE);}}}}

/* k25238 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25240,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25245,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li749),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25251,a[2]=((C_word*)t0)[4],a[3]=t2,a[4]=((C_word)li750),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4815: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25244 in k25238 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25245(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25245,2,av);}
/* library.scm:4815: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25250 in k25238 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25251,5,av);}
if(C_truep(t2)){
/* library.scm:4817: loop */
t5=((C_word*)((C_word*)t0)[2])[1];
f_25230(t5,t1,t2,t3,t3,t4,((C_word*)t0)[3]);}
else{
/* library.scm:4818: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[3];
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}}

/* k25276 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25278,2,av);}
/* library.scm:4821: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_fcall f_25284(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,0,5)))){
C_save_and_reclaim_args((void *)trf_25284,2,t0,t1);}
a=C_alloc(12);
if(C_truep(t1)){
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25295,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4825: copy&append */
f_25210(t4,((C_word*)t0)[5],((C_word*)t0)[6],((C_word*)t0)[2],((C_word*)t0)[7]);}
else{
t2=(*a=C_CLOSURE_TYPE|11,a[1]=(C_word)f_25301,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],a[10]=((C_word*)t0)[10],a[11]=((C_word*)t0)[11],tmp=(C_word)a,a+=12,tmp);
t3=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t3)){
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t5=t2;
f_25301(t5,C_eqp(((C_word*)t0)[11],t4));}
else{
t4=t2;
f_25301(t4,C_SCHEME_FALSE);}}}

/* k25293 in k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25295(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25295,2,av);}
/* library.scm:4825: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25299 in k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_fcall f_25301(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,6)))){
C_save_and_reclaim_args((void *)trf_25301,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25304,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4828: copy&append */
f_25210(t2,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t2=C_eqp(((C_word*)t0)[10],C_make_character(13));
if(C_truep(t2)){
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25364,a[2]=((C_word*)t0)[5],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4839: copy&append */
f_25210(t5,((C_word*)t0)[7],((C_word*)t0)[8],((C_word*)t0)[3],((C_word*)t0)[9]);}
else{
t3=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:4840: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_25230(t4,((C_word*)t0)[5],((C_word*)t0)[7],((C_word*)t0)[8],t3,((C_word*)t0)[11],((C_word*)t0)[9]);}}}

/* k25302 in k25299 in k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25304(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,5)))){
C_save_and_reclaim((void *)f_25304,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25309,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li751),tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25315,a[2]=t2,a[3]=((C_word*)t0)[4],a[4]=((C_word)li752),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4829: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[5];
av2[2]=t3;
av2[3]=t4;
C_call_with_values(4,av2);}}

/* a25308 in k25302 in k25299 in k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_25309(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25309,2,av);}
/* library.scm:4829: eos-handler */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* a25314 in k25302 in k25299 in k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_25315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25315,5,av);}
a=C_alloc(7);
if(C_truep(t2)){
t5=C_subchar(t2,t3);
t6=C_eqp(t5,C_make_character(10));
if(C_truep(t6)){
t7=C_fixnum_plus(t3,C_fix(1));
/* library.scm:4832: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t7;
av2[3]=((C_word*)t0)[2];
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25339,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t2,a[5]=t3,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4835: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[923];
tp(4,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25347,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4837: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t5;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[924];
tp(4,av2);}}}

/* k25337 in a25314 in k25302 in k25299 in k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_25339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25339,2,av);}
/* library.scm:4834: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25230(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[5],((C_word*)t0)[6],t1);}

/* k25345 in a25314 in k25302 in k25299 in k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_25347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25347,2,av);}
/* library.scm:4837: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* k25362 in k25299 in k25282 in loop in ##sys#scan-buffer-line in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25364(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25364,2,av);}
/* library.scm:4839: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=C_SCHEME_TRUE;
C_values(5,av2);}}

/* chicken.base#open-input-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25404(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,5)))){
C_save_and_reclaim((void *)f_25404,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[926]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25411,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4845: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=t4;
av2[2]=C_fix(1);
av2[3]=C_fast_retrieve(lf[922]);
av2[4]=lf[927];
av2[5]=lf[928];
tp(6,av2);}}

/* k25409 in chicken.base#open-input-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25411,2,av);}
t2=C_block_size(((C_word*)t0)[2]);
t3=C_i_set_i_slot(t1,C_fix(11),t2);
t4=C_i_set_i_slot(t1,C_fix(10),C_fix(0));
t5=C_i_setslot(t1,C_fix(12),((C_word*)t0)[2]);
t6=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.base#open-output-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_25423,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25427,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4853: ##sys#make-port */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[696]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[696]+1);
av2[1]=t2;
av2[2]=C_fix(2);
av2[3]=C_fast_retrieve(lf[922]);
av2[4]=lf[929];
av2[5]=lf[928];
tp(6,av2);}}

/* k25425 in chicken.base#open-output-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25427(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_25427,2,av);}
a=C_alloc(4);
t2=t1;
t3=C_i_set_i_slot(t2,C_fix(10),C_fix(0));
t4=C_i_set_i_slot(t2,C_fix(11),C_fix(256));
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25440,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4856: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=C_fix(256);
tp(3,av2);}}

/* k25438 in k25425 in chicken.base#open-output-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25440,2,av);}
t2=C_i_setslot(((C_word*)t0)[2],C_fix(12),t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#get-output-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25442(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_25442,3,av);}
t3=t2;
t4=C_i_check_port_2(t3,C_fix(2),C_SCHEME_FALSE,lf[930]);
t5=C_slot(t2,C_fix(7));
t6=C_eqp(lf[928],t5);
if(C_truep(C_i_not(t6))){
/* library.scm:4863: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[930];
av2[4]=lf[931];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=C_slot(t2,C_fix(12));
t8=C_slot(t2,C_fix(10));
/* library.scm:4865: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t1;
av2[2]=t7;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}

/* ##sys#print-to-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25476(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_25476,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25480,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4871: open-output-string */
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k25478 in ##sys#print-to-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(16,c,3)))){
C_save_and_reclaim((void *)f_25480,2,av);}
a=C_alloc(16);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25481,a[2]=t2,a[3]=((C_word)li758),tmp=(C_word)a,a+=4,tmp);
t4=((C_word*)t0)[2];
t5=C_i_check_list_2(t4,lf[685]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25491,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25496,a[2]=t8,a[3]=t3,a[4]=((C_word)li759),tmp=(C_word)a,a+=5,tmp));
t10=((C_word*)t8)[1];
f_25496(t10,t6,t4);}

/* g5593 in k25478 in ##sys#print-to-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_fcall f_25481(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_25481,3,t0,t1,t2);}
/* library.scm:4872: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word av2[5];
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25489 in k25478 in ##sys#print-to-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25491(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25491,2,av);}
/* library.scm:4873: get-output-string */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* for-each-loop5592 in k25478 in ##sys#print-to-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_fcall f_25496(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25496,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25506,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4872: g5593 */
t5=((C_word*)t0)[3];
f_25481(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25504 in for-each-loop5592 in k25478 in ##sys#print-to-string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25506,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25496(t3,((C_word*)t0)[4],t2);}

/* ##sys#pointer->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25519(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25519,3,av);}
a=C_alloc(7);
if(C_truep(C_taggedpointerp(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25530,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_pairp(t4))){
t5=C_u_i_car(t4);
t6=C_a_i_list1(&a,1,t5);
/* library.scm:4881: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[932]);
C_word *av2=av;
av2[0]=*((C_word*)lf[932]+1);
av2[1]=t3;
av2[2]=t6;
tp(3,av2);}}
else{
t5=C_a_i_list1(&a,1,t4);
/* library.scm:4881: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[932]);
C_word *av2=av;
av2[0]=*((C_word*)lf[932]+1);
av2[1]=t3;
av2[2]=t5;
tp(3,av2);}}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25560,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25564,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4887: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[936]);
C_word *av2=av;
av2[0]=*((C_word*)lf[936]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}}

/* k25528 in ##sys#pointer->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25530(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_25530,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25534,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25538,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4885: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[936]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[936]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k25532 in k25528 in ##sys#pointer->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_25534,2,av);}
/* library.scm:4879: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[933];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[934];
av2[5]=t1;
av2[6]=lf[935];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k25536 in k25528 in ##sys#pointer->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25538,2,av);}
/* library.scm:4885: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* k25558 in ##sys#pointer->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25560(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25560,2,av);}
/* library.scm:4887: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[937];
av2[3]=t1;
av2[4]=lf[938];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25562 in ##sys#pointer->string in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25564(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25564,2,av);}
/* library.scm:4887: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_fix(16);
tp(4,av2);}}

/* chicken.base#get-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25572(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_25572,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fast_retrieve(lf[939]):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_fix((C_word)C_trace_buffer_size);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25588,a[2]=t5,a[3]=t13,a[4]=t10,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t15=C_fixnum_times(C_fix(4),t13);
/* library.scm:4901: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[670]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[670]+1);
av2[1]=t14;
av2[2]=t15;
av2[3]=C_SCHEME_FALSE;
tp(4,av2);}}

/* k25586 in chicken.base#get-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_25588,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_fetch_trace(((C_word*)t0)[2],t2);
t4=C_fixnump(t3);
t5=(C_truep(t4)?t3:C_fixnum_times(C_fix(4),((C_word*)t0)[3]));
t6=t5;
t7=(C_truep(((C_word*)t0)[4])?C_slot(((C_word*)t0)[4],C_fix(14)):C_SCHEME_FALSE);
t8=t7;
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25599,a[2]=t6,a[3]=t2,a[4]=t10,a[5]=((C_word*)t0)[4],a[6]=t8,a[7]=((C_word)li762),tmp=(C_word)a,a+=8,tmp));
t12=((C_word*)t10)[1];
f_25599(t12,((C_word*)t0)[5],C_fix(0));}

/* loop in k25586 in chicken.base#get-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_fcall f_25599(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_25599,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_fixnum_plus(t2,C_fix(3));
t4=C_slot(((C_word*)t0)[3],t3);
t5=C_i_not(t4);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25618,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
if(C_truep(t5)){
t7=t6;
f_25618(t7,t5);}
else{
t7=C_i_not(((C_word*)t0)[5]);
t8=t6;
f_25618(t8,(C_truep(t7)?t7:C_eqp(((C_word*)t0)[6],t4)));}}}

/* k25616 in loop in k25586 in chicken.base#get-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_fcall f_25618(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_25618,2,t0,t1);}
a=C_alloc(11);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25637,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[3],((C_word*)t0)[2]);
t4=C_a_i_bytevector(&a,1,C_fix(3));
t5=stub5615(t4,t3);
/* library.scm:4896: ##sys#peek-nonnull-c-string */
t6=*((C_word*)lf[940]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t2;
av2[2]=t5;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}
else{
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4915: loop */
t3=((C_word*)((C_word*)t0)[5])[1];
f_25599(t3,((C_word*)t0)[4],t2);}}

/* k25627 in k25635 in k25616 in loop in k25586 in chicken.base#get-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_25629(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_25629,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k25635 in k25616 in loop in k25586 in chicken.base#get-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25637(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_25637,2,av);}
a=C_alloc(8);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(((C_word*)t0)[3],t2);
t4=C_fixnum_plus(((C_word*)t0)[2],C_fix(2));
t5=C_slot(((C_word*)t0)[3],t4);
t6=C_a_i_vector3(&a,3,t1,t3,t5);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25629,a[2]=((C_word*)t0)[4],a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_fixnum_plus(((C_word*)t0)[2],C_fix(4));
/* library.scm:4914: loop */
t10=((C_word*)((C_word*)t0)[5])[1];
f_25599(t10,t8,t9);}

/* ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25716(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_25716,5,av);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t3))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25726,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4919: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=C_SCHEME_UNDEFINED;
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25726(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_25726,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25727,a[2]=((C_word*)t0)[2],a[3]=((C_word)li765),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25793,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25798,a[2]=t6,a[3]=t2,a[4]=((C_word)li766),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_25798(t8,t4,t3);}

/* g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_fcall f_25727(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,4)))){
C_save_and_reclaim_args((void *)trf_25727,3,t0,t1,t2);}
a=C_alloc(8);
t3=C_slot(t2,C_fix(1));
t4=t3;
t5=C_slot(t2,C_fix(2));
t6=t5;
t7=C_i_structurep(t6,lf[942]);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_25740,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t8,a[6]=t6,a[7]=t2,tmp=(C_word)a,a+=8,tmp);
/* library.scm:4925: ##sys#print */
t10=*((C_word*)lf[865]+1);{
C_word av2[5];
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[945];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}

/* k25738 in g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25740(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25740,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25743,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
t3=C_slot(((C_word*)t0)[7],C_fix(0));
/* library.scm:4926: ##sys#print */
t4=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k25741 in k25738 in g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_25743,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25746,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
/* library.scm:4927: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[944];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k25744 in k25741 in k25738 in g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_25746(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_25746,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25749,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25764,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],tmp=(C_word)a,a+=6,tmp);
if(C_truep(((C_word*)t0)[6])){
if(C_truep(((C_word*)t0)[5])){
t4=t3;
f_25764(t4,C_slot(((C_word*)t0)[6],C_fix(1)));}
else{
t4=C_SCHEME_UNDEFINED;
t5=t3;
f_25764(t5,t4);}}
else{
t4=t3;
f_25764(t4,C_SCHEME_FALSE);}}

/* k25747 in k25744 in k25741 in k25738 in g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_25749(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25749,2,av);}
a=C_alloc(5);
if(C_truep(((C_word*)t0)[2])){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25757,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word)li764),tmp=(C_word)a,a+=5,tmp);
/* library.scm:4937: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[917]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[917]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=C_fix(100);
av2[3]=t2;
tp(4,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a25756 in k25747 in k25744 in k25741 in k25738 in g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_25757(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25757,2,av);}
/* library.scm:4940: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25762 in k25744 in k25741 in k25738 in g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_25764(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_25764,2,t0,t1);}
a=C_alloc(6);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_25767,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:4929: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word av2[4];
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t2;
av2[2]=C_make_character(91);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_25749(2,av2);}}}

/* k25765 in k25762 in k25744 in k25741 in k25738 in g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_25767(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_25767,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25770,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=C_slot(((C_word*)t0)[5],C_fix(1));
/* library.scm:4930: ##sys#print */
t4=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=t3;
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
/* library.scm:4930: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k25768 in k25765 in k25762 in k25744 in k25741 in k25738 in g5659 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_25770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25770,2,av);}
/* library.scm:4935: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[943];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k25791 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25793(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25793,2,av);}
/* library.scm:4942: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[946];
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5658 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_fcall f_25798(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25798,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25808,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4920: g5659 */
t5=((C_word*)t0)[3];
f_25727(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25806 in for-each-loop5658 in k25724 in ##sys#really-print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25808,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25798(t3,((C_word*)t0)[4],t2);}

/* chicken.base#print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25821(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_25821,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?*((C_word*)lf[713]+1):C_i_car(t2));
t5=t4;
t6=C_i_nullp(t2);
t7=(C_truep(t6)?C_SCHEME_END_OF_LIST:C_i_cdr(t2));
t8=C_i_nullp(t7);
t9=(C_truep(t8)?C_fix(0):C_i_car(t7));
t10=t9;
t11=C_i_nullp(t7);
t12=(C_truep(t11)?C_SCHEME_END_OF_LIST:C_i_cdr(t7));
t13=C_i_nullp(t12);
t14=(C_truep(t13)?C_fast_retrieve(lf[939]):C_i_car(t12));
t15=t14;
t16=C_i_nullp(t12);
t17=(C_truep(t16)?C_SCHEME_END_OF_LIST:C_i_cdr(t12));
t18=C_i_nullp(t17);
t19=(C_truep(t18)?lf[947]:C_i_car(t17));
t20=t19;
t21=C_i_nullp(t17);
t22=(C_truep(t21)?C_SCHEME_END_OF_LIST:C_i_cdr(t17));
t23=C_i_check_port_2(t5,C_fix(2),C_SCHEME_TRUE,lf[948]);
t24=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_25852,a[2]=t20,a[3]=t1,a[4]=t5,a[5]=t10,a[6]=t15,tmp=(C_word)a,a+=7,tmp);
/* library.scm:4949: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t24;
av2[2]=t10;
av2[3]=lf[948];
tp(4,av2);}}

/* k25850 in chicken.base#print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_25852,2,av);}
a=C_alloc(5);
t2=C_i_check_string_2(((C_word*)t0)[2],lf[948]);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25862,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:4951: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k25860 in k25850 in chicken.base#print-call-chain in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_25862,2,av);}
/* library.scm:4951: ##sys#really-print-call-chain */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[941]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[941]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
av2[4]=((C_word*)t0)[4];
tp(5,av2);}}

/* ##sys#user-interrupt-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_25912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_25912,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25915,a[2]=((C_word)li769),tmp=(C_word)a,a+=3,tmp);
t3=C_eqp(C_fast_retrieve(lf[939]),C_fast_retrieve(lf[951]));
if(C_truep(t3)){
t4=t1;
/* library.scm:4957: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[950];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_setslot(C_fast_retrieve(lf[951]),C_fix(1),t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* break in ##sys#user-interrupt-hook in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25915(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_25915,2,av);}
/* library.scm:4957: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[950];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_fcall f_25934(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_25934,1,t1);}
a=C_alloc(6);
t2=lf[952] /* exit-in-progress */ =C_SCHEME_TRUE;;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25939,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_dump_heap_on_exitp())){
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26010,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:4972: ##sys#print */
t5=*((C_word*)lf[865]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[958];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
t4=t3;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_25939(2,av2);}}}

/* k25937 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_25939(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_25939,2,av);}
a=C_alloc(9);
t2=(C_truep(C_i_profilingp())?C_i_dump_statistical_profile():C_SCHEME_UNDEFINED);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25945,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25962,a[2]=t5,a[3]=((C_word)li772),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_25962(t7,t3);}

/* k25943 in k25937 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_25945(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_25945,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25948,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
/* library.scm:4983: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[956];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_25948(2,av2);}}}

/* k25946 in k25943 in k25937 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25948(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_25948,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_25954,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:4984: chicken.gc#force-finalizers */
t3=C_fast_retrieve(lf[955]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k25952 in k25946 in k25943 in k25937 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25954,2,av);}
if(C_truep(t1)){
/* library.scm:4985: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[954]);
C_word *av2=av;
av2[0]=*((C_word*)lf[954]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}
else{
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* loop in k25937 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_fcall f_25962(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_25962,2,t0,t1);}
a=C_alloc(10);
t2=*((C_word*)lf[225]+1);
t3=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
if(C_truep(C_i_nullp(t2))){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_i_check_list_2(t2,lf[685]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25981,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_25986,a[2]=t7,a[3]=((C_word)li771),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_25986(t9,t5,t2);}}

/* k25979 in loop in k25937 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_25981(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_25981,2,av);}
/* library.scm:4981: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_25962(t2,((C_word*)t0)[3]);}

/* for-each-loop5718 in loop in k25937 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_fcall f_25986(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_25986,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_25996,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:4980: t */
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t5))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k25994 in for-each-loop5718 in loop in k25937 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_25996(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_25996,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_25986(t3,((C_word*)t0)[4],t2);}

/* k26008 in cleanup-before-exit in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_26010(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26010,2,av);}
/* library.scm:4973: ##sys#dump-heap-state */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[957]);
C_word *av2=av;
av2[0]=*((C_word*)lf[957]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_26017(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26017,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[224]+1 /* (set! chicken.base#exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26021,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31425,a[2]=((C_word)li982),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4998: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_26021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_26021,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[223]+1 /* (set! chicken.base#implicit-exit-handler ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26025,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31416,a[2]=((C_word)li981),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5003: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_26025(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_26025,2,av);}
a=C_alloc(23);
t2=C_mutate((C_word*)lf[959]+1 /* (set! ##sys#reset-handler ...) */,t1);
t3=C_a_i_provide(&a,1,lf[960]);
t4=C_mutate((C_word*)lf[194]+1 /* (set! ##sys#signal-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26027,a[2]=((C_word)li776),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[962]+1 /* (set! chicken.condition#abort ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26311,a[2]=((C_word)li777),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1000]+1 /* (set! chicken.condition#signal ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26328,a[2]=((C_word)li778),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1001]+1 /* (set! ##sys#break-on-error ...) */,C_mk_bool(C_enable_repl));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26337,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31256,a[2]=((C_word)li980),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5100: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_26027(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +12,c,4)))){
C_save_and_reclaim((void*)f_26027,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+12);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t6=C_dbg_hook(C_SCHEME_FALSE);
t7=signal_debug_event(t2,((C_word*)t5)[1],t4);
t8=t2;
t9=C_eqp(t8,lf[950]);
if(C_truep(t9)){
t10=C_a_i_record3(&a,3,lf[907],lf[961],C_SCHEME_END_OF_LIST);
/* library.scm:5031: abort */
t11=C_fast_retrieve(lf[962]);{
C_word *av2=av;
av2[0]=t11;
av2[1]=t1;
av2[2]=t10;
((C_proc)(void*)(*((C_word*)t11+1)))(3,av2);}}
else{
t10=C_eqp(t8,lf[307]);
t11=(C_truep(t10)?t10:C_eqp(t8,lf[309]));
if(C_truep(t11)){
t12=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26053,a[2]=t4,a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t13=C_eqp(t2,lf[307]);
if(C_truep(t13)){
/* library.scm:5037: ##sys#print */
t14=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[964];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}
else{
/* library.scm:5037: ##sys#print */
t14=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t14;
av2[1]=t12;
av2[2]=lf[965];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t14+1)))(5,av2);}}}
else{
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26129,a[2]=t5,a[3]=t4,a[4]=t2,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t13=C_i_symbolp(((C_word*)t5)[1]);
t14=(C_truep(t13)?C_i_nullp(t4):C_SCHEME_FALSE);
if(C_truep(t14)){
t15=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26294,a[2]=t5,a[3]=t12,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5055: scheme#symbol->string */
t16=*((C_word*)lf[632]+1);{
C_word *av2=av;
av2[0]=t16;
av2[1]=t15;
av2[2]=((C_word*)t5)[1];
((C_proc)(void*)(*((C_word*)t16+1)))(3,av2);}}
else{
t15=t12;
f_26129(t15,C_SCHEME_UNDEFINED);}}}}

/* k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26053(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_26053,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26056,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5040: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[4])[1];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26054 in k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_26056,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26059,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_i_nullp(((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26108,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
if(C_truep(t3)){
t5=t4;
f_26108(t5,t3);}
else{
t5=((C_word*)t0)[2];
t6=C_u_i_length(t5);
t7=t4;
f_26108(t7,C_fixnum_greaterp(t6,C_fix(1)));}}

/* k26057 in k26054 in k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26059(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_26059,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26076,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26081,a[2]=t5,a[3]=((C_word)li775),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_26081(t7,t3,t2);}

/* a26065 in for-each-loop5786 in k26057 in k26054 in k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_26066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_26066,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26070,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5049: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k26068 in a26065 in for-each-loop5786 in k26057 in k26054 in k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_26070(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26070,2,av);}
/* library.scm:5050: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[714]+1);
tp(4,av2);}}

/* k26074 in k26057 in k26054 in k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_26076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26076,2,av);}
/* library.scm:5052: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[714]+1);
tp(3,av2);}}

/* for-each-loop5786 in k26057 in k26054 in k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_26081(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26081,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26091,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26066,a[2]=t5,a[3]=((C_word)li774),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5046: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[917]);
C_word av2[4];
av2[0]=*((C_word*)lf[917]+1);
av2[1]=t3;
av2[2]=C_fix(400);
av2[3]=t6;
tp(4,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k26089 in for-each-loop5786 in k26057 in k26054 in k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_26091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26091,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_26081(t3,((C_word*)t0)[4],t2);}

/* k26106 in k26054 in k26051 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_26108(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_26108,2,t0,t1);}
if(C_truep(t1)){
/* library.scm:5042: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word av2[4];
av2[0]=*((C_word*)lf[861]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[714]+1);
tp(4,av2);}}
else{
/* library.scm:5043: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word av2[5];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[963];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* k26127 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_26129(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26129,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26132,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_i_not(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(t3)){
t4=t2;
f_26132(t4,(C_truep(t3)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}
else{
t4=C_i_symbolp(((C_word*)((C_word*)t0)[2])[1]);
t5=t2;
f_26132(t5,(C_truep(t4)?C_i_pairp(((C_word*)t0)[3]):C_SCHEME_FALSE));}}

/* k26130 in k26127 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_26132(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26132,2,t0,t1);}
a=C_alloc(6);
t2=(C_truep(t1)?((C_word*)((C_word*)t0)[2])[1]:C_SCHEME_FALSE);
t3=t2;
t4=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(0)):((C_word*)((C_word*)t0)[2])[1]);
t5=t4;
t6=(C_truep(t1)?C_slot(((C_word*)t0)[3],C_fix(1)):((C_word*)t0)[3]);
t7=t6;
t8=((C_word*)t0)[4];
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26152,a[2]=t5,a[3]=t7,a[4]=t3,a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(t8,lf[258]);
if(C_truep(t10)){
t11=t9;
f_26152(t11,lf[970]);}
else{
t11=C_eqp(t8,lf[779]);
if(C_truep(t11)){
t12=t9;
f_26152(t12,lf[971]);}
else{
t12=C_eqp(t8,lf[380]);
if(C_truep(t12)){
t13=t9;
f_26152(t13,lf[972]);}
else{
t13=C_eqp(t8,lf[563]);
if(C_truep(t13)){
t14=t9;
f_26152(t14,lf[973]);}
else{
t14=C_eqp(t8,lf[698]);
if(C_truep(t14)){
t15=t9;
f_26152(t15,lf[974]);}
else{
t15=C_eqp(t8,lf[975]);
if(C_truep(t15)){
t16=t9;
f_26152(t16,lf[976]);}
else{
t16=C_eqp(t8,lf[977]);
if(C_truep(t16)){
t17=t9;
f_26152(t17,lf[978]);}
else{
t17=C_eqp(t8,lf[979]);
if(C_truep(t17)){
t18=t9;
f_26152(t18,lf[980]);}
else{
t18=C_eqp(t8,lf[981]);
if(C_truep(t18)){
t19=t9;
f_26152(t19,lf[982]);}
else{
t19=C_eqp(t8,lf[983]);
if(C_truep(t19)){
t20=t9;
f_26152(t20,lf[984]);}
else{
t20=C_eqp(t8,lf[985]);
if(C_truep(t20)){
t21=t9;
f_26152(t21,lf[986]);}
else{
t21=C_eqp(t8,lf[987]);
if(C_truep(t21)){
t22=t9;
f_26152(t22,lf[988]);}
else{
t22=C_eqp(t8,lf[989]);
if(C_truep(t22)){
t23=t9;
f_26152(t23,lf[990]);}
else{
t23=C_eqp(t8,lf[991]);
t24=t9;
f_26152(t24,(C_truep(t23)?lf[992]:lf[993]));}}}}}}}}}}}}}}

/* k26150 in k26130 in k26127 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_26152(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_26152,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26160,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5081: chicken.base#get-call-chain */
t4=*((C_word*)lf[186]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k26158 in k26150 in k26130 in k26127 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_26160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(28,c,2)))){
C_save_and_reclaim((void *)f_26160,2,av);}
a=C_alloc(28);
t2=C_a_i_list8(&a,8,lf[966],((C_word*)t0)[2],lf[967],((C_word*)t0)[3],lf[968],t1,lf[969],((C_word*)t0)[4]);
t3=C_a_i_record3(&a,3,lf[907],((C_word*)t0)[5],t2);
/* library.scm:5060: abort */
t4=C_fast_retrieve(lf[962]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[6];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26292 in ##sys#signal-hook in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26294,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];
f_26129(t3,t2);}

/* chicken.condition#abort in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_26311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26311,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26315,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5085: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[999]);
C_word *av2=av;
av2[0]=*((C_word*)lf[999]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k26313 in chicken.condition#abort in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26315(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(22,c,2)))){
C_save_and_reclaim((void *)f_26315,2,av);}
a=C_alloc(22);
t2=C_a_i_list6(&a,6,lf[994],lf[995],lf[996],C_SCHEME_END_OF_LIST,lf[997],C_SCHEME_FALSE);
t3=C_a_i_record3(&a,3,lf[907],lf[998],t2);
/* library.scm:5086: abort */
t4=C_fast_retrieve(lf[962]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* chicken.condition#signal in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_26328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_26328,3,av);}
/* library.scm:5095: ##sys#current-exception-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[999]);
C_word *av2=av;
av2[0]=*((C_word*)lf[999]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_26337(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(39,c,5)))){
C_save_and_reclaim((void *)f_26337,2,av);}
a=C_alloc(39);
t2=C_mutate((C_word*)lf[1002]+1 /* (set! ##sys#error-handler ...) */,t1);
t3=C_set_block_item(lf[1003] /* ##sys#last-exception */,0,C_SCHEME_FALSE);
t4=C_mutate((C_word*)lf[999]+1 /* (set! ##sys#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26340,a[2]=((C_word)li779),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[912]+1 /* (set! chicken.condition#with-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26500,a[2]=((C_word)li782),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1019]+1 /* (set! chicken.condition#current-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26514,a[2]=((C_word)li784),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate(&lf[1021] /* (set! chicken.condition#prop-list->kind-prefixed-prop-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26575,a[2]=((C_word)li786),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1023]+1 /* (set! chicken.condition#make-property-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26643,a[2]=((C_word)li787),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1025]+1 /* (set! chicken.condition#make-composite-condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26657,a[2]=((C_word)li791),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1027]+1 /* (set! chicken.condition#condition ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26797,a[2]=((C_word)li794),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1028]+1 /* (set! chicken.condition#condition? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26902,a[2]=((C_word)li795),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1029]+1 /* (set! chicken.condition#condition->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26908,a[2]=((C_word)li799),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1032]+1 /* (set! chicken.condition#condition-predicate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27026,a[2]=((C_word)li801),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1033]+1 /* (set! chicken.condition#condition-property-accessor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27047,a[2]=((C_word)li803),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1036]+1 /* (set! chicken.condition#get-condition-property ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27093,a[2]=((C_word)li804),tmp=(C_word)a,a+=3,tmp));
t16=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27104,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5283: condition-property-accessor */
t17=C_fast_retrieve(lf[1033]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t17;
av2[1]=t16;
av2[2]=lf[1006];
av2[3]=lf[1368];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t17+1)))(5,av2);}}

/* ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26340(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(14,c,4)))){
C_save_and_reclaim((void *)f_26340,3,av);}
a=C_alloc(14);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26344,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_structurep(t2,lf[907]))){
t4=C_mutate((C_word*)lf[1003]+1 /* (set! ##sys#last-exception ...) */,t2);
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(lf[1006],t5))){
t6=C_slot(t2,C_fix(2));
t7=C_i_member(lf[1007],t6);
t8=t7;
t9=C_i_member(lf[1008],t6);
t10=t9;
t11=C_i_member(lf[1009],t6);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26383,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26393,a[2]=t10,a[3]=t13,a[4]=t8,a[5]=t12,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5152: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1002]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1002]+1);
av2[1]=t14;
tp(2,av2);}}
else{
t6=C_slot(t5,C_fix(0));
t7=C_eqp(lf[1014],t6);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26454,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5170: ##sys#print */
t9=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t9;
av2[1]=t8;
av2[2]=lf[1015];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t9+1)))(5,av2);}}
else{
t8=C_slot(t5,C_fix(0));
t9=C_eqp(lf[1016],t8);
if(C_truep(t9)){
t10=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26469,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5173: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1002]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1002]+1);
av2[1]=t10;
tp(2,av2);}}
else{
t10=C_a_i_list2(&a,2,lf[1004],t2);
t11=C_a_i_record3(&a,3,lf[907],lf[1005],t10);
/* library.scm:5177: abort */
t12=C_fast_retrieve(lf[962]);{
C_word *av2=av;
av2[0]=t12;
av2[1]=t1;
av2[2]=t11;
((C_proc)(void*)(*((C_word*)t12+1)))(3,av2);}}}}}
else{
t4=C_a_i_list2(&a,2,lf[1004],t2);
t5=C_a_i_record3(&a,3,lf[907],lf[1005],t4);
/* library.scm:5177: abort */
t6=C_fast_retrieve(lf[962]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k26342 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26344(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26344,2,av);}
a=C_alloc(10);
t2=C_a_i_list2(&a,2,lf[1004],((C_word*)t0)[2]);
t3=C_a_i_record3(&a,3,lf[907],lf[1005],t2);
/* library.scm:5177: abort */
t4=C_fast_retrieve(lf[962]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[3];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k26381 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26383(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26383,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26386,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5168: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26384 in k26381 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26386,2,av);}
/* library.scm:5147: g5924 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26391 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_26393,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26397,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
t4=C_i_cadr(((C_word*)t0)[4]);
t5=t4;
t6=(C_truep(((C_word*)t0)[5])?C_i_cadr(((C_word*)t0)[5]):C_SCHEME_FALSE);
t7=(C_truep(t6)?C_i_symbolp(t6):C_SCHEME_FALSE);
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26423,a[2]=t5,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5158: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t8;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t3;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t5;
f_26397(2,av2);}}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1013];
f_26397(2,av2);}}}

/* k26395 in k26391 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_26397,2,av);}
if(C_truep(((C_word*)t0)[2])){
t2=C_i_cadr(((C_word*)t0)[2]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
av2[4]=t2;
C_apply(5,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}}

/* k26421 in k26391 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26423(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_26423,2,av);}
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5157: string-append */
t3=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1010];
av2[3]=t1;
av2[4]=lf[1011];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(6,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:5157: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1010];
av2[3]=t1;
av2[4]=lf[1011];
av2[5]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
/* library.scm:5157: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[1010];
av2[3]=t1;
av2[4]=lf[1011];
av2[5]=lf[1012];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}}

/* k26452 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26454(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26454,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26457,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5171: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26455 in k26452 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26457(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26457,2,av);}
/* library.scm:5146: g5927 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* k26467 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_26469,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26472,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_i_member(lf[1017],t3);
t5=C_i_cadr(t4);
/* library.scm:5146: g5930 */
t6=t1;{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t2;
av2[2]=lf[1018];
av2[3]=t5;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k26470 in k26467 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26472(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26472,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26475,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5176: ##sys#reset-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[959]);
C_word *av2=av;
av2[0]=*((C_word*)lf[959]+1);
av2[1]=t2;
tp(2,av2);}}

/* k26473 in k26470 in k26467 in ##sys#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_26475(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26475,2,av);}
/* library.scm:5146: g5932 */
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)C_fast_retrieve_proc(t2))(2,av2);}}

/* chicken.condition#with-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_26500,4,av);}
a=C_alloc(8);
t4=C_fast_retrieve(lf[999]);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26506,a[2]=t2,a[3]=((C_word)li780),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26510,a[2]=t4,a[3]=((C_word)li781),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5185: ##sys#dynamic-wind */
t7=*((C_word*)lf[690]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=t5;
av2[3]=t3;
av2[4]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* a26505 in chicken.condition#with-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26506,2,av);}
t2=C_mutate((C_word*)lf[999]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a26509 in chicken.condition#with-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26510,2,av);}
t2=C_mutate((C_word*)lf[999]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +5,c,3)))){
C_save_and_reclaim((void*)f_26514,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+5);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=C_fast_retrieve(lf[999]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_fast_retrieve(lf[999]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26527,a[2]=t2,a[3]=t4,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5195: ##sys#check-closure */
t6=*((C_word*)lf[366]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[1020];
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k26525 in chicken.condition#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26527(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_26527,2,av);}
a=C_alloc(10);
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26529,a[2]=((C_word*)t0)[3],a[3]=((C_word)li783),tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26535,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26540,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_nullp(t3))){
t7=(
/* library.scm:5196: def-convert?5948 */
  f_26540(t6)
);
t8=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t8;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
t9=(
/* library.scm:5196: def-set?5949 */
  f_26535(t5)
);
t10=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t10;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
t11=(
/* library.scm:5196: body5946 */
  f_26529(t4,t9)
);
t12=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t12;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}}}

/* body5946 in k26525 in chicken.condition#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static C_word C_fcall f_26529(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_stack_overflow_check;{}
if(C_truep(t1)){
t2=C_mutate((C_word*)lf[999]+1 /* (set! ##sys#current-exception-handler ...) */,((C_word*)t0)[2]);
return(t2);}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* def-set?5949 in k26525 in chicken.condition#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static C_word C_fcall f_26535(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:5196: body5946 */
  f_26529(((C_word*)t0)[2],C_SCHEME_TRUE)
));}

/* def-convert?5948 in k26525 in chicken.condition#current-exception-handler in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static C_word C_fcall f_26540(C_word t0){
C_word tmp;
C_word t1;
C_stack_overflow_check;{}
return((
/* library.scm:5196: def-set?5949 */
  f_26535(((C_word*)t0)[2])
));}

/* chicken.condition#prop-list->kind-prefixed-prop-list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_fcall f_26575(C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_26575,4,t1,t2,t3,t4);}
a=C_alloc(9);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26581,a[2]=t2,a[3]=t4,a[4]=t3,a[5]=t6,a[6]=((C_word)li785),tmp=(C_word)a,a+=7,tmp));
t8=((C_word*)t6)[1];
f_26581(t8,t1,t4);}

/* loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_26581(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_26581,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
t4=C_i_not(t3);
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_26597,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t2,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
if(C_truep(t4)){
t6=t5;
f_26597(t6,t4);}
else{
t6=C_i_cdr(t2);
t7=C_i_pairp(t6);
t8=t5;
f_26597(t8,C_i_not(t7));}}}

/* k26595 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_26597(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,5)))){
C_save_and_reclaim_args((void *)trf_26597,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
/* library.scm:5206: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1022];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}
else{
t2=C_i_car(((C_word*)t0)[5]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[6],t2);
t4=t3;
t5=C_i_cadr(((C_word*)t0)[5]);
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26619,a[2]=t6,a[3]=((C_word*)t0)[2],a[4]=t4,tmp=(C_word)a,a+=5,tmp);
t8=((C_word*)t0)[5];
t9=C_u_i_cdr(t8);
t10=C_u_i_cdr(t9);
/* library.scm:5210: loop */
t11=((C_word*)((C_word*)t0)[7])[1];
f_26581(t11,t7,t10);}}

/* k26617 in k26595 in loop in chicken.condition#prop-list->kind-prefixed-prop-list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_26619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26619,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#make-property-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +7,c,4)))){
C_save_and_reclaim((void*)f_26643,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+7);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t4=C_a_i_list1(&a,1,t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26655,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5215: prop-list->kind-prefixed-prop-list */
f_26575(t6,lf[1024],t2,t3);}

/* k26653 in chicken.condition#make-property-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26655(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26655,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[907],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.condition#make-composite-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +26,c,3)))){
C_save_and_reclaim((void*)f_26657,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+26);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26774,a[2]=((C_word)li788),tmp=(C_word)a,a+=3,tmp);
t7=(
  f_26774(t5)
);
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26676,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t9=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t10=t9;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=((C_word*)t11)[1];
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26738,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
t14=C_SCHEME_UNDEFINED;
t15=(*a=C_VECTOR_TYPE|1,a[1]=t14,tmp=(C_word)a,a+=2,tmp);
t16=C_set_block_item(t15,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26740,a[2]=t11,a[3]=t15,a[4]=t12,a[5]=((C_word)li790),tmp=(C_word)a,a+=6,tmp));
t17=((C_word*)t15)[1];
f_26740(t17,t13,t5);}

/* k26674 in chicken.condition#make-composite-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26676(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_26676,2,av);}
a=C_alloc(20);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26680,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t5=t4;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=((C_word*)t6)[1];
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26692,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26694,a[2]=t6,a[3]=t10,a[4]=t7,a[5]=((C_word)li789),tmp=(C_word)a,a+=6,tmp));
t12=((C_word*)t10)[1];
f_26694(t12,t8,((C_word*)t0)[3]);}

/* k26678 in k26674 in chicken.condition#make-composite-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26680(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26680,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[907],((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k26690 in k26674 in chicken.condition#make-composite-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26692,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6035 in k26674 in chicken.condition#make-composite-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_26694(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26694,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(2));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26736 in chicken.condition#make-composite-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26738,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6008 in chicken.condition#make-composite-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_26740(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26740,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_slot(t3,C_fix(1));
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop5990 in chicken.condition#make-composite-condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static C_word C_fcall f_26774(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_structure_2(t2,lf[907],lf[1026]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* chicken.condition#condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +23,c,3)))){
C_save_and_reclaim((void*)f_26797,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+23);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
t4=C_a_i_cons(&a,2,t2,t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26804,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t8=t7;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=((C_word*)t9)[1];
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_26866,a[2]=t6,tmp=(C_word)a,a+=3,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26868,a[2]=t9,a[3]=t13,a[4]=t10,a[5]=((C_word)li793),tmp=(C_word)a,a+=6,tmp));
t15=((C_word*)t13)[1];
f_26868(t15,t11,t5);}

/* k26802 in chicken.condition#condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26804(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,3)))){
C_save_and_reclaim((void *)f_26804,2,av);}
a=C_alloc(17);
t2=t1;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26814,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t8=C_SCHEME_UNDEFINED;
t9=(*a=C_VECTOR_TYPE|1,a[1]=t8,tmp=(C_word)a,a+=2,tmp);
t10=C_set_block_item(t9,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26816,a[2]=t5,a[3]=t9,a[4]=t6,a[5]=((C_word)li792),tmp=(C_word)a,a+=6,tmp));
t11=((C_word*)t9)[1];
f_26816(t11,t7,((C_word*)t0)[3]);}

/* k26812 in k26802 in chicken.condition#condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_26814,2,av);}
a=C_alloc(4);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_record3(&a,3,lf[907],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop6095 in k26802 in chicken.condition#condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_26816(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_26816,3,t0,t1,t2);}
a=C_alloc(3);
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=C_i_car(t3);
t5=C_a_i_cons(&a,2,t4,C_SCHEME_END_OF_LIST);
t6=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t5);
t7=C_mutate(((C_word *)((C_word*)t0)[2])+1,t5);
t8=C_slot(t2,C_fix(1));
t10=t1;
t11=t8;
t1=t10;
t2=t11;
goto loop;}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26864 in chicken.condition#condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26866(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_26866,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[254]+1);
av2[3]=t1;
C_apply(4,av2);}}

/* map-loop6068 in chicken.condition#condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_fcall f_26868(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,4)))){
C_save_and_reclaim_args((void *)trf_26868,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_26893,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
t5=C_i_car(t4);
t6=C_u_i_cdr(t4);
/* library.scm:5230: prop-list->kind-prefixed-prop-list */
f_26575(t3,lf[907],t5,t6);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[4],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k26891 in map-loop6068 in chicken.condition#condition in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_26893(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_26893,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26868(t6,((C_word*)t0)[5],t5);}

/* chicken.condition#condition? in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26902(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_26902,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[907]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_26908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_26908,3,av);}
a=C_alloc(8);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26912,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27021,a[2]=t3,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5238: condition? */
t5=C_fast_retrieve(lf[1028]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k26910 in chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_26912(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,3)))){
C_save_and_reclaim((void *)f_26912,2,av);}
a=C_alloc(18);
t2=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t3=t2;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=((C_word*)t4)[1];
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26916,a[2]=((C_word*)t0)[2],a[3]=((C_word)li797),tmp=(C_word)a,a+=4,tmp);
t7=C_slot(((C_word*)t0)[2],C_fix(1));
t8=C_i_check_list_2(t7,lf[687]);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_26986,a[2]=t4,a[3]=t10,a[4]=t6,a[5]=t5,a[6]=((C_word)li798),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_26986(t12,((C_word*)t0)[3],t7);}

/* g6131 in k26910 in chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_26916(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_26916,3,t0,t1,t2);}
a=C_alloc(11);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_26924,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_slot(((C_word*)t0)[2],C_fix(2));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26930,a[2]=t2,a[3]=t6,a[4]=((C_word)li796),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_26930(t8,t3,t4);}

/* k26922 in g6131 in k26910 in chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_26924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_26924,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in g6131 in k26910 in chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_26930(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_26930,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_caar(t2);
t4=C_eqp(t3,((C_word*)t0)[2]);
if(C_truep(t4)){
t5=t2;
t6=C_u_i_car(t5);
t7=C_u_i_cdr(t6);
t8=C_i_cadr(t2);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_26961,a[2]=t9,a[3]=t1,a[4]=t7,tmp=(C_word)a,a+=5,tmp);
t11=t2;
t12=C_u_i_cdr(t11);
t13=C_u_i_cdr(t12);
/* library.scm:5248: loop */
t15=t10;
t16=t13;
t1=t15;
t2=t16;
goto loop;}
else{
t5=C_i_cddr(t2);
/* library.scm:5250: loop */
t15=t1;
t16=t5;
t1=t15;
t2=t16;
goto loop;}}}

/* k26959 in loop in g6131 in k26910 in chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_26961(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_26961,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* map-loop6125 in k26910 in chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_fcall f_26986(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_26986,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27011,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5242: g6131 */
t5=((C_word*)t0)[4];
f_26916(t5,t3,t4);}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k27009 in map-loop6125 in k26910 in chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_27011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_27011,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_26986(t6,((C_word*)t0)[5],t5);}

/* k27019 in chicken.condition#condition->list in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_27021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27021,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
f_26912(2,av2);}}
else{
/* library.scm:5239: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[258];
av2[3]=lf[1030];
av2[4]=lf[1031];
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}}

/* chicken.condition#condition-predicate in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_27026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27026,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27028,a[2]=t2,a[3]=((C_word)li800),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_27028 in chicken.condition#condition-predicate in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_27028(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27028,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27035,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5255: condition? */
t4=C_fast_retrieve(lf[1028]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27033 */
static void C_ccall f_27035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_27035,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=C_i_memv(((C_word*)t0)[3],t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=(C_truep(t3)?C_SCHEME_TRUE:C_SCHEME_FALSE);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.condition#condition-property-accessor in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_27047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +11,c,3)))){
C_save_and_reclaim((void*)f_27047,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+11);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=t5;
t7=C_a_i_cons(&a,2,t2,t3);
t8=t7;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27055,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t3,a[6]=t4,a[7]=((C_word)li802),tmp=(C_word)a,a+=8,tmp);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}

/* f_27055 in chicken.condition#condition-property-accessor in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_27055(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27055,3,av);}
t3=C_i_check_structure(t2,lf[907]);
t4=C_slot(t2,C_fix(1));
if(C_truep(C_i_memv(((C_word*)t0)[2],t4))){
t5=C_slot(t2,C_fix(2));
t6=C_i_member(((C_word*)t0)[3],t5);
if(C_truep(t6)){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_cadr(t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5266: ##sys#signal-hook */
t7=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t7;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[1034];
av2[4]=lf[1035];
av2[5]=((C_word*)t0)[5];
((C_proc)(void*)(*((C_word*)t7+1)))(6,av2);}}
else{
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_i_car(((C_word*)t0)[6]);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* chicken.condition#get-condition-property in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_27093(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +4,c,5)))){
C_save_and_reclaim((void*)f_27093,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+4);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27097,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t6;
av2[2]=C_fast_retrieve(lf[1033]);
av2[3]=t3;
av2[4]=t4;
av2[5]=t5;
C_apply(6,av2);}}

/* k27095 in chicken.condition#get-condition-property in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_27097(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27097,2,av);}
/* library.scm:5272: g6180 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_27104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_27104,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27107,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5284: condition-property-accessor */
t4=C_fast_retrieve(lf[1033]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1006];
av2[3]=lf[843];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_27107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_27107,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27110,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5285: condition-property-accessor */
t4=C_fast_retrieve(lf[1033]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1006];
av2[3]=lf[1367];
av2[4]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_27110(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(182,c,7)))){
C_save_and_reclaim((void *)f_27110,2,av);}
a=C_alloc(182);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27111,a[2]=((C_word)li808),tmp=(C_word)a,a+=3,tmp);
t4=C_mutate((C_word*)lf[1037]+1 /* (set! chicken.condition#print-error-message ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27156,a[2]=t3,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word)li813),tmp=(C_word)a,a+=7,tmp));
t5=C_fast_retrieve(lf[1037]);
t6=*((C_word*)lf[187]+1);
t7=*((C_word*)lf[213]+1);
t8=*((C_word*)lf[211]+1);
t9=C_mutate((C_word*)lf[1049]+1 /* (set! ##sys#show-exception-warning ...) */,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27347,a[2]=t6,a[3]=t5,a[4]=t8,a[5]=t7,a[6]=((C_word)li814),tmp=(C_word)a,a+=7,tmp));
t10=C_mutate((C_word*)lf[363]+1 /* (set! ##sys#error-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27396,a[2]=((C_word)li815),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1111]+1 /* (set! ##sys#structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28063,a[2]=((C_word)li816),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[1112]+1 /* (set! ##sys#generic-structure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28066,a[2]=((C_word)li817),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[1113]+1 /* (set! ##sys#slot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28069,a[2]=((C_word)li818),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[1114]+1 /* (set! ##sys#size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28072,a[2]=((C_word)li819),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[1115]+1 /* (set! ##sys#make-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_pointer,a[2]=((C_word)li820),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[1116]+1 /* (set! ##sys#make-tagged-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_tagged_pointer,a[2]=((C_word)li821),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[1117]+1 /* (set! ##sys#pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28077,a[2]=((C_word)li822),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[1118]+1 /* (set! ##sys#set-pointer-address! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28080,a[2]=((C_word)li823),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1119]+1 /* (set! ##sys#bytevector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28083,a[2]=((C_word)li824),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[1120]+1 /* (set! ##sys#string->pbytevector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28086,a[2]=((C_word)li825),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[1121]+1 /* (set! ##sys#permanent? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28089,a[2]=((C_word)li826),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[1122]+1 /* (set! ##sys#block-address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28092,a[2]=((C_word)li827),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[1123]+1 /* (set! ##sys#locative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28095,a[2]=((C_word)li828),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[1124]+1 /* (set! ##sys#srfi-4-vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28098,a[2]=((C_word)li829),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[1125]+1 /* (set! ##sys#null-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28101,a[2]=((C_word)li830),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[1126]+1 /* (set! ##sys#null-pointer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28107,a[2]=((C_word)li831),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[1127]+1 /* (set! ##sys#address->pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28117,a[2]=((C_word)li832),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[936]+1 /* (set! ##sys#pointer->address ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28123,a[2]=((C_word)li833),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[744]+1 /* (set! ##sys#make-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28130,a[2]=((C_word)li834),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[1128]+1 /* (set! ##sys#peek-signed-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_signed_integer,a[2]=((C_word)li835),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[722]+1 /* (set! ##sys#peek-unsigned-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_peek_unsigned_integer,a[2]=((C_word)li836),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1129]+1 /* (set! ##sys#peek-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28165,a[2]=((C_word)li837),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1130]+1 /* (set! ##sys#peek-byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28168,a[2]=((C_word)li838),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[1131]+1 /* (set! ##sys#vector->structure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28171,a[2]=((C_word)li839),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[1132]+1 /* (set! ##sys#peek-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28174,a[2]=((C_word)li840),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[701]+1 /* (set! ##sys#peek-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28177,a[2]=((C_word)li841),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[940]+1 /* (set! ##sys#peek-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28193,a[2]=((C_word)li842),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[1133]+1 /* (set! ##sys#peek-and-free-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28199,a[2]=((C_word)li843),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[1134]+1 /* (set! ##sys#peek-and-free-nonnull-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28215,a[2]=((C_word)li844),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[1135]+1 /* (set! ##sys#poke-c-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28221,a[2]=((C_word)li845),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[1136]+1 /* (set! ##sys#poke-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28228,a[2]=((C_word)li846),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[1137]+1 /* (set! ##sys#poke-double ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28231,a[2]=((C_word)li847),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[1138]+1 /* (set! ##sys#peek-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28251,a[2]=((C_word)li849),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[1139]+1 /* (set! ##sys#peek-and-free-c-string-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28312,a[2]=((C_word)li851),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[1140]+1 /* (set! ##sys#vector->closure! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28350,a[2]=((C_word)li852),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[1141]+1 /* (set! ##sys#symbol-has-toplevel-binding? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28353,a[2]=((C_word)li853),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[918]+1 /* (set! ##sys#copy-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28356,a[2]=((C_word)li854),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[1142]+1 /* (set! ##sys#copy-words ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28363,a[2]=((C_word)li855),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[1143]+1 /* (set! ##sys#compare-bytes ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28370,a[2]=((C_word)li856),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[1144]+1 /* (set! ##sys#block-pointer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28373,a[2]=((C_word)li857),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[1145]+1 /* (set! ##sys#foreign-char-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28379,a[2]=((C_word)li858),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[1146]+1 /* (set! ##sys#foreign-fixnum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28382,a[2]=((C_word)li859),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[1147]+1 /* (set! ##sys#foreign-flonum-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28385,a[2]=((C_word)li860),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[1148]+1 /* (set! ##sys#foreign-block-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28388,a[2]=((C_word)li861),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[1149]+1 /* (set! ##sys#foreign-struct-wrapper-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28391,a[2]=((C_word)li862),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[1150]+1 /* (set! ##sys#foreign-string-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28394,a[2]=((C_word)li863),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[1151]+1 /* (set! ##sys#foreign-symbol-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28397,a[2]=((C_word)li864),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[1152]+1 /* (set! ##sys#foreign-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28400,a[2]=((C_word)li865),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[1153]+1 /* (set! ##sys#foreign-tagged-pointer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28403,a[2]=((C_word)li866),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[1154]+1 /* (set! ##sys#foreign-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28406,a[2]=((C_word)li867),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[1155]+1 /* (set! ##sys#foreign-unsigned-ranged-integer-argument ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28409,a[2]=((C_word)li868),tmp=(C_word)a,a+=3,tmp));
t62=C_set_block_item(lf[1156] /* ##sys#default-thread-quantum */,0,C_fix(10000));
t63=C_mutate((C_word*)lf[1157]+1 /* (set! ##sys#default-exception-handler ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28413,a[2]=((C_word)li869),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[1159]+1 /* (set! ##sys#make-thread ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28416,a[2]=((C_word)li870),tmp=(C_word)a,a+=3,tmp));
t65=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28440,a[2]=((C_word*)t0)[4],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5639: ##sys#make-thread */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1159]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[1159]+1);
av2[1]=t65;
av2[2]=C_SCHEME_FALSE;
av2[3]=lf[1365];
av2[4]=lf[1366];
av2[5]=C_fast_retrieve(lf[1156]);
tp(6,av2);}}

/* writeargs in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_fcall f_27111(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_27111,3,t1,t2,t3);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27113,a[2]=t3,a[3]=((C_word)li806),tmp=(C_word)a,a+=4,tmp);
t5=C_i_check_list_2(t2,lf[685]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27134,a[2]=t7,a[3]=t4,a[4]=((C_word)li807),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_27134(t9,t1,t2);}

/* g6196 in writeargs in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_27113(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_27113,3,t0,t1,t2);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27117,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27122,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word)li805),tmp=(C_word)a,a+=5,tmp);
/* library.scm:5290: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[917]);
C_word av2[4];
av2[0]=*((C_word*)lf[917]+1);
av2[1]=t3;
av2[2]=C_fix(80);
av2[3]=t4;
tp(4,av2);}}

/* k27115 in g6196 in writeargs in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_27117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27117,2,av);}
/* library.scm:5291: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a27121 in g6196 in writeargs in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_27122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27122,2,av);}
/* library.scm:5290: write */
t2=*((C_word*)lf[152]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* for-each-loop6195 in writeargs in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_27134(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_27134,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27144,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5288: g6196 */
t5=((C_word*)t0)[3];
f_27113(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k27142 in for-each-loop6195 in writeargs in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_27144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27144,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_27134(t3,((C_word*)t0)[4],t2);}

/* chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_27156(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +16,c,4)))){
C_save_and_reclaim((void*)f_27156,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+16);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27158,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word)li810),tmp=(C_word)a,a+=8,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27307,a[2]=t4,a[3]=((C_word)li811),tmp=(C_word)a,a+=4,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27312,a[2]=t5,a[3]=((C_word)li812),tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_nullp(t3))){
/* library.scm:5294: def-port6218 */
t7=t6;
f_27312(t7,t1);}
else{
t7=C_i_car(t3);
t8=C_u_i_cdr(t3);
if(C_truep(C_i_nullp(t8))){
/* library.scm:5294: def-header6219 */
t9=t5;
f_27307(t9,t1,t7);}
else{
t9=C_i_car(t8);
t10=C_u_i_cdr(t8);
/* library.scm:5294: body6216 */
t11=t4;
f_27158(t11,t1,t7,t9);}}}

/* body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_27158(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_27158,4,t0,t1,t2,t3);}
a=C_alloc(10);
t4=t2;
t5=C_i_check_port_2(t4,C_fix(2),C_SCHEME_TRUE,lf[1038]);
t6=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27165,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=t3,tmp=(C_word)a,a+=10,tmp);
/* library.scm:5297: newline */
t7=*((C_word*)lf[151]+1);{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}

/* k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_27165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27165,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27168,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5298: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_27168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_27168,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27174,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
t3=C_immp(((C_word*)t0)[6]);
if(C_truep(C_i_not(t3))){
t4=C_slot(((C_word*)t0)[6],C_fix(0));
t5=t2;
f_27174(t5,C_eqp(lf[907],t4));}
else{
t4=t2;
f_27174(t4,C_SCHEME_FALSE);}}

/* k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_fcall f_27174(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_27174,2,t0,t1);}
a=C_alloc(8);
if(C_truep(t1)){
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_27177,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5300: errmsg */
t3=((C_word*)t0)[8];{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[6]))){
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27276,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5324: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1046];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27285,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5328: display */
t3=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1047];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}}

/* k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_27177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_27177,2,av);}
a=C_alloc(13);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27180,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],tmp=(C_word)a,a+=7,tmp);
if(C_truep(t1)){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27212,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[7],a[4]=((C_word*)t0)[6],a[5]=((C_word)li809),tmp=(C_word)a,a+=6,tmp);
/* library.scm:5300: g6239 */
t4=t3;
f_27212(t4,t2,t1);}
else{
t3=C_slot(((C_word*)t0)[6],C_fix(1));
if(C_truep(C_i_equalp(lf[1043],t3))){
/* library.scm:5310: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t2;
av2[2]=lf[1044];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27260,a[2]=((C_word*)t0)[6],a[3]=t2,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5312: display */
t5=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1045];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}}

/* k27178 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_27180(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27180,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27183,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5314: errargs */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27181 in k27178 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_27183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_27183,2,av);}
a=C_alloc(6);
t2=t1;
t3=C_i_not(t2);
if(C_truep(t3)){
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_length(t2);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27198,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5318: display */
t7=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1039];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_27204,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5321: newline */
t7=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}}}

/* k27196 in k27181 in k27178 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_27198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27198,2,av);}
/* library.scm:5319: writeargs */
f_27111(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* k27202 in k27181 in k27178 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_27204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27204,2,av);}
/* library.scm:5322: writeargs */
f_27111(((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);}

/* g6239 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_fcall f_27212(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_27212,3,t0,t1,t2);}
a=C_alloc(7);
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_27216,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5302: display */
t4=*((C_word*)lf[153]+1);{
C_word av2[4];
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1042];
av2[3]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27214 in g6239 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_27216(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_27216,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27219,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5303: errloc */
t3=((C_word*)t0)[5];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k27217 in k27214 in g6239 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_27219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_27219,2,av);}
a=C_alloc(12);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27222,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(C_truep(t1)?C_i_symbolp(t1):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27235,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_27239,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5305: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t5;
av2[2]=t1;
tp(3,av2);}}
else{
/* library.scm:5306: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k27220 in k27217 in k27214 in g6239 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_27222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27222,2,av);}
/* library.scm:5306: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27233 in k27217 in k27214 in g6239 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_27235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27235,2,av);}
/* library.scm:5305: display */
t2=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* k27237 in k27217 in k27214 in g6239 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_27239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27239,2,av);}
/* library.scm:5305: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1040];
av2[3]=t1;
av2[4]=lf[1041];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27258 in k27175 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_27260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27260,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:5313: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27274 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_27276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27276,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27279,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5325: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27277 in k27274 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_27279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_27279,2,av);}
/* library.scm:5326: newline */
t2=*((C_word*)lf[151]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k27283 in k27172 in k27166 in k27163 in body6216 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_27285(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_27285,2,av);}
a=C_alloc(3);
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);
/* library.scm:5329: writeargs */
f_27111(((C_word*)t0)[4],t2,((C_word*)t0)[5]);}

/* def-header6219 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_27307(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,3)))){
C_save_and_reclaim_args((void *)trf_27307,3,t0,t1,t2);}
/* library.scm:5294: body6216 */
t3=((C_word*)t0)[2];
f_27158(t3,t1,t2,lf[1048]);}

/* def-port6218 in chicken.condition#print-error-message in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_27312(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_27312,2,t0,t1);}
/* library.scm:5294: def-header6219 */
t2=((C_word*)t0)[2];
f_27307(t2,t1,*((C_word*)lf[713]+1));}

/* ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_27347(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,2)))){
C_save_and_reclaim((void*)f_27347,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_fast_retrieve(lf[939]):C_i_car(t4));
t7=t6;
if(C_truep(*((C_word*)lf[304]+1))){
t8=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27357,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t7,a[5]=((C_word*)t0)[3],a[6]=t2,a[7]=((C_word*)t0)[4],a[8]=t3,tmp=(C_word)a,a+=9,tmp);
/* library.scm:5344: open-output-string */
t9=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t8=C_SCHEME_UNDEFINED;
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_27357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27357,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27360,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=t2,a[9]=((C_word*)t0)[8],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5345: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1052];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k27358 in k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_27360(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_27360,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27363,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27382,a[2]=t2,a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5347: display */
t4=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1051];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_27363(2,av2);}}}

/* k27361 in k27358 in k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_27363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_27363,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_27366,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],a[9]=((C_word*)t0)[9],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5350: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1050];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27364 in k27361 in k27358 in k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_27366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_27366,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_27369,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[8],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5351: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[9];
av2[3]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27367 in k27364 in k27361 in k27358 in k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_27369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_27369,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27372,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27379,a[2]=((C_word*)t0)[5],a[3]=t2,a[4]=((C_word*)t0)[6],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5352: get-output-string */
t4=((C_word*)t0)[7];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[8];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k27370 in k27367 in k27364 in k27361 in k27358 in k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_27372(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27372,2,av);}
/* library.scm:5353: print-call-chain */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=*((C_word*)lf[714]+1);
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27377 in k27367 in k27364 in k27361 in k27358 in k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_27379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_27379,2,av);}
/* library.scm:5352: print-error-message */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=*((C_word*)lf[714]+1);
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k27380 in k27358 in k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_27382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_27382,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27385,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5348: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k27383 in k27380 in k27358 in k27355 in ##sys#show-exception-warning in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_27385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_27385,2,av);}
/* ##sys#write-char/port */
t2=C_fast_retrieve(lf[862]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(41);
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#error-hook in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_27396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +9,c,6)))){
C_save_and_reclaim((void*)f_27396,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+9);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
switch(t2){
case C_fix(1):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27419,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27430,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5368: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(2):
t5=C_i_car(t4);
t6=t5;
t7=C_i_cadr(t4);
t8=C_i_caddr(t4);
t9=t8;
t10=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_27456,a[2]=t9,a[3]=t1,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t11=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27467,a[2]=t10,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5377: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t11;
av2[2]=t7;
tp(3,av2);}
case C_fix(3):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1057];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(4):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[975];
av2[4]=t3;
av2[5]=lf[1058];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(5):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1059];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(6):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[983];
av2[4]=t3;
av2[5]=lf[1060];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(7):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[563];
av2[4]=t3;
av2[5]=lf[1061];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(8):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[380];
av2[4]=t3;
av2[5]=lf[1062];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(9):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1063];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(10):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[985];
av2[4]=t3;
av2[5]=lf[1064];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(11):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1065];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(12):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[983];
av2[4]=t3;
av2[5]=lf[1066];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(13):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1067];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(14):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1068];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(15):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1069];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(16):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1070];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(17):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1071];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(18):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1072];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(19):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1073];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(20):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1074];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(21):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1075];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(22):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1076];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(23):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[983];
av2[4]=t3;
av2[5]=lf[1077];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(24):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1078];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(25):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1079];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(26):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1080];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(27):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1081];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(28):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1082];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(29):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1083];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(30):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1084];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(31):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1085];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(32):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1086];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(33):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1087];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(34):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1088];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(35):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1089];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(36):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[983];
av2[4]=t3;
av2[5]=lf[1090];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(37):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1091];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(38):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1092];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(39):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1093];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(40):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1094];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(41):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1095];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(42):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1096];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(43):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[698];
av2[4]=t3;
av2[5]=lf[1097];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(44):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1098];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(45):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[991];
av2[4]=t3;
av2[5]=lf[1099];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(46):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[563];
av2[4]=t3;
av2[5]=lf[1100];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(47):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[975];
av2[4]=t3;
av2[5]=lf[1101];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(48):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[991];
av2[4]=t3;
av2[5]=lf[1102];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(49):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1103];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(50):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1104];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(51):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1105];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(52):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1106];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(53):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1107];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(54):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1108];
av2[6]=t4;
C_apply(7,av2);}
case C_fix(55):{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=t3;
av2[5]=lf[1109];
av2[6]=t4;
C_apply(7,av2);}
default:{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[975];
av2[4]=t3;
av2[5]=lf[1110];
av2[6]=t4;
C_apply(7,av2);}}}

/* k27417 in ##sys#error-hook in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_27419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27419,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[985];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[985];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27428 in ##sys#error-hook in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_27430(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27430,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27434,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5369: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27432 in k27428 in ##sys#error-hook in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_27434(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27434,2,av);}
/* library.scm:5368: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1053];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1054];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k27454 in ##sys#error-hook in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_27456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,6)))){
C_save_and_reclaim((void *)f_27456,2,av);}
a=C_alloc(3);
if(C_truep(((C_word*)t0)[2])){
t2=C_a_i_list1(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[985];
av2[4]=((C_word*)t0)[4];
av2[5]=t1;
av2[6]=t2;
C_apply(7,av2);}}
else{
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[194]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[194]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=lf[985];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
tp(5,av2);}}}

/* k27465 in ##sys#error-hook in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_27467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_27467,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_27471,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5378: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k27469 in k27465 in ##sys#error-hook in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_27471(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_27471,2,av);}
/* library.scm:5377: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1055];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1056];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* ##sys#structure? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28063(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28063,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_structurep(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#generic-structure? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28066(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28066,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_structurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#slot in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28069,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#size in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28072,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_size(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28077(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28077,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_anypointerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#set-pointer-address! in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28080,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#bytevector? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28083(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28083,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_bytevectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#string->pbytevector in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28086(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28086,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_string_to_pbytevector(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#permanent? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28089(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28089,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_permanentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#block-address in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28092,3,av);}
a=C_alloc(6);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_block_address(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#locative? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28095(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28095,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_locativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#srfi-4-vector? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28098(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28098,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_srfi_4_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28101(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28101,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28105,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5457: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1115]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1115]+1);
av2[1]=t2;
tp(2,av2);}}

/* k28103 in ##sys#null-pointer in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28105(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28105,2,av);}
t2=C_update_pointer(C_fix(0),t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#null-pointer? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28107(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28107,3,av);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28115,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5462: ##sys#pointer->address */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[936]);
C_word *av2=av;
av2[0]=*((C_word*)lf[936]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}

/* k28113 in ##sys#null-pointer? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28115,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_eqp(C_fix(0),t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#address->pointer in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28117(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28117,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28121,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5465: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1115]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1115]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28119 in ##sys#address->pointer in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28121(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28121,2,av);}
t2=C_update_pointer(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#pointer->address in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28123(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28123,3,av);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_unsigned_int_to_num(&a,1,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#make-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28130(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_28130,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
t4=C_i_nullp(t3);
t5=(C_truep(t4)?lf[744]:C_i_car(t3));
t6=t5;
t7=C_block_size(t2);
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28140,a[2]=t2,a[3]=t8,a[4]=t1,a[5]=t6,tmp=(C_word)a,a+=6,tmp);
t10=C_fixnum_plus(t8,C_fix(1));
/* library.scm:5475: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t9;
av2[2]=t10;
tp(3,av2);}}

/* k28138 in ##sys#make-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28140(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_28140,2,av);}
t2=C_substring_copy(((C_word*)t0)[2],t1,C_fix(0),((C_word*)t0)[3],C_fix(0));
t3=C_setsubchar(t1,((C_word*)t0)[3],C_make_character(0));
t4=C_asciiz_strlen(t1);
t5=C_eqp(t4,((C_word*)t0)[3]);
if(C_truep(t5)){
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_fix((C_word)C_ASCIIZ_REPRESENTATION_ERROR);
/* library.scm:5480: ##sys#error-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[363]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[363]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=t6;
av2[3]=((C_word*)t0)[5];
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}}

/* ##sys#peek-fixnum in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28165,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_fixnum(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-byte in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28168(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28168,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_peek_byte(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#vector->structure! in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28171,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_vector_to_structure(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-double in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28174(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_28174,4,av);}
a=C_alloc(4);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_f64peek(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28177(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28177,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28187,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5496: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28185 in ##sys#peek-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28187,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=t1;
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#peek-nonnull-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28193(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28193,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28197,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5502: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28195 in ##sys#peek-nonnull-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28197(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28197,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28199,4,av);}
a=C_alloc(6);
t4=C_null_pointerp(t2);
if(C_truep(C_i_not(t4))){
t5=C_fetch_c_strlen(t2,t3);
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28209,a[2]=t2,a[3]=t3,a[4]=t5,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5509: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}
else{
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k28207 in ##sys#peek-and-free-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28209(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28209,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=t1;
t5=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-and-free-nonnull-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28215,4,av);}
a=C_alloc(6);
t4=C_fetch_c_strlen(t2,t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28219,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5516: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28217 in ##sys#peek-and-free-nonnull-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28219,2,av);}
t2=C_peek_c_string(((C_word*)t0)[2],((C_word*)t0)[3],t1,((C_word*)t0)[4]);
t3=C_free_mptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#poke-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28221,5,av);}
a=C_alloc(6);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28226,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:5522: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2=av;
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t5;
av2[2]=t4;
tp(3,av2);}}

/* k28224 in ##sys#poke-c-string in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28226,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_poke_c_string(((C_word*)t0)[3],((C_word*)t0)[4],t1,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#poke-integer in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28228,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_integer(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#poke-double in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28231(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28231,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_poke_double(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#peek-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28251(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28251,4,av);}
a=C_alloc(8);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28257,a[2]=t3,a[3]=t5,a[4]=t2,a[5]=((C_word)li848),tmp=(C_word)a,a+=6,tmp));
t7=((C_word*)t5)[1];
f_28257(t7,t1,C_fix(0));}

/* loop in ##sys#peek-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_28257(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_28257,3,t0,t1,t2);}
a=C_alloc(10);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28267,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
t5=((C_word*)t0)[4];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6455(t7,t8,t9);
/* library.scm:5528: ##sys#peek-c-string */
t11=*((C_word*)lf[701]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28265 in loop in ##sys#peek-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28267(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28267,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28277,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5535: loop */
t5=((C_word*)((C_word*)t0)[4])[1];
f_28257(t5,t3,t4);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28275 in k28265 in loop in ##sys#peek-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_28277(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28277,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#peek-and-free-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,3)))){
C_save_and_reclaim((void *)f_28312,4,av);}
a=C_alloc(12);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28316,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28321,a[2]=t3,a[3]=t2,a[4]=t6,a[5]=((C_word)li850),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_28321(t8,t4,C_fix(0));}

/* k28314 in ##sys#peek-and-free-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28316,2,av);}
t2=((C_word*)t0)[2];
if(C_truep(t2)){
t3=C_i_foreign_pointer_argumentp(t2);
t4=stub6482(C_SCHEME_UNDEFINED,t3);
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t3=stub6482(C_SCHEME_UNDEFINED,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* loop in ##sys#peek-and-free-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_28321(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_28321,3,t0,t1,t2);}
a=C_alloc(11);
t3=(C_truep(((C_word*)t0)[2])?C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]):C_SCHEME_FALSE);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28331,a[2]=((C_word*)t0)[3],a[3]=t2,a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t5=((C_word*)t0)[3];
t6=t2;
t7=C_a_i_bytevector(&a,1,C_fix(3));
t8=(C_truep(t5)?C_i_foreign_pointer_argumentp(t5):C_SCHEME_FALSE);
t9=C_i_foreign_fixnum_argumentp(t6);
t10=stub6474(t7,t8,t9);
/* library.scm:5539: ##sys#peek-c-string */
t11=*((C_word*)lf[701]+1);{
C_word av2[4];
av2[0]=t11;
av2[1]=t4;
av2[2]=t10;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t11+1)))(4,av2);}}}

/* k28329 in loop in ##sys#peek-and-free-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28331,2,av);}
a=C_alloc(4);
t2=t1;
if(C_truep(t2)){
t3=C_free_sptr(((C_word*)t0)[2],((C_word*)t0)[3]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28341,a[2]=((C_word*)t0)[4],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:5548: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_28321(t6,t4,t5);}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k28339 in k28329 in loop in ##sys#peek-and-free-c-string-list in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_28341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_28341,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* ##sys#vector->closure! in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28350(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28350,4,av);}
t4=C_vector_to_closure(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_update_pointer(t3,t2);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* ##sys#symbol-has-toplevel-binding? in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28353,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_boundp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#copy-bytes in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28356(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28356,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_substring_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#copy-words in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word t8;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28363,7,av);}
t7=C_fixnum_plus(t4,t6);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_subvector_copy(t2,t3,t4,t7,t5);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* ##sys#compare-bytes in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28370(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6=av[6];
C_word t7;
C_word *a;
if(c!=7) C_bad_argc_2(c,7,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28370,7,av);}
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_substring_compare(t2,t3,t4,t5,t6);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* ##sys#block-pointer in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28373(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28373,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28377,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5581: ##sys#make-pointer */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1115]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1115]+1);
av2[1]=t3;
tp(2,av2);}}

/* k28375 in ##sys#block-pointer in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28377(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28377,2,av);}
t2=C_pointer_to_block(t1,((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-char-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28379(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28379,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_char_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-fixnum-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28382,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_fixnum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-flonum-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28385(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28385,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_flonum_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-block-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28388(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28388,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_block_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-struct-wrapper-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28391(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28391,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_struct_wrapper_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-string-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28394,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_string_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-symbol-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28397(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28397,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_symbol_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-pointer-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28400,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_foreign_pointer_argumentp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#foreign-tagged-pointer-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28403(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28403,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_tagged_pointer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-ranged-integer-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28406(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28406,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#foreign-unsigned-ranged-integer-argument in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28409(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28409,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_foreign_unsigned_ranged_integer_argumentp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#default-exception-handler in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28413,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_halt(lf[1158]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-thread in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_28416,6,av);}
a=C_alloc(7);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28432,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
t7=C_block_size(C_fast_retrieve(lf[761]));
/* library.scm:5626: ##sys#vector-resize */
f_18070(t6,C_fast_retrieve(lf[761]),t7,C_SCHEME_FALSE);}

/* k28430 in ##sys#make-thread in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28432(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,1)))){
C_save_and_reclaim((void *)f_28432,2,av);}
a=C_alloc(26);
t2=C_a_i_vector6(&a,6,C_fast_retrieve(lf[689]),*((C_word*)lf[712]+1),*((C_word*)lf[713]+1),*((C_word*)lf[714]+1),C_fast_retrieve(lf[1157]),t1);
t3=C_a_i_cons(&a,2,C_SCHEME_FALSE,C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record(&a,15,lf[914],((C_word*)t0)[3],C_SCHEME_FALSE,((C_word*)t0)[4],C_SCHEME_FALSE,t2,((C_word*)t0)[5],C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST,((C_word*)t0)[6],C_SCHEME_UNDEFINED,C_SCHEME_FALSE,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_28440(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(24,c,4)))){
C_save_and_reclaim((void *)f_28440,2,av);}
a=C_alloc(24);
t2=C_mutate((C_word*)lf[951]+1 /* (set! ##sys#primordial-thread ...) */,t1);
t3=C_mutate((C_word*)lf[939]+1 /* (set! ##sys#current-thread ...) */,C_fast_retrieve(lf[951]));
t4=C_mutate((C_word*)lf[1160]+1 /* (set! ##sys#make-mutex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28443,a[2]=((C_word)li871),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1162]+1 /* (set! ##sys#schedule ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28449,a[2]=((C_word)li872),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1163]+1 /* (set! ##sys#thread-yield! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28458,a[2]=((C_word)li875),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1164]+1 /* (set! ##sys#kill-other-threads ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28479,a[2]=((C_word)li876),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1165]+1 /* (set! chicken.base#sleep-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28485,a[2]=((C_word)li877),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[197]+1 /* (set! chicken.base#sleep ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28488,a[2]=((C_word)li878),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1167]+1 /* (set! ##sys#context-switch ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_context_switch,a[2]=((C_word)li879),tmp=(C_word)a,a+=3,tmp));
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28500,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5682: scheme#make-vector */
t12=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t12;
av2[1]=t11;
av2[2]=C_fix(256);
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* ##sys#make-mutex in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28443(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_28443,4,av);}
a=C_alloc(8);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_record7(&a,7,lf[1161],t2,t3,C_SCHEME_END_OF_LIST,C_SCHEME_FALSE,C_SCHEME_FALSE,C_SCHEME_UNDEFINED);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* ##sys#schedule in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28449(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28449,2,av);}
t2=C_slot(C_fast_retrieve(lf[939]),C_fix(1));
/* library.scm:5653: g6568 */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* ##sys#thread-yield! in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_28458,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28464,a[2]=((C_word)li874),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5656: ##sys#call-with-current-continuation */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
C_call_cc(3,av2);}}

/* a28463 in ##sys#thread-yield! in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28464,3,av);}
a=C_alloc(4);
t3=C_fast_retrieve(lf[939]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28473,a[2]=t2,a[3]=((C_word)li873),tmp=(C_word)a,a+=4,tmp);
t5=C_i_setslot(C_fast_retrieve(lf[939]),C_fix(1),t4);
/* library.scm:5660: ##sys#schedule */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1162]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1162]+1);
av2[1]=t1;
tp(2,av2);}}

/* a28472 in a28463 in ##sys#thread-yield! in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_28473(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28473,2,av);}
/* library.scm:5659: return */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_SCHEME_UNDEFINED;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* ##sys#kill-other-threads in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28479(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28479,3,av);}
/* library.scm:5663: thunk */
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* chicken.base#sleep-hook in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28485,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_process_sleep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sleep in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_28488,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28492,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5673: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[1166];
tp(4,av2);}}

/* k28490 in chicken.base#sleep in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28492(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_28492,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28495,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5674: chicken.base#sleep-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1165]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1165]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28493 in k28490 in chicken.base#sleep in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_28495(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28495,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_28500(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(55,c,4)))){
C_save_and_reclaim((void *)f_28500,2,av);}
a=C_alloc(55);
t2=C_mutate((C_word*)lf[1168]+1 /* (set! ##sys#signal-vector ...) */,t1);
t3=C_mutate((C_word*)lf[1169]+1 /* (set! ##sys#interrupt-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28502,a[2]=((C_word)li881),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[697]+1 /* (set! ##sys#dispatch-interrupt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28552,a[2]=((C_word)li882),tmp=(C_word)a,a+=3,tmp));
t5=C_fix(0);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_mutate((C_word*)lf[702]+1 /* (set! ##sys#update-errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28559,a[2]=t6,a[3]=((C_word)li883),tmp=(C_word)a,a+=4,tmp));
t8=C_mutate((C_word*)lf[1172]+1 /* (set! ##sys#errno ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28563,a[2]=t6,a[3]=((C_word)li884),tmp=(C_word)a,a+=4,tmp));
t9=C_fast_retrieve(lf[854]);
t10=C_SCHEME_UNDEFINED;
t11=(*a=C_VECTOR_TYPE|1,a[1]=t10,tmp=(C_word)a,a+=2,tmp);
t12=C_SCHEME_UNDEFINED;
t13=(*a=C_VECTOR_TYPE|1,a[1]=t12,tmp=(C_word)a,a+=2,tmp);
t14=C_set_block_item(t11,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28577,a[2]=((C_word)li886),tmp=(C_word)a,a+=3,tmp));
t15=C_set_block_item(t13,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28624,a[2]=((C_word)li888),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[854]+1 /* (set! ##sys#user-read-hook ...) */,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28669,a[2]=t9,a[3]=t11,a[4]=t13,a[5]=((C_word)li893),tmp=(C_word)a,a+=6,tmp));
t17=C_a_i_provide(&a,1,lf[1183]);
t18=C_mutate((C_word*)lf[1184]+1 /* (set! chicken.process-context#change-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29099,a[2]=((C_word)li894),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[1187]+1 /* (set! ##sys#change-directory-hook ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29129,a[2]=((C_word)li895),tmp=(C_word)a,a+=3,tmp));
t20=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29137,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t21=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31228,a[2]=((C_word)li973),tmp=(C_word)a,a+=3,tmp);
t22=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31250,a[2]=((C_word)li974),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5900: chicken.base#getter-with-setter */
t23=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t23;
av2[1]=t20;
av2[2]=t21;
av2[3]=t22;
av2[4]=lf[1364];
((C_proc)(void*)(*((C_word*)t23+1)))(5,av2);}}

/* ##sys#interrupt-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28502,4,av);}
a=C_alloc(10);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28506,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28533,a[2]=t6,a[3]=((C_word)li880),tmp=(C_word)a,a+=4,tmp));
t8=((C_word*)t6)[1];
f_28533(t8,t4,t2);}

/* k28504 in ##sys#interrupt-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_28506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28506,2,av);}
t2=C_slot(C_fast_retrieve(lf[1170]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
/* library.scm:5692: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1171]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1171]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[3]))){
/* library.scm:5693: state */
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:5694: ##sys#context-switch */{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
C_context_switch(3,av2);}}}}

/* loop in ##sys#interrupt-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_fcall f_28533(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28533,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(t2)){
t3=C_slot(C_fast_retrieve(lf[1168]),t2);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28543,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(t3)){
/* library.scm:5689: handler */
t5=t3;{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}
else{
t5=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5690: loop */
t7=t1;
t8=t5;
t1=t7;
t2=t8;
goto loop;}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28541 in loop in ##sys#interrupt-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_28543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28543,2,av);}
t2=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5690: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_28533(t3,((C_word*)t0)[3],t2);}

/* ##sys#dispatch-interrupt in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28552(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28552,3,av);}
t3=C_i_pending_interrupt(C_SCHEME_FALSE);
/* library.scm:5697: ##sys#interrupt-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1169]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1169]+1);
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
tp(4,av2);}}

/* ##sys#update-errno in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28559,2,av);}
t2=C_set_block_item(((C_word*)t0)[2],0,C_fix((C_word)errno));
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#errno in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28563,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* readln in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_fcall f_28577(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28577,2,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28581,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5726: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28579 in readln in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_28581(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28581,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28588,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5727: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28586 in k28579 in readln in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_28588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_28588,2,av);}
a=C_alloc(8);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28590,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=((C_word*)t0)[3],a[5]=((C_word)li885),tmp=(C_word)a,a+=6,tmp));
t5=((C_word*)t3)[1];
f_28590(t5,((C_word*)t0)[4],t1);}

/* doloop6615 in k28586 in k28579 in readln in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_fcall f_28590(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_28590,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_char_equalp(C_make_character(10),t2));
if(C_truep(t4)){
if(C_truep(C_eofp(t2))){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
/* library.scm:5729: chicken.base#get-output-string */
t5=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28612,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5730: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word av2[4];
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t5;
av2[2]=t2;
av2[3]=((C_word*)t0)[2];
tp(4,av2);}}}

/* k28610 in doloop6615 in k28586 in k28579 in readln in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_28612(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28612,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28619,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5727: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
tp(3,av2);}}

/* k28617 in k28610 in doloop6615 in k28586 in k28579 in readln in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_28619(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28619,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28590(t2,((C_word*)t0)[3],t1);}

/* read-escaped-sexp in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_fcall f_28624(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28624,3,t1,t2,t3);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28628,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:5732: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t4;
av2[2]=t2;
tp(3,av2);}}
else{
t5=t4;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28628(2,av2);}}}

/* k28626 in read-escaped-sexp in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_28628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28628,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28631,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5733: read */
t3=*((C_word*)lf[149]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28629 in k28626 in read-escaped-sexp in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_28631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,2)))){
C_save_and_reclaim((void *)f_28631,2,av);}
a=C_alloc(11);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28634,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[3])){
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28639,a[2]=((C_word*)t0)[4],a[3]=t5,a[4]=((C_word)li887),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_28639(t7,t3);}
else{
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k28632 in k28629 in k28626 in read-escaped-sexp in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_28634(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28634,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop in k28629 in k28626 in read-escaped-sexp in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_fcall f_28639(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_28639,2,t0,t1);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28643,a[2]=t1,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5737: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28641 in loop in k28629 in k28626 in read-escaped-sexp in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_28643(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28643,2,av);}
if(C_truep(C_eofp(t1))){
/* library.scm:5739: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1173];
tp(4,av2);}}
else{
t2=C_i_char_equalp(C_make_character(125),t1);
if(C_truep(C_i_not(t2))){
/* library.scm:5740: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_28639(t3,((C_word*)t0)[2]);}
else{
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}}

/* ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_28669(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28669,4,av);}
a=C_alloc(6);
t4=C_i_char_equalp(C_make_character(60),t2);
if(C_truep(C_i_not(t4))){
/* library.scm:5743: old */
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28682,a[2]=t3,a[3]=((C_word*)t0)[3],a[4]=t1,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* ##sys#read-char/port */
t6=C_fast_retrieve(lf[765]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}

/* k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_28682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28682,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28685,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5746: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}

/* k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_28685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28685,2,av);}
a=C_alloc(6);
switch(t1){
case C_make_character(60):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28694,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5748: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28807,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[5],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[3],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5773: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}
default:
/* library.scm:5828: ##sys#read-error */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[773]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[773]+1);
av2[1]=((C_word*)t0)[4];
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1182];
tp(4,av2);}}}

/* k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_28694(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28694,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28697,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5749: chicken.base#open-output-string */
t3=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_28697(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28697,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28700,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5750: readln */
f_28577(t3,((C_word*)t0)[2]);}

/* k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_28700(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_28700,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_SCHEME_FALSE;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_eofp(t2);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(t2));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28706,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=t4,a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5755: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1176];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(t2,t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5759: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1177];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28706(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(t2,t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5759: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1177];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28706(2,av2);}}}}}

/* k28704 in k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_28706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_28706,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28713,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word*)t0)[7],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5762: readln */
f_28577(t2,((C_word*)t0)[4]);}

/* k28711 in k28704 in k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_28713(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28713,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28715,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li889),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28715(t5,((C_word*)t0)[7],t1);}

/* doloop6650 in k28711 in k28704 in k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_fcall f_28715(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,0,3)))){
C_save_and_reclaim_args((void *)trf_28715,3,t0,t1,t2);}
a=C_alloc(17);
t3=C_eofp(t2);
t4=(C_truep(t3)?t3:C_i_string_equal_p(((C_word*)t0)[2],t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28728,a[2]=t1,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(t2))){
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28741,a[2]=t5,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t7=C_a_i_list(&a,3,lf[1174],((C_word*)t0)[2],lf[1175]);
/* library.scm:5717: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[932]);
C_word av2[3];
av2[0]=*((C_word*)lf[932]+1);
av2[1]=t6;
av2[2]=t7;
tp(3,av2);}}
else{
/* library.scm:5767: chicken.base#get-output-string */
t6=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t6;
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t6+1)))(3,av2);}}}
else{
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28744,a[2]=((C_word*)t0)[5],a[3]=t1,a[4]=((C_word*)t0)[6],a[5]=((C_word*)t0)[4],a[6]=t2,a[7]=((C_word*)t0)[3],tmp=(C_word)a,a+=8,tmp);
if(C_truep(((C_word*)((C_word*)t0)[7])[1])){
/* library.scm:5769: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word av2[4];
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t5;
av2[2]=C_make_character(10);
av2[3]=((C_word*)t0)[3];
tp(4,av2);}}
else{
t6=C_set_block_item(((C_word*)t0)[7],0,C_SCHEME_TRUE);
t7=t5;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
f_28744(2,av2);}}}}

/* k28726 in doloop6650 in k28711 in k28704 in k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_28728(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28728,2,av);}
/* library.scm:5767: chicken.base#get-output-string */
t2=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k28739 in doloop6650 in k28711 in k28704 in k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_28741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28741,2,av);}
/* library.scm:5765: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28742 in doloop6650 in k28711 in k28704 in k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_28744(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_28744,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28747,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5771: display */
t3=*((C_word*)lf[153]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k28745 in k28742 in doloop6650 in k28711 in k28704 in k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_28747(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_28747,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28754,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5762: readln */
f_28577(t2,((C_word*)t0)[5]);}

/* k28752 in k28745 in k28742 in doloop6650 in k28711 in k28704 in k28698 in k28695 in k28692 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_28754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28754,2,av);}
t2=((C_word*)((C_word*)t0)[2])[1];
f_28715(t2,((C_word*)t0)[3],t1);}

/* k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_28807(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28807,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28810,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5774: readln */
f_28577(t2,((C_word*)t0)[2]);}

/* k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_28810(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_28810,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_28813,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5775: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_28813(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_28813,2,av);}
a=C_alloc(14);
t2=t1;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28815,a[2]=t3,a[3]=((C_word)li890),tmp=(C_word)a,a+=4,tmp);
t5=C_eofp(((C_word*)t0)[2]);
t6=(C_truep(t5)?C_fix(0):C_i_string_length(((C_word*)t0)[2]));
t7=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28829,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t4,a[5]=t3,a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],tmp=(C_word)a,a+=8,tmp);
t8=C_eqp(t6,C_fix(0));
if(C_truep(t8)){
/* library.scm:5784: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1180];
tp(4,av2);}}
else{
t9=C_fixnum_difference(t6,C_fix(1));
t10=C_i_string_ref(((C_word*)t0)[2],t9);
t11=C_u_i_char_equalp(t10,C_make_character(32));
if(C_truep(t11)){
if(C_truep(t11)){
/* library.scm:5788: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1181];
tp(4,av2);}}
else{
t12=C_SCHEME_UNDEFINED;
t13=t7;{
C_word *av2=av;
av2[0]=t13;
av2[1]=t12;
f_28829(2,av2);}}}
else{
t12=C_fixnum_difference(t6,C_fix(1));
t13=C_i_string_ref(((C_word*)t0)[2],t12);
if(C_truep(C_u_i_char_equalp(t13,C_make_character(9)))){
/* library.scm:5788: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=t7;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1181];
tp(4,av2);}}
else{
t14=C_SCHEME_UNDEFINED;
t15=t7;{
C_word *av2=av;
av2[0]=t15;
av2[1]=t14;
f_28829(2,av2);}}}}}

/* get/clear-str in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_fcall f_28815(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_28815,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28819,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5777: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word av2[3];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k28817 in get/clear-str in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_28819(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_28819,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28823,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:5778: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k28821 in k28817 in get/clear-str in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_28823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_28823,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_28829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_28829,2,av);}
a=C_alloc(11);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28834,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],a[8]=((C_word)li892),tmp=(C_word)a,a+=9,tmp));
t5=((C_word*)t3)[1];
f_28834(t5,((C_word*)t0)[7],C_SCHEME_END_OF_LIST);}

/* loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_fcall f_28834(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,2)))){
C_save_and_reclaim_args((void *)trf_28834,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|9,a[1]=(C_word)f_28838,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],a[7]=((C_word*)t0)[5],a[8]=((C_word*)t0)[6],a[9]=((C_word*)t0)[7],tmp=(C_word)a,a+=10,tmp);
/* library.scm:5793: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word av2[3];
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}

/* k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_28838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28838,2,av);}
a=C_alloc(9);
t2=t1;
t3=C_eqp(t2,C_make_character(10));
t4=(C_truep(t3)?t3:C_eqp(t2,C_SCHEME_END_OF_FILE));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_28850,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[6],tmp=(C_word)a,a+=8,tmp);
/* library.scm:5796: get/clear-str */
t6=((C_word*)t0)[7];
f_28815(t6,t5);}
else{
t5=C_eqp(t2,C_make_character(35));
if(C_truep(t5)){
t6=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_28970,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[8],a[6]=((C_word*)t0)[5],a[7]=((C_word*)t0)[7],a[8]=((C_word*)t0)[9],tmp=(C_word)a,a+=9,tmp);
/* library.scm:5816: ##sys#peek-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[766]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[766]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29037,a[2]=((C_word*)t0)[6],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5826: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=((C_word*)((C_word*)t0)[8])[1];
tp(4,av2);}}}}

/* k28848 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_28850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(17,c,2)))){
C_save_and_reclaim((void *)f_28850,2,av);}
a=C_alloc(17);
t2=C_eofp(((C_word*)t0)[2]);
t3=(C_truep(t2)?t2:C_i_string_equal_p(((C_word*)t0)[3],t1));
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28862,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_eofp(((C_word*)t0)[2]))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28947,a[2]=t4,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
t6=C_a_i_list(&a,3,lf[1174],((C_word*)t0)[3],lf[1175]);
/* library.scm:5717: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[932]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[932]+1);
av2[1]=t5;
av2[2]=t6;
tp(3,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_28862(2,av2);}}}
else{
t4=C_a_i_cons(&a,2,t1,((C_word*)t0)[5]);
t5=C_a_i_cons(&a,2,C_make_character(10),t4);
/* library.scm:5814: loop */
t6=((C_word*)((C_word*)t0)[7])[1];
f_28834(t6,((C_word*)t0)[4],t5);}}

/* k28860 in k28848 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_28862(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,5)))){
C_save_and_reclaim((void *)f_28862,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_28869,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_i_cdr(((C_word*)t0)[3]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28875,a[2]=t5,a[3]=((C_word)li891),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_28875(t7,t2,t3,C_SCHEME_END_OF_LIST,lf[1179]);}

/* k28867 in k28860 in k28848 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_28869(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_28869,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,2,lf[932],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* loop2 in k28860 in k28848 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_fcall f_28875(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,2)))){
C_save_and_reclaim_args((void *)trf_28875,5,t0,t1,t2,t3,t4);}
a=C_alloc(7);
if(C_truep(C_i_nullp(t2))){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28889,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5806: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[932]);
C_word av2[3];
av2[0]=*((C_word*)lf[932]+1);
av2[1]=t5;
av2[2]=t3;
tp(3,av2);}}
else{
t5=C_i_car(t2);
t6=C_i_stringp(t5);
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28898,a[2]=t2,a[3]=t3,a[4]=((C_word*)t0)[2],a[5]=t1,a[6]=t4,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_28898(t8,t6);}
else{
t8=t2;
t9=C_u_i_car(t8);
t10=t7;
f_28898(t10,C_charp(t9));}}}

/* k28887 in loop2 in k28860 in k28848 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in ... */
static void C_ccall f_28889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,1)))){
C_save_and_reclaim((void *)f_28889,2,av);}
a=C_alloc(9);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list(&a,3,lf[1178],t1,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k28896 in loop2 in k28860 in k28848 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in ... */
static void C_fcall f_28898(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_28898,2,t0,t1);}
a=C_alloc(7);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=C_a_i_cons(&a,2,t5,((C_word*)t0)[3]);
/* library.scm:5808: loop2 */
t7=((C_word*)((C_word*)t0)[4])[1];
f_28875(t7,((C_word*)t0)[5],t3,t6,((C_word*)t0)[6]);}
else{
t2=((C_word*)t0)[2];
t3=C_u_i_cdr(t2);
t4=((C_word*)t0)[2];
t5=C_u_i_car(t4);
t6=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_28928,a[2]=((C_word*)t0)[6],a[3]=t5,a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:5813: ##sys#print-to-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[932]);
C_word av2[3];
av2[0]=*((C_word*)lf[932]+1);
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
tp(3,av2);}}}

/* k28926 in k28896 in loop2 in k28860 in k28848 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_28928(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(18,c,4)))){
C_save_and_reclaim((void *)f_28928,2,av);}
a=C_alloc(18);
t2=C_a_i_list(&a,3,lf[1178],t1,((C_word*)t0)[2]);
t3=C_a_i_list(&a,3,lf[1178],((C_word*)t0)[3],t2);
/* library.scm:5810: loop2 */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28875(t4,((C_word*)t0)[5],((C_word*)t0)[6],C_SCHEME_END_OF_LIST,t3);}

/* k28945 in k28848 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_28947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28947,2,av);}
/* library.scm:5799: ##sys#read-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[776]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[776]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k28968 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_28970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_28970,2,av);}
a=C_alloc(9);
switch(t1){
case C_make_character(35):
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_28979,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_28986,a[2]=t2,a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5819: ##sys#read-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[764]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[764]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
tp(3,av2);}
case C_make_character(123):
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29003,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5821: read-escaped-sexp */
f_28624(t2,((C_word*)t0)[6],C_SCHEME_TRUE);
default:
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29022,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[7],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5823: read-escaped-sexp */
f_28624(t2,((C_word*)t0)[6],C_SCHEME_FALSE);}}

/* k28977 in k28968 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_28979(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_28979,2,av);}
/* library.scm:5820: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28834(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* k28984 in k28968 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_28986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_28986,2,av);}
/* library.scm:5819: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)((C_word*)t0)[3])[1];
tp(4,av2);}}

/* k29001 in k28968 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_29003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29003,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29011,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5822: get/clear-str */
t4=((C_word*)t0)[5];
f_28815(t4,t3);}

/* k29009 in k29001 in k28968 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_29011(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29011,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5821: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28834(t4,((C_word*)t0)[5],t3);}

/* k29020 in k28968 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_29022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29022,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29030,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:5824: get/clear-str */
t4=((C_word*)t0)[5];
f_28815(t4,t3);}

/* k29028 in k29020 in k28968 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_29030(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29030,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=C_a_i_cons(&a,2,((C_word*)t0)[3],t2);
/* library.scm:5823: loop */
t4=((C_word*)((C_word*)t0)[4])[1];
f_28834(t4,((C_word*)t0)[5],t3);}

/* k29035 in k28836 in loop in k28827 in k28811 in k28808 in k28805 in k28683 in k28680 in ##sys#user-read-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_29037(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29037,2,av);}
/* library.scm:5827: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_28834(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.process-context#change-directory in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_29099(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29099,3,av);}
a=C_alloc(4);
t3=C_i_check_string_2(t2,lf[1185]);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29106,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5889: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1185];
tp(4,av2);}}

/* k29104 in chicken.process-context#change-directory in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29106(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_29106,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29109,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_chdir(t1);
t4=C_eqp(t3,C_fix(0));
if(C_truep(t4)){
t5=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t5;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29115,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5891: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2=av;
av2[0]=*((C_word*)lf[702]+1);
av2[1]=t5;
tp(2,av2);}}}

/* k29107 in k29104 in chicken.process-context#change-directory in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_29109(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29109,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29113 in k29104 in chicken.process-context#change-directory in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_29115(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_29115,2,av);}
a=C_alloc(10);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29122,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29126,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t4=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k29120 in k29113 in k29104 in chicken.process-context#change-directory in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29122(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_29122,2,av);}
/* library.scm:5892: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[698];
av2[3]=lf[1185];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k29124 in k29113 in k29104 in chicken.process-context#change-directory in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29126,2,av);}
/* library.scm:5893: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1186];
av2[3]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#change-directory-hook in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_29129(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29129,3,av);}
/* library.scm:5897: change-directory */
t3=C_fast_retrieve(lf[1184]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_29137(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(30,c,4)))){
C_save_and_reclaim((void *)f_29137,2,av);}
a=C_alloc(30);
t2=C_mutate((C_word*)lf[1188]+1 /* (set! chicken.process-context#current-directory ...) */,t1);
t3=C_mutate((C_word*)lf[1189]+1 /* (set! chicken.process-context#get-environment-variable ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29139,a[2]=((C_word)li896),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1190]+1 /* (set! chicken.process-context#set-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29154,a[2]=((C_word)li897),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1192]+1 /* (set! chicken.process-context#unset-environment-variable! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29171,a[2]=((C_word)li898),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1194]+1 /* (set! chicken.process-context#get-environment-variables ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29191,a[2]=((C_word)li901),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1195]+1 /* (set! chicken.process-context#executable-pathname ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29257,a[2]=((C_word)li902),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1196]+1 /* (set! chicken.process-context#argc+argv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29264,a[2]=((C_word)li903),tmp=(C_word)a,a+=3,tmp));
t9=C_SCHEME_FALSE;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_mutate((C_word*)lf[1197]+1 /* (set! chicken.process-context#argv ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29276,a[2]=t10,a[3]=((C_word)li905),tmp=(C_word)a,a+=4,tmp));
t12=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29316,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t13=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31226,a[2]=t12,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5974: argv */
t14=C_fast_retrieve(lf[1197]);{
C_word *av2=av;
av2[0]=t14;
av2[1]=t13;
((C_proc)(void*)(*((C_word*)t14+1)))(2,av2);}}

/* chicken.process-context#get-environment-variable in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_29139,3,av);}
a=C_alloc(9);
t3=C_a_i_bytevector(&a,1,C_fix(3));
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29148,a[2]=t3,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=C_i_foreign_string_argumentp(t2);
/* library.scm:5919: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2=av;
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k29146 in chicken.process-context#get-environment-variable in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_29148(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29148,2,av);}
t2=stub6768(((C_word*)t0)[2],t1);
/* library.scm:5919: ##sys#peek-c-string */
t3=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.process-context#set-environment-variable! in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29154,4,av);}
a=C_alloc(4);
t4=C_i_check_string_2(t2,lf[1191]);
t5=C_i_check_string_2(t3,lf[1191]);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29165,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5925: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2=av;
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t6;
av2[2]=t2;
av2[3]=lf[1191];
tp(4,av2);}}

/* k29163 in chicken.process-context#set-environment-variable! in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_29165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29165,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29169,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5926: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[1191];
tp(4,av2);}}

/* k29167 in k29163 in chicken.process-context#set-environment-variable! in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29169(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29169,2,av);}
t2=C_setenv(((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#unset-environment-variable! in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29171(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29171,3,av);}
a=C_alloc(3);
t3=C_i_check_string_2(t2,lf[1193]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29179,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5932: ##sys#make-c-string */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[744]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[744]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=lf[1193];
tp(4,av2);}}

/* k29177 in chicken.process-context#unset-environment-variable! in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_29179(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29179,2,av);}
t2=C_unsetenv(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.process-context#get-environment-variables in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29191(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29191,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29197,a[2]=t3,a[3]=((C_word)li900),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29197(t5,t1,C_fix(0));}

/* loop in chicken.process-context#get-environment-variables in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_fcall f_29197(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,0,3)))){
C_save_and_reclaim_args((void *)trf_29197,3,t0,t1,t2);}
a=C_alloc(10);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29201,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=t2;
t5=C_a_i_bytevector(&a,1,C_fix(3));
t6=C_i_foreign_fixnum_argumentp(t4);
t7=stub6785(t5,t6);
/* library.scm:5936: ##sys#peek-c-string */
t8=*((C_word*)lf[701]+1);{
C_word av2[4];
av2[0]=t8;
av2[1]=t3;
av2[2]=t7;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t8+1)))(4,av2);}}

/* k29199 in loop in chicken.process-context#get-environment-variables in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29201,2,av);}
a=C_alloc(9);
t2=t1;
if(C_truep(t2)){
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29209,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=t4,a[6]=((C_word)li899),tmp=(C_word)a,a+=7,tmp));
t6=((C_word*)t4)[1];
f_29209(t6,((C_word*)t0)[4],C_fix(0));}
else{
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scan in k29199 in loop in chicken.process-context#get-environment-variables in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_fcall f_29209(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(7,0,4)))){
C_save_and_reclaim_args((void *)trf_29209,3,t0,t1,t2);}
a=C_alloc(7);
t3=C_subchar(((C_word*)t0)[2],t2);
if(C_truep(C_i_char_equalp(C_make_character(61),t3))){
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_29235,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,a[6]=((C_word*)t0)[2],tmp=(C_word)a,a+=7,tmp);
/* library.scm:5943: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t4;
av2[2]=((C_word*)t0)[2];
av2[3]=C_fix(0);
av2[4]=t2;
tp(5,av2);}}
else{
t4=C_fixnum_plus(t2,C_fix(1));
/* library.scm:5946: scan */
t6=t1;
t7=t4;
t1=t6;
t2=t7;
goto loop;}}

/* k29225 in k29237 in k29233 in scan in k29199 in loop in chicken.process-context#get-environment-variables in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_29227(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_29227,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29233 in scan in k29199 in loop in chicken.process-context#get-environment-variables in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_29235,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29239,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=C_fixnum_plus(((C_word*)t0)[5],C_fix(1));
t5=C_block_size(((C_word*)t0)[6]);
/* library.scm:5944: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=t4;
av2[4]=t5;
tp(5,av2);}}

/* k29237 in k29233 in scan in k29199 in loop in chicken.process-context#get-environment-variables in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29239(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_29239,2,av);}
a=C_alloc(7);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29227,a[2]=((C_word*)t0)[3],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=C_fixnum_plus(((C_word*)t0)[4],C_fix(1));
/* library.scm:5945: loop */
t6=((C_word*)((C_word*)t0)[5])[1];
f_29197(t6,t4,t5);}

/* chicken.process-context#executable-pathname in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29257(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29257,2,av);}
a=C_alloc(5);
t2=C_a_i_bytevector(&a,1,C_fix(3));
t3=stub6797(t2);
/* library.scm:5956: ##sys#peek-and-free-c-string */
t4=*((C_word*)lf[1133]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* chicken.process-context#argc+argv in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29264,2,av);}
a=C_alloc(3);
/* library.scm:5959: ##sys#values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fix((C_word)C_main_argc);
av2[3]=C_mpointer_or_false(&a,(void*)C_main_argv);
C_values(4,av2);}}

/* chicken.process-context#argv in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,4)))){
C_save_and_reclaim((void *)f_29276,2,av);}
a=C_alloc(10);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29284,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t3=C_fixnum_difference(C_fix((C_word)C_main_argc),C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29290,a[2]=t5,a[3]=((C_word)li904),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_29290(t7,t2,t3,C_SCHEME_END_OF_LIST);}}

/* k29282 in chicken.process-context#argv in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_29284(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29284,2,av);}
t2=C_mutate(((C_word *)((C_word*)t0)[2])+1,t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)((C_word*)t0)[2])[1];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* doloop6809 in chicken.process-context#argv in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_fcall f_29290(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_29290,4,t0,t1,t2,t3);}
a=C_alloc(11);
if(C_truep(C_fixnum_lessp(t2,C_fix(0)))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_fixnum_difference(t2,C_fix(1));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29312,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t1,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
t7=t2;
t8=C_a_i_bytevector(&a,1,C_fix(3));
t9=stub6805(t8,t7);
/* library.scm:5963: ##sys#peek-c-string */
t10=*((C_word*)lf[701]+1);{
C_word av2[4];
av2[0]=t10;
av2[1]=t6;
av2[2]=t9;
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t10+1)))(4,av2);}}}

/* k29310 in doloop6809 in chicken.process-context#argv in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29312(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_29312,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,((C_word*)t0)[2]);
t3=((C_word*)((C_word*)t0)[3])[1];
f_29290(t3,((C_word*)t0)[4],((C_word*)t0)[5],t2);}

/* k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_29316(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29316,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1198]+1 /* (set! chicken.process-context#program-name ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29320,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31138,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5983: argv */
t5=C_fast_retrieve(lf[1197]);{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_29320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(20,c,3)))){
C_save_and_reclaim((void *)f_29320,2,av);}
a=C_alloc(20);
t2=C_mutate((C_word*)lf[1199]+1 /* (set! chicken.process-context#command-line-arguments ...) */,t1);
t3=C_a_i_provide(&a,1,lf[1200]);
t4=C_mutate((C_word*)lf[1201]+1 /* (set! chicken.gc#current-gc-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29322,a[2]=((C_word)li906),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1202]+1 /* (set! chicken.gc#set-gc-report! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29325,a[2]=((C_word)li907),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1203]+1 /* (set! chicken.gc#memory-statistics ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29328,a[2]=((C_word)li908),tmp=(C_word)a,a+=3,tmp));
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29353,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6031: ##sys#make-vector */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[670]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[670]+1);
av2[1]=t7;
av2[2]=t9;
av2[3]=C_SCHEME_UNDEFINED;
tp(4,av2);}}

/* chicken.gc#current-gc-milliseconds in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29322(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29322,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_accumulated_gc_time();
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.gc#set-gc-report! in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29325,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_set_gc_report(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.gc#memory-statistics in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_29328,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29332,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6021: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
av2[2]=C_SCHEME_TRUE;
tp(3,av2);}}

/* k29330 in chicken.gc#memory-statistics in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_29332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29332,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29335,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6022: ##sys#memory-info */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[320]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[320]+1);
av2[1]=t3;
tp(2,av2);}}

/* k29333 in k29330 in chicken.gc#memory-statistics in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29335(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,1)))){
C_save_and_reclaim((void *)f_29335,2,av);}
a=C_alloc(4);
t2=C_slot(t1,C_fix(0));
t3=C_fixnum_difference(t2,((C_word*)t0)[2]);
t4=C_slot(t1,C_fix(1));
t5=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_a_i_vector3(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_29353(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,4)))){
C_save_and_reclaim((void *)f_29353,2,av);}
a=C_alloc(15);
t2=C_mutate((C_word*)lf[1170]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
t3=C_i_set_i_slot(C_fast_retrieve(lf[1170]),C_fix(0),C_fix(0));
t4=C_mutate((C_word*)lf[1204]+1 /* (set! ##sys#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_register_finalizer,a[2]=((C_word)li909),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[1205]+1 /* (set! chicken.gc#set-finalizer! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29359,a[2]=((C_word)li910),tmp=(C_word)a,a+=3,tmp));
t6=C_SCHEME_FALSE;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_mutate((C_word*)lf[1171]+1 /* (set! ##sys#run-pending-finalizers ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29424,a[2]=t7,a[3]=((C_word)li919),tmp=(C_word)a,a+=4,tmp));
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29573,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6100: chicken.base#make-parameter */
t10=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t10+1)))(3,av2);}}

/* chicken.gc#set-finalizer! in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_29359(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_29359,4,av);}
a=C_alloc(11);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29363,a[2]=t1,a[3]=t2,a[4]=t3,tmp=(C_word)a,a+=5,tmp);
t5=C_i_live_finalizer_count();
if(C_truep(C_fixnum_greater_or_equal_p(t5,C_fix((C_word)C_max_pending_finalizers)))){
t6=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
if(C_truep(C_resize_pending_finalizers(t6))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29380,a[2]=t4,a[3]=t1,a[4]=t2,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
t8=C_fixnum_times(C_fix(2),C_fix((C_word)C_max_pending_finalizers));
t9=C_fixnum_plus(t8,C_fix(1));
/* library.scm:6043: ##sys#vector-resize */
f_18070(t7,C_fast_retrieve(lf[1170]),t9,C_SCHEME_UNDEFINED);}
else{
t7=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29410,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29420,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=C_i_live_finalizer_count();
/* library.scm:6059: string-append */
t10=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t8;
av2[2]=lf[1209];
av2[3]=t9;
av2[4]=lf[1210];
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
/* library.scm:6064: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[954]);
C_word *av2=av;
av2[0]=*((C_word*)lf[954]+1);
av2[1]=t4;
tp(2,av2);}}}}
else{
/* library.scm:6065: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1204]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1204]+1);
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
tp(4,av2);}}}

/* k29361 in chicken.gc#set-finalizer! in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_29363,2,av);}
/* library.scm:6065: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1204]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1204]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
tp(4,av2);}}

/* k29378 in chicken.gc#set-finalizer! in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_29380,2,av);}
a=C_alloc(6);
t2=C_mutate((C_word*)lf[1170]+1 /* (set! ##sys#pending-finalizers ...) */,t1);
if(C_truep(C_i_debug_modep())){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29390,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29394,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
t5=C_i_live_finalizer_count();
/* library.scm:6050: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}
else{
/* library.scm:6065: ##sys#set-finalizer! */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1204]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[1204]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=((C_word*)t0)[5];
tp(4,av2);}}}

/* k29388 in k29378 in chicken.gc#set-finalizer! in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29390,2,av);}
/* library.scm:6047: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29392 in k29378 in chicken.gc#set-finalizer! in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29394,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29398,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6053: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=C_fix((C_word)C_max_pending_finalizers);
tp(3,av2);}}

/* k29396 in k29392 in k29378 in chicken.gc#set-finalizer! in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_29398(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_29398,2,av);}
/* library.scm:6048: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1206];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1207];
av2[5]=t1;
av2[6]=lf[1208];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k29408 in chicken.gc#set-finalizer! in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29410(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29410,2,av);}
/* library.scm:6064: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[954]);
C_word *av2=av;
av2[0]=*((C_word*)lf[954]+1);
av2[1]=((C_word*)t0)[2];
tp(2,av2);}}

/* k29418 in chicken.gc#set-finalizer! in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29420,2,av);}
/* library.scm:6058: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_29424(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(15,c,2)))){
C_save_and_reclaim((void *)f_29424,3,av);}
a=C_alloc(15);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29428,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)((C_word*)t0)[2])[1])){
t4=t3;
f_29428(t4,C_SCHEME_UNDEFINED);}
else{
t4=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_TRUE);
t5=C_slot(C_fast_retrieve(lf[1170]),C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29456,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_debug_modep())){
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29555,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29559,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6077: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t9;
av2[2]=t6;
tp(3,av2);}}
else{
t8=t7;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_SCHEME_UNDEFINED;
f_29456(2,av2);}}}}

/* k29426 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_fcall f_29428(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,2)))){
C_save_and_reclaim_args((void *)trf_29428,2,t0,t1);}
t2=C_i_not(((C_word*)t0)[2]);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_closurep(((C_word*)t0)[2]))){
/* library.scm:6097: state */
t3=((C_word*)t0)[2];{
C_word av2[2];
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(((C_word*)t0)[2])){
/* library.scm:6098: ##sys#context-switch */{
C_word av2[3];
av2[0]=0;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
C_context_switch(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=((C_word*)t0)[3];{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}}}

/* k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29456(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_29456,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29459,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29468,a[2]=((C_word*)t0)[4],a[3]=t4,a[4]=((C_word)li918),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_29468(t6,t2,C_fix(0));}

/* k29457 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29459(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_29459,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29462,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6093: vector-fill! */
t3=*((C_word*)lf[97]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[1170]);
av2[3]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k29460 in k29457 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_29462(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29462,2,av);}
t2=C_i_set_i_slot(C_fast_retrieve(lf[1170]),C_fix(0),C_fix(0));
t3=C_set_block_item(((C_word*)t0)[2],0,C_SCHEME_FALSE);
t4=((C_word*)t0)[3];
f_29428(t4,t3);}

/* doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_fcall f_29468(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,3)))){
C_save_and_reclaim_args((void *)trf_29468,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_fixnum_greater_or_equal_p(t2,((C_word*)t0)[2]))){
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_fixnum_times(t2,C_fix(2));
t4=C_fixnum_plus(C_fix(1),t3);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29481,a[2]=t2,a[3]=((C_word*)t0)[3],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29493,a[2]=t5,a[3]=((C_word)li917),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6089: scheme#call-with-current-continuation */
t8=*((C_word*)lf[132]+1);{
C_word av2[3];
av2[0]=t8;
av2[1]=t6;
av2[2]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(3,av2);}}}

/* k29479 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_29481(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29481,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29484,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6088: g6891 */
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)C_fast_retrieve_proc(t3))(2,av2);}}

/* k29482 in k29479 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_29484(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29484,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_29468(t3,((C_word*)t0)[4],t2);}

/* a29492 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_29493(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_29493,3,av);}
a=C_alloc(9);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29499,a[2]=t2,a[3]=((C_word)li912),tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29511,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word)li916),tmp=(C_word)a,a+=5,tmp);
/* library.scm:6089: chicken.condition#with-exception-handler */
t5=C_fast_retrieve(lf[912]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* a29498 in a29492 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_29499(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29499,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29505,a[2]=t2,a[3]=((C_word)li911),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6089: k6888 */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29504 in a29498 in a29492 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_29505(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29505,2,av);}
/* library.scm:6090: ##sys#show-exception-warning */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1049]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[1049]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=lf[1211];
av2[4]=C_SCHEME_FALSE;
tp(5,av2);}}

/* a29510 in a29492 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_29511(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_29511,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29517,a[2]=((C_word*)t0)[2],a[3]=((C_word)li913),tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29534,a[2]=((C_word*)t0)[3],a[3]=((C_word)li915),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6089: ##sys#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_call_with_values(4,av2);}}

/* a29516 in a29510 in a29492 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_29517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29517,2,av);}
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=C_slot(C_fast_retrieve(lf[1170]),t2);
t4=C_slot(C_fast_retrieve(lf[1170]),((C_word*)t0)[2]);
/* library.scm:6089: g6895 */
t5=t3;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t1;
av2[2]=t4;
((C_proc)C_fast_retrieve_proc(t5))(3,av2);}}

/* a29533 in a29510 in a29492 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_29534(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_29534,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29540,a[2]=t2,a[3]=((C_word)li914),tmp=(C_word)a,a+=4,tmp);
/* library.scm:6089: k6888 */
t4=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
((C_proc)C_fast_retrieve_proc(t4))(3,av2);}}

/* a29539 in a29533 in a29510 in a29492 in doloop6884 in k29454 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_29540(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_29540,2,av);}{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
C_apply_values(3,av2);}}

/* k29553 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_29555,2,av);}
/* library.scm:6076: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k29557 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29559,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29563,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_i_live_finalizer_count();
/* library.scm:6079: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29561 in k29557 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29563(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_29563,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29567,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=C_i_allocated_finalizer_count();
/* library.scm:6082: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k29565 in k29561 in k29557 in ##sys#run-pending-finalizers in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_29567(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_29567,2,av);}
/* library.scm:6077: string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1212];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1213];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1214];
av2[7]=t1;
av2[8]=lf[1215];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_29573(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(26,c,6)))){
C_save_and_reclaim((void *)f_29573,2,av);}
a=C_alloc(26);
t2=C_mutate((C_word*)lf[955]+1 /* (set! chicken.gc#force-finalizers ...) */,t1);
t3=C_mutate((C_word*)lf[954]+1 /* (set! ##sys#force-finalizers ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29575,a[2]=((C_word)li921),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1216]+1 /* (set! chicken.gc#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29603,a[2]=((C_word)li922),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[814]+1 /* (set! ##sys#list->vector ...) */,*((C_word*)lf[94]+1));
t6=C_mutate((C_word*)lf[368]+1 /* (set! ##sys#list ...) */,*((C_word*)lf[42]+1));
t7=C_mutate((C_word*)lf[1217]+1 /* (set! ##sys#length ...) */,*((C_word*)lf[43]+1));
t8=C_mutate((C_word*)lf[1218]+1 /* (set! ##sys#cons ...) */,*((C_word*)lf[8]+1));
t9=C_mutate((C_word*)lf[254]+1 /* (set! ##sys#append ...) */,*((C_word*)lf[374]+1));
t10=C_mutate((C_word*)lf[1219]+1 /* (set! ##sys#vector ...) */,*((C_word*)lf[96]+1));
t11=C_mutate((C_word*)lf[1220]+1 /* (set! ##sys#apply ...) */,*((C_word*)lf[129]+1));
t12=C_mutate((C_word*)lf[1221]+1 /* (set! ##sys#values ...) */,*((C_word*)lf[130]+1));
t13=C_mutate((C_word*)lf[1222]+1 /* (set! ##sys#equal? ...) */,*((C_word*)lf[6]+1));
t14=C_mutate((C_word*)lf[1223]+1 /* (set! ##sys#car ...) */,*((C_word*)lf[9]+1));
t15=C_mutate((C_word*)lf[1224]+1 /* (set! ##sys#cdr ...) */,*((C_word*)lf[10]+1));
t16=C_mutate((C_word*)lf[1225]+1 /* (set! ##sys#pair? ...) */,*((C_word*)lf[7]+1));
t17=C_mutate((C_word*)lf[1226]+1 /* (set! ##sys#vector? ...) */,*((C_word*)lf[89]+1));
t18=C_mutate((C_word*)lf[1227]+1 /* (set! ##sys#vector->list ...) */,*((C_word*)lf[95]+1));
t19=C_mutate((C_word*)lf[1228]+1 /* (set! ##sys#vector-length ...) */,*((C_word*)lf[90]+1));
t20=C_mutate((C_word*)lf[1229]+1 /* (set! ##sys#vector-ref ...) */,*((C_word*)lf[91]+1));
t21=C_mutate((C_word*)lf[1230]+1 /* (set! ##sys#>= ...) */,*((C_word*)lf[75]+1));
t22=C_mutate((C_word*)lf[1231]+1 /* (set! ##sys#= ...) */,*((C_word*)lf[72]+1));
t23=C_mutate((C_word*)lf[1232]+1 /* (set! ##sys#+ ...) */,*((C_word*)lf[64]+1));
t24=C_mutate((C_word*)lf[1233]+1 /* (set! ##sys#eq? ...) */,*((C_word*)lf[4]+1));
t25=C_mutate((C_word*)lf[1234]+1 /* (set! ##sys#eqv? ...) */,*((C_word*)lf[5]+1));
t26=C_mutate((C_word*)lf[1235]+1 /* (set! ##sys#list? ...) */,*((C_word*)lf[55]+1));
t27=C_mutate((C_word*)lf[1236]+1 /* (set! ##sys#null? ...) */,*((C_word*)lf[41]+1));
t28=C_mutate((C_word*)lf[1237]+1 /* (set! ##sys#map-n ...) */,*((C_word*)lf[171]+1));
t29=C_mutate((C_word*)lf[1238]+1 /* (set! ##sys#make-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29646,a[2]=((C_word)li923),tmp=(C_word)a,a+=3,tmp));
t30=C_a_i_provide(&a,1,lf[1251]);
t31=C_mutate((C_word*)lf[1252]+1 /* (set! chicken.plist#put! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29910,a[2]=((C_word)li924),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[1254]+1 /* (set! chicken.plist#get ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29916,a[2]=((C_word)li925),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[1256]+1 /* (set! ##sys#put! ...) */,C_fast_retrieve(lf[1252]));
t34=C_mutate((C_word*)lf[1257]+1 /* (set! ##sys#get ...) */,C_fast_retrieve(lf[1254]));
t35=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29935,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6234: chicken.base#getter-with-setter */
t36=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t36;
av2[1]=t35;
av2[2]=C_fast_retrieve(lf[1254]);
av2[3]=C_fast_retrieve(lf[1252]);
((C_proc)(void*)(*((C_word*)t36+1)))(4,av2);}}

/* ##sys#force-finalizers in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29575(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_29575,2,av);}
a=C_alloc(6);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29581,a[2]=t3,a[3]=((C_word)li920),tmp=(C_word)a,a+=4,tmp));
t5=((C_word*)t3)[1];
f_29581(t5,t1);}

/* loop in ##sys#force-finalizers in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_fcall f_29581(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_29581,2,t0,t1);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29585,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6104: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word av2[2];
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t2;
tp(2,av2);}}

/* k29583 in loop in ##sys#force-finalizers in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_29585(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_29585,2,av);}
a=C_alloc(4);
t2=C_slot(C_fast_retrieve(lf[1170]),C_fix(0));
if(C_truep(C_fixnum_greaterp(t2,C_fix(0)))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_29594,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:6106: ##sys#run-pending-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1171]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1171]+1);
av2[1]=t3;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}
else{
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k29592 in k29583 in loop in ##sys#force-finalizers in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_29594(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_29594,2,av);}
/* library.scm:6107: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_29581(t2,((C_word*)t0)[3]);}

/* chicken.gc#gc in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,2)))){
C_save_and_reclaim((void*)f_29603,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_pairp(t2))){
t3=t2;
t4=C_u_i_car(t3);
if(C_truep(t4)){
/* library.scm:6113: ##sys#force-finalizers */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[954]);
C_word *av2=av;
av2[0]=*((C_word*)lf[954]+1);
av2[1]=t1;
tp(2,av2);}}
else{
/* library.scm:6114: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=t4;
tp(3,av2);}}}
else{
/* library.scm:6114: ##sys#gc */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[313]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[313]+1);
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
tp(3,av2);}}}

/* ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29646(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,5)))){
C_save_and_reclaim((void *)f_29646,6,av);}
a=C_alloc(6);
if(C_truep(C_immp(t2))){
/* library.scm:6147: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1239];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
t6=C_i_vectorp(t2);
t7=(C_truep(t6)?t6:C_i_pairp(t2));
if(C_truep(t7)){
t8=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29668,a[2]=t1,a[3]=t2,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t9=C_block_size(t2);
/* library.scm:6149: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t8;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t9;
av2[5]=t5;
tp(6,av2);}}
else{
t8=(C_truep(C_blockp(t2))?C_bytevectorp(t2):C_SCHEME_FALSE);
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29681,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6156: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
if(C_truep(C_structurep(t2))){
t9=C_slot(t2,C_fix(0));
t10=C_eqp(t9,lf[1240]);
if(C_truep(t10)){
t11=C_slot(t2,C_fix(1));
t12=t11;
t13=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29706,a[2]=t12,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t14=C_block_size(t12);
/* library.scm:6162: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t13;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t14;
av2[5]=t5;
tp(6,av2);}}
else{
t11=C_eqp(t9,lf[1241]);
if(C_truep(t11)){
t12=C_slot(t2,C_fix(1));
t13=t12;
t14=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29722,a[2]=t1,a[3]=t13,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t15=C_block_size(t13);
/* library.scm:6166: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t14;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t15;
av2[5]=t5;
tp(6,av2);}}
else{
t12=C_eqp(t9,lf[1242]);
if(C_truep(t12)){
t13=C_slot(t2,C_fix(1));
t14=t13;
t15=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29738,a[2]=t14,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t16=C_block_size(t14);
/* library.scm:6170: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t15;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t16;
av2[5]=t5;
tp(6,av2);}}
else{
t13=C_eqp(t9,lf[1243]);
if(C_truep(t13)){
t14=C_slot(t2,C_fix(1));
t15=t14;
t16=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29754,a[2]=t1,a[3]=t15,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t17=C_block_size(t15);
/* library.scm:6174: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t16;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t17;
av2[5]=t5;
tp(6,av2);}}
else{
t14=C_eqp(t9,lf[1244]);
if(C_truep(t14)){
t15=C_slot(t2,C_fix(1));
t16=t15;
t17=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29770,a[2]=t16,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t18=C_block_size(t16);
/* library.scm:6178: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t17;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t18;
av2[5]=t5;
tp(6,av2);}}
else{
t15=C_eqp(t9,lf[1245]);
if(C_truep(t15)){
t16=C_slot(t2,C_fix(1));
t17=t16;
t18=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29786,a[2]=t1,a[3]=t17,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t19=C_block_size(t17);
/* library.scm:6182: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t18;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t19;
av2[5]=t5;
tp(6,av2);}}
else{
t16=C_eqp(t9,lf[1246]);
if(C_truep(t16)){
t17=C_slot(t2,C_fix(1));
t18=t17;
t19=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29802,a[2]=t18,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t20=C_block_size(t18);
/* library.scm:6186: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t19;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t20;
av2[5]=t5;
tp(6,av2);}}
else{
t17=C_eqp(t9,lf[1247]);
if(C_truep(t17)){
t18=C_slot(t2,C_fix(1));
t19=t18;
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29818,a[2]=t1,a[3]=t19,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t19);
/* library.scm:6190: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t21;
av2[5]=t5;
tp(6,av2);}}
else{
t18=C_eqp(t9,lf[1248]);
if(C_truep(t18)){
t19=C_slot(t2,C_fix(1));
t20=t19;
t21=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29834,a[2]=t20,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t22=C_block_size(t20);
/* library.scm:6194: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t21;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}
else{
t19=C_eqp(t9,lf[1249]);
if(C_truep(t19)){
t20=C_slot(t2,C_fix(1));
t21=t20;
t22=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29850,a[2]=t1,a[3]=t21,a[4]=t3,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t23=C_block_size(t21);
/* library.scm:6198: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t22;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t23;
av2[5]=t5;
tp(6,av2);}}
else{
t20=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29857,a[2]=t3,a[3]=t1,a[4]=t2,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t21=C_block_size(t2);
t22=C_fixnum_difference(t21,C_fix(1));
/* library.scm:6202: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t20;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t22;
av2[5]=t5;
tp(6,av2);}}}}}}}}}}}}
else{
if(C_truep(C_i_stringp(t2))){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_29898,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t10=C_block_size(t2);
/* library.scm:6205: ##sys#check-range */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[334]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[334]+1);
av2[1]=t9;
av2[2]=t3;
av2[3]=C_fix(0);
av2[4]=t10;
av2[5]=t5;
tp(6,av2);}}
else{
/* library.scm:6208: ##sys#signal-hook */
t9=C_fast_retrieve(lf[194]);{
C_word *av2=av;
av2[0]=t9;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=t5;
av2[4]=lf[1250];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t9+1)))(6,av2);}}}}}}}

/* k29666 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29668(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29668,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29679 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29681(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29681,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29704 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29706(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29706,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(2),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29720 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29722(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29722,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(3),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29736 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29738(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29738,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(4),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29752 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29754,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(5),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29768 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29770(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29770,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(6),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29784 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29786(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29786,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(7),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29800 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29802(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29802,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(8),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29816 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29818(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29818,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(9),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29832 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29834(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29834,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(10),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29848 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29850(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29850,2,av);}
a=C_alloc(5);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_make_locative(&a,4,C_fix(11),((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k29855 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29857(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29857,2,av);}
a=C_alloc(5);
t2=C_fixnum_plus(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_make_locative(&a,4,C_fix(0),((C_word*)t0)[4],t2,((C_word*)t0)[5]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k29896 in ##sys#make-locative in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_29898,2,av);}
a=C_alloc(5);
t2=C_a_i_make_locative(&a,4,C_fix(1),((C_word*)t0)[2],((C_word*)t0)[3],((C_word*)t0)[4]);
t3=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.plist#put! in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29910(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,1)))){
C_save_and_reclaim((void *)f_29910,5,av);}
a=C_alloc(8);
t5=C_i_check_symbol_2(t2,lf[1253]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_a_i_putprop(&a,3,t2,t3,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.plist#get in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c<4) C_bad_min_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-4)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_29916,c,av);}
a=C_alloc((c-4)*C_SIZEOF_PAIR+0);
t4=C_build_rest(&a,c,4,av);
C_word t5;
C_word t6;
C_word t7;
C_word t8;
t5=C_i_nullp(t4);
t6=(C_truep(t5)?C_SCHEME_FALSE:C_i_car(t4));
t7=C_i_check_symbol_2(t2,lf[1255]);
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_getprop(t2,t3,t6);
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_29935(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_29935,2,av);}
a=C_alloc(12);
t2=C_mutate((C_word*)lf[1254]+1 /* (set! chicken.plist#get ...) */,t1);
t3=C_mutate((C_word*)lf[1258]+1 /* (set! chicken.plist#remprop! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_29937,a[2]=((C_word)li927),tmp=(C_word)a,a+=3,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30006,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31094,a[2]=((C_word)li966),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31103,a[2]=((C_word)li967),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6254: chicken.base#getter-with-setter */
t7=*((C_word*)lf[200]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t7;
av2[1]=t4;
av2[2]=t5;
av2[3]=t6;
av2[4]=lf[1357];
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}

/* chicken.plist#remprop! in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_29937(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_29937,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1259]);
t5=C_slot(t2,C_fix(2));
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_29960,a[2]=t3,a[3]=t2,a[4]=((C_word)li926),tmp=(C_word)a,a+=5,tmp);
t7=(
  f_29960(t6,t5,C_SCHEME_FALSE)
);
t8=C_slot(t2,C_fix(2));
if(C_truep(C_i_nullp(t8))){
t9=C_i_unpersist_symbol(t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t9=C_SCHEME_UNDEFINED;
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t9;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* loop in chicken.plist#remprop! in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static C_word C_fcall f_29960(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_stack_overflow_check;
loop:{}
t3=C_i_nullp(t1);
if(C_truep(C_i_not(t3))){
t4=C_slot(t1,C_fix(1));
t5=C_slot(t4,C_fix(1));
t6=C_slot(t1,C_fix(0));
t7=C_eqp(t6,((C_word*)t0)[2]);
if(C_truep(t7)){
t8=(C_truep(t2)?C_i_setslot(t2,C_fix(1),t5):C_i_setslot(((C_word*)t0)[3],C_fix(2),t5));
return(C_SCHEME_TRUE);}
else{
t10=t5;
t11=t4;
t1=t10;
t2=t11;
goto loop;}}
else{
return(C_SCHEME_FALSE);}}

/* k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_30006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(29,c,4)))){
C_save_and_reclaim((void *)f_30006,2,av);}
a=C_alloc(29);
t2=C_mutate((C_word*)lf[1260]+1 /* (set! chicken.plist#symbol-plist ...) */,t1);
t3=C_mutate((C_word*)lf[1261]+1 /* (set! chicken.plist#get-properties ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30008,a[2]=((C_word)li929),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1263]+1 /* (set! ##sys#display-times ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30071,a[2]=((C_word)li933),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[957]+1 /* (set! ##sys#dump-heap-state ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dump_heap_state,a[2]=((C_word)li934),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1279]+1 /* (set! ##sys#filter-heap-objects ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_filter_heap_objects,a[2]=((C_word)li935),tmp=(C_word)a,a+=3,tmp));
t7=C_a_i_provide(&a,1,lf[1280]);
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30307,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_type,a[2]=((C_word)li965),tmp=(C_word)a,a+=3,tmp);
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31092,a[2]=t8,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6360: g7151 */
t11=t9;{
C_word *av2=av;
av2[0]=t11;
av2[1]=t10;
((C_proc)C_fast_retrieve_proc(t11))(2,av2);}}

/* chicken.plist#get-properties in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_30008(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30008,4,av);}
a=C_alloc(10);
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_i_check_symbol_2(t2,lf[1262]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30015,a[2]=t4,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_i_symbolp(((C_word*)t4)[1]))){
t7=C_a_i_list1(&a,1,((C_word*)t4)[1]);
t8=C_set_block_item(t4,0,t7);
t9=t6;
f_30015(t9,t8);}
else{
t7=t6;
f_30015(t7,C_SCHEME_UNDEFINED);}}

/* k30013 in chicken.plist#get-properties in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_fcall f_30015(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_30015,2,t0,t1);}
a=C_alloc(7);
t2=C_i_check_list_2(((C_word*)((C_word*)t0)[2])[1],lf[1262]);
t3=C_slot(((C_word*)t0)[3],C_fix(2));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30027,a[2]=((C_word*)t0)[2],a[3]=t5,a[4]=((C_word)li928),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30027(t7,((C_word*)t0)[4],t3);}

/* loop in k30013 in chicken.plist#get-properties in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_fcall f_30027(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(0,0,4)))){
C_save_and_reclaim_args((void *)trf_30027,3,t0,t1,t2);}
if(C_truep(C_i_nullp(t2))){
/* library.scm:6278: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=C_SCHEME_FALSE;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=C_slot(t4,C_fix(1));
if(C_truep(C_i_memq(t3,((C_word*)((C_word*)t0)[2])[1]))){
t6=C_slot(t4,C_fix(0));
/* library.scm:6283: scheme#values */{
C_word av2[5];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=t6;
av2[4]=t5;
C_values(5,av2);}}
else{
/* library.scm:6284: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_30071(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(23,c,4)))){
C_save_and_reclaim((void *)f_30071,3,av);}
a=C_alloc(23);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30086,a[2]=((C_word)li930),tmp=(C_word)a,a+=3,tmp));
t10=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30100,a[2]=((C_word)li931),tmp=(C_word)a,a+=3,tmp));
t11=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30122,a[2]=t4,a[3]=t6,a[4]=((C_word)li932),tmp=(C_word)a,a+=5,tmp));
t12=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30198,a[2]=t2,a[3]=t1,a[4]=t8,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6306: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2=av;
av2[0]=*((C_word*)lf[745]+1);
av2[1]=t12;
av2[2]=*((C_word*)lf[713]+1);
tp(3,av2);}}

/* pnum in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_fcall f_30086(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,4)))){
C_save_and_reclaim_args((void *)trf_30086,2,t1,t2);}
a=C_alloc(3);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30094,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=t2;
if(C_truep(C_i_zerop(t4))){
/* library.scm:6295: ##sys#print */
t5=*((C_word*)lf[865]+1);{
C_word av2[5];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[1264];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}
else{
/* library.scm:6295: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t2;
tp(3,av2);}}}

/* k30092 in pnum in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30094,2,av);}
/* library.scm:6295: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* round-to in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_fcall f_30100(C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,3)))){
C_save_and_reclaim_args((void *)trf_30100,3,t1,t2,t3);}
a=C_alloc(8);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30108,a[2]=t1,a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30120,a[2]=t2,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6297: scheme#expt */
t6=*((C_word*)lf[531]+1);{
C_word av2[4];
av2[0]=t6;
av2[1]=t5;
av2[2]=C_fix(10);
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}

/* k30106 in round-to in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30108,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30112,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6297: scheme#expt */
t4=*((C_word*)lf[531]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1265];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k30110 in k30106 in round-to in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_30112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30112,2,av);}
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[527]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k30118 in round-to in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(33,c,2)))){
C_save_and_reclaim((void *)f_30120,2,av);}
a=C_alloc(33);
t2=C_s_a_i_times(&a,2,((C_word*)t0)[2],t1);
/* library.scm:6297: scheme#round */
t3=*((C_word*)lf[551]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_fcall f_30122(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,3)))){
C_save_and_reclaim_args((void *)trf_30122,3,t0,t1,t2);}
a=C_alloc(11);
if(C_truep(C_i_greaterp(t2,lf[1266]))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30132,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30139,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30143,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t5;
av2[2]=t6;
av2[3]=lf[1266];
tp(4,av2);}}
else{
if(C_truep(C_i_greaterp(t2,C_fix(1048576)))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30154,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30161,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30165,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t5;
av2[2]=t6;
av2[3]=C_fix(1048576);
tp(4,av2);}}
else{
if(C_truep(C_i_greaterp(t2,C_fix(1024)))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30176,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30183,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30187,a[2]=((C_word*)t0)[3],a[3]=t4,tmp=(C_word)a,a+=4,tmp);
t6=t2;
/* ##sys#/-2 */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[527]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[527]+1);
av2[1]=t5;
av2[2]=t6;
av2[3]=C_fix(1024);
tp(4,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30192,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6305: pnum */
f_30086(t3,t2);}}}}

/* k30130 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30132(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30132,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6292: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1267];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30137 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30139(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30139,2,av);}
/* library.scm:6300: pnum */
f_30086(((C_word*)t0)[3],t1);}

/* k30141 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30143,2,av);}
/* library.scm:6300: round-to */
f_30100(((C_word*)t0)[3],t1,C_fix(2));}

/* k30152 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30154,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6292: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1268];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30159 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30161(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30161,2,av);}
/* library.scm:6302: pnum */
f_30086(((C_word*)t0)[3],t1);}

/* k30163 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30165(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30165,2,av);}
/* library.scm:6302: round-to */
f_30100(((C_word*)t0)[3],t1,C_fix(2));}

/* k30174 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30176(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30176,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6292: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1269];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30181 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30183(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30183,2,av);}
/* library.scm:6304: pnum */
f_30086(((C_word*)t0)[3],t1);}

/* k30185 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30187(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30187,2,av);}
/* library.scm:6304: round-to */
f_30100(((C_word*)t0)[3],t1,C_fix(2));}

/* k30190 in pmem in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30192(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30192,2,av);}
t2=((C_word*)t0)[2];
/* library.scm:6292: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1270];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_30198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30198,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30201,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
t3=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:6307: pnum */
f_30086(t2,t3);}

/* k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_30201,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30204,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6292: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1278];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_30204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30204,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30210,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_i_greaterp(t3,C_fix(0)))){
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30291,a[2]=t4,a[3]=((C_word*)t0)[5],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6292: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1277];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_30210(2,av2);}}}

/* k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_30210(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(12,c,4)))){
C_save_and_reclaim((void *)f_30210,2,av);}
a=C_alloc(12);
t2=C_slot(((C_word*)t0)[2],C_fix(2));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(3));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30219,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
if(C_truep(C_fixnum_greaterp(t3,C_fix(0)))){
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30273,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t5,a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6292: ##sys#print */
t8=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t8;
av2[1]=t7;
av2[2]=lf[1275];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t7=t6;{
C_word *av2=av;
av2[0]=t7;
av2[1]=C_SCHEME_UNDEFINED;
f_30219(2,av2);}}}

/* k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in ... */
static void C_ccall f_30219(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_30219,2,av);}
a=C_alloc(11);
t2=C_slot(((C_word*)t0)[2],C_fix(4));
t3=t2;
t4=C_slot(((C_word*)t0)[2],C_fix(5));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30228,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
t7=C_fixnum_greaterp(t3,C_fix(0));
t8=(C_truep(t7)?t7:C_fixnum_greaterp(t5,C_fix(0)));
if(C_truep(t8)){
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30252,a[2]=t6,a[3]=((C_word*)t0)[5],a[4]=t3,a[5]=t5,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6292: ##sys#print */
t10=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t10;
av2[1]=t9;
av2[2]=lf[1273];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t10+1)))(5,av2);}}
else{
t9=t6;{
C_word *av2=av;
av2[0]=t9;
av2[1]=C_SCHEME_UNDEFINED;
f_30228(2,av2);}}}

/* k30226 in k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_30228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30228,2,av);}
a=C_alloc(5);
t2=C_slot(((C_word*)t0)[2],C_fix(6));
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30234,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6292: ##sys#print */
t5=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1271];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t5+1)))(5,av2);}}

/* k30232 in k30226 in k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30234(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30234,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30237,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6332: pmem */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30122(t3,t2,((C_word*)t0)[4]);}

/* k30235 in k30232 in k30226 in k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30237(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30237,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30240,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6333: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=*((C_word*)lf[714]+1);
tp(4,av2);}}

/* k30238 in k30235 in k30232 in k30226 in k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30240(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30240,2,av);}
/* library.scm:6334: ##sys#flush-output */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[745]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[745]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=*((C_word*)lf[714]+1);
tp(3,av2);}}

/* k30250 in k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_30252(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30252,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30255,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6326: pnum */
f_30086(t2,((C_word*)t0)[5]);}

/* k30253 in k30250 in k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30255(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30255,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30258,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6293: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[714]+1);
tp(4,av2);}}

/* k30256 in k30253 in k30250 in k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30258(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30258,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30261,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6328: pnum */
f_30086(t2,((C_word*)t0)[4]);}

/* k30259 in k30256 in k30253 in k30250 in k30217 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30261(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30261,2,av);}
/* library.scm:6292: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1272];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30271 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in ... */
static void C_ccall f_30273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30273,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30276,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6318: pnum */
f_30086(t2,((C_word*)t0)[5]);}

/* k30274 in k30271 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_30276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_30276,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30279,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6293: ##sys#write-char-0 */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[861]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[861]+1);
av2[1]=t2;
av2[2]=C_make_character(47);
av2[3]=*((C_word*)lf[714]+1);
tp(4,av2);}}

/* k30277 in k30274 in k30271 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30279(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30279,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30282,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6320: pnum */
f_30086(t2,((C_word*)t0)[4]);}

/* k30280 in k30277 in k30274 in k30271 in k30208 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30282(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30282,2,av);}
/* library.scm:6292: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1274];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30289 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_30291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30291,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30294,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6312: pnum */
f_30086(t2,((C_word*)t0)[4]);}

/* k30292 in k30289 in k30202 in k30199 in k30196 in ##sys#display-times in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in ... */
static void C_ccall f_30294(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_30294,2,av);}
/* library.scm:6292: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1276];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_30307(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30307,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1281]+1 /* (set! chicken.platform#software-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30308,a[2]=t2,a[3]=((C_word)li936),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30313,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_type,a[2]=((C_word)li964),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31088,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6364: g7155 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-type in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_30308(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30308,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_30313(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30313,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1282]+1 /* (set! chicken.platform#machine-type ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30314,a[2]=t2,a[3]=((C_word)li937),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30319,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_machine_byte_order,a[2]=((C_word)li963),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31084,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6368: g7159 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-type in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30314(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30314,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_30319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30319,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1283]+1 /* (set! chicken.platform#machine-byte-order ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30320,a[2]=t2,a[3]=((C_word)li938),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30325,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_software_version,a[2]=((C_word)li962),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31080,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6372: g7163 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#machine-byte-order in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_30320(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30320,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_30325(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,2)))){
C_save_and_reclaim((void *)f_30325,2,av);}
a=C_alloc(13);
t2=t1;
t3=C_mutate((C_word*)lf[1284]+1 /* (set! chicken.platform#software-version ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30326,a[2]=t2,a[3]=((C_word)li939),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30331,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_build_platform,a[2]=((C_word)li961),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31076,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6376: g7167 */
t7=t5;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)C_fast_retrieve_proc(t7))(2,av2);}}

/* chicken.platform#software-version in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_30326(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30326,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_30331(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_30331,2,av);}
a=C_alloc(10);
t2=t1;
t3=C_mutate((C_word*)lf[1285]+1 /* (set! chicken.platform#build-platform ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30332,a[2]=t2,a[3]=((C_word)li940),tmp=(C_word)a,a+=4,tmp));
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30337,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31072,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6380: software-type */
t6=C_fast_retrieve(lf[1281]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* chicken.platform#build-platform in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in ... */
static void C_ccall f_30332(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30332,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in ... */
static void C_fcall f_30337(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(21,0,3)))){
C_save_and_reclaim_args((void *)trf_30337,2,t0,t1);}
a=C_alloc(21);
t2=C_set_block_item(lf[1286] /* ##sys#windows-platform */,0,t1);
t3=C_mutate((C_word*)lf[1287]+1 /* (set! chicken.platform#chicken-version ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30339,a[2]=((C_word)li942),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1321]+1 /* (set! chicken.platform#chicken-home ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30478,a[2]=((C_word)li943),tmp=(C_word)a,a+=3,tmp));
t5=(C_truep(C_fast_retrieve(lf[1286]))?C_make_character(59):C_make_character(58));
t6=lf[1322] /* chicken.platform#path-list-separator */ =t5;;
t7=lf[1323];
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_mutate((C_word*)lf[1324]+1 /* (set! ##sys#split-path ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30488,a[2]=t8,a[3]=((C_word)li945),tmp=(C_word)a,a+=4,tmp));
t10=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30578,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t11=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30990,a[2]=t10,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t12=*((C_word*)lf[701]+1);{
C_word av2[4];
av2[0]=t12;
av2[1]=t11;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t12+1)))(4,av2);}}

/* chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_30339(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_30339,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_SCHEME_FALSE:C_i_car(t2));
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30400,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30470,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6397: feature? */
t7=C_fast_retrieve(lf[1315]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t7;
av2[1]=t6;
av2[2]=lf[1320];
((C_proc)(void*)(*((C_word*)t7+1)))(3,av2);}}
else{
t5=C_fast_retrieve(lf[1289]);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_fast_retrieve(lf[1289]);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in ... */
static void C_ccall f_30349(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30349,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30352,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6387: software-type */
t4=C_fast_retrieve(lf[1281]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in ... */
static void C_ccall f_30352(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30352,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30355,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6388: software-version */
t4=C_fast_retrieve(lf[1284]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30353 in k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in ... */
static void C_ccall f_30355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30355,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30358,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6389: machine-type */
t4=C_fast_retrieve(lf[1282]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30356 in k30353 in k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in ... */
static void C_ccall f_30358(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30358,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30360,a[2]=((C_word)li941),tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30382,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=t3,a[5]=((C_word*)t0)[3],a[6]=((C_word*)t0)[4],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6394: str */
f_30360(t4,((C_word*)t0)[5]);}

/* str in k30356 in k30353 in k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in ... */
static void C_fcall f_30360(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30360,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1294],t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=lf[1295];
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30374,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6393: scheme#symbol->string */
t5=*((C_word*)lf[632]+1);{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}}

/* k30372 in str in k30356 in k30353 in k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in ... */
static void C_ccall f_30374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30374,2,av);}
/* ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1296];
tp(4,av2);}}

/* k30380 in k30356 in k30353 in k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in ... */
static void C_ccall f_30382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30382,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30386,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
/* library.scm:6394: str */
f_30360(t3,((C_word*)t0)[6]);}

/* k30384 in k30380 in k30356 in k30353 in k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in ... */
static void C_ccall f_30386(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30386,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30390,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
/* library.scm:6394: str */
f_30360(t3,((C_word*)t0)[6]);}

/* k30388 in k30384 in k30380 in k30356 in k30353 in k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in ... */
static void C_ccall f_30390(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30390,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30394,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6394: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
tp(3,av2);}}

/* k30392 in k30388 in k30384 in k30380 in k30356 in k30353 in k30350 in k30347 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in ... */
static void C_ccall f_30394(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_30394,2,av);}
/* library.scm:6394: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_30400,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30407,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_fast_retrieve(lf[1301]))){
/* library.scm:6404: scheme#string-append */
t4=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1302];
av2[3]=C_fast_retrieve(lf[1301]);
av2[4]=lf[1303];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1304];
f_30407(2,av2);}}}

/* k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30407(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_30407,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30411,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1297]))){
/* library.scm:6405: scheme#string-append */
t4=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1298];
av2[3]=C_fast_retrieve(lf[1297]);
av2[4]=lf[1299];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=lf[1300];
f_30411(2,av2);}}}

/* k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30411(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_30411,2,av);}
a=C_alloc(9);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30415,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=((C_word*)t0)[4],tmp=(C_word)a,a+=6,tmp);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30349,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6386: build-platform */
t6=C_fast_retrieve(lf[1285]);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* k30413 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in ... */
static void C_ccall f_30415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,8)))){
C_save_and_reclaim((void *)f_30415,2,av);}
a=C_alloc(6);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30419,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t4=C_block_size(((C_word*)t0)[5]);
t5=C_eqp(t4,C_fix(0));
if(C_truep(t5)){
/* library.scm:6402: scheme#string-append */
t6=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t6;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1288];
av2[3]=C_fast_retrieve(lf[1289]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1290];
av2[7]=t2;
av2[8]=lf[1291];
((C_proc)(void*)(*((C_word*)t6+1)))(9,av2);}}
else{
/* library.scm:6410: scheme#string-append */
t6=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t3;
av2[2]=lf[1292];
av2[3]=((C_word*)t0)[5];
av2[4]=lf[1293];
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}

/* k30417 in k30413 in k30409 in k30405 in k30398 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in ... */
static void C_ccall f_30419(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_30419,2,av);}
/* library.scm:6402: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1288];
av2[3]=C_fast_retrieve(lf[1289]);
av2[4]=((C_word*)t0)[3];
av2[5]=((C_word*)t0)[4];
av2[6]=lf[1290];
av2[7]=((C_word*)t0)[5];
av2[8]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k30456 in k30459 in k30462 in k30465 in k30468 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in ... */
static void C_ccall f_30458(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_30458,2,av);}
if(C_truep(t1)){
/* library.scm:6396: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1313];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}
else{
/* library.scm:6396: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=((C_word*)t0)[5];
av2[5]=((C_word*)t0)[6];
av2[6]=lf[1314];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}}

/* k30459 in k30462 in k30465 in k30468 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in ... */
static void C_ccall f_30461(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30461,2,av);}
a=C_alloc(7);
t2=(C_truep(t1)?lf[1311]:lf[1312]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30458,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t3,tmp=(C_word)a,a+=7,tmp);
/* library.scm:6401: feature? */
t5=C_fast_retrieve(lf[1315]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1316];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30462 in k30465 in k30468 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30464(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30464,2,av);}
a=C_alloc(6);
t2=(C_truep(t1)?lf[1309]:lf[1310]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30461,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=t3,tmp=(C_word)a,a+=6,tmp);
/* library.scm:6400: feature? */
t5=C_fast_retrieve(lf[1315]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1317];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30465 in k30468 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30467(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_30467,2,av);}
a=C_alloc(5);
t2=(C_truep(t1)?lf[1307]:lf[1308]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30464,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,tmp=(C_word)a,a+=5,tmp);
/* library.scm:6399: feature? */
t5=C_fast_retrieve(lf[1315]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1318];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* k30468 in chicken.platform#chicken-version in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30470(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30470,2,av);}
a=C_alloc(4);
t2=(C_truep(t1)?lf[1305]:lf[1306]);
t3=t2;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30467,a[2]=((C_word*)t0)[2],a[3]=t3,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6398: feature? */
t5=C_fast_retrieve(lf[1315]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1319];
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}

/* chicken.platform#chicken-home in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_30478(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30478,2,av);}
a=C_alloc(3);
/* ##sys#peek-c-string */
t2=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_SHARE_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* ##sys#split-path in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_30488(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(13,c,4)))){
C_save_and_reclaim((void *)f_30488,3,av);}
a=C_alloc(13);
if(C_truep(C_i_not(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_car(((C_word*)((C_word*)t0)[2])[1]);
if(C_truep(C_i_equalp(t2,t3))){
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(((C_word*)((C_word*)t0)[2])[1]);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_string_length(t2);
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30510,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_SCHEME_UNDEFINED;
t8=(*a=C_VECTOR_TYPE|1,a[1]=t7,tmp=(C_word)a,a+=2,tmp);
t9=C_set_block_item(t8,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30516,a[2]=t5,a[3]=t2,a[4]=t8,a[5]=((C_word)li944),tmp=(C_word)a,a+=6,tmp));
t10=((C_word*)t8)[1];
f_30516(t10,t6,C_fix(0),C_fix(0));}}}

/* k30508 in ##sys#split-path in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30510(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30510,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=C_mutate(((C_word *)((C_word*)t0)[3])+1,t2);
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in ##sys#split-path in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_fcall f_30516(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,4)))){
C_save_and_reclaim_args((void *)trf_30516,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_fixnum_greater_or_equal_p(t3,((C_word*)t0)[2]))){
t4=C_eqp(t3,t2);
if(C_truep(t4)){
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30536,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6436: scheme#substring */
t6=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}}
else{
t4=C_i_string_ref(((C_word*)t0)[3],t3);
t5=C_retrieve2(lf[1322],C_text("chicken.platform#path-list-separator"));
if(C_truep(C_u_i_char_equalp(t4,C_retrieve2(lf[1322],C_text("chicken.platform#path-list-separator"))))){
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30551,a[2]=t1,a[3]=t3,a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:6439: scheme#substring */
t7=*((C_word*)lf[394]+1);{
C_word av2[5];
av2[0]=t7;
av2[1]=t6;
av2[2]=((C_word*)t0)[3];
av2[3]=t2;
av2[4]=t3;
((C_proc)(void*)(*((C_word*)t7+1)))(5,av2);}}
else{
t6=C_fixnum_plus(t3,C_fix(1));
/* library.scm:6443: loop */
t8=t1;
t9=t2;
t10=t6;
t1=t8;
t2=t9;
t3=t10;
goto loop;}}}

/* k30534 in loop in ##sys#split-path in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30536,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_list1(&a,1,t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30549 in loop in ##sys#split-path in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_30551,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30555,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
t5=C_fixnum_plus(((C_word*)t0)[3],C_fix(1));
/* library.scm:6440: loop */
t6=((C_word*)((C_word*)t0)[4])[1];
f_30516(t6,t3,t4,t5);}

/* k30553 in k30549 in loop in ##sys#split-path in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30555(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30555,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_30578(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_30578,2,av);}
a=C_alloc(9);
t2=C_mutate((C_word*)lf[1325]+1 /* (set! chicken.platform#repository-path ...) */,t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30582,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30974,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t5=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=C_mpointer(&a,(void*)C_private_repository_path());
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(14,c,3)))){
C_save_and_reclaim((void *)f_30582,2,av);}
a=C_alloc(14);
t2=C_mutate((C_word*)lf[1326]+1 /* (set! chicken.platform#installation-repository ...) */,t1);
t3=C_mutate(&lf[1327] /* (set! chicken.platform#->feature-id ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30599,a[2]=((C_word)li946),tmp=(C_word)a,a+=3,tmp));
t4=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,lf[1330]);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30633,a[2]=((C_word)li947),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30651,a[2]=((C_word*)t0)[2],a[3]=t5,tmp=(C_word)a,a+=4,tmp);
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30970,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6493: software-type */
t8=C_fast_retrieve(lf[1281]);{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}

/* chicken.platform#->feature-id in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30599,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30606,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6479: chicken.keyword#keyword? */
t4=*((C_word*)lf[645]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k30604 in chicken.platform#->feature-id in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30606(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_30606,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_i_stringp(((C_word*)t0)[2]))){
/* library.scm:6480: chicken.keyword#string->keyword */
t2=*((C_word*)lf[646]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
if(C_truep(C_i_symbolp(((C_word*)t0)[2]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30628,a[2]=((C_word*)t0)[3],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6481: ##sys#symbol->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[631]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[631]+1);
av2[1]=t2;
av2[2]=((C_word*)t0)[2];
tp(3,av2);}}
else{
t2=((C_word*)t0)[3];
t3=C_a_i_list(&a,1,((C_word*)t0)[2]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=0;
av2[1]=t2;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[258];
av2[4]=lf[1328];
av2[5]=t3;
C_apply(6,av2);}}}}}

/* k30626 in k30604 in chicken.platform#->feature-id in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in ... */
static void C_ccall f_30628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30628,2,av);}
/* library.scm:6481: chicken.keyword#string->keyword */
t2=*((C_word*)lf[646]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* check in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_fcall f_30633(C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30633,2,t1,t2);}
a=C_alloc(3);
t3=C_eqp(lf[1294],t2);
if(C_truep(t3)){
t4=C_SCHEME_UNDEFINED;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30648,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6492: ->feature-id */
t5=C_retrieve2(lf[1327],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
f_30599(3,av2);}}}

/* k30646 in check in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30648(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30648,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1329]));
t3=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30651(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30651,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30654,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30966,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6494: software-version */
t4=C_fast_retrieve(lf[1284]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30654(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30654,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30657,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30962,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6495: build-platform */
t4=C_fast_retrieve(lf[1285]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in ... */
static void C_ccall f_30657(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,2)))){
C_save_and_reclaim((void *)f_30657,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30660,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30958,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6496: machine-type */
t4=C_fast_retrieve(lf[1282]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in ... */
static void C_ccall f_30660(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30660,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30663,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30954,a[2]=((C_word*)t0)[3],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6497: machine-byte-order */
t4=C_fast_retrieve(lf[1283]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in ... */
static void C_ccall f_30663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30663,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30666,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_DLOAD))){
t3=C_a_i_cons(&a,2,lf[1319],C_fast_retrieve(lf[1329]));
t4=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30666(t5,t4);}
else{
t3=t2;
f_30666(t3,C_SCHEME_UNDEFINED);}}

/* k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in ... */
static void C_fcall f_30666(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30666,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30669,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_PTABLES))){
t3=C_a_i_cons(&a,2,lf[1318],C_fast_retrieve(lf[1329]));
t4=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30669(t5,t4);}
else{
t3=t2;
f_30669(t3,C_SCHEME_UNDEFINED);}}

/* k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in ... */
static void C_fcall f_30669(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30669,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30672,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(HAVE_GCHOOKS))){
t3=C_a_i_cons(&a,2,lf[1317],C_fast_retrieve(lf[1329]));
t4=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30672(t5,t4);}
else{
t3=t2;
f_30672(t3,C_SCHEME_UNDEFINED);}}

/* k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in ... */
static void C_fcall f_30672(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30672,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30675,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_mk_bool(IS_CROSS_CHICKEN))){
t3=C_a_i_cons(&a,2,lf[1316],C_fast_retrieve(lf[1329]));
t4=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t3);
t5=t2;
f_30675(t5,t4);}
else{
t3=t2;
f_30675(t3,C_SCHEME_UNDEFINED);}}

/* k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in ... */
static void C_fcall f_30675(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30675,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30678,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_WORD_SIZE);
t4=C_eqp(t3,C_fix(64));
if(C_truep(t4)){
t5=C_a_i_cons(&a,2,lf[1320],C_fast_retrieve(lf[1329]));
t6=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t5);
t7=t2;
f_30678(t7,t6);}
else{
t5=t2;
f_30678(t5,C_SCHEME_UNDEFINED);}}

/* k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in ... */
static void C_fcall f_30678(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,0,2)))){
C_save_and_reclaim_args((void *)trf_30678,2,t0,t1);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30682,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=C_fix((C_word)C_MAJOR_VERSION);
/* library.scm:6511: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t2;
av2[2]=t3;
tp(3,av2);}}

/* k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in ... */
static void C_ccall f_30682(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_30682,2,av);}
a=C_alloc(4);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30685,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=C_fix((C_word)C_MINOR_VERSION);
/* library.scm:6512: ##sys#number->string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[601]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[601]+1);
av2[1]=t3;
av2[2]=t4;
tp(3,av2);}}

/* k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in ... */
static void C_ccall f_30685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_30685,2,av);}
a=C_alloc(8);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30908,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30924,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6513: scheme#string-append */
t5=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1348];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}

/* chicken.platform#register-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in ... */
static void C_ccall f_30690(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +9,c,3)))){
C_save_and_reclaim((void*)f_30690,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+9);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30709,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30711,a[2]=t5,a[3]=((C_word)li948),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_30711(t7,t3,t2);}

/* k30694 in for-each-loop7284 in chicken.platform#register-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_ccall f_30696(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30696,2,av);}
a=C_alloc(3);
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1329])))){
t2=C_SCHEME_UNDEFINED;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1329]));
t3=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t2);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30707 in chicken.platform#register-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in ... */
static void C_ccall f_30709(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30709,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* for-each-loop7284 in chicken.platform#register-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in ... */
static void C_fcall f_30711(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,2)))){
C_save_and_reclaim_args((void *)trf_30711,3,t0,t1,t2);}
a=C_alloc(8);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30721,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30696,a[2]=t5,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6520: ->feature-id */
t7=C_retrieve2(lf[1327],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t7;
av2[1]=t6;
av2[2]=t4;
f_30599(3,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k30719 in for-each-loop7284 in chicken.platform#register-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_ccall f_30721(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30721,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_30711(t3,((C_word*)t0)[4],t2);}

/* chicken.platform#unregister-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in ... */
static void C_ccall f_30734(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +17,c,3)))){
C_save_and_reclaim((void*)f_30734,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+17);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
t3=C_a_i_cons(&a,2,C_SCHEME_UNDEFINED,C_SCHEME_END_OF_LIST);
t4=t3;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=((C_word*)t5)[1];
t7=C_retrieve2(lf[1327],C_text("chicken.platform#->feature-id"));
t8=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30741,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
t9=C_SCHEME_UNDEFINED;
t10=(*a=C_VECTOR_TYPE|1,a[1]=t9,tmp=(C_word)a,a+=2,tmp);
t11=C_set_block_item(t10,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_30778,a[2]=t5,a[3]=t10,a[4]=t7,a[5]=t6,a[6]=((C_word)li951),tmp=(C_word)a,a+=7,tmp));
t12=((C_word*)t10)[1];
f_30778(t12,t8,t2);}

/* k30739 in chicken.platform#unregister-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in ... */
static void C_ccall f_30741(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_30741,2,av);}
a=C_alloc(10);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30745,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30747,a[2]=t2,a[3]=t5,a[4]=((C_word)li950),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_30747(t7,t3,C_fast_retrieve(lf[1329]));}

/* k30743 in k30739 in chicken.platform#unregister-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_ccall f_30745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30745,2,av);}
t2=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* loop in k30739 in chicken.platform#unregister-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_fcall f_30747(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_30747,3,t0,t1,t2);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
if(C_truep(C_i_memq(t4,((C_word*)t0)[2]))){
/* library.scm:6534: loop */
t8=t1;
t9=t5;
t1=t8;
t2=t9;
goto loop;}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30776,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6535: loop */
t8=t6;
t9=t5;
t1=t8;
t2=t9;
goto loop;}}}

/* k30774 in loop in k30739 in chicken.platform#unregister-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in ... */
static void C_ccall f_30776(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_30776,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* map-loop7307 in chicken.platform#unregister-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in ... */
static void C_fcall f_30778(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,2)))){
C_save_and_reclaim_args((void *)trf_30778,3,t0,t1,t2);}
a=C_alloc(6);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_30803,a[2]=((C_word*)t0)[2],a[3]=t2,a[4]=((C_word*)t0)[3],a[5]=t1,tmp=(C_word)a,a+=6,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:6526: g7313 */
t5=((C_word*)t0)[4];{
C_word av2[3];
av2[0]=t5;
av2[1]=t3;
av2[2]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(3,av2);}}
else{
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_slot(((C_word*)t0)[5],C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k30801 in map-loop7307 in chicken.platform#unregister-feature! in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_ccall f_30803(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30803,2,av);}
a=C_alloc(3);
t2=C_a_i_cons(&a,2,t1,C_SCHEME_END_OF_LIST);
t3=C_i_setslot(((C_word*)((C_word*)t0)[2])[1],C_fix(1),t2);
t4=C_mutate(((C_word *)((C_word*)t0)[2])+1,t2);
t5=C_slot(((C_word*)t0)[3],C_fix(1));
t6=((C_word*)((C_word*)t0)[4])[1];
f_30778(t6,((C_word*)t0)[5],t5);}

/* chicken.platform#features in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in ... */
static void C_ccall f_30812(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_30812,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_fast_retrieve(lf[1329]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.platform#feature? in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in ... */
static void C_ccall f_30815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_30815,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30821,a[2]=t4,a[3]=((C_word)li954),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_30821(t6,t1,t2);}

/* loop in chicken.platform#feature? in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in ... */
static void C_fcall f_30821(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_30821,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_30845,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:6543: ->feature-id */
t6=C_retrieve2(lf[1327],C_text("chicken.platform#->feature-id"));{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
f_30599(3,av2);}}}

/* k30843 in loop in chicken.platform#feature? in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_ccall f_30845(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30845,2,av);}
if(C_truep(C_i_memq(t1,C_fast_retrieve(lf[1329])))){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:6544: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_30821(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.platform#system-config-directory in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in ... */
static void C_ccall f_30852(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30852,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30856,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6550: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1339];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30854 in chicken.platform#system-config-directory in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in ... */
static void C_ccall f_30856(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30856,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_fast_retrieve(lf[1286]))){
/* library.scm:6552: chicken.process-context#get-environment-variable */
t2=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1336];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30868,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6553: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1338];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k30866 in k30854 in chicken.platform#system-config-directory in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_ccall f_30868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30868,2,av);}
if(C_truep(t1)){
/* library.scm:6554: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1337];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.platform#system-cache-directory in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in ... */
static void C_ccall f_30876(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30876,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30880,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6557: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1345];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k30878 in chicken.platform#system-cache-directory in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in ... */
static void C_ccall f_30880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30880,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
if(C_truep(C_fast_retrieve(lf[1286]))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30889,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6559: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1342];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30898,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6561: chicken.process-context#get-environment-variable */
t3=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=lf[1344];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}}}

/* k30887 in k30878 in chicken.platform#system-cache-directory in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_ccall f_30889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30889,2,av);}
if(C_truep(t1)){
t2=t1;
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:6560: chicken.process-context#get-environment-variable */
t2=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1341];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}}

/* k30896 in k30878 in chicken.platform#system-cache-directory in k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in ... */
static void C_ccall f_30898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_30898,2,av);}
if(C_truep(t1)){
/* library.scm:6562: scheme#string-append */
t2=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=lf[1343];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}
else{
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in ... */
static void C_ccall f_30908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,5)))){
C_save_and_reclaim((void *)f_30908,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30916,a[2]=t2,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30920,a[2]=t3,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6514: scheme#string-append */
t5=*((C_word*)lf[414]+1);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t5;
av2[1]=t4;
av2[2]=lf[1346];
av2[3]=((C_word*)t0)[3];
av2[4]=lf[1347];
av2[5]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}

/* k30914 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in ... */
static void C_ccall f_30916(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(27,c,2)))){
C_save_and_reclaim((void *)f_30916,2,av);}
a=C_alloc(27);
t2=C_a_i_cons(&a,2,t1,C_fast_retrieve(lf[1329]));
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t2);
t4=C_mutate((C_word*)lf[1329]+1 /* (set! ##sys#features ...) */,t3);
t5=C_mutate((C_word*)lf[1331]+1 /* (set! chicken.platform#register-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30690,a[2]=((C_word)li949),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[1332]+1 /* (set! chicken.platform#unregister-feature! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30734,a[2]=((C_word)li952),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[1333]+1 /* (set! chicken.platform#features ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30812,a[2]=((C_word)li953),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[1315]+1 /* (set! chicken.platform#feature? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30815,a[2]=((C_word)li955),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[1334]+1 /* (set! chicken.platform#return-to-host ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_return_to_host,a[2]=((C_word)li956),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[1335]+1 /* (set! chicken.platform#system-config-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30852,a[2]=((C_word)li957),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[1340]+1 /* (set! chicken.platform#system-cache-directory ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30876,a[2]=((C_word)li958),tmp=(C_word)a,a+=3,tmp));
t12=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}

/* k30918 in k30906 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in ... */
static void C_ccall f_30920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30920,2,av);}
/* library.scm:6514: ->feature-id */
t2=C_retrieve2(lf[1327],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30599(3,av2);}}

/* k30922 in k30683 in k30680 in k30676 in k30673 in k30670 in k30667 in k30664 in k30661 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in ... */
static void C_ccall f_30924(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30924,2,av);}
/* library.scm:6513: ->feature-id */
t2=C_retrieve2(lf[1327],C_text("chicken.platform#->feature-id"));{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
f_30599(3,av2);}}

/* k30952 in k30658 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in ... */
static void C_ccall f_30954(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30954,2,av);}
/* library.scm:6497: check */
f_30633(((C_word*)t0)[3],t1);}

/* k30956 in k30655 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in ... */
static void C_ccall f_30958(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30958,2,av);}
/* library.scm:6496: check */
f_30633(((C_word*)t0)[3],t1);}

/* k30960 in k30652 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in ... */
static void C_ccall f_30962(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30962,2,av);}
/* library.scm:6495: check */
f_30633(((C_word*)t0)[3],t1);}

/* k30964 in k30649 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static void C_ccall f_30966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30966,2,av);}
/* library.scm:6494: check */
f_30633(((C_word*)t0)[3],t1);}

/* k30968 in k30580 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30970(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30970,2,av);}
/* library.scm:6493: check */
f_30633(((C_word*)t0)[3],t1);}

/* k30972 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30974(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_30974,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30977,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t1;
/* library.scm:6464: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_30980,a[2]=((C_word*)t0)[2],a[3]=t2,tmp=(C_word)a,a+=4,tmp);
/* library.scm:6466: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1349];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30975 in k30972 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30977(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_30977,2,av);}
/* library.scm:6464: chicken.base#make-parameter */
t2=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k30978 in k30972 in k30576 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30980(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30980,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=t1;
/* library.scm:6464: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}
else{
/* ##sys#peek-c-string */
t2=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}}

/* k30988 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_30990(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_30990,2,av);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30993,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(t1)){
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_list1(&a,1,t1);
f_30993(2,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31039,a[2]=t2,tmp=(C_word)a,a+=3,tmp);
/* library.scm:6451: chicken.process-context#get-environment-variable */
t4=C_fast_retrieve(lf[1189]);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1351];
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}}

/* k30991 in k30988 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_30993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_30993,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_30995,a[2]=((C_word)li960),tmp=(C_word)a,a+=3,tmp);
/* library.scm:6448: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a30994 in k30991 in k30988 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_30995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_30995,3,av);}
a=C_alloc(3);
if(C_truep(t2)){
t3=C_i_check_list_2(t2,lf[1350]);
t4=t2;
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31012,a[2]=((C_word)li959),tmp=(C_word)a,a+=3,tmp);
t6=(
  f_31012(t4)
);
t7=t2;
t8=t1;{
C_word *av2=av;
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* for-each-loop7226 in a30994 in k30991 in k30988 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in ... */
static C_word C_fcall f_31012(C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_stack_overflow_check;
loop:{}
if(C_truep(C_i_pairp(t1))){
t2=C_slot(t1,C_fix(0));
t3=C_i_check_string_2(t2,lf[1350]);
t4=C_slot(t1,C_fix(1));
t6=t4;
t1=t6;
goto loop;}
else{
t2=C_SCHEME_UNDEFINED;
return(t2);}}

/* k31037 in k30988 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in ... */
static void C_ccall f_31039(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31039,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
/* library.scm:6449: ##sys#split-path */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1324]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1324]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31048,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t3=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_mpointer(&a,(void*)C_INSTALL_EGG_HOME);
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* k31046 in k31037 in k30988 in k30335 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in ... */
static void C_ccall f_31048(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31048,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=(C_truep(t1)?C_a_i_list1(&a,1,t1):C_SCHEME_FALSE);
f_30993(2,av2);}}

/* k31066 in k31070 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in ... */
static void C_ccall f_31068(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31068,2,av);}
t2=C_eqp(lf[1353],t1);
t3=((C_word*)t0)[2];
f_30337(t3,C_i_not(t2));}

/* k31070 in k30329 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in ... */
static void C_ccall f_31072(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31072,2,av);}
a=C_alloc(3);
t2=C_eqp(lf[1352],t1);
if(C_truep(t2)){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31068,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:6382: software-version */
t4=C_fast_retrieve(lf[1284]);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=((C_word*)t0)[2];
f_30337(t3,C_SCHEME_FALSE);}}

/* k31074 in k30323 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in ... */
static void C_ccall f_31076(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31076,2,av);}
/* library.scm:6376: scheme#string->symbol */
t2=*((C_word*)lf[634]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31078 in k30317 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in ... */
static void C_ccall f_31080(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31080,2,av);}
/* library.scm:6372: scheme#string->symbol */
t2=*((C_word*)lf[634]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31082 in k30311 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in ... */
static void C_ccall f_31084(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31084,2,av);}
/* library.scm:6368: scheme#string->symbol */
t2=*((C_word*)lf[634]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31086 in k30305 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in ... */
static void C_ccall f_31088(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31088,2,av);}
/* library.scm:6364: scheme#string->symbol */
t2=*((C_word*)lf[634]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* k31090 in k30004 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_31092(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31092,2,av);}
/* library.scm:6360: scheme#string->symbol */
t2=*((C_word*)lf[634]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31093 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_31094(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31094,3,av);}
t3=C_i_check_symbol_2(t2,lf[1354]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_slot(t2,C_fix(2));
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31102 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in ... */
static void C_ccall f_31103(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,5)))){
C_save_and_reclaim((void *)f_31103,4,av);}
a=C_alloc(5);
t4=C_i_check_symbol_2(t2,lf[1354]);
t5=C_i_check_list_2(t3,lf[1355]);
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31113,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t7=C_i_length(t3);
if(C_truep(C_i_fixnumevenp(t7))){
t8=t6;{
C_word *av2=av;
av2[0]=t8;
av2[1]=C_i_setslot(t2,C_fix(2),t3);
f_31113(2,av2);}}
else{
/* library.scm:6263: ##sys#signal-hook */
t8=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t8;
av2[1]=t6;
av2[2]=lf[258];
av2[3]=lf[1356];
av2[4]=t3;
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t8+1)))(6,av2);}}}

/* k31111 in a31102 in k29933 in k29571 in k29351 in k29318 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in ... */
static void C_ccall f_31113(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31113,2,av);}
if(C_truep(C_i_nullp(((C_word*)t0)[2]))){
t2=C_i_unpersist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=C_i_persist_symbol(((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31136 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_31138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,3)))){
C_save_and_reclaim((void *)f_31138,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31141,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_i_pairp(t1))){
t3=C_slot(t1,C_fix(1));
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31159,a[2]=t5,a[3]=((C_word)li969),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_31159(t7,t2,t3);}
else{
t3=t1;
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36798,a[2]=((C_word)li970),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5982: chicken.base#make-parameter */
t5=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t5;
av2[1]=((C_word*)t0)[2];
av2[2]=t3;
av2[3]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(4,av2);}}}

/* k31139 in k31136 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_31141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31141,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31143,a[2]=((C_word)li968),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5982: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* a31142 in k31139 in k31136 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_31143(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31143,3,av);}
t3=C_i_check_list_2(t2,lf[1358]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* loop in k31136 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_fcall f_31159(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31159,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31178,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,a[5]=t4,tmp=(C_word)a,a+=6,tmp);
t8=C_block_size(t4);
if(C_truep(C_fixnum_greater_or_equal_p(t8,C_fix(3)))){
t9=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31198,a[2]=t7,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5991: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=C_fix(2);
tp(5,av2);}}
else{
t9=t7;
f_31178(t9,C_SCHEME_FALSE);}}}

/* k31176 in loop in k31136 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_fcall f_31178(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_31178,2,t0,t1);}
a=C_alloc(4);
if(C_truep(t1)){
/* library.scm:5992: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_31159(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31188,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[5],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5993: loop */
t3=((C_word*)((C_word*)t0)[2])[1];
f_31159(t3,t2,((C_word*)t0)[4]);}}

/* k31186 in k31176 in loop in k31136 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in ... */
static void C_ccall f_31188(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31188,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* k31196 in loop in k31136 in k29314 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in ... */
static void C_ccall f_31198(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31198,2,av);}
t2=((C_word*)t0)[2];
f_31178(t2,C_i_string_equal_p(lf[1359],t1));}

/* k31220 in k31224 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_31222(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31222,2,av);}
a=C_alloc(3);
t2=C_i_car(t1);
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36810,a[2]=((C_word)li972),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5973: chicken.base#make-parameter */
t4=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t4;
av2[1]=((C_word*)t0)[2];
av2[2]=t2;
av2[3]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}

/* k31224 in k29135 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_31226(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31226,2,av);}
a=C_alloc(3);
if(C_truep(C_i_nullp(t1))){
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f36804,a[2]=((C_word)li971),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5973: chicken.base#make-parameter */
t3=*((C_word*)lf[201]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1361];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31222,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5976: argv */
t3=C_fast_retrieve(lf[1197]);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31227 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_31228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,3)))){
C_save_and_reclaim((void *)f_31228,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31232,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t2;
av2[2]=C_fix(1024);
av2[3]=C_make_character(32);
tp(4,av2);}}

/* k31230 in a31227 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_31232(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31232,2,av);}
a=C_alloc(5);
t2=t1;
t3=C_curdir(t2);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31235,a[2]=t3,a[3]=((C_word*)t0)[2],a[4]=t2,tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_fast_retrieve(lf[1286]))){
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_31235(2,av2);}}
else{
/* library.scm:5905: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2=av;
av2[0]=*((C_word*)lf[702]+1);
av2[1]=t4;
tp(2,av2);}}}

/* k31233 in k31230 in a31227 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_31235(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31235,2,av);}
if(C_truep(((C_word*)t0)[2])){
/* library.scm:5907: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[2];
tp(5,av2);}}
else{
/* library.scm:5908: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=lf[698];
av2[3]=lf[1362];
av2[4]=lf[1363];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31249 in k28498 in k28438 in k27108 in k27105 in k27102 in k26335 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_31250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31250,3,av);}
/* library.scm:5912: ##sys#change-directory-hook */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1187]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1187]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}

/* a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_31256(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +8,c,2)))){
C_save_and_reclaim((void*)f_31256,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+8);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31260,a[2]=t1,a[3]=t3,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31413,a[2]=((C_word)li979),tmp=(C_word)a,a+=3,tmp);
/* library.scm:5103: ##sys#error-handler */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1002]);
C_word *av2=av;
av2[0]=*((C_word*)lf[1002]+1);
av2[1]=t4;
av2[2]=t5;
tp(3,av2);}}

/* k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_31260(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31260,2,av);}
a=C_alloc(5);
t2=C_mk_bool(C_gui_mode);
if(C_truep(C_i_not(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31269,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5105: ##sys#print */
t4=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1372];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31363,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5130: chicken.base#open-output-string */
t4=*((C_word*)lf[213]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_31269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,c,4)))){
C_save_and_reclaim((void *)f_31269,2,av);}
a=C_alloc(8);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31272,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
if(C_truep(((C_word*)t0)[4])){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31357,a[2]=t2,a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5107: ##sys#print */
t4=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=lf[1371];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_UNDEFINED;
f_31272(2,av2);}}}

/* k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_31272(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_31272,2,av);}
a=C_alloc(7);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31275,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31301,a[2]=((C_word*)t0)[3],a[3]=((C_word)li976),tmp=(C_word)a,a+=4,tmp);
/* library.scm:5109: ##sys#with-print-length-limit */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[917]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[917]+1);
av2[1]=t2;
av2[2]=C_fix(400);
av2[3]=t3;
tp(4,av2);}}

/* k31273 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_31275(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31275,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31278,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5121: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31276 in k31273 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_31278(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31278,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31281,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5122: chicken.base#print-call-chain */
t3=*((C_word*)lf[187]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31279 in k31276 in k31273 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_31281(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31281,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31287,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
if(C_truep(C_fast_retrieve(lf[1001]))){
/* library.scm:5123: ##sys#symbol-has-toplevel-binding? */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[1141]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[1141]+1);
av2[1]=t2;
av2[2]=lf[1369];
tp(3,av2);}}
else{
t3=t2;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
f_31287(2,av2);}}}

/* k31285 in k31279 in k31276 in k31273 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in ... */
static void C_ccall f_31287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31287,2,av);}
a=C_alloc(3);
if(C_truep(t1)){
t2=C_slot(lf[1369],C_fix(0));
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31293,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5123: g5869 */
t4=t2;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)C_fast_retrieve_proc(t4))(2,av2);}}
else{
t2=C_halt(C_SCHEME_FALSE);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* k31291 in k31285 in k31279 in k31276 in k31273 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in ... */
static void C_ccall f_31293(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,4)))){
C_save_and_reclaim((void *)f_31293,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31296,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5126: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31294 in k31291 in k31285 in k31279 in k31276 in k31273 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in ... */
static void C_ccall f_31296(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31296,2,av);}
t2=C_exit_runtime(C_fix((C_word)EX_SOFTWARE));
t3=C_halt(C_SCHEME_FALSE);
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a31300 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_31301(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31301,2,av);}
a=C_alloc(6);
t2=((C_word*)t0)[2];
t3=C_u_i_length(t2);
t4=C_eqp(C_fix(1),t3);
if(C_truep(t4)){
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31311,a[2]=((C_word*)t0)[2],a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5113: ##sys#print */
t6=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=lf[1370];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(5,av2);}}
else{
t5=((C_word*)t0)[2];
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31331,a[2]=t7,a[3]=((C_word)li975),tmp=(C_word)a,a+=4,tmp));
t9=((C_word*)t7)[1];
f_31331(t9,t1,t5);}}

/* k31309 in a31300 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_31311(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31311,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(0));
/* library.scm:5114: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31321 in for-each-loop5851 in a31300 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_31323(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31323,2,av);}
/* library.scm:5119: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_TRUE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* for-each-loop5851 in a31300 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_31331(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,4)))){
C_save_and_reclaim_args((void *)trf_31331,3,t0,t1,t2);}
a=C_alloc(9);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31341,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
t5=t3;
t6=t4;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31323,a[2]=t5,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:5118: ##sys#print */
t8=*((C_word*)lf[865]+1);{
C_word av2[5];
av2[0]=t8;
av2[1]=t7;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t8+1)))(5,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31339 in for-each-loop5851 in a31300 in k31270 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_31341(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31341,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31331(t3,((C_word*)t0)[4],t2);}

/* k31355 in k31267 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_31357(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31357,2,av);}
/* library.scm:5108: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=C_SCHEME_FALSE;
av2[4]=*((C_word*)lf[714]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in ... */
static void C_ccall f_31363(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31363,2,av);}
a=C_alloc(5);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31366,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],tmp=(C_word)a,a+=5,tmp);
if(C_truep(((C_word*)t0)[4])){
/* library.scm:5131: ##sys#print */
t4=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t4;
av2[1]=t3;
av2[2]=((C_word*)t0)[4];
av2[3]=C_SCHEME_FALSE;
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}
else{
t4=t3;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_SCHEME_UNDEFINED;
f_31366(2,av2);}}}

/* k31364 in k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in ... */
static void C_ccall f_31366(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31366,2,av);}
a=C_alloc(5);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31369,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
/* library.scm:5132: ##sys#print */
t3=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}

/* k31367 in k31364 in k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in ... */
static void C_ccall f_31369(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(15,c,3)))){
C_save_and_reclaim((void *)f_31369,2,av);}
a=C_alloc(15);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31370,a[2]=((C_word*)t0)[2],a[3]=((C_word)li977),tmp=(C_word)a,a+=4,tmp);
t3=((C_word*)t0)[3];
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31380,a[2]=((C_word*)t0)[4],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31386,a[2]=t6,a[3]=t2,a[4]=((C_word)li978),tmp=(C_word)a,a+=5,tmp));
t8=((C_word*)t6)[1];
f_31386(t8,t4,t3);}

/* g5883 in k31367 in k31364 in k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_31370(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,0,4)))){
C_save_and_reclaim_args((void *)trf_31370,3,t0,t1,t2);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31374,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:5133: ##sys#print */
t4=*((C_word*)lf[865]+1);{
C_word av2[5];
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
av2[3]=C_SCHEME_TRUE;
av2[4]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t4+1)))(5,av2);}}

/* k31372 in g5883 in k31367 in k31364 in k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_31374(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31374,2,av);}
/* library.scm:5133: ##sys#print */
t2=*((C_word*)lf[865]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_make_character(10);
av2[3]=C_SCHEME_FALSE;
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* k31378 in k31367 in k31364 in k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_ccall f_31380(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31380,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31384,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:5134: chicken.base#get-output-string */
t3=*((C_word*)lf[211]+1);{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(3,av2);}}

/* k31382 in k31378 in k31367 in k31364 in k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_31384(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31384,2,av);}
t2=C_halt(t1);
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* for-each-loop5882 in k31367 in k31364 in k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in ... */
static void C_fcall f_31386(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_31386,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_pairp(t2))){
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31396,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t4=C_slot(t2,C_fix(0));
/* library.scm:5133: g5883 */
t5=((C_word*)t0)[3];
f_31370(t5,t3,t4);}
else{
t3=C_SCHEME_UNDEFINED;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31394 in for-each-loop5882 in k31367 in k31364 in k31361 in k31258 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in ... */
static void C_ccall f_31396(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31396,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(1));
t3=((C_word*)((C_word*)t0)[3])[1];
f_31386(t3,((C_word*)t0)[4],t2);}

/* a31412 in a31255 in k26023 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in ... */
static void C_ccall f_31413(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31413,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_halt(lf[1373]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* a31415 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_31416(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void *)f_31416,2,av);}
a=C_alloc(3);
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31420,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:5005: chicken.base#exit-handler */
t3=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* k31418 in a31415 in k26019 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in ... */
static void C_ccall f_31420(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_31420,2,av);}
/* library.scm:5004: g5758 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=C_fix((C_word)EX_SOFTWARE);
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* a31424 in k26015 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_31425(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31425,2,av);}
/* library.scm:5000: cleanup-before-exit */
f_25934(t1);}

/* a31430 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31431(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_31431,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
t3=C_i_nullp(t2);
t4=(C_truep(t3)?C_fix(0):C_i_car(t2));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31438,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:4990: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t6;
av2[2]=t5;
tp(3,av2);}}

/* k31436 in a31430 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_31438(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_31438,2,av);}
a=C_alloc(4);
if(C_truep(C_retrieve2(lf[952],C_text("exit-in-progress")))){
/* library.scm:4992: ##sys#warn */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[311]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[311]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[1374];
tp(3,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31447,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);
/* library.scm:4994: cleanup-before-exit */
f_25934(t2);}}

/* k31445 in k31436 in a31430 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_31447(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31447,2,av);}
t2=C_exit_runtime(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31454 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31455(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31455,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=C_fixnum_plus(t3,C_fix(1));
t8=C_i_set_i_slot(t2,C_fix(10),t7);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}}

/* a31479 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31480(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31480,3,av);}
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
if(C_truep(C_fixnum_greater_or_equal_p(t3,t5))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=C_subchar(t4,t3);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* a31497 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_31498,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31502,a[2]=t2,a[3]=t3,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4746: check */
t5=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
av2[2]=t2;
av2[3]=C_fix(1);
((C_proc)C_fast_retrieve_proc(t5))(4,av2);}}

/* k31500 in a31497 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_31502(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31502,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_setsubchar(t3,t2,((C_word*)t0)[3]);
t5=C_fixnum_plus(t2,C_fix(1));
t6=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31516 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_31517,4,av);}
a=C_alloc(6);
t4=C_block_size(t3);
t5=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_31521,a[2]=t2,a[3]=t3,a[4]=t4,a[5]=t1,tmp=(C_word)a,a+=6,tmp);
/* library.scm:4753: check */
t6=((C_word*)((C_word*)t0)[2])[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
av2[2]=t2;
av2[3]=t4;
((C_proc)C_fast_retrieve_proc(t6))(4,av2);}}

/* k31519 in a31516 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_31521(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31521,2,av);}
t2=C_slot(((C_word*)t0)[2],C_fix(10));
t3=C_slot(((C_word*)t0)[2],C_fix(12));
t4=C_substring_copy(((C_word*)t0)[3],t3,C_fix(0),((C_word*)t0)[4],t2);
t5=C_fixnum_plus(t2,((C_word*)t0)[4]);
t6=((C_word*)t0)[5];{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31535 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31536(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31536,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31538 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31539(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31539,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31541 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31542(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(10,c,2)))){
C_save_and_reclaim((void *)f_31542,6,av);}
a=C_alloc(10);
t6=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t7=C_slot(t2,C_fix(10));
t8=t7;
t9=C_slot(t2,C_fix(11));
t10=C_fixnum_difference(t9,t8);
t11=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_31552,a[2]=t2,a[3]=t8,a[4]=t6,a[5]=t4,a[6]=t5,a[7]=t1,tmp=(C_word)a,a+=8,tmp);
t12=C_i_not(((C_word*)t6)[1]);
if(C_truep(t12)){
if(C_truep(t12)){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31552(t14,t13);}
else{
t13=t11;
f_31552(t13,C_SCHEME_UNDEFINED);}}
else{
if(C_truep(C_fixnum_greaterp(((C_word*)t6)[1],t10))){
t13=C_set_block_item(t6,0,t10);
t14=t11;
f_31552(t14,t13);}
else{
t13=t11;
f_31552(t13,C_SCHEME_UNDEFINED);}}}

/* k31550 in a31541 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_fcall f_31552(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,0,1)))){
C_save_and_reclaim_args((void *)trf_31552,2,t0,t1);}
t2=C_slot(((C_word*)t0)[2],C_fix(12));
t3=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t4=C_substring_copy(t2,((C_word*)t0)[5],((C_word*)t0)[3],t3,((C_word*)t0)[6]);
t5=C_fixnum_plus(((C_word*)t0)[3],((C_word*)((C_word*)t0)[4])[1]);
t6=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t5);
t7=((C_word*)t0)[7];{
C_word av2[2];
av2[0]=t7;
av2[1]=((C_word*)((C_word*)t0)[4])[1];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31582 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31583(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,5)))){
C_save_and_reclaim((void *)f_31583,4,av);}
a=C_alloc(11);
t4=C_slot(t2,C_fix(10));
t5=t4;
t6=C_slot(t2,C_fix(11));
t7=t6;
t8=C_slot(t2,C_fix(12));
t9=t8;
t10=(C_truep(t3)?C_fixnum_plus(t5,t3):t7);
t11=t10;
if(C_truep(C_fixnum_greater_or_equal_p(t5,t7))){
t12=t1;{
C_word *av2=av;
av2[0]=t12;
av2[1]=C_SCHEME_END_OF_FILE;
((C_proc)(void*)(*((C_word*)t12+1)))(2,av2);}}
else{
t12=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_31607,a[2]=t11,a[3]=t7,a[4]=t9,a[5]=t5,a[6]=((C_word)li744),tmp=(C_word)a,a+=7,tmp);
t13=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31626,a[2]=t2,a[3]=((C_word)li745),tmp=(C_word)a,a+=4,tmp);
/* library.scm:4775: ##sys#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t12;
av2[3]=t13;
C_call_with_values(4,av2);}}}

/* a31606 in a31582 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_31607(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,5)))){
C_save_and_reclaim((void *)f_31607,2,av);}
a=C_alloc(3);
t2=C_fixnum_greaterp(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=(C_truep(t2)?((C_word*)t0)[3]:((C_word*)t0)[2]);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31617,a[2]=((C_word)li743),tmp=(C_word)a,a+=3,tmp);
/* library.scm:4776: ##sys#scan-buffer-line */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[920]);
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=*((C_word*)lf[920]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[4];
av2[3]=t3;
av2[4]=((C_word*)t0)[5];
av2[5]=t4;
tp(6,av2);}}

/* a31616 in a31606 in a31582 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in ... */
static void C_ccall f_31617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31617,3,av);}
/* library.scm:4778: scheme#values */{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_SCHEME_FALSE;
av2[3]=t2;
av2[4]=C_SCHEME_FALSE;
C_values(5,av2);}}

/* a31625 in a31582 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_31626(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31626,5,av);}
if(C_truep(t4)){
t5=C_slot(((C_word*)t0)[2],C_fix(4));
t6=C_fixnum_plus(t5,C_fix(1));
t7=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),C_fix(0));
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}
else{
t5=C_slot(((C_word*)t0)[2],C_fix(5));
t6=C_block_size(t3);
t7=C_fixnum_plus(t5,t6);
t8=C_i_set_i_slot(((C_word*)t0)[2],C_fix(5),t7);
t9=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),t2);
t10=t1;{
C_word *av2=av;
av2[0]=t10;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t10+1)))(2,av2);}}}

/* a31666 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in ... */
static void C_ccall f_31667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,4)))){
C_save_and_reclaim((void *)f_31667,3,av);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(10));
t4=C_slot(t2,C_fix(12));
t5=C_slot(t2,C_fix(11));
t6=t5;
if(C_truep(C_fixnum_greater_or_equal_p(t3,t6))){
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=lf[921];
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31686,a[2]=t2,a[3]=t6,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:4793: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t7;
av2[2]=t4;
av2[3]=t3;
av2[4]=t6;
tp(5,av2);}}}

/* k31684 in a31666 in k23773 in k23769 in k23765 in k20244 in k20240 in k20236 in k20232 in k20228 in k19868 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in ... */
static void C_ccall f_31686(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31686,2,av);}
t2=C_i_set_i_slot(((C_word*)t0)[2],C_fix(10),((C_word*)t0)[3]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a31694 in k19864 in k19860 in k19856 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in ... */
static void C_ccall f_31695(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31695,5,av);}
t5=C_i_list_tail(t2,t3);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_set_car(t5,t4);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31704 in k19852 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in ... */
static void C_ccall f_31705(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31705,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31714 in k19848 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in ... */
static void C_ccall f_31715(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31715,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31724 in k19844 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in ... */
static void C_ccall f_31725(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31725,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31734 in k19840 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in ... */
static void C_ccall f_31735(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31735,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31744 in k19836 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in ... */
static void C_ccall f_31745(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31745,4,av);}
t4=C_i_cddr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31754 in k19832 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in ... */
static void C_ccall f_31755(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31755,4,av);}
t4=C_i_cdar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31764 in k19828 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in ... */
static void C_ccall f_31765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31765,4,av);}
t4=C_i_cadr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31774 in k19824 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in ... */
static void C_ccall f_31775(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31775,4,av);}
t4=C_i_caar(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31784 in k19820 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in ... */
static void C_ccall f_31785(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31785,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31794 in k19816 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in ... */
static void C_ccall f_31795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31795,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_cdr(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31804 in k19812 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in ... */
static void C_ccall f_31805(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31805,4,av);}
t4=C_i_cdr(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31814 in k19808 in k19804 in k19724 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in ... */
static void C_ccall f_31815(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31815,4,av);}
t4=C_i_car(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_set_car(t4,t3);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* a31824 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_31825(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_31825,3,av);}
a=C_alloc(7);
if(C_truep(C_i_closurep(t2))){
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31841,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31849,a[2]=((C_word)li997),tmp=(C_word)a,a+=3,tmp);
/* library.scm:3505: ##sys#lambda-decoration */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[749]);
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[749]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=t4;
tp(4,av2);}}
else{
/* library.scm:3507: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[756];
av2[3]=lf[1376];
av2[4]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}

/* k31839 in a31824 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_31841(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_31841,2,av);}
if(C_truep(t1)){
t2=C_slot(t1,C_fix(1));
if(C_truep(t2)){
t3=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
/* library.scm:3507: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[756];
av2[3]=lf[1376];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(5,av2);}}}
else{
/* library.scm:3507: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[756];
av2[3]=lf[1376];
av2[4]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}}

/* a31848 in a31824 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_31849(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31849,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[757],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31864 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_31865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31865,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[757],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31880 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_31881(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,4)))){
C_save_and_reclaim((void *)f_31881,4,av);}
a=C_alloc(6);
t4=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31891,a[2]=((C_word)li1002),tmp=(C_word)a,a+=3,tmp);
t5=C_a_i_cons(&a,2,C_retrieve2(lf[757],C_text("setter-tag")),t4);
t6=C_i_setslot(t2,t3,t5);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}

/* a31890 in a31880 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in ... */
static void C_ccall f_31891(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_31891,4,av);}
a=C_alloc(11);
if(C_truep(C_i_closurep(t2))){
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31901,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31920,a[2]=((C_word)li1000),tmp=(C_word)a,a+=3,tmp);
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31936,a[2]=t3,a[3]=((C_word)li1001),tmp=(C_word)a,a+=4,tmp);
/* library.scm:3516: ##sys#decorate-lambda */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[748]);
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[748]+1);
av2[1]=t4;
av2[2]=t2;
av2[3]=t5;
av2[4]=t6;
tp(5,av2);}}
else{
/* library.scm:3523: chicken.base#error */
t4=*((C_word*)lf[193]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=lf[1377];
av2[3]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(4,av2);}}}

/* k31899 in a31890 in a31880 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_31901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,2)))){
C_save_and_reclaim((void *)f_31901,2,av);}
a=C_alloc(6);
t2=C_eqp(((C_word*)t0)[2],t1);
if(C_truep(t2)){
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t4=C_a_i_list1(&a,1,t3);
/* library.scm:3522: ##sys#become! */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[329]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[329]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t4;
tp(3,av2);}}}

/* a31919 in a31890 in a31880 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_31920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_31920,3,av);}
if(C_truep(C_i_pairp(t2))){
t3=C_slot(t2,C_fix(0));
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(C_retrieve2(lf[757],C_text("setter-tag")),t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* a31935 in a31890 in a31880 in k18948 in k18945 in k18942 in k18939 in k18935 in k18931 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in ... */
static void C_ccall f_31936(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_31936,4,av);}
a=C_alloc(3);
t4=C_a_i_cons(&a,2,C_retrieve2(lf[757],C_text("setter-tag")),((C_word*)t0)[2]);
t5=C_i_setslot(t2,t3,t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* a31948 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_31949(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31949,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31955,a[2]=t2,a[3]=t4,a[4]=((C_word)li543),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31955(2,av2);}}

/* loop in a31948 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_31955(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31955,2,av);}
a=C_alloc(5);
t2=C_read_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31986,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3175: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2=av;
av2[0]=*((C_word*)lf[702]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k31976 in k31984 in loop in a31948 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_31978(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_31978,2,av);}
/* library.scm:3177: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[698];
av2[3]=lf[699];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k31980 in k31984 in loop in a31948 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_31982(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_31982,2,av);}
/* library.scm:3179: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[700];
av2[3]=t1;
tp(4,av2);}}

/* k31984 in loop in a31948 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_31986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_31986,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3176: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_31978,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_31982,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a31988 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_31989(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_31989,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_31995,a[2]=t2,a[3]=t4,a[4]=((C_word)li545),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];{
C_word *av2=av;
av2[0]=t6;
av2[1]=t1;
f_31995(2,av2);}}

/* loop in a31988 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_31995(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_31995,2,av);}
a=C_alloc(5);
t2=C_peek_char(((C_word*)t0)[2]);
t3=C_eqp(C_fix(-1),t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32026,a[2]=t1,a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:3187: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2=av;
av2[0]=*((C_word*)lf[702]+1);
av2[1]=t4;
tp(2,av2);}}
else{
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k32016 in k32024 in loop in a31988 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32018(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,5)))){
C_save_and_reclaim((void *)f_32018,2,av);}
/* library.scm:3189: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 6) {
  av2=av;
} else {
  av2=C_alloc(6);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[698];
av2[3]=lf[703];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(6,av2);}}

/* k32020 in k32024 in loop in a31988 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32022(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32022,2,av);}
/* library.scm:3191: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[704];
av2[3]=t1;
tp(4,av2);}}

/* k32024 in loop in a31988 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32026(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(10,c,3)))){
C_save_and_reclaim((void *)f_32026,2,av);}
a=C_alloc(10);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
/* library.scm:3188: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)((C_word*)t0)[3])[1];
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32018,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[4],tmp=(C_word)a,a+=4,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32022,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32028 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32029(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32029,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_char(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a32031 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32032,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_display_string(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* a32034 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32035(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32035,4,av);}
t4=C_close_file(t2);
/* library.scm:3200: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word *av2=av;
av2[0]=*((C_word*)lf[702]+1);
av2[1]=t1;
tp(2,av2);}}

/* a32040 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32041(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32041,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_flush_output(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a32043 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32044,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_char_ready_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* a32046 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32047(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5=av[5];
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=6) C_bad_argc_2(c,6,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,2)))){
C_save_and_reclaim((void *)f_32047,6,av);}
a=C_alloc(7);
t6=t3;
t7=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32055,a[2]=t4,a[3]=t2,a[4]=t3,a[5]=t1,a[6]=t5,tmp=(C_word)a,a+=7,tmp);
if(C_truep(t6)){
t8=t7;
f_32055(t8,t6);}
else{
t8=C_block_size(t4);
t9=t7;
f_32055(t9,C_fixnum_difference(t8,t5));}}

/* k32053 in a32046 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_32055(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,0,5)))){
C_save_and_reclaim_args((void *)trf_32055,2,t0,t1);}
a=C_alloc(9);
t2=C_SCHEME_UNDEFINED;
t3=(*a=C_VECTOR_TYPE|1,a[1]=t2,tmp=(C_word)a,a+=2,tmp);
t4=C_set_block_item(t3,0,(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32057,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=t3,a[5]=((C_word*)t0)[4],a[6]=((C_word)li553),tmp=(C_word)a,a+=7,tmp));
t5=((C_word*)t3)[1];
f_32057(t5,((C_word*)t0)[5],t1,C_fix(0),((C_word*)t0)[6]);}

/* loop in k32053 in a32046 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_32057(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4){
C_word tmp;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32057,5,t0,t1,t2,t3,t4);}
a=C_alloc(11);
t5=fast_read_string_from_file(((C_word*)t0)[2],((C_word*)t0)[3],t2,t4);
if(C_truep(C_eofp(t5))){
t6=t3;
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,C_fix(0)))){
t6=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32112,a[2]=t2,a[3]=t5,a[4]=t3,a[5]=t4,a[6]=((C_word*)t0)[4],a[7]=t1,a[8]=((C_word*)t0)[3],a[9]=((C_word*)t0)[5],a[10]=((C_word*)t0)[2],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3211: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word av2[2];
av2[0]=*((C_word*)lf[702]+1);
av2[1]=t6;
tp(2,av2);}}
else{
if(C_truep(C_fixnum_lessp(t5,t2))){
t6=C_fixnum_difference(t2,t5);
t7=C_fixnum_plus(t3,t5);
t8=C_fixnum_plus(t4,t5);
/* library.scm:3220: loop */
t10=t1;
t11=t6;
t12=t7;
t13=t8;
t1=t10;
t2=t11;
t3=t12;
t4=t13;
goto loop;}
else{
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=C_fixnum_plus(t3,t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}}}

/* a32080 in k32110 in loop in k32053 in a32046 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32081(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_32081,2,av);}
t2=C_fixnum_difference(((C_word*)t0)[2],((C_word*)t0)[3]);
t3=C_fixnum_plus(((C_word*)t0)[4],((C_word*)t0)[3]);
t4=C_fixnum_plus(((C_word*)t0)[5],((C_word*)t0)[3]);
/* library.scm:3214: loop */
t5=((C_word*)((C_word*)t0)[6])[1];
f_32057(t5,t1,t2,t3,t4);}

/* k32102 in k32110 in loop in k32053 in a32046 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32104(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,8)))){
C_save_and_reclaim((void *)f_32104,2,av);}
/* library.scm:3215: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 9) {
  av2=av;
} else {
  av2=C_alloc(9);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[698];
av2[3]=lf[705];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
av2[7]=((C_word*)t0)[5];
av2[8]=((C_word*)t0)[6];
((C_proc)(void*)(*((C_word*)t2+1)))(9,av2);}}

/* k32106 in k32110 in loop in k32053 in a32046 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32108,2,av);}
/* library.scm:3217: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[706];
av2[3]=t1;
tp(4,av2);}}

/* k32110 in loop in k32053 in a32046 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32112(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(13,c,3)))){
C_save_and_reclaim((void *)f_32112,2,av);}
a=C_alloc(13);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32081,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=((C_word*)t0)[6],a[7]=((C_word)li552),tmp=(C_word)a,a+=8,tmp);
/* library.scm:3212: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=((C_word*)t0)[7];
av2[2]=t4;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32104,a[2]=((C_word*)t0)[7],a[3]=((C_word*)t0)[8],a[4]=((C_word*)t0)[9],a[5]=((C_word*)t0)[10],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32108,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32146(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,3)))){
C_save_and_reclaim((void *)f_32146,4,av);}
a=C_alloc(5);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32150,a[2]=t3,a[3]=t2,a[4]=t1,tmp=(C_word)a,a+=5,tmp);
if(C_truep(t3)){
/* library.scm:3224: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2=av;
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t4;
av2[2]=t3;
av2[3]=lf[707];
tp(4,av2);}}
else{
t5=t4;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_SCHEME_UNDEFINED;
f_32150(2,av2);}}}

/* k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(9,c,2)))){
C_save_and_reclaim((void *)f_32150,2,av);}
a=C_alloc(9);
t2=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32153,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],tmp=(C_word)a,a+=5,tmp);
if(C_truep(C_slot(((C_word*)t0)[3],C_fix(12)))){
t3=t2;
f_32153(t3,C_SCHEME_UNDEFINED);}
else{
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32319,a[2]=t2,a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3227: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t3;
av2[2]=C_fix(1024);
tp(3,av2);}}}

/* k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_32153(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(8,0,7)))){
C_save_and_reclaim_args((void *)trf_32153,2,t0,t1);}
a=C_alloc(8);
t2=((C_word*)t0)[2];
t3=(C_truep(t2)?t2:lf[269]);
t4=C_slot(((C_word*)t0)[3],C_fix(12));
t5=C_SCHEME_UNDEFINED;
t6=(*a=C_VECTOR_TYPE|1,a[1]=t5,tmp=(C_word)a,a+=2,tmp);
t7=C_set_block_item(t6,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_32166,a[2]=((C_word*)t0)[3],a[3]=t6,a[4]=((C_word*)t0)[2],a[5]=((C_word)li556),tmp=(C_word)a,a+=6,tmp));
t8=((C_word*)t6)[1];
f_32166(t8,((C_word*)t0)[4],C_fix(1024),t3,t4,lf[709],C_SCHEME_FALSE);}

/* loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_fcall f_32166(C_word t0,C_word t1,C_word t2,C_word t3,C_word t4,C_word t5,C_word t6){
C_word tmp;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,0,4)))){
C_save_and_reclaim_args((void *)trf_32166,7,t0,t1,t2,t3,t4,t5,t6);}
a=C_alloc(11);
t7=C_i_fixnum_min(t3,t2);
t8=fast_read_line_from_file(t4,((C_word*)t0)[2],t7);
if(C_truep(C_eofp(t8))){
t9=t1;{
C_word av2[2];
av2[0]=t9;
av2[1]=(C_truep(t6)?t5:C_SCHEME_END_OF_FILE);
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
if(C_truep(C_i_not(t8))){
if(C_truep(C_fixnum_lessp(t3,t2))){
t9=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32199,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3238: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t9;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t3;
tp(5,av2);}}
else{
t9=C_fixnum_times(t2,C_fix(2));
t10=t9;
t11=C_fixnum_difference(t3,t2);
t12=t11;
t13=(*a=C_CLOSURE_TYPE|7,a[1]=(C_word)f_32214,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t10,a[5]=t12,a[6]=t5,a[7]=t4,tmp=(C_word)a,a+=8,tmp);
t14=C_fixnum_times(t2,C_fix(2));
/* library.scm:3241: ##sys#make-string */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[377]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[377]+1);
av2[1]=t13;
av2[2]=t14;
tp(3,av2);}}}
else{
if(C_truep(C_fixnum_lessp(t8,C_fix(0)))){
t9=(*a=C_CLOSURE_TYPE|10,a[1]=(C_word)f_32273,a[2]=t8,a[3]=((C_word*)t0)[3],a[4]=t2,a[5]=t3,a[6]=t4,a[7]=t5,a[8]=t1,a[9]=((C_word*)t0)[2],a[10]=((C_word*)t0)[4],tmp=(C_word)a,a+=11,tmp);
/* library.scm:3245: ##sys#update-errno */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[702]);
C_word av2[2];
av2[0]=*((C_word*)lf[702]+1);
av2[1]=t9;
tp(2,av2);}}
else{
if(C_truep(t6)){
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
t12=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32287,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:3258: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t12;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}
else{
t9=C_slot(((C_word*)t0)[2],C_fix(4));
t10=C_fixnum_plus(t9,C_fix(1));
t11=C_i_set_i_slot(((C_word*)t0)[2],C_fix(4),t10);
/* library.scm:3261: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word av2[5];
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t1;
av2[2]=t4;
av2[3]=C_fix(0);
av2[4]=t8;
tp(5,av2);}}}}}}

/* k32197 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32199(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32199,2,av);}
/* library.scm:3238: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32212 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32214(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_32214,2,av);}
a=C_alloc(7);
t2=t1;
t3=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32218,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],a[6]=t2,tmp=(C_word)a,a+=7,tmp);
/* library.scm:3242: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[6];
av2[3]=((C_word*)t0)[7];
tp(4,av2);}}

/* k32216 in k32212 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 in ... */
static void C_ccall f_32218(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32218,2,av);}
/* library.scm:3239: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32166(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* a32241 in k32271 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 in ... */
static void C_ccall f_32242(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(11,c,4)))){
C_save_and_reclaim((void *)f_32242,2,av);}
a=C_alloc(11);
t2=(*a=C_CLOSURE_TYPE|6,a[1]=(C_word)f_32250,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=((C_word*)t0)[3],a[5]=((C_word*)t0)[4],a[6]=((C_word*)t0)[5],tmp=(C_word)a,a+=7,tmp);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_32254,a[2]=t2,a[3]=((C_word*)t0)[6],tmp=(C_word)a,a+=4,tmp);
/* library.scm:3251: ##sys#substring */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[396]+1));
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=*((C_word*)lf[396]+1);
av2[1]=t3;
av2[2]=((C_word*)t0)[5];
av2[3]=C_fix(0);
av2[4]=((C_word*)t0)[7];
tp(5,av2);}}

/* k32248 in a32241 in k32271 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_32250(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32250,2,av);}
/* library.scm:3249: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_32166(t2,((C_word*)t0)[3],((C_word*)t0)[4],((C_word*)t0)[5],((C_word*)t0)[6],t1,C_SCHEME_TRUE);}

/* k32252 in a32241 in k32271 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in ... */
static void C_ccall f_32254(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32254,2,av);}
/* library.scm:3250: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32263 in k32271 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 in ... */
static void C_ccall f_32265(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,6)))){
C_save_and_reclaim((void *)f_32265,2,av);}
/* library.scm:3253: ##sys#signal-hook */
t2=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 7) {
  av2=av;
} else {
  av2=C_alloc(7);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=lf[698];
av2[3]=lf[707];
av2[4]=t1;
av2[5]=((C_word*)t0)[3];
av2[6]=((C_word*)t0)[4];
((C_proc)(void*)(*((C_word*)t2+1)))(7,av2);}}

/* k32267 in k32271 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 in ... */
static void C_ccall f_32269(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32269,2,av);}
/* library.scm:3255: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=lf[708];
av2[3]=t1;
tp(4,av2);}}

/* k32271 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32273(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(11,c,3)))){
C_save_and_reclaim((void *)f_32273,2,av);}
a=C_alloc(11);
t2=C_fix((C_word)EINTR);
t3=C_eqp(t1,t2);
if(C_truep(t3)){
t4=C_fixnum_negate(((C_word*)t0)[2]);
t5=C_fixnum_difference(t4,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|8,a[1]=(C_word)f_32242,a[2]=((C_word*)t0)[3],a[3]=((C_word*)t0)[4],a[4]=((C_word*)t0)[5],a[5]=((C_word*)t0)[6],a[6]=((C_word*)t0)[7],a[7]=t6,a[8]=((C_word)li555),tmp=(C_word)a,a+=9,tmp);
/* library.scm:3247: ##sys#dispatch-interrupt */
{C_proc tp=(C_proc)C_fast_retrieve_symbol_proc(lf[697]);
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[697]+1);
av2[1]=((C_word*)t0)[8];
av2[2]=t7;
tp(3,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_32265,a[2]=((C_word*)t0)[8],a[3]=((C_word*)t0)[9],a[4]=((C_word*)t0)[10],tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_32269,a[2]=t4,tmp=(C_word)a,a+=3,tmp);
/* ##sys#peek-c-string */
t6=*((C_word*)lf[701]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t6;
av2[1]=t5;
av2[2]=C_mpointer(&a,(void*)strerror(errno));
av2[3]=C_fix(0);
((C_proc)(void*)(*((C_word*)t6+1)))(4,av2);}}}

/* k32285 in loop in k32151 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32287(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_32287,2,av);}
/* library.scm:3258: ##sys#string-append */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[413]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[413]+1);
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=t1;
tp(4,av2);}}

/* k32317 in k32148 in a32145 in k18366 in k18363 in k18360 in k18357 in k18354 in k18351 in k18348 in k18345 in k18342 in k18339 in k18336 in k18333 in k18330 in k18327 in k18167 in k8510 */
static void C_ccall f_32319(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_32319,2,av);}
t2=((C_word*)t0)[2];
f_32153(t2,C_i_setslot(((C_word*)t0)[3],C_fix(12),t1));}

/* k8510 */
static void C_ccall f_8512(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word t15;
C_word t16;
C_word t17;
C_word t18;
C_word t19;
C_word t20;
C_word t21;
C_word t22;
C_word t23;
C_word t24;
C_word t25;
C_word t26;
C_word t27;
C_word t28;
C_word t29;
C_word t30;
C_word t31;
C_word t32;
C_word t33;
C_word t34;
C_word t35;
C_word t36;
C_word t37;
C_word t38;
C_word t39;
C_word t40;
C_word t41;
C_word t42;
C_word t43;
C_word t44;
C_word t45;
C_word t46;
C_word t47;
C_word t48;
C_word t49;
C_word t50;
C_word t51;
C_word t52;
C_word t53;
C_word t54;
C_word t55;
C_word t56;
C_word t57;
C_word t58;
C_word t59;
C_word t60;
C_word t61;
C_word t62;
C_word t63;
C_word t64;
C_word t65;
C_word t66;
C_word t67;
C_word t68;
C_word t69;
C_word t70;
C_word t71;
C_word t72;
C_word t73;
C_word t74;
C_word t75;
C_word t76;
C_word t77;
C_word t78;
C_word t79;
C_word t80;
C_word t81;
C_word t82;
C_word t83;
C_word t84;
C_word t85;
C_word t86;
C_word t87;
C_word t88;
C_word t89;
C_word t90;
C_word t91;
C_word t92;
C_word t93;
C_word t94;
C_word t95;
C_word t96;
C_word t97;
C_word t98;
C_word t99;
C_word t100;
C_word t101;
C_word t102;
C_word t103;
C_word t104;
C_word t105;
C_word t106;
C_word t107;
C_word t108;
C_word t109;
C_word t110;
C_word t111;
C_word t112;
C_word t113;
C_word t114;
C_word t115;
C_word t116;
C_word t117;
C_word t118;
C_word t119;
C_word t120;
C_word t121;
C_word t122;
C_word t123;
C_word t124;
C_word t125;
C_word t126;
C_word t127;
C_word t128;
C_word t129;
C_word t130;
C_word t131;
C_word t132;
C_word t133;
C_word t134;
C_word t135;
C_word t136;
C_word t137;
C_word t138;
C_word t139;
C_word t140;
C_word t141;
C_word t142;
C_word t143;
C_word t144;
C_word t145;
C_word t146;
C_word t147;
C_word t148;
C_word t149;
C_word t150;
C_word t151;
C_word t152;
C_word t153;
C_word t154;
C_word t155;
C_word t156;
C_word t157;
C_word t158;
C_word t159;
C_word t160;
C_word t161;
C_word t162;
C_word t163;
C_word t164;
C_word t165;
C_word t166;
C_word t167;
C_word t168;
C_word t169;
C_word t170;
C_word t171;
C_word t172;
C_word t173;
C_word t174;
C_word t175;
C_word t176;
C_word t177;
C_word t178;
C_word t179;
C_word t180;
C_word t181;
C_word t182;
C_word t183;
C_word t184;
C_word t185;
C_word t186;
C_word t187;
C_word t188;
C_word t189;
C_word t190;
C_word t191;
C_word t192;
C_word t193;
C_word t194;
C_word t195;
C_word t196;
C_word t197;
C_word t198;
C_word t199;
C_word t200;
C_word t201;
C_word t202;
C_word t203;
C_word t204;
C_word t205;
C_word t206;
C_word t207;
C_word t208;
C_word t209;
C_word t210;
C_word t211;
C_word t212;
C_word t213;
C_word t214;
C_word t215;
C_word t216;
C_word t217;
C_word t218;
C_word t219;
C_word t220;
C_word t221;
C_word t222;
C_word t223;
C_word t224;
C_word t225;
C_word t226;
C_word t227;
C_word t228;
C_word t229;
C_word t230;
C_word t231;
C_word t232;
C_word t233;
C_word t234;
C_word t235;
C_word t236;
C_word t237;
C_word t238;
C_word t239;
C_word t240;
C_word t241;
C_word t242;
C_word t243;
C_word t244;
C_word t245;
C_word t246;
C_word t247;
C_word t248;
C_word t249;
C_word t250;
C_word t251;
C_word t252;
C_word t253;
C_word t254;
C_word t255;
C_word t256;
C_word t257;
C_word t258;
C_word t259;
C_word t260;
C_word t261;
C_word t262;
C_word t263;
C_word t264;
C_word t265;
C_word t266;
C_word t267;
C_word t268;
C_word t269;
C_word t270;
C_word t271;
C_word t272;
C_word t273;
C_word t274;
C_word t275;
C_word t276;
C_word t277;
C_word t278;
C_word t279;
C_word t280;
C_word t281;
C_word t282;
C_word t283;
C_word t284;
C_word t285;
C_word t286;
C_word t287;
C_word t288;
C_word t289;
C_word t290;
C_word t291;
C_word t292;
C_word t293;
C_word t294;
C_word t295;
C_word t296;
C_word t297;
C_word t298;
C_word t299;
C_word t300;
C_word t301;
C_word t302;
C_word t303;
C_word t304;
C_word t305;
C_word t306;
C_word t307;
C_word t308;
C_word t309;
C_word t310;
C_word t311;
C_word t312;
C_word t313;
C_word t314;
C_word t315;
C_word t316;
C_word t317;
C_word t318;
C_word t319;
C_word t320;
C_word t321;
C_word t322;
C_word t323;
C_word t324;
C_word t325;
C_word t326;
C_word t327;
C_word t328;
C_word t329;
C_word t330;
C_word t331;
C_word t332;
C_word t333;
C_word t334;
C_word t335;
C_word t336;
C_word t337;
C_word t338;
C_word t339;
C_word t340;
C_word t341;
C_word t342;
C_word t343;
C_word t344;
C_word t345;
C_word t346;
C_word t347;
C_word t348;
C_word t349;
C_word t350;
C_word t351;
C_word t352;
C_word t353;
C_word t354;
C_word t355;
C_word t356;
C_word t357;
C_word t358;
C_word t359;
C_word t360;
C_word t361;
C_word t362;
C_word t363;
C_word t364;
C_word t365;
C_word t366;
C_word t367;
C_word t368;
C_word t369;
C_word t370;
C_word t371;
C_word t372;
C_word t373;
C_word t374;
C_word t375;
C_word t376;
C_word t377;
C_word t378;
C_word t379;
C_word t380;
C_word t381;
C_word t382;
C_word t383;
C_word t384;
C_word t385;
C_word t386;
C_word t387;
C_word t388;
C_word t389;
C_word t390;
C_word t391;
C_word t392;
C_word t393;
C_word t394;
C_word t395;
C_word t396;
C_word t397;
C_word t398;
C_word t399;
C_word t400;
C_word t401;
C_word t402;
C_word t403;
C_word t404;
C_word t405;
C_word t406;
C_word t407;
C_word t408;
C_word t409;
C_word t410;
C_word t411;
C_word t412;
C_word t413;
C_word t414;
C_word t415;
C_word t416;
C_word t417;
C_word t418;
C_word t419;
C_word t420;
C_word t421;
C_word t422;
C_word t423;
C_word t424;
C_word t425;
C_word t426;
C_word t427;
C_word t428;
C_word t429;
C_word t430;
C_word t431;
C_word t432;
C_word t433;
C_word t434;
C_word t435;
C_word t436;
C_word t437;
C_word t438;
C_word t439;
C_word t440;
C_word t441;
C_word t442;
C_word t443;
C_word t444;
C_word t445;
C_word t446;
C_word t447;
C_word t448;
C_word t449;
C_word t450;
C_word t451;
C_word t452;
C_word t453;
C_word t454;
C_word t455;
C_word t456;
C_word t457;
C_word t458;
C_word t459;
C_word t460;
C_word t461;
C_word t462;
C_word t463;
C_word t464;
C_word t465;
C_word t466;
C_word t467;
C_word t468;
C_word t469;
C_word t470;
C_word t471;
C_word t472;
C_word t473;
C_word t474;
C_word t475;
C_word t476;
C_word t477;
C_word t478;
C_word t479;
C_word t480;
C_word t481;
C_word t482;
C_word t483;
C_word t484;
C_word t485;
C_word t486;
C_word t487;
C_word t488;
C_word t489;
C_word t490;
C_word t491;
C_word t492;
C_word t493;
C_word t494;
C_word t495;
C_word t496;
C_word t497;
C_word t498;
C_word t499;
C_word t500;
C_word t501;
C_word t502;
C_word t503;
C_word t504;
C_word t505;
C_word t506;
C_word t507;
C_word t508;
C_word t509;
C_word t510;
C_word t511;
C_word t512;
C_word t513;
C_word t514;
C_word t515;
C_word t516;
C_word t517;
C_word t518;
C_word t519;
C_word t520;
C_word t521;
C_word t522;
C_word t523;
C_word t524;
C_word t525;
C_word t526;
C_word t527;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(1327,c,6)))){
C_save_and_reclaim((void *)f_8512,2,av);}
a=C_alloc(1327);
t2=C_a_i_provide(&a,1,lf[0]);
t3=C_a_i_provide(&a,1,lf[1]);
t4=C_mutate((C_word*)lf[2]+1 /* (set! scheme#not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8514,a[2]=((C_word)li0),tmp=(C_word)a,a+=3,tmp));
t5=C_mutate((C_word*)lf[3]+1 /* (set! scheme#boolean? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8517,a[2]=((C_word)li1),tmp=(C_word)a,a+=3,tmp));
t6=C_mutate((C_word*)lf[4]+1 /* (set! scheme#eq? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8520,a[2]=((C_word)li2),tmp=(C_word)a,a+=3,tmp));
t7=C_mutate((C_word*)lf[5]+1 /* (set! scheme#eqv? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8523,a[2]=((C_word)li3),tmp=(C_word)a,a+=3,tmp));
t8=C_mutate((C_word*)lf[6]+1 /* (set! scheme#equal? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8526,a[2]=((C_word)li4),tmp=(C_word)a,a+=3,tmp));
t9=C_mutate((C_word*)lf[7]+1 /* (set! scheme#pair? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8529,a[2]=((C_word)li5),tmp=(C_word)a,a+=3,tmp));
t10=C_mutate((C_word*)lf[8]+1 /* (set! scheme#cons ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8532,a[2]=((C_word)li6),tmp=(C_word)a,a+=3,tmp));
t11=C_mutate((C_word*)lf[9]+1 /* (set! scheme#car ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8535,a[2]=((C_word)li7),tmp=(C_word)a,a+=3,tmp));
t12=C_mutate((C_word*)lf[10]+1 /* (set! scheme#cdr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8538,a[2]=((C_word)li8),tmp=(C_word)a,a+=3,tmp));
t13=C_mutate((C_word*)lf[11]+1 /* (set! scheme#set-car! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8541,a[2]=((C_word)li9),tmp=(C_word)a,a+=3,tmp));
t14=C_mutate((C_word*)lf[12]+1 /* (set! scheme#set-cdr! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8544,a[2]=((C_word)li10),tmp=(C_word)a,a+=3,tmp));
t15=C_mutate((C_word*)lf[13]+1 /* (set! scheme#cadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8547,a[2]=((C_word)li11),tmp=(C_word)a,a+=3,tmp));
t16=C_mutate((C_word*)lf[14]+1 /* (set! scheme#caddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8550,a[2]=((C_word)li12),tmp=(C_word)a,a+=3,tmp));
t17=C_mutate((C_word*)lf[15]+1 /* (set! scheme#cadddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8553,a[2]=((C_word)li13),tmp=(C_word)a,a+=3,tmp));
t18=C_mutate((C_word*)lf[16]+1 /* (set! scheme#cddddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8556,a[2]=((C_word)li14),tmp=(C_word)a,a+=3,tmp));
t19=C_mutate((C_word*)lf[17]+1 /* (set! scheme#caar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8559,a[2]=((C_word)li15),tmp=(C_word)a,a+=3,tmp));
t20=C_mutate((C_word*)lf[18]+1 /* (set! scheme#cdar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8562,a[2]=((C_word)li16),tmp=(C_word)a,a+=3,tmp));
t21=C_mutate((C_word*)lf[19]+1 /* (set! scheme#cddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8565,a[2]=((C_word)li17),tmp=(C_word)a,a+=3,tmp));
t22=C_mutate((C_word*)lf[20]+1 /* (set! scheme#caaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8568,a[2]=((C_word)li18),tmp=(C_word)a,a+=3,tmp));
t23=C_mutate((C_word*)lf[21]+1 /* (set! scheme#caadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8582,a[2]=((C_word)li19),tmp=(C_word)a,a+=3,tmp));
t24=C_mutate((C_word*)lf[22]+1 /* (set! scheme#cadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8589,a[2]=((C_word)li20),tmp=(C_word)a,a+=3,tmp));
t25=C_mutate((C_word*)lf[23]+1 /* (set! scheme#cdaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8596,a[2]=((C_word)li21),tmp=(C_word)a,a+=3,tmp));
t26=C_mutate((C_word*)lf[24]+1 /* (set! scheme#cdadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8610,a[2]=((C_word)li22),tmp=(C_word)a,a+=3,tmp));
t27=C_mutate((C_word*)lf[25]+1 /* (set! scheme#cddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8617,a[2]=((C_word)li23),tmp=(C_word)a,a+=3,tmp));
t28=C_mutate((C_word*)lf[26]+1 /* (set! scheme#cdddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8631,a[2]=((C_word)li24),tmp=(C_word)a,a+=3,tmp));
t29=C_mutate((C_word*)lf[27]+1 /* (set! scheme#caaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8645,a[2]=((C_word)li25),tmp=(C_word)a,a+=3,tmp));
t30=C_mutate((C_word*)lf[28]+1 /* (set! scheme#caaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8663,a[2]=((C_word)li26),tmp=(C_word)a,a+=3,tmp));
t31=C_mutate((C_word*)lf[29]+1 /* (set! scheme#caadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8674,a[2]=((C_word)li27),tmp=(C_word)a,a+=3,tmp));
t32=C_mutate((C_word*)lf[30]+1 /* (set! scheme#caaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8685,a[2]=((C_word)li28),tmp=(C_word)a,a+=3,tmp));
t33=C_mutate((C_word*)lf[31]+1 /* (set! scheme#cadaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8692,a[2]=((C_word)li29),tmp=(C_word)a,a+=3,tmp));
t34=C_mutate((C_word*)lf[32]+1 /* (set! scheme#cadadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8703,a[2]=((C_word)li30),tmp=(C_word)a,a+=3,tmp));
t35=C_mutate((C_word*)lf[33]+1 /* (set! scheme#caddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8707,a[2]=((C_word)li31),tmp=(C_word)a,a+=3,tmp));
t36=C_mutate((C_word*)lf[34]+1 /* (set! scheme#cdaaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8714,a[2]=((C_word)li32),tmp=(C_word)a,a+=3,tmp));
t37=C_mutate((C_word*)lf[35]+1 /* (set! scheme#cdaadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8732,a[2]=((C_word)li33),tmp=(C_word)a,a+=3,tmp));
t38=C_mutate((C_word*)lf[36]+1 /* (set! scheme#cdadar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8743,a[2]=((C_word)li34),tmp=(C_word)a,a+=3,tmp));
t39=C_mutate((C_word*)lf[37]+1 /* (set! scheme#cdaddr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8754,a[2]=((C_word)li35),tmp=(C_word)a,a+=3,tmp));
t40=C_mutate((C_word*)lf[38]+1 /* (set! scheme#cddaar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8761,a[2]=((C_word)li36),tmp=(C_word)a,a+=3,tmp));
t41=C_mutate((C_word*)lf[39]+1 /* (set! scheme#cddadr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8779,a[2]=((C_word)li37),tmp=(C_word)a,a+=3,tmp));
t42=C_mutate((C_word*)lf[40]+1 /* (set! scheme#cdddar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8790,a[2]=((C_word)li38),tmp=(C_word)a,a+=3,tmp));
t43=C_mutate((C_word*)lf[41]+1 /* (set! scheme#null? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8808,a[2]=((C_word)li39),tmp=(C_word)a,a+=3,tmp));
t44=C_mutate((C_word*)lf[42]+1 /* (set! scheme#list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8814,a[2]=((C_word)li40),tmp=(C_word)a,a+=3,tmp));
t45=C_mutate((C_word*)lf[43]+1 /* (set! scheme#length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8817,a[2]=((C_word)li41),tmp=(C_word)a,a+=3,tmp));
t46=C_mutate((C_word*)lf[44]+1 /* (set! scheme#list-tail ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8820,a[2]=((C_word)li42),tmp=(C_word)a,a+=3,tmp));
t47=C_mutate((C_word*)lf[45]+1 /* (set! scheme#list-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8823,a[2]=((C_word)li43),tmp=(C_word)a,a+=3,tmp));
t48=C_mutate((C_word*)lf[46]+1 /* (set! scheme#reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8826,a[2]=((C_word)li45),tmp=(C_word)a,a+=3,tmp));
t49=C_mutate((C_word*)lf[49]+1 /* (set! scheme#memq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8865,a[2]=((C_word)li46),tmp=(C_word)a,a+=3,tmp));
t50=C_mutate((C_word*)lf[50]+1 /* (set! scheme#memv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8868,a[2]=((C_word)li47),tmp=(C_word)a,a+=3,tmp));
t51=C_mutate((C_word*)lf[51]+1 /* (set! scheme#member ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8871,a[2]=((C_word)li48),tmp=(C_word)a,a+=3,tmp));
t52=C_mutate((C_word*)lf[52]+1 /* (set! scheme#assq ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8874,a[2]=((C_word)li49),tmp=(C_word)a,a+=3,tmp));
t53=C_mutate((C_word*)lf[53]+1 /* (set! scheme#assv ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8877,a[2]=((C_word)li50),tmp=(C_word)a,a+=3,tmp));
t54=C_mutate((C_word*)lf[54]+1 /* (set! scheme#assoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8880,a[2]=((C_word)li51),tmp=(C_word)a,a+=3,tmp));
t55=C_mutate((C_word*)lf[55]+1 /* (set! scheme#list? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8883,a[2]=((C_word)li52),tmp=(C_word)a,a+=3,tmp));
t56=C_mutate((C_word*)lf[56]+1 /* (set! scheme#string? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8886,a[2]=((C_word)li53),tmp=(C_word)a,a+=3,tmp));
t57=C_mutate((C_word*)lf[57]+1 /* (set! scheme#string-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8889,a[2]=((C_word)li54),tmp=(C_word)a,a+=3,tmp));
t58=C_mutate((C_word*)lf[58]+1 /* (set! scheme#string-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8892,a[2]=((C_word)li55),tmp=(C_word)a,a+=3,tmp));
t59=C_mutate((C_word*)lf[59]+1 /* (set! scheme#string-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8895,a[2]=((C_word)li56),tmp=(C_word)a,a+=3,tmp));
t60=C_mutate((C_word*)lf[60]+1 /* (set! scheme#string=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8898,a[2]=((C_word)li57),tmp=(C_word)a,a+=3,tmp));
t61=C_mutate((C_word*)lf[61]+1 /* (set! scheme#string-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8901,a[2]=((C_word)li58),tmp=(C_word)a,a+=3,tmp));
t62=C_mutate((C_word*)lf[62]+1 /* (set! scheme#exact->inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8905,a[2]=((C_word)li59),tmp=(C_word)a,a+=3,tmp));
t63=C_mutate((C_word*)lf[63]+1 /* (set! scheme#abs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8908,a[2]=((C_word)li60),tmp=(C_word)a,a+=3,tmp));
t64=C_mutate((C_word*)lf[64]+1 /* (set! scheme#+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_plus,a[2]=((C_word)li61),tmp=(C_word)a,a+=3,tmp));
t65=C_mutate((C_word*)lf[65]+1 /* (set! scheme#- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_minus,a[2]=((C_word)li62),tmp=(C_word)a,a+=3,tmp));
t66=C_mutate((C_word*)lf[66]+1 /* (set! scheme#* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_times,a[2]=((C_word)li63),tmp=(C_word)a,a+=3,tmp));
t67=C_mutate((C_word*)lf[67]+1 /* (set! scheme#quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8914,a[2]=((C_word)li64),tmp=(C_word)a,a+=3,tmp));
t68=C_mutate((C_word*)lf[68]+1 /* (set! scheme#remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8917,a[2]=((C_word)li65),tmp=(C_word)a,a+=3,tmp));
t69=C_mutate((C_word*)lf[69]+1 /* (set! scheme#modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8920,a[2]=((C_word)li66),tmp=(C_word)a,a+=3,tmp));
t70=C_mutate((C_word*)lf[70]+1 /* (set! scheme#even? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8923,a[2]=((C_word)li67),tmp=(C_word)a,a+=3,tmp));
t71=C_mutate((C_word*)lf[71]+1 /* (set! scheme#odd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8926,a[2]=((C_word)li68),tmp=(C_word)a,a+=3,tmp));
t72=C_mutate((C_word*)lf[72]+1 /* (set! scheme#= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_nequalp,a[2]=((C_word)li69),tmp=(C_word)a,a+=3,tmp));
t73=C_mutate((C_word*)lf[73]+1 /* (set! scheme#> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greaterp,a[2]=((C_word)li70),tmp=(C_word)a,a+=3,tmp));
t74=C_mutate((C_word*)lf[74]+1 /* (set! scheme#< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_lessp,a[2]=((C_word)li71),tmp=(C_word)a,a+=3,tmp));
t75=C_mutate((C_word*)lf[75]+1 /* (set! scheme#>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_greater_or_equal_p,a[2]=((C_word)li72),tmp=(C_word)a,a+=3,tmp));
t76=C_mutate((C_word*)lf[76]+1 /* (set! scheme#<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_less_or_equal_p,a[2]=((C_word)li73),tmp=(C_word)a,a+=3,tmp));
t77=C_mutate((C_word*)lf[77]+1 /* (set! scheme#number? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8934,a[2]=((C_word)li74),tmp=(C_word)a,a+=3,tmp));
t78=C_mutate((C_word*)lf[78]+1 /* (set! scheme#complex? ...) */,*((C_word*)lf[77]+1));
t79=C_mutate((C_word*)lf[79]+1 /* (set! scheme#real? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8938,a[2]=((C_word)li75),tmp=(C_word)a,a+=3,tmp));
t80=C_mutate((C_word*)lf[80]+1 /* (set! scheme#rational? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8941,a[2]=((C_word)li76),tmp=(C_word)a,a+=3,tmp));
t81=C_mutate((C_word*)lf[81]+1 /* (set! scheme#integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8944,a[2]=((C_word)li77),tmp=(C_word)a,a+=3,tmp));
t82=C_mutate((C_word*)lf[82]+1 /* (set! scheme#exact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8947,a[2]=((C_word)li78),tmp=(C_word)a,a+=3,tmp));
t83=C_mutate((C_word*)lf[83]+1 /* (set! scheme#inexact? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8950,a[2]=((C_word)li79),tmp=(C_word)a,a+=3,tmp));
t84=C_mutate((C_word*)lf[84]+1 /* (set! scheme#zero? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8953,a[2]=((C_word)li80),tmp=(C_word)a,a+=3,tmp));
t85=C_mutate((C_word*)lf[85]+1 /* (set! scheme#positive? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8956,a[2]=((C_word)li81),tmp=(C_word)a,a+=3,tmp));
t86=C_mutate((C_word*)lf[86]+1 /* (set! scheme#negative? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8959,a[2]=((C_word)li82),tmp=(C_word)a,a+=3,tmp));
t87=C_mutate((C_word*)lf[87]+1 /* (set! scheme#number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_number_to_string,a[2]=((C_word)li83),tmp=(C_word)a,a+=3,tmp));
t88=C_mutate((C_word*)lf[88]+1 /* (set! scheme#symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8963,a[2]=((C_word)li84),tmp=(C_word)a,a+=3,tmp));
t89=C_mutate((C_word*)lf[89]+1 /* (set! scheme#vector? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8966,a[2]=((C_word)li85),tmp=(C_word)a,a+=3,tmp));
t90=C_mutate((C_word*)lf[90]+1 /* (set! scheme#vector-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8969,a[2]=((C_word)li86),tmp=(C_word)a,a+=3,tmp));
t91=C_mutate((C_word*)lf[91]+1 /* (set! scheme#vector-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8972,a[2]=((C_word)li87),tmp=(C_word)a,a+=3,tmp));
t92=C_mutate((C_word*)lf[92]+1 /* (set! scheme#vector-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8975,a[2]=((C_word)li88),tmp=(C_word)a,a+=3,tmp));
t93=C_set_block_item(lf[93] /* scheme#make-vector */,0,C_SCHEME_UNDEFINED);
t94=C_set_block_item(lf[94] /* scheme#list->vector */,0,C_SCHEME_UNDEFINED);
t95=C_set_block_item(lf[95] /* scheme#vector->list */,0,C_SCHEME_UNDEFINED);
t96=C_set_block_item(lf[96] /* scheme#vector */,0,C_SCHEME_UNDEFINED);
t97=C_set_block_item(lf[97] /* scheme#vector-fill! */,0,C_SCHEME_UNDEFINED);
t98=C_mutate((C_word*)lf[98]+1 /* (set! scheme#char? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8983,a[2]=((C_word)li89),tmp=(C_word)a,a+=3,tmp));
t99=C_mutate((C_word*)lf[99]+1 /* (set! scheme#char->integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8986,a[2]=((C_word)li90),tmp=(C_word)a,a+=3,tmp));
t100=C_mutate((C_word*)lf[101]+1 /* (set! scheme#integer->char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8993,a[2]=((C_word)li91),tmp=(C_word)a,a+=3,tmp));
t101=C_mutate((C_word*)lf[104]+1 /* (set! scheme#char=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9000,a[2]=((C_word)li92),tmp=(C_word)a,a+=3,tmp));
t102=C_mutate((C_word*)lf[105]+1 /* (set! scheme#char>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9003,a[2]=((C_word)li93),tmp=(C_word)a,a+=3,tmp));
t103=C_mutate((C_word*)lf[106]+1 /* (set! scheme#char<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9006,a[2]=((C_word)li94),tmp=(C_word)a,a+=3,tmp));
t104=C_mutate((C_word*)lf[107]+1 /* (set! scheme#char>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9009,a[2]=((C_word)li95),tmp=(C_word)a,a+=3,tmp));
t105=C_mutate((C_word*)lf[108]+1 /* (set! scheme#char<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9012,a[2]=((C_word)li96),tmp=(C_word)a,a+=3,tmp));
t106=C_mutate((C_word*)lf[109]+1 /* (set! scheme#char-upcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9015,a[2]=((C_word)li97),tmp=(C_word)a,a+=3,tmp));
t107=C_mutate((C_word*)lf[111]+1 /* (set! scheme#char-downcase ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9021,a[2]=((C_word)li98),tmp=(C_word)a,a+=3,tmp));
t108=C_set_block_item(lf[113] /* scheme#char-ci=? */,0,C_SCHEME_UNDEFINED);
t109=C_set_block_item(lf[114] /* scheme#char-ci>? */,0,C_SCHEME_UNDEFINED);
t110=C_set_block_item(lf[115] /* scheme#char-ci<? */,0,C_SCHEME_UNDEFINED);
t111=C_set_block_item(lf[116] /* scheme#char-ci>=? */,0,C_SCHEME_UNDEFINED);
t112=C_set_block_item(lf[117] /* scheme#char-ci<=? */,0,C_SCHEME_UNDEFINED);
t113=C_mutate((C_word*)lf[118]+1 /* (set! scheme#char-upper-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9032,a[2]=((C_word)li99),tmp=(C_word)a,a+=3,tmp));
t114=C_mutate((C_word*)lf[120]+1 /* (set! scheme#char-lower-case? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9038,a[2]=((C_word)li100),tmp=(C_word)a,a+=3,tmp));
t115=C_mutate((C_word*)lf[122]+1 /* (set! scheme#char-numeric? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9044,a[2]=((C_word)li101),tmp=(C_word)a,a+=3,tmp));
t116=C_mutate((C_word*)lf[124]+1 /* (set! scheme#char-whitespace? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9050,a[2]=((C_word)li102),tmp=(C_word)a,a+=3,tmp));
t117=C_mutate((C_word*)lf[126]+1 /* (set! scheme#char-alphabetic? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9056,a[2]=((C_word)li103),tmp=(C_word)a,a+=3,tmp));
t118=C_mutate((C_word*)lf[128]+1 /* (set! scheme#procedure? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9062,a[2]=((C_word)li104),tmp=(C_word)a,a+=3,tmp));
t119=C_mutate((C_word*)lf[129]+1 /* (set! scheme#apply ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply,a[2]=((C_word)li105),tmp=(C_word)a,a+=3,tmp));
t120=C_mutate((C_word*)lf[130]+1 /* (set! scheme#values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_values,a[2]=((C_word)li106),tmp=(C_word)a,a+=3,tmp));
t121=C_mutate((C_word*)lf[131]+1 /* (set! scheme#call-with-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_call_with_values,a[2]=((C_word)li107),tmp=(C_word)a,a+=3,tmp));
t122=C_set_block_item(lf[132] /* scheme#call-with-current-continuation */,0,C_SCHEME_UNDEFINED);
t123=C_mutate((C_word*)lf[133]+1 /* (set! scheme#input-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9069,a[2]=((C_word)li108),tmp=(C_word)a,a+=3,tmp));
t124=C_mutate((C_word*)lf[134]+1 /* (set! scheme#output-port? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9075,a[2]=((C_word)li109),tmp=(C_word)a,a+=3,tmp));
t125=C_set_block_item(lf[135] /* scheme#current-input-port */,0,C_SCHEME_UNDEFINED);
t126=C_set_block_item(lf[136] /* scheme#current-output-port */,0,C_SCHEME_UNDEFINED);
t127=C_set_block_item(lf[137] /* scheme#open-input-file */,0,C_SCHEME_UNDEFINED);
t128=C_set_block_item(lf[138] /* scheme#open-output-file */,0,C_SCHEME_UNDEFINED);
t129=C_set_block_item(lf[139] /* scheme#close-input-port */,0,C_SCHEME_UNDEFINED);
t130=C_set_block_item(lf[140] /* scheme#close-output-port */,0,C_SCHEME_UNDEFINED);
t131=C_set_block_item(lf[141] /* scheme#call-with-input-file */,0,C_SCHEME_UNDEFINED);
t132=C_set_block_item(lf[142] /* scheme#call-with-output-file */,0,C_SCHEME_UNDEFINED);
t133=C_set_block_item(lf[143] /* scheme#with-input-from-file */,0,C_SCHEME_UNDEFINED);
t134=C_set_block_item(lf[144] /* scheme#with-output-to-file */,0,C_SCHEME_UNDEFINED);
t135=C_mutate((C_word*)lf[145]+1 /* (set! scheme#eof-object? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9091,a[2]=((C_word)li110),tmp=(C_word)a,a+=3,tmp));
t136=C_set_block_item(lf[146] /* scheme#char-ready? */,0,C_SCHEME_UNDEFINED);
t137=C_set_block_item(lf[147] /* scheme#read-char */,0,C_SCHEME_UNDEFINED);
t138=C_set_block_item(lf[148] /* scheme#peek-char */,0,C_SCHEME_UNDEFINED);
t139=C_set_block_item(lf[149] /* scheme#read */,0,C_SCHEME_UNDEFINED);
t140=C_set_block_item(lf[150] /* scheme#write-char */,0,C_SCHEME_UNDEFINED);
t141=C_set_block_item(lf[151] /* scheme#newline */,0,C_SCHEME_UNDEFINED);
t142=C_set_block_item(lf[152] /* scheme#write */,0,C_SCHEME_UNDEFINED);
t143=C_set_block_item(lf[153] /* scheme#display */,0,C_SCHEME_UNDEFINED);
t144=C_mutate((C_word*)lf[154]+1 /* (set! scheme#eval ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9102,a[2]=((C_word)li111),tmp=(C_word)a,a+=3,tmp));
t145=C_mutate((C_word*)lf[158]+1 /* (set! scheme#interaction-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9108,a[2]=((C_word)li112),tmp=(C_word)a,a+=3,tmp));
t146=C_mutate((C_word*)lf[161]+1 /* (set! scheme#scheme-report-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9114,a[2]=((C_word)li113),tmp=(C_word)a,a+=3,tmp));
t147=C_mutate((C_word*)lf[164]+1 /* (set! scheme#null-environment ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9120,a[2]=((C_word)li114),tmp=(C_word)a,a+=3,tmp));
t148=C_mutate((C_word*)lf[167]+1 /* (set! scheme#load ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9126,a[2]=((C_word)li115),tmp=(C_word)a,a+=3,tmp));
t149=C_set_block_item(lf[170] /* scheme#for-each */,0,C_SCHEME_UNDEFINED);
t150=C_set_block_item(lf[171] /* scheme#map */,0,C_SCHEME_UNDEFINED);
t151=C_set_block_item(lf[172] /* scheme#dynamic-wind */,0,C_SCHEME_UNDEFINED);
t152=C_a_i_provide(&a,1,lf[173]);
t153=C_mutate((C_word*)lf[174]+1 /* (set! chicken.base#fixnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9135,a[2]=((C_word)li116),tmp=(C_word)a,a+=3,tmp));
t154=C_mutate((C_word*)lf[175]+1 /* (set! chicken.base#flonum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9138,a[2]=((C_word)li117),tmp=(C_word)a,a+=3,tmp));
t155=C_mutate((C_word*)lf[176]+1 /* (set! chicken.base#bignum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9141,a[2]=((C_word)li118),tmp=(C_word)a,a+=3,tmp));
t156=C_mutate((C_word*)lf[177]+1 /* (set! chicken.base#ratnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9144,a[2]=((C_word)li119),tmp=(C_word)a,a+=3,tmp));
t157=C_mutate((C_word*)lf[178]+1 /* (set! chicken.base#cplxnum? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9147,a[2]=((C_word)li120),tmp=(C_word)a,a+=3,tmp));
t158=C_mutate((C_word*)lf[179]+1 /* (set! chicken.base#exact-integer? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9150,a[2]=((C_word)li121),tmp=(C_word)a,a+=3,tmp));
t159=C_mutate((C_word*)lf[180]+1 /* (set! chicken.base#quotient&remainder ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_quotient_and_remainder,a[2]=((C_word)li122),tmp=(C_word)a,a+=3,tmp));
t160=C_mutate((C_word*)lf[181]+1 /* (set! chicken.base#quotient&modulo ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9154,a[2]=((C_word)li125),tmp=(C_word)a,a+=3,tmp));
t161=C_mutate((C_word*)lf[182]+1 /* (set! chicken.base#finite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9201,a[2]=((C_word)li126),tmp=(C_word)a,a+=3,tmp));
t162=C_mutate((C_word*)lf[183]+1 /* (set! chicken.base#infinite? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9204,a[2]=((C_word)li127),tmp=(C_word)a,a+=3,tmp));
t163=C_mutate((C_word*)lf[184]+1 /* (set! chicken.base#nan? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9207,a[2]=((C_word)li128),tmp=(C_word)a,a+=3,tmp));
t164=C_mutate((C_word*)lf[185]+1 /* (set! chicken.base#signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_signum,a[2]=((C_word)li129),tmp=(C_word)a,a+=3,tmp));
t165=C_set_block_item(lf[186] /* chicken.base#get-call-chain */,0,C_SCHEME_UNDEFINED);
t166=C_set_block_item(lf[187] /* chicken.base#print-call-chain */,0,C_SCHEME_UNDEFINED);
t167=C_set_block_item(lf[188] /* chicken.base#print */,0,C_SCHEME_UNDEFINED);
t168=C_set_block_item(lf[189] /* chicken.base#print* */,0,C_SCHEME_UNDEFINED);
t169=C_mutate((C_word*)lf[190]+1 /* (set! chicken.base#add1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9215,a[2]=((C_word)li130),tmp=(C_word)a,a+=3,tmp));
t170=C_mutate((C_word*)lf[191]+1 /* (set! chicken.base#sub1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9221,a[2]=((C_word)li131),tmp=(C_word)a,a+=3,tmp));
t171=C_set_block_item(lf[192] /* chicken.base#current-error-port */,0,C_SCHEME_UNDEFINED);
t172=C_mutate((C_word*)lf[193]+1 /* (set! chicken.base#error ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9228,a[2]=((C_word)li132),tmp=(C_word)a,a+=3,tmp));
t173=C_mutate((C_word*)lf[196]+1 /* (set! chicken.base#void ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9243,a[2]=((C_word)li133),tmp=(C_word)a,a+=3,tmp));
t174=C_set_block_item(lf[197] /* chicken.base#sleep */,0,C_SCHEME_UNDEFINED);
t175=C_set_block_item(lf[198] /* chicken.base#call/cc */,0,C_SCHEME_UNDEFINED);
t176=C_set_block_item(lf[199] /* chicken.base#char-name */,0,C_SCHEME_UNDEFINED);
t177=C_set_block_item(lf[200] /* chicken.base#getter-with-setter */,0,C_SCHEME_UNDEFINED);
t178=C_set_block_item(lf[201] /* chicken.base#make-parameter */,0,C_SCHEME_UNDEFINED);
t179=C_set_block_item(lf[202] /* chicken.base#procedure-information */,0,C_SCHEME_UNDEFINED);
t180=C_set_block_item(lf[203] /* chicken.base#setter */,0,C_SCHEME_UNDEFINED);
t181=C_set_block_item(lf[204] /* chicken.base#vector-copy! */,0,C_SCHEME_UNDEFINED);
t182=C_set_block_item(lf[205] /* chicken.base#subvector */,0,C_SCHEME_UNDEFINED);
t183=C_set_block_item(lf[206] /* chicken.base#vector-resize */,0,C_SCHEME_UNDEFINED);
t184=C_set_block_item(lf[207] /* chicken.base#port? */,0,C_SCHEME_UNDEFINED);
t185=C_set_block_item(lf[208] /* chicken.base#port-closed? */,0,C_SCHEME_UNDEFINED);
t186=C_set_block_item(lf[209] /* chicken.base#input-port-open? */,0,C_SCHEME_UNDEFINED);
t187=C_set_block_item(lf[210] /* chicken.base#output-port-open? */,0,C_SCHEME_UNDEFINED);
t188=C_set_block_item(lf[211] /* chicken.base#get-output-string */,0,C_SCHEME_UNDEFINED);
t189=C_set_block_item(lf[212] /* chicken.base#open-input-string */,0,C_SCHEME_UNDEFINED);
t190=C_set_block_item(lf[213] /* chicken.base#open-output-string */,0,C_SCHEME_UNDEFINED);
t191=C_set_block_item(lf[214] /* chicken.base#flush-output */,0,C_SCHEME_UNDEFINED);
t192=C_mutate((C_word*)lf[215]+1 /* (set! chicken.base#promise? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9264,a[2]=((C_word)li134),tmp=(C_word)a,a+=3,tmp));
t193=C_mutate((C_word*)lf[217]+1 /* (set! ##sys#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9270,a[2]=((C_word)li135),tmp=(C_word)a,a+=3,tmp));
t194=C_mutate((C_word*)lf[218]+1 /* (set! chicken.base#make-promise ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9276,a[2]=((C_word)li137),tmp=(C_word)a,a+=3,tmp));
t195=C_mutate((C_word*)lf[219]+1 /* (set! chicken.base#foldl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9291,a[2]=((C_word)li139),tmp=(C_word)a,a+=3,tmp));
t196=C_mutate((C_word*)lf[221]+1 /* (set! chicken.base#foldr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9328,a[2]=((C_word)li141),tmp=(C_word)a,a+=3,tmp));
t197=C_set_block_item(lf[223] /* chicken.base#implicit-exit-handler */,0,C_SCHEME_UNDEFINED);
t198=C_set_block_item(lf[224] /* chicken.base#exit-handler */,0,C_SCHEME_UNDEFINED);
t199=C_set_block_item(lf[225] /* chicken.base#cleanup-tasks */,0,C_SCHEME_END_OF_LIST);
t200=C_mutate((C_word*)lf[226]+1 /* (set! chicken.base#on-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9368,a[2]=((C_word)li142),tmp=(C_word)a,a+=3,tmp));
t201=C_mutate((C_word*)lf[227]+1 /* (set! chicken.base#exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9375,a[2]=((C_word)li143),tmp=(C_word)a,a+=3,tmp));
t202=C_mutate((C_word*)lf[228]+1 /* (set! chicken.base#emergency-exit ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9393,a[2]=((C_word)li144),tmp=(C_word)a,a+=3,tmp));
t203=C_set_block_item(lf[230] /* chicken.base#case-sensitive */,0,C_SCHEME_UNDEFINED);
t204=C_set_block_item(lf[231] /* chicken.base#keyword-style */,0,C_SCHEME_UNDEFINED);
t205=C_set_block_item(lf[232] /* chicken.base#parentheses-synonyms */,0,C_SCHEME_UNDEFINED);
t206=C_set_block_item(lf[233] /* chicken.base#symbol-escape */,0,C_SCHEME_UNDEFINED);
t207=C_mutate((C_word*)lf[234]+1 /* (set! chicken.base#identity ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9412,a[2]=((C_word)li145),tmp=(C_word)a,a+=3,tmp));
t208=C_mutate((C_word*)lf[235]+1 /* (set! chicken.base#conjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9415,a[2]=((C_word)li148),tmp=(C_word)a,a+=3,tmp));
t209=C_mutate((C_word*)lf[236]+1 /* (set! chicken.base#disjoin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9448,a[2]=((C_word)li151),tmp=(C_word)a,a+=3,tmp));
t210=C_mutate((C_word*)lf[237]+1 /* (set! chicken.base#constantly ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9485,a[2]=((C_word)li154),tmp=(C_word)a,a+=3,tmp));
t211=C_mutate((C_word*)lf[238]+1 /* (set! chicken.base#flip ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9506,a[2]=((C_word)li156),tmp=(C_word)a,a+=3,tmp));
t212=C_mutate((C_word*)lf[239]+1 /* (set! chicken.base#complement ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9514,a[2]=((C_word)li158),tmp=(C_word)a,a+=3,tmp));
t213=C_mutate((C_word*)lf[240]+1 /* (set! chicken.base#compose ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9526,a[2]=((C_word)li162),tmp=(C_word)a,a+=3,tmp));
t214=C_mutate((C_word*)lf[241]+1 /* (set! chicken.base#o ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9562,a[2]=((C_word)li165),tmp=(C_word)a,a+=3,tmp));
t215=C_mutate((C_word*)lf[242]+1 /* (set! chicken.base#list-of? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9601,a[2]=((C_word)li168),tmp=(C_word)a,a+=3,tmp));
t216=C_mutate((C_word*)lf[243]+1 /* (set! chicken.base#each ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9645,a[2]=((C_word)li172),tmp=(C_word)a,a+=3,tmp));
t217=C_mutate((C_word*)lf[245]+1 /* (set! chicken.base#atom? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9701,a[2]=((C_word)li173),tmp=(C_word)a,a+=3,tmp));
t218=C_mutate((C_word*)lf[246]+1 /* (set! chicken.base#tail? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9704,a[2]=((C_word)li175),tmp=(C_word)a,a+=3,tmp));
t219=C_mutate((C_word*)lf[248]+1 /* (set! chicken.base#intersperse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9732,a[2]=((C_word)li177),tmp=(C_word)a,a+=3,tmp));
t220=C_mutate((C_word*)lf[249]+1 /* (set! chicken.base#butlast ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9765,a[2]=((C_word)li179),tmp=(C_word)a,a+=3,tmp));
t221=C_mutate((C_word*)lf[251]+1 /* (set! chicken.base#flatten ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9797,a[2]=((C_word)li181),tmp=(C_word)a,a+=3,tmp));
t222=C_mutate((C_word*)lf[252]+1 /* (set! chicken.base#join ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9838,a[2]=((C_word)li183),tmp=(C_word)a,a+=3,tmp));
t223=C_mutate((C_word*)lf[255]+1 /* (set! chicken.base#compress ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9895,a[2]=((C_word)li185),tmp=(C_word)a,a+=3,tmp));
t224=C_mutate((C_word*)lf[259]+1 /* (set! chicken.base#alist-update! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9975,a[2]=((C_word)li188),tmp=(C_word)a,a+=3,tmp));
t225=C_mutate((C_word*)lf[260]+1 /* (set! chicken.base#alist-update ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10061,a[2]=((C_word)li190),tmp=(C_word)a,a+=3,tmp));
t226=C_mutate((C_word*)lf[264]+1 /* (set! chicken.base#alist-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10165,a[2]=((C_word)li193),tmp=(C_word)a,a+=3,tmp));
t227=C_mutate((C_word*)lf[267]+1 /* (set! chicken.base#rassoc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10277,a[2]=((C_word)li195),tmp=(C_word)a,a+=3,tmp));
t228=C_mutate(&lf[269] /* (set! maximal-string-length ...) */,C_unsigned_long_to_num(&a,C_HEADER_SIZE_MASK));
t229=C_a_i_provide(&a,1,lf[270]);
t230=C_set_block_item(lf[271] /* chicken.fixnum#most-positive-fixnum */,0,C_fix((C_word)C_MOST_POSITIVE_FIXNUM));
t231=C_set_block_item(lf[272] /* chicken.fixnum#most-negative-fixnum */,0,C_fix((C_word)C_MOST_NEGATIVE_FIXNUM));
t232=C_set_block_item(lf[273] /* chicken.fixnum#fixnum-bits */,0,C_fix((C_word)(C_WORD_SIZE - 1)));
t233=C_set_block_item(lf[274] /* chicken.fixnum#fixnum-precision */,0,C_fix((C_word)(C_WORD_SIZE - (1 + 1))));
t234=C_mutate((C_word*)lf[275]+1 /* (set! chicken.fixnum#fx+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10330,a[2]=((C_word)li196),tmp=(C_word)a,a+=3,tmp));
t235=C_mutate((C_word*)lf[276]+1 /* (set! chicken.fixnum#fx- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10333,a[2]=((C_word)li197),tmp=(C_word)a,a+=3,tmp));
t236=C_mutate((C_word*)lf[277]+1 /* (set! chicken.fixnum#fx* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10336,a[2]=((C_word)li198),tmp=(C_word)a,a+=3,tmp));
t237=C_mutate((C_word*)lf[278]+1 /* (set! chicken.fixnum#fx= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10339,a[2]=((C_word)li199),tmp=(C_word)a,a+=3,tmp));
t238=C_mutate((C_word*)lf[279]+1 /* (set! chicken.fixnum#fx> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10345,a[2]=((C_word)li200),tmp=(C_word)a,a+=3,tmp));
t239=C_mutate((C_word*)lf[280]+1 /* (set! chicken.fixnum#fx< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10348,a[2]=((C_word)li201),tmp=(C_word)a,a+=3,tmp));
t240=C_mutate((C_word*)lf[281]+1 /* (set! chicken.fixnum#fx>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10351,a[2]=((C_word)li202),tmp=(C_word)a,a+=3,tmp));
t241=C_mutate((C_word*)lf[282]+1 /* (set! chicken.fixnum#fx<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10354,a[2]=((C_word)li203),tmp=(C_word)a,a+=3,tmp));
t242=C_mutate((C_word*)lf[283]+1 /* (set! chicken.fixnum#fxmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10357,a[2]=((C_word)li204),tmp=(C_word)a,a+=3,tmp));
t243=C_mutate((C_word*)lf[284]+1 /* (set! chicken.fixnum#fxmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10360,a[2]=((C_word)li205),tmp=(C_word)a,a+=3,tmp));
t244=C_mutate((C_word*)lf[285]+1 /* (set! chicken.fixnum#fxneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10363,a[2]=((C_word)li206),tmp=(C_word)a,a+=3,tmp));
t245=C_mutate((C_word*)lf[286]+1 /* (set! chicken.fixnum#fxand ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10366,a[2]=((C_word)li207),tmp=(C_word)a,a+=3,tmp));
t246=C_mutate((C_word*)lf[287]+1 /* (set! chicken.fixnum#fxior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10369,a[2]=((C_word)li208),tmp=(C_word)a,a+=3,tmp));
t247=C_mutate((C_word*)lf[288]+1 /* (set! chicken.fixnum#fxxor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10372,a[2]=((C_word)li209),tmp=(C_word)a,a+=3,tmp));
t248=C_mutate((C_word*)lf[289]+1 /* (set! chicken.fixnum#fxnot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10375,a[2]=((C_word)li210),tmp=(C_word)a,a+=3,tmp));
t249=C_mutate((C_word*)lf[290]+1 /* (set! chicken.fixnum#fxshl ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10378,a[2]=((C_word)li211),tmp=(C_word)a,a+=3,tmp));
t250=C_mutate((C_word*)lf[291]+1 /* (set! chicken.fixnum#fxshr ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10381,a[2]=((C_word)li212),tmp=(C_word)a,a+=3,tmp));
t251=C_mutate((C_word*)lf[292]+1 /* (set! chicken.fixnum#fxodd? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10384,a[2]=((C_word)li213),tmp=(C_word)a,a+=3,tmp));
t252=C_mutate((C_word*)lf[293]+1 /* (set! chicken.fixnum#fxeven? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10387,a[2]=((C_word)li214),tmp=(C_word)a,a+=3,tmp));
t253=C_mutate((C_word*)lf[294]+1 /* (set! chicken.fixnum#fxlen ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10390,a[2]=((C_word)li215),tmp=(C_word)a,a+=3,tmp));
t254=C_mutate((C_word*)lf[295]+1 /* (set! chicken.fixnum#fx/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10393,a[2]=((C_word)li216),tmp=(C_word)a,a+=3,tmp));
t255=C_mutate((C_word*)lf[296]+1 /* (set! chicken.fixnum#fxgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10396,a[2]=((C_word)li217),tmp=(C_word)a,a+=3,tmp));
t256=C_mutate((C_word*)lf[297]+1 /* (set! chicken.fixnum#fxmod ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10399,a[2]=((C_word)li218),tmp=(C_word)a,a+=3,tmp));
t257=C_mutate((C_word*)lf[298]+1 /* (set! chicken.fixnum#fxrem ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10402,a[2]=((C_word)li219),tmp=(C_word)a,a+=3,tmp));
t258=C_mutate((C_word*)lf[299]+1 /* (set! chicken.fixnum#fx+? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10405,a[2]=((C_word)li220),tmp=(C_word)a,a+=3,tmp));
t259=C_mutate((C_word*)lf[300]+1 /* (set! chicken.fixnum#fx-? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10408,a[2]=((C_word)li221),tmp=(C_word)a,a+=3,tmp));
t260=C_mutate((C_word*)lf[301]+1 /* (set! chicken.fixnum#fx*? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10411,a[2]=((C_word)li222),tmp=(C_word)a,a+=3,tmp));
t261=C_mutate((C_word*)lf[302]+1 /* (set! chicken.fixnum#fx/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10414,a[2]=((C_word)li223),tmp=(C_word)a,a+=3,tmp));
t262=C_mutate((C_word*)lf[303]+1 /* (set! ##sys#debug-mode? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10417,a[2]=((C_word)li224),tmp=(C_word)a,a+=3,tmp));
t263=C_set_block_item(lf[304] /* ##sys#warnings-enabled */,0,C_SCHEME_TRUE);
t264=C_set_block_item(lf[305] /* ##sys#notices-enabled */,0,C_i_debug_modep());
t265=C_mutate((C_word*)lf[306]+1 /* (set! chicken.base#warning ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10422,a[2]=((C_word)li225),tmp=(C_word)a,a+=3,tmp));
t266=C_mutate((C_word*)lf[308]+1 /* (set! chicken.base#notice ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10431,a[2]=((C_word)li226),tmp=(C_word)a,a+=3,tmp));
t267=C_mutate((C_word*)lf[310]+1 /* (set! chicken.base#enable-warnings ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10443,a[2]=((C_word)li227),tmp=(C_word)a,a+=3,tmp));
t268=C_mutate((C_word*)lf[155]+1 /* (set! ##sys#error ...) */,*((C_word*)lf[193]+1));
t269=C_mutate((C_word*)lf[311]+1 /* (set! ##sys#warn ...) */,*((C_word*)lf[306]+1));
t270=C_mutate((C_word*)lf[312]+1 /* (set! ##sys#notice ...) */,*((C_word*)lf[308]+1));
t271=C_mutate((C_word*)lf[313]+1 /* (set! ##sys#gc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_gc,a[2]=((C_word)li228),tmp=(C_word)a,a+=3,tmp));
t272=C_mutate((C_word*)lf[314]+1 /* (set! ##sys#setslot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10458,a[2]=((C_word)li229),tmp=(C_word)a,a+=3,tmp));
t273=C_mutate((C_word*)lf[315]+1 /* (set! ##sys#setislot ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10461,a[2]=((C_word)li230),tmp=(C_word)a,a+=3,tmp));
t274=C_mutate((C_word*)lf[316]+1 /* (set! ##sys#allocate-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_allocate_vector,a[2]=((C_word)li231),tmp=(C_word)a,a+=3,tmp));
t275=C_mutate((C_word*)lf[317]+1 /* (set! ##sys#make-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_make_structure,a[2]=((C_word)li232),tmp=(C_word)a,a+=3,tmp));
t276=C_mutate((C_word*)lf[318]+1 /* (set! ##sys#ensure-heap-reserve ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_ensure_heap_reserve,a[2]=((C_word)li233),tmp=(C_word)a,a+=3,tmp));
t277=C_mutate((C_word*)lf[319]+1 /* (set! ##sys#symbol-table-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_symbol_table_info,a[2]=((C_word)li234),tmp=(C_word)a,a+=3,tmp));
t278=C_mutate((C_word*)lf[320]+1 /* (set! ##sys#memory-info ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_get_memory_info,a[2]=((C_word)li235),tmp=(C_word)a,a+=3,tmp));
t279=C_mutate((C_word*)lf[321]+1 /* (set! ##sys#start-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10469,a[2]=((C_word)li236),tmp=(C_word)a,a+=3,tmp));
t280=C_mutate((C_word*)lf[322]+1 /* (set! ##sys#stop-timer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10475,a[2]=((C_word)li239),tmp=(C_word)a,a+=3,tmp));
t281=C_mutate((C_word*)lf[323]+1 /* (set! ##sys#immediate? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10495,a[2]=((C_word)li240),tmp=(C_word)a,a+=3,tmp));
t282=C_mutate((C_word*)lf[324]+1 /* (set! ##sys#message ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10502,a[2]=((C_word)li241),tmp=(C_word)a,a+=3,tmp));
t283=C_mutate((C_word*)lf[325]+1 /* (set! ##sys#byte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10505,a[2]=((C_word)li242),tmp=(C_word)a,a+=3,tmp));
t284=C_mutate((C_word*)lf[326]+1 /* (set! ##sys#setbyte ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10508,a[2]=((C_word)li243),tmp=(C_word)a,a+=3,tmp));
t285=C_mutate((C_word*)lf[327]+1 /* (set! ##sys#void ...) */,*((C_word*)lf[196]+1));
t286=C_set_block_item(lf[244] /* ##sys#undefined-value */,0,C_SCHEME_UNDEFINED);
t287=C_mutate((C_word*)lf[328]+1 /* (set! ##sys#halt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10513,a[2]=((C_word)li244),tmp=(C_word)a,a+=3,tmp));
t288=C_mutate((C_word*)lf[329]+1 /* (set! ##sys#become! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_become,a[2]=((C_word)li245),tmp=(C_word)a,a+=3,tmp));
t289=C_mutate((C_word*)lf[330]+1 /* (set! ##sys#block-ref ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10517,a[2]=((C_word)li246),tmp=(C_word)a,a+=3,tmp));
t290=C_mutate((C_word*)lf[331]+1 /* (set! ##sys#apply-values ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_apply_values,a[2]=((C_word)li247),tmp=(C_word)a,a+=3,tmp));
t291=C_mutate((C_word*)lf[332]+1 /* (set! ##sys#copy-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_copy_closure,a[2]=((C_word)li248),tmp=(C_word)a,a+=3,tmp));
t292=C_mutate((C_word*)lf[333]+1 /* (set! ##sys#block-set! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10522,a[2]=((C_word)li249),tmp=(C_word)a,a+=3,tmp));
t293=C_a_i_provide(&a,1,lf[336]);
t294=C_mutate((C_word*)lf[337]+1 /* (set! chicken.time#current-milliseconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10557,a[2]=((C_word)li250),tmp=(C_word)a,a+=3,tmp));
t295=C_mutate((C_word*)lf[338]+1 /* (set! chicken.time#current-seconds ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10560,a[2]=((C_word)li251),tmp=(C_word)a,a+=3,tmp));
t296=C_mutate((C_word*)lf[339]+1 /* (set! chicken.time#cpu-time ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10563,a[2]=((C_word)li252),tmp=(C_word)a,a+=3,tmp));
t297=C_mutate((C_word*)lf[340]+1 /* (set! ##sys#check-structure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10580,a[2]=((C_word)li253),tmp=(C_word)a,a+=3,tmp));
t298=C_mutate((C_word*)lf[341]+1 /* (set! ##sys#check-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10591,a[2]=((C_word)li254),tmp=(C_word)a,a+=3,tmp));
t299=C_mutate((C_word*)lf[342]+1 /* (set! ##sys#check-byte-vector ...) */,*((C_word*)lf[341]+1));
t300=C_mutate((C_word*)lf[343]+1 /* (set! ##sys#check-pair ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10603,a[2]=((C_word)li255),tmp=(C_word)a,a+=3,tmp));
t301=C_mutate((C_word*)lf[344]+1 /* (set! ##sys#check-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10614,a[2]=((C_word)li256),tmp=(C_word)a,a+=3,tmp));
t302=C_mutate((C_word*)lf[345]+1 /* (set! ##sys#check-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10625,a[2]=((C_word)li257),tmp=(C_word)a,a+=3,tmp));
t303=C_mutate((C_word*)lf[346]+1 /* (set! ##sys#check-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10636,a[2]=((C_word)li258),tmp=(C_word)a,a+=3,tmp));
t304=C_mutate((C_word*)lf[102]+1 /* (set! ##sys#check-fixnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10647,a[2]=((C_word)li259),tmp=(C_word)a,a+=3,tmp));
t305=C_mutate((C_word*)lf[347]+1 /* (set! ##sys#check-exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10658,a[2]=((C_word)li260),tmp=(C_word)a,a+=3,tmp));
t306=C_mutate((C_word*)lf[348]+1 /* (set! ##sys#check-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10669,a[2]=((C_word)li261),tmp=(C_word)a,a+=3,tmp));
t307=C_mutate((C_word*)lf[349]+1 /* (set! ##sys#check-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10680,a[2]=((C_word)li262),tmp=(C_word)a,a+=3,tmp));
t308=C_mutate((C_word*)lf[350]+1 /* (set! ##sys#check-keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10691,a[2]=((C_word)li263),tmp=(C_word)a,a+=3,tmp));
t309=C_mutate((C_word*)lf[351]+1 /* (set! ##sys#check-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10702,a[2]=((C_word)li264),tmp=(C_word)a,a+=3,tmp));
t310=C_mutate((C_word*)lf[352]+1 /* (set! ##sys#check-char ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10713,a[2]=((C_word)li265),tmp=(C_word)a,a+=3,tmp));
t311=C_mutate((C_word*)lf[353]+1 /* (set! ##sys#check-boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10724,a[2]=((C_word)li266),tmp=(C_word)a,a+=3,tmp));
t312=C_mutate((C_word*)lf[354]+1 /* (set! ##sys#check-locative ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10735,a[2]=((C_word)li267),tmp=(C_word)a,a+=3,tmp));
t313=C_mutate((C_word*)lf[355]+1 /* (set! ##sys#check-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10746,a[2]=((C_word)li268),tmp=(C_word)a,a+=3,tmp));
t314=C_mutate((C_word*)lf[357]+1 /* (set! ##sys#check-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10763,a[2]=((C_word)li269),tmp=(C_word)a,a+=3,tmp));
t315=C_mutate((C_word*)lf[359]+1 /* (set! ##sys#check-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10780,a[2]=((C_word)li270),tmp=(C_word)a,a+=3,tmp));
t316=C_mutate((C_word*)lf[361]+1 /* (set! ##sys#check-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10804,a[2]=((C_word)li271),tmp=(C_word)a,a+=3,tmp));
t317=C_mutate((C_word*)lf[334]+1 /* (set! ##sys#check-range ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10821,a[2]=((C_word)li272),tmp=(C_word)a,a+=3,tmp));
t318=C_mutate((C_word*)lf[364]+1 /* (set! ##sys#check-special ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10851,a[2]=((C_word)li273),tmp=(C_word)a,a+=3,tmp));
t319=C_mutate((C_word*)lf[366]+1 /* (set! ##sys#check-closure ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10871,a[2]=((C_word)li274),tmp=(C_word)a,a+=3,tmp));
t320=C_mutate((C_word*)lf[367]+1 /* (set! scheme#force ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_10882,a[2]=((C_word)li276),tmp=(C_word)a,a+=3,tmp));
t321=C_mutate((C_word*)lf[369]+1 /* (set! ##sys#dload ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_dload,a[2]=((C_word)li277),tmp=(C_word)a,a+=3,tmp));
t322=C_mutate((C_word*)lf[370]+1 /* (set! ##sys#set-dlopen-flags! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_set_dlopen_flags,a[2]=((C_word)li278),tmp=(C_word)a,a+=3,tmp));
t323=C_mutate((C_word*)lf[47]+1 /* (set! ##sys#error-not-a-proper-list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11010,a[2]=((C_word)li279),tmp=(C_word)a,a+=3,tmp));
t324=C_mutate((C_word*)lf[371]+1 /* (set! ##sys#error-bad-number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11026,a[2]=((C_word)li280),tmp=(C_word)a,a+=3,tmp));
t325=C_mutate((C_word*)lf[356]+1 /* (set! ##sys#error-bad-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11042,a[2]=((C_word)li281),tmp=(C_word)a,a+=3,tmp));
t326=C_mutate((C_word*)lf[358]+1 /* (set! ##sys#error-bad-exact-integer ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11058,a[2]=((C_word)li282),tmp=(C_word)a,a+=3,tmp));
t327=C_mutate((C_word*)lf[360]+1 /* (set! ##sys#error-bad-exact-uinteger ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11074,a[2]=((C_word)li283),tmp=(C_word)a,a+=3,tmp));
t328=C_mutate((C_word*)lf[372]+1 /* (set! ##sys#error-bad-inexact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11090,a[2]=((C_word)li284),tmp=(C_word)a,a+=3,tmp));
t329=C_mutate((C_word*)lf[362]+1 /* (set! ##sys#error-bad-real ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11106,a[2]=((C_word)li285),tmp=(C_word)a,a+=3,tmp));
t330=C_mutate((C_word*)lf[373]+1 /* (set! ##sys#error-bad-base ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11122,a[2]=((C_word)li286),tmp=(C_word)a,a+=3,tmp));
t331=C_mutate((C_word*)lf[374]+1 /* (set! scheme#append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11138,a[2]=((C_word)li289),tmp=(C_word)a,a+=3,tmp));
t332=C_mutate((C_word*)lf[376]+1 /* (set! ##sys#fast-reverse ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11217,a[2]=((C_word)li291),tmp=(C_word)a,a+=3,tmp));
t333=C_mutate((C_word*)lf[377]+1 /* (set! ##sys#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11247,a[2]=((C_word)li292),tmp=(C_word)a,a+=3,tmp));
t334=C_mutate((C_word*)lf[378]+1 /* (set! scheme#make-string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11267,a[2]=((C_word)li293),tmp=(C_word)a,a+=3,tmp));
t335=C_mutate((C_word*)lf[382]+1 /* (set! scheme#string->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11303,a[2]=((C_word)li295),tmp=(C_word)a,a+=3,tmp));
t336=C_mutate((C_word*)lf[384]+1 /* (set! ##sys#string->list ...) */,*((C_word*)lf[382]+1));
t337=C_mutate((C_word*)lf[385]+1 /* (set! scheme#list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11341,a[2]=((C_word)li297),tmp=(C_word)a,a+=3,tmp));
t338=C_mutate((C_word*)lf[387]+1 /* (set! ##sys#list->string ...) */,*((C_word*)lf[385]+1));
t339=C_mutate((C_word*)lf[388]+1 /* (set! ##sys#reverse-list->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11393,a[2]=((C_word)li299),tmp=(C_word)a,a+=3,tmp));
t340=C_mutate((C_word*)lf[390]+1 /* (set! scheme#string-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11442,a[2]=((C_word)li300),tmp=(C_word)a,a+=3,tmp));
t341=C_mutate((C_word*)lf[392]+1 /* (set! scheme#string-copy ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11455,a[2]=((C_word)li301),tmp=(C_word)a,a+=3,tmp));
t342=C_mutate((C_word*)lf[394]+1 /* (set! scheme#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11467,a[2]=((C_word)li302),tmp=(C_word)a,a+=3,tmp));
t343=C_mutate((C_word*)lf[396]+1 /* (set! ##sys#substring ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11517,a[2]=((C_word)li303),tmp=(C_word)a,a+=3,tmp));
t344=C_SCHEME_UNDEFINED;
t345=(*a=C_VECTOR_TYPE|1,a[1]=t344,tmp=(C_word)a,a+=2,tmp);
t346=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11526,a[2]=((C_word)li304),tmp=(C_word)a,a+=3,tmp);
t347=C_set_block_item(t345,0,t346);
t348=C_mutate((C_word*)lf[397]+1 /* (set! scheme#string<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11547,a[2]=t345,a[3]=((C_word)li306),tmp=(C_word)a,a+=4,tmp));
t349=C_mutate((C_word*)lf[399]+1 /* (set! scheme#string>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11571,a[2]=t345,a[3]=((C_word)li308),tmp=(C_word)a,a+=4,tmp));
t350=C_mutate((C_word*)lf[401]+1 /* (set! scheme#string<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11595,a[2]=t345,a[3]=((C_word)li310),tmp=(C_word)a,a+=4,tmp));
t351=C_mutate((C_word*)lf[403]+1 /* (set! scheme#string>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11616,a[2]=t345,a[3]=((C_word)li312),tmp=(C_word)a,a+=4,tmp));
t352=C_SCHEME_UNDEFINED;
t353=(*a=C_VECTOR_TYPE|1,a[1]=t352,tmp=(C_word)a,a+=2,tmp);
t354=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11636,a[2]=((C_word)li313),tmp=(C_word)a,a+=3,tmp);
t355=C_set_block_item(t353,0,t354);
t356=C_mutate((C_word*)lf[405]+1 /* (set! scheme#string-ci<? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11657,a[2]=t353,a[3]=((C_word)li315),tmp=(C_word)a,a+=4,tmp));
t357=C_mutate((C_word*)lf[407]+1 /* (set! scheme#string-ci>? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11681,a[2]=t353,a[3]=((C_word)li317),tmp=(C_word)a,a+=4,tmp));
t358=C_mutate((C_word*)lf[409]+1 /* (set! scheme#string-ci<=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11705,a[2]=t353,a[3]=((C_word)li319),tmp=(C_word)a,a+=4,tmp));
t359=C_mutate((C_word*)lf[411]+1 /* (set! scheme#string-ci>=? ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_11726,a[2]=t353,a[3]=((C_word)li321),tmp=(C_word)a,a+=4,tmp));
t360=C_mutate((C_word*)lf[413]+1 /* (set! ##sys#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11747,a[2]=((C_word)li322),tmp=(C_word)a,a+=3,tmp));
t361=C_mutate((C_word*)lf[414]+1 /* (set! scheme#string-append ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11763,a[2]=((C_word)li324),tmp=(C_word)a,a+=3,tmp));
t362=C_mutate((C_word*)lf[416]+1 /* (set! scheme#string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11802,a[2]=((C_word)li325),tmp=(C_word)a,a+=3,tmp));
t363=C_mutate((C_word*)lf[417]+1 /* (set! ##sys#fragments->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11808,a[2]=((C_word)li327),tmp=(C_word)a,a+=3,tmp));
t364=C_mutate((C_word*)lf[418]+1 /* (set! chicken.base#chop ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11843,a[2]=((C_word)li330),tmp=(C_word)a,a+=3,tmp));
t365=C_a_i_provide(&a,1,lf[421]);
t366=C_mutate((C_word*)lf[422]+1 /* (set! chicken.flonum#maximum-flonum ...) */,C_flonum(&a,DBL_MAX));
t367=C_mutate((C_word*)lf[423]+1 /* (set! chicken.flonum#minimum-flonum ...) */,C_flonum(&a,DBL_MIN));
t368=C_set_block_item(lf[424] /* chicken.flonum#flonum-radix */,0,C_fix((C_word)FLT_RADIX));
t369=C_mutate((C_word*)lf[425]+1 /* (set! chicken.flonum#flonum-epsilon ...) */,C_flonum(&a,DBL_EPSILON));
t370=C_set_block_item(lf[426] /* chicken.flonum#flonum-precision */,0,C_fix((C_word)DBL_MANT_DIG));
t371=C_set_block_item(lf[427] /* chicken.flonum#flonum-decimal-precision */,0,C_fix((C_word)DBL_DIG));
t372=C_set_block_item(lf[428] /* chicken.flonum#flonum-maximum-exponent */,0,C_fix((C_word)DBL_MAX_EXP));
t373=C_set_block_item(lf[429] /* chicken.flonum#flonum-minimum-exponent */,0,C_fix((C_word)DBL_MIN_EXP));
t374=C_set_block_item(lf[430] /* chicken.flonum#flonum-maximum-decimal-exponent */,0,C_fix((C_word)DBL_MAX_10_EXP));
t375=C_set_block_item(lf[431] /* chicken.flonum#flonum-minimum-decimal-exponent */,0,C_fix((C_word)DBL_MIN_10_EXP));
t376=C_mutate((C_word*)lf[432]+1 /* (set! chicken.flonum#fp+ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11938,a[2]=((C_word)li331),tmp=(C_word)a,a+=3,tmp));
t377=C_mutate((C_word*)lf[434]+1 /* (set! chicken.flonum#fp- ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11962,a[2]=((C_word)li332),tmp=(C_word)a,a+=3,tmp));
t378=C_mutate((C_word*)lf[436]+1 /* (set! chicken.flonum#fp* ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_11986,a[2]=((C_word)li333),tmp=(C_word)a,a+=3,tmp));
t379=C_mutate((C_word*)lf[438]+1 /* (set! chicken.flonum#fp/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12010,a[2]=((C_word)li334),tmp=(C_word)a,a+=3,tmp));
t380=C_mutate((C_word*)lf[440]+1 /* (set! chicken.flonum#fpgcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12034,a[2]=((C_word)li335),tmp=(C_word)a,a+=3,tmp));
t381=C_mutate((C_word*)lf[442]+1 /* (set! chicken.flonum#fp/? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12058,a[2]=((C_word)li336),tmp=(C_word)a,a+=3,tmp));
t382=C_mutate((C_word*)lf[444]+1 /* (set! chicken.flonum#fp= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12082,a[2]=((C_word)li337),tmp=(C_word)a,a+=3,tmp));
t383=C_mutate((C_word*)lf[446]+1 /* (set! chicken.flonum#fp> ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12106,a[2]=((C_word)li338),tmp=(C_word)a,a+=3,tmp));
t384=C_mutate((C_word*)lf[448]+1 /* (set! chicken.flonum#fp< ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12130,a[2]=((C_word)li339),tmp=(C_word)a,a+=3,tmp));
t385=C_mutate((C_word*)lf[450]+1 /* (set! chicken.flonum#fp>= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12154,a[2]=((C_word)li340),tmp=(C_word)a,a+=3,tmp));
t386=C_mutate((C_word*)lf[452]+1 /* (set! chicken.flonum#fp<= ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12178,a[2]=((C_word)li341),tmp=(C_word)a,a+=3,tmp));
t387=C_mutate((C_word*)lf[454]+1 /* (set! chicken.flonum#fpneg ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12202,a[2]=((C_word)li342),tmp=(C_word)a,a+=3,tmp));
t388=C_mutate((C_word*)lf[456]+1 /* (set! chicken.flonum#fpmax ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12220,a[2]=((C_word)li343),tmp=(C_word)a,a+=3,tmp));
t389=C_mutate((C_word*)lf[458]+1 /* (set! chicken.flonum#fpmin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12244,a[2]=((C_word)li344),tmp=(C_word)a,a+=3,tmp));
t390=C_mutate((C_word*)lf[460]+1 /* (set! chicken.flonum#fpfloor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12268,a[2]=((C_word)li345),tmp=(C_word)a,a+=3,tmp));
t391=C_mutate((C_word*)lf[462]+1 /* (set! chicken.flonum#fptruncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12286,a[2]=((C_word)li346),tmp=(C_word)a,a+=3,tmp));
t392=C_mutate((C_word*)lf[464]+1 /* (set! chicken.flonum#fpround ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12304,a[2]=((C_word)li347),tmp=(C_word)a,a+=3,tmp));
t393=C_mutate((C_word*)lf[466]+1 /* (set! chicken.flonum#fpceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12322,a[2]=((C_word)li348),tmp=(C_word)a,a+=3,tmp));
t394=C_mutate((C_word*)lf[468]+1 /* (set! chicken.flonum#fpsin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12340,a[2]=((C_word)li349),tmp=(C_word)a,a+=3,tmp));
t395=C_mutate((C_word*)lf[470]+1 /* (set! chicken.flonum#fpcos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12358,a[2]=((C_word)li350),tmp=(C_word)a,a+=3,tmp));
t396=C_mutate((C_word*)lf[472]+1 /* (set! chicken.flonum#fptan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12376,a[2]=((C_word)li351),tmp=(C_word)a,a+=3,tmp));
t397=C_mutate((C_word*)lf[474]+1 /* (set! chicken.flonum#fpasin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12394,a[2]=((C_word)li352),tmp=(C_word)a,a+=3,tmp));
t398=C_mutate((C_word*)lf[476]+1 /* (set! chicken.flonum#fpacos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12412,a[2]=((C_word)li353),tmp=(C_word)a,a+=3,tmp));
t399=C_mutate((C_word*)lf[478]+1 /* (set! chicken.flonum#fpatan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12430,a[2]=((C_word)li354),tmp=(C_word)a,a+=3,tmp));
t400=C_mutate((C_word*)lf[480]+1 /* (set! chicken.flonum#fpatan2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12448,a[2]=((C_word)li355),tmp=(C_word)a,a+=3,tmp));
t401=C_mutate((C_word*)lf[482]+1 /* (set! chicken.flonum#fpexp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12472,a[2]=((C_word)li356),tmp=(C_word)a,a+=3,tmp));
t402=C_mutate((C_word*)lf[484]+1 /* (set! chicken.flonum#fpexpt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12490,a[2]=((C_word)li357),tmp=(C_word)a,a+=3,tmp));
t403=C_mutate((C_word*)lf[486]+1 /* (set! chicken.flonum#fplog ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12514,a[2]=((C_word)li358),tmp=(C_word)a,a+=3,tmp));
t404=C_mutate((C_word*)lf[488]+1 /* (set! chicken.flonum#fpsqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12532,a[2]=((C_word)li359),tmp=(C_word)a,a+=3,tmp));
t405=C_mutate((C_word*)lf[490]+1 /* (set! chicken.flonum#fpabs ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12550,a[2]=((C_word)li360),tmp=(C_word)a,a+=3,tmp));
t406=C_mutate((C_word*)lf[492]+1 /* (set! chicken.flonum#fpinteger? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12568,a[2]=((C_word)li361),tmp=(C_word)a,a+=3,tmp));
t407=C_mutate((C_word*)lf[494]+1 /* (set! chicken.flonum#flonum-print-precision ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12586,a[2]=((C_word)li362),tmp=(C_word)a,a+=3,tmp));
t408=C_mutate((C_word*)lf[496]+1 /* (set! ##sys#number? ...) */,*((C_word*)lf[77]+1));
t409=C_mutate((C_word*)lf[497]+1 /* (set! ##sys#integer? ...) */,*((C_word*)lf[81]+1));
t410=C_mutate((C_word*)lf[498]+1 /* (set! ##sys#exact? ...) */,*((C_word*)lf[82]+1));
t411=C_mutate((C_word*)lf[499]+1 /* (set! ##sys#inexact? ...) */,*((C_word*)lf[83]+1));
t412=C_mutate(&lf[500] /* (set! make-complex ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12608,a[2]=((C_word)li363),tmp=(C_word)a,a+=3,tmp));
t413=C_mutate((C_word*)lf[502]+1 /* (set! scheme#make-rectangular ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12644,a[2]=((C_word)li364),tmp=(C_word)a,a+=3,tmp));
t414=C_mutate((C_word*)lf[504]+1 /* (set! scheme#make-polar ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12656,a[2]=((C_word)li365),tmp=(C_word)a,a+=3,tmp));
t415=C_mutate((C_word*)lf[506]+1 /* (set! scheme#real-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12679,a[2]=((C_word)li366),tmp=(C_word)a,a+=3,tmp));
t416=C_mutate((C_word*)lf[508]+1 /* (set! scheme#imag-part ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12702,a[2]=((C_word)li367),tmp=(C_word)a,a+=3,tmp));
t417=C_mutate((C_word*)lf[510]+1 /* (set! scheme#angle ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12728,a[2]=((C_word)li368),tmp=(C_word)a,a+=3,tmp));
t418=C_mutate((C_word*)lf[512]+1 /* (set! scheme#magnitude ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12744,a[2]=((C_word)li369),tmp=(C_word)a,a+=3,tmp));
t419=C_mutate(&lf[515] /* (set! ratnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12788,a[2]=((C_word)li370),tmp=(C_word)a,a+=3,tmp));
t420=C_mutate((C_word*)lf[516]+1 /* (set! scheme#numerator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12834,a[2]=((C_word)li371),tmp=(C_word)a,a+=3,tmp));
t421=C_mutate((C_word*)lf[521]+1 /* (set! scheme#denominator ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12880,a[2]=((C_word)li372),tmp=(C_word)a,a+=3,tmp));
t422=C_mutate((C_word*)lf[525]+1 /* (set! ##sys#extended-signum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_12926,a[2]=((C_word)li373),tmp=(C_word)a,a+=3,tmp));
t423=C_mutate((C_word*)lf[519]+1 /* (set! scheme#inexact->exact ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13050,a[2]=((C_word)li376),tmp=(C_word)a,a+=3,tmp));
t424=C_mutate((C_word*)lf[532]+1 /* (set! ##sys#exact->inexact ...) */,*((C_word*)lf[62]+1));
t425=C_mutate((C_word*)lf[533]+1 /* (set! ##sys#inexact->exact ...) */,*((C_word*)lf[519]+1));
t426=C_a_i_provide(&a,1,lf[534]);
t427=C_mutate((C_word*)lf[535]+1 /* (set! chicken.bitwise#bitwise-and ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_and,a[2]=((C_word)li377),tmp=(C_word)a,a+=3,tmp));
t428=C_mutate((C_word*)lf[536]+1 /* (set! chicken.bitwise#bitwise-ior ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_ior,a[2]=((C_word)li378),tmp=(C_word)a,a+=3,tmp));
t429=C_mutate((C_word*)lf[537]+1 /* (set! chicken.bitwise#bitwise-xor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_bitwise_xor,a[2]=((C_word)li379),tmp=(C_word)a,a+=3,tmp));
t430=C_mutate((C_word*)lf[538]+1 /* (set! chicken.bitwise#bitwise-not ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13116,a[2]=((C_word)li380),tmp=(C_word)a,a+=3,tmp));
t431=C_mutate((C_word*)lf[539]+1 /* (set! chicken.bitwise#bit->boolean ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13119,a[2]=((C_word)li381),tmp=(C_word)a,a+=3,tmp));
t432=C_mutate((C_word*)lf[540]+1 /* (set! chicken.bitwise#integer-length ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13122,a[2]=((C_word)li382),tmp=(C_word)a,a+=3,tmp));
t433=C_mutate((C_word*)lf[541]+1 /* (set! chicken.bitwise#arithmetic-shift ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13125,a[2]=((C_word)li383),tmp=(C_word)a,a+=3,tmp));
t434=C_mutate((C_word*)lf[542]+1 /* (set! scheme#/ ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13128,a[2]=((C_word)li385),tmp=(C_word)a,a+=3,tmp));
t435=C_mutate((C_word*)lf[527]+1 /* (set! ##sys#/-2 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13179,a[2]=((C_word)li386),tmp=(C_word)a,a+=3,tmp));
t436=C_mutate((C_word*)lf[545]+1 /* (set! scheme#floor ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13462,a[2]=((C_word)li387),tmp=(C_word)a,a+=3,tmp));
t437=C_mutate((C_word*)lf[547]+1 /* (set! scheme#ceiling ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13507,a[2]=((C_word)li388),tmp=(C_word)a,a+=3,tmp));
t438=C_mutate((C_word*)lf[549]+1 /* (set! scheme#truncate ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13552,a[2]=((C_word)li389),tmp=(C_word)a,a+=3,tmp));
t439=C_mutate((C_word*)lf[551]+1 /* (set! scheme#round ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13589,a[2]=((C_word)li390),tmp=(C_word)a,a+=3,tmp));
t440=C_mutate(&lf[553] /* (set! find-ratio-between ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13633,a[2]=((C_word)li392),tmp=(C_word)a,a+=3,tmp));
t441=C_mutate((C_word*)lf[555]+1 /* (set! scheme#rationalize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13783,a[2]=((C_word)li393),tmp=(C_word)a,a+=3,tmp));
t442=C_mutate((C_word*)lf[556]+1 /* (set! scheme#max ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13808,a[2]=((C_word)li395),tmp=(C_word)a,a+=3,tmp));
t443=C_mutate((C_word*)lf[558]+1 /* (set! scheme#min ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13852,a[2]=((C_word)li397),tmp=(C_word)a,a+=3,tmp));
t444=C_mutate((C_word*)lf[560]+1 /* (set! scheme#exp ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13896,a[2]=((C_word)li398),tmp=(C_word)a,a+=3,tmp));
t445=C_mutate((C_word*)lf[562]+1 /* (set! ##sys#log-1 ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13941,a[2]=((C_word)li399),tmp=(C_word)a,a+=3,tmp));
t446=C_mutate((C_word*)lf[566]+1 /* (set! scheme#log ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_13990,a[2]=((C_word)li400),tmp=(C_word)a,a+=3,tmp));
t447=C_mutate((C_word*)lf[567]+1 /* (set! scheme#sin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14019,a[2]=((C_word)li401),tmp=(C_word)a,a+=3,tmp));
t448=C_mutate((C_word*)lf[571]+1 /* (set! scheme#cos ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14053,a[2]=((C_word)li402),tmp=(C_word)a,a+=3,tmp));
t449=C_mutate((C_word*)lf[573]+1 /* (set! scheme#tan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14087,a[2]=((C_word)li403),tmp=(C_word)a,a+=3,tmp));
t450=C_mutate((C_word*)lf[575]+1 /* (set! scheme#asin ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14112,a[2]=((C_word)li404),tmp=(C_word)a,a+=3,tmp));
t451=C_a_i_asin(&a,1,C_fix(1));
t452=C_mutate((C_word*)lf[580]+1 /* (set! scheme#acos ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_14174,a[2]=t451,a[3]=((C_word)li405),tmp=(C_word)a,a+=4,tmp));
t453=C_mutate((C_word*)lf[582]+1 /* (set! scheme#atan ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14216,a[2]=((C_word)li406),tmp=(C_word)a,a+=3,tmp));
t454=C_mutate((C_word*)lf[584]+1 /* (set! ##sys#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14280,a[2]=((C_word)li412),tmp=(C_word)a,a+=3,tmp));
t455=C_mutate((C_word*)lf[586]+1 /* (set! chicken.base#exact-integer-sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14471,a[2]=((C_word)li413),tmp=(C_word)a,a+=3,tmp));
t456=C_mutate((C_word*)lf[578]+1 /* (set! ##sys#sqrt/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14480,a[2]=((C_word)li420),tmp=(C_word)a,a+=3,tmp));
t457=C_mutate((C_word*)lf[513]+1 /* (set! scheme#sqrt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14635,a[2]=((C_word)li421),tmp=(C_word)a,a+=3,tmp));
t458=C_mutate((C_word*)lf[589]+1 /* (set! chicken.base#exact-integer-nth-root ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14641,a[2]=((C_word)li422),tmp=(C_word)a,a+=3,tmp));
t459=C_mutate((C_word*)lf[590]+1 /* (set! ##sys#exact-integer-nth-root/loc ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14653,a[2]=((C_word)li424),tmp=(C_word)a,a+=3,tmp));
t460=C_mutate((C_word*)lf[529]+1 /* (set! ##sys#integer-power ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14779,a[2]=((C_word)li426),tmp=(C_word)a,a+=3,tmp));
t461=C_mutate((C_word*)lf[531]+1 /* (set! scheme#expt ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_14847,a[2]=((C_word)li431),tmp=(C_word)a,a+=3,tmp));
t462=C_mutate(&lf[543] /* (set! ##sys#internal-gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15114,a[2]=((C_word)li432),tmp=(C_word)a,a+=3,tmp));
t463=C_mutate((C_word*)lf[594]+1 /* (set! ##sys#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15184,a[2]=((C_word)li433),tmp=(C_word)a,a+=3,tmp));
t464=C_mutate((C_word*)lf[596]+1 /* (set! scheme#gcd ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15190,a[2]=((C_word)li435),tmp=(C_word)a,a+=3,tmp));
t465=C_mutate((C_word*)lf[597]+1 /* (set! ##sys#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15241,a[2]=((C_word)li436),tmp=(C_word)a,a+=3,tmp));
t466=C_mutate((C_word*)lf[599]+1 /* (set! scheme#lcm ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15255,a[2]=((C_word)li438),tmp=(C_word)a,a+=3,tmp));
t467=C_mutate((C_word*)lf[600]+1 /* (set! ##sys#integer->string/recursive ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15313,a[2]=((C_word)li442),tmp=(C_word)a,a+=3,tmp));
t468=C_mutate((C_word*)lf[602]+1 /* (set! ##sys#extended-number->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15366,a[2]=((C_word)li443),tmp=(C_word)a,a+=3,tmp));
t469=C_mutate(&lf[608] /* (set! round-quotient ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15540,a[2]=((C_word)li444),tmp=(C_word)a,a+=3,tmp));
t470=C_mutate(&lf[609] /* (set! ##sys#string->compnum ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_15583,a[2]=((C_word)li455),tmp=(C_word)a,a+=3,tmp));
t471=C_mutate((C_word*)lf[618]+1 /* (set! scheme#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_16980,a[2]=((C_word)li457),tmp=(C_word)a,a+=3,tmp));
t472=C_mutate((C_word*)lf[620]+1 /* (set! ##sys#string->number ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17235,a[2]=((C_word)li458),tmp=(C_word)a,a+=3,tmp));
t473=C_mutate((C_word*)lf[621]+1 /* (set! ##sys#fixnum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_fixnum_to_string,a[2]=((C_word)li459),tmp=(C_word)a,a+=3,tmp));
t474=C_mutate((C_word*)lf[622]+1 /* (set! ##sys#flonum->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_flonum_to_string,a[2]=((C_word)li460),tmp=(C_word)a,a+=3,tmp));
t475=C_mutate((C_word*)lf[623]+1 /* (set! ##sys#integer->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_integer_to_string,a[2]=((C_word)li461),tmp=(C_word)a,a+=3,tmp));
t476=C_mutate((C_word*)lf[601]+1 /* (set! ##sys#number->string ...) */,*((C_word*)lf[87]+1));
t477=C_mutate((C_word*)lf[624]+1 /* (set! chicken.base#equal=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17281,a[2]=((C_word)li465),tmp=(C_word)a,a+=3,tmp));
t478=C_mutate((C_word*)lf[625]+1 /* (set! ##sys#snafu ...) */,lf[626]);
t479=C_mutate((C_word*)lf[627]+1 /* (set! ##sys#intern-symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_symbol,a[2]=((C_word)li466),tmp=(C_word)a,a+=3,tmp));
t480=C_mutate((C_word*)lf[628]+1 /* (set! ##sys#intern-keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)C_string_to_keyword,a[2]=((C_word)li467),tmp=(C_word)a,a+=3,tmp));
t481=C_mutate((C_word*)lf[629]+1 /* (set! ##sys#interned-symbol? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17453,a[2]=((C_word)li468),tmp=(C_word)a,a+=3,tmp));
t482=C_mutate((C_word*)lf[630]+1 /* (set! ##sys#string->symbol ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17456,a[2]=((C_word)li469),tmp=(C_word)a,a+=3,tmp));
t483=C_mutate((C_word*)lf[631]+1 /* (set! ##sys#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17465,a[2]=((C_word)li470),tmp=(C_word)a,a+=3,tmp));
t484=C_mutate((C_word*)lf[632]+1 /* (set! scheme#symbol->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17471,a[2]=((C_word)li471),tmp=(C_word)a,a+=3,tmp));
t485=*((C_word*)lf[392]+1);
t486=C_mutate((C_word*)lf[634]+1 /* (set! scheme#string->symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17484,a[2]=t485,a[3]=((C_word)li472),tmp=(C_word)a,a+=4,tmp));
t487=*((C_word*)lf[392]+1);
t488=C_mutate((C_word*)lf[636]+1 /* (set! chicken.base#string->uninterned-symbol ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17497,a[2]=t487,a[3]=((C_word)li474),tmp=(C_word)a,a+=4,tmp));
t489=C_fix(-1);
t490=(*a=C_VECTOR_TYPE|1,a[1]=t489,tmp=(C_word)a,a+=2,tmp);
t491=C_mutate((C_word*)lf[638]+1 /* (set! chicken.base#gensym ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17510,a[2]=t490,a[3]=((C_word)li476),tmp=(C_word)a,a+=4,tmp));
t492=*((C_word*)lf[414]+1);
t493=C_mutate((C_word*)lf[642]+1 /* (set! chicken.base#symbol-append ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17564,a[2]=t492,a[3]=((C_word)li478),tmp=(C_word)a,a+=4,tmp));
t494=C_a_i_provide(&a,1,lf[644]);
t495=C_mutate((C_word*)lf[645]+1 /* (set! chicken.keyword#keyword? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17623,a[2]=((C_word)li479),tmp=(C_word)a,a+=3,tmp));
t496=C_mutate((C_word*)lf[646]+1 /* (set! chicken.keyword#string->keyword ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17626,a[2]=((C_word)li480),tmp=(C_word)a,a+=3,tmp));
t497=*((C_word*)lf[645]+1);
t498=C_mutate((C_word*)lf[648]+1 /* (set! chicken.keyword#keyword->string ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17635,a[2]=t497,a[3]=((C_word)li481),tmp=(C_word)a,a+=4,tmp));
t499=C_a_i_list1(&a,1,lf[651]);
t500=t499;
t501=C_mutate((C_word*)lf[652]+1 /* (set! chicken.keyword#get-keyword ...) */,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_17653,a[2]=t500,a[3]=((C_word)li482),tmp=(C_word)a,a+=4,tmp));
t502=C_mutate((C_word*)lf[654]+1 /* (set! ##sys#get-keyword ...) */,*((C_word*)lf[652]+1));
t503=C_a_i_provide(&a,1,lf[655]);
t504=C_mutate((C_word*)lf[656]+1 /* (set! ##sys#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17684,a[2]=((C_word)li483),tmp=(C_word)a,a+=3,tmp));
t505=C_mutate((C_word*)lf[657]+1 /* (set! chicken.blob#make-blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17690,a[2]=((C_word)li484),tmp=(C_word)a,a+=3,tmp));
t506=C_mutate((C_word*)lf[659]+1 /* (set! chicken.blob#blob? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17699,a[2]=((C_word)li485),tmp=(C_word)a,a+=3,tmp));
t507=C_mutate((C_word*)lf[660]+1 /* (set! chicken.blob#blob-size ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17705,a[2]=((C_word)li486),tmp=(C_word)a,a+=3,tmp));
t508=C_mutate((C_word*)lf[662]+1 /* (set! chicken.blob#string->blob ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17714,a[2]=((C_word)li487),tmp=(C_word)a,a+=3,tmp));
t509=C_mutate((C_word*)lf[664]+1 /* (set! chicken.blob#blob->string ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17726,a[2]=((C_word)li488),tmp=(C_word)a,a+=3,tmp));
t510=C_mutate((C_word*)lf[666]+1 /* (set! chicken.blob#blob=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17738,a[2]=((C_word)li489),tmp=(C_word)a,a+=3,tmp));
t511=C_mutate((C_word*)lf[93]+1 /* (set! scheme#make-vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17761,a[2]=((C_word)li490),tmp=(C_word)a,a+=3,tmp));
t512=C_mutate((C_word*)lf[670]+1 /* (set! ##sys#make-vector ...) */,*((C_word*)lf[93]+1));
t513=C_mutate((C_word*)lf[94]+1 /* (set! scheme#list->vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17790,a[2]=((C_word)li492),tmp=(C_word)a,a+=3,tmp));
t514=C_mutate((C_word*)lf[95]+1 /* (set! scheme#vector->list ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17842,a[2]=((C_word)li494),tmp=(C_word)a,a+=3,tmp));
t515=C_mutate((C_word*)lf[96]+1 /* (set! scheme#vector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17875,a[2]=((C_word)li495),tmp=(C_word)a,a+=3,tmp));
t516=C_mutate((C_word*)lf[97]+1 /* (set! scheme#vector-fill! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17881,a[2]=((C_word)li497),tmp=(C_word)a,a+=3,tmp));
t517=C_mutate((C_word*)lf[204]+1 /* (set! chicken.base#vector-copy! ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17909,a[2]=((C_word)li499),tmp=(C_word)a,a+=3,tmp));
t518=C_mutate((C_word*)lf[205]+1 /* (set! chicken.base#subvector ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_17978,a[2]=((C_word)li501),tmp=(C_word)a,a+=3,tmp));
t519=C_mutate((C_word*)lf[206]+1 /* (set! chicken.base#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18049,a[2]=((C_word)li502),tmp=(C_word)a,a+=3,tmp));
t520=C_mutate(&lf[678] /* (set! ##sys#vector-resize ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18070,a[2]=((C_word)li504),tmp=(C_word)a,a+=3,tmp));
t521=C_mutate((C_word*)lf[113]+1 /* (set! scheme#char-ci=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18109,a[2]=((C_word)li505),tmp=(C_word)a,a+=3,tmp));
t522=C_mutate((C_word*)lf[114]+1 /* (set! scheme#char-ci>? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18123,a[2]=((C_word)li506),tmp=(C_word)a,a+=3,tmp));
t523=C_mutate((C_word*)lf[115]+1 /* (set! scheme#char-ci<? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18134,a[2]=((C_word)li507),tmp=(C_word)a,a+=3,tmp));
t524=C_mutate((C_word*)lf[116]+1 /* (set! scheme#char-ci>=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18145,a[2]=((C_word)li508),tmp=(C_word)a,a+=3,tmp));
t525=C_mutate((C_word*)lf[117]+1 /* (set! scheme#char-ci<=? ...) */,(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18156,a[2]=((C_word)li509),tmp=(C_word)a,a+=3,tmp));
t526=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_18169,a[2]=((C_word*)t0)[2],tmp=(C_word)a,a+=3,tmp);
/* library.scm:2930: scheme#make-vector */
t527=*((C_word*)lf[93]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t527;
av2[1]=t526;
av2[2]=C_fix(37);
av2[3]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t527+1)))(4,av2);}}

/* scheme#not in k8510 */
static void C_ccall f_8514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8514,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#boolean? in k8510 */
static void C_ccall f_8517(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8517,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_booleanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eq? in k8510 */
static void C_ccall f_8520(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8520,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_eqp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#eqv? in k8510 */
static void C_ccall f_8523(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8523,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_eqvp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#equal? in k8510 */
static void C_ccall f_8526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8526,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#pair? in k8510 */
static void C_ccall f_8529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8529,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_pairp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cons in k8510 */
static void C_ccall f_8532(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_8532,4,av);}
a=C_alloc(3);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_a_i_cons(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#car in k8510 */
static void C_ccall f_8535(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8535,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_car(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdr in k8510 */
static void C_ccall f_8538(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8538,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#set-car! in k8510 */
static void C_ccall f_8541(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8541,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_car(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#set-cdr! in k8510 */
static void C_ccall f_8544(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8544,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_set_cdr(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadr in k8510 */
static void C_ccall f_8547(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8547,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caddr in k8510 */
static void C_ccall f_8550(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8550,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cadddr in k8510 */
static void C_ccall f_8553(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8553,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cadddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddddr in k8510 */
static void C_ccall f_8556(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8556,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caar in k8510 */
static void C_ccall f_8559(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8559,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_caar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cdar in k8510 */
static void C_ccall f_8562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8562,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cdar(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#cddr in k8510 */
static void C_ccall f_8565(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8565,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cddr(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#caaar in k8510 */
static void C_ccall f_8568(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8568,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadr in k8510 */
static void C_ccall f_8582(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8582,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadar in k8510 */
static void C_ccall f_8589(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8589,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaar in k8510 */
static void C_ccall f_8596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8596,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadr in k8510 */
static void C_ccall f_8610(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8610,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddar in k8510 */
static void C_ccall f_8617(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8617,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddr in k8510 */
static void C_ccall f_8631(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8631,3,av);}
t3=C_i_cdr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaaar in k8510 */
static void C_ccall f_8645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8645,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_car(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#caaadr in k8510 */
static void C_ccall f_8663(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8663,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caadar in k8510 */
static void C_ccall f_8674(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8674,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_car(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#caaddr in k8510 */
static void C_ccall f_8685(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8685,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_car(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cadaar in k8510 */
static void C_ccall f_8692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8692,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cadr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cadadr in k8510 */
static void C_ccall f_8703(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8703,3,av);}
t3=C_i_cadr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cadr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#caddar in k8510 */
static void C_ccall f_8707(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8707,3,av);}
t3=C_i_car(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_caddr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cdaaar in k8510 */
static void C_ccall f_8714(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8714,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_car(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cdaadr in k8510 */
static void C_ccall f_8732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8732,3,av);}
t3=C_i_cadr(t2);
t4=C_i_car(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdadar in k8510 */
static void C_ccall f_8743(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8743,3,av);}
t3=C_i_car(t2);
t4=C_i_cadr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdaddr in k8510 */
static void C_ccall f_8754(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8754,3,av);}
t3=C_i_caddr(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_cdr(t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#cddaar in k8510 */
static void C_ccall f_8761(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8761,3,av);}
t3=C_i_car(t2);
t4=C_i_car(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#cddadr in k8510 */
static void C_ccall f_8779(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8779,3,av);}
t3=C_i_cadr(t2);
t4=C_i_cdr(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_cdr(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#cdddar in k8510 */
static void C_ccall f_8790(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8790,3,av);}
t3=C_i_car(t2);
t4=C_i_cdr(t3);
t5=C_i_cdr(t4);
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=C_i_cdr(t5);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}

/* scheme#null? in k8510 */
static void C_ccall f_8808(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8808,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eqp(t2,C_SCHEME_END_OF_LIST);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list in k8510 */
static void C_ccall f_8814(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,1)))){
C_save_and_reclaim((void*)f_8814,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#length in k8510 */
static void C_ccall f_8817(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8817,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#list-tail in k8510 */
static void C_ccall f_8820(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8820,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_tail(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list-ref in k8510 */
static void C_ccall f_8823(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8823,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_list_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#reverse in k8510 */
static void C_ccall f_8826(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_8826,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_8832,a[2]=t4,a[3]=t2,a[4]=((C_word)li44),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_8832(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in scheme#reverse in k8510 */
static void C_fcall f_8832(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(3,0,3)))){
C_save_and_reclaim_args((void *)trf_8832,4,t0,t1,t2,t3);}
a=C_alloc(3);
t4=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t4)){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
if(C_truep(C_i_pairp(t2))){
t5=C_slot(t2,C_fix(1));
t6=C_slot(t2,C_fix(0));
t7=C_a_i_cons(&a,2,t6,t3);
/* library.scm:313: loop */
t9=t1;
t10=t5;
t11=t7;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
/* library.scm:314: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[4];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=((C_word*)t0)[3];
av2[3]=lf[48];
tp(4,av2);}}}}

/* scheme#memq in k8510 */
static void C_ccall f_8865(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8865,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#memv in k8510 */
static void C_ccall f_8868(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8868,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_memv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#member in k8510 */
static void C_ccall f_8871(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8871,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_member(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assq in k8510 */
static void C_ccall f_8874(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8874,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assq(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assv in k8510 */
static void C_ccall f_8877(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8877,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assv(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#assoc in k8510 */
static void C_ccall f_8880(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8880,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_assoc(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#list? in k8510 */
static void C_ccall f_8883(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8883,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_listp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string? in k8510 */
static void C_ccall f_8886(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8886,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_stringp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-length in k8510 */
static void C_ccall f_8889(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8889,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_string_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#string-ref in k8510 */
static void C_ccall f_8892(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8892,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-set! in k8510 */
static void C_ccall f_8895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8895,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_string_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#string=? in k8510 */
static void C_ccall f_8898(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8898,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#string-ci=? in k8510 */
static void C_ccall f_8901(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8901,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_string_ci_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#exact->inexact in k8510 */
static void C_ccall f_8905(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(12,c,1)))){
C_save_and_reclaim((void *)f_8905,3,av);}
a=C_alloc(12);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_exact_to_inexact(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#abs in k8510 */
static void C_ccall f_8908(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,1)))){
C_save_and_reclaim((void *)f_8908,3,av);}
a=C_alloc(7);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_abs(&a,1,t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#quotient in k8510 */
static void C_ccall f_8914(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8914,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_quotient(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#remainder in k8510 */
static void C_ccall f_8917(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8917,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_remainder(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#modulo in k8510 */
static void C_ccall f_8920(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,1)))){
C_save_and_reclaim((void *)f_8920,4,av);}
a=C_alloc(5);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_s_a_i_modulo(&a,2,t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#even? in k8510 */
static void C_ccall f_8923(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8923,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_evenp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#odd? in k8510 */
static void C_ccall f_8926(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8926,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_oddp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#number? in k8510 */
static void C_ccall f_8934(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8934,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_numberp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#real? in k8510 */
static void C_ccall f_8938(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8938,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_realp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#rational? in k8510 */
static void C_ccall f_8941(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8941,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_rationalp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#integer? in k8510 */
static void C_ccall f_8944(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8944,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#exact? in k8510 */
static void C_ccall f_8947(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8947,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#inexact? in k8510 */
static void C_ccall f_8950(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8950,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_inexactp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#zero? in k8510 */
static void C_ccall f_8953(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8953,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_zerop(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#positive? in k8510 */
static void C_ccall f_8956(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8956,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_positivep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#negative? in k8510 */
static void C_ccall f_8959(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8959,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_negativep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#symbol? in k8510 */
static void C_ccall f_8963(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8963,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_symbolp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector? in k8510 */
static void C_ccall f_8966(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8966,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vectorp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-length in k8510 */
static void C_ccall f_8969(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8969,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_vector_length(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#vector-ref in k8510 */
static void C_ccall f_8972(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8972,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_vector_ref(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#vector-set! in k8510 */
static void C_ccall f_8975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8975,5,av);}
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_i_vector_set(t2,t3,t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#char? in k8510 */
static void C_ccall f_8983(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8983,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_charp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char->integer in k8510 */
static void C_ccall f_8986(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8986,3,av);}
t3=C_i_check_char_2(t2,lf[100]);
t4=C_character_code(t2);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=C_fix(t4);
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* scheme#integer->char in k8510 */
static void C_ccall f_8993(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_8993,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_8997,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:454: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=t2;
av2[3]=lf[103];
tp(4,av2);}}

/* k8995 in scheme#integer->char in k8510 */
static void C_ccall f_8997(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_8997,2,av);}
t2=C_unfix(((C_word*)t0)[2]);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_make_character(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#char=? in k8510 */
static void C_ccall f_9000(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9000,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_equalp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>? in k8510 */
static void C_ccall f_9003(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9003,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greaterp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<? in k8510 */
static void C_ccall f_9006(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9006,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_lessp(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char>=? in k8510 */
static void C_ccall f_9009(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9009,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_greater_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char<=? in k8510 */
static void C_ccall f_9012(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9012,4,av);}
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_i_char_less_or_equal_p(t2,t3);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upcase in k8510 */
static void C_ccall f_9015(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9015,3,av);}
t3=C_i_check_char_2(t2,lf[110]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-downcase in k8510 */
static void C_ccall f_9021(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9021,3,av);}
t3=C_i_check_char_2(t2,lf[112]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_downcase(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-upper-case? in k8510 */
static void C_ccall f_9032(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9032,3,av);}
t3=C_i_check_char_2(t2,lf[119]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_upper_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-lower-case? in k8510 */
static void C_ccall f_9038(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9038,3,av);}
t3=C_i_check_char_2(t2,lf[121]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_lower_casep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-numeric? in k8510 */
static void C_ccall f_9044(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9044,3,av);}
t3=C_i_check_char_2(t2,lf[123]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_numericp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-whitespace? in k8510 */
static void C_ccall f_9050(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9050,3,av);}
t3=C_i_check_char_2(t2,lf[125]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_whitespacep(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#char-alphabetic? in k8510 */
static void C_ccall f_9056(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9056,3,av);}
t3=C_i_check_char_2(t2,lf[127]);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=C_u_i_char_alphabeticp(t2);
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}

/* scheme#procedure? in k8510 */
static void C_ccall f_9062(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9062,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_closurep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#input-port? in k8510 */
static void C_ccall f_9069(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9069,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_input_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#output-port? in k8510 */
static void C_ccall f_9075(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9075,3,av);}
if(C_truep(C_blockp(t2))){
t3=C_output_portp(t2);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* scheme#eof-object? in k8510 */
static void C_ccall f_9091(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9091,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_eofp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* scheme#eval in k8510 */
static void C_ccall f_9102(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9102,3,av);}
/* library.scm:547: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[156];
av2[3]=lf[157];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#interaction-environment in k8510 */
static void C_ccall f_9108(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9108,2,av);}
/* library.scm:550: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[159];
av2[3]=lf[160];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#scheme-report-environment in k8510 */
static void C_ccall f_9114(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9114,3,av);}
/* library.scm:553: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[162];
av2[3]=lf[163];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* scheme#null-environment in k8510 */
static void C_ccall f_9120(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9120,2,av);}
/* library.scm:556: ##sys#error */
t2=*((C_word*)lf[155]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=lf[165];
av2[3]=lf[166];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* scheme#load in k8510 */
static void C_ccall f_9126(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9126,3,av);}
/* library.scm:559: ##sys#error */
t3=*((C_word*)lf[155]+1);{
C_word av2[4];
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[168];
av2[3]=lf[169];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* chicken.base#fixnum? in k8510 */
static void C_ccall f_9135(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9135,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_fixnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#flonum? in k8510 */
static void C_ccall f_9138(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9138,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_flonump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#bignum? in k8510 */
static void C_ccall f_9141(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9141,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_bignump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#ratnum? in k8510 */
static void C_ccall f_9144(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9144,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_ratnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#cplxnum? in k8510 */
static void C_ccall f_9147(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9147,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_cplxnump(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#exact-integer? in k8510 */
static void C_ccall f_9150(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9150,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_exact_integerp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#quotient&modulo in k8510 */
static void C_ccall f_9154(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(9,c,4)))){
C_save_and_reclaim((void *)f_9154,4,av);}
a=C_alloc(9);
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9160,a[2]=t2,a[3]=t3,a[4]=((C_word)li123),tmp=(C_word)a,a+=5,tmp);
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9166,a[2]=t3,a[3]=((C_word)li124),tmp=(C_word)a,a+=4,tmp);
/* library.scm:619: scheme#call-with-values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t4;
av2[3]=t5;
C_call_with_values(4,av2);}}

/* a9159 in chicken.base#quotient&modulo in k8510 */
static void C_ccall f_9160(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9160,2,av);}
/* library.scm:619: quotient&remainder */
t2=*((C_word*)lf[180]+1);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=t1;
av2[2]=((C_word*)t0)[2];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(4,av2);}}

/* a9165 in chicken.base#quotient&modulo in k8510 */
static void C_ccall f_9166(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,3)))){
C_save_and_reclaim((void *)f_9166,4,av);}
a=C_alloc(29);
t4=((C_word*)t0)[2];
if(C_truep(C_i_positivep(t4))){
t5=t3;
if(C_truep(C_i_negativep(t5))){
t6=C_s_a_i_plus(&a,2,t3,((C_word*)t0)[2]);
/* library.scm:623: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
C_values(4,av2);}}
else{
/* library.scm:624: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}
else{
t5=t3;
if(C_truep(C_i_positivep(t5))){
t6=C_s_a_i_plus(&a,2,t3,((C_word*)t0)[2]);
/* library.scm:626: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t6;
C_values(4,av2);}}
else{
/* library.scm:627: scheme#values */{
C_word *av2=av;
av2[0]=0;
av2[1]=t1;
av2[2]=t2;
av2[3]=t3;
C_values(4,av2);}}}}

/* chicken.base#finite? in k8510 */
static void C_ccall f_9201(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9201,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_finitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#infinite? in k8510 */
static void C_ccall f_9204(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9204,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_infinitep(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#nan? in k8510 */
static void C_ccall f_9207(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9207,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_nanp(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#add1 in k8510 */
static void C_ccall f_9215(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9215,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_plus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#sub1 in k8510 */
static void C_ccall f_9221(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(29,c,1)))){
C_save_and_reclaim((void *)f_9221,3,av);}
a=C_alloc(29);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_s_a_i_minus(&a,2,t2,C_fix(1));
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#error in k8510 */
static void C_ccall f_9228(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +0,c,4)))){
C_save_and_reclaim((void*)f_9228,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+0);
t2=C_build_rest(&a,c,2,av);
C_word t3;
if(C_truep(C_i_pairp(t2))){{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=0;
av2[1]=t1;
av2[2]=C_fast_retrieve(lf[194]);
av2[3]=lf[195];
av2[4]=t2;
C_apply(5,av2);}}
else{
/* library.scm:648: ##sys#signal-hook */
t3=C_fast_retrieve(lf[194]);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t3;
av2[1]=t1;
av2[2]=lf[195];
av2[3]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}}

/* chicken.base#void in k8510 */
static void C_ccall f_9243(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9243,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_UNDEFINED;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#promise? in k8510 */
static void C_ccall f_9264(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9264,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_structurep(t2,lf[216]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* ##sys#make-promise in k8510 */
static void C_ccall f_9270(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9270,3,av);}
a=C_alloc(3);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_record2(&a,2,lf[216],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#make-promise in k8510 */
static void C_ccall f_9276(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9276,3,av);}
a=C_alloc(4);
t3=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9283,a[2]=t2,a[3]=t1,tmp=(C_word)a,a+=4,tmp);
/* library.scm:692: promise? */
t4=*((C_word*)lf[215]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
av2[2]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(3,av2);}}

/* k9281 in chicken.base#make-promise in k8510 */
static void C_ccall f_9283(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9283,2,av);}
a=C_alloc(4);
if(C_truep(t1)){
t2=((C_word*)t0)[2];
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9288,a[2]=((C_word*)t0)[2],a[3]=((C_word)li136),tmp=(C_word)a,a+=4,tmp);
/* library.scm:693: ##sys#make-promise */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[217]+1));
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=*((C_word*)lf[217]+1);
av2[1]=((C_word*)t0)[3];
av2[2]=t2;
tp(3,av2);}}}

/* a9287 in k9281 in chicken.base#make-promise in k8510 */
static void C_ccall f_9288(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9288,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#foldl in k8510 */
static void C_ccall f_9291(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9291,5,av);}
a=C_alloc(7);
t5=C_i_check_list_2(t4,lf[220]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9300,a[2]=t7,a[3]=t2,a[4]=((C_word)li138),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9300(t9,t1,t4,t3);}

/* loop in chicken.base#foldl in k8510 */
static void C_fcall f_9300(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9300,4,t0,t1,t2,t3);}
a=C_alloc(5);
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
t5=t3;
t6=t1;{
C_word av2[2];
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t5=C_slot(t2,C_fix(1));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9318,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t6,tmp=(C_word)a,a+=5,tmp);
t8=C_slot(t2,C_fix(0));
/* library.scm:702: f */
t9=((C_word*)t0)[3];{
C_word av2[4];
av2[0]=t9;
av2[1]=t7;
av2[2]=t3;
av2[3]=t8;
((C_proc)C_fast_retrieve_proc(t9))(4,av2);}}}

/* k9316 in loop in chicken.base#foldl in k8510 */
static void C_ccall f_9318(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9318,2,av);}
/* library.scm:702: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9300(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* chicken.base#foldr in k8510 */
static void C_ccall f_9328(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=5) C_bad_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand(8,c,3)))){
C_save_and_reclaim((void *)f_9328,5,av);}
a=C_alloc(8);
t5=C_i_check_list_2(t4,lf[222]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9337,a[2]=t3,a[3]=t2,a[4]=t7,a[5]=((C_word)li140),tmp=(C_word)a,a+=6,tmp));
t9=((C_word*)t7)[1];
f_9337(t9,t1,t4);}

/* loop in chicken.base#foldr in k8510 */
static void C_fcall f_9337(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9337,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=((C_word*)t0)[2];
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9355,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
t7=C_slot(t2,C_fix(1));
/* library.scm:709: loop */
t9=t6;
t10=t7;
t1=t9;
t2=t10;
goto loop;}}

/* k9353 in loop in chicken.base#foldr in k8510 */
static void C_ccall f_9355(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9355,2,av);}
/* library.scm:709: f */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=((C_word*)t0)[4];
av2[3]=t1;
((C_proc)C_fast_retrieve_proc(t2))(4,av2);}}

/* chicken.base#on-exit in k8510 */
static void C_ccall f_9368(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9368,3,av);}
a=C_alloc(3);
t3=C_a_i_cons(&a,2,t2,*((C_word*)lf[225]+1));
t4=C_mutate((C_word*)lf[225]+1 /* (set! chicken.base#cleanup-tasks ...) */,t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}

/* chicken.base#exit in k8510 */
static void C_ccall f_9375(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9375,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34566,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:722: chicken.base#exit-handler */
t4=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9382,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:722: chicken.base#exit-handler */
t6=*((C_word*)lf[224]+1);{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}}

/* k9380 in chicken.base#exit in k8510 */
static void C_ccall f_9382(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9382,2,av);}
/* library.scm:721: g671 */
t2=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t2+1)))(3,av2);}}

/* chicken.base#emergency-exit in k8510 */
static void C_ccall f_9393(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9393,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f34042,a[2]=t1,tmp=(C_word)a,a+=3,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t3;
av2[2]=C_fix(0);
av2[3]=lf[229];
tp(4,av2);}}
else{
t3=C_i_car(t2);
t4=t3;
t5=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9400,a[2]=t1,a[3]=t4,tmp=(C_word)a,a+=4,tmp);
/* library.scm:725: ##sys#check-fixnum */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[102]+1));
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=*((C_word*)lf[102]+1);
av2[1]=t5;
av2[2]=t4;
av2[3]=lf[229];
tp(4,av2);}}}

/* k9398 in chicken.base#emergency-exit in k8510 */
static void C_ccall f_9400(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9400,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_exit_runtime(((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#identity in k8510 */
static void C_ccall f_9412(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9412,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#conjoin in k8510 */
static void C_ccall f_9415(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9415,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9417,a[2]=t2,a[3]=((C_word)li147),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9417 in chicken.base#conjoin in k8510 */
static void C_ccall f_9417(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9417,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9423,a[2]=t4,a[3]=t2,a[4]=((C_word)li146),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9423(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9423(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9423,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(t3)){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9439,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
/* library.scm:743: g700 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}

/* k9437 in loop */
static void C_ccall f_9439(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9439,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:744: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9423(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#disjoin in k8510 */
static void C_ccall f_9448(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,3)))){
C_save_and_reclaim((void*)f_9448,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9450,a[2]=t2,a[3]=((C_word)li150),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9450 in chicken.base#disjoin in k8510 */
static void C_ccall f_9450(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9450,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9456,a[2]=t4,a[3]=t2,a[4]=((C_word)li149),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9456(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9456(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9456,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_i_nullp(t2);
if(C_truep(C_i_not(t3))){
t4=C_slot(t2,C_fix(0));
t5=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9469,a[2]=t1,a[3]=t2,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:750: g712 */
t6=t4;{
C_word av2[3];
av2[0]=t6;
av2[1]=t5;
av2[2]=((C_word*)t0)[3];
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}
else{
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}}

/* k9467 in loop */
static void C_ccall f_9469(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9469,2,av);}
if(C_truep(t1)){
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}
else{
t2=C_slot(((C_word*)t0)[3],C_fix(1));
/* library.scm:751: loop */
t3=((C_word*)((C_word*)t0)[4])[1];
f_9456(t3,((C_word*)t0)[2],t2);}}

/* chicken.base#constantly in k8510 */
static void C_ccall f_9485(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9485,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
t3=t2;
t4=C_u_i_length(t3);
t5=C_eqp(C_fix(1),t4);
if(C_truep(t5)){
t6=C_i_car(t2);
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9496,a[2]=t7,a[3]=((C_word)li152),tmp=(C_word)a,a+=4,tmp);
t9=t1;{
C_word *av2=av;
av2[0]=t9;
av2[1]=t8;
((C_proc)(void*)(*((C_word*)t9+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9498,a[2]=t2,a[3]=((C_word)li153),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=t6;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* f_9496 in chicken.base#constantly in k8510 */
static void C_ccall f_9496(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9496,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9498 in chicken.base#constantly in k8510 */
static void C_ccall f_9498(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9498,2,av);}{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=*((C_word*)lf[130]+1);
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}

/* chicken.base#flip in k8510 */
static void C_ccall f_9506(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,4)))){
C_save_and_reclaim((void *)f_9506,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9508,a[2]=t2,a[3]=((C_word)li155),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9508 in chicken.base#flip in k8510 */
static void C_ccall f_9508(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9508,4,av);}
/* library.scm:759: proc */
t4=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t1;
av2[2]=t3;
av2[3]=t2;
((C_proc)C_fast_retrieve_proc(t4))(4,av2);}}

/* chicken.base#complement in k8510 */
static void C_ccall f_9514(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9514,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9516,a[2]=t2,a[3]=((C_word)li157),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9516 in chicken.base#complement in k8510 */
static void C_ccall f_9516(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +3,c,3)))){
C_save_and_reclaim((void*)f_9516,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+3);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9524,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t3;
av2[2]=((C_word*)t0)[2];
av2[3]=t2;
C_apply(4,av2);}}

/* k9522 */
static void C_ccall f_9524(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9524,2,av);}
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_i_not(t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#compose in k8510 */
static void C_ccall f_9526(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9526,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9529,a[2]=t4,a[3]=((C_word)li161),tmp=(C_word)a,a+=4,tmp));
if(C_truep(C_i_nullp(t2))){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=*((C_word*)lf[130]+1);
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=((C_word*)t4)[1];
av2[3]=t2;
C_apply(4,av2);}}}

/* rec in chicken.base#compose in k8510 */
static void C_ccall f_9529(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +6,c,2)))){
C_save_and_reclaim((void*)f_9529,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+6);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t3))){
t4=t2;
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9537,a[2]=((C_word*)t0)[2],a[3]=t3,a[4]=t2,a[5]=((C_word)li160),tmp=(C_word)a,a+=6,tmp);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9537 in rec in chicken.base#compose in k8510 */
static void C_ccall f_9537(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9537,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
t3=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9543,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=((C_word*)t0)[3],a[5]=((C_word)li159),tmp=(C_word)a,a+=6,tmp);
/* library.scm:770: scheme#call-with-values */{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[4];
C_call_with_values(4,av2);}}

/* a9542 */
static void C_ccall f_9543(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(c!=2) C_bad_argc_2(c,2,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9543,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9551,a[2]=t1,a[3]=((C_word*)t0)[2],tmp=(C_word)a,a+=4,tmp);{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=t2;
av2[2]=((C_word*)((C_word*)t0)[3])[1];
av2[3]=((C_word*)t0)[4];
C_apply(4,av2);}}

/* k9549 in a9542 */
static void C_ccall f_9551(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9551,2,av);}{
C_word *av2;
if(c >= 4) {
  av2=av;
} else {
  av2=C_alloc(4);
}
av2[0]=0;
av2[1]=((C_word*)t0)[2];
av2[2]=t1;
av2[3]=((C_word*)t0)[3];
C_apply(4,av2);}}

/* chicken.base#o in k8510 */
static void C_ccall f_9562(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,3)))){
C_save_and_reclaim((void*)f_9562,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=*((C_word*)lf[234]+1);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9574,a[2]=t4,a[3]=((C_word)li164),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9574(t6,t1,t2);}}

/* loop in chicken.base#o in k8510 */
static void C_fcall f_9574(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9574,3,t0,t1,t2);}
a=C_alloc(6);
t3=C_slot(t2,C_fix(0));
t4=t3;
t5=C_slot(t2,C_fix(1));
t6=t5;
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9588,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=t6,a[5]=((C_word)li163),tmp=(C_word)a,a+=6,tmp);
t8=t1;{
C_word av2[2];
av2[0]=t8;
av2[1]=t7;
((C_proc)(void*)(*((C_word*)t8+1)))(2,av2);}}}

/* f_9588 in loop in chicken.base#o in k8510 */
static void C_ccall f_9588(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(5,c,2)))){
C_save_and_reclaim((void *)f_9588,3,av);}
a=C_alloc(5);
t3=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9596,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t2,tmp=(C_word)a,a+=5,tmp);
/* library.scm:785: loop */
t4=((C_word*)((C_word*)t0)[3])[1];
f_9574(t4,t3,((C_word*)t0)[4]);}

/* k9594 */
static void C_ccall f_9596(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9596,2,av);}
a=C_alloc(4);
t2=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9599,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],tmp=(C_word)a,a+=4,tmp);
/* library.scm:785: g741 */
t3=t1;{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[4];
((C_proc)C_fast_retrieve_proc(t3))(3,av2);}}

/* k9597 in k9594 */
static void C_ccall f_9599(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9599,2,av);}
/* library.scm:785: h */
t2=((C_word*)t0)[2];{
C_word *av2;
if(c >= 3) {
  av2=av;
} else {
  av2=C_alloc(3);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[3];
av2[2]=t1;
((C_proc)C_fast_retrieve_proc(t2))(3,av2);}}

/* chicken.base#list-of? in k8510 */
static void C_ccall f_9601(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,3)))){
C_save_and_reclaim((void *)f_9601,3,av);}
a=C_alloc(4);
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9603,a[2]=t2,a[3]=((C_word)li167),tmp=(C_word)a,a+=4,tmp);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* f_9603 in chicken.base#list-of? in k8510 */
static void C_ccall f_9603(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9603,3,av);}
a=C_alloc(7);
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9609,a[2]=t4,a[3]=((C_word*)t0)[2],a[4]=((C_word)li166),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9609(t6,t1,t2);}

/* loop */
static void C_fcall f_9609(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9609,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_TRUE;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9628,a[2]=t2,a[3]=((C_word*)t0)[2],a[4]=t1,tmp=(C_word)a,a+=5,tmp);
t5=C_slot(t2,C_fix(0));
/* library.scm:792: pred */
t6=((C_word*)t0)[3];{
C_word av2[3];
av2[0]=t6;
av2[1]=t4;
av2[2]=t5;
((C_proc)C_fast_retrieve_proc(t6))(3,av2);}}}}

/* k9626 in loop */
static void C_ccall f_9628(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9628,2,av);}
if(C_truep(t1)){
t2=C_slot(((C_word*)t0)[2],C_fix(1));
/* library.scm:792: loop */
t3=((C_word*)((C_word*)t0)[3])[1];
f_9609(t3,((C_word*)t0)[4],t2);}
else{
t2=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_SCHEME_FALSE;
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}}

/* chicken.base#each in k8510 */
static void C_ccall f_9645(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9645,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+4);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
if(C_truep(C_i_nullp(t2))){
t3=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_9653,a[2]=((C_word)li169),tmp=(C_word)a,a+=3,tmp);
t4=t1;{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_slot(t2,C_fix(1));
t4=C_i_nullp(t3);
t5=t1;{
C_word *av2=av;
av2[0]=t5;
av2[1]=(C_truep(t4)?C_slot(t2,C_fix(0)):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9667,a[2]=t2,a[3]=((C_word)li171),tmp=(C_word)a,a+=4,tmp));
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* f_9653 in chicken.base#each in k8510 */
static void C_ccall f_9653(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9653,2,av);}
t2=t1;{
C_word *av2=av;
av2[0]=t2;
av2[1]=*((C_word*)lf[244]+1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* f_9667 in chicken.base#each in k8510 */
static void C_ccall f_9667(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +7,c,3)))){
C_save_and_reclaim((void*)f_9667,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+7);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9673,a[2]=t2,a[3]=t4,a[4]=((C_word)li170),tmp=(C_word)a,a+=5,tmp));
t6=((C_word*)t4)[1];
f_9673(t6,t1,((C_word*)t0)[2]);}

/* loop */
static void C_fcall f_9673(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9673,3,t0,t1,t2);}
a=C_alloc(5);
t3=C_slot(t2,C_fix(0));
t4=C_slot(t2,C_fix(1));
t5=t4;
if(C_truep(C_i_nullp(t5))){{
C_word av2[4];
av2[0]=0;
av2[1]=t1;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9692,a[2]=((C_word*)t0)[3],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);{
C_word av2[4];
av2[0]=0;
av2[1]=t6;
av2[2]=t3;
av2[3]=((C_word*)t0)[2];
C_apply(4,av2);}}}

/* k9690 in loop */
static void C_ccall f_9692(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,2)))){
C_save_and_reclaim((void *)f_9692,2,av);}
/* library.scm:807: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9673(t2,((C_word*)t0)[3],((C_word*)t0)[4]);}

/* chicken.base#atom? in k8510 */
static void C_ccall f_9701(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(0,c,1)))){
C_save_and_reclaim((void *)f_9701,3,av);}
t3=t1;{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_i_not_pair_p(t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#tail? in k8510 */
static void C_ccall f_9704(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(4,c,2)))){
C_save_and_reclaim((void *)f_9704,4,av);}
a=C_alloc(4);
t4=C_i_check_list_2(t3,lf[247]);
t5=C_eqp(t2,C_SCHEME_END_OF_LIST);
if(C_truep(t5)){
t6=t1;{
C_word *av2=av;
av2[0]=t6;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t6+1)))(2,av2);}}
else{
t6=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9716,a[2]=t2,a[3]=((C_word)li174),tmp=(C_word)a,a+=4,tmp);
t7=t1;{
C_word *av2=av;
av2[0]=t7;
av2[1]=(
  f_9716(t6,t3)
);
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}}

/* loop in chicken.base#tail? in k8510 */
static C_word C_fcall f_9716(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_stack_overflow_check;
loop:{}
if(C_truep(C_eqp(t1,C_SCHEME_END_OF_LIST))){
return(C_SCHEME_FALSE);}
else{
if(C_truep(C_eqp(((C_word*)t0)[2],t1))){
return(C_SCHEME_TRUE);}
else{
t2=C_slot(t1,C_fix(1));
t4=t2;
t1=t4;
goto loop;}}}

/* chicken.base#intersperse in k8510 */
static void C_ccall f_9732(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,3)))){
C_save_and_reclaim((void *)f_9732,4,av);}
a=C_alloc(7);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9738,a[2]=t3,a[3]=t5,a[4]=((C_word)li176),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9738(t7,t1,t2);}

/* loop in chicken.base#intersperse in k8510 */
static void C_fcall f_9738(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9738,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_eqp(t2,C_SCHEME_END_OF_LIST))){
t3=t2;
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t3=C_i_cdr(t2);
if(C_truep(C_eqp(t3,C_SCHEME_END_OF_LIST))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=t2;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9763,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:830: loop */
t8=t6;
t9=t3;
t1=t8;
t2=t9;
goto loop;}}}

/* k9761 in loop in chicken.base#intersperse in k8510 */
static void C_ccall f_9763(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9763,2,av);}
a=C_alloc(6);
t2=C_a_i_cons(&a,2,((C_word*)t0)[2],t1);
t3=((C_word*)t0)[3];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[4],t2);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}

/* chicken.base#butlast in k8510 */
static void C_ccall f_9765(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(c!=3) C_bad_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand(6,c,3)))){
C_save_and_reclaim((void *)f_9765,3,av);}
a=C_alloc(6);
t3=C_i_check_pair_2(t2,lf[250]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9774,a[2]=t5,a[3]=((C_word)li178),tmp=(C_word)a,a+=4,tmp));
t7=((C_word*)t5)[1];
f_9774(t7,t1,t2);}

/* loop in chicken.base#butlast in k8510 */
static void C_fcall f_9774(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,2)))){
C_save_and_reclaim_args((void *)trf_9774,3,t0,t1,t2);}
a=C_alloc(4);
t3=C_slot(t2,C_fix(1));
t4=(C_truep(C_blockp(t3))?C_pairp(t3):C_SCHEME_FALSE);
if(C_truep(t4)){
t5=C_slot(t2,C_fix(0));
t6=t5;
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9795,a[2]=t1,a[3]=t6,tmp=(C_word)a,a+=4,tmp);
/* library.scm:837: loop */
t9=t7;
t10=t3;
t1=t9;
t2=t10;
goto loop;}
else{
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}}

/* k9793 in loop in chicken.base#butlast in k8510 */
static void C_ccall f_9795(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9795,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#flatten in k8510 */
static void C_ccall f_9797(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand((c-2)*C_SIZEOF_PAIR +6,c,4)))){
C_save_and_reclaim((void*)f_9797,c,av);}
a=C_alloc((c-2)*C_SIZEOF_PAIR+6);
t2=C_build_rest(&a,c,2,av);
C_word t3;
C_word t4;
C_word t5;
C_word t6;
t3=C_SCHEME_UNDEFINED;
t4=(*a=C_VECTOR_TYPE|1,a[1]=t3,tmp=(C_word)a,a+=2,tmp);
t5=C_set_block_item(t4,0,(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9803,a[2]=t4,a[3]=((C_word)li180),tmp=(C_word)a,a+=4,tmp));
t6=((C_word*)t4)[1];
f_9803(t6,t1,t2,C_SCHEME_END_OF_LIST);}

/* loop in chicken.base#flatten in k8510 */
static void C_fcall f_9803(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,3)))){
C_save_and_reclaim_args((void *)trf_9803,4,t0,t1,t2,t3);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t4=t3;
t5=t1;{
C_word av2[2];
av2[0]=t5;
av2[1]=t4;
((C_proc)(void*)(*((C_word*)t5+1)))(2,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_listp(t5))){
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9829,a[2]=((C_word*)t0)[2],a[3]=t1,a[4]=t5,tmp=(C_word)a,a+=5,tmp);
/* library.scm:847: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}
else{
t7=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9836,a[2]=t1,a[3]=t5,tmp=(C_word)a,a+=4,tmp);
/* library.scm:848: loop */
t9=t7;
t10=t6;
t11=t3;
t1=t9;
t2=t10;
t3=t11;
goto loop;}}}

/* k9827 in loop in chicken.base#flatten in k8510 */
static void C_ccall f_9829(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,3)))){
C_save_and_reclaim((void *)f_9829,2,av);}
/* library.scm:847: loop */
t2=((C_word*)((C_word*)t0)[2])[1];
f_9803(t2,((C_word*)t0)[3],((C_word*)t0)[4],t1);}

/* k9834 in loop in chicken.base#flatten in k8510 */
static void C_ccall f_9836(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9836,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#join in k8510 */
static void C_ccall f_9838(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3;
C_word *a;
if(c<3) C_bad_min_argc_2(c,3,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-3)*C_SIZEOF_PAIR +4,c,2)))){
C_save_and_reclaim((void*)f_9838,c,av);}
a=C_alloc((c-3)*C_SIZEOF_PAIR+4);
t3=C_build_rest(&a,c,3,av);
C_word t4;
C_word t5;
C_word t6;
t4=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9842,a[2]=t1,a[3]=t2,tmp=(C_word)a,a+=4,tmp);
if(C_truep(C_i_pairp(t3))){
t5=t3;
t6=t4;
f_9842(t6,C_u_i_car(t5));}
else{
t5=t4;
f_9842(t5,C_SCHEME_END_OF_LIST);}}

/* k9840 in chicken.base#join in k8510 */
static void C_fcall f_9842(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(7,0,3)))){
C_save_and_reclaim_args((void *)trf_9842,2,t0,t1);}
a=C_alloc(7);
t2=t1;
t3=C_i_check_list_2(t2,lf[253]);
t4=C_SCHEME_UNDEFINED;
t5=(*a=C_VECTOR_TYPE|1,a[1]=t4,tmp=(C_word)a,a+=2,tmp);
t6=C_set_block_item(t5,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9850,a[2]=t2,a[3]=t5,a[4]=((C_word)li182),tmp=(C_word)a,a+=5,tmp));
t7=((C_word*)t5)[1];
f_9850(t7,((C_word*)t0)[2],((C_word*)t0)[3]);}

/* loop in k9840 in chicken.base#join in k8510 */
static void C_fcall f_9850(C_word t0,C_word t1,C_word t2){
C_word tmp;
C_word t3;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(5,0,2)))){
C_save_and_reclaim_args((void *)trf_9850,3,t0,t1,t2);}
a=C_alloc(5);
if(C_truep(C_i_nullp(t2))){
t3=t1;{
C_word av2[2];
av2[0]=t3;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}
else{
t3=C_i_pairp(t2);
if(C_truep(C_i_not(t3))){
/* library.scm:858: ##sys#error-not-a-proper-list */
{C_proc tp=(C_proc)C_fast_retrieve_proc(*((C_word*)lf[47]+1));
C_word av2[3];
av2[0]=*((C_word*)lf[47]+1);
av2[1]=t1;
av2[2]=t2;
tp(3,av2);}}
else{
t4=C_slot(t2,C_fix(0));
t5=t4;
t6=C_slot(t2,C_fix(1));
if(C_truep(C_i_nullp(t6))){
t7=t1;{
C_word av2[2];
av2[0]=t7;
av2[1]=t5;
((C_proc)(void*)(*((C_word*)t7+1)))(2,av2);}}
else{
t7=(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9885,a[2]=t1,a[3]=t5,a[4]=((C_word*)t0)[2],tmp=(C_word)a,a+=5,tmp);
/* library.scm:864: loop */
t9=t7;
t10=t6;
t1=t9;
t2=t10;
goto loop;}}}}

/* k9883 in loop in k9840 in chicken.base#join in k8510 */
static void C_ccall f_9885(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(0,c,4)))){
C_save_and_reclaim((void *)f_9885,2,av);}
/* library.scm:864: ##sys#append */
t2=*((C_word*)lf[254]+1);{
C_word *av2;
if(c >= 5) {
  av2=av;
} else {
  av2=C_alloc(5);
}
av2[0]=t2;
av2[1]=((C_word*)t0)[2];
av2[2]=((C_word*)t0)[3];
av2[3]=((C_word*)t0)[4];
av2[4]=t1;
((C_proc)(void*)(*((C_word*)t2+1)))(5,av2);}}

/* chicken.base#compress in k8510 */
static void C_ccall f_9895(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word *a;
if(c!=4) C_bad_argc_2(c,4,t0);
if(C_unlikely(!C_demand(C_calculate_demand(7,c,4)))){
C_save_and_reclaim((void *)f_9895,4,av);}
a=C_alloc(7);
t4=lf[256];
t5=C_i_check_list_2(t3,lf[257]);
t6=C_SCHEME_UNDEFINED;
t7=(*a=C_VECTOR_TYPE|1,a[1]=t6,tmp=(C_word)a,a+=2,tmp);
t8=C_set_block_item(t7,0,(*a=C_CLOSURE_TYPE|4,a[1]=(C_word)f_9904,a[2]=t4,a[3]=t7,a[4]=((C_word)li184),tmp=(C_word)a,a+=5,tmp));
t9=((C_word*)t7)[1];
f_9904(t9,t1,t2,t3);}

/* loop in chicken.base#compress in k8510 */
static void C_fcall f_9904(C_word t0,C_word t1,C_word t2,C_word t3){
C_word tmp;
C_word t4;
C_word t5;
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
C_word t14;
C_word *a;
loop:
if(C_unlikely(!C_demand(C_calculate_demand(4,0,5)))){
C_save_and_reclaim_args((void *)trf_9904,4,t0,t1,t2,t3);}
a=C_alloc(4);
if(C_truep(C_i_nullp(t2))){
t4=t1;{
C_word av2[2];
av2[0]=t4;
av2[1]=C_SCHEME_END_OF_LIST;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t4=C_i_pairp(t2);
if(C_truep(C_i_not(t4))){
/* library.scm:873: ##sys#signal-hook */
t5=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t5;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t2;
((C_proc)(void*)(*((C_word*)t5+1)))(6,av2);}}
else{
t5=C_i_pairp(t3);
if(C_truep(C_i_not(t5))){
/* library.scm:875: ##sys#signal-hook */
t6=C_fast_retrieve(lf[194]);{
C_word av2[6];
av2[0]=t6;
av2[1]=t1;
av2[2]=lf[258];
av2[3]=lf[257];
av2[4]=((C_word*)t0)[2];
av2[5]=t3;
((C_proc)(void*)(*((C_word*)t6+1)))(6,av2);}}
else{
if(C_truep(C_slot(t2,C_fix(0)))){
t6=C_slot(t3,C_fix(0));
t7=t6;
t8=(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_9946,a[2]=t1,a[3]=t7,tmp=(C_word)a,a+=4,tmp);
t9=C_slot(t2,C_fix(1));
t10=C_slot(t3,C_fix(1));
/* library.scm:877: loop */
t12=t8;
t13=t9;
t14=t10;
t1=t12;
t2=t13;
t3=t14;
goto loop;}
else{
t6=C_slot(t2,C_fix(1));
t7=C_slot(t3,C_fix(1));
/* library.scm:878: loop */
t12=t1;
t13=t6;
t14=t7;
t1=t12;
t2=t13;
t3=t14;
goto loop;}}}}}

/* k9944 in loop in chicken.base#compress in k8510 */
static void C_ccall f_9946(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(3,c,1)))){
C_save_and_reclaim((void *)f_9946,2,av);}
a=C_alloc(3);
t2=((C_word*)t0)[2];{
C_word *av2=av;
av2[0]=t2;
av2[1]=C_a_i_cons(&a,2,((C_word*)t0)[3],t1);
((C_proc)(void*)(*((C_word*)t2+1)))(2,av2);}}

/* chicken.base#alist-update! in k8510 */
static void C_ccall f_9975(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2=av[2];
C_word t3=av[3];
C_word t4=av[4];
C_word t5;
C_word *a;
if(c<5) C_bad_min_argc_2(c,5,t0);
if(C_unlikely(!C_demand(C_calculate_demand((c-5)*C_SIZEOF_PAIR +10,c,4)))){
C_save_and_reclaim((void*)f_9975,c,av);}
a=C_alloc((c-5)*C_SIZEOF_PAIR+10);
t5=C_build_rest(&a,c,5,av);
C_word t6;
C_word t7;
C_word t8;
C_word t9;
C_word t10;
C_word t11;
C_word t12;
C_word t13;
t6=C_i_nullp(t5);
t7=(C_truep(t6)?*((C_word*)lf[5]+1):C_i_car(t5));
t8=t7;
t9=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9982,a[2]=t3,a[3]=t4,a[4]=t1,a[5]=t2,tmp=(C_word)a,a+=6,tmp);
t10=C_eqp(*((C_word*)lf[4]+1),t8);
if(C_truep(t10)){
t11=t9;
f_9982(t11,*((C_word*)lf[52]+1));}
else{
t11=C_eqp(*((C_word*)lf[5]+1),t8);
if(C_truep(t11)){
t12=t9;
f_9982(t12,*((C_word*)lf[53]+1));}
else{
t12=C_eqp(*((C_word*)lf[6]+1),t8);
t13=t9;
f_9982(t13,(C_truep(t12)?*((C_word*)lf[54]+1):(*a=C_CLOSURE_TYPE|3,a[1]=(C_word)f_10014,a[2]=t8,a[3]=((C_word)li187),tmp=(C_word)a,a+=4,tmp)));}}}

/* k9980 in chicken.base#alist-update! in k8510 */
static void C_fcall f_9982(C_word t0,C_word t1){
C_word tmp;
C_word t2;
C_word t3;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,0,3)))){
C_save_and_reclaim_args((void *)trf_9982,2,t0,t1);}
a=C_alloc(6);
t2=(*a=C_CLOSURE_TYPE|5,a[1]=(C_word)f_9985,a[2]=((C_word*)t0)[2],a[3]=((C_word*)t0)[3],a[4]=((C_word*)t0)[4],a[5]=((C_word*)t0)[5],tmp=(C_word)a,a+=6,tmp);
/* library.scm:895: aq */
t3=t1;{
C_word av2[4];
av2[0]=t3;
av2[1]=t2;
av2[2]=((C_word*)t0)[5];
av2[3]=((C_word*)t0)[3];
((C_proc)(void*)(*((C_word*)t3+1)))(4,av2);}}

/* k9983 in k9980 in chicken.base#alist-update! in k8510 */
static void C_ccall f_9985(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word t4;
C_word *a;
if(C_unlikely(!C_demand(C_calculate_demand(6,c,1)))){
C_save_and_reclaim((void *)f_9985,2,av);}
a=C_alloc(6);
if(C_truep(t1)){
t2=C_i_setslot(t1,C_fix(1),((C_word*)t0)[2]);
t3=((C_word*)t0)[3];
t4=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t4;
av2[1]=t3;
((C_proc)(void*)(*((C_word*)t4+1)))(2,av2);}}
else{
t2=C_a_i_cons(&a,2,((C_word*)t0)[5],((C_word*)t0)[2]);
t3=((C_word*)t0)[4];{
C_word *av2=av;
av2[0]=t3;
av2[1]=C_a_i_cons(&a,2,t2,((C_word*)t0)[3]);
((C_proc)(void*)(*((C_word*)t3+1)))(2,av2);}}}

/* toplevel */
static C_TLS int toplevel_initialized=0;

void C_ccall C_library_toplevel(C_word c,C_word *av){
C_word tmp;
C_word t0=av[0];
C_word t1=av[1];
C_word t2;
C_word t3;
C_word *a;
if(toplevel_initialized) {C_kontinue(t1,C_SCHEME_UNDEFINED);}
else C_toplevel_entry(C_text("library"));
C_check_nursery_minimum(C_calculate_demand(3,c,2));
if(C_unlikely(!C_demand(C_calculate_demand(3,c,2)))){
C_save_and_reclaim((void*)C_library_toplevel,c,av);}
toplevel_initialized=1;
if(C_unlikely(!C_demand_2(7772))){
C_save(t1);
C_rereclaim2(7772*sizeof(C_word),1);
t1=C_restore;}
a=C_alloc(3);
C_initialize_lf(lf,1395);
lf[0]=C_h_intern(&lf[0],7, C_text("library"));
lf[1]=C_h_intern(&lf[1],7, C_text("scheme#"));
lf[2]=C_h_intern(&lf[2],10, C_text("scheme#not"));
lf[3]=C_h_intern(&lf[3],15, C_text("scheme#boolean\077"));
lf[4]=C_h_intern(&lf[4],10, C_text("scheme#eq\077"));
lf[5]=C_h_intern(&lf[5],11, C_text("scheme#eqv\077"));
lf[6]=C_h_intern(&lf[6],13, C_text("scheme#equal\077"));
lf[7]=C_h_intern(&lf[7],12, C_text("scheme#pair\077"));
lf[8]=C_h_intern(&lf[8],11, C_text("scheme#cons"));
lf[9]=C_h_intern(&lf[9],10, C_text("scheme#car"));
lf[10]=C_h_intern(&lf[10],10, C_text("scheme#cdr"));
lf[11]=C_h_intern(&lf[11],15, C_text("scheme#set-car!"));
lf[12]=C_h_intern(&lf[12],15, C_text("scheme#set-cdr!"));
lf[13]=C_h_intern(&lf[13],11, C_text("scheme#cadr"));
lf[14]=C_h_intern(&lf[14],12, C_text("scheme#caddr"));
lf[15]=C_h_intern(&lf[15],13, C_text("scheme#cadddr"));
lf[16]=C_h_intern(&lf[16],13, C_text("scheme#cddddr"));
lf[17]=C_h_intern(&lf[17],11, C_text("scheme#caar"));
lf[18]=C_h_intern(&lf[18],11, C_text("scheme#cdar"));
lf[19]=C_h_intern(&lf[19],11, C_text("scheme#cddr"));
lf[20]=C_h_intern(&lf[20],12, C_text("scheme#caaar"));
lf[21]=C_h_intern(&lf[21],12, C_text("scheme#caadr"));
lf[22]=C_h_intern(&lf[22],12, C_text("scheme#cadar"));
lf[23]=C_h_intern(&lf[23],12, C_text("scheme#cdaar"));
lf[24]=C_h_intern(&lf[24],12, C_text("scheme#cdadr"));
lf[25]=C_h_intern(&lf[25],12, C_text("scheme#cddar"));
lf[26]=C_h_intern(&lf[26],12, C_text("scheme#cdddr"));
lf[27]=C_h_intern(&lf[27],13, C_text("scheme#caaaar"));
lf[28]=C_h_intern(&lf[28],13, C_text("scheme#caaadr"));
lf[29]=C_h_intern(&lf[29],13, C_text("scheme#caadar"));
lf[30]=C_h_intern(&lf[30],13, C_text("scheme#caaddr"));
lf[31]=C_h_intern(&lf[31],13, C_text("scheme#cadaar"));
lf[32]=C_h_intern(&lf[32],13, C_text("scheme#cadadr"));
lf[33]=C_h_intern(&lf[33],13, C_text("scheme#caddar"));
lf[34]=C_h_intern(&lf[34],13, C_text("scheme#cdaaar"));
lf[35]=C_h_intern(&lf[35],13, C_text("scheme#cdaadr"));
lf[36]=C_h_intern(&lf[36],13, C_text("scheme#cdadar"));
lf[37]=C_h_intern(&lf[37],13, C_text("scheme#cdaddr"));
lf[38]=C_h_intern(&lf[38],13, C_text("scheme#cddaar"));
lf[39]=C_h_intern(&lf[39],13, C_text("scheme#cddadr"));
lf[40]=C_h_intern(&lf[40],13, C_text("scheme#cdddar"));
lf[41]=C_h_intern(&lf[41],12, C_text("scheme#null\077"));
lf[42]=C_h_intern(&lf[42],11, C_text("scheme#list"));
lf[43]=C_h_intern(&lf[43],13, C_text("scheme#length"));
lf[44]=C_h_intern(&lf[44],16, C_text("scheme#list-tail"));
lf[45]=C_h_intern(&lf[45],15, C_text("scheme#list-ref"));
lf[46]=C_h_intern(&lf[46],14, C_text("scheme#reverse"));
lf[47]=C_h_intern(&lf[47],29, C_text("##sys#error-not-a-proper-list"));
lf[48]=C_h_intern(&lf[48],7, C_text("reverse"));
lf[49]=C_h_intern(&lf[49],11, C_text("scheme#memq"));
lf[50]=C_h_intern(&lf[50],11, C_text("scheme#memv"));
lf[51]=C_h_intern(&lf[51],13, C_text("scheme#member"));
lf[52]=C_h_intern(&lf[52],11, C_text("scheme#assq"));
lf[53]=C_h_intern(&lf[53],11, C_text("scheme#assv"));
lf[54]=C_h_intern(&lf[54],12, C_text("scheme#assoc"));
lf[55]=C_h_intern(&lf[55],12, C_text("scheme#list\077"));
lf[56]=C_h_intern(&lf[56],14, C_text("scheme#string\077"));
lf[57]=C_h_intern(&lf[57],20, C_text("scheme#string-length"));
lf[58]=C_h_intern(&lf[58],17, C_text("scheme#string-ref"));
lf[59]=C_h_intern(&lf[59],18, C_text("scheme#string-set!"));
lf[60]=C_h_intern(&lf[60],15, C_text("scheme#string=\077"));
lf[61]=C_h_intern(&lf[61],18, C_text("scheme#string-ci=\077"));
lf[62]=C_h_intern(&lf[62],21, C_text("scheme#exact->inexact"));
lf[63]=C_h_intern(&lf[63],10, C_text("scheme#abs"));
lf[64]=C_h_intern(&lf[64],8, C_text("scheme#+"));
lf[65]=C_h_intern(&lf[65],8, C_text("scheme#-"));
lf[66]=C_h_intern(&lf[66],8, C_text("scheme#\052"));
lf[67]=C_h_intern(&lf[67],15, C_text("scheme#quotient"));
lf[68]=C_h_intern(&lf[68],16, C_text("scheme#remainder"));
lf[69]=C_h_intern(&lf[69],13, C_text("scheme#modulo"));
lf[70]=C_h_intern(&lf[70],12, C_text("scheme#even\077"));
lf[71]=C_h_intern(&lf[71],11, C_text("scheme#odd\077"));
lf[72]=C_h_intern(&lf[72],8, C_text("scheme#="));
lf[73]=C_h_intern(&lf[73],8, C_text("scheme#>"));
lf[74]=C_h_intern(&lf[74],8, C_text("scheme#<"));
lf[75]=C_h_intern(&lf[75],9, C_text("scheme#>="));
lf[76]=C_h_intern(&lf[76],9, C_text("scheme#<="));
lf[77]=C_h_intern(&lf[77],14, C_text("scheme#number\077"));
lf[78]=C_h_intern(&lf[78],15, C_text("scheme#complex\077"));
lf[79]=C_h_intern(&lf[79],12, C_text("scheme#real\077"));
lf[80]=C_h_intern(&lf[80],16, C_text("scheme#rational\077"));
lf[81]=C_h_intern(&lf[81],15, C_text("scheme#integer\077"));
lf[82]=C_h_intern(&lf[82],13, C_text("scheme#exact\077"));
lf[83]=C_h_intern(&lf[83],15, C_text("scheme#inexact\077"));
lf[84]=C_h_intern(&lf[84],12, C_text("scheme#zero\077"));
lf[85]=C_h_intern(&lf[85],16, C_text("scheme#positive\077"));
lf[86]=C_h_intern(&lf[86],16, C_text("scheme#negative\077"));
lf[87]=C_h_intern(&lf[87],21, C_text("scheme#number->string"));
lf[88]=C_h_intern(&lf[88],14, C_text("scheme#symbol\077"));
lf[89]=C_h_intern(&lf[89],14, C_text("scheme#vector\077"));
lf[90]=C_h_intern(&lf[90],20, C_text("scheme#vector-length"));
lf[91]=C_h_intern(&lf[91],17, C_text("scheme#vector-ref"));
lf[92]=C_h_intern(&lf[92],18, C_text("scheme#vector-set!"));
lf[93]=C_h_intern(&lf[93],18, C_text("scheme#make-vector"));
lf[94]=C_h_intern(&lf[94],19, C_text("scheme#list->vector"));
lf[95]=C_h_intern(&lf[95],19, C_text("scheme#vector->list"));
lf[96]=C_h_intern(&lf[96],13, C_text("scheme#vector"));
lf[97]=C_h_intern(&lf[97],19, C_text("scheme#vector-fill!"));
lf[98]=C_h_intern(&lf[98],12, C_text("scheme#char\077"));
lf[99]=C_h_intern(&lf[99],20, C_text("scheme#char->integer"));
lf[100]=C_h_intern(&lf[100],13, C_text("char->integer"));
lf[101]=C_h_intern(&lf[101],20, C_text("scheme#integer->char"));
lf[102]=C_h_intern(&lf[102],18, C_text("##sys#check-fixnum"));
lf[103]=C_h_intern(&lf[103],13, C_text("integer->char"));
lf[104]=C_h_intern(&lf[104],13, C_text("scheme#char=\077"));
lf[105]=C_h_intern(&lf[105],13, C_text("scheme#char>\077"));
lf[106]=C_h_intern(&lf[106],13, C_text("scheme#char<\077"));
lf[107]=C_h_intern(&lf[107],14, C_text("scheme#char>=\077"));
lf[108]=C_h_intern(&lf[108],14, C_text("scheme#char<=\077"));
lf[109]=C_h_intern(&lf[109],18, C_text("scheme#char-upcase"));
lf[110]=C_h_intern(&lf[110],11, C_text("char-upcase"));
lf[111]=C_h_intern(&lf[111],20, C_text("scheme#char-downcase"));
lf[112]=C_h_intern(&lf[112],13, C_text("char-downcase"));
lf[113]=C_h_intern(&lf[113],16, C_text("scheme#char-ci=\077"));
lf[114]=C_h_intern(&lf[114],16, C_text("scheme#char-ci>\077"));
lf[115]=C_h_intern(&lf[115],16, C_text("scheme#char-ci<\077"));
lf[116]=C_h_intern(&lf[116],17, C_text("scheme#char-ci>=\077"));
lf[117]=C_h_intern(&lf[117],17, C_text("scheme#char-ci<=\077"));
lf[118]=C_h_intern(&lf[118],23, C_text("scheme#char-upper-case\077"));
lf[119]=C_h_intern(&lf[119],16, C_text("char-upper-case\077"));
lf[120]=C_h_intern(&lf[120],23, C_text("scheme#char-lower-case\077"));
lf[121]=C_h_intern(&lf[121],16, C_text("char-lower-case\077"));
lf[122]=C_h_intern(&lf[122],20, C_text("scheme#char-numeric\077"));
lf[123]=C_h_intern(&lf[123],13, C_text("char-numeric\077"));
lf[124]=C_h_intern(&lf[124],23, C_text("scheme#char-whitespace\077"));
lf[125]=C_h_intern(&lf[125],16, C_text("char-whitespace\077"));
lf[126]=C_h_intern(&lf[126],23, C_text("scheme#char-alphabetic\077"));
lf[127]=C_h_intern(&lf[127],16, C_text("char-alphabetic\077"));
lf[128]=C_h_intern(&lf[128],17, C_text("scheme#procedure\077"));
lf[129]=C_h_intern(&lf[129],12, C_text("scheme#apply"));
lf[130]=C_h_intern(&lf[130],13, C_text("scheme#values"));
lf[131]=C_h_intern(&lf[131],23, C_text("scheme#call-with-values"));
lf[132]=C_h_intern(&lf[132],37, C_text("scheme#call-with-current-continuation"));
lf[133]=C_h_intern(&lf[133],18, C_text("scheme#input-port\077"));
lf[134]=C_h_intern(&lf[134],19, C_text("scheme#output-port\077"));
lf[135]=C_h_intern(&lf[135],25, C_text("scheme#current-input-port"));
lf[136]=C_h_intern(&lf[136],26, C_text("scheme#current-output-port"));
lf[137]=C_h_intern(&lf[137],22, C_text("scheme#open-input-file"));
lf[138]=C_h_intern(&lf[138],23, C_text("scheme#open-output-file"));
lf[139]=C_h_intern(&lf[139],23, C_text("scheme#close-input-port"));
lf[140]=C_h_intern(&lf[140],24, C_text("scheme#close-output-port"));
lf[141]=C_h_intern(&lf[141],27, C_text("scheme#call-with-input-file"));
lf[142]=C_h_intern(&lf[142],28, C_text("scheme#call-with-output-file"));
lf[143]=C_h_intern(&lf[143],27, C_text("scheme#with-input-from-file"));
lf[144]=C_h_intern(&lf[144],26, C_text("scheme#with-output-to-file"));
lf[145]=C_h_intern(&lf[145],18, C_text("scheme#eof-object\077"));
lf[146]=C_h_intern(&lf[146],18, C_text("scheme#char-ready\077"));
lf[147]=C_h_intern(&lf[147],16, C_text("scheme#read-char"));
lf[148]=C_h_intern(&lf[148],16, C_text("scheme#peek-char"));
lf[149]=C_h_intern(&lf[149],11, C_text("scheme#read"));
lf[150]=C_h_intern(&lf[150],17, C_text("scheme#write-char"));
lf[151]=C_h_intern(&lf[151],14, C_text("scheme#newline"));
lf[152]=C_h_intern(&lf[152],12, C_text("scheme#write"));
lf[153]=C_h_intern(&lf[153],14, C_text("scheme#display"));
lf[154]=C_h_intern(&lf[154],11, C_text("scheme#eval"));
lf[155]=C_h_intern(&lf[155],11, C_text("##sys#error"));
lf[156]=C_h_intern(&lf[156],4, C_text("eval"));
lf[157]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`eval\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[158]=C_h_intern(&lf[158],30, C_text("scheme#interaction-environment"));
lf[159]=C_h_intern(&lf[159],23, C_text("interaction-environment"));
lf[160]=C_decode_literal(C_heaptop,C_text("\376B\000\000g`interaction-environment\047 is not defined - the `eval\047 unit was probably not"
" linked with this executable"));
lf[161]=C_h_intern(&lf[161],32, C_text("scheme#scheme-report-environment"));
lf[162]=C_h_intern(&lf[162],25, C_text("scheme-report-environment"));
lf[163]=C_decode_literal(C_heaptop,C_text("\376B\000\000i`scheme-report-environment\047 is not defined - the `eval\047 unit was probably n"
"ot linked with this executable"));
lf[164]=C_h_intern(&lf[164],23, C_text("scheme#null-environment"));
lf[165]=C_h_intern(&lf[165],16, C_text("null-environment"));
lf[166]=C_decode_literal(C_heaptop,C_text("\376B\000\000``null-environment\047 is not defined - the `eval\047 unit was probably not linked"
" with this executable"));
lf[167]=C_h_intern(&lf[167],11, C_text("scheme#load"));
lf[168]=C_h_intern(&lf[168],4, C_text("load"));
lf[169]=C_decode_literal(C_heaptop,C_text("\376B\000\000T`load\047 is not defined - the `eval\047 unit was probably not linked with this e"
"xecutable"));
lf[170]=C_h_intern(&lf[170],15, C_text("scheme#for-each"));
lf[171]=C_h_intern(&lf[171],10, C_text("scheme#map"));
lf[172]=C_h_intern(&lf[172],19, C_text("scheme#dynamic-wind"));
lf[173]=C_h_intern(&lf[173],13, C_text("chicken.base#"));
lf[174]=C_h_intern(&lf[174],20, C_text("chicken.base#fixnum\077"));
lf[175]=C_h_intern(&lf[175],20, C_text("chicken.base#flonum\077"));
lf[176]=C_h_intern(&lf[176],20, C_text("chicken.base#bignum\077"));
lf[177]=C_h_intern(&lf[177],20, C_text("chicken.base#ratnum\077"));
lf[178]=C_h_intern(&lf[178],21, C_text("chicken.base#cplxnum\077"));
lf[179]=C_h_intern(&lf[179],27, C_text("chicken.base#exact-integer\077"));
lf[180]=C_h_intern(&lf[180],31, C_text("chicken.base#quotient&remainder"));
lf[181]=C_h_intern(&lf[181],28, C_text("chicken.base#quotient&modulo"));
lf[182]=C_h_intern(&lf[182],20, C_text("chicken.base#finite\077"));
lf[183]=C_h_intern(&lf[183],22, C_text("chicken.base#infinite\077"));
lf[184]=C_h_intern(&lf[184],17, C_text("chicken.base#nan\077"));
lf[185]=C_h_intern(&lf[185],19, C_text("chicken.base#signum"));
lf[186]=C_h_intern(&lf[186],27, C_text("chicken.base#get-call-chain"));
lf[187]=C_h_intern(&lf[187],29, C_text("chicken.base#print-call-chain"));
lf[188]=C_h_intern(&lf[188],18, C_text("chicken.base#print"));
lf[189]=C_h_intern(&lf[189],19, C_text("chicken.base#print\052"));
lf[190]=C_h_intern(&lf[190],17, C_text("chicken.base#add1"));
lf[191]=C_h_intern(&lf[191],17, C_text("chicken.base#sub1"));
lf[192]=C_h_intern(&lf[192],31, C_text("chicken.base#current-error-port"));
lf[193]=C_h_intern(&lf[193],18, C_text("chicken.base#error"));
lf[194]=C_h_intern(&lf[194],17, C_text("##sys#signal-hook"));
lf[195]=C_h_intern_kw(&lf[195],5, C_text("error"));
lf[196]=C_h_intern(&lf[196],17, C_text("chicken.base#void"));
lf[197]=C_h_intern(&lf[197],18, C_text("chicken.base#sleep"));
lf[198]=C_h_intern(&lf[198],20, C_text("chicken.base#call/cc"));
lf[199]=C_h_intern(&lf[199],22, C_text("chicken.base#char-name"));
lf[200]=C_h_intern(&lf[200],31, C_text("chicken.base#getter-with-setter"));
lf[201]=C_h_intern(&lf[201],27, C_text("chicken.base#make-parameter"));
lf[202]=C_h_intern(&lf[202],34, C_text("chicken.base#procedure-information"));
lf[203]=C_h_intern(&lf[203],19, C_text("chicken.base#setter"));
lf[204]=C_h_intern(&lf[204],25, C_text("chicken.base#vector-copy!"));
lf[205]=C_h_intern(&lf[205],22, C_text("chicken.base#subvector"));
lf[206]=C_h_intern(&lf[206],26, C_text("chicken.base#vector-resize"));
lf[207]=C_h_intern(&lf[207],18, C_text("chicken.base#port\077"));
lf[208]=C_h_intern(&lf[208],25, C_text("chicken.base#port-closed\077"));
lf[209]=C_h_intern(&lf[209],29, C_text("chicken.base#input-port-open\077"));
lf[210]=C_h_intern(&lf[210],30, C_text("chicken.base#output-port-open\077"));
lf[211]=C_h_intern(&lf[211],30, C_text("chicken.base#get-output-string"));
lf[212]=C_h_intern(&lf[212],30, C_text("chicken.base#open-input-string"));
lf[213]=C_h_intern(&lf[213],31, C_text("chicken.base#open-output-string"));
lf[214]=C_h_intern(&lf[214],25, C_text("chicken.base#flush-output"));
lf[215]=C_h_intern(&lf[215],21, C_text("chicken.base#promise\077"));
lf[216]=C_h_intern(&lf[216],7, C_text("promise"));
lf[217]=C_h_intern(&lf[217],18, C_text("##sys#make-promise"));
lf[218]=C_h_intern(&lf[218],25, C_text("chicken.base#make-promise"));
lf[219]=C_h_intern(&lf[219],18, C_text("chicken.base#foldl"));
lf[220]=C_h_intern(&lf[220],5, C_text("foldl"));
lf[221]=C_h_intern(&lf[221],18, C_text("chicken.base#foldr"));
lf[222]=C_h_intern(&lf[222],5, C_text("foldr"));
lf[223]=C_h_intern(&lf[223],34, C_text("chicken.base#implicit-exit-handler"));
lf[224]=C_h_intern(&lf[224],25, C_text("chicken.base#exit-handler"));
lf[225]=C_h_intern(&lf[225],26, C_text("chicken.base#cleanup-tasks"));
lf[226]=C_h_intern(&lf[226],20, C_text("chicken.base#on-exit"));
lf[227]=C_h_intern(&lf[227],17, C_text("chicken.base#exit"));
lf[228]=C_h_intern(&lf[228],27, C_text("chicken.base#emergency-exit"));
lf[229]=C_h_intern(&lf[229],14, C_text("emergency-exit"));
lf[230]=C_h_intern(&lf[230],27, C_text("chicken.base#case-sensitive"));
lf[231]=C_h_intern(&lf[231],26, C_text("chicken.base#keyword-style"));
lf[232]=C_h_intern(&lf[232],33, C_text("chicken.base#parentheses-synonyms"));
lf[233]=C_h_intern(&lf[233],26, C_text("chicken.base#symbol-escape"));
lf[234]=C_h_intern(&lf[234],21, C_text("chicken.base#identity"));
lf[235]=C_h_intern(&lf[235],20, C_text("chicken.base#conjoin"));
lf[236]=C_h_intern(&lf[236],20, C_text("chicken.base#disjoin"));
lf[237]=C_h_intern(&lf[237],23, C_text("chicken.base#constantly"));
lf[238]=C_h_intern(&lf[238],17, C_text("chicken.base#flip"));
lf[239]=C_h_intern(&lf[239],23, C_text("chicken.base#complement"));
lf[240]=C_h_intern(&lf[240],20, C_text("chicken.base#compose"));
lf[241]=C_h_intern(&lf[241],14, C_text("chicken.base#o"));
lf[242]=C_h_intern(&lf[242],21, C_text("chicken.base#list-of\077"));
lf[243]=C_h_intern(&lf[243],17, C_text("chicken.base#each"));
lf[244]=C_h_intern(&lf[244],21, C_text("##sys#undefined-value"));
lf[245]=C_h_intern(&lf[245],18, C_text("chicken.base#atom\077"));
lf[246]=C_h_intern(&lf[246],18, C_text("chicken.base#tail\077"));
lf[247]=C_h_intern(&lf[247],5, C_text("tail\077"));
lf[248]=C_h_intern(&lf[248],24, C_text("chicken.base#intersperse"));
lf[249]=C_h_intern(&lf[249],20, C_text("chicken.base#butlast"));
lf[250]=C_h_intern(&lf[250],7, C_text("butlast"));
lf[251]=C_h_intern(&lf[251],20, C_text("chicken.base#flatten"));
lf[252]=C_h_intern(&lf[252],17, C_text("chicken.base#join"));
lf[253]=C_h_intern(&lf[253],4, C_text("join"));
lf[254]=C_h_intern(&lf[254],12, C_text("##sys#append"));
lf[255]=C_h_intern(&lf[255],21, C_text("chicken.base#compress"));
lf[256]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[257]=C_h_intern(&lf[257],8, C_text("compress"));
lf[258]=C_h_intern_kw(&lf[258],10, C_text("type-error"));
lf[259]=C_h_intern(&lf[259],26, C_text("chicken.base#alist-update!"));
lf[260]=C_h_intern(&lf[260],25, C_text("chicken.base#alist-update"));
lf[261]=C_h_intern(&lf[261],12, C_text("alist-update"));
lf[262]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[263]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[264]=C_h_intern(&lf[264],22, C_text("chicken.base#alist-ref"));
lf[265]=C_h_intern(&lf[265],9, C_text("alist-ref"));
lf[266]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[267]=C_h_intern(&lf[267],19, C_text("chicken.base#rassoc"));
lf[268]=C_h_intern(&lf[268],6, C_text("rassoc"));
lf[270]=C_h_intern(&lf[270],15, C_text("chicken.fixnum#"));
lf[271]=C_h_intern(&lf[271],35, C_text("chicken.fixnum#most-positive-fixnum"));
lf[272]=C_h_intern(&lf[272],35, C_text("chicken.fixnum#most-negative-fixnum"));
lf[273]=C_h_intern(&lf[273],26, C_text("chicken.fixnum#fixnum-bits"));
lf[274]=C_h_intern(&lf[274],31, C_text("chicken.fixnum#fixnum-precision"));
lf[275]=C_h_intern(&lf[275],18, C_text("chicken.fixnum#fx+"));
lf[276]=C_h_intern(&lf[276],18, C_text("chicken.fixnum#fx-"));
lf[277]=C_h_intern(&lf[277],18, C_text("chicken.fixnum#fx\052"));
lf[278]=C_h_intern(&lf[278],18, C_text("chicken.fixnum#fx="));
lf[279]=C_h_intern(&lf[279],18, C_text("chicken.fixnum#fx>"));
lf[280]=C_h_intern(&lf[280],18, C_text("chicken.fixnum#fx<"));
lf[281]=C_h_intern(&lf[281],19, C_text("chicken.fixnum#fx>="));
lf[282]=C_h_intern(&lf[282],19, C_text("chicken.fixnum#fx<="));
lf[283]=C_h_intern(&lf[283],20, C_text("chicken.fixnum#fxmin"));
lf[284]=C_h_intern(&lf[284],20, C_text("chicken.fixnum#fxmax"));
lf[285]=C_h_intern(&lf[285],20, C_text("chicken.fixnum#fxneg"));
lf[286]=C_h_intern(&lf[286],20, C_text("chicken.fixnum#fxand"));
lf[287]=C_h_intern(&lf[287],20, C_text("chicken.fixnum#fxior"));
lf[288]=C_h_intern(&lf[288],20, C_text("chicken.fixnum#fxxor"));
lf[289]=C_h_intern(&lf[289],20, C_text("chicken.fixnum#fxnot"));
lf[290]=C_h_intern(&lf[290],20, C_text("chicken.fixnum#fxshl"));
lf[291]=C_h_intern(&lf[291],20, C_text("chicken.fixnum#fxshr"));
lf[292]=C_h_intern(&lf[292],21, C_text("chicken.fixnum#fxodd\077"));
lf[293]=C_h_intern(&lf[293],22, C_text("chicken.fixnum#fxeven\077"));
lf[294]=C_h_intern(&lf[294],20, C_text("chicken.fixnum#fxlen"));
lf[295]=C_h_intern(&lf[295],18, C_text("chicken.fixnum#fx/"));
lf[296]=C_h_intern(&lf[296],20, C_text("chicken.fixnum#fxgcd"));
lf[297]=C_h_intern(&lf[297],20, C_text("chicken.fixnum#fxmod"));
lf[298]=C_h_intern(&lf[298],20, C_text("chicken.fixnum#fxrem"));
lf[299]=C_h_intern(&lf[299],19, C_text("chicken.fixnum#fx+\077"));
lf[300]=C_h_intern(&lf[300],19, C_text("chicken.fixnum#fx-\077"));
lf[301]=C_h_intern(&lf[301],19, C_text("chicken.fixnum#fx\052\077"));
lf[302]=C_h_intern(&lf[302],19, C_text("chicken.fixnum#fx/\077"));
lf[303]=C_h_intern(&lf[303],17, C_text("##sys#debug-mode\077"));
lf[304]=C_h_intern(&lf[304],22, C_text("##sys#warnings-enabled"));
lf[305]=C_h_intern(&lf[305],21, C_text("##sys#notices-enabled"));
lf[306]=C_h_intern(&lf[306],20, C_text("chicken.base#warning"));
lf[307]=C_h_intern_kw(&lf[307],7, C_text("warning"));
lf[308]=C_h_intern(&lf[308],19, C_text("chicken.base#notice"));
lf[309]=C_h_intern_kw(&lf[309],6, C_text("notice"));
lf[310]=C_h_intern(&lf[310],28, C_text("chicken.base#enable-warnings"));
lf[311]=C_h_intern(&lf[311],10, C_text("##sys#warn"));
lf[312]=C_h_intern(&lf[312],12, C_text("##sys#notice"));
lf[313]=C_h_intern(&lf[313],8, C_text("##sys#gc"));
lf[314]=C_h_intern(&lf[314],13, C_text("##sys#setslot"));
lf[315]=C_h_intern(&lf[315],14, C_text("##sys#setislot"));
lf[316]=C_h_intern(&lf[316],21, C_text("##sys#allocate-vector"));
lf[317]=C_h_intern(&lf[317],20, C_text("##sys#make-structure"));
lf[318]=C_h_intern(&lf[318],25, C_text("##sys#ensure-heap-reserve"));
lf[319]=C_h_intern(&lf[319],23, C_text("##sys#symbol-table-info"));
lf[320]=C_h_intern(&lf[320],17, C_text("##sys#memory-info"));
lf[321]=C_h_intern(&lf[321],17, C_text("##sys#start-timer"));
lf[322]=C_h_intern(&lf[322],16, C_text("##sys#stop-timer"));
lf[323]=C_h_intern(&lf[323],16, C_text("##sys#immediate\077"));
lf[324]=C_h_intern(&lf[324],13, C_text("##sys#message"));
lf[325]=C_h_intern(&lf[325],10, C_text("##sys#byte"));
lf[326]=C_h_intern(&lf[326],13, C_text("##sys#setbyte"));
lf[327]=C_h_intern(&lf[327],10, C_text("##sys#void"));
lf[328]=C_h_intern(&lf[328],10, C_text("##sys#halt"));
lf[329]=C_h_intern(&lf[329],13, C_text("##sys#become!"));
lf[330]=C_h_intern(&lf[330],15, C_text("##sys#block-ref"));
lf[331]=C_h_intern(&lf[331],18, C_text("##sys#apply-values"));
lf[332]=C_h_intern(&lf[332],18, C_text("##sys#copy-closure"));
lf[333]=C_h_intern(&lf[333],16, C_text("##sys#block-set!"));
lf[334]=C_h_intern(&lf[334],17, C_text("##sys#check-range"));
lf[335]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023slot not accessible"));
lf[336]=C_h_intern(&lf[336],13, C_text("chicken.time#"));
lf[337]=C_h_intern(&lf[337],33, C_text("chicken.time#current-milliseconds"));
lf[338]=C_h_intern(&lf[338],28, C_text("chicken.time#current-seconds"));
lf[339]=C_h_intern(&lf[339],21, C_text("chicken.time#cpu-time"));
lf[340]=C_h_intern(&lf[340],21, C_text("##sys#check-structure"));
lf[341]=C_h_intern(&lf[341],16, C_text("##sys#check-blob"));
lf[342]=C_h_intern(&lf[342],23, C_text("##sys#check-byte-vector"));
lf[343]=C_h_intern(&lf[343],16, C_text("##sys#check-pair"));
lf[344]=C_h_intern(&lf[344],16, C_text("##sys#check-list"));
lf[345]=C_h_intern(&lf[345],18, C_text("##sys#check-string"));
lf[346]=C_h_intern(&lf[346],18, C_text("##sys#check-number"));
lf[347]=C_h_intern(&lf[347],17, C_text("##sys#check-exact"));
lf[348]=C_h_intern(&lf[348],19, C_text("##sys#check-inexact"));
lf[349]=C_h_intern(&lf[349],18, C_text("##sys#check-symbol"));
lf[350]=C_h_intern(&lf[350],19, C_text("##sys#check-keyword"));
lf[351]=C_h_intern(&lf[351],18, C_text("##sys#check-vector"));
lf[352]=C_h_intern(&lf[352],16, C_text("##sys#check-char"));
lf[353]=C_h_intern(&lf[353],19, C_text("##sys#check-boolean"));
lf[354]=C_h_intern(&lf[354],20, C_text("##sys#check-locative"));
lf[355]=C_h_intern(&lf[355],19, C_text("##sys#check-integer"));
lf[356]=C_h_intern(&lf[356],23, C_text("##sys#error-bad-integer"));
lf[357]=C_h_intern(&lf[357],25, C_text("##sys#check-exact-integer"));
lf[358]=C_h_intern(&lf[358],29, C_text("##sys#error-bad-exact-integer"));
lf[359]=C_h_intern(&lf[359],26, C_text("##sys#check-exact-uinteger"));
lf[360]=C_h_intern(&lf[360],30, C_text("##sys#error-bad-exact-uinteger"));
lf[361]=C_h_intern(&lf[361],16, C_text("##sys#check-real"));
lf[362]=C_h_intern(&lf[362],20, C_text("##sys#error-bad-real"));
lf[363]=C_h_intern(&lf[363],16, C_text("##sys#error-hook"));
lf[364]=C_h_intern(&lf[364],19, C_text("##sys#check-special"));
lf[365]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a pointer-like object"));
lf[366]=C_h_intern(&lf[366],19, C_text("##sys#check-closure"));
lf[367]=C_h_intern(&lf[367],12, C_text("scheme#force"));
lf[368]=C_h_intern(&lf[368],10, C_text("##sys#list"));
lf[369]=C_h_intern(&lf[369],11, C_text("##sys#dload"));
lf[370]=C_h_intern(&lf[370],23, C_text("##sys#set-dlopen-flags!"));
lf[371]=C_h_intern(&lf[371],22, C_text("##sys#error-bad-number"));
lf[372]=C_h_intern(&lf[372],23, C_text("##sys#error-bad-inexact"));
lf[373]=C_h_intern(&lf[373],20, C_text("##sys#error-bad-base"));
lf[374]=C_h_intern(&lf[374],13, C_text("scheme#append"));
lf[375]=C_h_intern(&lf[375],6, C_text("append"));
lf[376]=C_h_intern(&lf[376],18, C_text("##sys#fast-reverse"));
lf[377]=C_h_intern(&lf[377],17, C_text("##sys#make-string"));
lf[378]=C_h_intern(&lf[378],18, C_text("scheme#make-string"));
lf[379]=C_h_intern(&lf[379],11, C_text("make-string"));
lf[380]=C_h_intern_kw(&lf[380],12, C_text("bounds-error"));
lf[381]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[382]=C_h_intern(&lf[382],19, C_text("scheme#string->list"));
lf[383]=C_h_intern(&lf[383],12, C_text("string->list"));
lf[384]=C_h_intern(&lf[384],18, C_text("##sys#string->list"));
lf[385]=C_h_intern(&lf[385],19, C_text("scheme#list->string"));
lf[386]=C_h_intern(&lf[386],12, C_text("list->string"));
lf[387]=C_h_intern(&lf[387],18, C_text("##sys#list->string"));
lf[388]=C_h_intern(&lf[388],26, C_text("##sys#reverse-list->string"));
lf[389]=C_h_intern(&lf[389],20, C_text("reverse-list->string"));
lf[390]=C_h_intern(&lf[390],19, C_text("scheme#string-fill!"));
lf[391]=C_h_intern(&lf[391],12, C_text("string-fill!"));
lf[392]=C_h_intern(&lf[392],18, C_text("scheme#string-copy"));
lf[393]=C_h_intern(&lf[393],11, C_text("string-copy"));
lf[394]=C_h_intern(&lf[394],16, C_text("scheme#substring"));
lf[395]=C_h_intern(&lf[395],9, C_text("substring"));
lf[396]=C_h_intern(&lf[396],15, C_text("##sys#substring"));
lf[397]=C_h_intern(&lf[397],15, C_text("scheme#string<\077"));
lf[398]=C_h_intern(&lf[398],8, C_text("string<\077"));
lf[399]=C_h_intern(&lf[399],15, C_text("scheme#string>\077"));
lf[400]=C_h_intern(&lf[400],8, C_text("string>\077"));
lf[401]=C_h_intern(&lf[401],16, C_text("scheme#string<=\077"));
lf[402]=C_h_intern(&lf[402],9, C_text("string<=\077"));
lf[403]=C_h_intern(&lf[403],16, C_text("scheme#string>=\077"));
lf[404]=C_h_intern(&lf[404],9, C_text("string>=\077"));
lf[405]=C_h_intern(&lf[405],18, C_text("scheme#string-ci<\077"));
lf[406]=C_h_intern(&lf[406],11, C_text("string-ci<\077"));
lf[407]=C_h_intern(&lf[407],18, C_text("scheme#string-ci>\077"));
lf[408]=C_h_intern(&lf[408],11, C_text("string-ci>\077"));
lf[409]=C_h_intern(&lf[409],19, C_text("scheme#string-ci<=\077"));
lf[410]=C_h_intern(&lf[410],12, C_text("string-ci<=\077"));
lf[411]=C_h_intern(&lf[411],19, C_text("scheme#string-ci>=\077"));
lf[412]=C_h_intern(&lf[412],12, C_text("string-ci>=\077"));
lf[413]=C_h_intern(&lf[413],19, C_text("##sys#string-append"));
lf[414]=C_h_intern(&lf[414],20, C_text("scheme#string-append"));
lf[415]=C_h_intern(&lf[415],13, C_text("string-append"));
lf[416]=C_h_intern(&lf[416],13, C_text("scheme#string"));
lf[417]=C_h_intern(&lf[417],23, C_text("##sys#fragments->string"));
lf[418]=C_h_intern(&lf[418],17, C_text("chicken.base#chop"));
lf[419]=C_h_intern(&lf[419],4, C_text("chop"));
lf[420]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030invalid numeric argument"));
lf[421]=C_h_intern(&lf[421],15, C_text("chicken.flonum#"));
lf[422]=C_h_intern(&lf[422],29, C_text("chicken.flonum#maximum-flonum"));
lf[423]=C_h_intern(&lf[423],29, C_text("chicken.flonum#minimum-flonum"));
lf[424]=C_h_intern(&lf[424],27, C_text("chicken.flonum#flonum-radix"));
lf[425]=C_h_intern(&lf[425],29, C_text("chicken.flonum#flonum-epsilon"));
lf[426]=C_h_intern(&lf[426],31, C_text("chicken.flonum#flonum-precision"));
lf[427]=C_h_intern(&lf[427],39, C_text("chicken.flonum#flonum-decimal-precision"));
lf[428]=C_h_intern(&lf[428],38, C_text("chicken.flonum#flonum-maximum-exponent"));
lf[429]=C_h_intern(&lf[429],38, C_text("chicken.flonum#flonum-minimum-exponent"));
lf[430]=C_h_intern(&lf[430],46, C_text("chicken.flonum#flonum-maximum-decimal-exponent"));
lf[431]=C_h_intern(&lf[431],46, C_text("chicken.flonum#flonum-minimum-decimal-exponent"));
lf[432]=C_h_intern(&lf[432],18, C_text("chicken.flonum#fp+"));
lf[433]=C_h_intern(&lf[433],3, C_text("fp+"));
lf[434]=C_h_intern(&lf[434],18, C_text("chicken.flonum#fp-"));
lf[435]=C_h_intern(&lf[435],3, C_text("fp-"));
lf[436]=C_h_intern(&lf[436],18, C_text("chicken.flonum#fp\052"));
lf[437]=C_h_intern(&lf[437],3, C_text("fp\052"));
lf[438]=C_h_intern(&lf[438],18, C_text("chicken.flonum#fp/"));
lf[439]=C_h_intern(&lf[439],3, C_text("fp/"));
lf[440]=C_h_intern(&lf[440],20, C_text("chicken.flonum#fpgcd"));
lf[441]=C_h_intern(&lf[441],5, C_text("fpgcd"));
lf[442]=C_h_intern(&lf[442],19, C_text("chicken.flonum#fp/\077"));
lf[443]=C_h_intern(&lf[443],4, C_text("fp/\077"));
lf[444]=C_h_intern(&lf[444],18, C_text("chicken.flonum#fp="));
lf[445]=C_h_intern(&lf[445],3, C_text("fp="));
lf[446]=C_h_intern(&lf[446],18, C_text("chicken.flonum#fp>"));
lf[447]=C_h_intern(&lf[447],3, C_text("fp>"));
lf[448]=C_h_intern(&lf[448],18, C_text("chicken.flonum#fp<"));
lf[449]=C_h_intern(&lf[449],3, C_text("fp<"));
lf[450]=C_h_intern(&lf[450],19, C_text("chicken.flonum#fp>="));
lf[451]=C_h_intern(&lf[451],4, C_text("fp>="));
lf[452]=C_h_intern(&lf[452],19, C_text("chicken.flonum#fp<="));
lf[453]=C_h_intern(&lf[453],4, C_text("fp<="));
lf[454]=C_h_intern(&lf[454],20, C_text("chicken.flonum#fpneg"));
lf[455]=C_h_intern(&lf[455],5, C_text("fpneg"));
lf[456]=C_h_intern(&lf[456],20, C_text("chicken.flonum#fpmax"));
lf[457]=C_h_intern(&lf[457],5, C_text("fpmax"));
lf[458]=C_h_intern(&lf[458],20, C_text("chicken.flonum#fpmin"));
lf[459]=C_h_intern(&lf[459],5, C_text("fpmin"));
lf[460]=C_h_intern(&lf[460],22, C_text("chicken.flonum#fpfloor"));
lf[461]=C_h_intern(&lf[461],7, C_text("fpfloor"));
lf[462]=C_h_intern(&lf[462],25, C_text("chicken.flonum#fptruncate"));
lf[463]=C_h_intern(&lf[463],10, C_text("fptruncate"));
lf[464]=C_h_intern(&lf[464],22, C_text("chicken.flonum#fpround"));
lf[465]=C_h_intern(&lf[465],7, C_text("fpround"));
lf[466]=C_h_intern(&lf[466],24, C_text("chicken.flonum#fpceiling"));
lf[467]=C_h_intern(&lf[467],9, C_text("fpceiling"));
lf[468]=C_h_intern(&lf[468],20, C_text("chicken.flonum#fpsin"));
lf[469]=C_h_intern(&lf[469],5, C_text("fpsin"));
lf[470]=C_h_intern(&lf[470],20, C_text("chicken.flonum#fpcos"));
lf[471]=C_h_intern(&lf[471],5, C_text("fpcos"));
lf[472]=C_h_intern(&lf[472],20, C_text("chicken.flonum#fptan"));
lf[473]=C_h_intern(&lf[473],5, C_text("fptan"));
lf[474]=C_h_intern(&lf[474],21, C_text("chicken.flonum#fpasin"));
lf[475]=C_h_intern(&lf[475],6, C_text("fpasin"));
lf[476]=C_h_intern(&lf[476],21, C_text("chicken.flonum#fpacos"));
lf[477]=C_h_intern(&lf[477],6, C_text("fpacos"));
lf[478]=C_h_intern(&lf[478],21, C_text("chicken.flonum#fpatan"));
lf[479]=C_h_intern(&lf[479],6, C_text("fpatan"));
lf[480]=C_h_intern(&lf[480],22, C_text("chicken.flonum#fpatan2"));
lf[481]=C_h_intern(&lf[481],7, C_text("fpatan2"));
lf[482]=C_h_intern(&lf[482],20, C_text("chicken.flonum#fpexp"));
lf[483]=C_h_intern(&lf[483],5, C_text("fpexp"));
lf[484]=C_h_intern(&lf[484],21, C_text("chicken.flonum#fpexpt"));
lf[485]=C_h_intern(&lf[485],6, C_text("fpexpt"));
lf[486]=C_h_intern(&lf[486],20, C_text("chicken.flonum#fplog"));
lf[487]=C_h_intern(&lf[487],5, C_text("fplog"));
lf[488]=C_h_intern(&lf[488],21, C_text("chicken.flonum#fpsqrt"));
lf[489]=C_h_intern(&lf[489],6, C_text("fpsqrt"));
lf[490]=C_h_intern(&lf[490],20, C_text("chicken.flonum#fpabs"));
lf[491]=C_h_intern(&lf[491],5, C_text("fpabs"));
lf[492]=C_h_intern(&lf[492],25, C_text("chicken.flonum#fpinteger\077"));
lf[493]=C_h_intern(&lf[493],10, C_text("fpinteger\077"));
lf[494]=C_h_intern(&lf[494],37, C_text("chicken.flonum#flonum-print-precision"));
lf[495]=C_h_intern(&lf[495],22, C_text("flonum-print-precision"));
lf[496]=C_h_intern(&lf[496],13, C_text("##sys#number\077"));
lf[497]=C_h_intern(&lf[497],14, C_text("##sys#integer\077"));
lf[498]=C_h_intern(&lf[498],12, C_text("##sys#exact\077"));
lf[499]=C_h_intern(&lf[499],14, C_text("##sys#inexact\077"));
lf[501]=C_decode_literal(C_heaptop,C_text("\376U0.0\000"));
lf[502]=C_h_intern(&lf[502],23, C_text("scheme#make-rectangular"));
lf[503]=C_h_intern(&lf[503],16, C_text("make-rectangular"));
lf[504]=C_h_intern(&lf[504],17, C_text("scheme#make-polar"));
lf[505]=C_h_intern(&lf[505],10, C_text("make-polar"));
lf[506]=C_h_intern(&lf[506],16, C_text("scheme#real-part"));
lf[507]=C_h_intern(&lf[507],9, C_text("real-part"));
lf[508]=C_h_intern(&lf[508],16, C_text("scheme#imag-part"));
lf[509]=C_h_intern(&lf[509],9, C_text("imag-part"));
lf[510]=C_h_intern(&lf[510],12, C_text("scheme#angle"));
lf[511]=C_h_intern(&lf[511],5, C_text("angle"));
lf[512]=C_h_intern(&lf[512],16, C_text("scheme#magnitude"));
lf[513]=C_h_intern(&lf[513],11, C_text("scheme#sqrt"));
lf[514]=C_h_intern(&lf[514],9, C_text("magnitude"));
lf[516]=C_h_intern(&lf[516],16, C_text("scheme#numerator"));
lf[517]=C_h_intern(&lf[517],11, C_text("bad-inexact"));
lf[518]=C_h_intern(&lf[518],9, C_text("numerator"));
lf[519]=C_h_intern(&lf[519],21, C_text("scheme#inexact->exact"));
lf[520]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[521]=C_h_intern(&lf[521],18, C_text("scheme#denominator"));
lf[522]=C_h_intern(&lf[522],11, C_text("denominator"));
lf[523]=C_decode_literal(C_heaptop,C_text("\376U1.0\000"));
lf[524]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a rational number"));
lf[525]=C_h_intern(&lf[525],21, C_text("##sys#extended-signum"));
lf[526]=C_h_intern(&lf[526],6, C_text("signum"));
lf[527]=C_h_intern(&lf[527],9, C_text("##sys#/-2"));
lf[528]=C_h_intern(&lf[528],14, C_text("inexact->exact"));
lf[529]=C_h_intern(&lf[529],19, C_text("##sys#integer-power"));
lf[530]=C_decode_literal(C_heaptop,C_text("\376U2.0\000"));
lf[531]=C_h_intern(&lf[531],11, C_text("scheme#expt"));
lf[532]=C_h_intern(&lf[532],20, C_text("##sys#exact->inexact"));
lf[533]=C_h_intern(&lf[533],20, C_text("##sys#inexact->exact"));
lf[534]=C_h_intern(&lf[534],16, C_text("chicken.bitwise#"));
lf[535]=C_h_intern(&lf[535],27, C_text("chicken.bitwise#bitwise-and"));
lf[536]=C_h_intern(&lf[536],27, C_text("chicken.bitwise#bitwise-ior"));
lf[537]=C_h_intern(&lf[537],27, C_text("chicken.bitwise#bitwise-xor"));
lf[538]=C_h_intern(&lf[538],27, C_text("chicken.bitwise#bitwise-not"));
lf[539]=C_h_intern(&lf[539],28, C_text("chicken.bitwise#bit->boolean"));
lf[540]=C_h_intern(&lf[540],30, C_text("chicken.bitwise#integer-length"));
lf[541]=C_h_intern(&lf[541],32, C_text("chicken.bitwise#arithmetic-shift"));
lf[542]=C_h_intern(&lf[542],8, C_text("scheme#/"));
lf[544]=C_h_intern(&lf[544],1, C_text("/"));
lf[545]=C_h_intern(&lf[545],12, C_text("scheme#floor"));
lf[546]=C_h_intern(&lf[546],5, C_text("floor"));
lf[547]=C_h_intern(&lf[547],14, C_text("scheme#ceiling"));
lf[548]=C_h_intern(&lf[548],7, C_text("ceiling"));
lf[549]=C_h_intern(&lf[549],15, C_text("scheme#truncate"));
lf[550]=C_h_intern(&lf[550],8, C_text("truncate"));
lf[551]=C_h_intern(&lf[551],12, C_text("scheme#round"));
lf[552]=C_h_intern(&lf[552],5, C_text("round"));
lf[554]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\001\000\000\000\000\376\003\000\000\002\376\377\001\000\000\000\001\376\377\016"));
lf[555]=C_h_intern(&lf[555],18, C_text("scheme#rationalize"));
lf[556]=C_h_intern(&lf[556],10, C_text("scheme#max"));
lf[557]=C_h_intern(&lf[557],3, C_text("max"));
lf[558]=C_h_intern(&lf[558],10, C_text("scheme#min"));
lf[559]=C_h_intern(&lf[559],3, C_text("min"));
lf[560]=C_h_intern(&lf[560],10, C_text("scheme#exp"));
lf[561]=C_h_intern(&lf[561],3, C_text("exp"));
lf[562]=C_h_intern(&lf[562],11, C_text("##sys#log-1"));
lf[563]=C_h_intern_kw(&lf[563],16, C_text("arithmetic-error"));
lf[564]=C_h_intern(&lf[564],3, C_text("log"));
lf[565]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033log of exact 0 is undefined"));
lf[566]=C_h_intern(&lf[566],10, C_text("scheme#log"));
lf[567]=C_h_intern(&lf[567],10, C_text("scheme#sin"));
lf[568]=C_h_intern(&lf[568],3, C_text("sin"));
lf[569]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\001"));
lf[570]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\000\000\000\002"));
lf[571]=C_h_intern(&lf[571],10, C_text("scheme#cos"));
lf[572]=C_h_intern(&lf[572],3, C_text("cos"));
lf[573]=C_h_intern(&lf[573],10, C_text("scheme#tan"));
lf[574]=C_h_intern(&lf[574],3, C_text("tan"));
lf[575]=C_h_intern(&lf[575],11, C_text("scheme#asin"));
lf[576]=C_h_intern(&lf[576],4, C_text("asin"));
lf[577]=C_decode_literal(C_heaptop,C_text("\376\016\000\000\002\376\377\001\000\000\000\000\376\377\001\377\377\377\377"));
lf[578]=C_h_intern(&lf[578],14, C_text("##sys#sqrt/loc"));
lf[579]=C_decode_literal(C_heaptop,C_text("\376U-1.0\000"));
lf[580]=C_h_intern(&lf[580],11, C_text("scheme#acos"));
lf[581]=C_h_intern(&lf[581],4, C_text("acos"));
lf[582]=C_h_intern(&lf[582],11, C_text("scheme#atan"));
lf[583]=C_h_intern(&lf[583],4, C_text("atan"));
lf[584]=C_h_intern(&lf[584],24, C_text("##sys#exact-integer-sqrt"));
lf[585]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030this should never happen"));
lf[586]=C_h_intern(&lf[586],31, C_text("chicken.base#exact-integer-sqrt"));
lf[587]=C_h_intern(&lf[587],18, C_text("exact-integer-sqrt"));
lf[588]=C_h_intern(&lf[588],4, C_text("sqrt"));
lf[589]=C_h_intern(&lf[589],35, C_text("chicken.base#exact-integer-nth-root"));
lf[590]=C_h_intern(&lf[590],32, C_text("##sys#exact-integer-nth-root/loc"));
lf[591]=C_h_intern(&lf[591],22, C_text("exact-integer-nth-root"));
lf[592]=C_h_intern(&lf[592],4, C_text("expt"));
lf[593]=C_decode_literal(C_heaptop,C_text("\376B\000\0006exponent of exact 0 with complex argument is undefined"));
lf[594]=C_h_intern(&lf[594],9, C_text("##sys#gcd"));
lf[595]=C_h_intern(&lf[595],3, C_text("gcd"));
lf[596]=C_h_intern(&lf[596],10, C_text("scheme#gcd"));
lf[597]=C_h_intern(&lf[597],9, C_text("##sys#lcm"));
lf[598]=C_h_intern(&lf[598],3, C_text("lcm"));
lf[599]=C_h_intern(&lf[599],10, C_text("scheme#lcm"));
lf[600]=C_h_intern(&lf[600],31, C_text("##sys#integer->string/recursive"));
lf[601]=C_h_intern(&lf[601],20, C_text("##sys#number->string"));
lf[602]=C_h_intern(&lf[602],29, C_text("##sys#extended-number->string"));
lf[603]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001/"));
lf[604]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001+"));
lf[605]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[606]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001i"));
lf[607]=C_h_intern(&lf[607],14, C_text("number->string"));
lf[610]=C_h_intern(&lf[610],1, C_text("e"));
lf[611]=C_h_intern(&lf[611],1, C_text("i"));
lf[612]=C_decode_literal(C_heaptop,C_text("\376U+inf.0\000"));
lf[613]=C_decode_literal(C_heaptop,C_text("\376U-inf.0\000"));
lf[614]=C_h_intern(&lf[614],3, C_text("neg"));
lf[615]=C_h_intern(&lf[615],3, C_text("pos"));
lf[616]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005inf.0"));
lf[617]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005nan.0"));
lf[618]=C_h_intern(&lf[618],21, C_text("scheme#string->number"));
lf[619]=C_h_intern(&lf[619],14, C_text("string->number"));
lf[620]=C_h_intern(&lf[620],20, C_text("##sys#string->number"));
lf[621]=C_h_intern(&lf[621],20, C_text("##sys#fixnum->string"));
lf[622]=C_h_intern(&lf[622],20, C_text("##sys#flonum->string"));
lf[623]=C_h_intern(&lf[623],21, C_text("##sys#integer->string"));
lf[624]=C_h_intern(&lf[624],20, C_text("chicken.base#equal=\077"));
lf[625]=C_h_intern(&lf[625],11, C_text("##sys#snafu"));
lf[626]=C_h_intern(&lf[626],11, C_text("##sys#fnord"));
lf[627]=C_h_intern(&lf[627],19, C_text("##sys#intern-symbol"));
lf[628]=C_h_intern(&lf[628],20, C_text("##sys#intern-keyword"));
lf[629]=C_h_intern(&lf[629],22, C_text("##sys#interned-symbol\077"));
lf[630]=C_h_intern(&lf[630],20, C_text("##sys#string->symbol"));
lf[631]=C_h_intern(&lf[631],20, C_text("##sys#symbol->string"));
lf[632]=C_h_intern(&lf[632],21, C_text("scheme#symbol->string"));
lf[633]=C_h_intern(&lf[633],14, C_text("symbol->string"));
lf[634]=C_h_intern(&lf[634],21, C_text("scheme#string->symbol"));
lf[635]=C_h_intern(&lf[635],14, C_text("string->symbol"));
lf[636]=C_h_intern(&lf[636],38, C_text("chicken.base#string->uninterned-symbol"));
lf[637]=C_h_intern(&lf[637],25, C_text("string->uninterned-symbol"));
lf[638]=C_h_intern(&lf[638],19, C_text("chicken.base#gensym"));
lf[639]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001g"));
lf[640]=C_h_intern(&lf[640],6, C_text("gensym"));
lf[641]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a string or symbol"));
lf[642]=C_h_intern(&lf[642],26, C_text("chicken.base#symbol-append"));
lf[643]=C_h_intern(&lf[643],13, C_text("symbol-append"));
lf[644]=C_h_intern(&lf[644],16, C_text("chicken.keyword#"));
lf[645]=C_h_intern(&lf[645],24, C_text("chicken.keyword#keyword\077"));
lf[646]=C_h_intern(&lf[646],31, C_text("chicken.keyword#string->keyword"));
lf[647]=C_h_intern(&lf[647],15, C_text("string->keyword"));
lf[648]=C_h_intern(&lf[648],31, C_text("chicken.keyword#keyword->string"));
lf[649]=C_h_intern(&lf[649],15, C_text("keyword->string"));
lf[650]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[651]=C_h_intern(&lf[651],3, C_text("tag"));
lf[652]=C_h_intern(&lf[652],27, C_text("chicken.keyword#get-keyword"));
lf[653]=C_h_intern(&lf[653],11, C_text("get-keyword"));
lf[654]=C_h_intern(&lf[654],17, C_text("##sys#get-keyword"));
lf[655]=C_h_intern(&lf[655],13, C_text("chicken.blob#"));
lf[656]=C_h_intern(&lf[656],15, C_text("##sys#make-blob"));
lf[657]=C_h_intern(&lf[657],22, C_text("chicken.blob#make-blob"));
lf[658]=C_h_intern(&lf[658],9, C_text("make-blob"));
lf[659]=C_h_intern(&lf[659],18, C_text("chicken.blob#blob\077"));
lf[660]=C_h_intern(&lf[660],22, C_text("chicken.blob#blob-size"));
lf[661]=C_h_intern(&lf[661],9, C_text("blob-size"));
lf[662]=C_h_intern(&lf[662],25, C_text("chicken.blob#string->blob"));
lf[663]=C_h_intern(&lf[663],12, C_text("string->blob"));
lf[664]=C_h_intern(&lf[664],25, C_text("chicken.blob#blob->string"));
lf[665]=C_h_intern(&lf[665],12, C_text("blob->string"));
lf[666]=C_h_intern(&lf[666],19, C_text("chicken.blob#blob=\077"));
lf[667]=C_h_intern(&lf[667],6, C_text("blob=\077"));
lf[668]=C_h_intern(&lf[668],11, C_text("make-vector"));
lf[669]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020size is negative"));
lf[670]=C_h_intern(&lf[670],17, C_text("##sys#make-vector"));
lf[671]=C_h_intern(&lf[671],12, C_text("list->vector"));
lf[672]=C_h_intern(&lf[672],12, C_text("vector->list"));
lf[673]=C_h_intern(&lf[673],12, C_text("vector-fill!"));
lf[674]=C_h_intern(&lf[674],12, C_text("vector-copy!"));
lf[675]=C_decode_literal(C_heaptop,C_text("\376B\000\000)cannot copy vector - count exceeds length"));
lf[676]=C_h_intern(&lf[676],9, C_text("subvector"));
lf[677]=C_h_intern(&lf[677],13, C_text("vector-resize"));
lf[679]=C_h_intern(&lf[679],9, C_text("char-name"));
lf[680]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026invalid character name"));
lf[681]=C_h_intern(&lf[681],36, C_text("##sys#call-with-current-continuation"));
lf[682]=C_h_intern(&lf[682],23, C_text("##sys#call-with-cthulhu"));
lf[683]=C_h_intern(&lf[683],22, C_text("##sys#call-with-values"));
lf[684]=C_h_intern(&lf[684],14, C_text("##sys#for-each"));
lf[685]=C_h_intern(&lf[685],8, C_text("for-each"));
lf[686]=C_h_intern(&lf[686],9, C_text("##sys#map"));
lf[687]=C_h_intern(&lf[687],3, C_text("map"));
lf[688]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034lists are not of same length"));
lf[689]=C_h_intern(&lf[689],19, C_text("##sys#dynamic-winds"));
lf[690]=C_h_intern(&lf[690],18, C_text("##sys#dynamic-wind"));
lf[692]=C_h_intern(&lf[692],16, C_text("input-port-open\077"));
lf[693]=C_h_intern(&lf[693],17, C_text("output-port-open\077"));
lf[694]=C_h_intern(&lf[694],16, C_text("##sys#check-port"));
lf[695]=C_h_intern(&lf[695],12, C_text("port-closed\077"));
lf[696]=C_h_intern(&lf[696],15, C_text("##sys#make-port"));
lf[697]=C_h_intern(&lf[697],24, C_text("##sys#dispatch-interrupt"));
lf[698]=C_h_intern_kw(&lf[698],10, C_text("file-error"));
lf[699]=C_h_intern(&lf[699],9, C_text("read-char"));
lf[700]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[701]=C_h_intern(&lf[701],19, C_text("##sys#peek-c-string"));
lf[702]=C_h_intern(&lf[702],18, C_text("##sys#update-errno"));
lf[703]=C_h_intern(&lf[703],9, C_text("peek-char"));
lf[704]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[705]=C_h_intern(&lf[705],12, C_text("read-string!"));
lf[706]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[707]=C_h_intern(&lf[707],9, C_text("read-line"));
lf[708]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030cannot read from port - "));
lf[709]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[710]=C_h_intern(&lf[710],23, C_text("##sys#stream-port-class"));
lf[711]=C_h_intern(&lf[711],20, C_text("##sys#open-file-port"));
lf[712]=C_h_intern(&lf[712],20, C_text("##sys#standard-input"));
lf[713]=C_h_intern(&lf[713],21, C_text("##sys#standard-output"));
lf[714]=C_h_intern(&lf[714],20, C_text("##sys#standard-error"));
lf[715]=C_h_intern(&lf[715],22, C_text("##sys#check-input-port"));
lf[716]=C_h_intern(&lf[716],23, C_text("##sys#check-output-port"));
lf[717]=C_h_intern(&lf[717],21, C_text("##sys#check-open-port"));
lf[718]=C_h_intern(&lf[718],18, C_text("current-input-port"));
lf[719]=C_h_intern(&lf[719],19, C_text("current-output-port"));
lf[720]=C_h_intern(&lf[720],18, C_text("current-error-port"));
lf[721]=C_h_intern(&lf[721],15, C_text("##sys#tty-port\077"));
lf[722]=C_h_intern(&lf[722],27, C_text("##sys#peek-unsigned-integer"));
lf[723]=C_h_intern(&lf[723],15, C_text("##sys#port-data"));
lf[724]=C_h_intern(&lf[724],20, C_text("##sys#set-port-data!"));
lf[725]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001r"));
lf[726]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001w"));
lf[727]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[728]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023cannot open file - "));
lf[729]=C_h_intern(&lf[729],6, C_text("stream"));
lf[730]=C_h_intern_kw(&lf[730],6, C_text("binary"));
lf[731]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001b"));
lf[732]=C_h_intern_kw(&lf[732],4, C_text("text"));
lf[733]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[734]=C_h_intern_kw(&lf[734],6, C_text("append"));
lf[735]=C_decode_literal(C_heaptop,C_text("\376B\000\000&cannot use append mode with input file"));
lf[736]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001a"));
lf[737]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023invalid file option"));
lf[738]=C_h_intern(&lf[738],15, C_text("open-input-file"));
lf[739]=C_h_intern(&lf[739],16, C_text("open-output-file"));
lf[740]=C_h_intern(&lf[740],16, C_text("close-input-port"));
lf[741]=C_h_intern(&lf[741],17, C_text("close-output-port"));
lf[742]=C_h_intern(&lf[742],18, C_text("##sys#file-exists\077"));
lf[743]=C_decode_literal(C_heaptop,C_text("\376B\000\000(system error while trying to access file"));
lf[744]=C_h_intern(&lf[744],19, C_text("##sys#make-c-string"));
lf[745]=C_h_intern(&lf[745],18, C_text("##sys#flush-output"));
lf[746]=C_h_intern(&lf[746],12, C_text("flush-output"));
lf[747]=C_h_intern(&lf[747],15, C_text("##sys#port-line"));
lf[748]=C_h_intern(&lf[748],21, C_text("##sys#decorate-lambda"));
lf[749]=C_h_intern(&lf[749],23, C_text("##sys#lambda-decoration"));
lf[750]=C_h_intern(&lf[750],22, C_text("##sys#make-lambda-info"));
lf[751]=C_h_intern(&lf[751],18, C_text("##sys#lambda-info\077"));
lf[752]=C_h_intern(&lf[752],17, C_text("##sys#lambda-info"));
lf[753]=C_h_intern(&lf[753],25, C_text("##sys#lambda-info->string"));
lf[754]=C_h_intern(&lf[754],10, C_text("##sys#read"));
lf[755]=C_h_intern(&lf[755],21, C_text("procedure-information"));
lf[756]=C_h_intern(&lf[756],6, C_text("setter"));
lf[758]=C_h_intern(&lf[758],12, C_text("##sys#setter"));
lf[759]=C_h_intern(&lf[759],18, C_text("getter-with-setter"));
lf[761]=C_h_intern(&lf[761],30, C_text("##sys#current-parameter-vector"));
lf[762]=C_decode_literal(C_heaptop,C_text("\376\000\000\000\000"));
lf[763]=C_h_intern(&lf[763],11, C_text("char-ready\077"));
lf[764]=C_h_intern(&lf[764],17, C_text("##sys#read-char-0"));
lf[765]=C_h_intern(&lf[765],20, C_text("##sys#read-char/port"));
lf[766]=C_h_intern(&lf[766],17, C_text("##sys#peek-char-0"));
lf[767]=C_h_intern(&lf[767],4, C_text("read"));
lf[768]=C_h_intern(&lf[768],28, C_text("##sys#default-read-info-hook"));
lf[769]=C_h_intern(&lf[769],33, C_text("##sys#read-error-with-line-number"));
lf[770]=C_h_intern(&lf[770],22, C_text("##sys#read-prompt-hook"));
lf[771]=C_h_intern(&lf[771],21, C_text("##sys#infix-list-hook"));
lf[772]=C_h_intern(&lf[772],23, C_text("##sys#sharp-number-hook"));
lf[773]=C_h_intern(&lf[773],16, C_text("##sys#read-error"));
lf[774]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid `#...\047 read syntax"));
lf[775]=C_h_intern(&lf[775],24, C_text("##sys#current-read-table"));
lf[776]=C_h_intern(&lf[776],18, C_text("##sys#read-warning"));
lf[777]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[778]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[779]=C_h_intern_kw(&lf[779],12, C_text("syntax-error"));
lf[780]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006(line "));
lf[781]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[782]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000[\376\003\000"
"\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[783]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unexpected list terminator"));
lf[784]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022reserved character"));
lf[785]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape-sequence \047\134"));
lf[786]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[787]=C_decode_literal(C_heaptop,C_text("\376B\000\000\034unterminated string constant"));
lf[788]=C_h_intern(&lf[788],23, C_text("##sys#char->utf8-string"));
lf[789]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[790]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001x"));
lf[791]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022bad surrogate pair"));
lf[792]=C_h_intern(&lf[792],27, C_text("##sys#surrogates->codepoint"));
lf[793]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[794]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unpaired escaped surrogate"));
lf[795]=C_h_intern(&lf[795],24, C_text("##sys#unicode-surrogate\077"));
lf[796]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001u"));
lf[797]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032invalid escape (surrogate)"));
lf[798]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001U"));
lf[799]=C_decode_literal(C_heaptop,C_text("\376B\000\0006escaped whitespace, but no newline - collapsing anyway"));
lf[800]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023unterminated string"));
lf[801]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[802]=C_decode_literal(C_heaptop,C_text("\376B\000\000\077undefined escape sequence in string - probably forgot backslash"));
lf[803]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023, starting in line "));
lf[804]=C_h_intern(&lf[804],9, C_text("list-info"));
lf[805]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030list-terminator mismatch"));
lf[806]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unterminated list"));
lf[807]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027missing list terminator"));
lf[808]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[809]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002.:"));
lf[810]=C_h_intern_kw(&lf[810],6, C_text("suffix"));
lf[811]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[812]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[813]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015missing token"));
lf[814]=C_h_intern(&lf[814],18, C_text("##sys#list->vector"));
lf[815]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025invalid vector syntax"));
lf[816]=C_h_intern(&lf[816],11, C_text("symbol-info"));
lf[817]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[818]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid use of `.\047"));
lf[819]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042unexpected prefix in number syntax"));
lf[820]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025illegal number syntax"));
lf[821]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[822]=C_decode_literal(C_heaptop,C_text("\376B\000\0000illegal number syntax - invalid exactness prefix"));
lf[823]=C_decode_literal(C_heaptop,C_text("\376B\000\000!unexpected end of numeric literal"));
lf[824]=C_decode_literal(C_heaptop,C_text("\376B\000\000%illegal number syntax - invalid radix"));
lf[825]=C_decode_literal(C_heaptop,C_text("\376B\000\000Eattempt to read expression from something that looks like binary data"));
lf[826]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052escaped symbol syntax spans multiple lines"));
lf[827]=C_h_intern_kw(&lf[827],6, C_text("prefix"));
lf[828]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of file while reading escaped character"));
lf[829]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027unknown named character"));
lf[830]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032unterminated block-comment"));
lf[831]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002##"));
lf[832]=C_h_intern(&lf[832],5, C_text("quote"));
lf[833]=C_h_intern(&lf[833],10, C_text("quasiquote"));
lf[834]=C_h_intern(&lf[834],16, C_text("unquote-splicing"));
lf[835]=C_h_intern(&lf[835],7, C_text("unquote"));
lf[836]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unexpected end of input after reading #-sign"));
lf[837]=C_decode_literal(C_heaptop,C_text("\376B\000\000%unexpected end of input after reading"));
lf[838]=C_decode_literal(C_heaptop,C_text("\376B\000\000!invalid parameterized read syntax"));
lf[839]=C_decode_literal(C_heaptop,C_text("\376B\000\0006unexpected end of input while reading `#c...\047 sequence"));
lf[840]=C_decode_literal(C_heaptop,C_text("\376B\000\000\052invalid case specifier in `#c...\047 sequence"));
lf[841]=C_h_intern(&lf[841],11, C_text("quasisyntax"));
lf[842]=C_h_intern(&lf[842],29, C_text("##sys#read-bytevector-literal"));
lf[843]=C_h_intern(&lf[843],8, C_text("location"));
lf[844]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015empty keyword"));
lf[845]=C_h_intern(&lf[845],11, C_text("cond-expand"));
lf[846]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\004\001else\376\377\016"));
lf[847]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003eof"));
lf[848]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010optional"));
lf[849]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004rest"));
lf[850]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003key"));
lf[851]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#!"));
lf[852]=C_h_intern(&lf[852],16, C_text("##sys#read-marks"));
lf[853]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022invalid `#!\047 token"));
lf[854]=C_h_intern(&lf[854],20, C_text("##sys#user-read-hook"));
lf[855]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\377\016"));
lf[856]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000|\376\377\016"));
lf[857]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035UTF-8 codepoint out of range:"));
lf[858]=C_decode_literal(C_heaptop,C_text("\376B\000\000 invalid hex-code in blob-literal"));
lf[859]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036unexpected end of blob literal"));
lf[860]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036invalid sharp-sign read syntax"));
lf[861]=C_h_intern(&lf[861],18, C_text("##sys#write-char-0"));
lf[862]=C_h_intern(&lf[862],21, C_text("##sys#write-char/port"));
lf[863]=C_h_intern(&lf[863],10, C_text("write-char"));
lf[864]=C_h_intern(&lf[864],5, C_text("write"));
lf[865]=C_h_intern(&lf[865],11, C_text("##sys#print"));
lf[866]=C_h_intern(&lf[866],7, C_text("display"));
lf[867]=C_h_intern(&lf[867],5, C_text("print"));
lf[869]=C_h_intern(&lf[869],24, C_text("##sys#print-length-limit"));
lf[871]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[872]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003..."));
lf[873]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134x"));
lf[874]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\012\000\000(\376\003\000\000\002\376\377\012\000\000)\376\003\000\000\002\376\377\012\000\000,\376\003\000\000\002\376\377\012\000\000[\376\003\000\000\002\376\377\012\000\000]\376\003\000\000\002\376\377\012\000\000{\376\003\000\000\002\376\377\012\000\000}\376\003\000"
"\000\002\376\377\012\000\000\047\376\003\000\000\002\376\377\012\000\000\042\376\003\000\000\002\376\377\012\000\000;\376\003\000\000\002\376\377\012\000\000 \376\003\000\000\002\376\377\012\000\000`\376\003\000\000\002\376\377\012\000\000|\376\003\000\000\002\376\377\012\000\000\134\376\377\016"));
lf[875]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376B\000\000\006#!rest\376\003\000\000\002\376B\000\000\005#!key\376\003\000\000\002\376B\000\000\012#!optional\376\377\016"));
lf[876]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002()"));
lf[877]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#t"));
lf[878]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#f"));
lf[879]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005#!eof"));
lf[880]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<unspecified>"));
lf[881]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#\134"));
lf[882]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020#<unbound value>"));
lf[883]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid immediate object>"));
lf[884]=C_decode_literal(C_heaptop,C_text("\376B\000\000\033#<invalid forwarded object>"));
lf[885]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#:"));
lf[886]=C_h_intern(&lf[886],21, C_text("##sys#pointer->string"));
lf[887]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\042"));
lf[888]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\134\134"));
lf[889]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003 . "));
lf[890]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#${"));
lf[891]=C_h_intern(&lf[891],21, C_text("##sys#user-print-hook"));
lf[892]=C_h_intern(&lf[892],23, C_text("##sys#procedure->string"));
lf[893]=C_decode_literal(C_heaptop,C_text("\376B\000\000\013#<locative>"));
lf[894]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<lambda info "));
lf[895]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\042>"));
lf[896]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016#<input port \042"));
lf[897]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017#<output port \042"));
lf[898]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010#<port \042"));
lf[899]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003#()"));
lf[900]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#("));
lf[901]=C_decode_literal(C_heaptop,C_text("\376B\000\000,unprintable non-immediate object encountered"));
lf[902]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure "));
lf[903]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[904]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<procedure>"));
lf[905]=C_h_intern(&lf[905],21, C_text("##sys#record-printers"));
lf[906]=C_h_intern(&lf[906],29, C_text("##sys#register-record-printer"));
lf[907]=C_h_intern(&lf[907],9, C_text("condition"));
lf[908]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[909]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\047: "));
lf[910]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\047>"));
lf[911]=C_decode_literal(C_heaptop,C_text("\376B\000\000##<Error in printer of record type `"));
lf[912]=C_h_intern(&lf[912],40, C_text("chicken.condition#with-exception-handler"));
lf[913]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[914]=C_h_intern(&lf[914],6, C_text("thread"));
lf[915]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[916]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002#<"));
lf[917]=C_h_intern(&lf[917],29, C_text("##sys#with-print-length-limit"));
lf[918]=C_h_intern(&lf[918],16, C_text("##sys#copy-bytes"));
lf[919]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022string buffer full"));
lf[920]=C_h_intern(&lf[920],22, C_text("##sys#scan-buffer-line"));
lf[921]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[922]=C_h_intern(&lf[922],23, C_text("##sys#string-port-class"));
lf[923]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[924]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\015"));
lf[925]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[926]=C_h_intern(&lf[926],17, C_text("open-input-string"));
lf[927]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[928]=C_h_intern(&lf[928],6, C_text("string"));
lf[929]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(string)"));
lf[930]=C_h_intern(&lf[930],17, C_text("get-output-string"));
lf[931]=C_decode_literal(C_heaptop,C_text("\376B\000\000$argument is not a string-output-port"));
lf[932]=C_h_intern(&lf[932],21, C_text("##sys#print-to-string"));
lf[933]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021#<tagged pointer "));
lf[934]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001 "));
lf[935]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[936]=C_h_intern(&lf[936],22, C_text("##sys#pointer->address"));
lf[937]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014#<pointer 0x"));
lf[938]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001>"));
lf[939]=C_h_intern(&lf[939],20, C_text("##sys#current-thread"));
lf[940]=C_h_intern(&lf[940],27, C_text("##sys#peek-nonnull-c-string"));
lf[941]=C_h_intern(&lf[941],29, C_text("##sys#really-print-call-chain"));
lf[942]=C_h_intern(&lf[942],9, C_text("frameinfo"));
lf[943]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002] "));
lf[944]=C_decode_literal(C_heaptop,C_text("\376B\000\000\003\011  "));
lf[945]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002\012\011"));
lf[946]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005\011<--\012"));
lf[947]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020\012\011Call history:\012"));
lf[948]=C_h_intern(&lf[948],16, C_text("print-call-chain"));
lf[949]=C_h_intern(&lf[949],25, C_text("##sys#user-interrupt-hook"));
lf[950]=C_h_intern_kw(&lf[950],14, C_text("user-interrupt"));
lf[951]=C_h_intern(&lf[951],23, C_text("##sys#primordial-thread"));
lf[954]=C_h_intern(&lf[954],22, C_text("##sys#force-finalizers"));
lf[955]=C_h_intern(&lf[955],27, C_text("chicken.gc#force-finalizers"));
lf[956]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036[debug] forcing finalizers...\012"));
lf[957]=C_h_intern(&lf[957],21, C_text("##sys#dump-heap-state"));
lf[958]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[959]=C_h_intern(&lf[959],19, C_text("##sys#reset-handler"));
lf[960]=C_h_intern(&lf[960],18, C_text("chicken.condition#"));
lf[961]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016\001user-interrupt\376\377\016"));
lf[962]=C_h_intern(&lf[962],23, C_text("chicken.condition#abort"));
lf[963]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[964]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012\012Warning: "));
lf[965]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007\012Note: "));
lf[966]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[967]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[968]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\012\001call-chain"));
lf[969]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[970]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\004\001type\376\377\016"));
lf[971]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001syntax\376\377\016"));
lf[972]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001bounds\376\377\016"));
lf[973]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\012\001arithmetic\376\377\016"));
lf[974]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\004\001file\376\377\016"));
lf[975]=C_h_intern_kw(&lf[975],13, C_text("runtime-error"));
lf[976]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001runtime\376\377\016"));
lf[977]=C_h_intern_kw(&lf[977],13, C_text("process-error"));
lf[978]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001process\376\377\016"));
lf[979]=C_h_intern_kw(&lf[979],13, C_text("network-error"));
lf[980]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\003\001net\376\377\016"));
lf[981]=C_h_intern_kw(&lf[981],21, C_text("network-timeout-error"));
lf[982]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\003\001i/o\376\003\000\000\002\376\001\000\000\003\001net\376\003\000\000\002\376\001\000\000\007\001timeout\376\377\016"));
lf[983]=C_h_intern_kw(&lf[983],11, C_text("limit-error"));
lf[984]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\007\001runtime\376\003\000\000\002\376\001\000\000\005\001limit\376\377\016"));
lf[985]=C_h_intern_kw(&lf[985],11, C_text("arity-error"));
lf[986]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\005\001arity\376\377\016"));
lf[987]=C_h_intern_kw(&lf[987],12, C_text("access-error"));
lf[988]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001access\376\377\016"));
lf[989]=C_h_intern_kw(&lf[989],12, C_text("domain-error"));
lf[990]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001domain\376\377\016"));
lf[991]=C_h_intern_kw(&lf[991],12, C_text("memory-error"));
lf[992]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\003\000\000\002\376\001\000\000\006\001memory\376\377\016"));
lf[993]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\377\016"));
lf[994]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[995]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032exception handler returned"));
lf[996]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[997]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[998]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\377\016"));
lf[999]=C_h_intern(&lf[999],31, C_text("##sys#current-exception-handler"));
lf[1000]=C_h_intern(&lf[1000],24, C_text("chicken.condition#signal"));
lf[1001]=C_h_intern(&lf[1001],20, C_text("##sys#break-on-error"));
lf[1002]=C_h_intern(&lf[1002],19, C_text("##sys#error-handler"));
lf[1003]=C_h_intern(&lf[1003],20, C_text("##sys#last-exception"));
lf[1004]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\001\000\000\006\001reason"));
lf[1005]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\377\016"));
lf[1006]=C_h_intern(&lf[1006],3, C_text("exn"));
lf[1007]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\007\001message"));
lf[1008]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\011\001arguments"));
lf[1009]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\003\001exn\376\001\000\000\010\001location"));
lf[1010]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1011]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1012]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1013]=C_decode_literal(C_heaptop,C_text("\376B\000\000 <exn: has no `message\047 property>"));
lf[1014]=C_h_intern(&lf[1014],14, C_text("user-interrupt"));
lf[1015]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030\012\052\052\052 user interrupt \052\052\052\012"));
lf[1016]=C_h_intern(&lf[1016],18, C_text("uncaught-exception"));
lf[1017]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\022\001uncaught-exception\376\001\000\000\006\001reason"));
lf[1018]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022uncaught exception"));
lf[1019]=C_h_intern(&lf[1019],43, C_text("chicken.condition#current-exception-handler"));
lf[1020]=C_h_intern(&lf[1020],25, C_text("current-exception-handler"));
lf[1022]=C_decode_literal(C_heaptop,C_text("\376B\000\000%argument is not an even property list"));
lf[1023]=C_h_intern(&lf[1023],41, C_text("chicken.condition#make-property-condition"));
lf[1024]=C_h_intern(&lf[1024],23, C_text("make-property-condition"));
lf[1025]=C_h_intern(&lf[1025],42, C_text("chicken.condition#make-composite-condition"));
lf[1026]=C_h_intern(&lf[1026],24, C_text("make-composite-condition"));
lf[1027]=C_h_intern(&lf[1027],27, C_text("chicken.condition#condition"));
lf[1028]=C_h_intern(&lf[1028],28, C_text("chicken.condition#condition\077"));
lf[1029]=C_h_intern(&lf[1029],33, C_text("chicken.condition#condition->list"));
lf[1030]=C_h_intern(&lf[1030],15, C_text("condition->list"));
lf[1031]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042argument is not a condition object"));
lf[1032]=C_h_intern(&lf[1032],37, C_text("chicken.condition#condition-predicate"));
lf[1033]=C_h_intern(&lf[1033],45, C_text("chicken.condition#condition-property-accessor"));
lf[1034]=C_h_intern(&lf[1034],27, C_text("condition-property-accessor"));
lf[1035]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036condition has no such property"));
lf[1036]=C_h_intern(&lf[1036],40, C_text("chicken.condition#get-condition-property"));
lf[1037]=C_h_intern(&lf[1037],37, C_text("chicken.condition#print-error-message"));
lf[1038]=C_h_intern(&lf[1038],19, C_text("print-error-message"));
lf[1039]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1040]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001("));
lf[1041]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002) "));
lf[1042]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1043]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\016\001user-interrupt\376\377\016"));
lf[1044]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030: \052\052\052 user interrupt \052\052\052"));
lf[1045]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016: <condition> "));
lf[1046]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1047]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026: uncaught exception: "));
lf[1048]=C_decode_literal(C_heaptop,C_text("\376B\000\000\005Error"));
lf[1049]=C_h_intern(&lf[1049],28, C_text("##sys#show-exception-warning"));
lf[1050]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1051]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1052]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007Warning"));
lf[1053]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument count - received "));
lf[1054]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1055]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035too few arguments - received "));
lf[1056]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016 but expected "));
lf[1057]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021bad argument type"));
lf[1058]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020unbound variable"));
lf[1059]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a keyword"));
lf[1060]=C_decode_literal(C_heaptop,C_text("\376B\000\000\015out of memory"));
lf[1061]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020division by zero"));
lf[1062]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014out of range"));
lf[1063]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025call of non-procedure"));
lf[1064]=C_decode_literal(C_heaptop,C_text("\376B\000\000+continuation cannot receive multiple values"));
lf[1065]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not a non-cyclic list"));
lf[1066]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022recursion too deep"));
lf[1067]=C_decode_literal(C_heaptop,C_text("\376B\000\0007inexact number cannot be represented as an exact number"));
lf[1068]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not a proper list"));
lf[1069]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a fixnum"));
lf[1070]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a number"));
lf[1071]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a string"));
lf[1072]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a pair"));
lf[1073]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a list"));
lf[1074]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a character"));
lf[1075]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a vector"));
lf[1076]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a symbol"));
lf[1077]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016stack overflow"));
lf[1078]=C_decode_literal(C_heaptop,C_text("\376B\000\0008bad argument type - not a structure of the required type"));
lf[1079]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a blob"));
lf[1080]=C_decode_literal(C_heaptop,C_text("\376B\000\000#locative refers to reclaimed object"));
lf[1081]=C_decode_literal(C_heaptop,C_text("\376B\000\000-bad argument type - not a non-immediate value"));
lf[1082]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not a number vector"));
lf[1083]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not an integer"));
lf[1084]=C_decode_literal(C_heaptop,C_text("\376B\000\000+bad argument type - not an unsigned integer"));
lf[1085]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a pointer"));
lf[1086]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not a tagged pointer"));
lf[1087]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - not a flonum"));
lf[1088]=C_decode_literal(C_heaptop,C_text("\376B\000\000#bad argument type - not a procedure"));
lf[1089]=C_decode_literal(C_heaptop,C_text("\376B\000\000 bad argument type - invalid base"));
lf[1090]=C_decode_literal(C_heaptop,C_text("\376B\000\000/recursion too deep or circular data encountered"));
lf[1091]=C_decode_literal(C_heaptop,C_text("\376B\000\000!bad argument type - not a boolean"));
lf[1092]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042bad argument type - not a locative"));
lf[1093]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a port"));
lf[1094]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - not a port of the correct type"));
lf[1095]=C_decode_literal(C_heaptop,C_text("\376B\000\000%bad argument type - not an input-port"));
lf[1096]=C_decode_literal(C_heaptop,C_text("\376B\000\000&bad argument type - not an output-port"));
lf[1097]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023port already closed"));
lf[1098]=C_decode_literal(C_heaptop,C_text("\376B\000\0002cannot represent string with NUL bytes as C string"));
lf[1099]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026segmentation violation"));
lf[1100]=C_decode_literal(C_heaptop,C_text("\376B\000\000\030floating-point exception"));
lf[1101]=C_decode_literal(C_heaptop,C_text("\376B\000\000\023illegal instruction"));
lf[1102]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011bus error"));
lf[1103]=C_decode_literal(C_heaptop,C_text("\376B\000\000\047bad argument type - not an exact number"));
lf[1104]=C_decode_literal(C_heaptop,C_text("\376B\000\000)bad argument type - not an inexact number"));
lf[1105]=C_decode_literal(C_heaptop,C_text("\376B\000\000\036bad argument type - not a real"));
lf[1106]=C_decode_literal(C_heaptop,C_text("\376B\000\0002bad argument type - complex number has no ordering"));
lf[1107]=C_decode_literal(C_heaptop,C_text("\376B\000\000(bad argument type - not an exact integer"));
lf[1108]=C_decode_literal(C_heaptop,C_text("\376B\000\000#number does not fit in foreign type"));
lf[1109]=C_decode_literal(C_heaptop,C_text("\376B\000\000/cannot compute absolute value of complex number"));
lf[1110]=C_decode_literal(C_heaptop,C_text("\376B\000\000\026unknown internal error"));
lf[1111]=C_h_intern(&lf[1111],16, C_text("##sys#structure\077"));
lf[1112]=C_h_intern(&lf[1112],24, C_text("##sys#generic-structure\077"));
lf[1113]=C_h_intern(&lf[1113],10, C_text("##sys#slot"));
lf[1114]=C_h_intern(&lf[1114],10, C_text("##sys#size"));
lf[1115]=C_h_intern(&lf[1115],18, C_text("##sys#make-pointer"));
lf[1116]=C_h_intern(&lf[1116],25, C_text("##sys#make-tagged-pointer"));
lf[1117]=C_h_intern(&lf[1117],14, C_text("##sys#pointer\077"));
lf[1118]=C_h_intern(&lf[1118],26, C_text("##sys#set-pointer-address!"));
lf[1119]=C_h_intern(&lf[1119],17, C_text("##sys#bytevector\077"));
lf[1120]=C_h_intern(&lf[1120],25, C_text("##sys#string->pbytevector"));
lf[1121]=C_h_intern(&lf[1121],16, C_text("##sys#permanent\077"));
lf[1122]=C_h_intern(&lf[1122],19, C_text("##sys#block-address"));
lf[1123]=C_h_intern(&lf[1123],15, C_text("##sys#locative\077"));
lf[1124]=C_h_intern(&lf[1124],20, C_text("##sys#srfi-4-vector\077"));
lf[1125]=C_h_intern(&lf[1125],18, C_text("##sys#null-pointer"));
lf[1126]=C_h_intern(&lf[1126],19, C_text("##sys#null-pointer\077"));
lf[1127]=C_h_intern(&lf[1127],22, C_text("##sys#address->pointer"));
lf[1128]=C_h_intern(&lf[1128],25, C_text("##sys#peek-signed-integer"));
lf[1129]=C_h_intern(&lf[1129],17, C_text("##sys#peek-fixnum"));
lf[1130]=C_h_intern(&lf[1130],15, C_text("##sys#peek-byte"));
lf[1131]=C_h_intern(&lf[1131],24, C_text("##sys#vector->structure!"));
lf[1132]=C_h_intern(&lf[1132],17, C_text("##sys#peek-double"));
lf[1133]=C_h_intern(&lf[1133],28, C_text("##sys#peek-and-free-c-string"));
lf[1134]=C_h_intern(&lf[1134],36, C_text("##sys#peek-and-free-nonnull-c-string"));
lf[1135]=C_h_intern(&lf[1135],19, C_text("##sys#poke-c-string"));
lf[1136]=C_h_intern(&lf[1136],18, C_text("##sys#poke-integer"));
lf[1137]=C_h_intern(&lf[1137],17, C_text("##sys#poke-double"));
lf[1138]=C_h_intern(&lf[1138],24, C_text("##sys#peek-c-string-list"));
lf[1139]=C_h_intern(&lf[1139],33, C_text("##sys#peek-and-free-c-string-list"));
lf[1140]=C_h_intern(&lf[1140],22, C_text("##sys#vector->closure!"));
lf[1141]=C_h_intern(&lf[1141],34, C_text("##sys#symbol-has-toplevel-binding\077"));
lf[1142]=C_h_intern(&lf[1142],16, C_text("##sys#copy-words"));
lf[1143]=C_h_intern(&lf[1143],19, C_text("##sys#compare-bytes"));
lf[1144]=C_h_intern(&lf[1144],19, C_text("##sys#block-pointer"));
lf[1145]=C_h_intern(&lf[1145],27, C_text("##sys#foreign-char-argument"));
lf[1146]=C_h_intern(&lf[1146],29, C_text("##sys#foreign-fixnum-argument"));
lf[1147]=C_h_intern(&lf[1147],29, C_text("##sys#foreign-flonum-argument"));
lf[1148]=C_h_intern(&lf[1148],28, C_text("##sys#foreign-block-argument"));
lf[1149]=C_h_intern(&lf[1149],37, C_text("##sys#foreign-struct-wrapper-argument"));
lf[1150]=C_h_intern(&lf[1150],29, C_text("##sys#foreign-string-argument"));
lf[1151]=C_h_intern(&lf[1151],29, C_text("##sys#foreign-symbol-argument"));
lf[1152]=C_h_intern(&lf[1152],30, C_text("##sys#foreign-pointer-argument"));
lf[1153]=C_h_intern(&lf[1153],37, C_text("##sys#foreign-tagged-pointer-argument"));
lf[1154]=C_h_intern(&lf[1154],37, C_text("##sys#foreign-ranged-integer-argument"));
lf[1155]=C_h_intern(&lf[1155],46, C_text("##sys#foreign-unsigned-ranged-integer-argument"));
lf[1156]=C_h_intern(&lf[1156],28, C_text("##sys#default-thread-quantum"));
lf[1157]=C_h_intern(&lf[1157],31, C_text("##sys#default-exception-handler"));
lf[1158]=C_decode_literal(C_heaptop,C_text("\376B\000\000>internal error: default exception handler shouldn\047t be called!"));
lf[1159]=C_h_intern(&lf[1159],17, C_text("##sys#make-thread"));
lf[1160]=C_h_intern(&lf[1160],16, C_text("##sys#make-mutex"));
lf[1161]=C_h_intern(&lf[1161],5, C_text("mutex"));
lf[1162]=C_h_intern(&lf[1162],14, C_text("##sys#schedule"));
lf[1163]=C_h_intern(&lf[1163],19, C_text("##sys#thread-yield!"));
lf[1164]=C_h_intern(&lf[1164],24, C_text("##sys#kill-other-threads"));
lf[1165]=C_h_intern(&lf[1165],23, C_text("chicken.base#sleep-hook"));
lf[1166]=C_h_intern(&lf[1166],5, C_text("sleep"));
lf[1167]=C_h_intern(&lf[1167],20, C_text("##sys#context-switch"));
lf[1168]=C_h_intern(&lf[1168],19, C_text("##sys#signal-vector"));
lf[1169]=C_h_intern(&lf[1169],20, C_text("##sys#interrupt-hook"));
lf[1170]=C_h_intern(&lf[1170],24, C_text("##sys#pending-finalizers"));
lf[1171]=C_h_intern(&lf[1171],28, C_text("##sys#run-pending-finalizers"));
lf[1172]=C_h_intern(&lf[1172],11, C_text("##sys#errno"));
lf[1173]=C_decode_literal(C_heaptop,C_text("\376B\000\000Lunexpected end of file - unterminated `#{...}\047 item in `here\047 string litera"
"l"));
lf[1174]=C_decode_literal(C_heaptop,C_text("\376B\000\000&unterminated here-doc string literal `"));
lf[1175]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\047"));
lf[1176]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<< here-doc token"));
lf[1177]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<< here-doc tag"));
lf[1178]=C_h_intern(&lf[1178],4, C_text("cons"));
lf[1179]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\005\001quote\376\003\000\000\002\376\377\016\376\377\016"));
lf[1180]=C_decode_literal(C_heaptop,C_text("\376B\000\000$Missing tag after #<# here-doc token"));
lf[1181]=C_decode_literal(C_heaptop,C_text("\376B\000\000!Whitespace after #<# here-doc tag"));
lf[1182]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021unreadable object"));
lf[1183]=C_h_intern(&lf[1183],24, C_text("chicken.process-context#"));
lf[1184]=C_h_intern(&lf[1184],40, C_text("chicken.process-context#change-directory"));
lf[1185]=C_h_intern(&lf[1185],16, C_text("change-directory"));
lf[1186]=C_decode_literal(C_heaptop,C_text("\376B\000\000\042cannot change current directory - "));
lf[1187]=C_h_intern(&lf[1187],27, C_text("##sys#change-directory-hook"));
lf[1188]=C_h_intern(&lf[1188],41, C_text("chicken.process-context#current-directory"));
lf[1189]=C_h_intern(&lf[1189],48, C_text("chicken.process-context#get-environment-variable"));
lf[1190]=C_h_intern(&lf[1190],49, C_text("chicken.process-context#set-environment-variable!"));
lf[1191]=C_h_intern(&lf[1191],25, C_text("set-environment-variable!"));
lf[1192]=C_h_intern(&lf[1192],51, C_text("chicken.process-context#unset-environment-variable!"));
lf[1193]=C_h_intern(&lf[1193],27, C_text("unset-environment-variable!"));
lf[1194]=C_h_intern(&lf[1194],49, C_text("chicken.process-context#get-environment-variables"));
lf[1195]=C_h_intern(&lf[1195],43, C_text("chicken.process-context#executable-pathname"));
lf[1196]=C_h_intern(&lf[1196],33, C_text("chicken.process-context#argc+argv"));
lf[1197]=C_h_intern(&lf[1197],28, C_text("chicken.process-context#argv"));
lf[1198]=C_h_intern(&lf[1198],36, C_text("chicken.process-context#program-name"));
lf[1199]=C_h_intern(&lf[1199],46, C_text("chicken.process-context#command-line-arguments"));
lf[1200]=C_h_intern(&lf[1200],11, C_text("chicken.gc#"));
lf[1201]=C_h_intern(&lf[1201],34, C_text("chicken.gc#current-gc-milliseconds"));
lf[1202]=C_h_intern(&lf[1202],25, C_text("chicken.gc#set-gc-report!"));
lf[1203]=C_h_intern(&lf[1203],28, C_text("chicken.gc#memory-statistics"));
lf[1204]=C_h_intern(&lf[1204],20, C_text("##sys#set-finalizer!"));
lf[1205]=C_h_intern(&lf[1205],25, C_text("chicken.gc#set-finalizer!"));
lf[1206]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1207]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035), resized max finalizers to "));
lf[1208]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1209]=C_decode_literal(C_heaptop,C_text("\376B\000\000\035[debug] too many finalizers ("));
lf[1210]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017), forcing ...\012"));
lf[1211]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014in finalizer"));
lf[1212]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020[debug] running "));
lf[1213]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017 finalizer(s) ("));
lf[1214]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007 live, "));
lf[1215]=C_decode_literal(C_heaptop,C_text("\376B\000\000\020 allocated) ...\012"));
lf[1216]=C_h_intern(&lf[1216],13, C_text("chicken.gc#gc"));
lf[1217]=C_h_intern(&lf[1217],12, C_text("##sys#length"));
lf[1218]=C_h_intern(&lf[1218],10, C_text("##sys#cons"));
lf[1219]=C_h_intern(&lf[1219],12, C_text("##sys#vector"));
lf[1220]=C_h_intern(&lf[1220],11, C_text("##sys#apply"));
lf[1221]=C_h_intern(&lf[1221],12, C_text("##sys#values"));
lf[1222]=C_h_intern(&lf[1222],12, C_text("##sys#equal\077"));
lf[1223]=C_h_intern(&lf[1223],9, C_text("##sys#car"));
lf[1224]=C_h_intern(&lf[1224],9, C_text("##sys#cdr"));
lf[1225]=C_h_intern(&lf[1225],11, C_text("##sys#pair\077"));
lf[1226]=C_h_intern(&lf[1226],13, C_text("##sys#vector\077"));
lf[1227]=C_h_intern(&lf[1227],18, C_text("##sys#vector->list"));
lf[1228]=C_h_intern(&lf[1228],19, C_text("##sys#vector-length"));
lf[1229]=C_h_intern(&lf[1229],16, C_text("##sys#vector-ref"));
lf[1230]=C_h_intern(&lf[1230],8, C_text("##sys#>="));
lf[1231]=C_h_intern(&lf[1231],7, C_text("##sys#="));
lf[1232]=C_h_intern(&lf[1232],7, C_text("##sys#+"));
lf[1233]=C_h_intern(&lf[1233],9, C_text("##sys#eq\077"));
lf[1234]=C_h_intern(&lf[1234],10, C_text("##sys#eqv\077"));
lf[1235]=C_h_intern(&lf[1235],11, C_text("##sys#list\077"));
lf[1236]=C_h_intern(&lf[1236],11, C_text("##sys#null\077"));
lf[1237]=C_h_intern(&lf[1237],11, C_text("##sys#map-n"));
lf[1238]=C_h_intern(&lf[1238],19, C_text("##sys#make-locative"));
lf[1239]=C_decode_literal(C_heaptop,C_text("\376B\000\000)locative cannot refer to immediate object"));
lf[1240]=C_h_intern(&lf[1240],8, C_text("u8vector"));
lf[1241]=C_h_intern(&lf[1241],8, C_text("s8vector"));
lf[1242]=C_h_intern(&lf[1242],9, C_text("u16vector"));
lf[1243]=C_h_intern(&lf[1243],9, C_text("s16vector"));
lf[1244]=C_h_intern(&lf[1244],9, C_text("u32vector"));
lf[1245]=C_h_intern(&lf[1245],9, C_text("s32vector"));
lf[1246]=C_h_intern(&lf[1246],9, C_text("u64vector"));
lf[1247]=C_h_intern(&lf[1247],9, C_text("s64vector"));
lf[1248]=C_h_intern(&lf[1248],9, C_text("f32vector"));
lf[1249]=C_h_intern(&lf[1249],9, C_text("f64vector"));
lf[1250]=C_decode_literal(C_heaptop,C_text("\376B\000\000Abad argument type - locative cannot refer to objects of this type"));
lf[1251]=C_h_intern(&lf[1251],14, C_text("chicken.plist#"));
lf[1252]=C_h_intern(&lf[1252],18, C_text("chicken.plist#put!"));
lf[1253]=C_h_intern(&lf[1253],4, C_text("put!"));
lf[1254]=C_h_intern(&lf[1254],17, C_text("chicken.plist#get"));
lf[1255]=C_h_intern(&lf[1255],3, C_text("get"));
lf[1256]=C_h_intern(&lf[1256],10, C_text("##sys#put!"));
lf[1257]=C_h_intern(&lf[1257],9, C_text("##sys#get"));
lf[1258]=C_h_intern(&lf[1258],22, C_text("chicken.plist#remprop!"));
lf[1259]=C_h_intern(&lf[1259],8, C_text("remprop!"));
lf[1260]=C_h_intern(&lf[1260],26, C_text("chicken.plist#symbol-plist"));
lf[1261]=C_h_intern(&lf[1261],28, C_text("chicken.plist#get-properties"));
lf[1262]=C_h_intern(&lf[1262],14, C_text("get-properties"));
lf[1263]=C_h_intern(&lf[1263],19, C_text("##sys#display-times"));
lf[1264]=C_decode_literal(C_heaptop,C_text("\376B\000\000\0010"));
lf[1265]=C_decode_literal(C_heaptop,C_text("\376U10.0\000"));
lf[1266]=C_decode_literal(C_heaptop,C_text("\376\302\000\000\01040000000"));
lf[1267]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 GiB"));
lf[1268]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 MiB"));
lf[1269]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004 KiB"));
lf[1270]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 bytes"));
lf[1271]=C_decode_literal(C_heaptop,C_text("\376B\000\000\025, maximum live heap: "));
lf[1272]=C_decode_literal(C_heaptop,C_text("\376B\000\000\022 GCs (major/minor)"));
lf[1273]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1274]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032 mutations (total/tracked)"));
lf[1275]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1276]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021s GC time (major)"));
lf[1277]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002, "));
lf[1278]=C_decode_literal(C_heaptop,C_text("\376B\000\000\012s CPU time"));
lf[1279]=C_h_intern(&lf[1279],25, C_text("##sys#filter-heap-objects"));
lf[1280]=C_h_intern(&lf[1280],17, C_text("chicken.platform#"));
lf[1281]=C_h_intern(&lf[1281],30, C_text("chicken.platform#software-type"));
lf[1282]=C_h_intern(&lf[1282],29, C_text("chicken.platform#machine-type"));
lf[1283]=C_h_intern(&lf[1283],35, C_text("chicken.platform#machine-byte-order"));
lf[1284]=C_h_intern(&lf[1284],33, C_text("chicken.platform#software-version"));
lf[1285]=C_h_intern(&lf[1285],31, C_text("chicken.platform#build-platform"));
lf[1286]=C_h_intern(&lf[1286],22, C_text("##sys#windows-platform"));
lf[1287]=C_h_intern(&lf[1287],32, C_text("chicken.platform#chicken-version"));
lf[1288]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010Version "));
lf[1289]=C_h_intern(&lf[1289],19, C_text("##sys#build-version"));
lf[1290]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001\012"));
lf[1291]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1292]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ["));
lf[1293]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ]"));
lf[1294]=C_h_intern(&lf[1294],7, C_text("unknown"));
lf[1295]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1296]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001-"));
lf[1297]=C_h_intern(&lf[1297],14, C_text("##sys#build-id"));
lf[1298]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 (rev "));
lf[1299]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1300]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1301]=C_h_intern(&lf[1301],18, C_text("##sys#build-branch"));
lf[1302]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002 ("));
lf[1303]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001)"));
lf[1304]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1305]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 64bit"));
lf[1306]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1307]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 dload"));
lf[1308]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1309]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 ptables"));
lf[1310]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1311]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010 gchooks"));
lf[1312]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1313]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006 cross"));
lf[1314]=C_decode_literal(C_heaptop,C_text("\376B\000\000\000"));
lf[1315]=C_h_intern(&lf[1315],25, C_text("chicken.platform#feature\077"));
lf[1316]=C_h_intern_kw(&lf[1316],13, C_text("cross-chicken"));
lf[1317]=C_h_intern_kw(&lf[1317],7, C_text("gchooks"));
lf[1318]=C_h_intern_kw(&lf[1318],7, C_text("ptables"));
lf[1319]=C_h_intern_kw(&lf[1319],5, C_text("dload"));
lf[1320]=C_h_intern_kw(&lf[1320],5, C_text("64bit"));
lf[1321]=C_h_intern(&lf[1321],29, C_text("chicken.platform#chicken-home"));
lf[1323]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\377\006\000\376\377\016"));
lf[1324]=C_h_intern(&lf[1324],16, C_text("##sys#split-path"));
lf[1325]=C_h_intern(&lf[1325],32, C_text("chicken.platform#repository-path"));
lf[1326]=C_h_intern(&lf[1326],40, C_text("chicken.platform#installation-repository"));
lf[1328]=C_decode_literal(C_heaptop,C_text("\376B\000\0001bad argument type - not a valid feature identifer"));
lf[1329]=C_h_intern(&lf[1329],14, C_text("##sys#features"));
lf[1330]=C_decode_literal(C_heaptop,C_text("\376\003\000\000\002\376\001\000\000\007\002chicken\376\003\000\000\002\376\001\000\000\006\002srfi-6\376\003\000\000\002\376\001\000\000\007\002srfi-12\376\003\000\000\002\376\001\000\000\007\002srfi-17\376\003\000\000\002\376\001\000\000"
"\007\002srfi-23\376\003\000\000\002\376\001\000\000\007\002srfi-30\376\003\000\000\002\376\001\000\000\007\002srfi-39\376\003\000\000\002\376\001\000\000\007\002srfi-62\376\003\000\000\002\376\001\000\000\022\002full-n"
"umeric-tower\376\377\016"));
lf[1331]=C_h_intern(&lf[1331],34, C_text("chicken.platform#register-feature!"));
lf[1332]=C_h_intern(&lf[1332],36, C_text("chicken.platform#unregister-feature!"));
lf[1333]=C_h_intern(&lf[1333],25, C_text("chicken.platform#features"));
lf[1334]=C_h_intern(&lf[1334],31, C_text("chicken.platform#return-to-host"));
lf[1335]=C_h_intern(&lf[1335],40, C_text("chicken.platform#system-config-directory"));
lf[1336]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007APPDATA"));
lf[1337]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010/.config"));
lf[1338]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004HOME"));
lf[1339]=C_decode_literal(C_heaptop,C_text("\376B\000\000\017XDG_CONFIG_HOME"));
lf[1340]=C_h_intern(&lf[1340],39, C_text("chicken.platform#system-cache-directory"));
lf[1341]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007APPDATA"));
lf[1342]=C_decode_literal(C_heaptop,C_text("\376B\000\000\014LOCALAPPDATA"));
lf[1343]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007/.cache"));
lf[1344]=C_decode_literal(C_heaptop,C_text("\376B\000\000\004HOME"));
lf[1345]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016XDG_CACHE_HOME"));
lf[1346]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1347]=C_decode_literal(C_heaptop,C_text("\376B\000\000\001."));
lf[1348]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010chicken-"));
lf[1349]=C_decode_literal(C_heaptop,C_text("\376B\000\000\032CHICKEN_INSTALL_REPOSITORY"));
lf[1350]=C_h_intern(&lf[1350],15, C_text("repository-path"));
lf[1351]=C_decode_literal(C_heaptop,C_text("\376B\000\000\027CHICKEN_REPOSITORY_PATH"));
lf[1352]=C_h_intern(&lf[1352],7, C_text("windows"));
lf[1353]=C_h_intern(&lf[1353],6, C_text("cygwin"));
lf[1354]=C_h_intern(&lf[1354],12, C_text("symbol-plist"));
lf[1355]=C_h_intern(&lf[1355],19, C_text("symbol-plist/setter"));
lf[1356]=C_decode_literal(C_heaptop,C_text("\376B\000\000$property-list must be of even length"));
lf[1357]=C_decode_literal(C_heaptop,C_text("\376B\000\000 (chicken.plist#symbol-plist sym)"));
lf[1358]=C_h_intern(&lf[1358],22, C_text("command-line-arguments"));
lf[1359]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002-:"));
lf[1360]=C_h_intern(&lf[1360],12, C_text("program-name"));
lf[1361]=C_decode_literal(C_heaptop,C_text("\376B\000\000\011<unknown>"));
lf[1362]=C_h_intern(&lf[1362],17, C_text("current-directory"));
lf[1363]=C_decode_literal(C_heaptop,C_text("\376B\000\000!cannot retrieve current directory"));
lf[1364]=C_decode_literal(C_heaptop,C_text("\376B\000\000+(chicken.process-context#current-directory)"));
lf[1365]=C_h_intern(&lf[1365],7, C_text("running"));
lf[1366]=C_h_intern(&lf[1366],10, C_text("primordial"));
lf[1367]=C_h_intern(&lf[1367],9, C_text("arguments"));
lf[1368]=C_h_intern(&lf[1368],7, C_text("message"));
lf[1369]=C_h_intern(&lf[1369],17, C_text("chicken.repl#repl"));
lf[1370]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1371]=C_decode_literal(C_heaptop,C_text("\376B\000\000\002: "));
lf[1372]=C_decode_literal(C_heaptop,C_text("\376B\000\000\006\012Error"));
lf[1373]=C_decode_literal(C_heaptop,C_text("\376B\000\000\016error in error"));
lf[1374]=C_decode_literal(C_heaptop,C_text("\376B\000\000,\042exit\042 called while processing on-exit tasks"));
lf[1375]=C_h_intern(&lf[1375],10, C_text("read-table"));
lf[1376]=C_decode_literal(C_heaptop,C_text("\376B\000\000\021no setter defined"));
lf[1377]=C_decode_literal(C_heaptop,C_text("\376B\000\000#can not set setter of non-procedure"));
lf[1378]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stderr)"));
lf[1379]=C_decode_literal(C_heaptop,C_text("\376B\000\000\010(stdout)"));
lf[1380]=C_decode_literal(C_heaptop,C_text("\376B\000\000\007(stdin)"));
lf[1381]=C_h_intern(&lf[1381],9, C_text("backspace"));
lf[1382]=C_h_intern(&lf[1382],4, C_text("page"));
lf[1383]=C_h_intern(&lf[1383],6, C_text("return"));
lf[1384]=C_h_intern(&lf[1384],4, C_text("null"));
lf[1385]=C_h_intern(&lf[1385],3, C_text("nul"));
lf[1386]=C_h_intern(&lf[1386],5, C_text("alarm"));
lf[1387]=C_h_intern(&lf[1387],6, C_text("escape"));
lf[1388]=C_h_intern(&lf[1388],3, C_text("esc"));
lf[1389]=C_h_intern(&lf[1389],6, C_text("delete"));
lf[1390]=C_h_intern(&lf[1390],4, C_text("vtab"));
lf[1391]=C_h_intern(&lf[1391],7, C_text("newline"));
lf[1392]=C_h_intern(&lf[1392],8, C_text("linefeed"));
lf[1393]=C_h_intern(&lf[1393],3, C_text("tab"));
lf[1394]=C_h_intern(&lf[1394],5, C_text("space"));
C_register_lf2(lf,1395,create_ptable());{}
t2=(*a=C_CLOSURE_TYPE|2,a[1]=(C_word)f_8512,a[2]=t1,tmp=(C_word)a,a+=3,tmp);{
C_word *av2=av;
av2[0]=C_SCHEME_UNDEFINED;
av2[1]=t2;
C_build_2dversion_toplevel(2,av2);}}

#ifdef C_ENABLE_PTABLES
static C_PTABLE_ENTRY ptable[2110] = {
{C_text("f34042:library_2escm"),(void*)f34042},
{C_text("f34566:library_2escm"),(void*)f34566},
{C_text("f36798:library_2escm"),(void*)f36798},
{C_text("f36804:library_2escm"),(void*)f36804},
{C_text("f36810:library_2escm"),(void*)f36810},
{C_text("f_10014:library_2escm"),(void*)f_10014},
{C_text("f_10020:library_2escm"),(void*)f_10020},
{C_text("f_10036:library_2escm"),(void*)f_10036},
{C_text("f_10061:library_2escm"),(void*)f_10061},
{C_text("f_10070:library_2escm"),(void*)f_10070},
{C_text("f_10111:library_2escm"),(void*)f_10111},
{C_text("f_10133:library_2escm"),(void*)f_10133},
{C_text("f_10165:library_2escm"),(void*)f_10165},
{C_text("f_10181:library_2escm"),(void*)f_10181},
{C_text("f_10184:library_2escm"),(void*)f_10184},
{C_text("f_10206:library_2escm"),(void*)f_10206},
{C_text("f_10212:library_2escm"),(void*)f_10212},
{C_text("f_10237:library_2escm"),(void*)f_10237},
{C_text("f_10277:library_2escm"),(void*)f_10277},
{C_text("f_10284:library_2escm"),(void*)f_10284},
{C_text("f_10289:library_2escm"),(void*)f_10289},
{C_text("f_10308:library_2escm"),(void*)f_10308},
{C_text("f_10330:library_2escm"),(void*)f_10330},
{C_text("f_10333:library_2escm"),(void*)f_10333},
{C_text("f_10336:library_2escm"),(void*)f_10336},
{C_text("f_10339:library_2escm"),(void*)f_10339},
{C_text("f_10345:library_2escm"),(void*)f_10345},
{C_text("f_10348:library_2escm"),(void*)f_10348},
{C_text("f_10351:library_2escm"),(void*)f_10351},
{C_text("f_10354:library_2escm"),(void*)f_10354},
{C_text("f_10357:library_2escm"),(void*)f_10357},
{C_text("f_10360:library_2escm"),(void*)f_10360},
{C_text("f_10363:library_2escm"),(void*)f_10363},
{C_text("f_10366:library_2escm"),(void*)f_10366},
{C_text("f_10369:library_2escm"),(void*)f_10369},
{C_text("f_10372:library_2escm"),(void*)f_10372},
{C_text("f_10375:library_2escm"),(void*)f_10375},
{C_text("f_10378:library_2escm"),(void*)f_10378},
{C_text("f_10381:library_2escm"),(void*)f_10381},
{C_text("f_10384:library_2escm"),(void*)f_10384},
{C_text("f_10387:library_2escm"),(void*)f_10387},
{C_text("f_10390:library_2escm"),(void*)f_10390},
{C_text("f_10393:library_2escm"),(void*)f_10393},
{C_text("f_10396:library_2escm"),(void*)f_10396},
{C_text("f_10399:library_2escm"),(void*)f_10399},
{C_text("f_10402:library_2escm"),(void*)f_10402},
{C_text("f_10405:library_2escm"),(void*)f_10405},
{C_text("f_10408:library_2escm"),(void*)f_10408},
{C_text("f_10411:library_2escm"),(void*)f_10411},
{C_text("f_10414:library_2escm"),(void*)f_10414},
{C_text("f_10417:library_2escm"),(void*)f_10417},
{C_text("f_10422:library_2escm"),(void*)f_10422},
{C_text("f_10431:library_2escm"),(void*)f_10431},
{C_text("f_10443:library_2escm"),(void*)f_10443},
{C_text("f_10458:library_2escm"),(void*)f_10458},
{C_text("f_10461:library_2escm"),(void*)f_10461},
{C_text("f_10469:library_2escm"),(void*)f_10469},
{C_text("f_10473:library_2escm"),(void*)f_10473},
{C_text("f_10475:library_2escm"),(void*)f_10475},
{C_text("f_10479:library_2escm"),(void*)f_10479},
{C_text("f_10482:library_2escm"),(void*)f_10482},
{C_text("f_10493:library_2escm"),(void*)f_10493},
{C_text("f_10495:library_2escm"),(void*)f_10495},
{C_text("f_10502:library_2escm"),(void*)f_10502},
{C_text("f_10505:library_2escm"),(void*)f_10505},
{C_text("f_10508:library_2escm"),(void*)f_10508},
{C_text("f_10513:library_2escm"),(void*)f_10513},
{C_text("f_10517:library_2escm"),(void*)f_10517},
{C_text("f_10522:library_2escm"),(void*)f_10522},
{C_text("f_10526:library_2escm"),(void*)f_10526},
{C_text("f_10529:library_2escm"),(void*)f_10529},
{C_text("f_10557:library_2escm"),(void*)f_10557},
{C_text("f_10560:library_2escm"),(void*)f_10560},
{C_text("f_10563:library_2escm"),(void*)f_10563},
{C_text("f_10580:library_2escm"),(void*)f_10580},
{C_text("f_10591:library_2escm"),(void*)f_10591},
{C_text("f_10603:library_2escm"),(void*)f_10603},
{C_text("f_10614:library_2escm"),(void*)f_10614},
{C_text("f_10625:library_2escm"),(void*)f_10625},
{C_text("f_10636:library_2escm"),(void*)f_10636},
{C_text("f_10647:library_2escm"),(void*)f_10647},
{C_text("f_10658:library_2escm"),(void*)f_10658},
{C_text("f_10669:library_2escm"),(void*)f_10669},
{C_text("f_10680:library_2escm"),(void*)f_10680},
{C_text("f_10691:library_2escm"),(void*)f_10691},
{C_text("f_10702:library_2escm"),(void*)f_10702},
{C_text("f_10713:library_2escm"),(void*)f_10713},
{C_text("f_10724:library_2escm"),(void*)f_10724},
{C_text("f_10735:library_2escm"),(void*)f_10735},
{C_text("f_10746:library_2escm"),(void*)f_10746},
{C_text("f_10763:library_2escm"),(void*)f_10763},
{C_text("f_10780:library_2escm"),(void*)f_10780},
{C_text("f_10804:library_2escm"),(void*)f_10804},
{C_text("f_10821:library_2escm"),(void*)f_10821},
{C_text("f_10825:library_2escm"),(void*)f_10825},
{C_text("f_10851:library_2escm"),(void*)f_10851},
{C_text("f_10871:library_2escm"),(void*)f_10871},
{C_text("f_10882:library_2escm"),(void*)f_10882},
{C_text("f_10894:library_2escm"),(void*)f_10894},
{C_text("f_10928:library_2escm"),(void*)f_10928},
{C_text("f_10943:library_2escm"),(void*)f_10943},
{C_text("f_11010:library_2escm"),(void*)f_11010},
{C_text("f_11026:library_2escm"),(void*)f_11026},
{C_text("f_11042:library_2escm"),(void*)f_11042},
{C_text("f_11058:library_2escm"),(void*)f_11058},
{C_text("f_11074:library_2escm"),(void*)f_11074},
{C_text("f_11090:library_2escm"),(void*)f_11090},
{C_text("f_11106:library_2escm"),(void*)f_11106},
{C_text("f_11122:library_2escm"),(void*)f_11122},
{C_text("f_11138:library_2escm"),(void*)f_11138},
{C_text("f_11150:library_2escm"),(void*)f_11150},
{C_text("f_11169:library_2escm"),(void*)f_11169},
{C_text("f_11200:library_2escm"),(void*)f_11200},
{C_text("f_11217:library_2escm"),(void*)f_11217},
{C_text("f_11223:library_2escm"),(void*)f_11223},
{C_text("f_11247:library_2escm"),(void*)f_11247},
{C_text("f_11267:library_2escm"),(void*)f_11267},
{C_text("f_11271:library_2escm"),(void*)f_11271},
{C_text("f_11274:library_2escm"),(void*)f_11274},
{C_text("f_11303:library_2escm"),(void*)f_11303},
{C_text("f_11319:library_2escm"),(void*)f_11319},
{C_text("f_11341:library_2escm"),(void*)f_11341},
{C_text("f_11357:library_2escm"),(void*)f_11357},
{C_text("f_11362:library_2escm"),(void*)f_11362},
{C_text("f_11393:library_2escm"),(void*)f_11393},
{C_text("f_11404:library_2escm"),(void*)f_11404},
{C_text("f_11413:library_2escm"),(void*)f_11413},
{C_text("f_11442:library_2escm"),(void*)f_11442},
{C_text("f_11455:library_2escm"),(void*)f_11455},
{C_text("f_11465:library_2escm"),(void*)f_11465},
{C_text("f_11467:library_2escm"),(void*)f_11467},
{C_text("f_11474:library_2escm"),(void*)f_11474},
{C_text("f_11477:library_2escm"),(void*)f_11477},
{C_text("f_11486:library_2escm"),(void*)f_11486},
{C_text("f_11512:library_2escm"),(void*)f_11512},
{C_text("f_11517:library_2escm"),(void*)f_11517},
{C_text("f_11521:library_2escm"),(void*)f_11521},
{C_text("f_11526:library_2escm"),(void*)f_11526},
{C_text("f_11547:library_2escm"),(void*)f_11547},
{C_text("f_11553:library_2escm"),(void*)f_11553},
{C_text("f_11571:library_2escm"),(void*)f_11571},
{C_text("f_11577:library_2escm"),(void*)f_11577},
{C_text("f_11595:library_2escm"),(void*)f_11595},
{C_text("f_11601:library_2escm"),(void*)f_11601},
{C_text("f_11616:library_2escm"),(void*)f_11616},
{C_text("f_11622:library_2escm"),(void*)f_11622},
{C_text("f_11636:library_2escm"),(void*)f_11636},
{C_text("f_11657:library_2escm"),(void*)f_11657},
{C_text("f_11663:library_2escm"),(void*)f_11663},
{C_text("f_11681:library_2escm"),(void*)f_11681},
{C_text("f_11687:library_2escm"),(void*)f_11687},
{C_text("f_11705:library_2escm"),(void*)f_11705},
{C_text("f_11711:library_2escm"),(void*)f_11711},
{C_text("f_11726:library_2escm"),(void*)f_11726},
{C_text("f_11732:library_2escm"),(void*)f_11732},
{C_text("f_11747:library_2escm"),(void*)f_11747},
{C_text("f_11757:library_2escm"),(void*)f_11757},
{C_text("f_11763:library_2escm"),(void*)f_11763},
{C_text("f_11767:library_2escm"),(void*)f_11767},
{C_text("f_11769:library_2escm"),(void*)f_11769},
{C_text("f_11780:library_2escm"),(void*)f_11780},
{C_text("f_11792:library_2escm"),(void*)f_11792},
{C_text("f_11802:library_2escm"),(void*)f_11802},
{C_text("f_11808:library_2escm"),(void*)f_11808},
{C_text("f_11812:library_2escm"),(void*)f_11812},
{C_text("f_11817:library_2escm"),(void*)f_11817},
{C_text("f_11843:library_2escm"),(void*)f_11843},
{C_text("f_11847:library_2escm"),(void*)f_11847},
{C_text("f_11850:library_2escm"),(void*)f_11850},
{C_text("f_11858:library_2escm"),(void*)f_11858},
{C_text("f_11879:library_2escm"),(void*)f_11879},
{C_text("f_11893:library_2escm"),(void*)f_11893},
{C_text("f_11897:library_2escm"),(void*)f_11897},
{C_text("f_11938:library_2escm"),(void*)f_11938},
{C_text("f_11960:library_2escm"),(void*)f_11960},
{C_text("f_11962:library_2escm"),(void*)f_11962},
{C_text("f_11984:library_2escm"),(void*)f_11984},
{C_text("f_11986:library_2escm"),(void*)f_11986},
{C_text("f_12008:library_2escm"),(void*)f_12008},
{C_text("f_12010:library_2escm"),(void*)f_12010},
{C_text("f_12032:library_2escm"),(void*)f_12032},
{C_text("f_12034:library_2escm"),(void*)f_12034},
{C_text("f_12056:library_2escm"),(void*)f_12056},
{C_text("f_12058:library_2escm"),(void*)f_12058},
{C_text("f_12080:library_2escm"),(void*)f_12080},
{C_text("f_12082:library_2escm"),(void*)f_12082},
{C_text("f_12104:library_2escm"),(void*)f_12104},
{C_text("f_12106:library_2escm"),(void*)f_12106},
{C_text("f_12128:library_2escm"),(void*)f_12128},
{C_text("f_12130:library_2escm"),(void*)f_12130},
{C_text("f_12152:library_2escm"),(void*)f_12152},
{C_text("f_12154:library_2escm"),(void*)f_12154},
{C_text("f_12176:library_2escm"),(void*)f_12176},
{C_text("f_12178:library_2escm"),(void*)f_12178},
{C_text("f_12200:library_2escm"),(void*)f_12200},
{C_text("f_12202:library_2escm"),(void*)f_12202},
{C_text("f_12218:library_2escm"),(void*)f_12218},
{C_text("f_12220:library_2escm"),(void*)f_12220},
{C_text("f_12242:library_2escm"),(void*)f_12242},
{C_text("f_12244:library_2escm"),(void*)f_12244},
{C_text("f_12266:library_2escm"),(void*)f_12266},
{C_text("f_12268:library_2escm"),(void*)f_12268},
{C_text("f_12284:library_2escm"),(void*)f_12284},
{C_text("f_12286:library_2escm"),(void*)f_12286},
{C_text("f_12302:library_2escm"),(void*)f_12302},
{C_text("f_12304:library_2escm"),(void*)f_12304},
{C_text("f_12320:library_2escm"),(void*)f_12320},
{C_text("f_12322:library_2escm"),(void*)f_12322},
{C_text("f_12338:library_2escm"),(void*)f_12338},
{C_text("f_12340:library_2escm"),(void*)f_12340},
{C_text("f_12356:library_2escm"),(void*)f_12356},
{C_text("f_12358:library_2escm"),(void*)f_12358},
{C_text("f_12374:library_2escm"),(void*)f_12374},
{C_text("f_12376:library_2escm"),(void*)f_12376},
{C_text("f_12392:library_2escm"),(void*)f_12392},
{C_text("f_12394:library_2escm"),(void*)f_12394},
{C_text("f_12410:library_2escm"),(void*)f_12410},
{C_text("f_12412:library_2escm"),(void*)f_12412},
{C_text("f_12428:library_2escm"),(void*)f_12428},
{C_text("f_12430:library_2escm"),(void*)f_12430},
{C_text("f_12446:library_2escm"),(void*)f_12446},
{C_text("f_12448:library_2escm"),(void*)f_12448},
{C_text("f_12470:library_2escm"),(void*)f_12470},
{C_text("f_12472:library_2escm"),(void*)f_12472},
{C_text("f_12488:library_2escm"),(void*)f_12488},
{C_text("f_12490:library_2escm"),(void*)f_12490},
{C_text("f_12512:library_2escm"),(void*)f_12512},
{C_text("f_12514:library_2escm"),(void*)f_12514},
{C_text("f_12530:library_2escm"),(void*)f_12530},
{C_text("f_12532:library_2escm"),(void*)f_12532},
{C_text("f_12548:library_2escm"),(void*)f_12548},
{C_text("f_12550:library_2escm"),(void*)f_12550},
{C_text("f_12566:library_2escm"),(void*)f_12566},
{C_text("f_12568:library_2escm"),(void*)f_12568},
{C_text("f_12584:library_2escm"),(void*)f_12584},
{C_text("f_12586:library_2escm"),(void*)f_12586},
{C_text("f_12596:library_2escm"),(void*)f_12596},
{C_text("f_12608:library_2escm"),(void*)f_12608},
{C_text("f_12618:library_2escm"),(void*)f_12618},
{C_text("f_12622:library_2escm"),(void*)f_12622},
{C_text("f_12644:library_2escm"),(void*)f_12644},
{C_text("f_12648:library_2escm"),(void*)f_12648},
{C_text("f_12651:library_2escm"),(void*)f_12651},
{C_text("f_12656:library_2escm"),(void*)f_12656},
{C_text("f_12660:library_2escm"),(void*)f_12660},
{C_text("f_12663:library_2escm"),(void*)f_12663},
{C_text("f_12666:library_2escm"),(void*)f_12666},
{C_text("f_12679:library_2escm"),(void*)f_12679},
{C_text("f_12702:library_2escm"),(void*)f_12702},
{C_text("f_12728:library_2escm"),(void*)f_12728},
{C_text("f_12737:library_2escm"),(void*)f_12737},
{C_text("f_12742:library_2escm"),(void*)f_12742},
{C_text("f_12744:library_2escm"),(void*)f_12744},
{C_text("f_12788:library_2escm"),(void*)f_12788},
{C_text("f_12834:library_2escm"),(void*)f_12834},
{C_text("f_12858:library_2escm"),(void*)f_12858},
{C_text("f_12862:library_2escm"),(void*)f_12862},
{C_text("f_12880:library_2escm"),(void*)f_12880},
{C_text("f_12904:library_2escm"),(void*)f_12904},
{C_text("f_12908:library_2escm"),(void*)f_12908},
{C_text("f_12926:library_2escm"),(void*)f_12926},
{C_text("f_12967:library_2escm"),(void*)f_12967},
{C_text("f_12978:library_2escm"),(void*)f_12978},
{C_text("f_12984:library_2escm"),(void*)f_12984},
{C_text("f_12988:library_2escm"),(void*)f_12988},
{C_text("f_13002:library_2escm"),(void*)f_13002},
{C_text("f_13015:library_2escm"),(void*)f_13015},
{C_text("f_13019:library_2escm"),(void*)f_13019},
{C_text("f_13036:library_2escm"),(void*)f_13036},
{C_text("f_13040:library_2escm"),(void*)f_13040},
{C_text("f_13046:library_2escm"),(void*)f_13046},
{C_text("f_13050:library_2escm"),(void*)f_13050},
{C_text("f_13090:library_2escm"),(void*)f_13090},
{C_text("f_13094:library_2escm"),(void*)f_13094},
{C_text("f_13116:library_2escm"),(void*)f_13116},
{C_text("f_13119:library_2escm"),(void*)f_13119},
{C_text("f_13122:library_2escm"),(void*)f_13122},
{C_text("f_13125:library_2escm"),(void*)f_13125},
{C_text("f_13128:library_2escm"),(void*)f_13128},
{C_text("f_13149:library_2escm"),(void*)f_13149},
{C_text("f_13151:library_2escm"),(void*)f_13151},
{C_text("f_13169:library_2escm"),(void*)f_13169},
{C_text("f_13179:library_2escm"),(void*)f_13179},
{C_text("f_13183:library_2escm"),(void*)f_13183},
{C_text("f_13189:library_2escm"),(void*)f_13189},
{C_text("f_13221:library_2escm"),(void*)f_13221},
{C_text("f_13224:library_2escm"),(void*)f_13224},
{C_text("f_13227:library_2escm"),(void*)f_13227},
{C_text("f_13230:library_2escm"),(void*)f_13230},
{C_text("f_13236:library_2escm"),(void*)f_13236},
{C_text("f_13239:library_2escm"),(void*)f_13239},
{C_text("f_13287:library_2escm"),(void*)f_13287},
{C_text("f_13291:library_2escm"),(void*)f_13291},
{C_text("f_13368:library_2escm"),(void*)f_13368},
{C_text("f_13407:library_2escm"),(void*)f_13407},
{C_text("f_13462:library_2escm"),(void*)f_13462},
{C_text("f_13507:library_2escm"),(void*)f_13507},
{C_text("f_13552:library_2escm"),(void*)f_13552},
{C_text("f_13589:library_2escm"),(void*)f_13589},
{C_text("f_13609:library_2escm"),(void*)f_13609},
{C_text("f_13633:library_2escm"),(void*)f_13633},
{C_text("f_13636:library_2escm"),(void*)f_13636},
{C_text("f_13640:library_2escm"),(void*)f_13640},
{C_text("f_13643:library_2escm"),(void*)f_13643},
{C_text("f_13661:library_2escm"),(void*)f_13661},
{C_text("f_13684:library_2escm"),(void*)f_13684},
{C_text("f_13688:library_2escm"),(void*)f_13688},
{C_text("f_13711:library_2escm"),(void*)f_13711},
{C_text("f_13715:library_2escm"),(void*)f_13715},
{C_text("f_13747:library_2escm"),(void*)f_13747},
{C_text("f_13783:library_2escm"),(void*)f_13783},
{C_text("f_13787:library_2escm"),(void*)f_13787},
{C_text("f_13806:library_2escm"),(void*)f_13806},
{C_text("f_13808:library_2escm"),(void*)f_13808},
{C_text("f_13815:library_2escm"),(void*)f_13815},
{C_text("f_13852:library_2escm"),(void*)f_13852},
{C_text("f_13859:library_2escm"),(void*)f_13859},
{C_text("f_13896:library_2escm"),(void*)f_13896},
{C_text("f_13914:library_2escm"),(void*)f_13914},
{C_text("f_13923:library_2escm"),(void*)f_13923},
{C_text("f_13928:library_2escm"),(void*)f_13928},
{C_text("f_13941:library_2escm"),(void*)f_13941},
{C_text("f_13960:library_2escm"),(void*)f_13960},
{C_text("f_13967:library_2escm"),(void*)f_13967},
{C_text("f_13975:library_2escm"),(void*)f_13975},
{C_text("f_13979:library_2escm"),(void*)f_13979},
{C_text("f_13983:library_2escm"),(void*)f_13983},
{C_text("f_13987:library_2escm"),(void*)f_13987},
{C_text("f_13990:library_2escm"),(void*)f_13990},
{C_text("f_14004:library_2escm"),(void*)f_14004},
{C_text("f_14008:library_2escm"),(void*)f_14008},
{C_text("f_14019:library_2escm"),(void*)f_14019},
{C_text("f_14043:library_2escm"),(void*)f_14043},
{C_text("f_14047:library_2escm"),(void*)f_14047},
{C_text("f_14053:library_2escm"),(void*)f_14053},
{C_text("f_14077:library_2escm"),(void*)f_14077},
{C_text("f_14081:library_2escm"),(void*)f_14081},
{C_text("f_14087:library_2escm"),(void*)f_14087},
{C_text("f_14104:library_2escm"),(void*)f_14104},
{C_text("f_14108:library_2escm"),(void*)f_14108},
{C_text("f_14112:library_2escm"),(void*)f_14112},
{C_text("f_14122:library_2escm"),(void*)f_14122},
{C_text("f_14128:library_2escm"),(void*)f_14128},
{C_text("f_14135:library_2escm"),(void*)f_14135},
{C_text("f_14147:library_2escm"),(void*)f_14147},
{C_text("f_14170:library_2escm"),(void*)f_14170},
{C_text("f_14174:library_2escm"),(void*)f_14174},
{C_text("f_14184:library_2escm"),(void*)f_14184},
{C_text("f_14190:library_2escm"),(void*)f_14190},
{C_text("f_14197:library_2escm"),(void*)f_14197},
{C_text("f_14212:library_2escm"),(void*)f_14212},
{C_text("f_14216:library_2escm"),(void*)f_14216},
{C_text("f_14249:library_2escm"),(void*)f_14249},
{C_text("f_14253:library_2escm"),(void*)f_14253},
{C_text("f_14270:library_2escm"),(void*)f_14270},
{C_text("f_14280:library_2escm"),(void*)f_14280},
{C_text("f_14353:library_2escm"),(void*)f_14353},
{C_text("f_14367:library_2escm"),(void*)f_14367},
{C_text("f_14384:library_2escm"),(void*)f_14384},
{C_text("f_14400:library_2escm"),(void*)f_14400},
{C_text("f_14471:library_2escm"),(void*)f_14471},
{C_text("f_14475:library_2escm"),(void*)f_14475},
{C_text("f_14480:library_2escm"),(void*)f_14480},
{C_text("f_14490:library_2escm"),(void*)f_14490},
{C_text("f_14494:library_2escm"),(void*)f_14494},
{C_text("f_14509:library_2escm"),(void*)f_14509},
{C_text("f_14513:library_2escm"),(void*)f_14513},
{C_text("f_14530:library_2escm"),(void*)f_14530},
{C_text("f_14541:library_2escm"),(void*)f_14541},
{C_text("f_14547:library_2escm"),(void*)f_14547},
{C_text("f_14558:library_2escm"),(void*)f_14558},
{C_text("f_14569:library_2escm"),(void*)f_14569},
{C_text("f_14581:library_2escm"),(void*)f_14581},
{C_text("f_14593:library_2escm"),(void*)f_14593},
{C_text("f_14605:library_2escm"),(void*)f_14605},
{C_text("f_14622:library_2escm"),(void*)f_14622},
{C_text("f_14629:library_2escm"),(void*)f_14629},
{C_text("f_14633:library_2escm"),(void*)f_14633},
{C_text("f_14635:library_2escm"),(void*)f_14635},
{C_text("f_14641:library_2escm"),(void*)f_14641},
{C_text("f_14645:library_2escm"),(void*)f_14645},
{C_text("f_14648:library_2escm"),(void*)f_14648},
{C_text("f_14653:library_2escm"),(void*)f_14653},
{C_text("f_14663:library_2escm"),(void*)f_14663},
{C_text("f_14683:library_2escm"),(void*)f_14683},
{C_text("f_14698:library_2escm"),(void*)f_14698},
{C_text("f_14728:library_2escm"),(void*)f_14728},
{C_text("f_14739:library_2escm"),(void*)f_14739},
{C_text("f_14755:library_2escm"),(void*)f_14755},
{C_text("f_14759:library_2escm"),(void*)f_14759},
{C_text("f_14763:library_2escm"),(void*)f_14763},
{C_text("f_14779:library_2escm"),(void*)f_14779},
{C_text("f_14797:library_2escm"),(void*)f_14797},
{C_text("f_14808:library_2escm"),(void*)f_14808},
{C_text("f_14830:library_2escm"),(void*)f_14830},
{C_text("f_14847:library_2escm"),(void*)f_14847},
{C_text("f_14850:library_2escm"),(void*)f_14850},
{C_text("f_14862:library_2escm"),(void*)f_14862},
{C_text("f_14864:library_2escm"),(void*)f_14864},
{C_text("f_14885:library_2escm"),(void*)f_14885},
{C_text("f_14909:library_2escm"),(void*)f_14909},
{C_text("f_14916:library_2escm"),(void*)f_14916},
{C_text("f_14920:library_2escm"),(void*)f_14920},
{C_text("f_14955:library_2escm"),(void*)f_14955},
{C_text("f_14962:library_2escm"),(void*)f_14962},
{C_text("f_14974:library_2escm"),(void*)f_14974},
{C_text("f_14994:library_2escm"),(void*)f_14994},
{C_text("f_14998:library_2escm"),(void*)f_14998},
{C_text("f_15018:library_2escm"),(void*)f_15018},
{C_text("f_15027:library_2escm"),(void*)f_15027},
{C_text("f_15038:library_2escm"),(void*)f_15038},
{C_text("f_15042:library_2escm"),(void*)f_15042},
{C_text("f_15046:library_2escm"),(void*)f_15046},
{C_text("f_15053:library_2escm"),(void*)f_15053},
{C_text("f_15069:library_2escm"),(void*)f_15069},
{C_text("f_15073:library_2escm"),(void*)f_15073},
{C_text("f_15114:library_2escm"),(void*)f_15114},
{C_text("f_15147:library_2escm"),(void*)f_15147},
{C_text("f_15176:library_2escm"),(void*)f_15176},
{C_text("f_15184:library_2escm"),(void*)f_15184},
{C_text("f_15190:library_2escm"),(void*)f_15190},
{C_text("f_15210:library_2escm"),(void*)f_15210},
{C_text("f_15235:library_2escm"),(void*)f_15235},
{C_text("f_15241:library_2escm"),(void*)f_15241},
{C_text("f_15245:library_2escm"),(void*)f_15245},
{C_text("f_15255:library_2escm"),(void*)f_15255},
{C_text("f_15275:library_2escm"),(void*)f_15275},
{C_text("f_15296:library_2escm"),(void*)f_15296},
{C_text("f_15313:library_2escm"),(void*)f_15313},
{C_text("f_15320:library_2escm"),(void*)f_15320},
{C_text("f_15325:library_2escm"),(void*)f_15325},
{C_text("f_15331:library_2escm"),(void*)f_15331},
{C_text("f_15335:library_2escm"),(void*)f_15335},
{C_text("f_15338:library_2escm"),(void*)f_15338},
{C_text("f_15345:library_2escm"),(void*)f_15345},
{C_text("f_15366:library_2escm"),(void*)f_15366},
{C_text("f_15380:library_2escm"),(void*)f_15380},
{C_text("f_15384:library_2escm"),(void*)f_15384},
{C_text("f_15421:library_2escm"),(void*)f_15421},
{C_text("f_15429:library_2escm"),(void*)f_15429},
{C_text("f_15458:library_2escm"),(void*)f_15458},
{C_text("f_15461:library_2escm"),(void*)f_15461},
{C_text("f_15476:library_2escm"),(void*)f_15476},
{C_text("f_15479:library_2escm"),(void*)f_15479},
{C_text("f_15486:library_2escm"),(void*)f_15486},
{C_text("f_15497:library_2escm"),(void*)f_15497},
{C_text("f_15515:library_2escm"),(void*)f_15515},
{C_text("f_15540:library_2escm"),(void*)f_15540},
{C_text("f_15555:library_2escm"),(void*)f_15555},
{C_text("f_15583:library_2escm"),(void*)f_15583},
{C_text("f_15586:library_2escm"),(void*)f_15586},
{C_text("f_15596:library_2escm"),(void*)f_15596},
{C_text("f_15656:library_2escm"),(void*)f_15656},
{C_text("f_15676:library_2escm"),(void*)f_15676},
{C_text("f_15682:library_2escm"),(void*)f_15682},
{C_text("f_15745:library_2escm"),(void*)f_15745},
{C_text("f_15784:library_2escm"),(void*)f_15784},
{C_text("f_15790:library_2escm"),(void*)f_15790},
{C_text("f_15834:library_2escm"),(void*)f_15834},
{C_text("f_15838:library_2escm"),(void*)f_15838},
{C_text("f_15841:library_2escm"),(void*)f_15841},
{C_text("f_15890:library_2escm"),(void*)f_15890},
{C_text("f_15905:library_2escm"),(void*)f_15905},
{C_text("f_15914:library_2escm"),(void*)f_15914},
{C_text("f_15951:library_2escm"),(void*)f_15951},
{C_text("f_15961:library_2escm"),(void*)f_15961},
{C_text("f_15970:library_2escm"),(void*)f_15970},
{C_text("f_15973:library_2escm"),(void*)f_15973},
{C_text("f_15982:library_2escm"),(void*)f_15982},
{C_text("f_15991:library_2escm"),(void*)f_15991},
{C_text("f_16003:library_2escm"),(void*)f_16003},
{C_text("f_16009:library_2escm"),(void*)f_16009},
{C_text("f_16015:library_2escm"),(void*)f_16015},
{C_text("f_16057:library_2escm"),(void*)f_16057},
{C_text("f_16165:library_2escm"),(void*)f_16165},
{C_text("f_16172:library_2escm"),(void*)f_16172},
{C_text("f_16185:library_2escm"),(void*)f_16185},
{C_text("f_16191:library_2escm"),(void*)f_16191},
{C_text("f_16243:library_2escm"),(void*)f_16243},
{C_text("f_16258:library_2escm"),(void*)f_16258},
{C_text("f_16268:library_2escm"),(void*)f_16268},
{C_text("f_16304:library_2escm"),(void*)f_16304},
{C_text("f_16330:library_2escm"),(void*)f_16330},
{C_text("f_16341:library_2escm"),(void*)f_16341},
{C_text("f_16508:library_2escm"),(void*)f_16508},
{C_text("f_16523:library_2escm"),(void*)f_16523},
{C_text("f_16549:library_2escm"),(void*)f_16549},
{C_text("f_16581:library_2escm"),(void*)f_16581},
{C_text("f_16618:library_2escm"),(void*)f_16618},
{C_text("f_16642:library_2escm"),(void*)f_16642},
{C_text("f_16692:library_2escm"),(void*)f_16692},
{C_text("f_16740:library_2escm"),(void*)f_16740},
{C_text("f_16743:library_2escm"),(void*)f_16743},
{C_text("f_16762:library_2escm"),(void*)f_16762},
{C_text("f_16832:library_2escm"),(void*)f_16832},
{C_text("f_16853:library_2escm"),(void*)f_16853},
{C_text("f_16900:library_2escm"),(void*)f_16900},
{C_text("f_16980:library_2escm"),(void*)f_16980},
{C_text("f_16990:library_2escm"),(void*)f_16990},
{C_text("f_16999:library_2escm"),(void*)f_16999},
{C_text("f_17006:library_2escm"),(void*)f_17006},
{C_text("f_17235:library_2escm"),(void*)f_17235},
{C_text("f_17281:library_2escm"),(void*)f_17281},
{C_text("f_17284:library_2escm"),(void*)f_17284},
{C_text("f_17311:library_2escm"),(void*)f_17311},
{C_text("f_17335:library_2escm"),(void*)f_17335},
{C_text("f_17352:library_2escm"),(void*)f_17352},
{C_text("f_17453:library_2escm"),(void*)f_17453},
{C_text("f_17456:library_2escm"),(void*)f_17456},
{C_text("f_17465:library_2escm"),(void*)f_17465},
{C_text("f_17471:library_2escm"),(void*)f_17471},
{C_text("f_17482:library_2escm"),(void*)f_17482},
{C_text("f_17484:library_2escm"),(void*)f_17484},
{C_text("f_17495:library_2escm"),(void*)f_17495},
{C_text("f_17497:library_2escm"),(void*)f_17497},
{C_text("f_17508:library_2escm"),(void*)f_17508},
{C_text("f_17510:library_2escm"),(void*)f_17510},
{C_text("f_17527:library_2escm"),(void*)f_17527},
{C_text("f_17531:library_2escm"),(void*)f_17531},
{C_text("f_17535:library_2escm"),(void*)f_17535},
{C_text("f_17544:library_2escm"),(void*)f_17544},
{C_text("f_17564:library_2escm"),(void*)f_17564},
{C_text("f_17572:library_2escm"),(void*)f_17572},
{C_text("f_17587:library_2escm"),(void*)f_17587},
{C_text("f_17589:library_2escm"),(void*)f_17589},
{C_text("f_17614:library_2escm"),(void*)f_17614},
{C_text("f_17623:library_2escm"),(void*)f_17623},
{C_text("f_17626:library_2escm"),(void*)f_17626},
{C_text("f_17635:library_2escm"),(void*)f_17635},
{C_text("f_17642:library_2escm"),(void*)f_17642},
{C_text("f_17653:library_2escm"),(void*)f_17653},
{C_text("f_17660:library_2escm"),(void*)f_17660},
{C_text("f_17684:library_2escm"),(void*)f_17684},
{C_text("f_17688:library_2escm"),(void*)f_17688},
{C_text("f_17690:library_2escm"),(void*)f_17690},
{C_text("f_17694:library_2escm"),(void*)f_17694},
{C_text("f_17699:library_2escm"),(void*)f_17699},
{C_text("f_17705:library_2escm"),(void*)f_17705},
{C_text("f_17709:library_2escm"),(void*)f_17709},
{C_text("f_17714:library_2escm"),(void*)f_17714},
{C_text("f_17724:library_2escm"),(void*)f_17724},
{C_text("f_17726:library_2escm"),(void*)f_17726},
{C_text("f_17730:library_2escm"),(void*)f_17730},
{C_text("f_17736:library_2escm"),(void*)f_17736},
{C_text("f_17738:library_2escm"),(void*)f_17738},
{C_text("f_17742:library_2escm"),(void*)f_17742},
{C_text("f_17745:library_2escm"),(void*)f_17745},
{C_text("f_17761:library_2escm"),(void*)f_17761},
{C_text("f_17765:library_2escm"),(void*)f_17765},
{C_text("f_17768:library_2escm"),(void*)f_17768},
{C_text("f_17790:library_2escm"),(void*)f_17790},
{C_text("f_17806:library_2escm"),(void*)f_17806},
{C_text("f_17811:library_2escm"),(void*)f_17811},
{C_text("f_17842:library_2escm"),(void*)f_17842},
{C_text("f_17851:library_2escm"),(void*)f_17851},
{C_text("f_17869:library_2escm"),(void*)f_17869},
{C_text("f_17875:library_2escm"),(void*)f_17875},
{C_text("f_17881:library_2escm"),(void*)f_17881},
{C_text("f_17890:library_2escm"),(void*)f_17890},
{C_text("f_17909:library_2escm"),(void*)f_17909},
{C_text("f_17925:library_2escm"),(void*)f_17925},
{C_text("f_17928:library_2escm"),(void*)f_17928},
{C_text("f_17931:library_2escm"),(void*)f_17931},
{C_text("f_17936:library_2escm"),(void*)f_17936},
{C_text("f_17978:library_2escm"),(void*)f_17978},
{C_text("f_17997:library_2escm"),(void*)f_17997},
{C_text("f_18000:library_2escm"),(void*)f_18000},
{C_text("f_18003:library_2escm"),(void*)f_18003},
{C_text("f_18008:library_2escm"),(void*)f_18008},
{C_text("f_18049:library_2escm"),(void*)f_18049},
{C_text("f_18059:library_2escm"),(void*)f_18059},
{C_text("f_18070:library_2escm"),(void*)f_18070},
{C_text("f_18074:library_2escm"),(void*)f_18074},
{C_text("f_18077:library_2escm"),(void*)f_18077},
{C_text("f_18082:library_2escm"),(void*)f_18082},
{C_text("f_18109:library_2escm"),(void*)f_18109},
{C_text("f_18123:library_2escm"),(void*)f_18123},
{C_text("f_18134:library_2escm"),(void*)f_18134},
{C_text("f_18145:library_2escm"),(void*)f_18145},
{C_text("f_18156:library_2escm"),(void*)f_18156},
{C_text("f_18169:library_2escm"),(void*)f_18169},
{C_text("f_18171:library_2escm"),(void*)f_18171},
{C_text("f_18184:library_2escm"),(void*)f_18184},
{C_text("f_18212:library_2escm"),(void*)f_18212},
{C_text("f_18216:library_2escm"),(void*)f_18216},
{C_text("f_18225:library_2escm"),(void*)f_18225},
{C_text("f_18243:library_2escm"),(void*)f_18243},
{C_text("f_18246:library_2escm"),(void*)f_18246},
{C_text("f_18329:library_2escm"),(void*)f_18329},
{C_text("f_18332:library_2escm"),(void*)f_18332},
{C_text("f_18335:library_2escm"),(void*)f_18335},
{C_text("f_18338:library_2escm"),(void*)f_18338},
{C_text("f_18341:library_2escm"),(void*)f_18341},
{C_text("f_18344:library_2escm"),(void*)f_18344},
{C_text("f_18347:library_2escm"),(void*)f_18347},
{C_text("f_18350:library_2escm"),(void*)f_18350},
{C_text("f_18353:library_2escm"),(void*)f_18353},
{C_text("f_18356:library_2escm"),(void*)f_18356},
{C_text("f_18359:library_2escm"),(void*)f_18359},
{C_text("f_18362:library_2escm"),(void*)f_18362},
{C_text("f_18365:library_2escm"),(void*)f_18365},
{C_text("f_18368:library_2escm"),(void*)f_18368},
{C_text("f_18373:library_2escm"),(void*)f_18373},
{C_text("f_18379:library_2escm"),(void*)f_18379},
{C_text("f_18395:library_2escm"),(void*)f_18395},
{C_text("f_18411:library_2escm"),(void*)f_18411},
{C_text("f_18417:library_2escm"),(void*)f_18417},
{C_text("f_18437:library_2escm"),(void*)f_18437},
{C_text("f_18441:library_2escm"),(void*)f_18441},
{C_text("f_18453:library_2escm"),(void*)f_18453},
{C_text("f_18485:library_2escm"),(void*)f_18485},
{C_text("f_18489:library_2escm"),(void*)f_18489},
{C_text("f_18497:library_2escm"),(void*)f_18497},
{C_text("f_18507:library_2escm"),(void*)f_18507},
{C_text("f_18515:library_2escm"),(void*)f_18515},
{C_text("f_18551:library_2escm"),(void*)f_18551},
{C_text("f_18566:library_2escm"),(void*)f_18566},
{C_text("f_18576:library_2escm"),(void*)f_18576},
{C_text("f_18596:library_2escm"),(void*)f_18596},
{C_text("f_18609:library_2escm"),(void*)f_18609},
{C_text("f_18616:library_2escm"),(void*)f_18616},
{C_text("f_18618:library_2escm"),(void*)f_18618},
{C_text("f_18626:library_2escm"),(void*)f_18626},
{C_text("f_18628:library_2escm"),(void*)f_18628},
{C_text("f_18637:library_2escm"),(void*)f_18637},
{C_text("f_18655:library_2escm"),(void*)f_18655},
{C_text("f_18680:library_2escm"),(void*)f_18680},
{C_text("f_18696:library_2escm"),(void*)f_18696},
{C_text("f_18713:library_2escm"),(void*)f_18713},
{C_text("f_18717:library_2escm"),(void*)f_18717},
{C_text("f_18721:library_2escm"),(void*)f_18721},
{C_text("f_18723:library_2escm"),(void*)f_18723},
{C_text("f_18731:library_2escm"),(void*)f_18731},
{C_text("f_18733:library_2escm"),(void*)f_18733},
{C_text("f_18740:library_2escm"),(void*)f_18740},
{C_text("f_18744:library_2escm"),(void*)f_18744},
{C_text("f_18748:library_2escm"),(void*)f_18748},
{C_text("f_18757:library_2escm"),(void*)f_18757},
{C_text("f_18765:library_2escm"),(void*)f_18765},
{C_text("f_18775:library_2escm"),(void*)f_18775},
{C_text("f_18781:library_2escm"),(void*)f_18781},
{C_text("f_18784:library_2escm"),(void*)f_18784},
{C_text("f_18788:library_2escm"),(void*)f_18788},
{C_text("f_18815:library_2escm"),(void*)f_18815},
{C_text("f_18831:library_2escm"),(void*)f_18831},
{C_text("f_18837:library_2escm"),(void*)f_18837},
{C_text("f_18860:library_2escm"),(void*)f_18860},
{C_text("f_18873:library_2escm"),(void*)f_18873},
{C_text("f_18879:library_2escm"),(void*)f_18879},
{C_text("f_18884:library_2escm"),(void*)f_18884},
{C_text("f_18889:library_2escm"),(void*)f_18889},
{C_text("f_18893:library_2escm"),(void*)f_18893},
{C_text("f_18902:library_2escm"),(void*)f_18902},
{C_text("f_18933:library_2escm"),(void*)f_18933},
{C_text("f_18937:library_2escm"),(void*)f_18937},
{C_text("f_18941:library_2escm"),(void*)f_18941},
{C_text("f_18944:library_2escm"),(void*)f_18944},
{C_text("f_18947:library_2escm"),(void*)f_18947},
{C_text("f_18950:library_2escm"),(void*)f_18950},
{C_text("f_18952:library_2escm"),(void*)f_18952},
{C_text("f_18963:library_2escm"),(void*)f_18963},
{C_text("f_18974:library_2escm"),(void*)f_18974},
{C_text("f_18985:library_2escm"),(void*)f_18985},
{C_text("f_18996:library_2escm"),(void*)f_18996},
{C_text("f_19009:library_2escm"),(void*)f_19009},
{C_text("f_19011:library_2escm"),(void*)f_19011},
{C_text("f_19017:library_2escm"),(void*)f_19017},
{C_text("f_19022:library_2escm"),(void*)f_19022},
{C_text("f_19057:library_2escm"),(void*)f_19057},
{C_text("f_19070:library_2escm"),(void*)f_19070},
{C_text("f_19072:library_2escm"),(void*)f_19072},
{C_text("f_19078:library_2escm"),(void*)f_19078},
{C_text("f_19083:library_2escm"),(void*)f_19083},
{C_text("f_19118:library_2escm"),(void*)f_19118},
{C_text("f_19131:library_2escm"),(void*)f_19131},
{C_text("f_19133:library_2escm"),(void*)f_19133},
{C_text("f_19139:library_2escm"),(void*)f_19139},
{C_text("f_19144:library_2escm"),(void*)f_19144},
{C_text("f_19179:library_2escm"),(void*)f_19179},
{C_text("f_19191:library_2escm"),(void*)f_19191},
{C_text("f_19193:library_2escm"),(void*)f_19193},
{C_text("f_19199:library_2escm"),(void*)f_19199},
{C_text("f_19205:library_2escm"),(void*)f_19205},
{C_text("f_19215:library_2escm"),(void*)f_19215},
{C_text("f_19218:library_2escm"),(void*)f_19218},
{C_text("f_19221:library_2escm"),(void*)f_19221},
{C_text("f_19224:library_2escm"),(void*)f_19224},
{C_text("f_19227:library_2escm"),(void*)f_19227},
{C_text("f_19234:library_2escm"),(void*)f_19234},
{C_text("f_19238:library_2escm"),(void*)f_19238},
{C_text("f_19242:library_2escm"),(void*)f_19242},
{C_text("f_19248:library_2escm"),(void*)f_19248},
{C_text("f_19261:library_2escm"),(void*)f_19261},
{C_text("f_19303:library_2escm"),(void*)f_19303},
{C_text("f_19307:library_2escm"),(void*)f_19307},
{C_text("f_19340:library_2escm"),(void*)f_19340},
{C_text("f_19346:library_2escm"),(void*)f_19346},
{C_text("f_19352:library_2escm"),(void*)f_19352},
{C_text("f_19358:library_2escm"),(void*)f_19358},
{C_text("f_19364:library_2escm"),(void*)f_19364},
{C_text("f_19368:library_2escm"),(void*)f_19368},
{C_text("f_19373:library_2escm"),(void*)f_19373},
{C_text("f_19379:library_2escm"),(void*)f_19379},
{C_text("f_19383:library_2escm"),(void*)f_19383},
{C_text("f_19388:library_2escm"),(void*)f_19388},
{C_text("f_19392:library_2escm"),(void*)f_19392},
{C_text("f_19397:library_2escm"),(void*)f_19397},
{C_text("f_19403:library_2escm"),(void*)f_19403},
{C_text("f_19407:library_2escm"),(void*)f_19407},
{C_text("f_19412:library_2escm"),(void*)f_19412},
{C_text("f_19416:library_2escm"),(void*)f_19416},
{C_text("f_19421:library_2escm"),(void*)f_19421},
{C_text("f_19426:library_2escm"),(void*)f_19426},
{C_text("f_19432:library_2escm"),(void*)f_19432},
{C_text("f_19436:library_2escm"),(void*)f_19436},
{C_text("f_19441:library_2escm"),(void*)f_19441},
{C_text("f_19446:library_2escm"),(void*)f_19446},
{C_text("f_19450:library_2escm"),(void*)f_19450},
{C_text("f_19455:library_2escm"),(void*)f_19455},
{C_text("f_19460:library_2escm"),(void*)f_19460},
{C_text("f_19466:library_2escm"),(void*)f_19466},
{C_text("f_19470:library_2escm"),(void*)f_19470},
{C_text("f_19475:library_2escm"),(void*)f_19475},
{C_text("f_19480:library_2escm"),(void*)f_19480},
{C_text("f_19485:library_2escm"),(void*)f_19485},
{C_text("f_19506:library_2escm"),(void*)f_19506},
{C_text("f_19513:library_2escm"),(void*)f_19513},
{C_text("f_19519:library_2escm"),(void*)f_19519},
{C_text("f_19537:library_2escm"),(void*)f_19537},
{C_text("f_19546:library_2escm"),(void*)f_19546},
{C_text("f_19559:library_2escm"),(void*)f_19559},
{C_text("f_19567:library_2escm"),(void*)f_19567},
{C_text("f_19572:library_2escm"),(void*)f_19572},
{C_text("f_19609:library_2escm"),(void*)f_19609},
{C_text("f_19621:library_2escm"),(void*)f_19621},
{C_text("f_19631:library_2escm"),(void*)f_19631},
{C_text("f_19647:library_2escm"),(void*)f_19647},
{C_text("f_19660:library_2escm"),(void*)f_19660},
{C_text("f_19667:library_2escm"),(void*)f_19667},
{C_text("f_19669:library_2escm"),(void*)f_19669},
{C_text("f_19682:library_2escm"),(void*)f_19682},
{C_text("f_19688:library_2escm"),(void*)f_19688},
{C_text("f_19695:library_2escm"),(void*)f_19695},
{C_text("f_19697:library_2escm"),(void*)f_19697},
{C_text("f_19701:library_2escm"),(void*)f_19701},
{C_text("f_19704:library_2escm"),(void*)f_19704},
{C_text("f_19714:library_2escm"),(void*)f_19714},
{C_text("f_19718:library_2escm"),(void*)f_19718},
{C_text("f_19726:library_2escm"),(void*)f_19726},
{C_text("f_19729:library_2escm"),(void*)f_19729},
{C_text("f_19736:library_2escm"),(void*)f_19736},
{C_text("f_19739:library_2escm"),(void*)f_19739},
{C_text("f_19742:library_2escm"),(void*)f_19742},
{C_text("f_19745:library_2escm"),(void*)f_19745},
{C_text("f_19753:library_2escm"),(void*)f_19753},
{C_text("f_19761:library_2escm"),(void*)f_19761},
{C_text("f_19763:library_2escm"),(void*)f_19763},
{C_text("f_19779:library_2escm"),(void*)f_19779},
{C_text("f_19806:library_2escm"),(void*)f_19806},
{C_text("f_19810:library_2escm"),(void*)f_19810},
{C_text("f_19814:library_2escm"),(void*)f_19814},
{C_text("f_19818:library_2escm"),(void*)f_19818},
{C_text("f_19822:library_2escm"),(void*)f_19822},
{C_text("f_19826:library_2escm"),(void*)f_19826},
{C_text("f_19830:library_2escm"),(void*)f_19830},
{C_text("f_19834:library_2escm"),(void*)f_19834},
{C_text("f_19838:library_2escm"),(void*)f_19838},
{C_text("f_19842:library_2escm"),(void*)f_19842},
{C_text("f_19846:library_2escm"),(void*)f_19846},
{C_text("f_19850:library_2escm"),(void*)f_19850},
{C_text("f_19854:library_2escm"),(void*)f_19854},
{C_text("f_19858:library_2escm"),(void*)f_19858},
{C_text("f_19862:library_2escm"),(void*)f_19862},
{C_text("f_19866:library_2escm"),(void*)f_19866},
{C_text("f_19870:library_2escm"),(void*)f_19870},
{C_text("f_19877:library_2escm"),(void*)f_19877},
{C_text("f_19884:library_2escm"),(void*)f_19884},
{C_text("f_19885:library_2escm"),(void*)f_19885},
{C_text("f_19889:library_2escm"),(void*)f_19889},
{C_text("f_19892:library_2escm"),(void*)f_19892},
{C_text("f_19908:library_2escm"),(void*)f_19908},
{C_text("f_19919:library_2escm"),(void*)f_19919},
{C_text("f_19927:library_2escm"),(void*)f_19927},
{C_text("f_19939:library_2escm"),(void*)f_19939},
{C_text("f_19948:library_2escm"),(void*)f_19948},
{C_text("f_19953:library_2escm"),(void*)f_19953},
{C_text("f_20009:library_2escm"),(void*)f_20009},
{C_text("f_20023:library_2escm"),(void*)f_20023},
{C_text("f_20035:library_2escm"),(void*)f_20035},
{C_text("f_20041:library_2escm"),(void*)f_20041},
{C_text("f_20066:library_2escm"),(void*)f_20066},
{C_text("f_20084:library_2escm"),(void*)f_20084},
{C_text("f_20088:library_2escm"),(void*)f_20088},
{C_text("f_20144:library_2escm"),(void*)f_20144},
{C_text("f_20153:library_2escm"),(void*)f_20153},
{C_text("f_20166:library_2escm"),(void*)f_20166},
{C_text("f_20178:library_2escm"),(void*)f_20178},
{C_text("f_20196:library_2escm"),(void*)f_20196},
{C_text("f_20216:library_2escm"),(void*)f_20216},
{C_text("f_20219:library_2escm"),(void*)f_20219},
{C_text("f_20222:library_2escm"),(void*)f_20222},
{C_text("f_20230:library_2escm"),(void*)f_20230},
{C_text("f_20234:library_2escm"),(void*)f_20234},
{C_text("f_20238:library_2escm"),(void*)f_20238},
{C_text("f_20242:library_2escm"),(void*)f_20242},
{C_text("f_20246:library_2escm"),(void*)f_20246},
{C_text("f_20248:library_2escm"),(void*)f_20248},
{C_text("f_20256:library_2escm"),(void*)f_20256},
{C_text("f_20259:library_2escm"),(void*)f_20259},
{C_text("f_20269:library_2escm"),(void*)f_20269},
{C_text("f_20271:library_2escm"),(void*)f_20271},
{C_text("f_20279:library_2escm"),(void*)f_20279},
{C_text("f_20282:library_2escm"),(void*)f_20282},
{C_text("f_20292:library_2escm"),(void*)f_20292},
{C_text("f_20294:library_2escm"),(void*)f_20294},
{C_text("f_20298:library_2escm"),(void*)f_20298},
{C_text("f_20301:library_2escm"),(void*)f_20301},
{C_text("f_20304:library_2escm"),(void*)f_20304},
{C_text("f_20307:library_2escm"),(void*)f_20307},
{C_text("f_20310:library_2escm"),(void*)f_20310},
{C_text("f_20312:library_2escm"),(void*)f_20312},
{C_text("f_20318:library_2escm"),(void*)f_20318},
{C_text("f_20327:library_2escm"),(void*)f_20327},
{C_text("f_20335:library_2escm"),(void*)f_20335},
{C_text("f_20337:library_2escm"),(void*)f_20337},
{C_text("f_20344:library_2escm"),(void*)f_20344},
{C_text("f_20351:library_2escm"),(void*)f_20351},
{C_text("f_20364:library_2escm"),(void*)f_20364},
{C_text("f_20368:library_2escm"),(void*)f_20368},
{C_text("f_20373:library_2escm"),(void*)f_20373},
{C_text("f_20377:library_2escm"),(void*)f_20377},
{C_text("f_20388:library_2escm"),(void*)f_20388},
{C_text("f_20391:library_2escm"),(void*)f_20391},
{C_text("f_20399:library_2escm"),(void*)f_20399},
{C_text("f_20401:library_2escm"),(void*)f_20401},
{C_text("f_20414:library_2escm"),(void*)f_20414},
{C_text("f_20421:library_2escm"),(void*)f_20421},
{C_text("f_20430:library_2escm"),(void*)f_20430},
{C_text("f_20437:library_2escm"),(void*)f_20437},
{C_text("f_20439:library_2escm"),(void*)f_20439},
{C_text("f_20445:library_2escm"),(void*)f_20445},
{C_text("f_20455:library_2escm"),(void*)f_20455},
{C_text("f_20458:library_2escm"),(void*)f_20458},
{C_text("f_20468:library_2escm"),(void*)f_20468},
{C_text("f_20471:library_2escm"),(void*)f_20471},
{C_text("f_20499:library_2escm"),(void*)f_20499},
{C_text("f_20503:library_2escm"),(void*)f_20503},
{C_text("f_20511:library_2escm"),(void*)f_20511},
{C_text("f_20536:library_2escm"),(void*)f_20536},
{C_text("f_20544:library_2escm"),(void*)f_20544},
{C_text("f_20546:library_2escm"),(void*)f_20546},
{C_text("f_20563:library_2escm"),(void*)f_20563},
{C_text("f_20576:library_2escm"),(void*)f_20576},
{C_text("f_20593:library_2escm"),(void*)f_20593},
{C_text("f_20610:library_2escm"),(void*)f_20610},
{C_text("f_20627:library_2escm"),(void*)f_20627},
{C_text("f_20644:library_2escm"),(void*)f_20644},
{C_text("f_20661:library_2escm"),(void*)f_20661},
{C_text("f_20678:library_2escm"),(void*)f_20678},
{C_text("f_20698:library_2escm"),(void*)f_20698},
{C_text("f_20706:library_2escm"),(void*)f_20706},
{C_text("f_20715:library_2escm"),(void*)f_20715},
{C_text("f_20721:library_2escm"),(void*)f_20721},
{C_text("f_20727:library_2escm"),(void*)f_20727},
{C_text("f_20730:library_2escm"),(void*)f_20730},
{C_text("f_20733:library_2escm"),(void*)f_20733},
{C_text("f_20743:library_2escm"),(void*)f_20743},
{C_text("f_20747:library_2escm"),(void*)f_20747},
{C_text("f_20764:library_2escm"),(void*)f_20764},
{C_text("f_20769:library_2escm"),(void*)f_20769},
{C_text("f_20776:library_2escm"),(void*)f_20776},
{C_text("f_20780:library_2escm"),(void*)f_20780},
{C_text("f_20789:library_2escm"),(void*)f_20789},
{C_text("f_20795:library_2escm"),(void*)f_20795},
{C_text("f_20805:library_2escm"),(void*)f_20805},
{C_text("f_20809:library_2escm"),(void*)f_20809},
{C_text("f_20818:library_2escm"),(void*)f_20818},
{C_text("f_20825:library_2escm"),(void*)f_20825},
{C_text("f_20838:library_2escm"),(void*)f_20838},
{C_text("f_20843:library_2escm"),(void*)f_20843},
{C_text("f_20860:library_2escm"),(void*)f_20860},
{C_text("f_20875:library_2escm"),(void*)f_20875},
{C_text("f_20888:library_2escm"),(void*)f_20888},
{C_text("f_20910:library_2escm"),(void*)f_20910},
{C_text("f_20913:library_2escm"),(void*)f_20913},
{C_text("f_20942:library_2escm"),(void*)f_20942},
{C_text("f_20952:library_2escm"),(void*)f_20952},
{C_text("f_20968:library_2escm"),(void*)f_20968},
{C_text("f_20979:library_2escm"),(void*)f_20979},
{C_text("f_20986:library_2escm"),(void*)f_20986},
{C_text("f_21084:library_2escm"),(void*)f_21084},
{C_text("f_21090:library_2escm"),(void*)f_21090},
{C_text("f_21099:library_2escm"),(void*)f_21099},
{C_text("f_21113:library_2escm"),(void*)f_21113},
{C_text("f_21116:library_2escm"),(void*)f_21116},
{C_text("f_21127:library_2escm"),(void*)f_21127},
{C_text("f_21129:library_2escm"),(void*)f_21129},
{C_text("f_21132:library_2escm"),(void*)f_21132},
{C_text("f_21149:library_2escm"),(void*)f_21149},
{C_text("f_21154:library_2escm"),(void*)f_21154},
{C_text("f_21158:library_2escm"),(void*)f_21158},
{C_text("f_21161:library_2escm"),(void*)f_21161},
{C_text("f_21164:library_2escm"),(void*)f_21164},
{C_text("f_21174:library_2escm"),(void*)f_21174},
{C_text("f_21192:library_2escm"),(void*)f_21192},
{C_text("f_21195:library_2escm"),(void*)f_21195},
{C_text("f_21204:library_2escm"),(void*)f_21204},
{C_text("f_21207:library_2escm"),(void*)f_21207},
{C_text("f_21210:library_2escm"),(void*)f_21210},
{C_text("f_21216:library_2escm"),(void*)f_21216},
{C_text("f_21229:library_2escm"),(void*)f_21229},
{C_text("f_21233:library_2escm"),(void*)f_21233},
{C_text("f_21237:library_2escm"),(void*)f_21237},
{C_text("f_21248:library_2escm"),(void*)f_21248},
{C_text("f_21252:library_2escm"),(void*)f_21252},
{C_text("f_21255:library_2escm"),(void*)f_21255},
{C_text("f_21283:library_2escm"),(void*)f_21283},
{C_text("f_21339:library_2escm"),(void*)f_21339},
{C_text("f_21343:library_2escm"),(void*)f_21343},
{C_text("f_21350:library_2escm"),(void*)f_21350},
{C_text("f_21352:library_2escm"),(void*)f_21352},
{C_text("f_21356:library_2escm"),(void*)f_21356},
{C_text("f_21370:library_2escm"),(void*)f_21370},
{C_text("f_21376:library_2escm"),(void*)f_21376},
{C_text("f_21383:library_2escm"),(void*)f_21383},
{C_text("f_21390:library_2escm"),(void*)f_21390},
{C_text("f_21405:library_2escm"),(void*)f_21405},
{C_text("f_21411:library_2escm"),(void*)f_21411},
{C_text("f_21440:library_2escm"),(void*)f_21440},
{C_text("f_21450:library_2escm"),(void*)f_21450},
{C_text("f_21453:library_2escm"),(void*)f_21453},
{C_text("f_21489:library_2escm"),(void*)f_21489},
{C_text("f_21491:library_2escm"),(void*)f_21491},
{C_text("f_21501:library_2escm"),(void*)f_21501},
{C_text("f_21504:library_2escm"),(void*)f_21504},
{C_text("f_21556:library_2escm"),(void*)f_21556},
{C_text("f_21558:library_2escm"),(void*)f_21558},
{C_text("f_21566:library_2escm"),(void*)f_21566},
{C_text("f_21568:library_2escm"),(void*)f_21568},
{C_text("f_21578:library_2escm"),(void*)f_21578},
{C_text("f_21593:library_2escm"),(void*)f_21593},
{C_text("f_21600:library_2escm"),(void*)f_21600},
{C_text("f_21622:library_2escm"),(void*)f_21622},
{C_text("f_21630:library_2escm"),(void*)f_21630},
{C_text("f_21632:library_2escm"),(void*)f_21632},
{C_text("f_21642:library_2escm"),(void*)f_21642},
{C_text("f_21648:library_2escm"),(void*)f_21648},
{C_text("f_21655:library_2escm"),(void*)f_21655},
{C_text("f_21668:library_2escm"),(void*)f_21668},
{C_text("f_21674:library_2escm"),(void*)f_21674},
{C_text("f_21678:library_2escm"),(void*)f_21678},
{C_text("f_21685:library_2escm"),(void*)f_21685},
{C_text("f_21693:library_2escm"),(void*)f_21693},
{C_text("f_21699:library_2escm"),(void*)f_21699},
{C_text("f_21703:library_2escm"),(void*)f_21703},
{C_text("f_21712:library_2escm"),(void*)f_21712},
{C_text("f_21718:library_2escm"),(void*)f_21718},
{C_text("f_21725:library_2escm"),(void*)f_21725},
{C_text("f_21736:library_2escm"),(void*)f_21736},
{C_text("f_21776:library_2escm"),(void*)f_21776},
{C_text("f_21785:library_2escm"),(void*)f_21785},
{C_text("f_21792:library_2escm"),(void*)f_21792},
{C_text("f_21796:library_2escm"),(void*)f_21796},
{C_text("f_21800:library_2escm"),(void*)f_21800},
{C_text("f_21809:library_2escm"),(void*)f_21809},
{C_text("f_21820:library_2escm"),(void*)f_21820},
{C_text("f_21858:library_2escm"),(void*)f_21858},
{C_text("f_21907:library_2escm"),(void*)f_21907},
{C_text("f_21911:library_2escm"),(void*)f_21911},
{C_text("f_21914:library_2escm"),(void*)f_21914},
{C_text("f_21926:library_2escm"),(void*)f_21926},
{C_text("f_21946:library_2escm"),(void*)f_21946},
{C_text("f_21952:library_2escm"),(void*)f_21952},
{C_text("f_21962:library_2escm"),(void*)f_21962},
{C_text("f_22091:library_2escm"),(void*)f_22091},
{C_text("f_22098:library_2escm"),(void*)f_22098},
{C_text("f_22116:library_2escm"),(void*)f_22116},
{C_text("f_22122:library_2escm"),(void*)f_22122},
{C_text("f_22126:library_2escm"),(void*)f_22126},
{C_text("f_22162:library_2escm"),(void*)f_22162},
{C_text("f_22185:library_2escm"),(void*)f_22185},
{C_text("f_22203:library_2escm"),(void*)f_22203},
{C_text("f_22207:library_2escm"),(void*)f_22207},
{C_text("f_22214:library_2escm"),(void*)f_22214},
{C_text("f_22216:library_2escm"),(void*)f_22216},
{C_text("f_22220:library_2escm"),(void*)f_22220},
{C_text("f_22231:library_2escm"),(void*)f_22231},
{C_text("f_22247:library_2escm"),(void*)f_22247},
{C_text("f_22250:library_2escm"),(void*)f_22250},
{C_text("f_22253:library_2escm"),(void*)f_22253},
{C_text("f_22259:library_2escm"),(void*)f_22259},
{C_text("f_22267:library_2escm"),(void*)f_22267},
{C_text("f_22273:library_2escm"),(void*)f_22273},
{C_text("f_22295:library_2escm"),(void*)f_22295},
{C_text("f_22307:library_2escm"),(void*)f_22307},
{C_text("f_22319:library_2escm"),(void*)f_22319},
{C_text("f_22328:library_2escm"),(void*)f_22328},
{C_text("f_22338:library_2escm"),(void*)f_22338},
{C_text("f_22347:library_2escm"),(void*)f_22347},
{C_text("f_22350:library_2escm"),(void*)f_22350},
{C_text("f_22368:library_2escm"),(void*)f_22368},
{C_text("f_22371:library_2escm"),(void*)f_22371},
{C_text("f_22377:library_2escm"),(void*)f_22377},
{C_text("f_22394:library_2escm"),(void*)f_22394},
{C_text("f_22400:library_2escm"),(void*)f_22400},
{C_text("f_22428:library_2escm"),(void*)f_22428},
{C_text("f_22451:library_2escm"),(void*)f_22451},
{C_text("f_22457:library_2escm"),(void*)f_22457},
{C_text("f_22465:library_2escm"),(void*)f_22465},
{C_text("f_22471:library_2escm"),(void*)f_22471},
{C_text("f_22496:library_2escm"),(void*)f_22496},
{C_text("f_22508:library_2escm"),(void*)f_22508},
{C_text("f_22520:library_2escm"),(void*)f_22520},
{C_text("f_22532:library_2escm"),(void*)f_22532},
{C_text("f_22544:library_2escm"),(void*)f_22544},
{C_text("f_22556:library_2escm"),(void*)f_22556},
{C_text("f_22568:library_2escm"),(void*)f_22568},
{C_text("f_22571:library_2escm"),(void*)f_22571},
{C_text("f_22574:library_2escm"),(void*)f_22574},
{C_text("f_22579:library_2escm"),(void*)f_22579},
{C_text("f_22584:library_2escm"),(void*)f_22584},
{C_text("f_22590:library_2escm"),(void*)f_22590},
{C_text("f_22632:library_2escm"),(void*)f_22632},
{C_text("f_22644:library_2escm"),(void*)f_22644},
{C_text("f_22647:library_2escm"),(void*)f_22647},
{C_text("f_22659:library_2escm"),(void*)f_22659},
{C_text("f_22671:library_2escm"),(void*)f_22671},
{C_text("f_22674:library_2escm"),(void*)f_22674},
{C_text("f_22686:library_2escm"),(void*)f_22686},
{C_text("f_22698:library_2escm"),(void*)f_22698},
{C_text("f_22701:library_2escm"),(void*)f_22701},
{C_text("f_22710:library_2escm"),(void*)f_22710},
{C_text("f_22725:library_2escm"),(void*)f_22725},
{C_text("f_22728:library_2escm"),(void*)f_22728},
{C_text("f_22733:library_2escm"),(void*)f_22733},
{C_text("f_22738:library_2escm"),(void*)f_22738},
{C_text("f_22744:library_2escm"),(void*)f_22744},
{C_text("f_22751:library_2escm"),(void*)f_22751},
{C_text("f_22773:library_2escm"),(void*)f_22773},
{C_text("f_22785:library_2escm"),(void*)f_22785},
{C_text("f_22788:library_2escm"),(void*)f_22788},
{C_text("f_22791:library_2escm"),(void*)f_22791},
{C_text("f_22806:library_2escm"),(void*)f_22806},
{C_text("f_22815:library_2escm"),(void*)f_22815},
{C_text("f_22818:library_2escm"),(void*)f_22818},
{C_text("f_22824:library_2escm"),(void*)f_22824},
{C_text("f_22827:library_2escm"),(void*)f_22827},
{C_text("f_22833:library_2escm"),(void*)f_22833},
{C_text("f_22852:library_2escm"),(void*)f_22852},
{C_text("f_22871:library_2escm"),(void*)f_22871},
{C_text("f_22887:library_2escm"),(void*)f_22887},
{C_text("f_22893:library_2escm"),(void*)f_22893},
{C_text("f_22965:library_2escm"),(void*)f_22965},
{C_text("f_22977:library_2escm"),(void*)f_22977},
{C_text("f_23055:library_2escm"),(void*)f_23055},
{C_text("f_23131:library_2escm"),(void*)f_23131},
{C_text("f_23296:library_2escm"),(void*)f_23296},
{C_text("f_23308:library_2escm"),(void*)f_23308},
{C_text("f_23370:library_2escm"),(void*)f_23370},
{C_text("f_23373:library_2escm"),(void*)f_23373},
{C_text("f_23419:library_2escm"),(void*)f_23419},
{C_text("f_23423:library_2escm"),(void*)f_23423},
{C_text("f_23441:library_2escm"),(void*)f_23441},
{C_text("f_23505:library_2escm"),(void*)f_23505},
{C_text("f_23516:library_2escm"),(void*)f_23516},
{C_text("f_23518:library_2escm"),(void*)f_23518},
{C_text("f_23531:library_2escm"),(void*)f_23531},
{C_text("f_23543:library_2escm"),(void*)f_23543},
{C_text("f_23563:library_2escm"),(void*)f_23563},
{C_text("f_23570:library_2escm"),(void*)f_23570},
{C_text("f_23579:library_2escm"),(void*)f_23579},
{C_text("f_23591:library_2escm"),(void*)f_23591},
{C_text("f_23612:library_2escm"),(void*)f_23612},
{C_text("f_23627:library_2escm"),(void*)f_23627},
{C_text("f_23645:library_2escm"),(void*)f_23645},
{C_text("f_23663:library_2escm"),(void*)f_23663},
{C_text("f_23682:library_2escm"),(void*)f_23682},
{C_text("f_23692:library_2escm"),(void*)f_23692},
{C_text("f_23706:library_2escm"),(void*)f_23706},
{C_text("f_23709:library_2escm"),(void*)f_23709},
{C_text("f_23714:library_2escm"),(void*)f_23714},
{C_text("f_23733:library_2escm"),(void*)f_23733},
{C_text("f_23743:library_2escm"),(void*)f_23743},
{C_text("f_23757:library_2escm"),(void*)f_23757},
{C_text("f_23760:library_2escm"),(void*)f_23760},
{C_text("f_23767:library_2escm"),(void*)f_23767},
{C_text("f_23771:library_2escm"),(void*)f_23771},
{C_text("f_23775:library_2escm"),(void*)f_23775},
{C_text("f_23777:library_2escm"),(void*)f_23777},
{C_text("f_23784:library_2escm"),(void*)f_23784},
{C_text("f_23787:library_2escm"),(void*)f_23787},
{C_text("f_23790:library_2escm"),(void*)f_23790},
{C_text("f_23792:library_2escm"),(void*)f_23792},
{C_text("f_23802:library_2escm"),(void*)f_23802},
{C_text("f_23808:library_2escm"),(void*)f_23808},
{C_text("f_23820:library_2escm"),(void*)f_23820},
{C_text("f_23823:library_2escm"),(void*)f_23823},
{C_text("f_23826:library_2escm"),(void*)f_23826},
{C_text("f_23843:library_2escm"),(void*)f_23843},
{C_text("f_23864:library_2escm"),(void*)f_23864},
{C_text("f_23868:library_2escm"),(void*)f_23868},
{C_text("f_23881:library_2escm"),(void*)f_23881},
{C_text("f_23884:library_2escm"),(void*)f_23884},
{C_text("f_23893:library_2escm"),(void*)f_23893},
{C_text("f_23896:library_2escm"),(void*)f_23896},
{C_text("f_23924:library_2escm"),(void*)f_23924},
{C_text("f_23928:library_2escm"),(void*)f_23928},
{C_text("f_23937:library_2escm"),(void*)f_23937},
{C_text("f_23948:library_2escm"),(void*)f_23948},
{C_text("f_23955:library_2escm"),(void*)f_23955},
{C_text("f_23960:library_2escm"),(void*)f_23960},
{C_text("f_23982:library_2escm"),(void*)f_23982},
{C_text("f_23988:library_2escm"),(void*)f_23988},
{C_text("f_23991:library_2escm"),(void*)f_23991},
{C_text("f_24002:library_2escm"),(void*)f_24002},
{C_text("f_24011:library_2escm"),(void*)f_24011},
{C_text("f_24014:library_2escm"),(void*)f_24014},
{C_text("f_24037:library_2escm"),(void*)f_24037},
{C_text("f_24086:library_2escm"),(void*)f_24086},
{C_text("f_24102:library_2escm"),(void*)f_24102},
{C_text("f_24109:library_2escm"),(void*)f_24109},
{C_text("f_24121:library_2escm"),(void*)f_24121},
{C_text("f_24179:library_2escm"),(void*)f_24179},
{C_text("f_24226:library_2escm"),(void*)f_24226},
{C_text("f_24231:library_2escm"),(void*)f_24231},
{C_text("f_24280:library_2escm"),(void*)f_24280},
{C_text("f_24286:library_2escm"),(void*)f_24286},
{C_text("f_24290:library_2escm"),(void*)f_24290},
{C_text("f_24313:library_2escm"),(void*)f_24313},
{C_text("f_24320:library_2escm"),(void*)f_24320},
{C_text("f_24339:library_2escm"),(void*)f_24339},
{C_text("f_24375:library_2escm"),(void*)f_24375},
{C_text("f_24387:library_2escm"),(void*)f_24387},
{C_text("f_24393:library_2escm"),(void*)f_24393},
{C_text("f_24415:library_2escm"),(void*)f_24415},
{C_text("f_24422:library_2escm"),(void*)f_24422},
{C_text("f_24432:library_2escm"),(void*)f_24432},
{C_text("f_24441:library_2escm"),(void*)f_24441},
{C_text("f_24447:library_2escm"),(void*)f_24447},
{C_text("f_24460:library_2escm"),(void*)f_24460},
{C_text("f_24498:library_2escm"),(void*)f_24498},
{C_text("f_24564:library_2escm"),(void*)f_24564},
{C_text("f_24567:library_2escm"),(void*)f_24567},
{C_text("f_24574:library_2escm"),(void*)f_24574},
{C_text("f_24614:library_2escm"),(void*)f_24614},
{C_text("f_24617:library_2escm"),(void*)f_24617},
{C_text("f_24626:library_2escm"),(void*)f_24626},
{C_text("f_24636:library_2escm"),(void*)f_24636},
{C_text("f_24639:library_2escm"),(void*)f_24639},
{C_text("f_24648:library_2escm"),(void*)f_24648},
{C_text("f_24658:library_2escm"),(void*)f_24658},
{C_text("f_24661:library_2escm"),(void*)f_24661},
{C_text("f_24687:library_2escm"),(void*)f_24687},
{C_text("f_24693:library_2escm"),(void*)f_24693},
{C_text("f_24698:library_2escm"),(void*)f_24698},
{C_text("f_24711:library_2escm"),(void*)f_24711},
{C_text("f_24714:library_2escm"),(void*)f_24714},
{C_text("f_24725:library_2escm"),(void*)f_24725},
{C_text("f_24747:library_2escm"),(void*)f_24747},
{C_text("f_24759:library_2escm"),(void*)f_24759},
{C_text("f_24762:library_2escm"),(void*)f_24762},
{C_text("f_24769:library_2escm"),(void*)f_24769},
{C_text("f_24778:library_2escm"),(void*)f_24778},
{C_text("f_24781:library_2escm"),(void*)f_24781},
{C_text("f_24825:library_2escm"),(void*)f_24825},
{C_text("f_24828:library_2escm"),(void*)f_24828},
{C_text("f_24837:library_2escm"),(void*)f_24837},
{C_text("f_24850:library_2escm"),(void*)f_24850},
{C_text("f_24853:library_2escm"),(void*)f_24853},
{C_text("f_24878:library_2escm"),(void*)f_24878},
{C_text("f_24882:library_2escm"),(void*)f_24882},
{C_text("f_24892:library_2escm"),(void*)f_24892},
{C_text("f_24895:library_2escm"),(void*)f_24895},
{C_text("f_24915:library_2escm"),(void*)f_24915},
{C_text("f_24928:library_2escm"),(void*)f_24928},
{C_text("f_24933:library_2escm"),(void*)f_24933},
{C_text("f_24939:library_2escm"),(void*)f_24939},
{C_text("f_24945:library_2escm"),(void*)f_24945},
{C_text("f_24949:library_2escm"),(void*)f_24949},
{C_text("f_24952:library_2escm"),(void*)f_24952},
{C_text("f_24967:library_2escm"),(void*)f_24967},
{C_text("f_24970:library_2escm"),(void*)f_24970},
{C_text("f_24988:library_2escm"),(void*)f_24988},
{C_text("f_24990:library_2escm"),(void*)f_24990},
{C_text("f_24996:library_2escm"),(void*)f_24996},
{C_text("f_25005:library_2escm"),(void*)f_25005},
{C_text("f_25011:library_2escm"),(void*)f_25011},
{C_text("f_25018:library_2escm"),(void*)f_25018},
{C_text("f_25021:library_2escm"),(void*)f_25021},
{C_text("f_25024:library_2escm"),(void*)f_25024},
{C_text("f_25033:library_2escm"),(void*)f_25033},
{C_text("f_25049:library_2escm"),(void*)f_25049},
{C_text("f_25064:library_2escm"),(void*)f_25064},
{C_text("f_25066:library_2escm"),(void*)f_25066},
{C_text("f_25072:library_2escm"),(void*)f_25072},
{C_text("f_25078:library_2escm"),(void*)f_25078},
{C_text("f_25082:library_2escm"),(void*)f_25082},
{C_text("f_25085:library_2escm"),(void*)f_25085},
{C_text("f_25088:library_2escm"),(void*)f_25088},
{C_text("f_25092:library_2escm"),(void*)f_25092},
{C_text("f_25096:library_2escm"),(void*)f_25096},
{C_text("f_25100:library_2escm"),(void*)f_25100},
{C_text("f_25103:library_2escm"),(void*)f_25103},
{C_text("f_25106:library_2escm"),(void*)f_25106},
{C_text("f_25109:library_2escm"),(void*)f_25109},
{C_text("f_25121:library_2escm"),(void*)f_25121},
{C_text("f_25127:library_2escm"),(void*)f_25127},
{C_text("f_25131:library_2escm"),(void*)f_25131},
{C_text("f_25134:library_2escm"),(void*)f_25134},
{C_text("f_25137:library_2escm"),(void*)f_25137},
{C_text("f_25140:library_2escm"),(void*)f_25140},
{C_text("f_25143:library_2escm"),(void*)f_25143},
{C_text("f_25146:library_2escm"),(void*)f_25146},
{C_text("f_25151:library_2escm"),(void*)f_25151},
{C_text("f_25173:library_2escm"),(void*)f_25173},
{C_text("f_25179:library_2escm"),(void*)f_25179},
{C_text("f_25182:library_2escm"),(void*)f_25182},
{C_text("f_25207:library_2escm"),(void*)f_25207},
{C_text("f_25210:library_2escm"),(void*)f_25210},
{C_text("f_25217:library_2escm"),(void*)f_25217},
{C_text("f_25230:library_2escm"),(void*)f_25230},
{C_text("f_25240:library_2escm"),(void*)f_25240},
{C_text("f_25245:library_2escm"),(void*)f_25245},
{C_text("f_25251:library_2escm"),(void*)f_25251},
{C_text("f_25278:library_2escm"),(void*)f_25278},
{C_text("f_25284:library_2escm"),(void*)f_25284},
{C_text("f_25295:library_2escm"),(void*)f_25295},
{C_text("f_25301:library_2escm"),(void*)f_25301},
{C_text("f_25304:library_2escm"),(void*)f_25304},
{C_text("f_25309:library_2escm"),(void*)f_25309},
{C_text("f_25315:library_2escm"),(void*)f_25315},
{C_text("f_25339:library_2escm"),(void*)f_25339},
{C_text("f_25347:library_2escm"),(void*)f_25347},
{C_text("f_25364:library_2escm"),(void*)f_25364},
{C_text("f_25404:library_2escm"),(void*)f_25404},
{C_text("f_25411:library_2escm"),(void*)f_25411},
{C_text("f_25423:library_2escm"),(void*)f_25423},
{C_text("f_25427:library_2escm"),(void*)f_25427},
{C_text("f_25440:library_2escm"),(void*)f_25440},
{C_text("f_25442:library_2escm"),(void*)f_25442},
{C_text("f_25476:library_2escm"),(void*)f_25476},
{C_text("f_25480:library_2escm"),(void*)f_25480},
{C_text("f_25481:library_2escm"),(void*)f_25481},
{C_text("f_25491:library_2escm"),(void*)f_25491},
{C_text("f_25496:library_2escm"),(void*)f_25496},
{C_text("f_25506:library_2escm"),(void*)f_25506},
{C_text("f_25519:library_2escm"),(void*)f_25519},
{C_text("f_25530:library_2escm"),(void*)f_25530},
{C_text("f_25534:library_2escm"),(void*)f_25534},
{C_text("f_25538:library_2escm"),(void*)f_25538},
{C_text("f_25560:library_2escm"),(void*)f_25560},
{C_text("f_25564:library_2escm"),(void*)f_25564},
{C_text("f_25572:library_2escm"),(void*)f_25572},
{C_text("f_25588:library_2escm"),(void*)f_25588},
{C_text("f_25599:library_2escm"),(void*)f_25599},
{C_text("f_25618:library_2escm"),(void*)f_25618},
{C_text("f_25629:library_2escm"),(void*)f_25629},
{C_text("f_25637:library_2escm"),(void*)f_25637},
{C_text("f_25716:library_2escm"),(void*)f_25716},
{C_text("f_25726:library_2escm"),(void*)f_25726},
{C_text("f_25727:library_2escm"),(void*)f_25727},
{C_text("f_25740:library_2escm"),(void*)f_25740},
{C_text("f_25743:library_2escm"),(void*)f_25743},
{C_text("f_25746:library_2escm"),(void*)f_25746},
{C_text("f_25749:library_2escm"),(void*)f_25749},
{C_text("f_25757:library_2escm"),(void*)f_25757},
{C_text("f_25764:library_2escm"),(void*)f_25764},
{C_text("f_25767:library_2escm"),(void*)f_25767},
{C_text("f_25770:library_2escm"),(void*)f_25770},
{C_text("f_25793:library_2escm"),(void*)f_25793},
{C_text("f_25798:library_2escm"),(void*)f_25798},
{C_text("f_25808:library_2escm"),(void*)f_25808},
{C_text("f_25821:library_2escm"),(void*)f_25821},
{C_text("f_25852:library_2escm"),(void*)f_25852},
{C_text("f_25862:library_2escm"),(void*)f_25862},
{C_text("f_25912:library_2escm"),(void*)f_25912},
{C_text("f_25915:library_2escm"),(void*)f_25915},
{C_text("f_25934:library_2escm"),(void*)f_25934},
{C_text("f_25939:library_2escm"),(void*)f_25939},
{C_text("f_25945:library_2escm"),(void*)f_25945},
{C_text("f_25948:library_2escm"),(void*)f_25948},
{C_text("f_25954:library_2escm"),(void*)f_25954},
{C_text("f_25962:library_2escm"),(void*)f_25962},
{C_text("f_25981:library_2escm"),(void*)f_25981},
{C_text("f_25986:library_2escm"),(void*)f_25986},
{C_text("f_25996:library_2escm"),(void*)f_25996},
{C_text("f_26010:library_2escm"),(void*)f_26010},
{C_text("f_26017:library_2escm"),(void*)f_26017},
{C_text("f_26021:library_2escm"),(void*)f_26021},
{C_text("f_26025:library_2escm"),(void*)f_26025},
{C_text("f_26027:library_2escm"),(void*)f_26027},
{C_text("f_26053:library_2escm"),(void*)f_26053},
{C_text("f_26056:library_2escm"),(void*)f_26056},
{C_text("f_26059:library_2escm"),(void*)f_26059},
{C_text("f_26066:library_2escm"),(void*)f_26066},
{C_text("f_26070:library_2escm"),(void*)f_26070},
{C_text("f_26076:library_2escm"),(void*)f_26076},
{C_text("f_26081:library_2escm"),(void*)f_26081},
{C_text("f_26091:library_2escm"),(void*)f_26091},
{C_text("f_26108:library_2escm"),(void*)f_26108},
{C_text("f_26129:library_2escm"),(void*)f_26129},
{C_text("f_26132:library_2escm"),(void*)f_26132},
{C_text("f_26152:library_2escm"),(void*)f_26152},
{C_text("f_26160:library_2escm"),(void*)f_26160},
{C_text("f_26294:library_2escm"),(void*)f_26294},
{C_text("f_26311:library_2escm"),(void*)f_26311},
{C_text("f_26315:library_2escm"),(void*)f_26315},
{C_text("f_26328:library_2escm"),(void*)f_26328},
{C_text("f_26337:library_2escm"),(void*)f_26337},
{C_text("f_26340:library_2escm"),(void*)f_26340},
{C_text("f_26344:library_2escm"),(void*)f_26344},
{C_text("f_26383:library_2escm"),(void*)f_26383},
{C_text("f_26386:library_2escm"),(void*)f_26386},
{C_text("f_26393:library_2escm"),(void*)f_26393},
{C_text("f_26397:library_2escm"),(void*)f_26397},
{C_text("f_26423:library_2escm"),(void*)f_26423},
{C_text("f_26454:library_2escm"),(void*)f_26454},
{C_text("f_26457:library_2escm"),(void*)f_26457},
{C_text("f_26469:library_2escm"),(void*)f_26469},
{C_text("f_26472:library_2escm"),(void*)f_26472},
{C_text("f_26475:library_2escm"),(void*)f_26475},
{C_text("f_26500:library_2escm"),(void*)f_26500},
{C_text("f_26506:library_2escm"),(void*)f_26506},
{C_text("f_26510:library_2escm"),(void*)f_26510},
{C_text("f_26514:library_2escm"),(void*)f_26514},
{C_text("f_26527:library_2escm"),(void*)f_26527},
{C_text("f_26529:library_2escm"),(void*)f_26529},
{C_text("f_26535:library_2escm"),(void*)f_26535},
{C_text("f_26540:library_2escm"),(void*)f_26540},
{C_text("f_26575:library_2escm"),(void*)f_26575},
{C_text("f_26581:library_2escm"),(void*)f_26581},
{C_text("f_26597:library_2escm"),(void*)f_26597},
{C_text("f_26619:library_2escm"),(void*)f_26619},
{C_text("f_26643:library_2escm"),(void*)f_26643},
{C_text("f_26655:library_2escm"),(void*)f_26655},
{C_text("f_26657:library_2escm"),(void*)f_26657},
{C_text("f_26676:library_2escm"),(void*)f_26676},
{C_text("f_26680:library_2escm"),(void*)f_26680},
{C_text("f_26692:library_2escm"),(void*)f_26692},
{C_text("f_26694:library_2escm"),(void*)f_26694},
{C_text("f_26738:library_2escm"),(void*)f_26738},
{C_text("f_26740:library_2escm"),(void*)f_26740},
{C_text("f_26774:library_2escm"),(void*)f_26774},
{C_text("f_26797:library_2escm"),(void*)f_26797},
{C_text("f_26804:library_2escm"),(void*)f_26804},
{C_text("f_26814:library_2escm"),(void*)f_26814},
{C_text("f_26816:library_2escm"),(void*)f_26816},
{C_text("f_26866:library_2escm"),(void*)f_26866},
{C_text("f_26868:library_2escm"),(void*)f_26868},
{C_text("f_26893:library_2escm"),(void*)f_26893},
{C_text("f_26902:library_2escm"),(void*)f_26902},
{C_text("f_26908:library_2escm"),(void*)f_26908},
{C_text("f_26912:library_2escm"),(void*)f_26912},
{C_text("f_26916:library_2escm"),(void*)f_26916},
{C_text("f_26924:library_2escm"),(void*)f_26924},
{C_text("f_26930:library_2escm"),(void*)f_26930},
{C_text("f_26961:library_2escm"),(void*)f_26961},
{C_text("f_26986:library_2escm"),(void*)f_26986},
{C_text("f_27011:library_2escm"),(void*)f_27011},
{C_text("f_27021:library_2escm"),(void*)f_27021},
{C_text("f_27026:library_2escm"),(void*)f_27026},
{C_text("f_27028:library_2escm"),(void*)f_27028},
{C_text("f_27035:library_2escm"),(void*)f_27035},
{C_text("f_27047:library_2escm"),(void*)f_27047},
{C_text("f_27055:library_2escm"),(void*)f_27055},
{C_text("f_27093:library_2escm"),(void*)f_27093},
{C_text("f_27097:library_2escm"),(void*)f_27097},
{C_text("f_27104:library_2escm"),(void*)f_27104},
{C_text("f_27107:library_2escm"),(void*)f_27107},
{C_text("f_27110:library_2escm"),(void*)f_27110},
{C_text("f_27111:library_2escm"),(void*)f_27111},
{C_text("f_27113:library_2escm"),(void*)f_27113},
{C_text("f_27117:library_2escm"),(void*)f_27117},
{C_text("f_27122:library_2escm"),(void*)f_27122},
{C_text("f_27134:library_2escm"),(void*)f_27134},
{C_text("f_27144:library_2escm"),(void*)f_27144},
{C_text("f_27156:library_2escm"),(void*)f_27156},
{C_text("f_27158:library_2escm"),(void*)f_27158},
{C_text("f_27165:library_2escm"),(void*)f_27165},
{C_text("f_27168:library_2escm"),(void*)f_27168},
{C_text("f_27174:library_2escm"),(void*)f_27174},
{C_text("f_27177:library_2escm"),(void*)f_27177},
{C_text("f_27180:library_2escm"),(void*)f_27180},
{C_text("f_27183:library_2escm"),(void*)f_27183},
{C_text("f_27198:library_2escm"),(void*)f_27198},
{C_text("f_27204:library_2escm"),(void*)f_27204},
{C_text("f_27212:library_2escm"),(void*)f_27212},
{C_text("f_27216:library_2escm"),(void*)f_27216},
{C_text("f_27219:library_2escm"),(void*)f_27219},
{C_text("f_27222:library_2escm"),(void*)f_27222},
{C_text("f_27235:library_2escm"),(void*)f_27235},
{C_text("f_27239:library_2escm"),(void*)f_27239},
{C_text("f_27260:library_2escm"),(void*)f_27260},
{C_text("f_27276:library_2escm"),(void*)f_27276},
{C_text("f_27279:library_2escm"),(void*)f_27279},
{C_text("f_27285:library_2escm"),(void*)f_27285},
{C_text("f_27307:library_2escm"),(void*)f_27307},
{C_text("f_27312:library_2escm"),(void*)f_27312},
{C_text("f_27347:library_2escm"),(void*)f_27347},
{C_text("f_27357:library_2escm"),(void*)f_27357},
{C_text("f_27360:library_2escm"),(void*)f_27360},
{C_text("f_27363:library_2escm"),(void*)f_27363},
{C_text("f_27366:library_2escm"),(void*)f_27366},
{C_text("f_27369:library_2escm"),(void*)f_27369},
{C_text("f_27372:library_2escm"),(void*)f_27372},
{C_text("f_27379:library_2escm"),(void*)f_27379},
{C_text("f_27382:library_2escm"),(void*)f_27382},
{C_text("f_27385:library_2escm"),(void*)f_27385},
{C_text("f_27396:library_2escm"),(void*)f_27396},
{C_text("f_27419:library_2escm"),(void*)f_27419},
{C_text("f_27430:library_2escm"),(void*)f_27430},
{C_text("f_27434:library_2escm"),(void*)f_27434},
{C_text("f_27456:library_2escm"),(void*)f_27456},
{C_text("f_27467:library_2escm"),(void*)f_27467},
{C_text("f_27471:library_2escm"),(void*)f_27471},
{C_text("f_28063:library_2escm"),(void*)f_28063},
{C_text("f_28066:library_2escm"),(void*)f_28066},
{C_text("f_28069:library_2escm"),(void*)f_28069},
{C_text("f_28072:library_2escm"),(void*)f_28072},
{C_text("f_28077:library_2escm"),(void*)f_28077},
{C_text("f_28080:library_2escm"),(void*)f_28080},
{C_text("f_28083:library_2escm"),(void*)f_28083},
{C_text("f_28086:library_2escm"),(void*)f_28086},
{C_text("f_28089:library_2escm"),(void*)f_28089},
{C_text("f_28092:library_2escm"),(void*)f_28092},
{C_text("f_28095:library_2escm"),(void*)f_28095},
{C_text("f_28098:library_2escm"),(void*)f_28098},
{C_text("f_28101:library_2escm"),(void*)f_28101},
{C_text("f_28105:library_2escm"),(void*)f_28105},
{C_text("f_28107:library_2escm"),(void*)f_28107},
{C_text("f_28115:library_2escm"),(void*)f_28115},
{C_text("f_28117:library_2escm"),(void*)f_28117},
{C_text("f_28121:library_2escm"),(void*)f_28121},
{C_text("f_28123:library_2escm"),(void*)f_28123},
{C_text("f_28130:library_2escm"),(void*)f_28130},
{C_text("f_28140:library_2escm"),(void*)f_28140},
{C_text("f_28165:library_2escm"),(void*)f_28165},
{C_text("f_28168:library_2escm"),(void*)f_28168},
{C_text("f_28171:library_2escm"),(void*)f_28171},
{C_text("f_28174:library_2escm"),(void*)f_28174},
{C_text("f_28177:library_2escm"),(void*)f_28177},
{C_text("f_28187:library_2escm"),(void*)f_28187},
{C_text("f_28193:library_2escm"),(void*)f_28193},
{C_text("f_28197:library_2escm"),(void*)f_28197},
{C_text("f_28199:library_2escm"),(void*)f_28199},
{C_text("f_28209:library_2escm"),(void*)f_28209},
{C_text("f_28215:library_2escm"),(void*)f_28215},
{C_text("f_28219:library_2escm"),(void*)f_28219},
{C_text("f_28221:library_2escm"),(void*)f_28221},
{C_text("f_28226:library_2escm"),(void*)f_28226},
{C_text("f_28228:library_2escm"),(void*)f_28228},
{C_text("f_28231:library_2escm"),(void*)f_28231},
{C_text("f_28251:library_2escm"),(void*)f_28251},
{C_text("f_28257:library_2escm"),(void*)f_28257},
{C_text("f_28267:library_2escm"),(void*)f_28267},
{C_text("f_28277:library_2escm"),(void*)f_28277},
{C_text("f_28312:library_2escm"),(void*)f_28312},
{C_text("f_28316:library_2escm"),(void*)f_28316},
{C_text("f_28321:library_2escm"),(void*)f_28321},
{C_text("f_28331:library_2escm"),(void*)f_28331},
{C_text("f_28341:library_2escm"),(void*)f_28341},
{C_text("f_28350:library_2escm"),(void*)f_28350},
{C_text("f_28353:library_2escm"),(void*)f_28353},
{C_text("f_28356:library_2escm"),(void*)f_28356},
{C_text("f_28363:library_2escm"),(void*)f_28363},
{C_text("f_28370:library_2escm"),(void*)f_28370},
{C_text("f_28373:library_2escm"),(void*)f_28373},
{C_text("f_28377:library_2escm"),(void*)f_28377},
{C_text("f_28379:library_2escm"),(void*)f_28379},
{C_text("f_28382:library_2escm"),(void*)f_28382},
{C_text("f_28385:library_2escm"),(void*)f_28385},
{C_text("f_28388:library_2escm"),(void*)f_28388},
{C_text("f_28391:library_2escm"),(void*)f_28391},
{C_text("f_28394:library_2escm"),(void*)f_28394},
{C_text("f_28397:library_2escm"),(void*)f_28397},
{C_text("f_28400:library_2escm"),(void*)f_28400},
{C_text("f_28403:library_2escm"),(void*)f_28403},
{C_text("f_28406:library_2escm"),(void*)f_28406},
{C_text("f_28409:library_2escm"),(void*)f_28409},
{C_text("f_28413:library_2escm"),(void*)f_28413},
{C_text("f_28416:library_2escm"),(void*)f_28416},
{C_text("f_28432:library_2escm"),(void*)f_28432},
{C_text("f_28440:library_2escm"),(void*)f_28440},
{C_text("f_28443:library_2escm"),(void*)f_28443},
{C_text("f_28449:library_2escm"),(void*)f_28449},
{C_text("f_28458:library_2escm"),(void*)f_28458},
{C_text("f_28464:library_2escm"),(void*)f_28464},
{C_text("f_28473:library_2escm"),(void*)f_28473},
{C_text("f_28479:library_2escm"),(void*)f_28479},
{C_text("f_28485:library_2escm"),(void*)f_28485},
{C_text("f_28488:library_2escm"),(void*)f_28488},
{C_text("f_28492:library_2escm"),(void*)f_28492},
{C_text("f_28495:library_2escm"),(void*)f_28495},
{C_text("f_28500:library_2escm"),(void*)f_28500},
{C_text("f_28502:library_2escm"),(void*)f_28502},
{C_text("f_28506:library_2escm"),(void*)f_28506},
{C_text("f_28533:library_2escm"),(void*)f_28533},
{C_text("f_28543:library_2escm"),(void*)f_28543},
{C_text("f_28552:library_2escm"),(void*)f_28552},
{C_text("f_28559:library_2escm"),(void*)f_28559},
{C_text("f_28563:library_2escm"),(void*)f_28563},
{C_text("f_28577:library_2escm"),(void*)f_28577},
{C_text("f_28581:library_2escm"),(void*)f_28581},
{C_text("f_28588:library_2escm"),(void*)f_28588},
{C_text("f_28590:library_2escm"),(void*)f_28590},
{C_text("f_28612:library_2escm"),(void*)f_28612},
{C_text("f_28619:library_2escm"),(void*)f_28619},
{C_text("f_28624:library_2escm"),(void*)f_28624},
{C_text("f_28628:library_2escm"),(void*)f_28628},
{C_text("f_28631:library_2escm"),(void*)f_28631},
{C_text("f_28634:library_2escm"),(void*)f_28634},
{C_text("f_28639:library_2escm"),(void*)f_28639},
{C_text("f_28643:library_2escm"),(void*)f_28643},
{C_text("f_28669:library_2escm"),(void*)f_28669},
{C_text("f_28682:library_2escm"),(void*)f_28682},
{C_text("f_28685:library_2escm"),(void*)f_28685},
{C_text("f_28694:library_2escm"),(void*)f_28694},
{C_text("f_28697:library_2escm"),(void*)f_28697},
{C_text("f_28700:library_2escm"),(void*)f_28700},
{C_text("f_28706:library_2escm"),(void*)f_28706},
{C_text("f_28713:library_2escm"),(void*)f_28713},
{C_text("f_28715:library_2escm"),(void*)f_28715},
{C_text("f_28728:library_2escm"),(void*)f_28728},
{C_text("f_28741:library_2escm"),(void*)f_28741},
{C_text("f_28744:library_2escm"),(void*)f_28744},
{C_text("f_28747:library_2escm"),(void*)f_28747},
{C_text("f_28754:library_2escm"),(void*)f_28754},
{C_text("f_28807:library_2escm"),(void*)f_28807},
{C_text("f_28810:library_2escm"),(void*)f_28810},
{C_text("f_28813:library_2escm"),(void*)f_28813},
{C_text("f_28815:library_2escm"),(void*)f_28815},
{C_text("f_28819:library_2escm"),(void*)f_28819},
{C_text("f_28823:library_2escm"),(void*)f_28823},
{C_text("f_28829:library_2escm"),(void*)f_28829},
{C_text("f_28834:library_2escm"),(void*)f_28834},
{C_text("f_28838:library_2escm"),(void*)f_28838},
{C_text("f_28850:library_2escm"),(void*)f_28850},
{C_text("f_28862:library_2escm"),(void*)f_28862},
{C_text("f_28869:library_2escm"),(void*)f_28869},
{C_text("f_28875:library_2escm"),(void*)f_28875},
{C_text("f_28889:library_2escm"),(void*)f_28889},
{C_text("f_28898:library_2escm"),(void*)f_28898},
{C_text("f_28928:library_2escm"),(void*)f_28928},
{C_text("f_28947:library_2escm"),(void*)f_28947},
{C_text("f_28970:library_2escm"),(void*)f_28970},
{C_text("f_28979:library_2escm"),(void*)f_28979},
{C_text("f_28986:library_2escm"),(void*)f_28986},
{C_text("f_29003:library_2escm"),(void*)f_29003},
{C_text("f_29011:library_2escm"),(void*)f_29011},
{C_text("f_29022:library_2escm"),(void*)f_29022},
{C_text("f_29030:library_2escm"),(void*)f_29030},
{C_text("f_29037:library_2escm"),(void*)f_29037},
{C_text("f_29099:library_2escm"),(void*)f_29099},
{C_text("f_29106:library_2escm"),(void*)f_29106},
{C_text("f_29109:library_2escm"),(void*)f_29109},
{C_text("f_29115:library_2escm"),(void*)f_29115},
{C_text("f_29122:library_2escm"),(void*)f_29122},
{C_text("f_29126:library_2escm"),(void*)f_29126},
{C_text("f_29129:library_2escm"),(void*)f_29129},
{C_text("f_29137:library_2escm"),(void*)f_29137},
{C_text("f_29139:library_2escm"),(void*)f_29139},
{C_text("f_29148:library_2escm"),(void*)f_29148},
{C_text("f_29154:library_2escm"),(void*)f_29154},
{C_text("f_29165:library_2escm"),(void*)f_29165},
{C_text("f_29169:library_2escm"),(void*)f_29169},
{C_text("f_29171:library_2escm"),(void*)f_29171},
{C_text("f_29179:library_2escm"),(void*)f_29179},
{C_text("f_29191:library_2escm"),(void*)f_29191},
{C_text("f_29197:library_2escm"),(void*)f_29197},
{C_text("f_29201:library_2escm"),(void*)f_29201},
{C_text("f_29209:library_2escm"),(void*)f_29209},
{C_text("f_29227:library_2escm"),(void*)f_29227},
{C_text("f_29235:library_2escm"),(void*)f_29235},
{C_text("f_29239:library_2escm"),(void*)f_29239},
{C_text("f_29257:library_2escm"),(void*)f_29257},
{C_text("f_29264:library_2escm"),(void*)f_29264},
{C_text("f_29276:library_2escm"),(void*)f_29276},
{C_text("f_29284:library_2escm"),(void*)f_29284},
{C_text("f_29290:library_2escm"),(void*)f_29290},
{C_text("f_29312:library_2escm"),(void*)f_29312},
{C_text("f_29316:library_2escm"),(void*)f_29316},
{C_text("f_29320:library_2escm"),(void*)f_29320},
{C_text("f_29322:library_2escm"),(void*)f_29322},
{C_text("f_29325:library_2escm"),(void*)f_29325},
{C_text("f_29328:library_2escm"),(void*)f_29328},
{C_text("f_29332:library_2escm"),(void*)f_29332},
{C_text("f_29335:library_2escm"),(void*)f_29335},
{C_text("f_29353:library_2escm"),(void*)f_29353},
{C_text("f_29359:library_2escm"),(void*)f_29359},
{C_text("f_29363:library_2escm"),(void*)f_29363},
{C_text("f_29380:library_2escm"),(void*)f_29380},
{C_text("f_29390:library_2escm"),(void*)f_29390},
{C_text("f_29394:library_2escm"),(void*)f_29394},
{C_text("f_29398:library_2escm"),(void*)f_29398},
{C_text("f_29410:library_2escm"),(void*)f_29410},
{C_text("f_29420:library_2escm"),(void*)f_29420},
{C_text("f_29424:library_2escm"),(void*)f_29424},
{C_text("f_29428:library_2escm"),(void*)f_29428},
{C_text("f_29456:library_2escm"),(void*)f_29456},
{C_text("f_29459:library_2escm"),(void*)f_29459},
{C_text("f_29462:library_2escm"),(void*)f_29462},
{C_text("f_29468:library_2escm"),(void*)f_29468},
{C_text("f_29481:library_2escm"),(void*)f_29481},
{C_text("f_29484:library_2escm"),(void*)f_29484},
{C_text("f_29493:library_2escm"),(void*)f_29493},
{C_text("f_29499:library_2escm"),(void*)f_29499},
{C_text("f_29505:library_2escm"),(void*)f_29505},
{C_text("f_29511:library_2escm"),(void*)f_29511},
{C_text("f_29517:library_2escm"),(void*)f_29517},
{C_text("f_29534:library_2escm"),(void*)f_29534},
{C_text("f_29540:library_2escm"),(void*)f_29540},
{C_text("f_29555:library_2escm"),(void*)f_29555},
{C_text("f_29559:library_2escm"),(void*)f_29559},
{C_text("f_29563:library_2escm"),(void*)f_29563},
{C_text("f_29567:library_2escm"),(void*)f_29567},
{C_text("f_29573:library_2escm"),(void*)f_29573},
{C_text("f_29575:library_2escm"),(void*)f_29575},
{C_text("f_29581:library_2escm"),(void*)f_29581},
{C_text("f_29585:library_2escm"),(void*)f_29585},
{C_text("f_29594:library_2escm"),(void*)f_29594},
{C_text("f_29603:library_2escm"),(void*)f_29603},
{C_text("f_29646:library_2escm"),(void*)f_29646},
{C_text("f_29668:library_2escm"),(void*)f_29668},
{C_text("f_29681:library_2escm"),(void*)f_29681},
{C_text("f_29706:library_2escm"),(void*)f_29706},
{C_text("f_29722:library_2escm"),(void*)f_29722},
{C_text("f_29738:library_2escm"),(void*)f_29738},
{C_text("f_29754:library_2escm"),(void*)f_29754},
{C_text("f_29770:library_2escm"),(void*)f_29770},
{C_text("f_29786:library_2escm"),(void*)f_29786},
{C_text("f_29802:library_2escm"),(void*)f_29802},
{C_text("f_29818:library_2escm"),(void*)f_29818},
{C_text("f_29834:library_2escm"),(void*)f_29834},
{C_text("f_29850:library_2escm"),(void*)f_29850},
{C_text("f_29857:library_2escm"),(void*)f_29857},
{C_text("f_29898:library_2escm"),(void*)f_29898},
{C_text("f_29910:library_2escm"),(void*)f_29910},
{C_text("f_29916:library_2escm"),(void*)f_29916},
{C_text("f_29935:library_2escm"),(void*)f_29935},
{C_text("f_29937:library_2escm"),(void*)f_29937},
{C_text("f_29960:library_2escm"),(void*)f_29960},
{C_text("f_30006:library_2escm"),(void*)f_30006},
{C_text("f_30008:library_2escm"),(void*)f_30008},
{C_text("f_30015:library_2escm"),(void*)f_30015},
{C_text("f_30027:library_2escm"),(void*)f_30027},
{C_text("f_30071:library_2escm"),(void*)f_30071},
{C_text("f_30086:library_2escm"),(void*)f_30086},
{C_text("f_30094:library_2escm"),(void*)f_30094},
{C_text("f_30100:library_2escm"),(void*)f_30100},
{C_text("f_30108:library_2escm"),(void*)f_30108},
{C_text("f_30112:library_2escm"),(void*)f_30112},
{C_text("f_30120:library_2escm"),(void*)f_30120},
{C_text("f_30122:library_2escm"),(void*)f_30122},
{C_text("f_30132:library_2escm"),(void*)f_30132},
{C_text("f_30139:library_2escm"),(void*)f_30139},
{C_text("f_30143:library_2escm"),(void*)f_30143},
{C_text("f_30154:library_2escm"),(void*)f_30154},
{C_text("f_30161:library_2escm"),(void*)f_30161},
{C_text("f_30165:library_2escm"),(void*)f_30165},
{C_text("f_30176:library_2escm"),(void*)f_30176},
{C_text("f_30183:library_2escm"),(void*)f_30183},
{C_text("f_30187:library_2escm"),(void*)f_30187},
{C_text("f_30192:library_2escm"),(void*)f_30192},
{C_text("f_30198:library_2escm"),(void*)f_30198},
{C_text("f_30201:library_2escm"),(void*)f_30201},
{C_text("f_30204:library_2escm"),(void*)f_30204},
{C_text("f_30210:library_2escm"),(void*)f_30210},
{C_text("f_30219:library_2escm"),(void*)f_30219},
{C_text("f_30228:library_2escm"),(void*)f_30228},
{C_text("f_30234:library_2escm"),(void*)f_30234},
{C_text("f_30237:library_2escm"),(void*)f_30237},
{C_text("f_30240:library_2escm"),(void*)f_30240},
{C_text("f_30252:library_2escm"),(void*)f_30252},
{C_text("f_30255:library_2escm"),(void*)f_30255},
{C_text("f_30258:library_2escm"),(void*)f_30258},
{C_text("f_30261:library_2escm"),(void*)f_30261},
{C_text("f_30273:library_2escm"),(void*)f_30273},
{C_text("f_30276:library_2escm"),(void*)f_30276},
{C_text("f_30279:library_2escm"),(void*)f_30279},
{C_text("f_30282:library_2escm"),(void*)f_30282},
{C_text("f_30291:library_2escm"),(void*)f_30291},
{C_text("f_30294:library_2escm"),(void*)f_30294},
{C_text("f_30307:library_2escm"),(void*)f_30307},
{C_text("f_30308:library_2escm"),(void*)f_30308},
{C_text("f_30313:library_2escm"),(void*)f_30313},
{C_text("f_30314:library_2escm"),(void*)f_30314},
{C_text("f_30319:library_2escm"),(void*)f_30319},
{C_text("f_30320:library_2escm"),(void*)f_30320},
{C_text("f_30325:library_2escm"),(void*)f_30325},
{C_text("f_30326:library_2escm"),(void*)f_30326},
{C_text("f_30331:library_2escm"),(void*)f_30331},
{C_text("f_30332:library_2escm"),(void*)f_30332},
{C_text("f_30337:library_2escm"),(void*)f_30337},
{C_text("f_30339:library_2escm"),(void*)f_30339},
{C_text("f_30349:library_2escm"),(void*)f_30349},
{C_text("f_30352:library_2escm"),(void*)f_30352},
{C_text("f_30355:library_2escm"),(void*)f_30355},
{C_text("f_30358:library_2escm"),(void*)f_30358},
{C_text("f_30360:library_2escm"),(void*)f_30360},
{C_text("f_30374:library_2escm"),(void*)f_30374},
{C_text("f_30382:library_2escm"),(void*)f_30382},
{C_text("f_30386:library_2escm"),(void*)f_30386},
{C_text("f_30390:library_2escm"),(void*)f_30390},
{C_text("f_30394:library_2escm"),(void*)f_30394},
{C_text("f_30400:library_2escm"),(void*)f_30400},
{C_text("f_30407:library_2escm"),(void*)f_30407},
{C_text("f_30411:library_2escm"),(void*)f_30411},
{C_text("f_30415:library_2escm"),(void*)f_30415},
{C_text("f_30419:library_2escm"),(void*)f_30419},
{C_text("f_30458:library_2escm"),(void*)f_30458},
{C_text("f_30461:library_2escm"),(void*)f_30461},
{C_text("f_30464:library_2escm"),(void*)f_30464},
{C_text("f_30467:library_2escm"),(void*)f_30467},
{C_text("f_30470:library_2escm"),(void*)f_30470},
{C_text("f_30478:library_2escm"),(void*)f_30478},
{C_text("f_30488:library_2escm"),(void*)f_30488},
{C_text("f_30510:library_2escm"),(void*)f_30510},
{C_text("f_30516:library_2escm"),(void*)f_30516},
{C_text("f_30536:library_2escm"),(void*)f_30536},
{C_text("f_30551:library_2escm"),(void*)f_30551},
{C_text("f_30555:library_2escm"),(void*)f_30555},
{C_text("f_30578:library_2escm"),(void*)f_30578},
{C_text("f_30582:library_2escm"),(void*)f_30582},
{C_text("f_30599:library_2escm"),(void*)f_30599},
{C_text("f_30606:library_2escm"),(void*)f_30606},
{C_text("f_30628:library_2escm"),(void*)f_30628},
{C_text("f_30633:library_2escm"),(void*)f_30633},
{C_text("f_30648:library_2escm"),(void*)f_30648},
{C_text("f_30651:library_2escm"),(void*)f_30651},
{C_text("f_30654:library_2escm"),(void*)f_30654},
{C_text("f_30657:library_2escm"),(void*)f_30657},
{C_text("f_30660:library_2escm"),(void*)f_30660},
{C_text("f_30663:library_2escm"),(void*)f_30663},
{C_text("f_30666:library_2escm"),(void*)f_30666},
{C_text("f_30669:library_2escm"),(void*)f_30669},
{C_text("f_30672:library_2escm"),(void*)f_30672},
{C_text("f_30675:library_2escm"),(void*)f_30675},
{C_text("f_30678:library_2escm"),(void*)f_30678},
{C_text("f_30682:library_2escm"),(void*)f_30682},
{C_text("f_30685:library_2escm"),(void*)f_30685},
{C_text("f_30690:library_2escm"),(void*)f_30690},
{C_text("f_30696:library_2escm"),(void*)f_30696},
{C_text("f_30709:library_2escm"),(void*)f_30709},
{C_text("f_30711:library_2escm"),(void*)f_30711},
{C_text("f_30721:library_2escm"),(void*)f_30721},
{C_text("f_30734:library_2escm"),(void*)f_30734},
{C_text("f_30741:library_2escm"),(void*)f_30741},
{C_text("f_30745:library_2escm"),(void*)f_30745},
{C_text("f_30747:library_2escm"),(void*)f_30747},
{C_text("f_30776:library_2escm"),(void*)f_30776},
{C_text("f_30778:library_2escm"),(void*)f_30778},
{C_text("f_30803:library_2escm"),(void*)f_30803},
{C_text("f_30812:library_2escm"),(void*)f_30812},
{C_text("f_30815:library_2escm"),(void*)f_30815},
{C_text("f_30821:library_2escm"),(void*)f_30821},
{C_text("f_30845:library_2escm"),(void*)f_30845},
{C_text("f_30852:library_2escm"),(void*)f_30852},
{C_text("f_30856:library_2escm"),(void*)f_30856},
{C_text("f_30868:library_2escm"),(void*)f_30868},
{C_text("f_30876:library_2escm"),(void*)f_30876},
{C_text("f_30880:library_2escm"),(void*)f_30880},
{C_text("f_30889:library_2escm"),(void*)f_30889},
{C_text("f_30898:library_2escm"),(void*)f_30898},
{C_text("f_30908:library_2escm"),(void*)f_30908},
{C_text("f_30916:library_2escm"),(void*)f_30916},
{C_text("f_30920:library_2escm"),(void*)f_30920},
{C_text("f_30924:library_2escm"),(void*)f_30924},
{C_text("f_30954:library_2escm"),(void*)f_30954},
{C_text("f_30958:library_2escm"),(void*)f_30958},
{C_text("f_30962:library_2escm"),(void*)f_30962},
{C_text("f_30966:library_2escm"),(void*)f_30966},
{C_text("f_30970:library_2escm"),(void*)f_30970},
{C_text("f_30974:library_2escm"),(void*)f_30974},
{C_text("f_30977:library_2escm"),(void*)f_30977},
{C_text("f_30980:library_2escm"),(void*)f_30980},
{C_text("f_30990:library_2escm"),(void*)f_30990},
{C_text("f_30993:library_2escm"),(void*)f_30993},
{C_text("f_30995:library_2escm"),(void*)f_30995},
{C_text("f_31012:library_2escm"),(void*)f_31012},
{C_text("f_31039:library_2escm"),(void*)f_31039},
{C_text("f_31048:library_2escm"),(void*)f_31048},
{C_text("f_31068:library_2escm"),(void*)f_31068},
{C_text("f_31072:library_2escm"),(void*)f_31072},
{C_text("f_31076:library_2escm"),(void*)f_31076},
{C_text("f_31080:library_2escm"),(void*)f_31080},
{C_text("f_31084:library_2escm"),(void*)f_31084},
{C_text("f_31088:library_2escm"),(void*)f_31088},
{C_text("f_31092:library_2escm"),(void*)f_31092},
{C_text("f_31094:library_2escm"),(void*)f_31094},
{C_text("f_31103:library_2escm"),(void*)f_31103},
{C_text("f_31113:library_2escm"),(void*)f_31113},
{C_text("f_31138:library_2escm"),(void*)f_31138},
{C_text("f_31141:library_2escm"),(void*)f_31141},
{C_text("f_31143:library_2escm"),(void*)f_31143},
{C_text("f_31159:library_2escm"),(void*)f_31159},
{C_text("f_31178:library_2escm"),(void*)f_31178},
{C_text("f_31188:library_2escm"),(void*)f_31188},
{C_text("f_31198:library_2escm"),(void*)f_31198},
{C_text("f_31222:library_2escm"),(void*)f_31222},
{C_text("f_31226:library_2escm"),(void*)f_31226},
{C_text("f_31228:library_2escm"),(void*)f_31228},
{C_text("f_31232:library_2escm"),(void*)f_31232},
{C_text("f_31235:library_2escm"),(void*)f_31235},
{C_text("f_31250:library_2escm"),(void*)f_31250},
{C_text("f_31256:library_2escm"),(void*)f_31256},
{C_text("f_31260:library_2escm"),(void*)f_31260},
{C_text("f_31269:library_2escm"),(void*)f_31269},
{C_text("f_31272:library_2escm"),(void*)f_31272},
{C_text("f_31275:library_2escm"),(void*)f_31275},
{C_text("f_31278:library_2escm"),(void*)f_31278},
{C_text("f_31281:library_2escm"),(void*)f_31281},
{C_text("f_31287:library_2escm"),(void*)f_31287},
{C_text("f_31293:library_2escm"),(void*)f_31293},
{C_text("f_31296:library_2escm"),(void*)f_31296},
{C_text("f_31301:library_2escm"),(void*)f_31301},
{C_text("f_31311:library_2escm"),(void*)f_31311},
{C_text("f_31323:library_2escm"),(void*)f_31323},
{C_text("f_31331:library_2escm"),(void*)f_31331},
{C_text("f_31341:library_2escm"),(void*)f_31341},
{C_text("f_31357:library_2escm"),(void*)f_31357},
{C_text("f_31363:library_2escm"),(void*)f_31363},
{C_text("f_31366:library_2escm"),(void*)f_31366},
{C_text("f_31369:library_2escm"),(void*)f_31369},
{C_text("f_31370:library_2escm"),(void*)f_31370},
{C_text("f_31374:library_2escm"),(void*)f_31374},
{C_text("f_31380:library_2escm"),(void*)f_31380},
{C_text("f_31384:library_2escm"),(void*)f_31384},
{C_text("f_31386:library_2escm"),(void*)f_31386},
{C_text("f_31396:library_2escm"),(void*)f_31396},
{C_text("f_31413:library_2escm"),(void*)f_31413},
{C_text("f_31416:library_2escm"),(void*)f_31416},
{C_text("f_31420:library_2escm"),(void*)f_31420},
{C_text("f_31425:library_2escm"),(void*)f_31425},
{C_text("f_31431:library_2escm"),(void*)f_31431},
{C_text("f_31438:library_2escm"),(void*)f_31438},
{C_text("f_31447:library_2escm"),(void*)f_31447},
{C_text("f_31455:library_2escm"),(void*)f_31455},
{C_text("f_31480:library_2escm"),(void*)f_31480},
{C_text("f_31498:library_2escm"),(void*)f_31498},
{C_text("f_31502:library_2escm"),(void*)f_31502},
{C_text("f_31517:library_2escm"),(void*)f_31517},
{C_text("f_31521:library_2escm"),(void*)f_31521},
{C_text("f_31536:library_2escm"),(void*)f_31536},
{C_text("f_31539:library_2escm"),(void*)f_31539},
{C_text("f_31542:library_2escm"),(void*)f_31542},
{C_text("f_31552:library_2escm"),(void*)f_31552},
{C_text("f_31583:library_2escm"),(void*)f_31583},
{C_text("f_31607:library_2escm"),(void*)f_31607},
{C_text("f_31617:library_2escm"),(void*)f_31617},
{C_text("f_31626:library_2escm"),(void*)f_31626},
{C_text("f_31667:library_2escm"),(void*)f_31667},
{C_text("f_31686:library_2escm"),(void*)f_31686},
{C_text("f_31695:library_2escm"),(void*)f_31695},
{C_text("f_31705:library_2escm"),(void*)f_31705},
{C_text("f_31715:library_2escm"),(void*)f_31715},
{C_text("f_31725:library_2escm"),(void*)f_31725},
{C_text("f_31735:library_2escm"),(void*)f_31735},
{C_text("f_31745:library_2escm"),(void*)f_31745},
{C_text("f_31755:library_2escm"),(void*)f_31755},
{C_text("f_31765:library_2escm"),(void*)f_31765},
{C_text("f_31775:library_2escm"),(void*)f_31775},
{C_text("f_31785:library_2escm"),(void*)f_31785},
{C_text("f_31795:library_2escm"),(void*)f_31795},
{C_text("f_31805:library_2escm"),(void*)f_31805},
{C_text("f_31815:library_2escm"),(void*)f_31815},
{C_text("f_31825:library_2escm"),(void*)f_31825},
{C_text("f_31841:library_2escm"),(void*)f_31841},
{C_text("f_31849:library_2escm"),(void*)f_31849},
{C_text("f_31865:library_2escm"),(void*)f_31865},
{C_text("f_31881:library_2escm"),(void*)f_31881},
{C_text("f_31891:library_2escm"),(void*)f_31891},
{C_text("f_31901:library_2escm"),(void*)f_31901},
{C_text("f_31920:library_2escm"),(void*)f_31920},
{C_text("f_31936:library_2escm"),(void*)f_31936},
{C_text("f_31949:library_2escm"),(void*)f_31949},
{C_text("f_31955:library_2escm"),(void*)f_31955},
{C_text("f_31978:library_2escm"),(void*)f_31978},
{C_text("f_31982:library_2escm"),(void*)f_31982},
{C_text("f_31986:library_2escm"),(void*)f_31986},
{C_text("f_31989:library_2escm"),(void*)f_31989},
{C_text("f_31995:library_2escm"),(void*)f_31995},
{C_text("f_32018:library_2escm"),(void*)f_32018},
{C_text("f_32022:library_2escm"),(void*)f_32022},
{C_text("f_32026:library_2escm"),(void*)f_32026},
{C_text("f_32029:library_2escm"),(void*)f_32029},
{C_text("f_32032:library_2escm"),(void*)f_32032},
{C_text("f_32035:library_2escm"),(void*)f_32035},
{C_text("f_32041:library_2escm"),(void*)f_32041},
{C_text("f_32044:library_2escm"),(void*)f_32044},
{C_text("f_32047:library_2escm"),(void*)f_32047},
{C_text("f_32055:library_2escm"),(void*)f_32055},
{C_text("f_32057:library_2escm"),(void*)f_32057},
{C_text("f_32081:library_2escm"),(void*)f_32081},
{C_text("f_32104:library_2escm"),(void*)f_32104},
{C_text("f_32108:library_2escm"),(void*)f_32108},
{C_text("f_32112:library_2escm"),(void*)f_32112},
{C_text("f_32146:library_2escm"),(void*)f_32146},
{C_text("f_32150:library_2escm"),(void*)f_32150},
{C_text("f_32153:library_2escm"),(void*)f_32153},
{C_text("f_32166:library_2escm"),(void*)f_32166},
{C_text("f_32199:library_2escm"),(void*)f_32199},
{C_text("f_32214:library_2escm"),(void*)f_32214},
{C_text("f_32218:library_2escm"),(void*)f_32218},
{C_text("f_32242:library_2escm"),(void*)f_32242},
{C_text("f_32250:library_2escm"),(void*)f_32250},
{C_text("f_32254:library_2escm"),(void*)f_32254},
{C_text("f_32265:library_2escm"),(void*)f_32265},
{C_text("f_32269:library_2escm"),(void*)f_32269},
{C_text("f_32273:library_2escm"),(void*)f_32273},
{C_text("f_32287:library_2escm"),(void*)f_32287},
{C_text("f_32319:library_2escm"),(void*)f_32319},
{C_text("f_8512:library_2escm"),(void*)f_8512},
{C_text("f_8514:library_2escm"),(void*)f_8514},
{C_text("f_8517:library_2escm"),(void*)f_8517},
{C_text("f_8520:library_2escm"),(void*)f_8520},
{C_text("f_8523:library_2escm"),(void*)f_8523},
{C_text("f_8526:library_2escm"),(void*)f_8526},
{C_text("f_8529:library_2escm"),(void*)f_8529},
{C_text("f_8532:library_2escm"),(void*)f_8532},
{C_text("f_8535:library_2escm"),(void*)f_8535},
{C_text("f_8538:library_2escm"),(void*)f_8538},
{C_text("f_8541:library_2escm"),(void*)f_8541},
{C_text("f_8544:library_2escm"),(void*)f_8544},
{C_text("f_8547:library_2escm"),(void*)f_8547},
{C_text("f_8550:library_2escm"),(void*)f_8550},
{C_text("f_8553:library_2escm"),(void*)f_8553},
{C_text("f_8556:library_2escm"),(void*)f_8556},
{C_text("f_8559:library_2escm"),(void*)f_8559},
{C_text("f_8562:library_2escm"),(void*)f_8562},
{C_text("f_8565:library_2escm"),(void*)f_8565},
{C_text("f_8568:library_2escm"),(void*)f_8568},
{C_text("f_8582:library_2escm"),(void*)f_8582},
{C_text("f_8589:library_2escm"),(void*)f_8589},
{C_text("f_8596:library_2escm"),(void*)f_8596},
{C_text("f_8610:library_2escm"),(void*)f_8610},
{C_text("f_8617:library_2escm"),(void*)f_8617},
{C_text("f_8631:library_2escm"),(void*)f_8631},
{C_text("f_8645:library_2escm"),(void*)f_8645},
{C_text("f_8663:library_2escm"),(void*)f_8663},
{C_text("f_8674:library_2escm"),(void*)f_8674},
{C_text("f_8685:library_2escm"),(void*)f_8685},
{C_text("f_8692:library_2escm"),(void*)f_8692},
{C_text("f_8703:library_2escm"),(void*)f_8703},
{C_text("f_8707:library_2escm"),(void*)f_8707},
{C_text("f_8714:library_2escm"),(void*)f_8714},
{C_text("f_8732:library_2escm"),(void*)f_8732},
{C_text("f_8743:library_2escm"),(void*)f_8743},
{C_text("f_8754:library_2escm"),(void*)f_8754},
{C_text("f_8761:library_2escm"),(void*)f_8761},
{C_text("f_8779:library_2escm"),(void*)f_8779},
{C_text("f_8790:library_2escm"),(void*)f_8790},
{C_text("f_8808:library_2escm"),(void*)f_8808},
{C_text("f_8814:library_2escm"),(void*)f_8814},
{C_text("f_8817:library_2escm"),(void*)f_8817},
{C_text("f_8820:library_2escm"),(void*)f_8820},
{C_text("f_8823:library_2escm"),(void*)f_8823},
{C_text("f_8826:library_2escm"),(void*)f_8826},
{C_text("f_8832:library_2escm"),(void*)f_8832},
{C_text("f_8865:library_2escm"),(void*)f_8865},
{C_text("f_8868:library_2escm"),(void*)f_8868},
{C_text("f_8871:library_2escm"),(void*)f_8871},
{C_text("f_8874:library_2escm"),(void*)f_8874},
{C_text("f_8877:library_2escm"),(void*)f_8877},
{C_text("f_8880:library_2escm"),(void*)f_8880},
{C_text("f_8883:library_2escm"),(void*)f_8883},
{C_text("f_8886:library_2escm"),(void*)f_8886},
{C_text("f_8889:library_2escm"),(void*)f_8889},
{C_text("f_8892:library_2escm"),(void*)f_8892},
{C_text("f_8895:library_2escm"),(void*)f_8895},
{C_text("f_8898:library_2escm"),(void*)f_8898},
{C_text("f_8901:library_2escm"),(void*)f_8901},
{C_text("f_8905:library_2escm"),(void*)f_8905},
{C_text("f_8908:library_2escm"),(void*)f_8908},
{C_text("f_8914:library_2escm"),(void*)f_8914},
{C_text("f_8917:library_2escm"),(void*)f_8917},
{C_text("f_8920:library_2escm"),(void*)f_8920},
{C_text("f_8923:library_2escm"),(void*)f_8923},
{C_text("f_8926:library_2escm"),(void*)f_8926},
{C_text("f_8934:library_2escm"),(void*)f_8934},
{C_text("f_8938:library_2escm"),(void*)f_8938},
{C_text("f_8941:library_2escm"),(void*)f_8941},
{C_text("f_8944:library_2escm"),(void*)f_8944},
{C_text("f_8947:library_2escm"),(void*)f_8947},
{C_text("f_8950:library_2escm"),(void*)f_8950},
{C_text("f_8953:library_2escm"),(void*)f_8953},
{C_text("f_8956:library_2escm"),(void*)f_8956},
{C_text("f_8959:library_2escm"),(void*)f_8959},
{C_text("f_8963:library_2escm"),(void*)f_8963},
{C_text("f_8966:library_2escm"),(void*)f_8966},
{C_text("f_8969:library_2escm"),(void*)f_8969},
{C_text("f_8972:library_2escm"),(void*)f_8972},
{C_text("f_8975:library_2escm"),(void*)f_8975},
{C_text("f_8983:library_2escm"),(void*)f_8983},
{C_text("f_8986:library_2escm"),(void*)f_8986},
{C_text("f_8993:library_2escm"),(void*)f_8993},
{C_text("f_8997:library_2escm"),(void*)f_8997},
{C_text("f_9000:library_2escm"),(void*)f_9000},
{C_text("f_9003:library_2escm"),(void*)f_9003},
{C_text("f_9006:library_2escm"),(void*)f_9006},
{C_text("f_9009:library_2escm"),(void*)f_9009},
{C_text("f_9012:library_2escm"),(void*)f_9012},
{C_text("f_9015:library_2escm"),(void*)f_9015},
{C_text("f_9021:library_2escm"),(void*)f_9021},
{C_text("f_9032:library_2escm"),(void*)f_9032},
{C_text("f_9038:library_2escm"),(void*)f_9038},
{C_text("f_9044:library_2escm"),(void*)f_9044},
{C_text("f_9050:library_2escm"),(void*)f_9050},
{C_text("f_9056:library_2escm"),(void*)f_9056},
{C_text("f_9062:library_2escm"),(void*)f_9062},
{C_text("f_9069:library_2escm"),(void*)f_9069},
{C_text("f_9075:library_2escm"),(void*)f_9075},
{C_text("f_9091:library_2escm"),(void*)f_9091},
{C_text("f_9102:library_2escm"),(void*)f_9102},
{C_text("f_9108:library_2escm"),(void*)f_9108},
{C_text("f_9114:library_2escm"),(void*)f_9114},
{C_text("f_9120:library_2escm"),(void*)f_9120},
{C_text("f_9126:library_2escm"),(void*)f_9126},
{C_text("f_9135:library_2escm"),(void*)f_9135},
{C_text("f_9138:library_2escm"),(void*)f_9138},
{C_text("f_9141:library_2escm"),(void*)f_9141},
{C_text("f_9144:library_2escm"),(void*)f_9144},
{C_text("f_9147:library_2escm"),(void*)f_9147},
{C_text("f_9150:library_2escm"),(void*)f_9150},
{C_text("f_9154:library_2escm"),(void*)f_9154},
{C_text("f_9160:library_2escm"),(void*)f_9160},
{C_text("f_9166:library_2escm"),(void*)f_9166},
{C_text("f_9201:library_2escm"),(void*)f_9201},
{C_text("f_9204:library_2escm"),(void*)f_9204},
{C_text("f_9207:library_2escm"),(void*)f_9207},
{C_text("f_9215:library_2escm"),(void*)f_9215},
{C_text("f_9221:library_2escm"),(void*)f_9221},
{C_text("f_9228:library_2escm"),(void*)f_9228},
{C_text("f_9243:library_2escm"),(void*)f_9243},
{C_text("f_9264:library_2escm"),(void*)f_9264},
{C_text("f_9270:library_2escm"),(void*)f_9270},
{C_text("f_9276:library_2escm"),(void*)f_9276},
{C_text("f_9283:library_2escm"),(void*)f_9283},
{C_text("f_9288:library_2escm"),(void*)f_9288},
{C_text("f_9291:library_2escm"),(void*)f_9291},
{C_text("f_9300:library_2escm"),(void*)f_9300},
{C_text("f_9318:library_2escm"),(void*)f_9318},
{C_text("f_9328:library_2escm"),(void*)f_9328},
{C_text("f_9337:library_2escm"),(void*)f_9337},
{C_text("f_9355:library_2escm"),(void*)f_9355},
{C_text("f_9368:library_2escm"),(void*)f_9368},
{C_text("f_9375:library_2escm"),(void*)f_9375},
{C_text("f_9382:library_2escm"),(void*)f_9382},
{C_text("f_9393:library_2escm"),(void*)f_9393},
{C_text("f_9400:library_2escm"),(void*)f_9400},
{C_text("f_9412:library_2escm"),(void*)f_9412},
{C_text("f_9415:library_2escm"),(void*)f_9415},
{C_text("f_9417:library_2escm"),(void*)f_9417},
{C_text("f_9423:library_2escm"),(void*)f_9423},
{C_text("f_9439:library_2escm"),(void*)f_9439},
{C_text("f_9448:library_2escm"),(void*)f_9448},
{C_text("f_9450:library_2escm"),(void*)f_9450},
{C_text("f_9456:library_2escm"),(void*)f_9456},
{C_text("f_9469:library_2escm"),(void*)f_9469},
{C_text("f_9485:library_2escm"),(void*)f_9485},
{C_text("f_9496:library_2escm"),(void*)f_9496},
{C_text("f_9498:library_2escm"),(void*)f_9498},
{C_text("f_9506:library_2escm"),(void*)f_9506},
{C_text("f_9508:library_2escm"),(void*)f_9508},
{C_text("f_9514:library_2escm"),(void*)f_9514},
{C_text("f_9516:library_2escm"),(void*)f_9516},
{C_text("f_9524:library_2escm"),(void*)f_9524},
{C_text("f_9526:library_2escm"),(void*)f_9526},
{C_text("f_9529:library_2escm"),(void*)f_9529},
{C_text("f_9537:library_2escm"),(void*)f_9537},
{C_text("f_9543:library_2escm"),(void*)f_9543},
{C_text("f_9551:library_2escm"),(void*)f_9551},
{C_text("f_9562:library_2escm"),(void*)f_9562},
{C_text("f_9574:library_2escm"),(void*)f_9574},
{C_text("f_9588:library_2escm"),(void*)f_9588},
{C_text("f_9596:library_2escm"),(void*)f_9596},
{C_text("f_9599:library_2escm"),(void*)f_9599},
{C_text("f_9601:library_2escm"),(void*)f_9601},
{C_text("f_9603:library_2escm"),(void*)f_9603},
{C_text("f_9609:library_2escm"),(void*)f_9609},
{C_text("f_9628:library_2escm"),(void*)f_9628},
{C_text("f_9645:library_2escm"),(void*)f_9645},
{C_text("f_9653:library_2escm"),(void*)f_9653},
{C_text("f_9667:library_2escm"),(void*)f_9667},
{C_text("f_9673:library_2escm"),(void*)f_9673},
{C_text("f_9692:library_2escm"),(void*)f_9692},
{C_text("f_9701:library_2escm"),(void*)f_9701},
{C_text("f_9704:library_2escm"),(void*)f_9704},
{C_text("f_9716:library_2escm"),(void*)f_9716},
{C_text("f_9732:library_2escm"),(void*)f_9732},
{C_text("f_9738:library_2escm"),(void*)f_9738},
{C_text("f_9763:library_2escm"),(void*)f_9763},
{C_text("f_9765:library_2escm"),(void*)f_9765},
{C_text("f_9774:library_2escm"),(void*)f_9774},
{C_text("f_9795:library_2escm"),(void*)f_9795},
{C_text("f_9797:library_2escm"),(void*)f_9797},
{C_text("f_9803:library_2escm"),(void*)f_9803},
{C_text("f_9829:library_2escm"),(void*)f_9829},
{C_text("f_9836:library_2escm"),(void*)f_9836},
{C_text("f_9838:library_2escm"),(void*)f_9838},
{C_text("f_9842:library_2escm"),(void*)f_9842},
{C_text("f_9850:library_2escm"),(void*)f_9850},
{C_text("f_9885:library_2escm"),(void*)f_9885},
{C_text("f_9895:library_2escm"),(void*)f_9895},
{C_text("f_9904:library_2escm"),(void*)f_9904},
{C_text("f_9946:library_2escm"),(void*)f_9946},
{C_text("f_9975:library_2escm"),(void*)f_9975},
{C_text("f_9982:library_2escm"),(void*)f_9982},
{C_text("f_9985:library_2escm"),(void*)f_9985},
{C_text("toplevel:library_2escm"),(void*)C_library_toplevel},
{NULL,NULL}};
#endif

static C_PTABLE_ENTRY *create_ptable(void){
#ifdef C_ENABLE_PTABLES
return ptable;
#else
return NULL;
#endif
}

/*
o|hiding unexported module binding: scheme#string-fill 
o|hiding unexported module binding: chicken.condition#prop-list->kind-prefixed-prop-list 
o|hiding unexported module binding: chicken.platform#path-list-separator 
o|hiding unexported module binding: chicken.platform#->feature-id 
S|applied compiler syntax:
S|  scheme#for-each		9
S|  ##sys#map		1
S|  ##sys#for-each		4
S|  scheme#map		7
o|eliminated procedure checks: 526 
o|folded constant expression: (scheme#char->integer (quote #\0)) 
o|folded constant expression: (scheme#char->integer (quote #\a)) 
o|folded constant expression: (scheme#char->integer (quote #\A)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|folded constant expression: (scheme#integer->char (quote 127)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 27)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 0)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#integer->char (quote 8)) 
o|folded constant expression: (scheme#integer->char (quote 7)) 
o|folded constant expression: (scheme#integer->char (quote 11)) 
o|folded constant expression: (scheme#integer->char (quote 12)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 3)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|folded constant expression: (scheme#expt (quote 1024) (quote 2)) 
o|specializations:
o|  1 (scheme#zero? integer)
o|  1 (scheme#string-append string string)
o|  1 (scheme#make-string fixnum)
o|  1 (scheme#cdar (pair pair *))
o|  2 (scheme#cddr (pair * pair))
o|  1 (scheme#char>? char char)
o|  13 (scheme#char=? char char)
o|  3 (scheme#string-ref string fixnum)
o|  5 (##sys#check-input-port * * *)
o|  11 (##sys#check-output-port * * *)
o|  1 (##sys#check-output-port * *)
o|  1 (##sys#check-input-port * *)
o|  13 (##sys#check-list (or pair list) *)
o|  43 (scheme#cdr pair)
o|  4 (scheme#char>=? char char)
o|  6 (scheme#char<=? char char)
o|  5 (scheme#zero? *)
o|  24 (scheme#eqv? (or eof null fixnum char boolean symbol keyword) *)
o|  1 (scheme#> fixnum fixnum)
o|  1 (scheme#make-string fixnum char)
o|  1 (scheme#string-length string)
o|  6 (scheme#number->string * *)
o|  3 (scheme#integer? *)
o|  2 (scheme#even? *)
o|  5 (scheme#/ * *)
o|  1 (scheme#+ integer integer)
o|  1 (scheme#- integer integer)
o|  5 (chicken.bitwise#integer-length *)
o|  207 (scheme#eqv? * (or eof null fixnum char boolean symbol keyword))
o|  2 (chicken.flonum#fp<= float float)
o|  7 (scheme#- *)
o|  1 (scheme#odd? *)
o|  1 (chicken.flonum#fp> float float)
o|  2 (scheme#angle cplxnum)
o|  5 (chicken.base#finite? *)
o|  13 (chicken.base#exact-integer? *)
o|  8 (scheme#abs *)
o|  17 (scheme#exact->inexact number)
o|  5 (##sys#debug-mode?)
o|  49 (scheme#car pair)
o|  4 (scheme#length list)
o|  12 (scheme#negative? *)
o|  4 (scheme#positive? *)
(o e)|safe calls: 3243 
(o e)|dropped branches: 3 
(o e)|assignments to immediate values: 27 
o|dropping redundant toplevel assignment: chicken.base#warning 
o|dropping redundant toplevel assignment: chicken.base#notice 
o|dropping redundant toplevel assignment: chicken.base#enable-warnings 
o|dropping redundant toplevel assignment: scheme#force 
o|dropping redundant toplevel assignment: scheme#append 
o|dropping redundant toplevel assignment: scheme#make-string 
o|dropping redundant toplevel assignment: scheme#string->list 
o|dropping redundant toplevel assignment: scheme#list->string 
o|dropping redundant toplevel assignment: scheme#string-fill! 
o|dropping redundant toplevel assignment: scheme#string-copy 
o|dropping redundant toplevel assignment: scheme#substring 
o|dropping redundant toplevel assignment: scheme#string<? 
o|dropping redundant toplevel assignment: scheme#string>? 
o|dropping redundant toplevel assignment: scheme#string<=? 
o|dropping redundant toplevel assignment: scheme#string>=? 
o|dropping redundant toplevel assignment: scheme#string-ci<? 
o|dropping redundant toplevel assignment: scheme#string-ci>? 
o|dropping redundant toplevel assignment: scheme#string-ci<=? 
o|dropping redundant toplevel assignment: scheme#string-ci>=? 
o|dropping redundant toplevel assignment: scheme#string-append 
o|dropping redundant toplevel assignment: scheme#string 
o|dropping redundant toplevel assignment: chicken.base#chop 
o|dropping redundant toplevel assignment: scheme#make-rectangular 
o|dropping redundant toplevel assignment: scheme#make-polar 
o|dropping redundant toplevel assignment: scheme#real-part 
o|dropping redundant toplevel assignment: scheme#imag-part 
o|dropping redundant toplevel assignment: scheme#angle 
o|dropping redundant toplevel assignment: scheme#magnitude 
o|dropping redundant toplevel assignment: scheme#numerator 
o|dropping redundant toplevel assignment: scheme#denominator 
o|dropping redundant toplevel assignment: scheme#inexact->exact 
o|dropping redundant toplevel assignment: scheme#/ 
o|dropping redundant toplevel assignment: scheme#floor 
o|dropping redundant toplevel assignment: scheme#ceiling 
o|dropping redundant toplevel assignment: scheme#truncate 
o|dropping redundant toplevel assignment: scheme#round 
o|dropping redundant toplevel assignment: scheme#rationalize 
o|dropping redundant toplevel assignment: scheme#max 
o|dropping redundant toplevel assignment: scheme#min 
o|dropping redundant toplevel assignment: scheme#exp 
o|dropping redundant toplevel assignment: scheme#log 
o|dropping redundant toplevel assignment: scheme#sin 
o|dropping redundant toplevel assignment: scheme#cos 
o|dropping redundant toplevel assignment: scheme#tan 
o|dropping redundant toplevel assignment: scheme#asin 
o|dropping redundant toplevel assignment: scheme#acos 
o|dropping redundant toplevel assignment: scheme#atan 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-sqrt 
o|dropping redundant toplevel assignment: scheme#sqrt 
o|dropping redundant toplevel assignment: chicken.base#exact-integer-nth-root 
o|dropping redundant toplevel assignment: scheme#expt 
o|dropping redundant toplevel assignment: scheme#gcd 
o|dropping redundant toplevel assignment: scheme#lcm 
o|dropping redundant toplevel assignment: scheme#string->number 
o|dropping redundant toplevel assignment: ##sys#number->string 
o|dropping redundant toplevel assignment: chicken.base#equal=? 
o|dropping redundant toplevel assignment: scheme#symbol->string 
o|dropping redundant toplevel assignment: scheme#string->symbol 
o|dropping redundant toplevel assignment: chicken.base#string->uninterned-symbol 
o|dropping redundant toplevel assignment: chicken.base#gensym 
o|dropping redundant toplevel assignment: chicken.base#symbol-append 
o|dropping redundant toplevel assignment: ##sys#update-errno 
o|dropping redundant toplevel assignment: ##sys#errno 
o|safe globals: (chicken.keyword#keyword->string chicken.keyword#string->keyword chicken.keyword#keyword? chicken.base#symbol-append chicken.base#gensym chicken.base#string->uninterned-symbol scheme#string->symbol scheme#symbol->string ##sys#symbol->string ##sys#string->symbol ##sys#interned-symbol? ##sys#intern-keyword ##sys#intern-symbol ##sys#snafu chicken.base#equal=? ##sys#number->string ##sys#integer->string ##sys#flonum->string ##sys#fixnum->string ##sys#string->number scheme#string->number ##sys#string->compnum round-quotient ldexp mantexp->dbl ##sys#extended-number->string ##sys#integer->string/recursive scheme#lcm ##sys#lcm scheme#gcd ##sys#gcd ##sys#internal-gcd scheme#expt ##sys#integer-power ##sys#exact-integer-nth-root/loc chicken.base#exact-integer-nth-root scheme#sqrt ##sys#sqrt/loc chicken.base#exact-integer-sqrt ##sys#exact-integer-sqrt scheme#atan scheme#acos scheme#asin scheme#tan scheme#cos scheme#sin scheme#log ##sys#log-1 scheme#exp scheme#min scheme#max scheme#rationalize find-ratio find-ratio-between scheme#round scheme#truncate scheme#ceiling scheme#floor ##sys#/-2 scheme#/ chicken.bitwise#arithmetic-shift chicken.bitwise#integer-length chicken.bitwise#bit->boolean chicken.bitwise#bitwise-not chicken.bitwise#bitwise-xor chicken.bitwise#bitwise-ior chicken.bitwise#bitwise-and ##sys#inexact->exact ##sys#exact->inexact scheme#inexact->exact flonum->ratnum ##sys#extended-signum scheme#denominator scheme#numerator ratnum scheme#magnitude scheme#angle scheme#imag-part scheme#real-part scheme#make-polar scheme#make-rectangular make-complex ##sys#inexact? ##sys#exact? ##sys#integer? ##sys#number? chicken.flonum#flonum-print-precision chicken.flonum#fpinteger? chicken.flonum#fpabs chicken.flonum#fpsqrt chicken.flonum#fplog chicken.flonum#fpexpt chicken.flonum#fpexp chicken.flonum#fpatan2 chicken.flonum#fpatan chicken.flonum#fpacos chicken.flonum#fpasin chicken.flonum#fptan chicken.flonum#fpcos chicken.flonum#fpsin chicken.flonum#fpceiling chicken.flonum#fpround chicken.flonum#fptruncate chicken.flonum#fpfloor chicken.flonum#fpmin chicken.flonum#fpmax chicken.flonum#fpneg chicken.flonum#fp<= chicken.flonum#fp>= chicken.flonum#fp< chicken.flonum#fp> chicken.flonum#fp= chicken.flonum#fp/? chicken.flonum#fpgcd chicken.flonum#fp/ chicken.flonum#fp* chicken.flonum#fp- chicken.flonum#fp+ chicken.flonum#flonum-minimum-decimal-exponent chicken.flonum#flonum-maximum-decimal-exponent chicken.flonum#flonum-minimum-exponent chicken.flonum#flonum-maximum-exponent chicken.flonum#flonum-decimal-precision chicken.flonum#flonum-precision chicken.flonum#flonum-epsilon chicken.flonum#flonum-radix chicken.flonum#minimum-flonum chicken.flonum#maximum-flonum chicken.base#chop ##sys#fragments->string scheme#string scheme#string-append ##sys#string-append scheme#string-ci>=? scheme#string-ci<=? scheme#string-ci>? scheme#string-ci<? scheme#string>=? scheme#string<=? scheme#string>? scheme#string<? ##sys#substring scheme#substring scheme#string-copy scheme#string-fill! ##sys#reverse-list->string ##sys#list->string scheme#list->string ##sys#string->list scheme#string->list scheme#make-string ##sys#make-string ##sys#fast-reverse scheme#append ##sys#error-bad-base ##sys#error-bad-real ##sys#error-bad-inexact ##sys#error-bad-exact-uinteger ##sys#error-bad-exact-integer ##sys#error-bad-integer ##sys#error-bad-number ##sys#error-not-a-proper-list ##sys#set-dlopen-flags! ##sys#dload scheme#force ##sys#check-closure ##sys#check-special ##sys#check-range ##sys#check-real ##sys#check-exact-uinteger ##sys#check-exact-integer ##sys#check-integer ##sys#check-locative ##sys#check-boolean ##sys#check-char ##sys#check-vector ##sys#check-keyword ##sys#check-symbol ##sys#check-inexact ##sys#check-exact ##sys#check-fixnum ##sys#check-number ##sys#check-string ##sys#check-list ##sys#check-pair ##sys#check-byte-vector ##sys#check-blob ##sys#check-structure chicken.time#cpu-time chicken.time#current-seconds chicken.time#current-milliseconds ##sys#block-set! ##sys#copy-closure ##sys#apply-values ##sys#block-ref ##sys#become! ##sys#halt ##sys#undefined-value ##sys#void ##sys#setbyte ##sys#byte ##sys#message ##sys#immediate? ##sys#stop-timer ##sys#start-timer ##sys#memory-info ##sys#symbol-table-info ##sys#ensure-heap-reserve ##sys#make-structure ##sys#allocate-vector ##sys#setislot ##sys#setslot ##sys#gc ##sys#notice ##sys#warn ##sys#error chicken.base#enable-warnings chicken.base#notice chicken.base#warning ##sys#notices-enabled ##sys#warnings-enabled ##sys#debug-mode? chicken.fixnum#fx/? chicken.fixnum#fx*? chicken.fixnum#fx-? chicken.fixnum#fx+? chicken.fixnum#fxrem chicken.fixnum#fxmod chicken.fixnum#fxgcd chicken.fixnum#fx/ chicken.fixnum#fxlen chicken.fixnum#fxeven? chicken.fixnum#fxodd? chicken.fixnum#fxshr chicken.fixnum#fxshl chicken.fixnum#fxnot chicken.fixnum#fxxor chicken.fixnum#fxior chicken.fixnum#fxand chicken.fixnum#fxneg chicken.fixnum#fxmax chicken.fixnum#fxmin chicken.fixnum#fx<= chicken.fixnum#fx>= chicken.fixnum#fx< chicken.fixnum#fx> chicken.fixnum#fx= chicken.fixnum#fx* chicken.fixnum#fx- chicken.fixnum#fx+ chicken.fixnum#fixnum-precision chicken.fixnum#fixnum-bits chicken.fixnum#most-negative-fixnum chicken.fixnum#most-positive-fixnum maximal-string-length chicken.base#rassoc chicken.base#alist-ref chicken.base#alist-update chicken.base#alist-update! chicken.base#compress chicken.base#join chicken.base#flatten chicken.base#butlast chicken.base#intersperse chicken.base#tail? chicken.base#atom? chicken.base#each chicken.base#list-of? chicken.base#o chicken.base#compose chicken.base#complement chicken.base#flip chicken.base#constantly chicken.base#disjoin chicken.base#conjoin chicken.base#identity chicken.base#symbol-escape chicken.base#parentheses-synonyms chicken.base#keyword-style chicken.base#case-sensitive chicken.base#emergency-exit chicken.base#exit chicken.base#on-exit chicken.base#cleanup-tasks chicken.base#exit-handler chicken.base#implicit-exit-handler chicken.base#foldr chicken.base#foldl chicken.base#make-promise ##sys#make-promise chicken.base#promise? chicken.base#flush-output chicken.base#open-output-string chicken.base#open-input-string chicken.base#get-output-string chicken.base#output-port-open? chicken.base#input-port-open? chicken.base#port-closed? chicken.base#port? chicken.base#vector-resize chicken.base#subvector chicken.base#vector-copy! chicken.base#setter chicken.base#procedure-information chicken.base#make-parameter chicken.base#getter-with-setter chicken.base#char-name chicken.base#call/cc chicken.base#sleep chicken.base#void chicken.base#error chicken.base#current-error-port chicken.base#sub1 chicken.base#add1 chicken.base#print* chicken.base#print chicken.base#print-call-chain chicken.base#get-call-chain chicken.base#signum chicken.base#nan? chicken.base#infinite? chicken.base#finite? chicken.base#quotient&modulo chicken.base#quotient&remainder chicken.base#exact-integer? chicken.base#cplxnum? chicken.base#ratnum? chicken.base#bignum? chicken.base#flonum? chicken.base#fixnum? scheme#dynamic-wind scheme#map scheme#for-each scheme#load scheme#null-environment scheme#scheme-report-environment scheme#interaction-environment scheme#eval scheme#display scheme#write scheme#newline scheme#write-char scheme#read scheme#peek-char scheme#read-char scheme#char-ready? scheme#eof-object? scheme#with-output-to-file scheme#with-input-from-file scheme#call-with-output-file scheme#call-with-input-file scheme#close-output-port scheme#close-input-port scheme#open-output-file scheme#open-input-file scheme#current-output-port scheme#current-input-port scheme#output-port? scheme#input-port? scheme#call-with-current-continuation scheme#call-with-values scheme#values scheme#apply scheme#procedure? scheme#char-alphabetic? scheme#char-whitespace? scheme#char-numeric? scheme#char-lower-case? scheme#char-upper-case? scheme#char-ci<=? scheme#char-ci>=? scheme#char-ci<? scheme#char-ci>? scheme#char-ci=? scheme#char-downcase scheme#char-upcase scheme#char<=? scheme#char>=? scheme#char<? scheme#char>? scheme#char=? scheme#integer->char scheme#char->integer scheme#char? scheme#vector-fill! scheme#vector scheme#vector->list scheme#list->vector scheme#make-vector scheme#vector-set! scheme#vector-ref scheme#vector-length scheme#vector? scheme#symbol? scheme#number->string scheme#negative? scheme#positive? scheme#zero? scheme#inexact? scheme#exact? scheme#integer? scheme#rational? scheme#real? scheme#complex? scheme#number? scheme#<= scheme#>= scheme#< scheme#> scheme#= scheme#odd? scheme#even? scheme#modulo scheme#remainder scheme#quotient scheme#* scheme#- scheme#+ scheme#abs scheme#exact->inexact scheme#string-fill scheme#string-ci=? scheme#string=? scheme#string-set! scheme#string-ref scheme#string-length scheme#string? scheme#list? scheme#assoc scheme#assv scheme#assq scheme#member scheme#memv scheme#memq scheme#reverse scheme#list-ref scheme#list-tail scheme#length scheme#list scheme#null? scheme#cdddar scheme#cddadr scheme#cddaar scheme#cdaddr scheme#cdadar scheme#cdaadr scheme#cdaaar scheme#caddar scheme#cadadr scheme#cadaar scheme#caaddr scheme#caadar scheme#caaadr scheme#caaaar scheme#cdddr scheme#cddar scheme#cdadr scheme#cdaar scheme#cadar scheme#caadr scheme#caaar scheme#cddr scheme#cdar scheme#caar scheme#cddddr scheme#cadddr scheme#caddr scheme#cadr scheme#set-cdr! scheme#set-car! scheme#cdr scheme#car scheme#cons scheme#pair? scheme#equal? scheme#eqv? scheme#eq? scheme#boolean? scheme#not) 
o|inlining procedure: k8834 
o|inlining procedure: k8834 
o|removed side-effect free assignment to unused variable: scheme#string-fill 
o|inlining procedure: k9071 
o|inlining procedure: k9071 
o|inlining procedure: k9077 
o|inlining procedure: k9077 
o|inlining procedure: k9168 
o|inlining procedure: k9168 
o|inlining procedure: k9230 
o|inlining procedure: k9230 
o|inlining procedure: k9278 
o|inlining procedure: k9278 
o|inlining procedure: k9302 
o|inlining procedure: k9302 
o|inlining procedure: k9339 
o|inlining procedure: k9339 
o|inlining procedure: k9428 
o|inlining procedure: k9428 
o|inlining procedure: k9458 
o|inlining procedure: k9458 
o|inlining procedure: k9487 
o|inlining procedure: k9487 
o|inlining procedure: k9531 
o|inlining procedure: k9531 
o|inlining procedure: k9552 
o|propagated global variable: r955332347 scheme#values 
o|inlining procedure: k9552 
o|inlining procedure: k9564 
o|propagated global variable: r956532349 chicken.base#identity 
o|inlining procedure: k9564 
o|inlining procedure: k9582 
o|inlining procedure: k9582 
o|inlining procedure: k9611 
o|inlining procedure: k9611 
o|inlining procedure: k9623 
o|inlining procedure: k9623 
o|inlining procedure: k9647 
o|inlining procedure: k9647 
o|inlining procedure: k9681 
o|inlining procedure: k9681 
o|inlining procedure: k9709 
o|inlining procedure: k9709 
o|inlining procedure: k9718 
o|inlining procedure: k9718 
o|inlining procedure: k9740 
o|inlining procedure: k9740 
o|inlining procedure: k9779 
o|inlining procedure: k9779 
o|inlining procedure: k9805 
o|inlining procedure: k9805 
o|inlining procedure: k9852 
o|inlining procedure: k9852 
o|inlining procedure: k9873 
o|inlining procedure: k9873 
o|inlining procedure: k9906 
o|inlining procedure: k9906 
o|inlining procedure: k9921 
o|inlining procedure: k9921 
o|inlining procedure: k9986 
o|inlining procedure: k9986 
o|inlining procedure: k10002 
o|propagated global variable: r1000332381 scheme#assv 
o|inlining procedure: k10002 
o|inlining procedure: k10022 
o|inlining procedure: k10022 
o|inlining procedure: k10072 
o|inlining procedure: k10072 
o|inlining procedure: k10097 
o|inlining procedure: k10097 
o|inlining procedure: k10185 
o|inlining procedure: k10185 
o|inlining procedure: k10194 
o|propagated global variable: r1019532391 scheme#assv 
o|inlining procedure: k10194 
o|inlining procedure: k10214 
o|inlining procedure: k10214 
o|inlining procedure: k10232 
o|inlining procedure: k10232 
o|inlining procedure: k10291 
o|inlining procedure: k10291 
o|inlining procedure: k10424 
o|inlining procedure: k10424 
o|inlining procedure: k10433 
o|inlining procedure: k10433 
o|inlining procedure: k10445 
o|inlining procedure: k10445 
o|propagated global variable: r1044632404 ##sys#warnings-enabled 
o|inlining procedure: k10549 
o|inlining procedure: k10549 
o|inlining procedure: k10582 
o|inlining procedure: k10582 
o|inlining procedure: k10593 
o|inlining procedure: k10593 
o|inlining procedure: k10605 
o|inlining procedure: k10605 
o|inlining procedure: k10616 
o|inlining procedure: k10616 
o|inlining procedure: k10627 
o|inlining procedure: k10627 
o|inlining procedure: k10638 
o|inlining procedure: k10638 
o|inlining procedure: k10649 
o|inlining procedure: k10649 
o|inlining procedure: k10660 
o|inlining procedure: k10660 
o|inlining procedure: k10671 
o|inlining procedure: k10671 
o|inlining procedure: k10682 
o|inlining procedure: k10682 
o|inlining procedure: k10693 
o|inlining procedure: k10693 
o|inlining procedure: k10704 
o|inlining procedure: k10704 
o|inlining procedure: k10715 
o|inlining procedure: k10715 
o|inlining procedure: k10726 
o|inlining procedure: k10726 
o|inlining procedure: k10737 
o|inlining procedure: k10737 
o|inlining procedure: k10748 
o|inlining procedure: k10748 
o|inlining procedure: k10755 
o|inlining procedure: k10755 
o|inlining procedure: k10765 
o|inlining procedure: k10765 
o|inlining procedure: k10772 
o|inlining procedure: k10772 
o|inlining procedure: k10782 
o|inlining procedure: k10795 
o|inlining procedure: k10795 
o|inlining procedure: k10782 
o|inlining procedure: k10806 
o|inlining procedure: k10806 
o|inlining procedure: k10813 
o|inlining procedure: k10813 
o|inlining procedure: k10826 
o|inlining procedure: k10826 
o|inlining procedure: k10837 
o|inlining procedure: k10837 
o|inlining procedure: k10853 
o|inlining procedure: k10853 
o|inlining procedure: k10863 
o|inlining procedure: k10863 
o|inlining procedure: k10873 
o|inlining procedure: k10873 
o|inlining procedure: k10884 
o|inlining procedure: k10899 
o|inlining procedure: k10899 
o|inlining procedure: k10917 
o|inlining procedure: k10938 
o|inlining procedure: k10938 
o|inlining procedure: k10966 
o|inlining procedure: k10966 
o|inlining procedure: k10917 
o|inlining procedure: k10884 
o|inlining procedure: k11140 
o|inlining procedure: k11140 
o|inlining procedure: k11152 
o|inlining procedure: k11152 
o|inlining procedure: k11171 
o|inlining procedure: k11171 
o|inlining procedure: k11225 
o|inlining procedure: k11225 
o|contracted procedure: "(library.scm:1308) g14971498" 
o|contracted procedure: "(library.scm:1315) g15031504" 
o|inlining procedure: k11321 
o|inlining procedure: k11321 
o|inlining procedure: k11343 
o|inlining procedure: k11343 
o|inlining procedure: k11364 
o|inlining procedure: k11364 
o|inlining procedure: k11395 
o|inlining procedure: k11415 
o|inlining procedure: k11415 
o|inlining procedure: k11395 
o|inlining procedure: k11481 
o|inlining procedure: k11481 
o|inlining procedure: k11497 
o|inlining procedure: k11497 
o|inlining procedure: k11558 
o|inlining procedure: k11558 
o|inlining procedure: k11582 
o|inlining procedure: k11582 
o|inlining procedure: k11603 
o|inlining procedure: k11603 
o|inlining procedure: k11624 
o|inlining procedure: k11624 
o|inlining procedure: k11668 
o|inlining procedure: k11668 
o|inlining procedure: k11692 
o|inlining procedure: k11692 
o|inlining procedure: k11713 
o|inlining procedure: k11713 
o|inlining procedure: k11734 
o|inlining procedure: k11734 
o|inlining procedure: k11771 
o|inlining procedure: k11771 
o|inlining procedure: k11819 
o|inlining procedure: k11819 
o|inlining procedure: k11860 
o|inlining procedure: k11860 
o|inlining procedure: k11881 
o|inlining procedure: k11881 
o|contracted procedure: "(library.scm:1569) g17511752" 
o|inlining procedure: k11942 
o|inlining procedure: k11942 
o|contracted procedure: "(library.scm:1573) g17621763" 
o|inlining procedure: k11966 
o|inlining procedure: k11966 
o|contracted procedure: "(library.scm:1577) g17731774" 
o|inlining procedure: k11990 
o|inlining procedure: k11990 
o|contracted procedure: "(library.scm:1581) g17841785" 
o|inlining procedure: k12014 
o|inlining procedure: k12014 
o|contracted procedure: "(library.scm:1585) g17951796" 
o|inlining procedure: k12038 
o|inlining procedure: k12038 
o|contracted procedure: "(library.scm:1589) g18061807" 
o|inlining procedure: k12062 
o|inlining procedure: k12062 
o|contracted procedure: "(library.scm:1593) g18171818" 
o|inlining procedure: k12086 
o|inlining procedure: k12086 
o|contracted procedure: "(library.scm:1597) g18281829" 
o|inlining procedure: k12110 
o|inlining procedure: k12110 
o|contracted procedure: "(library.scm:1601) g18391840" 
o|inlining procedure: k12134 
o|inlining procedure: k12134 
o|contracted procedure: "(library.scm:1605) g18501851" 
o|inlining procedure: k12158 
o|inlining procedure: k12158 
o|contracted procedure: "(library.scm:1609) g18611862" 
o|inlining procedure: k12182 
o|inlining procedure: k12182 
o|contracted procedure: "(library.scm:1613) g18711872" 
o|inlining procedure: k12206 
o|inlining procedure: k12206 
o|contracted procedure: "(library.scm:1617) g18801881" 
o|inlining procedure: k12224 
o|inlining procedure: k12224 
o|contracted procedure: "(library.scm:1621) g18911892" 
o|inlining procedure: k12248 
o|inlining procedure: k12248 
o|contracted procedure: "(library.scm:1625) g19011902" 
o|inlining procedure: k12272 
o|inlining procedure: k12272 
o|contracted procedure: "(library.scm:1629) g19091910" 
o|inlining procedure: k12290 
o|inlining procedure: k12290 
o|contracted procedure: "(library.scm:1633) g19171918" 
o|inlining procedure: k12308 
o|inlining procedure: k12308 
o|contracted procedure: "(library.scm:1637) g19251926" 
o|inlining procedure: k12326 
o|inlining procedure: k12326 
o|contracted procedure: "(library.scm:1641) g19331934" 
o|inlining procedure: k12344 
o|inlining procedure: k12344 
o|contracted procedure: "(library.scm:1645) g19411942" 
o|inlining procedure: k12362 
o|inlining procedure: k12362 
o|contracted procedure: "(library.scm:1649) g19491950" 
o|inlining procedure: k12380 
o|inlining procedure: k12380 
o|contracted procedure: "(library.scm:1653) g19571958" 
o|inlining procedure: k12398 
o|inlining procedure: k12398 
o|contracted procedure: "(library.scm:1657) g19651966" 
o|inlining procedure: k12416 
o|inlining procedure: k12416 
o|contracted procedure: "(library.scm:1661) g19731974" 
o|inlining procedure: k12434 
o|inlining procedure: k12434 
o|contracted procedure: "(library.scm:1665) g19821983" 
o|inlining procedure: k12452 
o|inlining procedure: k12452 
o|contracted procedure: "(library.scm:1669) g19921993" 
o|inlining procedure: k12476 
o|inlining procedure: k12476 
o|contracted procedure: "(library.scm:1673) g20012002" 
o|inlining procedure: k12494 
o|inlining procedure: k12494 
o|contracted procedure: "(library.scm:1677) g20112012" 
o|inlining procedure: k12518 
o|inlining procedure: k12518 
o|contracted procedure: "(library.scm:1681) g20192020" 
o|inlining procedure: k12536 
o|inlining procedure: k12536 
o|contracted procedure: "(library.scm:1685) g20272028" 
o|inlining procedure: k12554 
o|inlining procedure: k12554 
o|contracted procedure: "(library.scm:1689) g20352036" 
o|inlining procedure: k12572 
o|inlining procedure: k12572 
o|inlining procedure: k12591 
o|inlining procedure: k12591 
o|inlining procedure: k12610 
o|inlining procedure: k12610 
o|inlining procedure: k12637 
o|inlining procedure: k12637 
o|inlining procedure: k12681 
o|contracted procedure: "(library.scm:1738) g21262127" 
o|inlining procedure: k12681 
o|inlining procedure: k12704 
o|contracted procedure: "(library.scm:1744) g21342135" 
o|inlining procedure: k12704 
o|inlining procedure: k12718 
o|inlining procedure: k12718 
o|inlining procedure: k12746 
o|contracted procedure: "(library.scm:1760) g21492150" 
o|contracted procedure: "(library.scm:1759) g21462147" 
o|inlining procedure: k12746 
o|inlining procedure: k12790 
o|inlining procedure: k12790 
o|contracted procedure: "(library.scm:1774) g21592160" 
o|inlining procedure: k12807 
o|contracted procedure: "(library.scm:1776) g21622163" 
o|contracted procedure: "(library.scm:1776) g21692170" 
o|contracted procedure: "(library.scm:1776) g21662167" 
o|inlining procedure: k12807 
o|contracted procedure: "(library.scm:1777) g21722173" 
o|inlining procedure: k12836 
o|inlining procedure: k12836 
o|inlining procedure: k12843 
o|inlining procedure: k12843 
o|inlining procedure: k12865 
o|contracted procedure: "(library.scm:1786) g21852186" 
o|inlining procedure: k12865 
o|inlining procedure: k12882 
o|inlining procedure: k12882 
o|inlining procedure: k12889 
o|inlining procedure: k12889 
o|inlining procedure: k12911 
o|contracted procedure: "(library.scm:1798) g21972198" 
o|inlining procedure: k12911 
o|inlining procedure: k12928 
o|contracted procedure: "(library.scm:1805) g22062207" 
o|inlining procedure: k12928 
o|inlining procedure: k13052 
o|inlining procedure: k13052 
o|inlining procedure: k13061 
o|contracted procedure: "(library.scm:1838) g22382239" 
o|inlining procedure: k13061 
o|contracted procedure: "(library.scm:1839) flonum->ratnum" 
o|inlining procedure: k12992 
o|contracted procedure: "(library.scm:1823) g22232224" 
o|inlining procedure: k12992 
o|contracted procedure: "(library.scm:1820) float-fraction-length2211" 
o|inlining procedure: k12969 
o|inlining procedure: k12969 
o|inlining procedure: k13020 
o|inlining procedure: k13020 
o|substituted constant variable: a13048 
o|inlining procedure: k13078 
o|contracted procedure: "(library.scm:1843) g22442245" 
o|contracted procedure: "(library.scm:1842) g22412242" 
o|inlining procedure: k13078 
o|inlining procedure: k13130 
o|inlining procedure: k13130 
o|inlining procedure: k13153 
o|inlining procedure: k13153 
o|inlining procedure: k13184 
o|contracted procedure: "(library.scm:1895) g23012302" 
o|contracted procedure: "(library.scm:1895) g22972298" 
o|contracted procedure: "(library.scm:1894) g22932294" 
o|inlining procedure: k13184 
o|inlining procedure: k13275 
o|inlining procedure: k13275 
o|inlining procedure: k13298 
o|contracted procedure: "(library.scm:1915) g23402341" 
o|contracted procedure: "(library.scm:1914) g23352336" 
o|contracted procedure: "(library.scm:1913) g23312332" 
o|contracted procedure: "(library.scm:1913) g23272328" 
o|contracted procedure: "(library.scm:1912) g23232324" 
o|contracted procedure: "(library.scm:1912) g23192320" 
o|inlining procedure: k13298 
o|contracted procedure: "(library.scm:1924) g23512352" 
o|contracted procedure: "(library.scm:1921) g23452346" 
o|inlining procedure: k13394 
o|contracted procedure: "(library.scm:1934) g23602361" 
o|contracted procedure: "(library.scm:1932) g23552356" 
o|inlining procedure: k13394 
o|inlining procedure: k13464 
o|inlining procedure: k13464 
o|inlining procedure: k13474 
o|contracted procedure: "(library.scm:1948) g23752376" 
o|contracted procedure: "(library.scm:1947) g23712372" 
o|inlining procedure: k13474 
o|inlining procedure: k13509 
o|inlining procedure: k13509 
o|inlining procedure: k13519 
o|contracted procedure: "(library.scm:1958) g23882389" 
o|contracted procedure: "(library.scm:1957) g23842385" 
o|inlining procedure: k13519 
o|inlining procedure: k13554 
o|inlining procedure: k13554 
o|inlining procedure: k13564 
o|contracted procedure: "(library.scm:1968) g23992400" 
o|contracted procedure: "(library.scm:1967) g23962397" 
o|inlining procedure: k13564 
o|inlining procedure: k13591 
o|inlining procedure: k13591 
o|inlining procedure: k13598 
o|contracted procedure: "(library.scm:1977) g24082409" 
o|inlining procedure: k13598 
o|inlining procedure: k13644 
o|inlining procedure: k13644 
o|inlining procedure: k13716 
o|inlining procedure: k13716 
o|inlining procedure: k13734 
o|inlining procedure: k13734 
o|inlining procedure: k13788 
o|inlining procedure: k13788 
o|contracted procedure: "(library.scm:2004) find-ratio" 
o|inlining procedure: k13820 
o|inlining procedure: k13820 
o|inlining procedure: k13864 
o|inlining procedure: k13864 
o|inlining procedure: k13901 
o|contracted procedure: "(library.scm:2037) g24712472" 
o|contracted procedure: "(library.scm:2036) g24672468" 
o|inlining procedure: k13901 
o|inlining procedure: k13943 
o|inlining procedure: k13943 
o|inlining procedure: k13995 
o|inlining procedure: k13995 
o|inlining procedure: k14024 
o|inlining procedure: k14024 
o|inlining procedure: k14058 
o|inlining procedure: k14058 
o|inlining procedure: k14092 
o|inlining procedure: k14092 
o|inlining procedure: k14117 
o|inlining procedure: k14117 
o|inlining procedure: k14156 
o|inlining procedure: k14156 
o|inlining procedure: k14165 
o|substituted constant variable: a14172 
o|inlining procedure: k14165 
o|inlining procedure: k14179 
o|inlining procedure: k14179 
o|inlining procedure: k14198 
o|inlining procedure: k14198 
o|inlining procedure: k14207 
o|substituted constant variable: a14214 
o|inlining procedure: k14207 
o|inlining procedure: k14224 
o|inlining procedure: k14224 
o|inlining procedure: k14282 
o|inlining procedure: k14300 
o|inlining procedure: k14300 
o|inlining procedure: k14318 
o|inlining procedure: k14318 
o|substituted constant variable: a14331 
o|substituted constant variable: a14333 
o|substituted constant variable: a14335 
o|substituted constant variable: a14340 
o|substituted constant variable: a14342 
o|inlining procedure: k14282 
o|substituted constant variable: a14373 
o|inlining procedure: k14408 
o|inlining procedure: k14408 
o|inlining procedure: k14482 
o|inlining procedure: k14482 
o|inlining procedure: k14533 
o|inlining procedure: k14549 
o|inlining procedure: k14549 
o|inlining procedure: k14533 
o|contracted procedure: "(library.scm:2178) g26132614" 
o|inlining procedure: k14583 
o|contracted procedure: "(library.scm:2181) g26182619" 
o|inlining procedure: k14607 
o|inlining procedure: k14607 
o|inlining procedure: k14583 
o|inlining procedure: k14655 
o|inlining procedure: k14655 
o|inlining procedure: k14700 
o|inlining procedure: k14700 
o|inlining procedure: k14772 
o|inlining procedure: k14772 
o|inlining procedure: k14787 
o|contracted procedure: "(library.scm:2223) g26512652" 
o|inlining procedure: k14787 
o|inlining procedure: k14810 
o|inlining procedure: k14810 
o|contracted procedure: "(library.scm:2228) square2649" 
o|inlining procedure: k14866 
o|inlining procedure: k14866 
o|inlining procedure: k14886 
o|inlining procedure: k14886 
o|inlining procedure: k14904 
o|contracted procedure: "(library.scm:2248) g26792680" 
o|contracted procedure: "(library.scm:2247) g26762677" 
o|inlining procedure: k14904 
o|inlining procedure: k14941 
o|contracted procedure: "(library.scm:2257) g26862687" 
o|inlining procedure: k14976 
o|contracted procedure: "(library.scm:2259) g26912692" 
o|inlining procedure: k14976 
o|inlining procedure: k14941 
o|inlining procedure: k15010 
o|inlining procedure: k15010 
o|inlining procedure: k15028 
o|inlining procedure: k15028 
o|inlining procedure: k15047 
o|inlining procedure: k15047 
o|inlining procedure: k15084 
o|inlining procedure: k15084 
o|inlining procedure: k15116 
o|contracted procedure: "(library.scm:2285) g27162717" 
o|inlining procedure: k15129 
o|contracted procedure: "(library.scm:2288) g27212722" 
o|inlining procedure: k15129 
o|inlining procedure: k15116 
o|inlining procedure: k15157 
o|inlining procedure: k15157 
o|contracted procedure: "(library.scm:2295) g27302731" 
o|inlining procedure: k15192 
o|inlining procedure: k15192 
o|inlining procedure: k15212 
o|inlining procedure: k15212 
o|inlining procedure: k15257 
o|inlining procedure: k15257 
o|inlining procedure: k15277 
o|inlining procedure: k15277 
o|substituted constant variable: a15350 
o|inlining procedure: k15368 
o|contracted procedure: "(library.scm:2351) g27962797" 
o|contracted procedure: "(library.scm:2349) g27932794" 
o|inlining procedure: k15368 
o|inlining procedure: k15432 
o|inlining procedure: k15432 
o|contracted procedure: "(library.scm:2355) g28042805" 
o|contracted procedure: "(library.scm:2354) g28012802" 
o|inlining procedure: k15547 
o|inlining procedure: k15560 
o|inlining procedure: k15560 
o|inlining procedure: k15547 
o|contracted procedure: "(library.scm:2393) g28342835" 
o|inlining procedure: k15588 
o|inlining procedure: k15588 
o|inlining procedure: k15598 
o|inlining procedure: k15607 
o|inlining procedure: k15619 
o|inlining procedure: k15619 
o|inlining procedure: k15607 
o|inlining procedure: k15635 
o|inlining procedure: k15635 
o|inlining procedure: k15641 
o|contracted procedure: "(library.scm:2414) mantexp->dbl" 
o|inlining procedure: k15445 
o|inlining procedure: k15445 
o|contracted procedure: "(library.scm:2385) ldexp" 
o|propagated global variable: a15504 chicken.flonum#flonum-precision 
o|inlining procedure: k15641 
o|inlining procedure: k15598 
o|inlining procedure: k15684 
o|inlining procedure: k15684 
o|inlining procedure: k15710 
o|inlining procedure: k15710 
o|inlining procedure: k15737 
o|inlining procedure: k15737 
o|inlining procedure: k15765 
o|inlining procedure: k15765 
o|substituted constant variable: a15772 
o|substituted constant variable: a15776 
o|substituted constant variable: a15783 
o|contracted procedure: "(library.scm:2436) g28722873" 
o|inlining procedure: k15792 
o|inlining procedure: k15792 
o|inlining procedure: k15825 
o|inlining procedure: k15825 
o|contracted procedure: "(library.scm:2451) g28952896" 
o|inlining procedure: k15845 
o|inlining procedure: k15845 
o|inlining procedure: k15867 
o|inlining procedure: k15867 
o|inlining procedure: k15878 
o|inlining procedure: k15878 
o|inlining procedure: k15892 
o|inlining procedure: k15915 
o|inlining procedure: k15915 
o|inlining procedure: k15941 
o|inlining procedure: k15941 
o|substituted constant variable: a15948 
o|substituted constant variable: a15950 
o|contracted procedure: "(library.scm:2473) g29312932" 
o|inlining procedure: k15892 
o|inlining procedure: k15953 
o|inlining procedure: k15974 
o|inlining procedure: k15992 
o|inlining procedure: k16004 
o|inlining procedure: k16020 
o|inlining procedure: k16020 
o|inlining procedure: k16004 
o|inlining procedure: k15992 
o|inlining procedure: k15974 
o|inlining procedure: k16065 
o|inlining procedure: k16065 
o|inlining procedure: k16080 
o|inlining procedure: k16080 
o|inlining procedure: k16092 
o|inlining procedure: k16092 
o|inlining procedure: k16104 
o|inlining procedure: k16104 
o|inlining procedure: k16116 
o|inlining procedure: k16116 
o|substituted constant variable: a16129 
o|substituted constant variable: a16131 
o|substituted constant variable: a16133 
o|substituted constant variable: a16135 
o|substituted constant variable: a16137 
o|substituted constant variable: a16139 
o|substituted constant variable: a16141 
o|substituted constant variable: a16143 
o|substituted constant variable: a16145 
o|substituted constant variable: a16147 
o|contracted procedure: "(library.scm:2489) g29602961" 
o|inlining procedure: k16156 
o|inlining procedure: k16156 
o|inlining procedure: k15953 
o|inlining procedure: k16167 
o|inlining procedure: k16167 
o|inlining procedure: k16192 
o|inlining procedure: k16207 
o|inlining procedure: k16207 
o|inlining procedure: k16192 
o|inlining procedure: k16247 
o|inlining procedure: k16259 
o|inlining procedure: k16269 
o|inlining procedure: k16269 
o|inlining procedure: k16259 
o|inlining procedure: k16247 
o|inlining procedure: k16289 
o|inlining procedure: k16305 
o|inlining procedure: k16315 
o|inlining procedure: k16333 
o|inlining procedure: k16353 
o|inlining procedure: "(library.scm:2542) make-nan2847" 
o|inlining procedure: k16353 
o|substituted constant variable: a16380 
o|substituted constant variable: a16382 
o|substituted constant variable: a16384 
o|inlining procedure: k16333 
o|inlining procedure: k16315 
o|inlining procedure: k16305 
o|inlining procedure: k16289 
o|substituted constant variable: a16402 
o|inlining procedure: k16406 
o|inlining procedure: k16406 
o|inlining procedure: k16418 
o|inlining procedure: k16418 
o|inlining procedure: k16430 
o|inlining procedure: k16430 
o|inlining procedure: k16442 
o|inlining procedure: k16442 
o|substituted constant variable: a16455 
o|substituted constant variable: a16457 
o|substituted constant variable: a16459 
o|substituted constant variable: a16461 
o|substituted constant variable: a16463 
o|substituted constant variable: a16465 
o|substituted constant variable: a16467 
o|substituted constant variable: a16469 
o|substituted constant variable: a16471 
o|substituted constant variable: a16473 
o|substituted constant variable: a16475 
o|contracted procedure: "(library.scm:2514) g30343035" 
o|inlining procedure: k16489 
o|contracted procedure: "(library.scm:2509) g30213022" 
o|inlining procedure: k16489 
o|inlining procedure: k16510 
o|inlining procedure: k16538 
o|inlining procedure: k16560 
o|inlining procedure: k16570 
o|inlining procedure: k16570 
o|inlining procedure: k16560 
o|inlining procedure: k16593 
o|inlining procedure: k16593 
o|inlining procedure: k16538 
o|inlining procedure: k16643 
o|inlining procedure: k16643 
o|inlining procedure: k16653 
o|inlining procedure: k16676 
o|inlining procedure: k16676 
o|inlining procedure: "(library.scm:2571) make-nan2847" 
o|inlining procedure: k16653 
o|substituted constant variable: a16712 
o|substituted constant variable: a16714 
o|substituted constant variable: a16719 
o|substituted constant variable: a16721 
o|contracted procedure: "(library.scm:2552) g31153116" 
o|inlining procedure: k16728 
o|inlining procedure: k16728 
o|substituted constant variable: a16735 
o|substituted constant variable: a16737 
o|contracted procedure: "(library.scm:2548) g31033104" 
o|inlining procedure: k16510 
o|inlining procedure: k16744 
o|inlining procedure: k16756 
o|inlining procedure: k16756 
o|inlining procedure: k16744 
o|inlining procedure: k16763 
o|inlining procedure: k16763 
o|inlining procedure: k16779 
o|contracted procedure: "(library.scm:2581) g31693170" 
o|contracted procedure: "(library.scm:2580) g31653166" 
o|inlining procedure: k16779 
o|inlining procedure: k16820 
o|inlining procedure: k16839 
o|inlining procedure: k16854 
o|inlining procedure: k16854 
o|contracted procedure: "(library.scm:2589) g31933194" 
o|contracted procedure: "(library.scm:2588) g31893190" 
o|inlining procedure: k16839 
o|inlining procedure: k16820 
o|inlining procedure: k16901 
o|inlining procedure: k16901 
o|substituted constant variable: a16928 
o|substituted constant variable: a16933 
o|substituted constant variable: a16935 
o|substituted constant variable: a16940 
o|substituted constant variable: a16942 
o|substituted constant variable: a16944 
o|contracted procedure: "(library.scm:2577) g31533154" 
o|inlining procedure: k17001 
o|inlining procedure: k17021 
o|inlining procedure: k17021 
o|inlining procedure: k17034 
o|inlining procedure: k17034 
o|inlining procedure: k17065 
o|inlining procedure: k17065 
o|inlining procedure: k17078 
o|inlining procedure: k17078 
o|inlining procedure: k17109 
o|inlining procedure: k17109 
o|inlining procedure: k17122 
o|inlining procedure: k17122 
o|substituted constant variable: a17148 
o|substituted constant variable: a17150 
o|substituted constant variable: a17155 
o|substituted constant variable: a17157 
o|substituted constant variable: a17162 
o|substituted constant variable: a17164 
o|substituted constant variable: a17169 
o|substituted constant variable: a17171 
o|substituted constant variable: a17176 
o|substituted constant variable: a17178 
o|substituted constant variable: a17183 
o|substituted constant variable: a17185 
o|contracted procedure: "(library.scm:2613) g32403241" 
o|inlining procedure: k17001 
o|inlining procedure: k17194 
o|inlining procedure: k17194 
o|contracted procedure: "(library.scm:2612) g32303231" 
o|inlining procedure: k17219 
o|inlining procedure: k17219 
o|inlining procedure: k17292 
o|inlining procedure: k17313 
o|inlining procedure: k17313 
o|inlining procedure: k17292 
o|inlining procedure: k17357 
o|inlining procedure: k17357 
o|inlining procedure: k17366 
o|inlining procedure: k17366 
o|inlining procedure: k17378 
o|inlining procedure: k17378 
o|inlining procedure: k17390 
o|inlining procedure: k17390 
o|inlining procedure: k17399 
o|inlining procedure: k17399 
o|inlining procedure: k17408 
o|inlining procedure: k17417 
o|inlining procedure: k17417 
o|inlining procedure: k17408 
o|inlining procedure: k17545 
o|inlining procedure: k17545 
o|inlining procedure: "(library.scm:2715) err3352" 
o|inlining procedure: k17551 
o|inlining procedure: k17551 
o|inlining procedure: "(library.scm:2714) err3352" 
o|inlining procedure: k17591 
o|contracted procedure: "(library.scm:2724) g33763385" 
o|inlining procedure: k17591 
o|inlining procedure: k17637 
o|inlining procedure: k17637 
o|inlining procedure: k17664 
o|inlining procedure: k17664 
o|inlining procedure: k17701 
o|inlining procedure: k17701 
o|inlining procedure: k17749 
o|inlining procedure: k17749 
o|inlining procedure: k17773 
o|inlining procedure: k17773 
o|inlining procedure: k17792 
o|inlining procedure: k17792 
o|inlining procedure: k17813 
o|inlining procedure: k17813 
o|inlining procedure: k17853 
o|inlining procedure: k17853 
o|inlining procedure: k17892 
o|inlining procedure: k17892 
o|inlining procedure: k17938 
o|inlining procedure: k17938 
o|inlining procedure: k18010 
o|inlining procedure: k18010 
o|inlining procedure: k18084 
o|inlining procedure: k18084 
o|inlining procedure: k18186 
o|inlining procedure: k18186 
o|inlining procedure: k18217 
o|inlining procedure: k18217 
o|inlining procedure: k18247 
o|inlining procedure: k18247 
o|inlining procedure: k18317 
o|inlining procedure: k18317 
o|inlining procedure: k18381 
o|inlining procedure: k18381 
o|inlining procedure: k18419 
o|inlining procedure: k18419 
o|inlining procedure: k18455 
o|inlining procedure: k18455 
o|inlining procedure: k18473 
o|inlining procedure: k18473 
o|inlining procedure: k18499 
o|inlining procedure: k18499 
o|inlining procedure: k18517 
o|inlining procedure: k18517 
o|inlining procedure: k18553 
o|inlining procedure: k18568 
o|inlining procedure: k18568 
o|inlining procedure: k18553 
o|inlining procedure: k18601 
o|inlining procedure: k18601 
o|inlining procedure: k18639 
o|inlining procedure: k18657 
o|inlining procedure: k18657 
o|inlining procedure: k18639 
o|inlining procedure: k18701 
o|inlining procedure: k18701 
o|inlining procedure: k18786 
o|inlining procedure: k18786 
o|inlining procedure: k18820 
o|inlining procedure: k18820 
o|inlining procedure: k18875 
o|inlining procedure: k18875 
o|substituted constant variable: a18882 
o|substituted constant variable: a18887 
o|inlining procedure: k18954 
o|inlining procedure: k18954 
o|inlining procedure: k18965 
o|inlining procedure: k18965 
o|inlining procedure: k18976 
o|inlining procedure: k18976 
o|inlining procedure: k18987 
o|inlining procedure: k18987 
o|inlining procedure: k18998 
o|propagated global variable: r1899933051 ##sys#standard-input 
o|removed unused formal parameters: (convert?3911) 
o|inlining procedure: k19013 
o|inlining procedure: k19013 
o|removed unused parameter to known procedure: convert?3911 "(library.scm:3301) body39013910" 
o|inlining procedure: k18998 
o|inlining procedure: k19040 
o|inlining procedure: k19040 
o|removed unused parameter to known procedure: convert?3911 "(library.scm:3301) body39013910" 
o|inlining procedure: k19059 
o|propagated global variable: r1906033057 ##sys#standard-output 
o|removed unused formal parameters: (convert?3936) 
o|inlining procedure: k19074 
o|inlining procedure: k19074 
o|removed unused parameter to known procedure: convert?3936 "(library.scm:3311) body39263935" 
o|inlining procedure: k19059 
o|inlining procedure: k19101 
o|inlining procedure: k19101 
o|removed unused parameter to known procedure: convert?3936 "(library.scm:3311) body39263935" 
o|inlining procedure: k19120 
o|propagated global variable: r1912133063 ##sys#standard-error 
o|removed unused formal parameters: (convert?3961) 
o|inlining procedure: k19135 
o|inlining procedure: k19135 
o|removed unused parameter to known procedure: convert?3961 "(library.scm:3321) body39513960" 
o|inlining procedure: k19120 
o|inlining procedure: k19162 
o|inlining procedure: k19162 
o|removed unused parameter to known procedure: convert?3961 "(library.scm:3321) body39513960" 
o|inlining procedure: k19181 
o|inlining procedure: k19181 
o|inlining procedure: k19219 
o|inlining procedure: k19219 
o|inlining procedure: k19244 
o|inlining procedure: k19244 
o|inlining procedure: k19250 
o|inlining procedure: k19250 
o|inlining procedure: k19273 
o|inlining procedure: k19273 
o|inlining procedure: k19286 
o|inlining procedure: k19286 
o|substituted constant variable: a19297 
o|substituted constant variable: a19299 
o|substituted constant variable: a19301 
o|inlining procedure: k19311 
o|inlining procedure: k19311 
o|inlining procedure: k19486 
o|inlining procedure: k19486 
o|substituted constant variable: a19502 
o|substituted constant variable: a19504 
o|substituted constant variable: a19525 
o|substituted constant variable: a19526 
o|inlining procedure: k19539 
o|inlining procedure: k19539 
o|inlining procedure: k19561 
o|inlining procedure: k19574 
o|inlining procedure: k19574 
o|inlining procedure: k19561 
o|inlining procedure: k19633 
o|inlining procedure: k19633 
o|inlining procedure: k19671 
o|inlining procedure: k19671 
o|inlining procedure: k19705 
o|inlining procedure: k19705 
o|inlining procedure: k19746 
o|inlining procedure: k19746 
o|inlining procedure: k19765 
o|inlining procedure: k19765 
o|inlining procedure: k19893 
o|inlining procedure: k19893 
o|inlining procedure: k19932 
o|inlining procedure: k19971 
o|inlining procedure: k19971 
o|inlining procedure: k19932 
o|inlining procedure: k19999 
o|inlining procedure: k19999 
o|substituted constant variable: a20047 
o|substituted constant variable: a20048 
o|substituted constant variable: a20072 
o|substituted constant variable: a20073 
o|inlining procedure: k20089 
o|inlining procedure: k20089 
o|substituted constant variable: a20147 
o|substituted constant variable: a20148 
o|inlining procedure: k20155 
o|inlining procedure: k20155 
o|substituted constant variable: a20184 
o|substituted constant variable: a20185 
o|substituted constant variable: a20202 
o|substituted constant variable: a20203 
o|inlining procedure: k20257 
o|inlining procedure: k20257 
o|inlining procedure: k20280 
o|inlining procedure: k20280 
o|inlining procedure: k20320 
o|inlining procedure: k20320 
o|inlining procedure: k20339 
o|inlining procedure: k20339 
o|inlining procedure: k20378 
o|inlining procedure: k20378 
o|inlining procedure: k20403 
o|inlining procedure: k20403 
o|inlining procedure: k20422 
o|inlining procedure: k20422 
o|inlining procedure: k20447 
o|inlining procedure: k20447 
o|inlining procedure: k20513 
o|inlining procedure: k20513 
o|inlining procedure: k20548 
o|inlining procedure: k20548 
o|inlining procedure: k20564 
o|inlining procedure: k20564 
o|inlining procedure: k20598 
o|inlining procedure: k20598 
o|inlining procedure: k20632 
o|inlining procedure: k20632 
o|inlining procedure: k20666 
o|inlining procedure: k20666 
o|inlining procedure: k20707 
o|inlining procedure: k20722 
o|inlining procedure: k20722 
o|substituted constant variable: a20760 
o|substituted constant variable: a20765 
o|inlining procedure: k20707 
o|inlining procedure: k20790 
o|inlining procedure: k20790 
o|inlining procedure: k20810 
o|inlining procedure: k20810 
o|inlining procedure: k20845 
o|inlining procedure: k20845 
o|inlining procedure: k20867 
o|inlining procedure: k20867 
o|inlining procedure: k20892 
o|inlining procedure: k20892 
o|substituted constant variable: a20921 
o|substituted constant variable: a20923 
o|substituted constant variable: a20928 
o|substituted constant variable: a20930 
o|inlining procedure: k20931 
o|inlining procedure: k20931 
o|inlining procedure: k20994 
o|inlining procedure: k20994 
o|inlining procedure: k21006 
o|inlining procedure: k21006 
o|substituted constant variable: a21019 
o|substituted constant variable: a21021 
o|substituted constant variable: a21023 
o|substituted constant variable: a21025 
o|inlining procedure: k21029 
o|inlining procedure: k21029 
o|substituted constant variable: a21042 
o|substituted constant variable: a21044 
o|substituted constant variable: a21046 
o|substituted constant variable: a21048 
o|substituted constant variable: a21050 
o|substituted constant variable: a21052 
o|substituted constant variable: a21054 
o|substituted constant variable: a21056 
o|substituted constant variable: a21058 
o|substituted constant variable: a21060 
o|substituted constant variable: a21062 
o|substituted constant variable: a21064 
o|substituted constant variable: a21066 
o|substituted constant variable: a21068 
o|inlining procedure: k21069 
o|inlining procedure: k21069 
o|inlining procedure: k21101 
o|inlining procedure: k21101 
o|inlining procedure: k21092 
o|inlining procedure: k21134 
o|inlining procedure: k21134 
o|inlining procedure: k21165 
o|inlining procedure: k21165 
o|inlining procedure: k21184 
o|inlining procedure: k21217 
o|inlining procedure: k21217 
o|inlining procedure: k21259 
o|inlining procedure: k21259 
o|inlining procedure: "(library.scm:3921) build-keyword4436" 
o|inlining procedure: k21275 
o|inlining procedure: "(library.scm:3922) build-keyword4436" 
o|inlining procedure: k21275 
o|inlining procedure: "(library.scm:3925) build-symbol4435" 
o|inlining procedure: k21305 
o|inlining procedure: k21305 
o|inlining procedure: k21317 
o|inlining procedure: k21317 
o|inlining procedure: k21184 
o|inlining procedure: k21092 
o|inlining procedure: k21357 
o|inlining procedure: k21357 
o|inlining procedure: k21378 
o|inlining procedure: "(library.scm:3953) build-keyword4436" 
o|inlining procedure: k21378 
o|inlining procedure: k21400 
o|inlining procedure: k21400 
o|inlining procedure: k21415 
o|inlining procedure: k21415 
o|inlining procedure: "(library.scm:3961) build-symbol4435" 
o|inlining procedure: k21425 
o|inlining procedure: k21425 
o|substituted constant variable: a21433 
o|substituted constant variable: a21434 
o|inlining procedure: k21442 
o|inlining procedure: k21463 
o|inlining procedure: k21463 
o|substituted constant variable: a21476 
o|inlining procedure: k21442 
o|inlining procedure: k21493 
o|inlining procedure: k21514 
o|inlining procedure: k21514 
o|substituted constant variable: a21527 
o|substituted constant variable: a21535 
o|inlining procedure: k21531 
o|inlining procedure: k21531 
o|substituted constant variable: a21543 
o|inlining procedure: k21493 
o|inlining procedure: k21570 
o|inlining procedure: k21570 
o|inlining procedure: k21606 
o|inlining procedure: k21606 
o|inlining procedure: k21615 
o|inlining procedure: k21615 
o|inlining procedure: k21634 
o|inlining procedure: k21634 
o|inlining procedure: "(library.scm:4013) build-keyword4436" 
o|inlining procedure: "(library.scm:4013) build-symbol4435" 
o|inlining procedure: k21704 
o|inlining procedure: k21738 
o|inlining procedure: k21738 
o|inlining procedure: k21748 
o|inlining procedure: k21748 
o|inlining procedure: k21704 
o|inlining procedure: k21777 
o|inlining procedure: k21777 
o|inlining procedure: k21821 
o|inlining procedure: k21821 
o|inlining procedure: k21859 
o|inlining procedure: k21859 
o|inlining procedure: k21883 
o|inlining procedure: k21883 
o|substituted constant variable: a21890 
o|substituted constant variable: a21892 
o|substituted constant variable: a21894 
o|substituted constant variable: a21896 
o|inlining procedure: k21900 
o|inlining procedure: k21900 
o|inlining procedure: k21918 
o|contracted procedure: "(library.scm:4067) g47244725" 
o|inlining procedure: k21947 
o|inlining procedure: k21947 
o|inlining procedure: k21966 
o|inlining procedure: k21984 
o|inlining procedure: k22000 
o|inlining procedure: k22000 
o|inlining procedure: k21984 
o|inlining procedure: k21966 
o|substituted constant variable: a22099 
o|inlining procedure: k22101 
o|inlining procedure: k22101 
o|substituted constant variable: a22104 
o|inlining procedure: k21918 
o|inlining procedure: k22127 
o|inlining procedure: k22139 
o|inlining procedure: k22139 
o|inlining procedure: k22127 
o|inlining procedure: k22173 
o|inlining procedure: k22173 
o|inlining procedure: k22186 
o|inlining procedure: k22186 
o|substituted constant variable: a22199 
o|substituted constant variable: a22201 
o|inlining procedure: "(library.scm:4114) build-symbol4435" 
o|inlining procedure: k22260 
o|inlining procedure: k22275 
o|inlining procedure: k22275 
o|inlining procedure: k22260 
o|inlining procedure: k22299 
o|inlining procedure: k22299 
o|inlining procedure: k22320 
o|inlining procedure: k22320 
o|inlining procedure: k22339 
o|inlining procedure: k22360 
o|inlining procedure: k22387 
o|inlining procedure: k22402 
o|inlining procedure: k22402 
o|inlining procedure: k22387 
o|inlining procedure: k22438 
o|inlining procedure: k22438 
o|inlining procedure: k22360 
o|inlining procedure: k22473 
o|inlining procedure: k22473 
o|inlining procedure: k22488 
o|inlining procedure: k22488 
o|inlining procedure: k22512 
o|inlining procedure: k22512 
o|inlining procedure: k22536 
o|inlining procedure: k22536 
o|inlining procedure: k22560 
o|inlining procedure: k22600 
o|inlining procedure: k22600 
o|inlining procedure: k22560 
o|inlining procedure: k22624 
o|inlining procedure: k22624 
o|inlining procedure: k22651 
o|inlining procedure: k22651 
o|inlining procedure: k22678 
o|inlining procedure: k22678 
o|inlining procedure: k22702 
o|inlining procedure: k22702 
o|inlining procedure: k22717 
o|inlining procedure: k22746 
o|inlining procedure: k22746 
o|inlining procedure: "(library.scm:4241) build-keyword4436" 
o|inlining procedure: k22717 
o|inlining procedure: k22807 
o|inlining procedure: k22834 
o|inlining procedure: k22834 
o|inlining procedure: "(library.scm:4260) build-symbol4435" 
o|inlining procedure: k22856 
o|inlining procedure: k22856 
o|inlining procedure: k22878 
o|inlining procedure: k22878 
o|substituted constant variable: a22881 
o|inlining procedure: k22807 
o|inlining procedure: k22895 
o|inlining procedure: k22895 
o|substituted constant variable: a22908 
o|substituted constant variable: a22910 
o|substituted constant variable: a22912 
o|substituted constant variable: a22914 
o|substituted constant variable: a22916 
o|substituted constant variable: a22918 
o|substituted constant variable: a22920 
o|substituted constant variable: a22922 
o|substituted constant variable: a22924 
o|substituted constant variable: a22926 
o|substituted constant variable: a22928 
o|substituted constant variable: a22930 
o|substituted constant variable: a22932 
o|substituted constant variable: a22934 
o|substituted constant variable: a22936 
o|substituted constant variable: a22938 
o|substituted constant variable: a22940 
o|inlining procedure: k22339 
o|inlining procedure: k22957 
o|inlining procedure: k22957 
o|inlining procedure: k22981 
o|inlining procedure: k22981 
o|inlining procedure: k23002 
o|inlining procedure: k23002 
o|inlining procedure: k23017 
o|inlining procedure: k23017 
o|inlining procedure: k23035 
o|inlining procedure: k23035 
o|substituted constant variable: a23066 
o|substituted constant variable: a23068 
o|substituted constant variable: a23070 
o|substituted constant variable: a23072 
o|substituted constant variable: a23077 
o|substituted constant variable: a23079 
o|substituted constant variable: a23081 
o|substituted constant variable: a23083 
o|substituted constant variable: a23085 
o|substituted constant variable: a23087 
o|substituted constant variable: a23089 
o|substituted constant variable: a23091 
o|substituted constant variable: a23093 
o|substituted constant variable: a23095 
o|inlining procedure: k23099 
o|inlining procedure: k23099 
o|inlining procedure: k23118 
o|inlining procedure: k23118 
o|inlining procedure: k23136 
o|inlining procedure: k23136 
o|inlining procedure: k23178 
o|inlining procedure: k23178 
o|inlining procedure: k23298 
o|inlining procedure: k23298 
o|inlining procedure: k23310 
o|inlining procedure: k23322 
o|inlining procedure: k23322 
o|inlining procedure: k23310 
o|inlining procedure: k23378 
o|inlining procedure: k23378 
o|substituted constant variable: a23408 
o|substituted constant variable: a23410 
o|substituted constant variable: a23412 
o|substituted constant variable: a23414 
o|inlining procedure: k23424 
o|inlining procedure: k23424 
o|inlining procedure: k23443 
o|inlining procedure: k23443 
o|inlining procedure: k23457 
o|inlining procedure: k23457 
o|inlining procedure: k23520 
o|inlining procedure: k23520 
o|substituted constant variable: a23551 
o|substituted constant variable: a23553 
o|substituted constant variable: a23558 
o|substituted constant variable: a23560 
o|substituted constant variable: a23582 
o|substituted constant variable: a23583 
o|substituted constant variable: a23600 
o|substituted constant variable: a23601 
o|inlining procedure: k23614 
o|propagated global variable: r2361533419 ##sys#standard-output 
o|inlining procedure: k23614 
o|substituted constant variable: a23633 
o|substituted constant variable: a23634 
o|substituted constant variable: a23651 
o|substituted constant variable: a23652 
o|propagated global variable: a23665 ##sys#standard-output 
o|substituted constant variable: a23666 
o|substituted constant variable: a23667 
o|contracted procedure: "(library.scm:4410) g50565057" 
o|inlining procedure: k23684 
o|contracted procedure: "(library.scm:4405) g50625069" 
o|propagated global variable: g50775078 ##sys#print 
o|inlining procedure: k23684 
o|propagated global variable: a23716 ##sys#standard-output 
o|substituted constant variable: a23717 
o|substituted constant variable: a23718 
o|contracted procedure: "(library.scm:4417) g50885089" 
o|inlining procedure: k23735 
o|contracted procedure: "(library.scm:4405) g50945101" 
o|propagated global variable: g51095110 ##sys#print 
o|inlining procedure: k23735 
o|substituted constant variable: a23780 
o|substituted constant variable: a23781 
o|inlining procedure: k23794 
o|inlining procedure: k23794 
o|inlining procedure: k23885 
o|inlining procedure: k23885 
o|inlining procedure: k23917 
o|inlining procedure: k23917 
o|substituted constant variable: special-characters5131 
o|inlining procedure: k23929 
o|inlining procedure: k23929 
o|inlining procedure: k23962 
o|inlining procedure: k23962 
o|substituted constant variable: a24035 
o|inlining procedure: k24042 
o|inlining procedure: k24042 
o|inlining procedure: k24054 
o|inlining procedure: k24054 
o|inlining procedure: k24069 
o|inlining procedure: k24069 
o|inlining procedure: k24088 
o|inlining procedure: k24110 
o|inlining procedure: k24110 
o|inlining procedure: k24125 
o|inlining procedure: k24125 
o|inlining procedure: k24138 
o|inlining procedure: k24138 
o|inlining procedure: k24162 
o|inlining procedure: k24162 
o|inlining procedure: k24088 
o|inlining procedure: k24180 
o|inlining procedure: k24180 
o|inlining procedure: k24233 
o|inlining procedure: k24233 
o|inlining procedure: k24251 
o|inlining procedure: k24251 
o|inlining procedure: k24266 
o|inlining procedure: k24266 
o|inlining procedure: k24275 
o|inlining procedure: k24302 
o|inlining procedure: k24302 
o|inlining procedure: k24275 
o|inlining procedure: k24330 
o|inlining procedure: k24330 
o|inlining procedure: k24346 
o|inlining procedure: k24346 
o|inlining procedure: k24361 
o|inlining procedure: k24379 
o|inlining procedure: k24379 
o|substituted constant variable: a24398 
o|substituted constant variable: a24400 
o|inlining procedure: k24361 
o|inlining procedure: k24410 
o|inlining procedure: k24410 
o|inlining procedure: k24433 
o|inlining procedure: k24449 
o|inlining procedure: k24449 
o|inlining procedure: k24478 
o|inlining procedure: k24478 
o|inlining procedure: k24499 
o|inlining procedure: k24499 
o|inlining procedure: k24517 
o|inlining procedure: k24517 
o|inlining procedure: k24535 
o|inlining procedure: k24535 
o|inlining procedure: k24553 
o|inlining procedure: k24553 
o|substituted constant variable: a24582 
o|substituted constant variable: a24584 
o|substituted constant variable: a24586 
o|substituted constant variable: a24588 
o|substituted constant variable: a24590 
o|substituted constant variable: a24592 
o|substituted constant variable: a24594 
o|substituted constant variable: a24603 
o|substituted constant variable: a24605 
o|inlining procedure: k24433 
o|inlining procedure: k24628 
o|inlining procedure: k24628 
o|inlining procedure: k24682 
o|inlining procedure: k24700 
o|inlining procedure: k24700 
o|inlining procedure: k24682 
o|inlining procedure: k24738 
o|inlining procedure: k24738 
o|inlining procedure: k24754 
o|inlining procedure: k24754 
o|inlining procedure: k24795 
o|inlining procedure: k24795 
o|substituted constant variable: a24808 
o|substituted constant variable: a24810 
o|inlining procedure: k24811 
o|inlining procedure: k24839 
o|inlining procedure: k24839 
o|inlining procedure: k24811 
o|inlining procedure: k24883 
o|inlining procedure: k24883 
o|inlining procedure: k24900 
o|inlining procedure: k24900 
o|inlining procedure: k24923 
o|inlining procedure: k24953 
o|inlining procedure: k24953 
o|inlining procedure: k24923 
o|inlining procedure: k25041 
o|inlining procedure: k25041 
o|substituted constant variable: a25058 
o|substituted constant variable: a25060 
o|substituted constant variable: saved542754285440 
o|inlining procedure: k25165 
o|inlining procedure: k25165 
o|inlining procedure: k25232 
o|inlining procedure: k25253 
o|inlining procedure: k25253 
o|inlining procedure: k25232 
o|inlining procedure: k25279 
o|inlining procedure: k25279 
o|inlining procedure: k25317 
o|inlining procedure: k25317 
o|inlining procedure: k25348 
o|inlining procedure: k25348 
o|inlining procedure: k25385 
o|inlining procedure: k25385 
o|substituted constant variable: a25445 
o|substituted constant variable: a25446 
o|inlining procedure: k25447 
o|inlining procedure: k25447 
o|inlining procedure: k25498 
o|inlining procedure: k25498 
o|inlining procedure: k25521 
o|inlining procedure: k25547 
o|inlining procedure: k25547 
o|inlining procedure: k25521 
o|inlining procedure: k25601 
o|inlining procedure: k25601 
o|substituted constant variable: c5636 
o|contracted procedure: "(library.scm:4911) extract5613" 
o|substituted constant variable: c5636 
o|inlining procedure: k25668 
o|inlining procedure: k25668 
o|substituted constant variable: c5636 
o|substituted constant variable: c5636 
o|inlining procedure: k25750 
o|inlining procedure: k25750 
o|inlining procedure: k25775 
o|inlining procedure: k25775 
o|inlining procedure: k25781 
o|inlining procedure: k25781 
o|inlining procedure: k25718 
o|inlining procedure: k25800 
o|inlining procedure: k25800 
o|inlining procedure: k25718 
o|substituted constant variable: a25848 
o|substituted constant variable: a25849 
o|inlining procedure: k25920 
o|inlining procedure: "(library.scm:4959) break5709" 
o|inlining procedure: k25920 
o|inlining procedure: k25949 
o|inlining procedure: k25949 
o|inlining procedure: k25965 
o|inlining procedure: k25965 
o|inlining procedure: k25988 
o|contracted procedure: "(library.scm:4980) g57195726" 
o|inlining procedure: k25988 
o|inlining procedure: k26029 
o|inlining procedure: k26029 
o|inlining procedure: k26083 
o|contracted procedure: "(library.scm:5044) g57875794" 
o|inlining procedure: k26083 
o|inlining procedure: k26121 
o|inlining procedure: k26121 
o|inlining procedure: k26164 
o|inlining procedure: k26164 
o|inlining procedure: k26176 
o|inlining procedure: k26176 
o|inlining procedure: k26188 
o|inlining procedure: k26188 
o|inlining procedure: k26200 
o|inlining procedure: k26200 
o|inlining procedure: k26212 
o|inlining procedure: k26212 
o|inlining procedure: k26224 
o|inlining procedure: k26224 
o|inlining procedure: k26236 
o|inlining procedure: k26236 
o|substituted constant variable: a26243 
o|substituted constant variable: a26245 
o|substituted constant variable: a26247 
o|substituted constant variable: a26249 
o|substituted constant variable: a26251 
o|substituted constant variable: a26253 
o|substituted constant variable: a26255 
o|substituted constant variable: a26257 
o|substituted constant variable: a26259 
o|substituted constant variable: a26261 
o|substituted constant variable: a26263 
o|substituted constant variable: a26265 
o|substituted constant variable: a26267 
o|substituted constant variable: a26269 
o|substituted constant variable: a26305 
o|substituted constant variable: a26307 
o|substituted constant variable: a26309 
o|inlining procedure: k26363 
o|inlining procedure: k26399 
o|inlining procedure: k26399 
o|inlining procedure: k26411 
o|inlining procedure: k26425 
o|inlining procedure: k26425 
o|inlining procedure: k26411 
o|inlining procedure: k26363 
o|inlining procedure: k26461 
o|inlining procedure: k26461 
o|inlining procedure: k26516 
o|propagated global variable: r2651733613 ##sys#current-exception-handler 
o|removed unused formal parameters: (convert?5956) 
o|inlining procedure: k26531 
o|inlining procedure: k26531 
o|removed unused parameter to known procedure: convert?5956 "(library.scm:5196) body59465955" 
o|inlining procedure: k26516 
o|inlining procedure: k26558 
o|inlining procedure: k26558 
o|removed unused parameter to known procedure: convert?5956 "(library.scm:5196) body59465955" 
o|inlining procedure: k26583 
o|inlining procedure: k26583 
o|inlining procedure: k26696 
o|contracted procedure: "(library.scm:5224) g60416050" 
o|inlining procedure: k26696 
o|inlining procedure: k26742 
o|contracted procedure: "(library.scm:5223) g60146023" 
o|inlining procedure: k26742 
o|inlining procedure: k26776 
o|contracted procedure: "(library.scm:5220) g59915998" 
o|inlining procedure: k26776 
o|inlining procedure: k26818 
o|inlining procedure: k26818 
o|inlining procedure: k26870 
o|contracted procedure: "(library.scm:5229) g60746083" 
o|inlining procedure: k26870 
o|inlining procedure: k26932 
o|inlining procedure: k26932 
o|inlining procedure: k26988 
o|inlining procedure: k26988 
o|inlining procedure: k27030 
o|inlining procedure: k27030 
o|inlining procedure: k27060 
o|inlining procedure: k27075 
o|inlining procedure: k27075 
o|inlining procedure: k27060 
o|inlining procedure: k27136 
o|inlining procedure: k27136 
o|substituted constant variable: a27161 
o|substituted constant variable: a27162 
o|inlining procedure: k27169 
o|inlining procedure: k27190 
o|inlining procedure: k27190 
o|inlining procedure: k27220 
o|inlining procedure: k27220 
o|inlining procedure: k27249 
o|inlining procedure: k27249 
o|inlining procedure: k27169 
o|inlining procedure: k27317 
o|inlining procedure: k27317 
o|inlining procedure: k27352 
o|inlining procedure: k27352 
o|inlining procedure: k27398 
o|inlining procedure: k27421 
o|inlining procedure: k27421 
o|inlining procedure: k27398 
o|inlining procedure: k27458 
o|inlining procedure: k27458 
o|inlining procedure: k27472 
o|inlining procedure: k27472 
o|inlining procedure: k27490 
o|inlining procedure: k27490 
o|inlining procedure: k27508 
o|inlining procedure: k27508 
o|inlining procedure: k27526 
o|inlining procedure: k27526 
o|inlining procedure: k27544 
o|inlining procedure: k27544 
o|inlining procedure: k27562 
o|inlining procedure: k27562 
o|inlining procedure: k27580 
o|inlining procedure: k27580 
o|inlining procedure: k27598 
o|inlining procedure: k27598 
o|inlining procedure: k27616 
o|inlining procedure: k27616 
o|inlining procedure: k27634 
o|inlining procedure: k27634 
o|inlining procedure: k27652 
o|inlining procedure: k27652 
o|inlining procedure: k27670 
o|inlining procedure: k27670 
o|inlining procedure: k27688 
o|inlining procedure: k27688 
o|inlining procedure: k27706 
o|inlining procedure: k27706 
o|inlining procedure: k27724 
o|inlining procedure: k27724 
o|inlining procedure: k27742 
o|inlining procedure: k27742 
o|inlining procedure: k27760 
o|inlining procedure: k27760 
o|inlining procedure: k27778 
o|inlining procedure: k27778 
o|inlining procedure: k27796 
o|inlining procedure: k27796 
o|inlining procedure: k27814 
o|inlining procedure: k27814 
o|inlining procedure: k27832 
o|inlining procedure: k27832 
o|inlining procedure: k27850 
o|inlining procedure: k27850 
o|inlining procedure: k27868 
o|inlining procedure: k27868 
o|inlining procedure: k27886 
o|inlining procedure: k27886 
o|inlining procedure: k27904 
o|inlining procedure: k27904 
o|inlining procedure: k27922 
o|inlining procedure: k27922 
o|inlining procedure: k27940 
o|inlining procedure: k27940 
o|substituted constant variable: a27953 
o|substituted constant variable: a27955 
o|substituted constant variable: a27957 
o|substituted constant variable: a27959 
o|substituted constant variable: a27961 
o|substituted constant variable: a27963 
o|substituted constant variable: a27965 
o|substituted constant variable: a27967 
o|substituted constant variable: a27969 
o|substituted constant variable: a27971 
o|substituted constant variable: a27973 
o|substituted constant variable: a27975 
o|substituted constant variable: a27977 
o|substituted constant variable: a27979 
o|substituted constant variable: a27981 
o|substituted constant variable: a27983 
o|substituted constant variable: a27985 
o|substituted constant variable: a27987 
o|substituted constant variable: a27989 
o|substituted constant variable: a27991 
o|substituted constant variable: a27993 
o|substituted constant variable: a27995 
o|substituted constant variable: a27997 
o|substituted constant variable: a27999 
o|substituted constant variable: a28001 
o|substituted constant variable: a28003 
o|substituted constant variable: a28005 
o|substituted constant variable: a28007 
o|substituted constant variable: a28009 
o|substituted constant variable: a28011 
o|substituted constant variable: a28013 
o|substituted constant variable: a28015 
o|substituted constant variable: a28017 
o|substituted constant variable: a28019 
o|substituted constant variable: a28021 
o|substituted constant variable: a28023 
o|substituted constant variable: a28025 
o|substituted constant variable: a28027 
o|substituted constant variable: a28029 
o|substituted constant variable: a28031 
o|substituted constant variable: a28033 
o|substituted constant variable: a28035 
o|substituted constant variable: a28037 
o|substituted constant variable: a28039 
o|substituted constant variable: a28041 
o|substituted constant variable: a28043 
o|substituted constant variable: a28045 
o|substituted constant variable: a28047 
o|substituted constant variable: a28049 
o|substituted constant variable: a28051 
o|substituted constant variable: a28053 
o|substituted constant variable: a28055 
o|substituted constant variable: a28057 
o|substituted constant variable: a28059 
o|substituted constant variable: a28061 
o|inlining procedure: k28141 
o|inlining procedure: k28141 
o|inlining procedure: k28179 
o|inlining procedure: k28179 
o|inlining procedure: k28201 
o|inlining procedure: k28201 
o|inlining procedure: k28259 
o|inlining procedure: k28259 
o|contracted procedure: "(library.scm:5533) fetch6452" 
o|contracted procedure: "(library.scm:5550) free6471" 
o|inlining procedure: k28306 
o|inlining procedure: k28306 
o|inlining procedure: k28323 
o|inlining procedure: k28323 
o|contracted procedure: "(library.scm:5545) fetch6470" 
o|propagated global variable: ct6572 ##sys#current-thread 
o|inlining procedure: k28507 
o|inlining procedure: k28507 
o|inlining procedure: k28535 
o|inlining procedure: k28535 
o|inlining procedure: k28592 
o|inlining procedure: k28592 
o|inlining procedure: k28632 
o|inlining procedure: k28644 
o|inlining procedure: k28644 
o|inlining procedure: k28632 
o|inlining procedure: k28671 
o|inlining procedure: k28671 
o|inlining procedure: k28717 
o|inlining procedure: k28717 
o|substituted constant variable: a28775 
o|inlining procedure: k28768 
o|inlining procedure: k28768 
o|substituted constant variable: a28788 
o|inlining procedure: k28799 
o|inlining procedure: k28839 
o|inlining procedure: k28877 
o|inlining procedure: k28877 
o|inlining procedure: k28839 
o|inlining procedure: k28971 
o|inlining procedure: k28971 
o|substituted constant variable: a29032 
o|substituted constant variable: a29034 
o|substituted constant variable: a29042 
o|substituted constant variable: a29047 
o|substituted constant variable: a29049 
o|substituted constant variable: a29063 
o|inlining procedure: k29056 
o|inlining procedure: k29056 
o|substituted constant variable: a29076 
o|inlining procedure: k28799 
o|substituted constant variable: a29091 
o|substituted constant variable: a29093 
o|inlining procedure: k29107 
o|inlining procedure: k29107 
o|inlining procedure: k29202 
o|inlining procedure: k29211 
o|inlining procedure: k29211 
o|inlining procedure: k29202 
o|contracted procedure: "(library.scm:5939) get6783" 
o|inlining procedure: k29278 
o|inlining procedure: k29278 
o|inlining procedure: k29292 
o|inlining procedure: k29292 
o|contracted procedure: "(library.scm:5968) fetch-arg6803" 
o|inlining procedure: k29361 
o|inlining procedure: k29381 
o|inlining procedure: k29381 
o|inlining procedure: k29408 
o|inlining procedure: k29408 
o|inlining procedure: k29361 
o|inlining procedure: k29432 
o|inlining procedure: k29432 
o|inlining procedure: k29444 
o|inlining procedure: k29444 
o|inlining procedure: k29470 
o|inlining procedure: k29470 
o|inlining procedure: k29586 
o|inlining procedure: k29586 
o|inlining procedure: k29608 
o|inlining procedure: k29608 
o|inlining procedure: k29648 
o|inlining procedure: k29648 
o|inlining procedure: k29673 
o|inlining procedure: k29673 
o|inlining procedure: k29695 
o|inlining procedure: k29695 
o|inlining procedure: k29727 
o|inlining procedure: k29727 
o|inlining procedure: k29759 
o|inlining procedure: k29759 
o|inlining procedure: k29791 
o|inlining procedure: k29791 
o|inlining procedure: k29823 
o|inlining procedure: k29823 
o|substituted constant variable: a29871 
o|substituted constant variable: a29873 
o|substituted constant variable: a29875 
o|substituted constant variable: a29877 
o|substituted constant variable: a29879 
o|substituted constant variable: a29881 
o|substituted constant variable: a29883 
o|substituted constant variable: a29885 
o|substituted constant variable: a29887 
o|substituted constant variable: a29889 
o|inlining procedure: k29890 
o|inlining procedure: k29890 
o|inlining procedure: k29945 
o|inlining procedure: k29945 
o|inlining procedure: k29962 
o|inlining procedure: k29986 
o|inlining procedure: k29986 
o|inlining procedure: k29962 
o|inlining procedure: k30029 
o|inlining procedure: k30029 
o|inlining procedure: k30092 
o|inlining procedure: k30092 
o|inlining procedure: k30124 
o|inlining procedure: "(library.scm:6300) pstr7079" 
o|substituted constant variable: a30145 
o|inlining procedure: k30124 
o|inlining procedure: "(library.scm:6302) pstr7079" 
o|substituted constant variable: a30167 
o|inlining procedure: k30168 
o|inlining procedure: "(library.scm:6304) pstr7079" 
o|substituted constant variable: a30189 
o|inlining procedure: k30168 
o|inlining procedure: "(library.scm:6305) pstr7079" 
o|inlining procedure: "(library.scm:6331) pstr7079" 
o|inlining procedure: "(library.scm:6329) pstr7079" 
o|inlining procedure: "(library.scm:6327) pchr7080" 
o|inlining procedure: "(library.scm:6325) pstr7079" 
o|inlining procedure: "(library.scm:6321) pstr7079" 
o|inlining procedure: "(library.scm:6319) pchr7080" 
o|inlining procedure: "(library.scm:6317) pstr7079" 
o|inlining procedure: "(library.scm:6313) pstr7079" 
o|inlining procedure: "(library.scm:6311) pstr7079" 
o|inlining procedure: "(library.scm:6308) pstr7079" 
o|inlining procedure: k30395 
o|inlining procedure: k30417 
o|inlining procedure: k30417 
o|contracted procedure: "(library.scm:6407) get-config7182" 
o|inlining procedure: k30362 
o|inlining procedure: k30362 
o|substituted constant variable: a30375 
o|inlining procedure: k30453 
o|inlining procedure: k30453 
o|inlining procedure: k30395 
o|propagated global variable: r3039633930 ##sys#build-version 
o|inlining procedure: k30490 
o|inlining procedure: k30490 
o|inlining procedure: k30518 
o|inlining procedure: k30518 
o|removed side-effect free assignment to unused variable: prefix7254 
o|inlining procedure: k30601 
o|inlining procedure: k30601 
o|inlining procedure: k30616 
o|inlining procedure: k30616 
o|contracted procedure: "(library.scm:6482) err7253" 
o|inlining procedure: k30635 
o|inlining procedure: k30635 
o|inlining procedure: k30713 
o|contracted procedure: "(library.scm:6518) g72857292" 
o|inlining procedure: k30697 
o|inlining procedure: k30697 
o|inlining procedure: k30713 
o|inlining procedure: k30749 
o|inlining procedure: k30749 
o|inlining procedure: k30780 
o|inlining procedure: k30780 
o|inlining procedure: k30826 
o|inlining procedure: k30826 
o|inlining procedure: k30857 
o|inlining procedure: k30857 
o|inlining procedure: k30869 
o|inlining procedure: k30869 
o|inlining procedure: k30881 
o|inlining procedure: k30881 
o|inlining procedure: k30890 
o|inlining procedure: k30890 
o|inlining procedure: k30899 
o|inlining procedure: k30899 
o|inlining procedure: k30975 
o|inlining procedure: k30975 
o|inlining procedure: k30997 
o|inlining procedure: k31014 
o|contracted procedure: "(library.scm:6460) g72277234" 
o|inlining procedure: k31014 
o|inlining procedure: k30997 
o|inlining procedure: k31040 
o|inlining procedure: k31040 
o|inlining procedure: k31114 
o|inlining procedure: k31114 
o|inlining procedure: k31161 
o|inlining procedure: k31161 
o|inlining procedure: k31236 
o|inlining procedure: k31236 
o|substituted constant variable: a31248 
o|inlining procedure: k31261 
o|inlining procedure: k31303 
o|inlining procedure: k31303 
o|inlining procedure: k31333 
o|contracted procedure: "(library.scm:5116) g58525859" 
o|inlining procedure: k31333 
o|inlining procedure: k31261 
o|inlining procedure: k31388 
o|inlining procedure: k31388 
o|inlining procedure: k31439 
o|inlining procedure: k31439 
o|inlining procedure: k31466 
o|inlining procedure: k31466 
o|inlining procedure: k31491 
o|inlining procedure: k31491 
o|inlining procedure: k31571 
o|inlining procedure: k31571 
o|inlining procedure: k31597 
o|inlining procedure: k31597 
o|inlining procedure: k31678 
o|inlining procedure: k31678 
o|inlining procedure: k31833 
o|inlining procedure: k31833 
o|inlining procedure: k31842 
o|inlining procedure: k31842 
o|inlining procedure: k31851 
o|inlining procedure: k31851 
o|inlining procedure: k31867 
o|inlining procedure: k31867 
o|inlining procedure: k31893 
o|inlining procedure: k31922 
o|inlining procedure: k31922 
o|inlining procedure: k31893 
o|inlining procedure: k31957 
o|inlining procedure: k31957 
o|inlining procedure: k31997 
o|inlining procedure: k31997 
o|inlining procedure: k32059 
o|inlining procedure: k32059 
o|inlining procedure: k32071 
o|inlining procedure: k32071 
o|inlining procedure: k32114 
o|inlining procedure: k32114 
o|inlining procedure: k32172 
o|inlining procedure: k32172 
o|inlining procedure: k32187 
o|inlining procedure: k32187 
o|inlining procedure: k32223 
o|inlining procedure: k32223 
o|substituted constant variable: sblen3857 
o|substituted constant variable: sblen3857 
o|replaced variables: 4495 
o|removed binding forms: 1859 
o|substituted constant variable: r907232326 
o|substituted constant variable: r907832328 
o|inlining procedure: k9395 
o|substituted constant variable: r945932342 
o|substituted constant variable: r961232353 
o|substituted constant variable: r962432356 
o|substituted constant variable: r971932363 
o|substituted constant variable: r978032368 
o|substituted constant variable: r985332371 
o|substituted constant variable: r990732375 
o|substituted constant variable: r1002332384 
o|substituted constant variable: r1021532393 
o|substituted constant variable: r1029232398 
o|substituted constant variable: r1075632441 
o|substituted constant variable: r1075632441 
o|substituted constant variable: r1077332447 
o|substituted constant variable: r1077332447 
o|substituted constant variable: r1079632452 
o|substituted constant variable: r1079632452 
o|substituted constant variable: r1081432459 
o|substituted constant variable: r1081432459 
o|substituted constant variable: r1083832465 
o|substituted constant variable: r1083832465 
o|substituted constant variable: r1086432471 
o|substituted constant variable: r1086432471 
o|substituted constant variable: r1096732482 
o|substituted constant variable: r1149832506 
o|substituted constant variable: r1186132527 
o|substituted constant variable: loc1755 
o|substituted constant variable: loc1766 
o|substituted constant variable: loc1777 
o|substituted constant variable: loc1788 
o|substituted constant variable: loc1799 
o|substituted constant variable: loc1810 
o|substituted constant variable: loc1821 
o|substituted constant variable: loc1832 
o|substituted constant variable: loc1843 
o|substituted constant variable: loc1854 
o|substituted constant variable: loc1865 
o|substituted constant variable: loc1874 
o|substituted constant variable: loc1884 
o|substituted constant variable: loc1895 
o|substituted constant variable: loc1904 
o|substituted constant variable: loc1912 
o|substituted constant variable: loc1920 
o|substituted constant variable: loc1928 
o|substituted constant variable: loc1936 
o|substituted constant variable: loc1944 
o|substituted constant variable: loc1952 
o|substituted constant variable: loc1960 
o|substituted constant variable: loc1968 
o|substituted constant variable: loc1976 
o|substituted constant variable: loc1986 
o|substituted constant variable: loc1995 
o|substituted constant variable: loc2005 
o|substituted constant variable: loc2014 
o|substituted constant variable: loc2022 
o|substituted constant variable: loc2030 
o|substituted constant variable: loc2038 
o|inlining procedure: k12624 
o|inlining procedure: k12624 
o|substituted constant variable: r1263832600 
o|substituted constant variable: r1271932605 
o|substituted constant variable: r1288332619 
o|converted assignments to bindings: (deliver2212) 
o|substituted constant variable: n2410 
o|substituted constant variable: d2411 
o|substituted constant variable: r1415732694 
o|substituted constant variable: r1416632696 
o|substituted constant variable: r1419932700 
o|substituted constant variable: r1420832702 
o|substituted constant variable: r1508532750 
o|substituted constant variable: r1519332757 
o|substituted constant variable: r1525832761 
o|substituted constant variable: r1543332768 
o|substituted constant variable: r1556132770 
o|substituted constant variable: r1556132770 
o|substituted constant variable: r1556132772 
o|substituted constant variable: r1556132772 
o|substituted constant variable: r1562032779 
o|substituted constant variable: r1563632782 
o|substituted constant variable: r1563632783 
o|substituted constant variable: r1559932788 
o|removed side-effect free assignment to unused variable: make-nan2847 
o|substituted constant variable: r1582632800 
o|substituted constant variable: r1584632802 
o|substituted constant variable: r1586832804 
o|substituted constant variable: r1587932806 
o|substituted constant variable: r1591632809 
o|substituted constant variable: r1594232810 
o|substituted constant variable: r1594232811 
o|substituted constant variable: r1589332812 
o|substituted constant variable: r1600532825 
o|substituted constant variable: r1599332826 
o|substituted constant variable: r1595432842 
o|substituted constant variable: r1627032852 
o|substituted constant variable: r1626032853 
o|substituted constant variable: r1624832854 
o|substituted constant variable: r1633432862 
o|substituted constant variable: r1631632863 
o|substituted constant variable: r1630632864 
o|substituted constant variable: r1649032875 
o|substituted constant variable: r1657132879 
o|substituted constant variable: r1657132879 
o|substituted constant variable: r1657132881 
o|substituted constant variable: r1657132881 
o|substituted constant variable: r1659432886 
o|substituted constant variable: r1659432886 
o|substituted constant variable: r1667732894 
o|substituted constant variable: r1667732894 
o|substituted constant variable: r1665432897 
o|substituted constant variable: r1672932898 
o|substituted constant variable: r1672932899 
o|substituted constant variable: r1651132900 
o|substituted constant variable: r1675732903 
o|substituted constant variable: r1674532904 
o|substituted constant variable: r1678032908 
o|substituted constant variable: r1685532912 
o|substituted constant variable: r1684032913 
o|substituted constant variable: r1690232916 
o|substituted constant variable: r1702232919 
o|substituted constant variable: r1706632923 
o|substituted constant variable: r1711032927 
o|substituted constant variable: r1712332929 
o|substituted constant variable: r1722032936 
o|substituted constant variable: r1729332940 
o|substituted constant variable: r1737932945 
o|substituted constant variable: r1739132947 
o|substituted constant variable: r1740032950 
o|substituted constant variable: r1741832953 
o|substituted constant variable: r1770232976 
o|substituted constant variable: r1775032978 
o|substituted constant variable: r1785432987 
o|substituted constant variable: r1818732998 
o|substituted constant variable: r1831833004 
o|substituted constant variable: r1851833016 
o|substituted constant variable: r1870233028 
o|converted assignments to bindings: (continuation3767) 
o|substituted constant variable: r1887633042 
o|removed unused formal parameters: (%convert?38993914) 
o|removed unused parameter to known procedure: %convert?38993914 "(library.scm:3301) def-set?39043913" 
o|removed unused parameter to known procedure: %convert?38993914 "(library.scm:3301) def-set?39043913" 
o|removed unused formal parameters: (%convert?39243939) 
o|removed unused parameter to known procedure: %convert?39243939 "(library.scm:3311) def-set?39293938" 
o|removed unused parameter to known procedure: %convert?39243939 "(library.scm:3311) def-set?39293938" 
o|removed unused formal parameters: (%convert?39493964) 
o|removed unused parameter to known procedure: %convert?39493964 "(library.scm:3321) def-set?39543963" 
o|removed unused parameter to known procedure: %convert?39493964 "(library.scm:3321) def-set?39543963" 
o|substituted constant variable: r1918233070 
o|substituted constant variable: r1924533075 
o|substituted constant variable: r1924533075 
o|substituted constant variable: r1924533077 
o|substituted constant variable: r1924533077 
o|substituted constant variable: r1948733087 
o|substituted constant variable: r1954033090 
o|substituted constant variable: r1963433096 
o|substituted constant variable: r1967233098 
o|substituted constant variable: r1970633100 
o|substituted constant variable: r1976633104 
o|inlining procedure: k20089 
o|substituted constant variable: r2015633119 
o|inlining procedure: k20167 
o|substituted constant variable: r2099533170 
o|substituted constant variable: tok476733198 
o|inlining procedure: k21326 
o|converted assignments to bindings: (starting-line4541) 
o|substituted constant variable: r2142633240 
o|substituted constant variable: r2142633240 
o|substituted constant variable: r2173933275 
o|substituted constant variable: r2173933275 
o|substituted constant variable: r2174933278 
o|inlining procedure: k21987 
o|inlining procedure: k21987 
o|inlining procedure: k21987 
o|substituted constant variable: r2198533299 
o|substituted constant variable: r2196733300 
o|removed side-effect free assignment to unused variable: build-symbol4435 
o|removed side-effect free assignment to unused variable: build-keyword4436 
o|substituted constant variable: r2243933334 
o|substituted constant variable: r2260133345 
o|substituted constant variable: r2283533366 
o|substituted constant variable: r2310033392 
o|substituted constant variable: r2311933393 
o|substituted constant variable: r2311933393 
o|substituted constant variable: r2311933395 
o|substituted constant variable: r2311933395 
o|substituted constant variable: r2329933402 
o|substituted constant variable: r2332333405 
o|substituted constant variable: r2331133406 
o|converted assignments to bindings: (hex4958) 
o|substituted constant variable: r2352133417 
o|propagated global variable: port502633420 ##sys#standard-output 
o|substituted constant variable: r2404333443 
o|substituted constant variable: r2405533445 
o|substituted constant variable: r2407033447 
o|substituted constant variable: r2407033448 
o|substituted constant variable: r2411133450 
o|substituted constant variable: r2412633452 
o|substituted constant variable: r2412633453 
o|inlining procedure: k24138 
o|substituted constant variable: r2413933456 
o|substituted constant variable: r2413933456 
o|folded constant expression: (scheme#not (quote #f)) 
o|substituted constant variable: r2418133462 
o|inlining procedure: k24637 
o|substituted constant variable: r2488433514 
o|inlining procedure: k25022 
o|substituted constant variable: r2538633538 
o|converted assignments to bindings: (copy&append5540) 
o|substituted constant variable: r2560233549 
o|converted assignments to bindings: (break5709) 
o|substituted constant variable: r2612233581 
o|substituted constant variable: r2612233581 
o|substituted constant variable: r2612233583 
o|substituted constant variable: r2612233583 
o|substituted constant variable: r2616533585 
o|substituted constant variable: r2617733587 
o|substituted constant variable: r2618933589 
o|substituted constant variable: r2620133591 
o|substituted constant variable: r2621333593 
o|substituted constant variable: r2622533595 
o|substituted constant variable: r2623733597 
o|substituted constant variable: r2623733598 
o|substituted constant variable: r2640033602 
o|substituted constant variable: r2640033602 
o|inlining procedure: k26425 
o|inlining procedure: k26425 
o|removed unused formal parameters: (%convert?59445959) 
o|removed unused parameter to known procedure: %convert?59445959 "(library.scm:5196) def-set?59495958" 
o|removed unused parameter to known procedure: %convert?59445959 "(library.scm:5196) def-set?59495958" 
o|substituted constant variable: r2658433619 
o|substituted constant variable: r2693333631 
o|substituted constant variable: r2703133636 
o|substituted constant variable: r2706133640 
o|substituted constant variable: r2742233666 
o|substituted constant variable: r2742233666 
o|substituted constant variable: r2745933671 
o|substituted constant variable: r2745933671 
o|substituted constant variable: r2818033730 
o|substituted constant variable: r2820233732 
o|substituted constant variable: r2826033733 
o|substituted constant variable: r2830733737 
o|substituted constant variable: r2830733737 
o|substituted constant variable: r2832433739 
o|inlining procedure: k28726 
o|converted assignments to bindings: (get/clear-str6672) 
o|substituted constant variable: r2920333776 
o|inlining procedure: k29361 
o|inlining procedure: k29361 
o|substituted constant variable: r2996333838 
o|removed side-effect free assignment to unused variable: pstr7079 
o|removed side-effect free assignment to unused variable: pchr7080 
o|substituted constant variable: r3009333841 
o|substituted constant variable: r3009333841 
o|substituted constant variable: str708433847 
o|substituted constant variable: str708433853 
o|substituted constant variable: str708433859 
o|substituted constant variable: str708433865 
o|substituted constant variable: str708433870 
o|substituted constant variable: str708433875 
o|substituted constant variable: chr708533880 
o|substituted constant variable: str708433885 
o|substituted constant variable: str708433890 
o|substituted constant variable: chr708533895 
o|substituted constant variable: str708433900 
o|substituted constant variable: str708433905 
o|substituted constant variable: str708433910 
o|substituted constant variable: str708433915 
o|substituted constant variable: r3041833920 
o|substituted constant variable: r3041833920 
o|substituted constant variable: r3036333924 
o|converted assignments to bindings: (str7187) 
o|substituted constant variable: r3045433926 
o|substituted constant variable: r3045433926 
o|substituted constant variable: r3045433928 
o|substituted constant variable: r3045433928 
o|substituted constant variable: r3049133931 
o|substituted constant variable: r3075033945 
o|substituted constant variable: r3087033954 
o|substituted constant variable: r3090033960 
o|inlining procedure: k30975 
o|substituted constant variable: r3099833968 
o|substituted constant variable: r3116233973 
o|inlining procedure: k31282 
o|inlining procedure: k31282 
o|substituted constant variable: r3146733987 
o|substituted constant variable: r3149233989 
o|substituted constant variable: r3159833995 
o|substituted constant variable: r3167933997 
o|substituted constant variable: r3184334002 
o|substituted constant variable: r3185234004 
o|substituted constant variable: r3186834006 
o|substituted constant variable: r3192334009 
o|converted assignments to bindings: (lookup-char3600) 
o|simplifications: ((let . 10)) 
o|replaced variables: 194 
o|removed binding forms: 4479 
o|removed conditional forms: 1 
o|inlining procedure: k9377 
o|substituted constant variable: r939634039 
o|inlining procedure: k10540 
o|inlining procedure: k10540 
o|inlining procedure: k10540 
o|inlining procedure: k11012 
o|inlining procedure: k11028 
o|inlining procedure: k11044 
o|inlining procedure: k11060 
o|inlining procedure: k11076 
o|inlining procedure: k11092 
o|inlining procedure: k11108 
o|inlining procedure: k11124 
o|inlining procedure: k11249 
o|inlining procedure: k11284 
o|inlining procedure: k11284 
o|inlining procedure: k11539 
o|inlining procedure: k11539 
o|inlining procedure: k11649 
o|inlining procedure: k11649 
o|inlining procedure: k12825 
o|inlining procedure: k12937 
o|inlining procedure: k13006 
o|inlining procedure: k13098 
o|inlining procedure: k13104 
o|inlining procedure: k13207 
o|inlining procedure: k13430 
o|inlining procedure: k13500 
o|inlining procedure: k13545 
o|inlining procedure: k13582 
o|inlining procedure: k13613 
o|inlining procedure: k13613 
o|inlining procedure: k13626 
o|inlining procedure: k13794 
o|inlining procedure: k13935 
o|inlining procedure: k14577 
o|inlining procedure: k14601 
o|inlining procedure: k14801 
o|inlining procedure: k14924 
o|inlining procedure: k14932 
o|inlining procedure: k14970 
o|inlining procedure: k14988 
o|inlining procedure: k15141 
o|inlining procedure: k15170 
o|inlining procedure: k15388 
o|inlining procedure: k15395 
o|inlining procedure: k15855 
o|inlining procedure: k16363 
o|inlining procedure: k16501 
o|inlining procedure: k16791 
o|inlining procedure: k16805 
o|inlining procedure: k16811 
o|inlining procedure: k16870 
o|inlining procedure: k16878 
o|inlining procedure: k17206 
o|inlining procedure: k17213 
o|inlining procedure: k17213 
o|inlining procedure: k17246 
o|inlining procedure: k19259 
o|inlining procedure: k19259 
o|inlining procedure: k19259 
o|inlining procedure: k19521 
o|propagated global variable: r1952234781 ##sys#standard-output 
o|propagated global variable: r1952234781 ##sys#standard-output 
o|inlining procedure: k20068 
o|propagated global variable: r2006934789 ##sys#standard-input 
o|propagated global variable: r2006934789 ##sys#standard-input 
o|inlining procedure: k20180 
o|propagated global variable: r2018134791 ##sys#standard-input 
o|propagated global variable: r2018134791 ##sys#standard-input 
o|inlining procedure: k20198 
o|propagated global variable: r2019934793 ##sys#standard-input 
o|propagated global variable: r2019934793 ##sys#standard-input 
o|inlining procedure: k20911 
o|inlining procedure: k23629 
o|propagated global variable: r2363034820 ##sys#standard-output 
o|propagated global variable: r2363034820 ##sys#standard-output 
o|inlining procedure: k23647 
o|propagated global variable: r2364834822 ##sys#standard-output 
o|propagated global variable: r2364834822 ##sys#standard-output 
o|inlining procedure: k24025 
o|substituted constant variable: r2413934361 
o|folded constant expression: (scheme#not (quote #f)) 
o|inlining procedure: k26279 
o|inlining procedure: k28541 
o|inlining procedure: "(library.scm:5766) ##sys#format-here-doc-warning" 
o|inlining procedure: k28776 
o|inlining procedure: k28776 
o|inlining procedure: "(library.scm:5800) ##sys#format-here-doc-warning" 
o|inlining procedure: k29064 
o|inlining procedure: k29064 
o|inlining procedure: k29605 
o|inlining procedure: k29605 
o|inlining procedure: k29974 
o|inlining procedure: k29974 
o|inlining procedure: k31830 
o|inlining procedure: k31830 
o|replaced variables: 34 
o|removed binding forms: 495 
o|substituted constant variable: r937834563 
o|substituted constant variable: code67934040 
o|substituted constant variable: code67934040 
o|substituted constant variable: r1101334605 
o|substituted constant variable: r1102934607 
o|substituted constant variable: r1104534609 
o|substituted constant variable: r1106134611 
o|substituted constant variable: r1107734613 
o|substituted constant variable: r1109334615 
o|substituted constant variable: r1110934617 
o|substituted constant variable: r1112534619 
o|substituted constant variable: r1125034627 
o|substituted constant variable: r1125034627 
o|substituted constant variable: r1128534631 
o|substituted constant variable: r1128534631 
o|contracted procedure: k12754 
o|contracted procedure: k12759 
o|contracted procedure: k12819 
o|contracted procedure: k13192 
o|contracted procedure: k13201 
o|contracted procedure: k13306 
o|contracted procedure: k13311 
o|contracted procedure: k13316 
o|contracted procedure: k13321 
o|contracted procedure: k13326 
o|contracted procedure: k13331 
o|contracted procedure: k13363 
o|contracted procedure: k13387 
o|contracted procedure: k13402 
o|contracted procedure: k13482 
o|contracted procedure: k13527 
o|contracted procedure: k13576 
o|substituted constant variable: r1361434680 
o|contracted procedure: k13918 
o|contracted procedure: k15407 
o|contracted procedure: k15412 
o|contracted procedure: k15544 
o|contracted procedure: k15701 
o|contracted procedure: k15809 
o|contracted procedure: k15900 
o|contracted procedure: k16518 
o|contracted procedure: k16535 
o|contracted procedure: k16672 
o|contracted procedure: k17009 
o|substituted constant variable: r1721434732 
o|substituted constant variable: r1721434733 
o|inlining procedure: k21281 
o|substituted constant variable: r2642634413 
o|removed side-effect free assignment to unused variable: ##sys#format-here-doc-warning 
o|substituted constant variable: r2960634923 
o|substituted constant variable: r2960634923 
o|substituted constant variable: r2997534924 
o|substituted constant variable: r2997534924 
o|substituted constant variable: r2997534925 
o|substituted constant variable: r2997534925 
o|substituted constant variable: r3183134948 
o|substituted constant variable: r3183134948 
o|substituted constant variable: r3183134948 
o|substituted constant variable: r3183134950 
o|substituted constant variable: r3183134950 
o|substituted constant variable: r3183134950 
o|simplifications: ((let . 3)) 
o|replaced variables: 31 
o|removed binding forms: 112 
o|removed conditional forms: 8 
o|substituted constant variable: code66634564 
o|substituted constant variable: r2128235096 
o|substituted constant variable: r2128235096 
o|replaced variables: 12 
o|removed binding forms: 55 
o|removed conditional forms: 1 
o|simplifications: ((let . 1)) 
o|removed binding forms: 11 
o|simplifications: ((if . 206) (##core#call . 2694)) 
o|  call simplifications:
o|    scheme#cdar	2
o|    scheme#set-cdr!	6
o|    scheme#list-tail
o|    scheme#set-car!	7
o|    ##sys#make-vector
o|    scheme#vector?
o|    ##sys#generic-structure?
o|    ##sys#foreign-string-argument
o|    scheme#read-char
o|    scheme#string-length	3
o|    scheme#string-ref	3
o|    ##sys#list	6
o|    ##sys#context-switch	2
o|    ##sys#foreign-pointer-argument	3
o|    ##sys#null-pointer?	2
o|    scheme#caddr	2
o|    scheme#write-char
o|    scheme#equal?	2
o|    scheme#memv	2
o|    scheme#caar	3
o|    scheme#cddr	3
o|    ##sys#check-structure	2
o|    scheme#string?	5
o|    scheme#symbol?	7
o|    ##sys#apply	2
o|    ##sys#byte
o|    scheme#char-upper-case?
o|    scheme#char<?
o|    ##sys#void	4
o|    scheme#string	4
o|    scheme#member	8
o|    chicken.fixnum#fxior	13
o|    scheme#string=?	6
o|    scheme#char-numeric?	7
o|    scheme#char<=?
o|    chicken.fixnum#fx*	9
o|    scheme#eof-object?	25
o|    scheme#char=?	12
o|    scheme#char-whitespace?	7
o|    scheme#memq	12
o|    ##sys#immediate?	3
o|    chicken.fixnum#fxnot
o|    chicken.fixnum#fxand	16
o|    ##sys#call-with-current-continuation	3
o|    scheme#char?	4
o|    scheme#assq	5
o|    ##sys#setislot	28
o|    scheme#char->integer	16
o|    scheme#char-downcase	14
o|    chicken.fixnum#fxmin	3
o|    ##sys#check-vector	6
o|    ##sys#check-symbol	10
o|    ##sys#intern-symbol	10
o|    scheme#integer->char	22
o|    scheme#string-ci=?	2
o|    scheme#char>=?	3
o|    ##sys#foreign-flonum-argument
o|    ##sys#foreign-fixnum-argument	4
o|    scheme#remainder
o|    chicken.base#fixnum?	2
o|    chicken.fixnum#fxshr	13
o|    chicken.fixnum#fxshl	8
o|    chicken.bitwise#bitwise-and	2
o|    chicken.fixnum#fxneg	5
o|    chicken.bitwise#arithmetic-shift	11
o|    scheme#>	7
o|    scheme#<	7
o|    scheme#cadr	14
o|    scheme#=	3
o|    scheme#>=	2
o|    scheme#quotient	17
o|    scheme#exact?
o|    chicken.base#ratnum?	14
o|    ##sys#check-number	10
o|    chicken.base#cplxnum?	17
o|    scheme#number?	8
o|    scheme#*	44
o|    scheme#inexact?	7
o|    chicken.base#flonum?	46
o|    scheme#list->string
o|    chicken.fixnum#fx>	34
o|    scheme#length	6
o|    chicken.fixnum#fx>=	34
o|    chicken.fixnum#fx+	126
o|    ##sys#check-string	25
o|    chicken.fixnum#fx-	54
o|    ##sys#call-with-values	22
o|    scheme#procedure?	6
o|    ##sys#values	2
o|    chicken.fixnum#fx<=	26
o|    chicken.fixnum#fx<	38
o|    scheme#vector	7
o|    chicken.fixnum#fx=	21
o|    ##sys#size	66
o|    scheme#list	25
o|    ##sys#setslot	46
o|    scheme#list?	5
o|    ##sys#check-pair	3
o|    chicken.base#void	3
o|    scheme#null?	128
o|    ##sys#check-list	19
o|    scheme#not	90
o|    ##sys#make-structure	11
o|    ##sys#structure?	8
o|    scheme#apply	96
o|    scheme#-	19
o|    scheme#call-with-values	2
o|    scheme#+	24
o|    scheme#values	23
o|    ##sys#check-char	15
o|    scheme#pair?	91
o|    ##sys#slot	346
o|    scheme#cons	142
o|    scheme#eq?	394
o|    scheme#cdr	46
o|    scheme#car	120
o|contracted procedure: k8578 
o|contracted procedure: k8574 
o|contracted procedure: k8592 
o|contracted procedure: k8606 
o|contracted procedure: k8602 
o|contracted procedure: k8627 
o|contracted procedure: k8623 
o|contracted procedure: k8641 
o|contracted procedure: k8637 
o|contracted procedure: k8659 
o|contracted procedure: k8655 
o|contracted procedure: k8651 
o|contracted procedure: k8669 
o|contracted procedure: k8681 
o|contracted procedure: k8699 
o|contracted procedure: k8695 
o|contracted procedure: k8710 
o|contracted procedure: k8728 
o|contracted procedure: k8724 
o|contracted procedure: k8720 
o|contracted procedure: k8738 
o|contracted procedure: k8750 
o|contracted procedure: k8775 
o|contracted procedure: k8771 
o|contracted procedure: k8767 
o|contracted procedure: k8785 
o|contracted procedure: k8804 
o|contracted procedure: k8800 
o|contracted procedure: k8796 
o|contracted procedure: k8837 
o|contracted procedure: k8843 
o|contracted procedure: k8850 
o|contracted procedure: k8858 
o|contracted procedure: k8854 
o|contracted procedure: k8988 
o|contracted procedure: k9017 
o|contracted procedure: k9023 
o|contracted procedure: k9034 
o|contracted procedure: k9040 
o|contracted procedure: k9046 
o|contracted procedure: k9052 
o|contracted procedure: k9058 
o|contracted procedure: k9180 
o|contracted procedure: k9194 
o|contracted procedure: k9233 
o|contracted procedure: k9293 
o|contracted procedure: k9324 
o|contracted procedure: k9305 
o|contracted procedure: k9312 
o|contracted procedure: k9320 
o|contracted procedure: k9330 
o|contracted procedure: k9361 
o|contracted procedure: k9342 
o|contracted procedure: k9349 
o|contracted procedure: k9357 
o|contracted procedure: k9371 
o|contracted procedure: k9386 
o|contracted procedure: k9377 
o|contracted procedure: k9401 
o|contracted procedure: k9395 
o|contracted procedure: k9425 
o|contracted procedure: k9434 
o|contracted procedure: k9444 
o|contracted procedure: k9481 
o|contracted procedure: k9461 
o|contracted procedure: k9464 
o|contracted procedure: k9477 
o|contracted procedure: k9490 
o|contracted procedure: k9493 
o|contracted procedure: k9534 
o|contracted procedure: k9555 
o|contracted procedure: k9567 
o|contracted procedure: k9576 
o|contracted procedure: k9579 
o|contracted procedure: k9585 
o|contracted procedure: k9614 
o|contracted procedure: k9641 
o|contracted procedure: k9620 
o|contracted procedure: k9633 
o|contracted procedure: k9637 
o|contracted procedure: k9650 
o|contracted procedure: k9697 
o|contracted procedure: k9661 
o|contracted procedure: k9675 
o|contracted procedure: k9678 
o|contracted procedure: k9684 
o|contracted procedure: k9706 
o|contracted procedure: k9728 
o|contracted procedure: k9743 
o|contracted procedure: k9753 
o|contracted procedure: k9757 
o|contracted procedure: k9767 
o|contracted procedure: k9776 
o|contracted procedure: k9782 
o|contracted procedure: k9789 
o|contracted procedure: k9808 
o|contracted procedure: k9811 
o|contracted procedure: k9814 
o|contracted procedure: k9820 
o|contracted procedure: k9843 
o|contracted procedure: k9855 
o|contracted procedure: k9887 
o|contracted procedure: k9861 
o|contracted procedure: k9867 
o|contracted procedure: k9870 
o|contracted procedure: k9876 
o|contracted procedure: k9890 
o|contracted procedure: k9897 
o|contracted procedure: k9909 
o|contracted procedure: k9971 
o|contracted procedure: k9915 
o|contracted procedure: k9967 
o|contracted procedure: k9924 
o|contracted procedure: k9933 
o|contracted procedure: k9940 
o|contracted procedure: k9948 
o|contracted procedure: k9952 
o|contracted procedure: k9959 
o|contracted procedure: k9963 
o|contracted procedure: k10054 
o|contracted procedure: k9977 
o|contracted procedure: k9989 
o|contracted procedure: k9996 
o|contracted procedure: k9999 
o|contracted procedure: k10005 
o|contracted procedure: k10011 
o|contracted procedure: k10025 
o|contracted procedure: k10028 
o|contracted procedure: k10041 
o|contracted procedure: k10044 
o|contracted procedure: k10051 
o|contracted procedure: k10158 
o|contracted procedure: k10063 
o|contracted procedure: k10075 
o|contracted procedure: k10082 
o|contracted procedure: k10155 
o|contracted procedure: k10088 
o|contracted procedure: k10094 
o|contracted procedure: k10151 
o|contracted procedure: k10100 
o|contracted procedure: k10116 
o|contracted procedure: k10120 
o|contracted procedure: k10139 
o|contracted procedure: k10143 
o|contracted procedure: k10127 
o|contracted procedure: k10135 
o|contracted procedure: k10147 
o|contracted procedure: k10270 
o|contracted procedure: k10167 
o|contracted procedure: k10264 
o|contracted procedure: k10170 
o|contracted procedure: k10258 
o|contracted procedure: k10173 
o|contracted procedure: k10252 
o|contracted procedure: k10176 
o|contracted procedure: k10191 
o|contracted procedure: k10197 
o|contracted procedure: k10203 
o|contracted procedure: k10217 
o|contracted procedure: k10223 
o|contracted procedure: k10226 
o|contracted procedure: k10229 
o|contracted procedure: k10242 
o|contracted procedure: k10246 
o|contracted procedure: k10279 
o|contracted procedure: k10294 
o|contracted procedure: k10297 
o|contracted procedure: k10300 
o|contracted procedure: k10313 
o|contracted procedure: k10317 
o|contracted procedure: k10320 
o|contracted procedure: k10436 
o|contracted procedure: k10448 
o|contracted procedure: k10487 
o|contracted procedure: k10483 
o|contracted procedure: k10534 
o|contracted procedure: k10537 
o|contracted procedure: k10546 
o|contracted procedure: k10565 
o|contracted procedure: k10572 
o|contracted procedure: k10576 
o|contracted procedure: k10585 
o|contracted procedure: k10596 
o|contracted procedure: k10608 
o|contracted procedure: k10619 
o|contracted procedure: k10630 
o|contracted procedure: k10641 
o|contracted procedure: k10652 
o|contracted procedure: k10663 
o|contracted procedure: k10674 
o|contracted procedure: k10685 
o|contracted procedure: k10696 
o|contracted procedure: k10707 
o|contracted procedure: k10718 
o|contracted procedure: k10729 
o|contracted procedure: k10740 
o|contracted procedure: k10758 
o|contracted procedure: k10775 
o|contracted procedure: k10785 
o|contracted procedure: k10788 
o|contracted procedure: k10798 
o|contracted procedure: k10816 
o|contracted procedure: k10844 
o|contracted procedure: k10829 
o|contracted procedure: k10840 
o|contracted procedure: k10856 
o|contracted procedure: k10866 
o|contracted procedure: k10876 
o|contracted procedure: k10887 
o|contracted procedure: k10896 
o|contracted procedure: k10902 
o|contracted procedure: k10911 
o|contracted procedure: k10920 
o|contracted procedure: k10923 
o|contracted procedure: k10992 
o|contracted procedure: k10988 
o|contracted procedure: k10932 
o|contracted procedure: k10944 
o|contracted procedure: k10954 
o|contracted procedure: k10947 
o|contracted procedure: k10957 
o|contracted procedure: k10984 
o|contracted procedure: k10963 
o|contracted procedure: k10980 
o|contracted procedure: k10969 
o|contracted procedure: k10976 
o|contracted procedure: k11001 
o|contracted procedure: k11019 
o|contracted procedure: k11012 
o|contracted procedure: k11035 
o|contracted procedure: k11028 
o|contracted procedure: k11051 
o|contracted procedure: k11044 
o|contracted procedure: k11067 
o|contracted procedure: k11060 
o|contracted procedure: k11083 
o|contracted procedure: k11076 
o|contracted procedure: k11099 
o|contracted procedure: k11092 
o|contracted procedure: k11115 
o|contracted procedure: k11108 
o|contracted procedure: k11131 
o|contracted procedure: k11124 
o|contracted procedure: k11143 
o|contracted procedure: k11213 
o|contracted procedure: k11155 
o|contracted procedure: k11165 
o|contracted procedure: k11174 
o|contracted procedure: k11181 
o|contracted procedure: k11187 
o|contracted procedure: k11194 
o|contracted procedure: k11202 
o|contracted procedure: k11209 
o|contracted procedure: k11228 
o|contracted procedure: k11235 
o|contracted procedure: k11243 
o|contracted procedure: k11239 
o|contracted procedure: k11260 
o|contracted procedure: k11249 
o|contracted procedure: k11287 
o|contracted procedure: k11290 
o|contracted procedure: k11293 
o|contracted procedure: k11296 
o|contracted procedure: k11305 
o|contracted procedure: k11308 
o|contracted procedure: k11315 
o|contracted procedure: k11324 
o|contracted procedure: k11331 
o|contracted procedure: k11335 
o|contracted procedure: k11388 
o|contracted procedure: k11346 
o|contracted procedure: k11352 
o|contracted procedure: k11367 
o|contracted procedure: k11370 
o|contracted procedure: k11373 
o|contracted procedure: k11380 
o|contracted procedure: k11384 
o|contracted procedure: k11398 
o|contracted procedure: k11409 
o|contracted procedure: k11418 
o|contracted procedure: k11421 
o|contracted procedure: k11424 
o|contracted procedure: k11431 
o|contracted procedure: k11435 
o|contracted procedure: k11444 
o|contracted procedure: k11447 
o|contracted procedure: k11451 
o|contracted procedure: k11457 
o|contracted procedure: k11460 
o|contracted procedure: k11469 
o|contracted procedure: k11478 
o|contracted procedure: k11494 
o|contracted procedure: k11500 
o|contracted procedure: k11506 
o|contracted procedure: k11523 
o|contracted procedure: k11528 
o|contracted procedure: k11531 
o|contracted procedure: k11542 
o|contracted procedure: k11555 
o|contracted procedure: k11564 
o|contracted procedure: k11579 
o|contracted procedure: k11588 
o|contracted procedure: k11606 
o|contracted procedure: k11627 
o|contracted procedure: k11638 
o|contracted procedure: k11641 
o|contracted procedure: k11652 
o|contracted procedure: k11665 
o|contracted procedure: k11674 
o|contracted procedure: k11689 
o|contracted procedure: k11698 
o|contracted procedure: k11716 
o|contracted procedure: k11737 
o|contracted procedure: k11749 
o|contracted procedure: k11752 
o|contracted procedure: k11759 
o|contracted procedure: k11774 
o|contracted procedure: k11781 
o|contracted procedure: k11784 
o|contracted procedure: k11787 
o|contracted procedure: k11794 
o|contracted procedure: k11798 
o|contracted procedure: k11822 
o|contracted procedure: k11825 
o|contracted procedure: k11828 
o|contracted procedure: k11835 
o|contracted procedure: k11839 
o|contracted procedure: k11851 
o|contracted procedure: k11863 
o|contracted procedure: k11869 
o|contracted procedure: k11884 
o|contracted procedure: k11899 
o|contracted procedure: k11918 
o|contracted procedure: k11906 
o|contracted procedure: k11910 
o|contracted procedure: k11914 
o|contracted procedure: k11921 
o|contracted procedure: k11952 
o|contracted procedure: k11945 
o|contracted procedure: k11976 
o|contracted procedure: k11969 
o|contracted procedure: k12000 
o|contracted procedure: k11993 
o|contracted procedure: k12024 
o|contracted procedure: k12017 
o|contracted procedure: k12048 
o|contracted procedure: k12041 
o|contracted procedure: k12072 
o|contracted procedure: k12065 
o|contracted procedure: k12096 
o|contracted procedure: k12089 
o|contracted procedure: k12120 
o|contracted procedure: k12113 
o|contracted procedure: k12144 
o|contracted procedure: k12137 
o|contracted procedure: k12168 
o|contracted procedure: k12161 
o|contracted procedure: k12192 
o|contracted procedure: k12185 
o|contracted procedure: k12209 
o|contracted procedure: k12234 
o|contracted procedure: k12227 
o|contracted procedure: k12258 
o|contracted procedure: k12251 
o|contracted procedure: k12275 
o|contracted procedure: k12293 
o|contracted procedure: k12311 
o|contracted procedure: k12329 
o|contracted procedure: k12347 
o|contracted procedure: k12365 
o|contracted procedure: k12383 
o|contracted procedure: k12401 
o|contracted procedure: k12419 
o|contracted procedure: k12437 
o|contracted procedure: k12462 
o|contracted procedure: k12455 
o|contracted procedure: k12479 
o|contracted procedure: k12504 
o|contracted procedure: k12497 
o|contracted procedure: k12521 
o|contracted procedure: k12539 
o|contracted procedure: k12557 
o|contracted procedure: k12575 
o|contracted procedure: k12597 
o|contracted procedure: k12588 
o|contracted procedure: k12613 
o|contracted procedure: k12627 
o|contracted procedure: k12631 
o|contracted procedure: k12671 
o|contracted procedure: k12675 
o|contracted procedure: k12684 
o|contracted procedure: k12695 
o|contracted procedure: k12707 
o|contracted procedure: k12721 
o|contracted procedure: k12730 
o|contracted procedure: k12749 
o|contracted procedure: k12770 
o|contracted procedure: k12774 
o|contracted procedure: k12766 
o|contracted procedure: k12780 
o|contracted procedure: k12793 
o|contracted procedure: k12799 
o|contracted procedure: k12846 
o|contracted procedure: k12868 
o|contracted procedure: k12892 
o|contracted procedure: k12914 
o|contracted procedure: k12931 
o|contracted procedure: k12943 
o|contracted procedure: k13055 
o|contracted procedure: k12989 
o|contracted procedure: k12980 
o|contracted procedure: k13023 
o|contracted procedure: k13030 
o|contracted procedure: k13081 
o|contracted procedure: k13133 
o|contracted procedure: k13143 
o|contracted procedure: k13156 
o|contracted procedure: k13163 
o|contracted procedure: k13171 
o|contracted procedure: k13175 
o|contracted procedure: k13213 
o|contracted procedure: k13216 
o|contracted procedure: k13268 
o|contracted procedure: k13272 
o|contracted procedure: k13231 
o|contracted procedure: k13248 
o|contracted procedure: k13252 
o|contracted procedure: k13244 
o|contracted procedure: k13260 
o|contracted procedure: k13264 
o|contracted procedure: k13256 
o|contracted procedure: k13278 
o|contracted procedure: k13295 
o|contracted procedure: k13301 
o|contracted procedure: k13354 
o|contracted procedure: k13358 
o|contracted procedure: k13338 
o|contracted procedure: k13346 
o|contracted procedure: k13350 
o|contracted procedure: k13342 
o|contracted procedure: k13369 
o|contracted procedure: k13391 
o|contracted procedure: k13372 
o|contracted procedure: k13397 
o|contracted procedure: k13424 
o|contracted procedure: k13408 
o|contracted procedure: k13411 
o|contracted procedure: k13446 
o|contracted procedure: k13436 
o|contracted procedure: k13454 
o|contracted procedure: k13477 
o|contracted procedure: k13485 
o|contracted procedure: k13491 
o|contracted procedure: k13522 
o|contracted procedure: k13530 
o|contracted procedure: k13536 
o|contracted procedure: k13567 
o|contracted procedure: k13601 
o|contracted procedure: k13604 
o|contracted procedure: k13619 
o|contracted procedure: k13705 
o|contracted procedure: k13647 
o|contracted procedure: k13656 
o|contracted procedure: k13672 
o|contracted procedure: k13676 
o|contracted procedure: k13666 
o|contracted procedure: k13690 
o|contracted procedure: k13694 
o|contracted procedure: k13701 
o|contracted procedure: k13719 
o|contracted procedure: k13765 
o|contracted procedure: k13728 
o|contracted procedure: k13753 
o|contracted procedure: k13757 
o|contracted procedure: k13791 
o|contracted procedure: k13794 
o|contracted procedure: k13775 
o|contracted procedure: k13779 
o|contracted procedure: k13817 
o|contracted procedure: k13823 
o|contracted procedure: k13830 
o|contracted procedure: k13837 
o|contracted procedure: k13848 
o|contracted procedure: k13841 
o|contracted procedure: k13845 
o|contracted procedure: k13861 
o|contracted procedure: k13867 
o|contracted procedure: k13874 
o|contracted procedure: k13881 
o|contracted procedure: k13892 
o|contracted procedure: k13885 
o|contracted procedure: k13889 
o|contracted procedure: k13898 
o|contracted procedure: k13904 
o|contracted procedure: k13946 
o|contracted procedure: k13955 
o|contracted procedure: k13969 
o|contracted procedure: k14012 
o|contracted procedure: k13992 
o|contracted procedure: k14021 
o|contracted procedure: k14027 
o|contracted procedure: k14030 
o|contracted procedure: k14037 
o|contracted procedure: k14055 
o|contracted procedure: k14061 
o|contracted procedure: k14064 
o|contracted procedure: k14071 
o|contracted procedure: k14089 
o|contracted procedure: k14095 
o|contracted procedure: k14114 
o|contracted procedure: k14141 
o|contracted procedure: k14137 
o|contracted procedure: k14153 
o|contracted procedure: k14149 
o|contracted procedure: k14159 
o|contracted procedure: k14176 
o|contracted procedure: k14201 
o|contracted procedure: k14273 
o|contracted procedure: k14218 
o|contracted procedure: k14221 
o|contracted procedure: k14227 
o|contracted procedure: k14236 
o|contracted procedure: k14243 
o|contracted procedure: k14255 
o|contracted procedure: k14259 
o|contracted procedure: k14464 
o|contracted procedure: k14285 
o|contracted procedure: k14291 
o|contracted procedure: k14294 
o|contracted procedure: k14303 
o|contracted procedure: k14312 
o|contracted procedure: k14321 
o|contracted procedure: k14459 
o|contracted procedure: k14343 
o|contracted procedure: k14346 
o|contracted procedure: k14363 
o|contracted procedure: k14359 
o|contracted procedure: k14370 
o|contracted procedure: k14374 
o|contracted procedure: k14455 
o|contracted procedure: k14451 
o|contracted procedure: k14377 
o|contracted procedure: k14391 
o|contracted procedure: k14396 
o|contracted procedure: k14447 
o|contracted procedure: k14402 
o|contracted procedure: k14435 
o|contracted procedure: k14443 
o|contracted procedure: k14439 
o|contracted procedure: k14405 
o|contracted procedure: k14416 
o|contracted procedure: k14428 
o|contracted procedure: k14424 
o|contracted procedure: k14420 
o|contracted procedure: k14485 
o|contracted procedure: k14499 
o|contracted procedure: k14503 
o|contracted procedure: k14552 
o|contracted procedure: k14562 
o|contracted procedure: k14586 
o|contracted procedure: k14610 
o|contracted procedure: k14658 
o|contracted procedure: k14671 
o|contracted procedure: k14678 
o|contracted procedure: k14684 
o|contracted procedure: k14687 
o|contracted procedure: k14745 
o|contracted procedure: k14749 
o|contracted procedure: k14741 
o|contracted procedure: k14694 
o|contracted procedure: k14703 
o|contracted procedure: k14718 
o|contracted procedure: k14722 
o|contracted procedure: k14714 
o|contracted procedure: k14710 
o|contracted procedure: k14733 
o|contracted procedure: k14765 
o|contracted procedure: k14769 
o|contracted procedure: k14813 
o|contracted procedure: k14824 
o|contracted procedure: k14832 
o|contracted procedure: k14839 
o|contracted procedure: k14843 
o|contracted procedure: k14856 
o|contracted procedure: k14869 
o|contracted procedure: k14879 
o|contracted procedure: k15110 
o|contracted procedure: k14889 
o|contracted procedure: k15106 
o|contracted procedure: k14898 
o|contracted procedure: k14938 
o|contracted procedure: k14979 
o|contracted procedure: k15013 
o|contracted procedure: k15057 
o|contracted procedure: k15060 
o|contracted procedure: k15087 
o|contracted procedure: k15095 
o|contracted procedure: k15102 
o|contracted procedure: k15132 
o|contracted procedure: k15154 
o|contracted procedure: k15195 
o|contracted procedure: k15202 
o|contracted procedure: k15206 
o|contracted procedure: k15215 
o|contracted procedure: k15226 
o|contracted procedure: k15237 
o|contracted procedure: k15251 
o|contracted procedure: k15247 
o|contracted procedure: k15260 
o|contracted procedure: k15267 
o|contracted procedure: k15271 
o|contracted procedure: k15280 
o|contracted procedure: k15291 
o|contracted procedure: k15309 
o|contracted procedure: k15301 
o|contracted procedure: k15305 
o|contracted procedure: k15362 
o|contracted procedure: k15315 
o|contracted procedure: k15352 
o|contracted procedure: k15347 
o|contracted procedure: k15371 
o|contracted procedure: k15402 
o|contracted procedure: k15423 
o|contracted procedure: k15550 
o|contracted procedure: k15563 
o|contracted procedure: k15578 
o|contracted procedure: k15571 
o|contracted procedure: k15591 
o|contracted procedure: k15604 
o|contracted procedure: k15610 
o|contracted procedure: k15616 
o|contracted procedure: k15626 
o|contracted procedure: k15658 
o|contracted procedure: k15632 
o|contracted procedure: k15638 
o|contracted procedure: k15644 
o|contracted procedure: k15448 
o|contracted procedure: k15452 
o|contracted procedure: k15517 
o|contracted procedure: k15462 
o|contracted procedure: k15468 
o|contracted procedure: k15506 
o|contracted procedure: k15471 
o|contracted procedure: k15532 
o|contracted procedure: k15536 
o|contracted procedure: k15487 
o|contracted procedure: k15491 
o|contracted procedure: k15499 
o|contracted procedure: k15664 
o|contracted procedure: k16976 
o|contracted procedure: k16972 
o|contracted procedure: k15667 
o|contracted procedure: k16968 
o|contracted procedure: k16964 
o|contracted procedure: k15670 
o|contracted procedure: k16960 
o|contracted procedure: k16956 
o|contracted procedure: k15673 
o|contracted procedure: k15687 
o|contracted procedure: k15693 
o|contracted procedure: k15707 
o|contracted procedure: k15732 
o|contracted procedure: k15713 
o|contracted procedure: k15720 
o|contracted procedure: k15726 
o|contracted procedure: k15779 
o|contracted procedure: k15740 
o|contracted procedure: k15750 
o|contracted procedure: k15756 
o|contracted procedure: k15762 
o|contracted procedure: k15795 
o|contracted procedure: k15801 
o|contracted procedure: k15815 
o|contracted procedure: k15822 
o|contracted procedure: k15828 
o|contracted procedure: k15842 
o|contracted procedure: k15849 
o|contracted procedure: k15870 
o|contracted procedure: k15884 
o|contracted procedure: k15895 
o|contracted procedure: k15906 
o|contracted procedure: k15926 
o|contracted procedure: k15930 
o|contracted procedure: k15938 
o|contracted procedure: k15944 
o|contracted procedure: k15956 
o|contracted procedure: k15962 
o|contracted procedure: k15977 
o|contracted procedure: k15983 
o|contracted procedure: k15995 
o|contracted procedure: k16010 
o|contracted procedure: k16020 
o|contracted procedure: k16039 
o|contracted procedure: k16035 
o|contracted procedure: k16043 
o|contracted procedure: k16046 
o|contracted procedure: k16049 
o|contracted procedure: k16052 
o|contracted procedure: k16058 
o|contracted procedure: k16065 
o|contracted procedure: k16077 
o|contracted procedure: k16083 
o|contracted procedure: k16089 
o|contracted procedure: k16095 
o|contracted procedure: k16101 
o|contracted procedure: k16107 
o|contracted procedure: k16113 
o|contracted procedure: k16119 
o|contracted procedure: k16153 
o|contracted procedure: k16180 
o|contracted procedure: k16195 
o|contracted procedure: k16204 
o|contracted procedure: k16230 
o|contracted procedure: k16210 
o|contracted procedure: k16217 
o|contracted procedure: k16238 
o|contracted procedure: k16244 
o|contracted procedure: k16250 
o|contracted procedure: k16278 
o|contracted procedure: k16282 
o|contracted procedure: k16292 
o|contracted procedure: k16296 
o|contracted procedure: k16312 
o|contracted procedure: k16390 
o|contracted procedure: k16321 
o|contracted procedure: k16386 
o|contracted procedure: k16336 
o|contracted procedure: k16345 
o|contracted procedure: k16356 
o|contracted procedure: k16371 
o|contracted procedure: k16394 
o|contracted procedure: k16403 
o|contracted procedure: k16409 
o|contracted procedure: k16415 
o|contracted procedure: k16421 
o|contracted procedure: k16427 
o|contracted procedure: k16433 
o|contracted procedure: k16439 
o|contracted procedure: k16445 
o|contracted procedure: k16476 
o|contracted procedure: k16505 
o|contracted procedure: k16486 
o|contracted procedure: k16492 
o|contracted procedure: k16513 
o|contracted procedure: k16524 
o|contracted procedure: k16530 
o|contracted procedure: k16541 
o|contracted procedure: k16544 
o|contracted procedure: k16557 
o|contracted procedure: k16628 
o|contracted procedure: k16563 
o|contracted procedure: k16573 
o|contracted procedure: k16606 
o|contracted procedure: k16589 
o|contracted procedure: k16603 
o|contracted procedure: k16596 
o|contracted procedure: k16593 
o|contracted procedure: k16624 
o|contracted procedure: k16609 
o|contracted procedure: k16620 
o|contracted procedure: k16634 
o|contracted procedure: k16637 
o|contracted procedure: k16650 
o|contracted procedure: k16698 
o|contracted procedure: k16656 
o|contracted procedure: k16662 
o|contracted procedure: k16686 
o|contracted procedure: k16679 
o|contracted procedure: k16676 
o|contracted procedure: k16694 
o|contracted procedure: k16705 
o|contracted procedure: k16725 
o|contracted procedure: k16731 
o|contracted procedure: k16750 
o|contracted procedure: k16766 
o|contracted procedure: k16773 
o|contracted procedure: k16776 
o|contracted procedure: k16815 
o|contracted procedure: k16782 
o|contracted procedure: k16788 
o|contracted procedure: k16791 
o|contracted procedure: k16823 
o|contracted procedure: k16826 
o|contracted procedure: k16836 
o|contracted procedure: k16884 
o|contracted procedure: k16842 
o|contracted procedure: k16848 
o|contracted procedure: k16894 
o|contracted procedure: k16918 
o|contracted procedure: k16904 
o|contracted procedure: k16922 
o|contracted procedure: k16945 
o|contracted procedure: k17228 
o|contracted procedure: k16982 
o|contracted procedure: k16985 
o|contracted procedure: k16995 
o|contracted procedure: k17187 
o|contracted procedure: k17015 
o|contracted procedure: k17018 
o|contracted procedure: k17024 
o|contracted procedure: k17031 
o|contracted procedure: k17037 
o|contracted procedure: k17040 
o|contracted procedure: k17046 
o|contracted procedure: k17053 
o|contracted procedure: k17059 
o|contracted procedure: k17062 
o|contracted procedure: k17068 
o|contracted procedure: k17075 
o|contracted procedure: k17081 
o|contracted procedure: k17084 
o|contracted procedure: k17090 
o|contracted procedure: k17097 
o|contracted procedure: k17103 
o|contracted procedure: k17106 
o|contracted procedure: k17112 
o|contracted procedure: k17119 
o|contracted procedure: k17125 
o|contracted procedure: k17128 
o|contracted procedure: k17134 
o|contracted procedure: k17141 
o|contracted procedure: k17210 
o|contracted procedure: k17197 
o|contracted procedure: k17222 
o|contracted procedure: k17213 
o|contracted procedure: k17270 
o|contracted procedure: k17237 
o|contracted procedure: k17264 
o|contracted procedure: k17240 
o|contracted procedure: k17258 
o|contracted procedure: k17243 
o|contracted procedure: k17252 
o|contracted procedure: k17246 
o|contracted procedure: k17286 
o|contracted procedure: k17289 
o|contracted procedure: k17295 
o|contracted procedure: k17298 
o|contracted procedure: k17304 
o|contracted procedure: k17316 
o|contracted procedure: k17323 
o|contracted procedure: k17327 
o|contracted procedure: k17340 
o|contracted procedure: k17344 
o|contracted procedure: k17348 
o|contracted procedure: k17354 
o|contracted procedure: k17363 
o|contracted procedure: k17369 
o|contracted procedure: k17381 
o|contracted procedure: k17387 
o|contracted procedure: k17393 
o|contracted procedure: k17414 
o|contracted procedure: k17424 
o|contracted procedure: k17420 
o|contracted procedure: k17427 
o|contracted procedure: k17440 
o|contracted procedure: k17433 
o|contracted procedure: k17458 
o|contracted procedure: k17473 
o|contracted procedure: k17486 
o|contracted procedure: k17499 
o|contracted procedure: k17518 
o|contracted procedure: k17536 
o|contracted procedure: k17539 
o|contracted procedure: k17574 
o|contracted procedure: k17594 
o|contracted procedure: k17597 
o|contracted procedure: k17600 
o|contracted procedure: k17608 
o|contracted procedure: k17616 
o|contracted procedure: k17579 
o|contracted procedure: k17628 
o|contracted procedure: k17650 
o|contracted procedure: k17676 
o|contracted procedure: k17655 
o|contracted procedure: k17661 
o|contracted procedure: k17667 
o|contracted procedure: k17716 
o|contracted procedure: k17719 
o|contracted procedure: k17731 
o|contracted procedure: k17746 
o|contracted procedure: k17757 
o|contracted procedure: k17752 
o|contracted procedure: k17776 
o|contracted procedure: k17773 
o|contracted procedure: k17782 
o|contracted procedure: k17838 
o|contracted procedure: k17795 
o|contracted procedure: k17801 
o|contracted procedure: k17816 
o|contracted procedure: k17834 
o|contracted procedure: k17819 
o|contracted procedure: k17826 
o|contracted procedure: k17830 
o|contracted procedure: k17844 
o|contracted procedure: k17856 
o|contracted procedure: k17863 
o|contracted procedure: k17871 
o|contracted procedure: k17883 
o|contracted procedure: k17895 
o|contracted procedure: k17898 
o|contracted procedure: k17905 
o|contracted procedure: k17911 
o|contracted procedure: k17914 
o|contracted procedure: k17917 
o|contracted procedure: k17920 
o|contracted procedure: k17941 
o|contracted procedure: k17955 
o|contracted procedure: k17944 
o|contracted procedure: k17951 
o|contracted procedure: k17958 
o|contracted procedure: k17961 
o|contracted procedure: k17970 
o|contracted procedure: k18042 
o|contracted procedure: k17980 
o|contracted procedure: k17983 
o|contracted procedure: k17986 
o|contracted procedure: k17989 
o|contracted procedure: k17992 
o|contracted procedure: k18013 
o|contracted procedure: k18031 
o|contracted procedure: k18027 
o|contracted procedure: k18016 
o|contracted procedure: k18023 
o|contracted procedure: k18035 
o|contracted procedure: k18039 
o|contracted procedure: k18063 
o|contracted procedure: k18051 
o|contracted procedure: k18054 
o|contracted procedure: k18087 
o|contracted procedure: k18101 
o|contracted procedure: k18090 
o|contracted procedure: k18097 
o|contracted procedure: k18105 
o|contracted procedure: k18115 
o|contracted procedure: k18119 
o|contracted procedure: k18126 
o|contracted procedure: k18130 
o|contracted procedure: k18137 
o|contracted procedure: k18141 
o|contracted procedure: k18148 
o|contracted procedure: k18152 
o|contracted procedure: k18159 
o|contracted procedure: k18163 
o|contracted procedure: k18173 
o|contracted procedure: k18180 
o|contracted procedure: k18189 
o|contracted procedure: k18192 
o|contracted procedure: k18209 
o|contracted procedure: k18198 
o|contracted procedure: k18205 
o|contracted procedure: k18220 
o|contracted procedure: k18235 
o|contracted procedure: k18238 
o|contracted procedure: k18250 
o|contracted procedure: k18253 
o|contracted procedure: k18267 
o|contracted procedure: k18263 
o|contracted procedure: k18271 
o|contracted procedure: k18294 
o|contracted procedure: k18275 
o|contracted procedure: k18286 
o|contracted procedure: k18290 
o|contracted procedure: k18282 
o|contracted procedure: k18308 
o|contracted procedure: k18304 
o|contracted procedure: k18297 
o|contracted procedure: k18311 
o|contracted procedure: k18314 
o|contracted procedure: k18323 
o|contracted procedure: k18384 
o|contracted procedure: k18390 
o|contracted procedure: k18400 
o|contracted procedure: k18404 
o|contracted procedure: k18422 
o|contracted procedure: k18428 
o|contracted procedure: k18443 
o|contracted procedure: k18447 
o|contracted procedure: k18458 
o|contracted procedure: k18461 
o|contracted procedure: k18467 
o|contracted procedure: k18476 
o|contracted procedure: k18491 
o|contracted procedure: k18502 
o|contracted procedure: k18545 
o|contracted procedure: k18520 
o|contracted procedure: k18541 
o|contracted procedure: k18537 
o|contracted procedure: k18526 
o|contracted procedure: k18533 
o|contracted procedure: k18556 
o|contracted procedure: k18559 
o|contracted procedure: k18571 
o|contracted procedure: k18581 
o|contracted procedure: k18585 
o|contracted procedure: k18592 
o|contracted procedure: k18598 
o|contracted procedure: k18604 
o|contracted procedure: k18642 
o|contracted procedure: k18645 
o|contracted procedure: k18648 
o|contracted procedure: k18660 
o|contracted procedure: k18663 
o|contracted procedure: k18666 
o|contracted procedure: k18674 
o|contracted procedure: k18682 
o|contracted procedure: k18692 
o|contracted procedure: k18698 
o|contracted procedure: k18704 
o|contracted procedure: k18770 
o|contracted procedure: k18750 
o|contracted procedure: k18760 
o|contracted procedure: k18792 
o|contracted procedure: k18803 
o|contracted procedure: k18807 
o|contracted procedure: k18799 
o|contracted procedure: k18817 
o|contracted procedure: k18826 
o|contracted procedure: k18840 
o|contracted procedure: k18832 
o|contracted procedure: k18844 
o|contracted procedure: k18848 
o|contracted procedure: k18869 
o|contracted procedure: k18851 
o|contracted procedure: k18855 
o|contracted procedure: k18865 
o|contracted procedure: k18898 
o|contracted procedure: k18904 
o|contracted procedure: k18907 
o|contracted procedure: k18910 
o|contracted procedure: k18913 
o|contracted procedure: k18916 
o|contracted procedure: k18919 
o|contracted procedure: k18922 
o|contracted procedure: k31960 
o|contracted procedure: k31966 
o|contracted procedure: k32000 
o|contracted procedure: k32006 
o|contracted procedure: k32062 
o|contracted procedure: k32068 
o|contracted procedure: k32074 
o|contracted procedure: k32087 
o|contracted procedure: k32091 
o|contracted procedure: k32095 
o|contracted procedure: k32117 
o|contracted procedure: k32124 
o|contracted procedure: k32128 
o|contracted procedure: k32132 
o|contracted procedure: k32142 
o|contracted procedure: k32158 
o|contracted procedure: k32162 
o|contracted procedure: k32169 
o|contracted procedure: k32175 
o|contracted procedure: k32184 
o|contracted procedure: k32190 
o|contracted procedure: k32204 
o|contracted procedure: k32208 
o|contracted procedure: k32220 
o|contracted procedure: k32226 
o|contracted procedure: k32232 
o|contracted procedure: k32256 
o|contracted procedure: k32235 
o|contracted procedure: k32293 
o|contracted procedure: k32289 
o|contracted procedure: k32278 
o|contracted procedure: k32307 
o|contracted procedure: k32303 
o|contracted procedure: k32296 
o|contracted procedure: k32310 
o|contracted procedure: k18926 
o|contracted procedure: k18957 
o|contracted procedure: k18968 
o|contracted procedure: k18979 
o|contracted procedure: k18990 
o|contracted procedure: k19001 
o|contracted procedure: k19004 
o|contracted procedure: k19030 
o|contracted procedure: k19036 
o|contracted procedure: k19043 
o|contracted procedure: k19049 
o|contracted procedure: k19062 
o|contracted procedure: k19065 
o|contracted procedure: k19091 
o|contracted procedure: k19097 
o|contracted procedure: k19104 
o|contracted procedure: k19110 
o|contracted procedure: k19123 
o|contracted procedure: k19126 
o|contracted procedure: k19152 
o|contracted procedure: k19158 
o|contracted procedure: k19165 
o|contracted procedure: k19171 
o|contracted procedure: k19184 
o|contracted procedure: k19207 
o|contracted procedure: k19210 
o|contracted procedure: k19253 
o|contracted procedure: k19256 
o|contracted procedure: k19266 
o|contracted procedure: k19269 
o|contracted procedure: k1926634770 
o|contracted procedure: k19276 
o|contracted procedure: k1926634774 
o|contracted procedure: k19283 
o|contracted procedure: k1926634778 
o|contracted procedure: k19308 
o|contracted procedure: k19332 
o|contracted procedure: k19336 
o|contracted procedure: k19328 
o|contracted procedure: k19314 
o|contracted procedure: k19324 
o|contracted procedure: k19317 
o|contracted procedure: k19489 
o|contracted procedure: k19495 
o|contracted procedure: k19515 
o|contracted procedure: k19508 
o|contracted procedure: k19530 
o|contracted procedure: k19521 
o|contracted procedure: k19548 
o|contracted procedure: k19555 
o|contracted procedure: k19577 
o|contracted procedure: k19594 
o|contracted procedure: k19583 
o|contracted procedure: k19590 
o|contracted procedure: k19598 
o|contracted procedure: k19601 
o|contracted procedure: k19617 
o|contracted procedure: k19656 
o|contracted procedure: k19627 
o|contracted procedure: k19636 
o|contracted procedure: k19639 
o|contracted procedure: k19652 
o|contracted procedure: k19662 
o|contracted procedure: k19678 
o|contracted procedure: k19674 
o|contracted procedure: k19690 
o|contracted procedure: k19720 
o|contracted procedure: k19797 
o|contracted procedure: k19731 
o|contracted procedure: k19755 
o|contracted procedure: k19768 
o|contracted procedure: k19775 
o|contracted procedure: k19785 
o|contracted procedure: k19781 
o|contracted procedure: k19788 
o|contracted procedure: k19872 
o|contracted procedure: k20032 
o|contracted procedure: k19879 
o|contracted procedure: k19893 
o|contracted procedure: k19902 
o|contracted procedure: k19910 
o|contracted procedure: k19914 
o|contracted procedure: k19920 
o|contracted procedure: k19929 
o|contracted procedure: k19935 
o|contracted procedure: k19945 
o|contracted procedure: k19961 
o|contracted procedure: k19967 
o|contracted procedure: k19974 
o|contracted procedure: k19980 
o|contracted procedure: k19990 
o|contracted procedure: k19996 
o|contracted procedure: k20002 
o|contracted procedure: k20011 
o|contracted procedure: k20029 
o|contracted procedure: k20017 
o|contracted procedure: k20025 
o|contracted procedure: k20059 
o|contracted procedure: k20043 
o|contracted procedure: k20056 
o|contracted procedure: k20049 
o|contracted procedure: k20077 
o|contracted procedure: k20068 
o|contracted procedure: k20092 
o|contracted procedure: k20106 
o|contracted procedure: k20102 
o|contracted procedure: k20095 
o|inlining procedure: k20089 
o|contracted procedure: k20112 
o|contracted procedure: k20123 
o|contracted procedure: k20119 
o|inlining procedure: k20089 
o|contracted procedure: k20127 
o|contracted procedure: k20130 
o|contracted procedure: k20140 
o|contracted procedure: k20133 
o|contracted procedure: k20158 
o|contracted procedure: k20174 
o|contracted procedure: k20161 
o|contracted procedure: k20167 
o|contracted procedure: k20189 
o|contracted procedure: k20180 
o|contracted procedure: k20207 
o|contracted procedure: k20198 
o|contracted procedure: k20260 
o|contracted procedure: k20283 
o|contracted procedure: k20352 
o|contracted procedure: k20359 
o|contracted procedure: k20381 
o|contracted procedure: k20409 
o|contracted procedure: k20425 
o|contracted procedure: k20450 
o|contracted procedure: k20475 
o|contracted procedure: k20478 
o|contracted procedure: k20488 
o|contracted procedure: k20492 
o|contracted procedure: k20504 
o|contracted procedure: k20516 
o|contracted procedure: k20523 
o|contracted procedure: k20527 
o|contracted procedure: k20532 
o|contracted procedure: k20557 
o|contracted procedure: k20567 
o|contracted procedure: k20578 
o|contracted procedure: k20584 
o|contracted procedure: k20595 
o|contracted procedure: k20601 
o|contracted procedure: k20612 
o|contracted procedure: k20618 
o|contracted procedure: k20629 
o|contracted procedure: k20635 
o|contracted procedure: k20646 
o|contracted procedure: k20652 
o|contracted procedure: k20663 
o|contracted procedure: k20669 
o|contracted procedure: k20680 
o|contracted procedure: k20686 
o|contracted procedure: k20689 
o|contracted procedure: k20700 
o|contracted procedure: k20710 
o|contracted procedure: k20754 
o|contracted procedure: k20784 
o|contracted procedure: k20813 
o|contracted procedure: k20827 
o|contracted procedure: k20833 
o|contracted procedure: k20848 
o|contracted procedure: k20851 
o|contracted procedure: k20864 
o|contracted procedure: k20879 
o|contracted procedure: k20895 
o|contracted procedure: k20974 
o|contracted procedure: k20970 
o|contracted procedure: k20962 
o|contracted procedure: k20958 
o|contracted procedure: k20943 
o|contracted procedure: k20954 
o|contracted procedure: k20988 
o|contracted procedure: k20991 
o|contracted procedure: k20997 
o|contracted procedure: k21003 
o|contracted procedure: k21009 
o|contracted procedure: k21026 
o|contracted procedure: k21032 
o|contracted procedure: k21072 
o|contracted procedure: k21086 
o|contracted procedure: k21095 
o|contracted procedure: k21104 
o|contracted procedure: k21137 
o|contracted procedure: k21178 
o|contracted procedure: k21187 
o|contracted procedure: k21199 
o|contracted procedure: k21211 
o|contracted procedure: k21220 
o|contracted procedure: k21238 
o|contracted procedure: k21256 
o|contracted procedure: k21259 
o|contracted procedure: k21296 
o|contracted procedure: k21269 
o|contracted procedure: k21290 
o|contracted procedure: k21302 
o|contracted procedure: k21308 
o|contracted procedure: k21314 
o|contracted procedure: k21323 
o|contracted procedure: k21326 
o|contracted procedure: k21360 
o|contracted procedure: k21394 
o|contracted procedure: k21436 
o|contracted procedure: k21428 
o|contracted procedure: k21445 
o|contracted procedure: k21457 
o|contracted procedure: k21466 
o|contracted procedure: k21496 
o|contracted procedure: k21508 
o|contracted procedure: k21517 
o|contracted procedure: k21573 
o|contracted procedure: k21585 
o|inlining procedure: k21602 
o|contracted procedure: k21606 
o|inlining procedure: k21602 
o|contracted procedure: k21612 
o|contracted procedure: k21637 
o|contracted procedure: k21657 
o|contracted procedure: k21664 
o|contracted procedure: k21707 
o|contracted procedure: k21727 
o|contracted procedure: k21745 
o|contracted procedure: k21738 
o|contracted procedure: k21751 
o|contracted procedure: k21762 
o|contracted procedure: k21758 
o|contracted procedure: k21768 
o|contracted procedure: k21780 
o|contracted procedure: k21804 
o|contracted procedure: k21814 
o|contracted procedure: k21824 
o|contracted procedure: k21844 
o|contracted procedure: k21830 
o|contracted procedure: k21841 
o|contracted procedure: k21853 
o|contracted procedure: k21862 
o|contracted procedure: k21872 
o|inlining procedure: k21879 
o|contracted procedure: k21883 
o|inlining procedure: k21879 
o|contracted procedure: k21897 
o|contracted procedure: k21915 
o|contracted procedure: k21921 
o|contracted procedure: k21938 
o|contracted procedure: k21941 
o|contracted procedure: k21963 
o|contracted procedure: k22082 
o|contracted procedure: k21969 
o|contracted procedure: k22078 
o|contracted procedure: k22070 
o|contracted procedure: k22074 
o|contracted procedure: k22066 
o|contracted procedure: k21972 
o|contracted procedure: k21975 
o|contracted procedure: k22062 
o|contracted procedure: k22058 
o|contracted procedure: k22054 
o|contracted procedure: k22050 
o|contracted procedure: k22037 
o|contracted procedure: k22045 
o|contracted procedure: k22041 
o|contracted procedure: k21981 
o|contracted procedure: k21993 
o|contracted procedure: k22024 
o|contracted procedure: k22032 
o|contracted procedure: k22028 
o|contracted procedure: k21997 
o|contracted procedure: k22003 
o|contracted procedure: k22011 
o|contracted procedure: k22019 
o|contracted procedure: k22015 
o|contracted procedure: k22007 
o|contracted procedure: k22086 
o|contracted procedure: k22109 
o|contracted procedure: k22130 
o|contracted procedure: k22136 
o|contracted procedure: k22153 
o|contracted procedure: k22142 
o|contracted procedure: k22149 
o|contracted procedure: k22166 
o|contracted procedure: k22176 
o|contracted procedure: k22173 
o|contracted procedure: k22189 
o|contracted procedure: k22225 
o|contracted procedure: k22254 
o|contracted procedure: k22278 
o|contracted procedure: k22290 
o|contracted procedure: k22302 
o|contracted procedure: k22314 
o|contracted procedure: k22323 
o|contracted procedure: k22342 
o|contracted procedure: k22354 
o|contracted procedure: k22363 
o|contracted procedure: k22372 
o|contracted procedure: k22381 
o|contracted procedure: k22405 
o|contracted procedure: k22417 
o|contracted procedure: k22420 
o|contracted procedure: k22435 
o|contracted procedure: k22445 
o|contracted procedure: k22452 
o|contracted procedure: k22476 
o|contracted procedure: k22485 
o|contracted procedure: k22491 
o|contracted procedure: k22503 
o|contracted procedure: k22515 
o|contracted procedure: k22527 
o|contracted procedure: k22539 
o|contracted procedure: k22551 
o|contracted procedure: k22563 
o|contracted procedure: k22594 
o|contracted procedure: k22603 
o|contracted procedure: k22609 
o|contracted procedure: k22618 
o|contracted procedure: k22627 
o|contracted procedure: k22639 
o|contracted procedure: k22654 
o|contracted procedure: k22666 
o|contracted procedure: k22681 
o|contracted procedure: k22693 
o|contracted procedure: k22705 
o|contracted procedure: k22720 
o|contracted procedure: k22769 
o|contracted procedure: k22758 
o|contracted procedure: k22765 
o|contracted procedure: k22780 
o|contracted procedure: k22800 
o|contracted procedure: k22796 
o|contracted procedure: k22810 
o|contracted procedure: k22837 
o|contracted procedure: k22843 
o|contracted procedure: k22853 
o|contracted procedure: k22859 
o|contracted procedure: k22872 
o|contracted procedure: k22875 
o|contracted procedure: k22898 
o|contracted procedure: k22945 
o|contracted procedure: k22951 
o|contracted procedure: k22960 
o|contracted procedure: k22972 
o|contracted procedure: k22984 
o|contracted procedure: k22993 
o|contracted procedure: k22996 
o|contracted procedure: k23005 
o|contracted procedure: k23011 
o|contracted procedure: k23020 
o|contracted procedure: k23029 
o|contracted procedure: k23038 
o|contracted procedure: k23047 
o|contracted procedure: k23050 
o|contracted procedure: k23110 
o|contracted procedure: k23096 
o|contracted procedure: k23106 
o|contracted procedure: k23124 
o|contracted procedure: k23114 
o|contracted procedure: k23121 
o|contracted procedure: k23133 
o|contracted procedure: k23139 
o|contracted procedure: k23148 
o|contracted procedure: k23175 
o|contracted procedure: k23171 
o|contracted procedure: k23155 
o|contracted procedure: k23167 
o|contracted procedure: k23163 
o|contracted procedure: k23159 
o|contracted procedure: k23181 
o|contracted procedure: k23224 
o|contracted procedure: k23220 
o|contracted procedure: k23188 
o|contracted procedure: k23216 
o|contracted procedure: k23212 
o|contracted procedure: k23208 
o|contracted procedure: k23192 
o|contracted procedure: k23204 
o|contracted procedure: k23200 
o|contracted procedure: k23196 
o|contracted procedure: k23230 
o|contracted procedure: k23289 
o|contracted procedure: k23285 
o|contracted procedure: k23237 
o|contracted procedure: k23281 
o|contracted procedure: k23277 
o|contracted procedure: k23273 
o|contracted procedure: k23241 
o|contracted procedure: k23269 
o|contracted procedure: k23265 
o|contracted procedure: k23261 
o|contracted procedure: k23245 
o|contracted procedure: k23257 
o|contracted procedure: k23253 
o|contracted procedure: k23249 
o|contracted procedure: k23301 
o|contracted procedure: k23313 
o|contracted procedure: k23319 
o|contracted procedure: k23325 
o|contracted procedure: k23331 
o|contracted procedure: k23366 
o|contracted procedure: k23362 
o|contracted procedure: k23358 
o|contracted procedure: k23338 
o|contracted procedure: k23354 
o|contracted procedure: k23346 
o|contracted procedure: k23350 
o|contracted procedure: k23342 
o|contracted procedure: k23375 
o|contracted procedure: k23381 
o|contracted procedure: k23388 
o|contracted procedure: k23394 
o|contracted procedure: k23401 
o|contracted procedure: k23427 
o|contracted procedure: k23436 
o|contracted procedure: k23454 
o|contracted procedure: k23450 
o|contracted procedure: k23443 
o|contracted procedure: k23460 
o|contracted procedure: k23478 
o|contracted procedure: k23474 
o|contracted procedure: k23470 
o|contracted procedure: k23499 
o|contracted procedure: k23495 
o|contracted procedure: k23491 
o|contracted procedure: k23510 
o|contracted procedure: k23523 
o|contracted procedure: k23526 
o|contracted procedure: k23535 
o|contracted procedure: k23538 
o|contracted procedure: k23575 
o|contracted procedure: k23565 
o|contracted procedure: k23584 
o|contracted procedure: k23605 
o|contracted procedure: k23593 
o|contracted procedure: k23596 
o|contracted procedure: k23620 
o|contracted procedure: k23614 
o|contracted procedure: k23638 
o|contracted procedure: k23629 
o|contracted procedure: k23656 
o|contracted procedure: k23647 
o|contracted procedure: k23675 
o|contracted procedure: k23687 
o|contracted procedure: k23697 
o|contracted procedure: k23701 
o|contracted procedure: k23726 
o|contracted procedure: k23738 
o|contracted procedure: k23748 
o|contracted procedure: k23752 
o|contracted procedure: k23797 
o|contracted procedure: k23803 
o|contracted procedure: k23812 
o|contracted procedure: k23815 
o|contracted procedure: k23831 
o|propagated global variable: r23832 ##sys#undefined-value 
o|contracted procedure: k23834 
o|contracted procedure: k23860 
o|contracted procedure: k23853 
o|contracted procedure: k23876 
o|contracted procedure: k23869 
o|contracted procedure: k23888 
o|contracted procedure: k23901 
o|propagated global variable: r23902 ##sys#undefined-value 
o|contracted procedure: k23905 
o|contracted procedure: k23911 
o|contracted procedure: k23914 
o|contracted procedure: k23932 
o|contracted procedure: k23950 
o|contracted procedure: k23965 
o|contracted procedure: k23974 
o|contracted procedure: k23977 
o|contracted procedure: k23983 
o|contracted procedure: k23996 
o|contracted procedure: k24003 
o|contracted procedure: k24019 
o|contracted procedure: k24022 
o|contracted procedure: k24025 
o|contracted procedure: k24039 
o|contracted procedure: k24045 
o|contracted procedure: k24051 
o|contracted procedure: k24057 
o|contracted procedure: k24060 
o|contracted procedure: k24072 
o|contracted procedure: k24082 
o|contracted procedure: k24091 
o|contracted procedure: k24097 
o|contracted procedure: k24113 
o|contracted procedure: k24131 
o|contracted procedure: k24141 
o|contracted procedure: k24147 
o|contracted procedure: k24154 
o|contracted procedure: k24138 
o|contracted procedure: k24159 
o|contracted procedure: k24165 
o|contracted procedure: k24183 
o|contracted procedure: k24210 
o|contracted procedure: k24189 
o|contracted procedure: k24199 
o|contracted procedure: k24206 
o|contracted procedure: k24221 
o|contracted procedure: k24236 
o|contracted procedure: k24245 
o|contracted procedure: k24254 
o|contracted procedure: k24281 
o|contracted procedure: k24296 
o|contracted procedure: k24305 
o|contracted procedure: k24308 
o|contracted procedure: k24349 
o|contracted procedure: k24401 
o|contracted procedure: k24364 
o|contracted procedure: k24370 
o|contracted procedure: k24382 
o|contracted procedure: k24452 
o|contracted procedure: k24465 
o|contracted procedure: k24469 
o|contracted procedure: k24472 
o|contracted procedure: k24481 
o|contracted procedure: k24490 
o|contracted procedure: k24493 
o|contracted procedure: k24502 
o|contracted procedure: k24511 
o|contracted procedure: k24520 
o|contracted procedure: k24529 
o|contracted procedure: k24538 
o|contracted procedure: k24547 
o|contracted procedure: k24556 
o|contracted procedure: k24575 
o|contracted procedure: k24622 
o|contracted procedure: k24631 
o|contracted procedure: k24653 
o|contracted procedure: k24643 
o|contracted procedure: k24666 
o|contracted procedure: k24670 
o|contracted procedure: k24679 
o|contracted procedure: k24688 
o|contracted procedure: k24703 
o|contracted procedure: k24706 
o|contracted procedure: k24719 
o|contracted procedure: k24726 
o|contracted procedure: k24773 
o|contracted procedure: k24786 
o|contracted procedure: k24789 
o|contracted procedure: k24798 
o|contracted procedure: k24817 
o|contracted procedure: k24833 
o|contracted procedure: k24842 
o|contracted procedure: k24858 
o|contracted procedure: k24862 
o|contracted procedure: k24866 
o|contracted procedure: k24870 
o|contracted procedure: k24897 
o|contracted procedure: k24900 
o|contracted procedure: k24911 
o|contracted procedure: k24907 
o|contracted procedure: k24917 
o|contracted procedure: k24920 
o|contracted procedure: k24956 
o|contracted procedure: k24979 
o|contracted procedure: k24959 
o|contracted procedure: k24975 
o|contracted procedure: k24998 
o|contracted procedure: k25028 
o|contracted procedure: k25038 
o|contracted procedure: k25044 
o|contracted procedure: k25054 
o|contracted procedure: k25153 
o|contracted procedure: k25156 
o|contracted procedure: k25159 
o|contracted procedure: k25162 
o|contracted procedure: k25168 
o|contracted procedure: k25193 
o|contracted procedure: k25174 
o|contracted procedure: k25183 
o|contracted procedure: k25186 
o|contracted procedure: k25196 
o|contracted procedure: k31457 
o|contracted procedure: k31460 
o|contracted procedure: k31463 
o|contracted procedure: k31469 
o|contracted procedure: k31476 
o|contracted procedure: k31472 
o|contracted procedure: k31482 
o|contracted procedure: k31485 
o|contracted procedure: k31488 
o|contracted procedure: k31494 
o|contracted procedure: k31503 
o|contracted procedure: k31506 
o|contracted procedure: k31513 
o|contracted procedure: k31522 
o|contracted procedure: k31525 
o|contracted procedure: k31532 
o|contracted procedure: k31544 
o|contracted procedure: k31579 
o|contracted procedure: k31547 
o|contracted procedure: k31554 
o|contracted procedure: k31558 
o|contracted procedure: k31565 
o|contracted procedure: k31561 
o|contracted procedure: k31568 
o|contracted procedure: k31571 
o|contracted procedure: k31585 
o|contracted procedure: k31588 
o|contracted procedure: k31591 
o|contracted procedure: k31594 
o|contracted procedure: k31600 
o|contracted procedure: k31622 
o|contracted procedure: k31613 
o|contracted procedure: k31631 
o|contracted procedure: k31645 
o|contracted procedure: k31641 
o|contracted procedure: k31634 
o|contracted procedure: k31656 
o|contracted procedure: k31660 
o|contracted procedure: k31652 
o|contracted procedure: k31669 
o|contracted procedure: k31672 
o|contracted procedure: k31675 
o|contracted procedure: k31681 
o|contracted procedure: k31687 
o|contracted procedure: k25203 
o|contracted procedure: k25212 
o|contracted procedure: k25223 
o|contracted procedure: k25219 
o|contracted procedure: k25235 
o|contracted procedure: k25265 
o|contracted procedure: k25272 
o|contracted procedure: k25289 
o|contracted procedure: k25323 
o|contracted procedure: k25330 
o|contracted procedure: k25351 
o|contracted procedure: k25358 
o|contracted procedure: k25369 
o|contracted procedure: k25372 
o|contracted procedure: k25379 
o|contracted procedure: k25382 
o|contracted procedure: k25400 
o|contracted procedure: k25388 
o|contracted procedure: k25396 
o|contracted procedure: k25406 
o|contracted procedure: k25412 
o|contracted procedure: k25415 
o|contracted procedure: k25418 
o|contracted procedure: k25428 
o|contracted procedure: k25431 
o|contracted procedure: k25434 
o|contracted procedure: k25472 
o|contracted procedure: k25468 
o|contracted procedure: k25450 
o|contracted procedure: k25460 
o|contracted procedure: k25464 
o|contracted procedure: k25486 
o|contracted procedure: k25501 
o|contracted procedure: k25511 
o|contracted procedure: k25515 
o|contracted procedure: k25540 
o|contracted procedure: k25550 
o|inlining procedure: k25543 
o|inlining procedure: k25543 
o|contracted procedure: k25709 
o|contracted procedure: k25574 
o|contracted procedure: k25703 
o|contracted procedure: k25577 
o|contracted procedure: k25697 
o|contracted procedure: k25580 
o|contracted procedure: k25691 
o|contracted procedure: k25583 
o|contracted procedure: k25681 
o|contracted procedure: k25589 
o|contracted procedure: k25592 
o|contracted procedure: k25604 
o|contracted procedure: k25675 
o|contracted procedure: k25607 
o|contracted procedure: k25613 
o|contracted procedure: k25651 
o|contracted procedure: k25639 
o|contracted procedure: k25647 
o|contracted procedure: k25643 
o|contracted procedure: k25623 
o|contracted procedure: k25631 
o|contracted procedure: k25655 
o|contracted procedure: k25662 
o|contracted procedure: k25665 
o|contracted procedure: k25688 
o|contracted procedure: k25721 
o|contracted procedure: k25729 
o|contracted procedure: k25732 
o|contracted procedure: k25735 
o|contracted procedure: k25775 
o|contracted procedure: k25788 
o|contracted procedure: k25803 
o|contracted procedure: k25813 
o|contracted procedure: k25817 
o|contracted procedure: k25905 
o|contracted procedure: k25823 
o|contracted procedure: k25899 
o|contracted procedure: k25826 
o|contracted procedure: k25893 
o|contracted procedure: k25829 
o|contracted procedure: k25887 
o|contracted procedure: k25832 
o|contracted procedure: k25881 
o|contracted procedure: k25835 
o|contracted procedure: k25875 
o|contracted procedure: k25838 
o|contracted procedure: k25869 
o|contracted procedure: k25841 
o|contracted procedure: k25863 
o|contracted procedure: k25844 
o|contracted procedure: k25853 
o|contracted procedure: k25923 
o|contracted procedure: k25940 
o|contracted procedure: k25968 
o|contracted procedure: k25976 
o|contracted procedure: k25991 
o|contracted procedure: k26001 
o|contracted procedure: k26005 
o|contracted procedure: k26032 
o|contracted procedure: k26039 
o|contracted procedure: k26045 
o|contracted procedure: k26048 
o|contracted procedure: k26086 
o|contracted procedure: k26096 
o|contracted procedure: k26100 
o|contracted procedure: k26103 
o|contracted procedure: k26124 
o|contracted procedure: k26133 
o|contracted procedure: k26136 
o|contracted procedure: k26139 
o|contracted procedure: k26154 
o|contracted procedure: k26146 
o|contracted procedure: k26161 
o|contracted procedure: k26167 
o|contracted procedure: k26173 
o|contracted procedure: k26179 
o|contracted procedure: k26185 
o|contracted procedure: k26191 
o|contracted procedure: k26197 
o|contracted procedure: k26203 
o|contracted procedure: k26209 
o|contracted procedure: k26215 
o|contracted procedure: k26221 
o|contracted procedure: k26227 
o|contracted procedure: k26233 
o|contracted procedure: k26239 
o|contracted procedure: k26276 
o|contracted procedure: k26279 
o|contracted procedure: k26295 
o|contracted procedure: k26288 
o|contracted procedure: k26324 
o|contracted procedure: k26320 
o|contracted procedure: k26353 
o|contracted procedure: k26349 
o|contracted procedure: k26356 
o|contracted procedure: k26360 
o|contracted procedure: k26366 
o|contracted procedure: k26369 
o|contracted procedure: k26372 
o|contracted procedure: k26375 
o|contracted procedure: k26378 
o|contracted procedure: k26399 
o|contracted procedure: k26405 
o|contracted procedure: k26408 
o|contracted procedure: k26414 
o|contracted procedure: k26428 
o|contracted procedure: k26425 
o|contracted procedure: k26437 
o|contracted procedure: k26496 
o|contracted procedure: k26449 
o|contracted procedure: k26492 
o|contracted procedure: k26464 
o|contracted procedure: k26488 
o|contracted procedure: k26484 
o|contracted procedure: k26480 
o|contracted procedure: k26519 
o|contracted procedure: k26522 
o|contracted procedure: k26548 
o|contracted procedure: k26554 
o|contracted procedure: k26561 
o|contracted procedure: k26567 
o|contracted procedure: k26586 
o|contracted procedure: k26639 
o|contracted procedure: k26592 
o|contracted procedure: k26624 
o|contracted procedure: k26605 
o|contracted procedure: k26613 
o|contracted procedure: k26609 
o|contracted procedure: k26635 
o|contracted procedure: k26631 
o|contracted procedure: k26649 
o|contracted procedure: k26659 
o|contracted procedure: k26682 
o|contracted procedure: k26699 
o|contracted procedure: k26721 
o|contracted procedure: k26717 
o|contracted procedure: k26702 
o|contracted procedure: k26705 
o|contracted procedure: k26713 
o|contracted procedure: k26728 
o|contracted procedure: k26745 
o|contracted procedure: k26767 
o|contracted procedure: k26763 
o|contracted procedure: k26748 
o|contracted procedure: k26751 
o|contracted procedure: k26759 
o|contracted procedure: k26779 
o|contracted procedure: k26793 
o|contracted procedure: k26782 
o|contracted procedure: k26789 
o|contracted procedure: k26799 
o|contracted procedure: k26809 
o|contracted procedure: k26821 
o|contracted procedure: k26843 
o|contracted procedure: k26839 
o|contracted procedure: k26824 
o|contracted procedure: k26827 
o|contracted procedure: k26835 
o|contracted procedure: k26850 
o|contracted procedure: k26873 
o|contracted procedure: k26876 
o|contracted procedure: k26879 
o|contracted procedure: k26887 
o|contracted procedure: k26895 
o|contracted procedure: k26859 
o|contracted procedure: k26913 
o|contracted procedure: k26926 
o|contracted procedure: k26935 
o|contracted procedure: k26973 
o|contracted procedure: k26941 
o|contracted procedure: k26955 
o|contracted procedure: k26951 
o|contracted procedure: k26969 
o|contracted procedure: k26976 
o|contracted procedure: k26979 
o|contracted procedure: k26991 
o|contracted procedure: k26994 
o|contracted procedure: k26997 
o|contracted procedure: k27005 
o|contracted procedure: k27013 
o|contracted procedure: k27043 
o|contracted procedure: k27039 
o|contracted procedure: k27049 
o|contracted procedure: k27052 
o|contracted procedure: k27057 
o|contracted procedure: k27089 
o|contracted procedure: k27063 
o|contracted procedure: k27085 
o|contracted procedure: k27066 
o|contracted procedure: k27127 
o|contracted procedure: k27139 
o|contracted procedure: k27149 
o|contracted procedure: k27153 
o|contracted procedure: k27184 
o|contracted procedure: k27209 
o|contracted procedure: k27193 
o|contracted procedure: k27226 
o|contracted procedure: k27246 
o|contracted procedure: k27252 
o|contracted procedure: k27265 
o|contracted procedure: k27271 
o|contracted procedure: k27290 
o|contracted procedure: k27304 
o|contracted procedure: k27293 
o|contracted procedure: k27300 
o|contracted procedure: k27320 
o|contracted procedure: k27326 
o|contracted procedure: k27333 
o|contracted procedure: k27339 
o|contracted procedure: k27389 
o|contracted procedure: k27349 
o|contracted procedure: k27401 
o|contracted procedure: k27404 
o|contracted procedure: k27407 
o|contracted procedure: k27410 
o|contracted procedure: k27421 
o|contracted procedure: k27438 
o|contracted procedure: k27441 
o|contracted procedure: k27444 
o|contracted procedure: k27447 
o|contracted procedure: k27458 
o|contracted procedure: k27475 
o|contracted procedure: k27484 
o|contracted procedure: k27493 
o|contracted procedure: k27502 
o|contracted procedure: k27511 
o|contracted procedure: k27520 
o|contracted procedure: k27529 
o|contracted procedure: k27538 
o|contracted procedure: k27547 
o|contracted procedure: k27556 
o|contracted procedure: k27565 
o|contracted procedure: k27574 
o|contracted procedure: k27583 
o|contracted procedure: k27592 
o|contracted procedure: k27601 
o|contracted procedure: k27610 
o|contracted procedure: k27619 
o|contracted procedure: k27628 
o|contracted procedure: k27637 
o|contracted procedure: k27646 
o|contracted procedure: k27655 
o|contracted procedure: k27664 
o|contracted procedure: k27673 
o|contracted procedure: k27682 
o|contracted procedure: k27691 
o|contracted procedure: k27700 
o|contracted procedure: k27709 
o|contracted procedure: k27718 
o|contracted procedure: k27727 
o|contracted procedure: k27736 
o|contracted procedure: k27745 
o|contracted procedure: k27754 
o|contracted procedure: k27763 
o|contracted procedure: k27772 
o|contracted procedure: k27781 
o|contracted procedure: k27790 
o|contracted procedure: k27799 
o|contracted procedure: k27808 
o|contracted procedure: k27817 
o|contracted procedure: k27826 
o|contracted procedure: k27835 
o|contracted procedure: k27844 
o|contracted procedure: k27853 
o|contracted procedure: k27862 
o|contracted procedure: k27871 
o|contracted procedure: k27880 
o|contracted procedure: k27889 
o|contracted procedure: k27898 
o|contracted procedure: k27907 
o|contracted procedure: k27916 
o|contracted procedure: k27925 
o|contracted procedure: k27934 
o|contracted procedure: k27943 
o|contracted procedure: k28126 
o|contracted procedure: k28156 
o|contracted procedure: k28132 
o|contracted procedure: k28135 
o|contracted procedure: k28144 
o|contracted procedure: k28153 
o|contracted procedure: k28189 
o|contracted procedure: k28182 
o|contracted procedure: k28211 
o|contracted procedure: k28204 
o|contracted procedure: k28262 
o|contracted procedure: k28279 
o|contracted procedure: k28241 
o|contracted procedure: k28245 
o|contracted procedure: k28306 
o|contracted procedure: k28326 
o|contracted procedure: k28343 
o|contracted procedure: k28293 
o|contracted procedure: k28297 
o|contracted procedure: k28359 
o|contracted procedure: k28366 
o|contracted procedure: k28422 
o|contracted procedure: k28426 
o|contracted procedure: k28434 
o|contracted procedure: k28451 
o|contracted procedure: k28466 
o|contracted procedure: k28529 
o|contracted procedure: k28510 
o|contracted procedure: k28519 
o|contracted procedure: k28538 
o|contracted procedure: k28595 
o|contracted procedure: k28598 
o|contracted procedure: k28604 
o|contracted procedure: k28647 
o|contracted procedure: k28663 
o|contracted procedure: k28656 
o|contracted procedure: k29095 
o|contracted procedure: k28674 
o|contracted procedure: k28689 
o|contracted procedure: k28793 
o|contracted procedure: k28701 
o|contracted procedure: k28720 
o|contracted procedure: k28723 
o|contracted procedure: k28732 
o|contracted procedure: k2857234892 
o|contracted procedure: k28762 
o|contracted procedure: k28790 
o|contracted procedure: k28772 
o|contracted procedure: k28785 
o|contracted procedure: k28802 
o|contracted procedure: k29081 
o|contracted procedure: k28824 
o|contracted procedure: k28842 
o|contracted procedure: k28845 
o|contracted procedure: k28854 
o|contracted procedure: k28857 
o|contracted procedure: k28871 
o|contracted procedure: k28880 
o|contracted procedure: k28935 
o|contracted procedure: k28893 
o|contracted procedure: k28905 
o|contracted procedure: k28922 
o|contracted procedure: k28916 
o|contracted procedure: k28938 
o|contracted procedure: k2857234905 
o|contracted procedure: k28956 
o|contracted procedure: k28952 
o|contracted procedure: k28965 
o|contracted procedure: k28974 
o|contracted procedure: k28990 
o|contracted procedure: k29005 
o|contracted procedure: k28997 
o|contracted procedure: k29024 
o|contracted procedure: k29016 
o|contracted procedure: k29050 
o|contracted procedure: k29078 
o|contracted procedure: k29060 
o|contracted procedure: k29073 
o|contracted procedure: k29101 
o|contracted procedure: k29110 
o|contracted procedure: k29150 
o|contracted procedure: k29156 
o|contracted procedure: k29159 
o|contracted procedure: k29173 
o|contracted procedure: k29214 
o|contracted procedure: k29221 
o|contracted procedure: k29229 
o|contracted procedure: k29241 
o|contracted procedure: k29245 
o|contracted procedure: k29252 
o|contracted procedure: k29188 
o|contracted procedure: k29286 
o|contracted procedure: k29295 
o|contracted procedure: k29302 
o|contracted procedure: k29306 
o|contracted procedure: k29336 
o|contracted procedure: k29343 
o|contracted procedure: k29347 
o|contracted procedure: k29354 
o|contracted procedure: k29367 
o|contracted procedure: k29374 
o|contracted procedure: k29405 
o|contracted procedure: k29401 
o|contracted procedure: k29429 
o|contracted procedure: k29438 
o|contracted procedure: k29451 
o|contracted procedure: k29463 
o|contracted procedure: k29473 
o|contracted procedure: k29546 
o|contracted procedure: k29476 
o|contracted procedure: k29489 
o|contracted procedure: k29530 
o|contracted procedure: k29519 
o|contracted procedure: k29526 
o|contracted procedure: k29599 
o|contracted procedure: k29589 
o|contracted procedure: k29617 
o|contracted procedure: k29651 
o|contracted procedure: k29660 
o|contracted procedure: k29663 
o|contracted procedure: k29670 
o|contracted procedure: k29676 
o|contracted procedure: k29683 
o|contracted procedure: k29689 
o|contracted procedure: k29692 
o|contracted procedure: k29698 
o|contracted procedure: k29701 
o|contracted procedure: k29708 
o|contracted procedure: k29714 
o|contracted procedure: k29717 
o|contracted procedure: k29724 
o|contracted procedure: k29730 
o|contracted procedure: k29733 
o|contracted procedure: k29740 
o|contracted procedure: k29746 
o|contracted procedure: k29749 
o|contracted procedure: k29756 
o|contracted procedure: k29762 
o|contracted procedure: k29765 
o|contracted procedure: k29772 
o|contracted procedure: k29778 
o|contracted procedure: k29781 
o|contracted procedure: k29788 
o|contracted procedure: k29794 
o|contracted procedure: k29797 
o|contracted procedure: k29804 
o|contracted procedure: k29810 
o|contracted procedure: k29813 
o|contracted procedure: k29820 
o|contracted procedure: k29826 
o|contracted procedure: k29829 
o|contracted procedure: k29836 
o|contracted procedure: k29842 
o|contracted procedure: k29845 
o|contracted procedure: k29852 
o|contracted procedure: k29859 
o|contracted procedure: k29867 
o|contracted procedure: k29863 
o|contracted procedure: k29893 
o|contracted procedure: k29900 
o|contracted procedure: k29912 
o|contracted procedure: k29924 
o|contracted procedure: k29918 
o|contracted procedure: k29921 
o|contracted procedure: k29939 
o|contracted procedure: k29952 
o|contracted procedure: k29948 
o|contracted procedure: k29956 
o|contracted procedure: k30000 
o|contracted procedure: k29965 
o|contracted procedure: k29968 
o|contracted procedure: k29971 
o|contracted procedure: k29996 
o|contracted procedure: k29983 
o|contracted procedure: k29986 
o|contracted procedure: k30010 
o|contracted procedure: k30016 
o|contracted procedure: k30023 
o|contracted procedure: k30032 
o|contracted procedure: k30038 
o|contracted procedure: k30041 
o|contracted procedure: k30044 
o|contracted procedure: k30050 
o|contracted procedure: k30057 
o|contracted procedure: k30063 
o|contracted procedure: k30067 
o|contracted procedure: k30114 
o|contracted procedure: k30127 
o|contracted procedure: k30149 
o|contracted procedure: k30171 
o|contracted procedure: k30205 
o|contracted procedure: k30211 
o|contracted procedure: k30214 
o|contracted procedure: k30220 
o|contracted procedure: k30223 
o|contracted procedure: k30229 
o|contracted procedure: k30244 
o|contracted procedure: k30247 
o|contracted procedure: k30268 
o|contracted procedure: k30286 
o|contracted procedure: k30299 
o|contracted procedure: k30471 
o|contracted procedure: k30341 
o|contracted procedure: k30427 
o|contracted procedure: k30420 
o|contracted procedure: k30365 
o|contracted procedure: k30437 
o|contracted procedure: k30441 
o|contracted procedure: k30445 
o|contracted procedure: k30449 
o|contracted procedure: k30484 
o|contracted procedure: k30493 
o|contracted procedure: k30572 
o|contracted procedure: k30499 
o|contracted procedure: k30505 
o|contracted procedure: k30512 
o|contracted procedure: k30521 
o|contracted procedure: k30527 
o|contracted procedure: k30541 
o|contracted procedure: k30557 
o|contracted procedure: k30561 
o|contracted procedure: k30568 
o|contracted procedure: k30610 
o|contracted procedure: k30619 
o|contracted procedure: k30638 
o|contracted procedure: k30642 
o|contracted procedure: k30910 
o|contracted procedure: k30686 
o|contracted procedure: k30716 
o|contracted procedure: k30726 
o|contracted procedure: k30730 
o|contracted procedure: k30700 
o|contracted procedure: k30704 
o|contracted procedure: k30736 
o|contracted procedure: k30752 
o|contracted procedure: k30755 
o|contracted procedure: k30758 
o|contracted procedure: k30764 
o|contracted procedure: k30783 
o|contracted procedure: k30786 
o|contracted procedure: k30789 
o|contracted procedure: k30797 
o|contracted procedure: k30805 
o|contracted procedure: k30823 
o|contracted procedure: k30832 
o|contracted procedure: k30839 
o|contracted procedure: k30847 
o|contracted procedure: k30927 
o|contracted procedure: k30931 
o|contracted procedure: k30936 
o|contracted procedure: k30940 
o|contracted procedure: k30944 
o|contracted procedure: k30948 
o|contracted procedure: k31000 
o|contracted procedure: k31017 
o|contracted procedure: k31031 
o|contracted procedure: k31020 
o|contracted procedure: k31027 
o|contracted procedure: k31055 
o|contracted procedure: k31062 
o|contracted procedure: k31096 
o|contracted procedure: k31105 
o|contracted procedure: k31108 
o|contracted procedure: k31117 
o|contracted procedure: k31132 
o|contracted procedure: k31128 
o|contracted procedure: k31145 
o|contracted procedure: k31148 
o|contracted procedure: k31155 
o|contracted procedure: k31164 
o|contracted procedure: k31167 
o|contracted procedure: k31170 
o|contracted procedure: k31200 
o|contracted procedure: k31189 
o|contracted procedure: k31210 
o|contracted procedure: k31213 
o|contracted procedure: k31264 
o|contracted procedure: k31288 
o|contracted procedure: k31306 
o|contracted procedure: k31316 
o|contracted procedure: k31336 
o|contracted procedure: k31346 
o|contracted procedure: k31350 
o|contracted procedure: k31391 
o|contracted procedure: k31401 
o|contracted procedure: k31405 
o|contracted procedure: k31448 
o|contracted procedure: k31433 
o|contracted procedure: k31691 
o|contracted procedure: k31701 
o|contracted procedure: k31711 
o|contracted procedure: k31721 
o|contracted procedure: k31731 
o|contracted procedure: k31741 
o|contracted procedure: k31751 
o|contracted procedure: k31761 
o|contracted procedure: k31771 
o|contracted procedure: k31781 
o|contracted procedure: k31791 
o|contracted procedure: k31801 
o|contracted procedure: k31811 
o|contracted procedure: k31821 
o|contracted procedure: k31827 
o|contracted procedure: k31830 
o|contracted procedure: k31854 
o|contracted procedure: k31861 
o|contracted procedure: k31870 
o|contracted procedure: k31877 
o|contracted procedure: k31896 
o|contracted procedure: k31905 
o|contracted procedure: k31916 
o|contracted procedure: k31912 
o|contracted procedure: k31925 
o|contracted procedure: k31932 
o|contracted procedure: k31942 
o|contracted procedure: k31938 
o|contracted procedure: k31887 
o|contracted procedure: k31883 
o|simplifications: ((if . 1) (let . 546)) 
o|removed binding forms: 2309 
o|inlining procedure: "(library.scm:4443) outstr05133" 
o|inlining procedure: "(library.scm:4442) outstr05133" 
o|inlining procedure: "(library.scm:4445) outstr05133" 
o|inlining procedure: "(library.scm:4447) outstr05133" 
o|inlining procedure: "(library.scm:4457) outstr05133" 
o|inlining procedure: k23866 
o|inlining procedure: k23866 
o|inlining procedure: k24192 
o|inlining procedure: k24192 
o|inlining procedure: k31628 
o|inlining procedure: k31628 
o|inlining procedure: k26342 
o|inlining procedure: k26342 
o|inlining procedure: k31139 
o|inlining procedure: k31204 
o|inlining procedure: k31204 
o|replaced variables: 818 
o|removed binding forms: 4 
o|inlining procedure: k11958 
o|inlining procedure: k11982 
o|inlining procedure: k12006 
o|inlining procedure: k12030 
o|inlining procedure: k12054 
o|inlining procedure: k12078 
o|inlining procedure: k12102 
o|inlining procedure: k12126 
o|inlining procedure: k12150 
o|inlining procedure: k12174 
o|inlining procedure: k12198 
o|inlining procedure: k12216 
o|inlining procedure: k12240 
o|inlining procedure: k12264 
o|inlining procedure: k12282 
o|inlining procedure: k12300 
o|inlining procedure: k12318 
o|inlining procedure: k12336 
o|inlining procedure: k12354 
o|inlining procedure: k12372 
o|inlining procedure: k12390 
o|inlining procedure: k12408 
o|inlining procedure: k12426 
o|inlining procedure: k12444 
o|inlining procedure: k12468 
o|inlining procedure: k12486 
o|inlining procedure: k12510 
o|inlining procedure: k12528 
o|inlining procedure: k12546 
o|inlining procedure: k12564 
o|inlining procedure: k12582 
o|substituted constant variable: str515136662 
o|removed side-effect free assignment to unused variable: outstr05133 
o|substituted constant variable: str515136682 
o|inlining procedure: k28317 
o|inlining procedure: k28317 
o|substituted constant variable: r3120536801 
o|simplifications: ((let . 1) (if . 8)) 
o|replaced variables: 13 
o|removed binding forms: 431 
o|inlining procedure: "(library.scm:4496) specialchar?5135" 
o|inlining procedure: "(library.scm:4515) specialchar?5135" 
o|inlining procedure: "(library.scm:4519) specialchar?5135" 
o|removed binding forms: 47 
o|removed side-effect free assignment to unused variable: specialchar?5135 
o|replaced variables: 11 
o|removed binding forms: 31 
o|inlining procedure: k24066 
o|inlining procedure: k24128 
o|removed binding forms: 9 
o|contracted procedure: k24214 
o|removed binding forms: 3 
o|direct leaf routine/allocation: loop776 0 
o|direct leaf routine/allocation: doloop15221523 0 
o|direct leaf routine/allocation: iter1535 0 
o|direct leaf routine/allocation: loop1686 0 
o|direct leaf routine/allocation: go-inexact!2845 0 
o|direct leaf routine/allocation: loop3492 0 
o|direct leaf routine/allocation: doloop35073508 0 
o|direct leaf routine/allocation: doloop35193523 0 
o|direct leaf routine/allocation: doloop35503551 0 
o|direct leaf routine/allocation: doloop35783579 0 
o|direct leaf routine/allocation: loop3604 0 
o|direct leaf routine/allocation: loop3675 0 
o|direct leaf routine/allocation: body39013910 0 
o|direct leaf routine/allocation: def-set?39043913 0 
o|direct leaf routine/allocation: def-convert?39033915 0 
o|direct leaf routine/allocation: body39263935 0 
o|direct leaf routine/allocation: def-set?39293938 0 
o|direct leaf routine/allocation: def-convert?39283940 0 
o|direct leaf routine/allocation: body39513960 0 
o|direct leaf routine/allocation: def-set?39543963 0 
o|direct leaf routine/allocation: def-convert?39533965 0 
o|direct leaf routine/allocation: body59465955 0 
o|direct leaf routine/allocation: def-set?59495958 0 
o|direct leaf routine/allocation: def-convert?59485960 0 
o|direct leaf routine/allocation: for-each-loop59906001 0 
o|direct leaf routine/allocation: loop7035 0 
o|direct leaf routine/allocation: for-each-loop72267237 0 
o|converted assignments to bindings: (loop776) 
o|converted assignments to bindings: (doloop15221523) 
o|contracted procedure: k11405 
o|converted assignments to bindings: (iter1535) 
o|converted assignments to bindings: (loop1686) 
o|contracted procedure: "(library.scm:2468) k15855" 
o|contracted procedure: "(library.scm:2477) k15918" 
o|contracted procedure: "(library.scm:2511) k16173" 
o|contracted procedure: "(library.scm:2516) k16198" 
o|contracted procedure: "(library.scm:2560) k16582" 
o|contracted procedure: "(library.scm:2570) k16665" 
o|converted assignments to bindings: (loop3492) 
o|converted assignments to bindings: (doloop35073508) 
o|converted assignments to bindings: (doloop35193523) 
o|converted assignments to bindings: (doloop35503551) 
o|converted assignments to bindings: (doloop35783579) 
o|converted assignments to bindings: (loop3604) 
o|converted assignments to bindings: (loop3675) 
o|inlining procedure: "(library.scm:3301) k19027" 
o|inlining procedure: "(library.scm:3301) k19027" 
o|inlining procedure: "(library.scm:3301) k19027" 
o|inlining procedure: "(library.scm:3311) k19088" 
o|inlining procedure: "(library.scm:3311) k19088" 
o|inlining procedure: "(library.scm:3311) k19088" 
o|inlining procedure: "(library.scm:3321) k19149" 
o|inlining procedure: "(library.scm:3321) k19149" 
o|inlining procedure: "(library.scm:3321) k19149" 
o|inlining procedure: "(library.scm:5196) k26545" 
o|inlining procedure: "(library.scm:5196) k26545" 
o|inlining procedure: "(library.scm:5196) k26545" 
o|contracted procedure: k26667 
o|converted assignments to bindings: (for-each-loop59906001) 
o|contracted procedure: k29942 
o|converted assignments to bindings: (loop7035) 
o|contracted procedure: k31008 
o|converted assignments to bindings: (for-each-loop72267237) 
o|simplifications: ((let . 14)) 
o|removed binding forms: 10 
o|replaced variables: 7 
o|removed binding forms: 4 
o|removed binding forms: 2 
x|number of unboxed float variables: 0
x|number of inline operations replaced with unboxed ones: 56
o|customizable procedures: (cleanup-before-exit g58835890 for-each-loop58825894 for-each-loop58515863 k31176 loop6820 k30335 check7265 k30664 k30667 k30670 k30673 k30676 loop7340 map-loop73077324 loop7331 for-each-loop72847296 loop7203 str7187 pmem7083 round-to7082 pnum7081 k30013 loop7060 loop6909 doloop68846885 k29426 doloop68096810 scan6792 loop6789 read-escaped-sexp6612 get/clear-str6672 loop6683 k28896 loop26706 readln6611 doloop66506659 loop6626 doloop66156616 loop6590 loop6490 loop6464 def-port62186267 def-header62196265 body62166225 k27172 g62396240 writeargs6190 g61966203 for-each-loop61956207 g61316140 map-loop61256150 loop6143 map-loop60686086 map-loop60956112 map-loop60086026 map-loop60356053 chicken.condition#prop-list->kind-prefixed-prop-list k26595 loop5971 k26127 k26130 k26150 k26106 for-each-loop57865798 for-each-loop57185729 loop5714 g56595666 for-each-loop56585679 k25762 k25616 loop5642 g55935600 for-each-loop55925603 k25282 k25299 copy&append5540 loop5549 k31550 doloop53485349 doloop53245325 k24634 doloop53105311 out5243 doloop52805281 outsym5136 g52595260 k24177 loop5213 k24100 k24119 loop5178 outchr5134 sym-is-readable?5138 outreadablesym5137 outstr5132 for-each-loop50935111 for-each-loop50615079 hex4958 loop4967 k22257 r-symbol4429 k22455 k22822 k22749 r-ext-symbol4433 r-comment4432 r-char4431 r-vector4423 r-number-with-radix4426 r-number-with-exactness4425 r-digits4428 k22375 r-quote4434 loop4753 r-token4427 k22089 k21944 k21710 r-string4421 loop4670 k21716 k21640 loop4653 k21576 read-unreserved-char-04404 loop4638 r-number4424 k21403 r-list4422 k21159 k21202 r-xtoken4430 loop4546 readrec4405 r-spaces4418 starting-line4541 info4401 k20816 k20836 k20940 eat-ws4511 k20725 r-cons-codepoint4420 r-usequence4419 loop4474 lp4469 loop4452 skip-to-eol4402 loop4437 reserved-character4403 k20342 skip4410 k19917 def-convert?42714283 def-set?42724281 body42694278 assign4253 k19887 loop4130 loop4111 doloop41184119 close3981 open3980 doloop39883989 k32151 loop3858 k32053 loop3841 ##sys#dynamic-unwind loop3740 map-loop37163733 loop3700 for-each-loop36853695 k18505 loop3647 loop3636 k18214 lookup-char3600 ##sys#vector-resize k17923 loop3499 map-loop33703389 compare-slots3297 loop3309 walk3298 k17004 ##sys#string->compnum scan-prefix3224 k16760 scan-real3093 k16851 k16521 k16640 k16579 k16547 scan-ureal3016 k16170 k16189 k16241 scan-decimal-tail2939 scan-digits+hashes2901 k15968 k15971 k15980 scan-exponent2921 k16007 safe-exponent2846 k15903 scan-digits2866 scan-hashes2889 lp2891 k15743 lp2868 round-quotient k15477 loop2748 loop2738 k14907 k15016 k15025 slow-expt2670 log-expt2669 lp2654 k14661 lp2642 k14182 k14188 k14120 k14126 k13958 loop2456 loop2444 find-ratio-between sr2421 k13187 ##sys#internal-gcd ratnum loop2279 deliver2212 doloop22142215 make-complex doloop17031704 loop1696 loop1671 k11475 k11484 loop1513 loop1481 copy1471 loop1469 k10941 lp1342 k10282 loop934 loop919 k10179 loop882 loop860 k9980 loop830 k9840 loop816 loop801 loop793 loop787 loop762 loop747 loop736 loop706 loop694 loop651 loop642 loop108) 
o|calls to known targets: 907 
o|identified direct recursive calls: f_8832 1 
o|unused rest argument: env348 f_9102 
o|unused rest argument: evaluator355 f_9126 
o|unused rest argument: _607 f_9243 
o|identified direct recursive calls: f_9337 1 
o|unused rest argument: _718 f_9496 
o|unused rest argument: _719 f_9498 
o|unused rest argument: _760 f_9653 
o|identified direct recursive calls: f_9716 1 
o|identified direct recursive calls: f_9738 1 
o|identified direct recursive calls: f_9774 1 
o|identified direct recursive calls: f_9803 2 
o|identified direct recursive calls: f_9850 1 
o|identified direct recursive calls: f_9904 2 
o|identified direct recursive calls: f_10894 1 
o|identified direct recursive calls: f_11169 1 
o|identified direct recursive calls: f_11223 1 
o|identified direct recursive calls: f_11319 1 
o|identified direct recursive calls: f_11362 1 
o|identified direct recursive calls: f_11413 1 
o|identified direct recursive calls: f_11769 1 
o|identified direct recursive calls: f_11817 1 
o|identified direct recursive calls: f_11879 1 
o|identified direct recursive calls: f_13633 1 
o|identified direct recursive calls: f_13815 1 
o|identified direct recursive calls: f_13859 1 
o|identified direct recursive calls: f_14808 2 
o|identified direct recursive calls: f_15682 1 
o|identified direct recursive calls: f_15790 1 
o|identified direct recursive calls: f_17811 1 
o|identified direct recursive calls: f_17851 1 
o|identified direct recursive calls: f_17890 1 
o|identified direct recursive calls: f_17936 1 
o|identified direct recursive calls: f_18008 1 
o|identified direct recursive calls: f_18082 1 
o|identified direct recursive calls: f_18184 1 
o|identified direct recursive calls: f_18515 1 
o|identified direct recursive calls: f_18815 1 
o|identified direct recursive calls: f_32057 1 
o|identified direct recursive calls: f_19248 3 
o|identified direct recursive calls: f_19572 1 
o|identified direct recursive calls: f_20511 1 
o|identified direct recursive calls: f_26774 1 
o|identified direct recursive calls: f_26694 1 
o|identified direct recursive calls: f_26740 1 
o|identified direct recursive calls: f_26816 1 
o|identified direct recursive calls: f_26930 2 
o|identified direct recursive calls: f_28533 1 
o|identified direct recursive calls: f_29209 1 
o|identified direct recursive calls: f_29960 1 
o|identified direct recursive calls: f_30027 1 
o|identified direct recursive calls: f_30516 1 
o|identified direct recursive calls: f_30747 2 
o|identified direct recursive calls: f_31012 1 
o|unused rest argument: args5841 f_31413 
o|fast box initializations: 161 
o|fast global references: 70 
o|fast global assignments: 20 
o|dropping unused closure argument: f_12608 
o|dropping unused closure argument: f_12788 
o|dropping unused closure argument: f_13633 
o|dropping unused closure argument: f_14850 
o|dropping unused closure argument: f_14864 
o|dropping unused closure argument: f_15114 
o|dropping unused closure argument: f_15540 
o|dropping unused closure argument: f_15583 
o|dropping unused closure argument: f_18070 
o|dropping unused closure argument: f_18515 
o|dropping unused closure argument: f_18815 
o|dropping unused closure argument: f_19205 
o|dropping unused closure argument: f_19303 
o|dropping unused closure argument: f_20499 
o|dropping unused closure argument: f_25210 
o|dropping unused closure argument: f_25934 
o|dropping unused closure argument: f_26575 
o|dropping unused closure argument: f_26774 
o|dropping unused closure argument: f_27111 
o|dropping unused closure argument: f_28577 
o|dropping unused closure argument: f_28624 
o|dropping unused closure argument: f_30086 
o|dropping unused closure argument: f_30100 
o|dropping unused closure argument: f_30360 
o|dropping unused closure argument: f_30633 
o|dropping unused closure argument: f_31012 
*/
/* end of file */
